#!/usr/bin/php
<?php

require_once '/var/www/api/init.php';

use Logger\Log;
use Wildix\DependencyInjection\Container;
use Wildix\Microsoft\Office365Service;

try {
    $diContainer = $GLOBALS['diContainer'] ?? new Container();
    /** @var Office365Service $officeService */
    $officeService = $diContainer->get(Office365Service::class);
    $officeService->syncCalendars();
} catch (Throwable $exception) {
    /** @var Log $logger */
    $logger = $diContainer->get(Log::class);
    $logger->error(__LINE__, sprintf('Office365 events sync error:%s', $exception->getMessage()));
}

echo 'done';
