<?php
/**
* Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.  See License in the project root for license information.
* 
* Tone File
* PHP version 7
*
* @category  Library
* @package   Microsoft.Graph
* @copyright (c) Microsoft Corporation. All rights reserved.
* @license   https://opensource.org/licenses/MIT MIT License
* @link      https://graph.microsoft.com
*/
namespace Beta\Microsoft\Graph\Model;

use Microsoft\Graph\Core\Enum;

/**
* Tone class
*
* @category  Model
* @package   Microsoft.Graph
* @copyright (c) Microsoft Corporation. All rights reserved.
* @license   https://opensource.org/licenses/MIT MIT License
* @link      https://graph.microsoft.com
*/
class Tone extends Enum
{
    /**
    * The Enum Tone
    */
    const TONE0 = "tone0";
    const TONE1 = "tone1";
    const TONE2 = "tone2";
    const TONE3 = "tone3";
    const TONE4 = "tone4";
    const TONE5 = "tone5";
    const TONE6 = "tone6";
    const TONE7 = "tone7";
    const TONE8 = "tone8";
    const TONE9 = "tone9";
    const STAR = "star";
    const POUND = "pound";
    const A = "a";
    const B = "b";
    const C = "c";
    const D = "d";
    const FLASH = "flash";
}
