<?php

use Session\Session;

require_once dirname(__FILE__).'/aclpbx.inc.php';

$t_default_lang = 'it';

if (User::getInstance()->getLanguage() != '') {
    $t_default_lang = User::getInstance()->getLanguage();
    if ($t_default_lang === 'ru') {
        $t_default_lang = 'en';
    }
}

/** @var \Wildix\License $license */
$license = $diContainer->get(\Wildix\License::class);
?>
<style type="text/css">

	#main {cursor:default;border-collapse:collapse;}

	.yui-nav {margin:0px 0px -1px 0px;}
	.preview {font-style:italic;font-size:11px;}

	a.genPass span {color: black;}

	#phonebooks_sync_backend_settings_form .phonebooksList input{
	    float: left;
	    margin-right: 5px;
	}
	#phonebooks_sync_backend_settings_form .phonebooksList label{
	    display: block;
	}
	#phonebooks_sync_backend_settings_form .phonebooksList div{
	    padding: 4px;
	    padding-right: 0px;
	    padding-left: 0px;
	}

    #pbxestbl tbody .yui-dt-selected td:nth-child(3) div a {
        color: #FFFFFF;
    }
</style>

<table cellpadding="0" id='main'>
    <tr><td><div id="acl_wmstabs" class="yui-navset"></div></td></tr>
</table>

<script src="aclpbx/wms.users.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="aclpbx/wms.groups.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="aclpbx/wms.pbx.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="aclpbx/wms.phonebook.js?<?=WMS_VERSION;?>" type="text/javascript"></script>

<script language="javascript">
var onlineUsers;
var TabTpl = '<div id="#{id}tbl" class="newtable"></div><div id="#{id}tbl_pag"></div><div id="#{id}tbl_pnl" class="yui-navset pnl" style=""></div>';
var selfFileName = 'aclpbx/index.php';
var classFileName = 'index.php?class=classes/aclpbx/aclpbx.class.php';
var preloader;
var newClassName = 'aclpbx';
var current_admin = <?= json_encode(User::getInstance()->getName()) ?>;
var current_lang = '<?= $t_default_lang ?>';


jQuery('body').on('click', '.hint_title', function() {
        var target = jQuery(this).attr('data-target');

        if (jQuery(target).css('display') == 'none') {
            jQuery(target).css('display', 'block');
        } else {
            jQuery(target).css('display', 'none');
        }
});

jQuery('body').on('mouseover', '.map_tooltip', function () {
    var hintText = '<?=_t('aclpbx.uniontwofields');?>';
    tooltip.show(hintText);
});

jQuery('body').on('mouseout', '.map_tooltip', function () {
    tooltip.hide();
});

var getGoogleAuthUrl = (function () {
    var urls = {};

    return function (type, success, error) {
        if (urls.hasOwnProperty(type)) {
            success(urls[type]);
            return;
        }

        new Ajax.Request('aclpbx/index.php',{
            method: 'post',
            parameters: {
                type: type,
                action: 'fetch_google_auth_url'
            },
            onSuccess: function(transport) {
                urls[type] = transport.responseJSON;
                success(transport.responseJSON);
            },
            onFailure: function (transport) {
                error(transport.responseJSON);
            }
        });
    }
})();

var getOffice365AuthUrl = (function () {
    var urls = {};

    return function (type, success, error, data) {
        if (urls.hasOwnProperty(type) && !(data && data.nocache)) {
            success(urls[type]);
            return;
        }
        var parameters = {
            type: type,
            action: 'get_office365_auth_url'
        };
        if (data && data.directory) {
            parameters['directory'] = data.directory;
        }
        new Ajax.Request('aclpbx/index.php',{
            method: 'post',
            parameters: parameters,
            onSuccess: function(transport) {

                urls[type] = transport.responseJSON;
                success(urls[type]);
            },
            onFailure: function (transport) {
                error(transport.responseJSON);
            }
        });
    }
})();

var getZohoCrmAuthUrl = (function () {
    var urls = {};

    return function (type, success, error, data) {
        if (urls.hasOwnProperty(type)) {
            success(urls[type]);
            return;
        }

        new Ajax.Request('aclpbx/index.php',{
            method: 'post',
            parameters: {
                type: type,
                action: 'get_zohoCrm_auth_url'
            },
            onSuccess: function(transport) {

                urls[type] = transport.responseJSON;
                success(urls[type]);
            },
            onFailure: function (transport) {
                error(transport.responseJSON);
            }
        });
    }
})();

var getInfusionsoftAuthUrl = (function () {
    var urls = {};

    return function (type, success, error) {
        if (urls.hasOwnProperty(type)) {
            success(urls[type]);
            return;
        }

        new Ajax.Request('/api/v1/Infusionsoft/AuthUrl',{
            method: 'get',
            parameters: {
                type: type
            },
            onSuccess: function(transport) {
                var response = transport.responseJSON;

                if (response && response.result) {
                    urls[type] = response.result;
                    success(urls[type]);
                }
            },
            onFailure: function (transport) {
                error(transport.responseJSON);
            }
        });
    }
})();

var currentPbx = <? echo json_encode($curPbx);?>

var cSyncMounts = <?=json_encode($samba_mounts);?>;
if (Object.isArray(cSyncMounts)) cSyncMounts = {};

//TABLE_DEBUG=true;

var values = {
    'jsongroups': <?=$jsongroups;?>,
    'jsonpbxes': <?=$jsonpbxes;?>,
    'jsonphonebooks': <?=$jsonphonebooks;?>
}

var Tabs = [
    // people
    {id: 'people', label: '<?=_t('aclpbx.People');?>', active: true,
        initialRequest: {action:'getUsers',newclass: newClassName},
        listeners: {
            'click': function() {
                $$('div.searchbar').invoke('setStyle',{'display':'none'});
                $$('#livesearch_peopletbl').invoke('setStyle',{'display':'block'});

                if (arguments.callee.done) return; arguments.callee.done = true;

				<?php  if(!$got_userPasswordIsDefault){
				        // Check for admin email
				        if ($got_adminMailEmpty) {?>
				        	setError('notification', '<?=_t('strings.fillAdminEmail');?>');
				  <?php }

				 } ?>
				// check file system on errors
				new Ajax.Request('/api/v1/PBX/FileSystem/status', {
					method: 'get',
					onComplete: function(transport) {
						if (transport.responseJSON.result === true){
							setError('error', WMS._t('upgrade.AutoUpgradeFsWithErrorsNotify'));
						}
					}
				});

				Tabs[0]['table'] = new WMS.Users('peopletbl', classFileName,{
                	is_userdir_present: <?=(($is_userdir_present)?1:0) ?>,
                	pbx_net_mode: <?=(($pbx_net_mode)?$pbx_net_mode:0) ?>,
                	pbxSerial: "<?=$curPbx['pbxSerial'] ?>",
					pbxdn: "<?=$pbxdn ?>",
					is_wcloud: <?=(($license->isCloud())?1:0); ?>,
                	t_default_lang: "<?=$t_default_lang ?>",
                	current_admin: current_admin,
                	got_userPasswordIsDefault:<?=(($got_userPasswordIsDefault)?1:0) ?>,
                    perm:{
                    	add_remove_users:<?=((WMS_Permissions::getInstance()->is_allowed('permissions','add_remove_users'))?1:0) ?>,
                    	page_users_users:<?=((WMS_Permissions::getInstance()->is_allowed('page','users__users'))?1:0) ?>,
                    	is_root: <?=((WMS_Permissions::getInstance()->is_root())?1:0) ?>
                    },
                    license_class:{
                    	hotel: <?=(($license->haveLicense('hotel'))?1:0) ?>
                    },
                    isXbeesEnable: <?=(int)$license->haveLicense($license::TYPE_XBEES); ?>,
                    usSyncSettingsAndMap: <?=json_encode($aclpbx_class->get_sync_settings_n_map())?>,
                    usSyncFields: <?=json_encode($aclpbx_class->get_sync_attributes())?> ,
                    contexts: <?=json_encode(get_contextnames());?>, // set users as default dialplan name
                    licenseTypes: <?=json_encode($license::getLicenseTypes());?>,
                    defaultLicenseType: '<?=$license::getDefaultLicenseType();?>',
                    maximumAvailableLicenseType: '<?=$license->getMaximumAvailableLicenseType();?>'
                });

            }
        }
    },
    // /people

    // groups
    {id: 'groups', label: '<?=_t('aclpbx.Groups');?>',
        listeners: {
            'click' : function() {
                if( TabView.tabs.getTab(1).get('disabled')) return;

                $$('div.searchbar').invoke('setStyle',{'display':'none'});
                $$('#livesearch_groupstbl').invoke('setStyle',{'display':'block'});

                if (arguments.callee.done) return; arguments.callee.done = true;

                Tabs[1]['table'] = new WMS.Groups('groupstbl', classFileName + '&newclass=aclpbx',{
                	is_userdir_present: <?=(($is_userdir_present)?1:0) ?>,
                    perm:{
                        is_root: <?=((WMS_Permissions::getInstance()->is_root())?1:0) ?>,
                        page_users_groups: <?=((WMS_Permissions::getInstance()->is_allowed('page','users__groups'))?1:0) ?>,
                        getPagesForEditor: <?=json_encode(WMS_Permissions::getInstance()->getPagesForEditor());?>,
                        getPermsValuesForEditor: <?=json_encode(WMS_Permissions::getInstance()->getPermsValuesForEditor());?>
                    },
                    license_class:{
                    	hotel: <?=(($license->haveLicense('hotel'))?1:0) ?>,
                    	cti_conference: <?=(($license->haveLicense('cti_conference'))?1:0) ?>
                    },
                    acl_callclasses: <?=json_encode($acl_callclasses);?>,
                    acl_features: <?=json_encode($feature_names);?>,
                    canAclWithoutGroups: <?=json_encode(\Wildix\Colleagues\Colleague::CAN_CANNOT_COMMON);?>
                });

            }.bind(window)
        }
    },
    // /groups

	<?php if ($pbx_net_mode){?>
    // pbxes
	  {id: 'pbxes', label: "<?=_t('aclpbx.PBXes')?>",
		listeners: {
			'click': function(){
				if( TabView.tabs.getTab(2).get('disabled')) return;

				$$('div.searchbar').invoke('setStyle',{'display':'none'});
				$$('#livesearch_pbxestbl').invoke('setStyle',{'display':'block'});

				if (arguments.callee.done) return; arguments.callee.done = true;

				Tabs[2]['table'] = new WMS.Pbx('pbxestbl', classFileName + '&newclass=aclpbx',{
					livesearch: 'pbxessearch',
					pbxSerial: '<?=$curPbx['pbxSerial'] ?>',
					perm:{
                        is_root: <?=((WMS_Permissions::getInstance()->is_root())?1:0) ?>
					}
				});

			}.bind(window)
		}
	},
    // /pbxes
	<?php }?>
    // phonebooks
    {id: 'phonebooks', label: '<?=_t('aclpbx.Phonebooks');?>',
        listeners: {
            'click' : function() {
                var tabidx = <?=($pbx_net_mode==0)?2:3;?>;
                if( TabView.tabs.getTab(tabidx).get('disabled')) return;

                $$('div.searchbar').invoke('setStyle',{'display':'none'});

                if (arguments.callee.done) return; arguments.callee.done = true;

                Tabs[tabidx]['table'] = new WMS.Phonebooks('phonebookstbl', classFileName + '&newclass=aclpbx',{
					pSyncFields: <?=json_encode($phonebooks_class->get_sync_attributes('new'))?>,
					is_wcloud: <?=(($license->isCloud())?1:0); ?>,
					perm:{
						is_cti_mounted: <?=((is_cti_mounted())?1:0) ?>,
						page_users_phonebooks3: <?=((WMS_Permissions::getInstance()->is_allowed('page','users__phonebooks3'))?1:0) ?>
					}
				});

            }.bind(window)
        }
    },
    // /phonebooks
];

document.observe('WMS:load', function() {

    // Dialplan does not exists error handler
    var badDialplanUsers = new Array();

    $(<?= json_encode(getUsersBadDialplan())?>).each(function(v) {
          badDialplanUsers.push(v.cn);
    });
    if (badDialplanUsers.length > 0) {
        t = '<?=_t('aclpbx.dialplanDoesNotExistsForUsers', '%s');?>';
        setError('error', t.replace('%s', badDialplanUsers.join(', ')));
    }

    TabView = new WMS.TabView('acl_wmstabs').addTabs(
            Tabs.collect(
                    function(hash) {
                        if( ! hash) {return;}
                        return Object.extend(hash, {content: TabTpl.interpolate({id:hash.id})});
                    }
            )
    );

    $('acl_wmstabs').childElements()[0]
    .wrap(new Element('div',{'style':'float:left;','class':'wmstabsdiv'}))
    .insert({'after':'<div style="clear:left;height:5px"></div>'})
    .insert({'after':'<div class="searchbar" id="livesearch_pbxestbl" style="display:none;"><font id="livemsg">&nbsp;</font><label><input size=20 id="pbxessearch" placeholder="<?=_t('datatable.sSearch');?>"><i class="fa fa-search"></i></label>&nbsp;</div>'})
    .insert({'after':'<div class="searchbar" id="livesearch_groupstbl" style="display:none;"><font id="livemsg">&nbsp;</font><label><input size=20 id="groupssearch" placeholder="<?=_t('datatable.sSearch');?>"><i class="fa fa-search"></i></label>&nbsp;</div>'})
    .insert({'after':'<div class="searchbar" id="livesearch_peopletbl" style="display:none;"><font id="livemsg">&nbsp;</font><label><input size=20 id="peoplesearch" placeholder="<?=_t('datatable.sSearch');?>"><i class="fa fa-search"></i></label>&nbsp;</div>'});

    TabView.tabs.on('contentReady', function() {
        Tabs.each(function(hash,index){
            if(hash.listeners && hash.listeners.length != 0) {
                $H(hash.listeners).keys().each(function(event){
                    return this.getTab(index).addListener(event,hash.listeners[event]);
                }.bind(this));
            }
        }.bind(this));

    });
});

var raiseErrors = function(oErrors,suffix){
    if (typeof(suffix) == "undefined") suffix = '<br>'
    for(key in oErrors) {
        Element.insert(key,{'before':
            '<span class="err_span" style="color:#ff0000;padding-left:10px">'+oErrors[key]+suffix+'</span>'
        });
    }
}

function ret_confirm_delete(){
    return arguments[0] && arguments[0] != ''
      ? confirm("<?=_t('JS.ConfirmDelete');?> - "+arguments[0]+"?"): confirm("<?=_t('JS.ConfirmDelete');?>?");
}

</script>

<?php if ($pbx_net_mode){?>
<script type="text/template" id="pbx_remove_div">
	<p><?= _t('multipbx.SelectNewOwnerRemove') ?></p><br/>
	<form id="pbxRemove">
		<input name="pbx_id" type="hidden" id="pbx_id" />
		<select name="new_pbx_id" id="new_pbx_id"></select>
	</form>
</script>
<?php }?>

<div id="add_edit_acl_form" style="position:absolute;top:-1000px;left:-1000px;background-color:#fff" >
    <form #{hash}="set_acl_form" onsubmit="return false;">
        <table cellpadding="0" cellspacing="0" border="0" width="97%"><tbody>
<?php
if (WMS_Permissions::getInstance()->is_root()) {
?>
        <tr><td><input type="hidden" #{hash}="edit_group_dn" />
            <?=_t('aclpbx.Group');?> <input type="text" #{hash}="edit_group_cn" style="margin:0px" />
            <input type="hidden" #{hash}="__edit_group_cn" />
            <?=_t('aclpbx.InheritsFrom');?> <span #{hash}="__edit_group_owner_span"></span>
            <?=_t('aclpbx.wcgrp');?> <input type="text" #{hash}="edit_group_wcgrp" style="margin:0px" size="5" />
        </td></tr>
<?php
} else {
?>
        <tr><td><input type="hidden" #{hash}="edit_group_dn" />
            <input type="hidden" #{hash}="edit_group_cn" />
            <input type="hidden" #{hash}="__edit_group_cn" />
            <input type="hidden" #{hash}="edit_group_owner" />
            <input type="hidden" #{hash}="edit_group_wcgrp" />
        </td></tr>
<?php } ?>
        <tr><td>

            <table #{hash}='acl_edit_t_id' cellpadding="0" cellspacing="0" border="0" width="100%"><tbody>
                <tr align=center>
                    <td class="title" align='center'><?=_t('aclpbx.Ability');?></td>
                    <td class="title" align='center'><?=_t('aclpbx.Access');?></td>
                    <td class="title" align='center'><?=_t('aclpbx.Group');?></td>
                    <td class="title" align='center' width='40px'><?=_t('strings.Action');?></td>
                </tr>
            </tbody></table>
        </td></tr>
        </tbody></table>
    </form>
</div>

<div id="add_edit_permissions_form" style="position:absolute;top:-1000px;left:-1000px;background-color:#fff" >
    <form #{hash}="set_permissions_form" onsubmit="saveGroupPermissions(); return false;">
        <input type="hidden" #{hash}="edit_group_dn_perms" />
        <table cellpadding="0" cellspacing="0" border="0" width="97%"><tbody>
        <tr><td>
            <table #{hash}='permissions_edit_t_id' cellpadding="0" cellspacing="0" border="0" width="100%"><tbody>
            <tr align=center>
                <td class="title" align='center'><?=_t('aclpbx.Ability');?></td>
                <td class="title" align='center'><?=_t('aclpbx.Access');?></td>
                <td class="title" align='center' width='40px'><?=_t('strings.Action');?></td>
            </tr>
            </tbody></table>
        </td></tr>
        </tbody></table>
    </form>
</div>

<script type="text/template" id="users_sync_div">
    <div #{hash}="users_sync_settings_div">
        <div #{hash}="users_sync_backend_settings" style="text-align:left;width:330px;float:left;">
            <form #{hash}="users_sync_backend_settings_form" onsubmit="return false;">
                <table>
                    <tr>
                        <td colspan="2" class='tablehead'>&nbsp;<?=_t('aclpbx.BackendSettings');?></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.Backend');?></td>
                        <td><select #{hash}="u_s_backend_backend" style="margin-left:10px;" ></select></td>
                    </tr>

                    <tr class="u_s_backend_ldap">
                        <td><?=_t('cdr.Hostname');?></td>
                        <td><input #{hash}="u_s_backend_ldap_host" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_ldap">
                        <td><?=_t('cdr.Port');?></td>
                        <td><input #{hash}="u_s_backend_ldap_port" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_ldap">
                        <td><?=_t('aclpbx.connectSecure');?></td>
                        <td><input #{hash}="u_s_backend_ldap_secure" type="checkbox" value="yes" /></td>
                    </tr>
                    <tr class="u_s_backend_ldap">
                        <td><?=_t('cdr.User');?></td>
                        <td>
                        	<!-- hak autocompleate -->
							<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						    <input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						    <!-- end hak -->
                        	<input #{hash}="u_s_backend_ldap_user" type="text" size="25" />
                        </td>
                    </tr>
                    <tr class="u_s_backend_ldap">
                        <td><?=_t('cdr.Password');?></td>
                        <td><input #{hash}="u_s_backend_ldap_password" type="password" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_ldap">
                        <td><?=_t('aclpbx.baseDn');?></td>
                        <td><input #{hash}="u_s_backend_ldap_basedn" type="text" size="25" /></td>
                    </tr>

					<tr class="u_s_backend_activeD">
                        <td><?=_t('cdr.Hostname');?></td>
                        <td><input #{hash}="u_s_backend_activeD_host" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('cdr.Port');?></td>
                        <td><input #{hash}="u_s_backend_activeD_port" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.connectSecure');?></td>
                        <td><input #{hash}="u_s_backend_activeD_secure" type="checkbox" value="yes" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('cdr.User');?></td>
                        <td>
                        	<!-- hak autocompleate -->
							<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						    <input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						    <!-- end hak -->
                        	<input #{hash}="u_s_backend_activeD_user" type="text" size="25" />
                        </td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('cdr.Password');?></td>
                        <td><input #{hash}="u_s_backend_activeD_password" type="password" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.baseDn');?></td>
                        <td><input #{hash}="u_s_backend_activeD_basedn" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.windomain');?></td>
                        <td><input #{hash}="u_s_backend_activeD_windomain" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.fulldomain');?></td>
                        <td><input #{hash}="u_s_backend_activeD_fullDomain" type="text" size="25" /></td>
                    </tr>
					<tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.SignOn');?></td>
                        <td><input #{hash}="u_s_backend_activeD_signon" type="checkbox" value="yes" /></td>
                    </tr>
                    <tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.SignOnOnly');?></td>
                        <td><input #{hash}="u_s_backend_activeD_signon_only" type="checkbox" value="yes" /></td>
                    </tr>

                    <tr class="u_s_backend_domino">
                        <td><?=_t('cdr.Hostname');?></td>
                        <td><input #{hash}="u_s_backend_domino_host" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_domino">
                        <td><?=_t('cdr.Port');?></td>
                        <td><input #{hash}="u_s_backend_domino_port" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_domino">
                        <td><?=_t('aclpbx.connectSecure');?></td>
                        <td><input #{hash}="u_s_backend_domino_secure" type="checkbox" value="yes" /></td>
                    </tr>
                    <tr class="u_s_backend_domino">
                        <td><?=_t('cdr.User');?></td>
                        <td>
                            <!-- hak autocompleate -->
			                <input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
			                <input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
			                <!-- end hak -->
                            <input #{hash}="u_s_backend_domino_user" type="text" size="25" />
                        </td>
                    </tr>
                    <tr class="u_s_backend_domino">
                        <td><?=_t('cdr.Password');?></td>
                        <td><input #{hash}="u_s_backend_domino_password" type="password" size="25" /></td>
                    </tr>
                    <!--<tr class="u_s_backend_domino">-->
                        <!--<td><?=_t('aclpbx.baseDn');?></td>-->
                        <!--<td><input #{hash}="u_s_backend_domino_basedn" type="text" size="25" /></td>-->
                    <!--</tr>-->
                    <tr class="u_s_backend_domino">
                        <td><?=_t('aclpbx.SignOn');?></td>
                        <td><input #{hash}="u_s_backend_domino_signon" type="checkbox" value="yes" /></td>
                    </tr>
                    <tr class="u_s_backend_domino">
                        <td><?=_t('aclpbx.SignOnOnly');?></td>
                        <td><input #{hash}="u_s_backend_domino_signon_only" type="checkbox" value="yes" /></td>
                    </tr>

                    <tr class="u_s_backend_mysql">
                        <td><?=_t('cdr.Hostname');?></td>
                        <td><input #{hash}="u_s_backend_mysql_host" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mysql">
                        <td><?=_t('cdr.Port');?></td>
                        <td><input #{hash}="u_s_backend_mysql_port" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mysql">
                        <td><?=_t('cdr.User');?></td>
                        <td>
                        	<!-- hak autocompleate -->
							<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
							<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
							<!-- end hak -->
                        	<input #{hash}="u_s_backend_mysql_user" type="text" size="25" />
                        </td>
                    </tr>
                    <tr class="u_s_backend_mysql">
                        <td><?=_t('cdr.Password');?></td>
                        <td><input #{hash}="u_s_backend_mysql_password" type="password" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mysql">
                        <td><?=_t('cdr.DatabaseName');?></td>
                        <td><input #{hash}="u_s_backend_mysql_database" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mysql">
                        <td><?=_t('strings.Timeout');?></td>
                        <td><input #{hash}="u_s_backend_mysql_timeout" type="text" size="5" /></td>
                    </tr>

                    <tr class="u_s_backend_mssql">
                        <td><?=_t('cdr.Hostname');?></td>
                        <td><input #{hash}="u_s_backend_mssql_host" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mssql">
                        <td><?=_t('cdr.Port');?></td>
                        <td><input #{hash}="u_s_backend_mssql_port" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mssql">
                        <td><?=_t('cdr.User');?></td>
                        <td>
                        	<!-- hak autocompleate -->
							<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
							<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
							<!-- end hak -->
							<input #{hash}="u_s_backend_mssql_user" type="text" size="25" />
						</td>
                    </tr>
                    <tr class="u_s_backend_mssql">
                        <td><?=_t('cdr.Password');?></td>
                        <td><input #{hash}="u_s_backend_mssql_password" type="password" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mssql">
                        <td><?=_t('cdr.DatabaseName');?></td>
                        <td><input #{hash}="u_s_backend_mssql_database" type="text" size="25" /></td>
                    </tr>
                    <tr class="u_s_backend_mssql">
                        <td><?=_t('strings.Timeout');?></td>
                        <td><input #{hash}="u_s_backend_mssql_timeout" type="text" size="5" /></td>
                    </tr>

				<tr class="u_s_backend_office365">
                    <td>Mail</td>
                    <td>
                        <label id="u_s_backend_office365_mail_text"></label>
                        <input #{hash}="u_s_backend_office365_mail" disabled="disabled" type="hidden" value="">
                    </td>
                </tr>
                <tr class="u_s_backend_office365">
                    <td><?//=_t('aclpbx.SignOnOnly');?></td>
                    <td><input #{hash}="u_s_backend_office365_signon_only" disabled="disabled" type="hidden" value="" /></td>  <!-- type="checkbox" value="yes"/></td> -->
                </tr>
                <tr class="u_s_backend_office365">
                    <td><!-- Received token time--></td>
                    <td><input #{hash}="u_s_backend_office365_received_token_time" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_office365">
                    <td><!-- Access token--></td>
                    <td><input #{hash}="u_s_backend_office365_access_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_office365">
                    <td><!-- Token type--></td>
                    <td><input #{hash}="u_s_backend_office365_token_type" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_office365">
                    <td><!-- Expires in--></td>
                    <td><input #{hash}="u_s_backend_office365_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_office365">
                    <td><!-- Id token--></td>
                    <td><input #{hash}="u_s_backend_office365_id_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
				<tr class="u_s_backend_office365">
                    <td><!-- Id token expires in--></td>
                    <td><input #{hash}="u_s_backend_office365_id_token_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
				<tr class="u_s_backend_office365">
                    <td><!-- Refresh token--></td>
                    <td><input #{hash}="u_s_backend_office365_refresh_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_office365">
                    <td></td>
                    <td><input #{hash}="u_s_backend_office365_login" type="button" value="Login"><input #{hash}="u_s_backend_office365_logout" type="button" value="Logout" style="display: none;"></td>
                </tr>

                    <tr class="u_s_backend_zohoCrm">
                        <td>User: </td>
                        <td>
                            <label id="u_s_backend_zohoCrm_full_name_text"></label>
                            <input #{hash}="u_s_backend_zohoCrm_full_name" disabled="disabled" type="hidden" value="">
                        </td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Received token time--></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_received_token_time" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Access token--></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_access_token" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Token type--></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_token_type" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Expires in--></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_expires_in" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- API Domain--></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_api_domain" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Location --></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_location" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Accounts server --></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_accounts_server" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td><!-- Refresh token--></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_refresh_token" disabled="disabled" type="hidden" value=""></td>
                    </tr>
                    <tr class="u_s_backend_zohoCrm">
                        <td></td>
                        <td><input #{hash}="u_s_backend_zohoCrm_login" type="button" value="Login"><input #{hash}="u_s_backend_zohoCrm_logout" type="button" value="Logout" style="display: none;"></td>
                    </tr>

                <tr class="u_s_backend_google">
                    <td>Mail</td>
                    <td>
                        <label id="u_s_backend_google_mail_text"></label>
                        <input #{hash}="u_s_backend_google_mail" disabled="disabled" type="hidden" value="">
                    </td>
                </tr>
                <tr class="u_s_backend_google">
                    <td><?//=_t('aclpbx.SignOnOnly');?></td>
                    <td><input #{hash}="u_s_backend_google_signon_only" disabled="disabled" type="hidden" value="" /></td>  <!-- type="checkbox" value="yes"/></td> -->
                </tr>
                <tr class="u_s_backend_google">
                    <td><!-- Received token time--></td>
                    <td><input #{hash}="u_s_backend_google_received_token_time" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td><!-- Access token--></td>
                    <td><input #{hash}="u_s_backend_google_access_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td><!-- Token type--></td>
                    <td><input #{hash}="u_s_backend_google_token_type" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td><!-- Expires in--></td>
                    <td><input #{hash}="u_s_backend_google_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td><!-- Refresh token--></td>
                    <td><input #{hash}="u_s_backend_google_refresh_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td><!-- Phonebooks--></td>
                    <td><input #{hash}="u_s_backend_google_phonebooks" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td colspan="2" class="phonebooksList"></td>
                </tr>
                <tr class="u_s_backend_google">
                    <td></td>
                    <td><input #{hash}="u_s_backend_google_login" type="button" value="Login"><input #{hash}="u_s_backend_google_logout" type="button" value="Logout" style="display: none;"></td>
                </tr>

                    <tr class="u_s_hint_office365">
                        <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                            <div class="hint_title" data-target=".office365_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong><i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                            <div class="office365_fields" style="display: none">
                                id, businessPhones, displayName, givenName, surname, mail, jobTitle, mobilePhone,
                                officeLocation, preferredLanguage, userPrincipalName, department
                            </div>
                        </td>
                    </tr>

                    <tr class="u_s_hint_google">
                        <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                            <div class="hint_title" data-target=".google_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong><i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                            <div class="google_fields" style="display: none">
                                id, name, firstName, lastName, login, phone, phoneWorkFax, phoneWork, phoneMobile,
                                email, group, password, avatar, department
                            </div>
                        </td>
                    </tr>

                    <tr class="u_s_hint_zohoCrm">
                        <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                            <div class="hint_title" data-target=".google_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong><i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                            <div class="google_fields" style="display: none">
                                country, city, language, street, fax, firstName, email,
                                zip, website, mobile, lastName, fullName, phone, dateOfBirth, role, profile
                            </div>
                        </td>
                    </tr>
                </table>
            </form>
        </div> <!-- end of users_sync_backend_settings -->

        <div #{hash}="users_sync_map_settings" style="text-align:left;">
            <form #{hash}="users_sync_map_settings_form" onsubmit="return false;">
                <table>
                    <tr>
                        <td colspan="2" class='map_tooltip tablehead'>&nbsp;<?=_t('aclpbx.Map');?>&nbsp;<i class="fa fa-question-circle" aria-hidden="true"></i></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.sourceId');?></td>
                        <td><input #{hash}="us_map_sourceId_on" class="uSyncToggleMapAttr" type="checkbox" value="1" checked="checked"/> <input #{hash}="us_map_sourceId" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.userKind');?></td>
                        <td><input #{hash}="us_map_userKind_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_userKind" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.cn');?></td>
                        <td><input #{hash}="us_map_cn_on" class="uSyncToggleMapAttr" type="checkbox" value="1" checked="checked" /> <input #{hash}="us_map_cn" type="text" size="25" /></td>
                    </tr>
					<tr>
                        <td><?=_t('aclpbx.userPrincipalName');?></td>
                        <td><input #{hash}="us_map_userPrincipalName_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_userPrincipalName" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.extenNumber');?></td>
                        <td><input #{hash}="us_map_extenNumber_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_extenNumber" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.facsimileTelephoneNumber');?></td>
                        <td><input #{hash}="us_map_facsimileTelephoneNumber_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_facsimileTelephoneNumber" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.officeNumber');?></td>
                        <td><input #{hash}="us_map_officeNumber_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_officeNumber" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.mail');?></td>
                        <td><input #{hash}="us_map_mail_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_mail" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.mobile');?></td>
                        <td><input #{hash}="us_map_mobile_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_mobile" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.userDialplan');?></td>
                        <td><input #{hash}="us_map_userDialplan_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_userDialplan" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.userFaxDialplan');?></td>
                        <td><input #{hash}="us_map_userFaxDialplan_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_userFaxDialplan" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.preferredLanguage');?></td>
                        <td><input #{hash}="us_map_preferredLanguage_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_preferredLanguage" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.owner');?></td>
                        <td><input #{hash}="us_map_owner_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_owner" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.ou');?></td>
                        <td><input #{hash}="us_map_ou_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_ou" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.importUserPassword ');?></td>
                        <td><input #{hash}="us_map_userPassword_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_userPassword" type="text" size="25" /></td>
                    </tr>
					<tr>
                        <td><?=_t('aclpbx.importUserPasswordSip');?></td>
                        <td><input #{hash}="us_map_wuserPasswordSip_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_wuserPasswordSip" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.imageUrl');?></td>
                        <td><input #{hash}="us_map_imageUrl_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_imageUrl" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.licenseType');?></td>
                        <td><input #{hash}="us_map_licenseType_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_licenseType" type="text" size="25" /></td>
                    </tr>
                    <tr>
                        <td><?=_t('aclpbx.pbxowner');?></td>
                        <td><input #{hash}="us_map_pbxowner_on" class="uSyncToggleMapAttr" type="checkbox" /> <input #{hash}="us_map_pbxowner" type="text" size="25" /></td>
                    </tr>
                </table>
            </form>
        </div> <!-- end of users_sync_map_settings -->

        <div #{hash}="users_sync_bottom" style="text-align:left;margin-top:10px;">
            <form #{hash}="users_sync_backend_settings_filter_form" action="aclpbx/index.php?action=users_sync&type=uploadCSV" method="post" enctype="multipart/form-data" onsubmit="return false;">
                <table>
                    <tr style="height:20px;">
                        <td><input #{hash}="u_s_global_remove_users" type="checkbox" /></td>
                        <td><label for="u_s_global_remove_users"><?=_t('aclpbx.removeExistingUsers',_t('strings.users'));?></label></td>
                    </tr>
                    <tr style="height:20px;">
                        <td><input #{hash}="u_s_global_erase_values" type="checkbox" /></td>
                        <td><label for="u_s_global_erase_values"><?=_t('aclpbx.eraseUserValues');?></label> (<?=_t('strings.onlyFor');?> <?=_t('aclpbx.facsimileTelephoneNumber');?>, <?=_t('aclpbx.officeNumber');?>, <?=_t('aclpbx.mail');?>, <?=_t('aclpbx.mobile');?>, <?=_t('aclpbx.ou');?>, <?=_t('aclpbx.imageUrl');?>)</td>
                    </tr>
                    <tr style="height:5px;">
                        <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr class="u_s_backend_ldap">
                        <td><?=_t('aclpbx.Filter');?></td>
                        <td><!-- <select #{hash}="u_s_backend_ldap_filter" style="width:650px;"></select>  -->
                            <textarea #{hash}="u_s_backend_ldap_filter" style="width:650px;"></textarea>
                        </td>
                    </tr>
		    <tr class="u_s_backend_activeD">
                        <td><?=_t('aclpbx.Filter');?></td>
                        <td>
                            <textarea #{hash}="u_s_backend_activeD_filter" style="width:650px;"></textarea>
                        </td>
		    <tr class="u_s_backend_domino">
                        <td><?=_t('aclpbx.Filter');?></td>
                        <td>
                            <textarea #{hash}="u_s_backend_domino_filter" style="width:650px;"></textarea>
                        </td>
                    </tr>
                    <tr class="u_s_backend_mysql">
                        <td><?=_t('aclpbx.Filter');?></td>
                        <td><!-- <select #{hash}="u_s_backend_mysql_filter" style="width:650px;"></select> -->
                            <textarea #{hash}="u_s_backend_mysql_filter" style="width:650px;"></textarea>
                        </td>
                    </tr>
                    <tr class="u_s_backend_mssql">
                        <td><?=_t('aclpbx.Filter');?></td>
                        <td><!-- <select #{hash}="u_s_backend_mssql_filter" style="width:650px;"></select> -->
                            <textarea #{hash}="u_s_backend_mssql_filter" style="width:650px;"></textarea>
                        </td>
                    </tr>

                    <tr class="u_s_backend_csv">
                        <td colspan="2">
                            <?=_t('aclpbx.CsvFile');?>:
                            <select #{hash}="u_s_backend_csv_import_type">
								<option value="upload"><?=_t('buttons.Upload');?></option>
								<?php if(! $license->isCloud() && $samba_mounts):?>
								<option value="share"><?=_t('devices.SmbShare');?></option>
								<?php endif; ?>
							</select>
                            <span #{hash}="u_s_backend_csv_import_type_upload"><input type="file" name="u_s_backend_csv_filename" #{hash}="u_s_backend_csv_fileid" /></span>
                            <span #{hash}="u_s_backend_csv_import_type_share">
                                <select #{hash}="u_s_backend_csv_import_mountpoint"></select>
                                <?=_t('prefs.File');?>
                                <input type="text" #{hash}="u_s_backend_csv_import_filepath" />
                            </span>
                            <input type="hidden" #{hash}="u_s_backend_csv_params" />
                            <input type="hidden" name="action" value="users_sync" />
                            <input type="hidden" name="<?= Session::CSRF_TOKEN_HEADER;?>" value="<?= Session::getCsrfToken();?>" />
                        </td>
                    </tr>
                </table>
            </form>
        </div> <!-- end of users_sync_bottom -->

        <div #{hash}="users_sync_recurrent" style="text-align:left;margin-top:25px;">
            <form #{hash}="users_sync_recurrent_form" onsubmit="return false;">
                <table>
                    <tr>
                        <td class='tablehead'>&nbsp;<?=_t('aclpbx.RecurrentJob');?></td>
                    </tr>
                    <tr>
                        <td align="left">
                            <input #{hash}="us_recurrent_on" type="checkbox" />
                            <label for="us_recurrent_on"><?=_t('aclpbx.set_sync_recurrent_job_to_perform');?></label>
                            <select #{hash}="us_recurrent_interval" style="margin-left:10px;"></select> <?=_t('strings.hour');?>.
                            <?=_t('aclpbx.set_sync_feedback_email');?>:
                            <input #{hash}="us_recurrent_email" type="text" size="25" />
                        </td>
                    </tr>
                </table>
            </form>
        </div><!-- end of users_sync_recurrent -->

    </div><!-- end of users_sync_settings_div -->

    <div #{hash}="users_sync_log_div">
    </div><!-- end of users_sync_log_div -->

</script><!-- end of users_sync_div -->

<script type="text/template" id="phonebooks_sync_div">
    <div #{hash}="phonebooks_sync_settings_div">
        <input #{hash}="p_s_phonebook_id" type="hidden" />
        <div #{hash}="phonebooks_sync_backend_settings" style="text-align:left;width:330px;float:left;">
            <form #{hash}="phonebooks_sync_backend_settings_form" onsubmit="return false;">
            <table style="width:330px;">
                <tr>
                    <td colspan="2" class='tablehead'>&nbsp;<?=_t('aclpbx.BackendSettings');?></td>
                </tr>
                <tr>
                    <td><?=_t('aclpbx.Backend');?></td>
                    <td><select #{hash}="p_s_backend_backend" style="margin-left:10px;"></select></td>
                </tr>

                <tr class="p_s_backend_ldap">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_ldap_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_ldap">
                    <td><?=_t('cdr.Port');?></td>
                    <td><input #{hash}="p_s_backend_ldap_port" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_ldap">
                    <td><?=_t('aclpbx.connectSecure');?></td>
                    <td><input #{hash}="p_s_backend_ldap_secure" type="checkbox" value="yes" /></td>
                </tr>
                <tr class="p_s_backend_ldap">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                    	<!-- hak autocompleate -->
						<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						<!-- end hak -->
                    	<input #{hash}="p_s_backend_ldap_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_ldap">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_ldap_password" type="password" size="25" /></td>
                </tr>
                <tr class="p_s_backend_ldap">
                    <td><?=_t('aclpbx.baseDn');?></td>
                    <td><input #{hash}="p_s_backend_ldap_basedn" type="text" size="25" /></td>
                </tr>
				<tr class="p_s_backend_activeD">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_activeD_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_activeD">
                    <td><?=_t('cdr.Port');?></td>
                    <td><input #{hash}="p_s_backend_activeD_port" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_activeD">
                    <td><?=_t('aclpbx.connectSecure');?></td>
                    <td><input #{hash}="p_s_backend_activeD_secure" type="checkbox" value="yes" /></td>
                </tr>
                <tr class="p_s_backend_activeD">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                    	<!-- hak autocompleate -->
						<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						<!-- end hak -->
                    	<input #{hash}="p_s_backend_activeD_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_activeD">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_activeD_password" type="password" size="25" /></td>
                </tr>
                <tr class="p_s_backend_activeD">
                    <td><?=_t('aclpbx.baseDn');?></td>
                    <td><input #{hash}="p_s_backend_activeD_basedn" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_domino">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_domino_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_domino">
                    <td><?=_t('cdr.Port');?></td>
                    <td><input #{hash}="p_s_backend_domino_port" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_domino">
                    <td><?=_t('aclpbx.connectSecure');?></td>
                    <td><input #{hash}="p_s_backend_domino_secure" type="checkbox" value="yes" /></td>
                </tr>
                <tr class="p_s_backend_domino">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                        <!-- hak autocompleate -->
                        <input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
                        <input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
                        <!-- end hak -->
                        <input #{hash}="p_s_backend_domino_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_domino">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_domino_password" type="password" size="25" /></td>
                </tr>
                <!--<tr class="p_s_backend_domino">-->
                    <!--<td><?=_t('aclpbx.baseDn');?></td>-->
                    <!--<td><input #{hash}="p_s_backend_domino_basedn" type="text" size="25" /></td>-->
                <!--</tr>-->
                <tr class="p_s_backend_mysql">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_mysql_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mysql">
                    <td><?=_t('cdr.Port');?></td>
                    <td><input #{hash}="p_s_backend_mysql_port" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mysql">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                    	<!-- hak autocompleate -->
						<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						<!-- end hak -->
                    	<input #{hash}="p_s_backend_mysql_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_mysql">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_mysql_password" type="password" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mysql">
                    <td><?=_t('cdr.DatabaseName');?></td>
                    <td><input #{hash}="p_s_backend_mysql_database" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mysql">
                    <td><?=_t('strings.Timeout');?></td>
                    <td><input #{hash}="p_s_backend_mysql_timeout" type="text" size="5" /></td>
                </tr>

                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_hanaDb_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('cdr.Port');?></td>
                    <td><input #{hash}="p_s_backend_hanaDb_port" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                    	<!-- hak autocompleate -->
						<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						<!-- end hak -->
                    	<input #{hash}="p_s_backend_hanaDb_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_hanaDb_password" type="password" size="25" /></td>
                </tr>
                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('cdr.DatabaseName');?></td>
                    <td><input #{hash}="p_s_backend_hanaDb_database" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('strings.Timeout');?></td>
                    <td><input #{hash}="p_s_backend_hanaDb_timeout" type="text" size="5" /></td>
                </tr>

                <tr class="p_s_backend_mssql">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_mssql_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mssql">
                    <td><?=_t('cdr.Port');?></td>
                    <td><input #{hash}="p_s_backend_mssql_port" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mssql">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                    	<!-- hak autocompleate -->
						<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						<!-- end hak -->
                    	<input #{hash}="p_s_backend_mssql_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_mssql">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_mssql_password" type="password" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mssql">
                    <td><?=_t('cdr.DatabaseName');?></td>
                    <td><input #{hash}="p_s_backend_mssql_database" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_mssql">
                    <td><?=_t('strings.Timeout');?></td>
                    <td><input #{hash}="p_s_backend_mssql_timeout" type="text" size="5" /></td>
                </tr>
				<tr class="p_s_backend_office365">
                    <td>Access to organizational contacts</td>
                    <td><input #{hash}="p_s_backend_office365_access_to_directory" type="checkbox"></td>
                </tr>
				<tr class="p_s_backend_office365">
                    <td>Mail</td>
                    <td>
                        <label id="p_s_backend_office365_mail_text"></label>
                        <input #{hash}="p_s_backend_office365_mail" disabled="disabled" type="hidden" value="">
                    </td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td><!-- Received token time--></td>
                    <td><input #{hash}="p_s_backend_office365_received_token_time" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td><!-- Access token--></td>
                    <td><input #{hash}="p_s_backend_office365_access_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td><!-- Token type--></td>
                    <td><input #{hash}="p_s_backend_office365_token_type" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td><!-- Expires in--></td>
                    <td><input #{hash}="p_s_backend_office365_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td><!-- Id token--></td>
                    <td><input #{hash}="p_s_backend_office365_id_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
				<tr class="p_s_backend_office365">
                    <td><!-- Id token expires in--></td>
                    <td><input #{hash}="p_s_backend_office365_id_token_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
				<tr class="p_s_backend_office365">
                    <td><!-- Refresh token--></td>
                    <td><input #{hash}="p_s_backend_office365_refresh_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td><!-- Phonebooks--></td>
                    <td><input #{hash}="p_s_backend_office365_phonebooks" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td colspan="2" class="phonebooksList"></td>
                </tr>
                <tr class="p_s_backend_office365">
                    <td></td>
                    <td><input #{hash}="p_s_backend_office365_login" type="button" value="Login"><input #{hash}="p_s_backend_office365_logout" type="button" value="Logout" style="display: none;"></td>
                </tr>

                <tr class="p_s_backend_google">
                    <td>Mail</td>
                    <td>
                        <label id="p_s_backend_google_mail_text"></label>
                        <input #{hash}="p_s_backend_google_mail" disabled="disabled" type="hidden" value="">
                    </td>
                </tr>
                <tr class="p_s_backend_google">
                    <td><!-- Received token time--></td>
                    <td><input #{hash}="p_s_backend_google_received_token_time" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td><!-- Access token--></td>
                    <td><input #{hash}="p_s_backend_google_access_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td><!-- Token type--></td>
                    <td><input #{hash}="p_s_backend_google_token_type" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td><!-- Expires in--></td>
                    <td><input #{hash}="p_s_backend_google_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td><!-- Refresh token--></td>
                    <td><input #{hash}="p_s_backend_google_refresh_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td><!-- Phonebooks--></td>
                    <td><input #{hash}="p_s_backend_google_phonebooks" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td colspan="2" class="phonebooksList"></td>
                </tr>
                <tr class="p_s_backend_google">
                    <td></td>
                    <td><input #{hash}="p_s_backend_google_login" type="button" value="Login"><input #{hash}="p_s_backend_google_logout" type="button" value="Logout" style="display: none;"></td>
                </tr>

                <tr class="p_s_backend_infusionsoft">
                    <td>Mail</td>
                    <td>
                        <label id="p_s_backend_infusionsoft_mail_text"></label>
                        <input #{hash}="p_s_backend_infusionsoft_mail" disabled="disabled" type="hidden" value="">
                    </td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td>App</td>
                    <td>
                        <label id="p_s_backend_infusionsoft_app_text"></label>
                        <input #{hash}="p_s_backend_infusionsoft_app" disabled="disabled" type="hidden" value="">
                    </td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td><!-- Received token time--></td>
                    <td><input #{hash}="p_s_backend_infusionsoft_received_token_time" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td><!-- Access token--></td>
                    <td><input #{hash}="p_s_backend_infusionsoft_access_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td><!-- Token type--></td>
                    <td><input #{hash}="p_s_backend_infusionsoft_token_type" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td><!-- Expires in--></td>
                    <td><input #{hash}="p_s_backend_infusionsoft_expires_in" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td><!-- Refresh token--></td>
                    <td><input #{hash}="p_s_backend_infusionsoft_refresh_token" disabled="disabled" type="hidden" value=""></td>
                </tr>
                <tr class="p_s_backend_infusionsoft">
                    <td></td>
                    <td><input #{hash}="p_s_backend_infusionsoft_login" type="button" value="Login"><input #{hash}="p_s_backend_infusionsoft_logout" type="button" value="Logout" style="display: none;"></td>
                </tr>

				<tr class="p_s_backend_exchange">
                    <td><?=_t('cdr.Hostname');?></td>
                    <td><input #{hash}="p_s_backend_exchange_host" type="text" size="25" /></td>
                </tr>
                <tr class="p_s_backend_exchange">
                    <td><?=_t('cdr.User');?></td>
                    <td>
                    	<!-- hak autocompleate -->
						<input class="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						<input class="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						<!-- end hak -->
                    	<input #{hash}="p_s_backend_exchange_user" type="text" size="25" />
                    </td>
                </tr>
                <tr class="p_s_backend_exchange">
                    <td><?=_t('cdr.Password');?></td>
                    <td><input #{hash}="p_s_backend_exchange_password" type="password" size="25" /></td>
                </tr>
				<tr class="p_s_backend_exchange">
                    <td><!-- Phonebooks--></td>
                    <td><input #{hash}="p_s_backend_exchange_phonebooks" disabled="disabled" type="hidden" value=""></td>
                </tr>
 				<tr class="p_s_backend_exchange">
                    <td colspan="2" class="phonebooksList"></td>
                </tr>
                <tr class="p_s_backend_exchange">
                    <td></td>
                    <td><input #{hash}="p_s_backend_exchange_login" type="button" value="Login"><input #{hash}="p_s_backend_exchange_logout" type="button" value="Logout" style="display: none;"></td>
                </tr>
                <tr class="p_s_hint_exchange">
                    <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                        <div class="hint_title" data-target=".exchange_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong><i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                        <div class="exchange_fields" style="display: none">
                            id, name (firstName + lastName), firstName, middleName, lastName, companyName, department, assistantName, email1,
                            email2, email3, homePage, phoneAssistant, phoneBusinessFax, phoneBusiness, phoneBusiness2,
                            phoneCallback, phoneCar, phoneCompanyMain, phoneHomeFax, phoneHome, phoneHome2, phoneIsdn,
                            phoneMobile, phoneOtherFax, phoneOther, phonePager, phonePrimary, phoneRadio, phoneTelex,
                            phoneTtyTdd, addressBusiness, addressBusinessCity, addressBusinessPostalCode, addressBusinessState,
                            addressHome, addressHomeCity, addressHomePostalCode, addressHomeState, addressOther,
                            addressOtherCity, addressOtherPostalCode, addressOtherState
                        </div>
                    </td>
                </tr>
                <tr class="p_s_hint_office365">
                    <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                        <div class="hint_title" data-target=".office365_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong><i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                        <div class="office365_fields" style="display: none">
                            id, birthday, notes, name (firstName + lastName), firstName, middleName, lastName, nameTitle, website, email1, email2, email3,
                            phoneHome1, phoneHome2, phoneBusiness1, phoneBusiness2, phoneMobile1, company, addressHome, cityHome,
                            stateHome, regionHome, postcodeHome, addressWork, cityWork, stateWork, regionWork, postcodeWork,
                            addressOther, cityOther, stateOther, regionOther, postcodeOther
                        </div>
                    </td>
                </tr>
                <tr class="p_s_hint_google">
                    <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                        <div class="hint_title" data-target=".google_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong> <i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                        <div class="google_fields" style="display: none">
                            id, birthday, notes, name (firstName + lastName), firstName, additionalName, familyName, namePrefix, phoneWork,
                            phoneMobile, phoneHome, phoneMain, phoneWorkFax, phoneHomeFax, phonePager, organization,
                            emailHome, emailWork, websiteProfile, websiteBlog, websiteHomePage, websiteWork, addressHome,
                            streetHome, poboxHome, addressWork,  streetWork, poboxWork, cityHome, cityWork,
                            postcodeHome, postcodeWork, regionHome, regionWork
                        </div>
                    </td>
                </tr>
                <tr class="p_s_hint_infusionsoft">
                    <td colspan="2" style="line-height: 1.5; padding: 5px 20px 0px 5px;">
                        <div class="hint_title" data-target=".infusionsoft_fields"><strong style="cursor: pointer; text-decoration: underline;"><?=_t('aclpbx.avaliablefields');?></strong> <i style="margin-left: 5px; top: 1px; position: relative;" class="fa fa-long-arrow-down" aria-hidden="true"></i></div>
                        <div class="infusionsoft_fields" style="display: none">
                            id, owner, name (firstName + middleName + lastName), firstName, middleName, lastName, preferredName, namePrefix, nameSuffix, birthday,
                            notes, website, contactType, company, email1..3, Phone1..5, extensionPhone1..5, workPhone1..5, workExtensionPhone1..5,
                            homePhone1..5, homeExtensionPhone1..5, mobilePhone1..5, mobileExtensionPhone1..5, otherPhone1..5, otherExtensionPhone1..5,
                            Fax1..2, workFax1..2, homeFax1..2, otherFax1..2, billingCountryCode, billingStreetAddress1..2, billingCity, billingState, billingPostalCode,
                            shippingCountryCode, shippingStreetAddress1..2, shippingCity, shippingState, shippingPostalCode, otherCountryCode, otherStreetAddress1..2, otherCity, otherState, otherPostalCode
                        </div>
                    </td>
                </tr>
            </table>
        </form>
    </div> <!-- end of phonebooks_sync_backend_settings -->

    <div id="phonebooks_sync_map_settings">
	    <form #{hash}="phonebooks_sync_map_settings_form" onsubmit="return false;">
	        <table>
	            <tr>
	                <td colspan="2" class='map_tooltip tablehead'>&nbsp;<?=_t('aclpbx.Map');?>&nbsp; <i  class="fa fa-question-circle" aria-hidden="true"></i></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.source_id');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_source_id_on" type="checkbox" value="1" checked="checked" /> <input #{hash}="ps_map_source_id" type="text" size="25" /></td>
	            </tr>
                <tr style="display: none;">
                    <td></td>
                    <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_owner_id_on" type="checkbox" /> <input #{hash}="ps_map_owner_id" type="text" size="25" /></td>
                </tr>
	            <tr>
	                <td><?=_t('phonebooks.name_prefix');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_name_prefix_on" type="checkbox" /> <input #{hash}="ps_map_name_prefix" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.username');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_username_on" type="checkbox" value="1" checked="checked" /> <input #{hash}="ps_map_username" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.extension');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_extension_on" type="checkbox" /> <input #{hash}="ps_map_extension" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.office');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_office_on" type="checkbox" /> <input #{hash}="ps_map_office" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.mobile');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_mobile_on" type="checkbox" /> <input #{hash}="ps_map_mobile" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.home');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_home_on" type="checkbox" /> <input #{hash}="ps_map_home" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.home_mobile');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_home_mobile_on" type="checkbox" /> <input #{hash}="ps_map_home_mobile" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.phone');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_phone_on" type="checkbox" /> <input #{hash}="ps_map_phone" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.fax');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_fax_on" type="checkbox" /> <input #{hash}="ps_map_fax" type="text" size="25" /></td>
	            </tr>
				<tr>
	                <td><?=_t('phonebooks.email');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_email_on" type="checkbox" /> <input #{hash}="ps_map_email" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.organization');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_organization_on" type="checkbox" /> <input #{hash}="ps_map_organization" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.shortcut');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_shortcut_on" type="checkbox" /> <input #{hash}="ps_map_shortcut" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.user_class');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_user_class_on" type="checkbox" /> <input #{hash}="ps_map_user_class" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.address');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_address_on" type="checkbox" /> <input #{hash}="ps_map_address" type="text" size="25" /></td>
	            </tr>
                <tr>
	                <td><?=_t('phonebooks.born_in');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_born_in_on" type="checkbox" /> <input #{hash}="ps_map_born_in" type="text" size="25" /></td>
	            </tr>
                <tr>
	                <td><?=_t('phonebooks.postal_code');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_postal_code_on" type="checkbox" /> <input #{hash}="ps_map_postal_code" type="text" size="25" /></td>
	            </tr>
                <tr>
	                <td><?=_t('phonebooks.city');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_city_on" type="checkbox" /> <input #{hash}="ps_map_city" type="text" size="25" /></td>
	            </tr>
                <tr>
	                <td><?=_t('phonebooks.province');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_province_on" type="checkbox" /> <input #{hash}="ps_map_province" type="text" size="25" /></td>
	            </tr>
                <tr>
	                <td><?=_t('phonebooks.license_plate');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_license_plate_on" type="checkbox" /> <input #{hash}="ps_map_license_plate" type="text" size="25" /></td>
	            </tr>
                <tr>
	                <td><?=_t('phonebooks.document_from');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_document_from_on" type="checkbox" /> <input #{hash}="ps_map_document_from" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.vat_id');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_vat_id_on" type="checkbox" /> <input #{hash}="ps_map_vat_id" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.user_passport_type');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_user_passport_type_on" type="checkbox" /> <input #{hash}="ps_map_user_passport_type" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.user_passport_id');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_user_passport_id_on" type="checkbox" /> <input #{hash}="ps_map_user_passport_id" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.image_url');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_image_url_on" type="checkbox" /> <input #{hash}="ps_map_image_url" type="text" size="25" /></td>
	            </tr>
	            <tr>
	                <td><?=_t('phonebooks.note');?></td>
	                <td><input class="pSyncToggleMapAttr" #{hash}="ps_map_note_on" type="checkbox" /> <input #{hash}="ps_map_note" type="text" size="25" /></td>
	            </tr>
	        </table>
	    </form>
	</div> <!-- end of phonebooks_sync_map_settings_ver3 -->

    <div #{hash}="phonebooks_sync_bottom" style="text-align:left;margin-top:10px;">
        <form #{hash}="phonebooks_sync_backend_settings_filter_form" action="aclpbx/index.php?action=phonebook_sync&type=uploadCSV" method="post" enctype="multipart/form-data" onsubmit="return false;">
            <table>
                <tr style="height:20px;">
                    <td><input #{hash}="p_s_global_remove_users" type="checkbox" /></td>
                    <td><label for="p_s_global_remove_users"><?=_t('aclpbx.removeExistingUsers',_t('strings.contacts'));?></label></td>
                </tr>
                <tr style="height:20px;">
                    <td><input #{hash}="p_s_global_erase_values" type="checkbox" /></td>
                    <td><label for="p_s_global_erase_values"><?=_t('aclpbx.eraseUserValues');?></label></td>
                </tr>
                <tr style="height:5px;">
                    <td colspan="2">&nbsp;</td>
                </tr>
                <tr class="p_s_backend_ldap">
                    <td><?=_t('aclpbx.Filter');?></td>
                    <td>
                        <textarea #{hash}="p_s_backend_ldap_filter" style="width:650px;" value=""></textarea>
                    </td>
                </tr>
				<tr class="p_s_backend_activeD">
                    <td><?=_t('aclpbx.Filter');?></td>
                    <td>
                        <textarea #{hash}="p_s_backend_activeD_filter" style="width:650px;" value=""></textarea>
                    </td>
                </tr>
                <tr class="p_s_backend_domino">
                    <td><?=_t('aclpbx.Filter');?></td>
                    <td>
                        <textarea #{hash}="p_s_backend_domino_filter" style="width:650px;" value=""></textarea>
                    </td>
                </tr>
                <tr class="p_s_backend_mysql">
                    <td><?=_t('aclpbx.Filter');?></td>
                    <td>
                        <textarea #{hash}="p_s_backend_mysql_filter" style="width:650px;" value=""></textarea>
                    </td>
                </tr>
                <tr class="p_s_backend_hanaDb">
                    <td><?=_t('aclpbx.Filter');?></td>
                    <td>
                        <textarea #{hash}="p_s_backend_hanaDb_filter" style="width:650px;" value=""></textarea>
                    </td>
                </tr>
                <tr class="p_s_backend_mssql">
                    <td><?=_t('aclpbx.Filter');?></td>
                    <td>
                        <textarea #{hash}="p_s_backend_mssql_filter" style="width:650px;" value=""></textarea>
                    </td>
                </tr>

                <tr class="p_s_backend_csv">
                    <td colspan="2">
                        <div>
                            <?=_t('aclpbx.CsvFile');?>:
                            <select #{hash}="p_s_backend_csv_import_type">
								<option value="upload"><?=_t('buttons.Upload');?></option>
								<?php if(! $license->isCloud() && $samba_mounts):?>
								<option value="share"><?=_t('devices.SmbShare');?></option>
								<?php endif; ?>
							</select>
                            <span #{hash}="p_s_backend_csv_import_type_upload">
                            <input type="file" name="p_s_backend_csv_filename" #{hash}="p_s_backend_csv_fileid" />
                            </span>
                            <span #{hash}="p_s_backend_csv_import_type_share">
                            <select #{hash}="p_s_backend_csv_import_mountpoint"></select>
                            <?=_t('prefs.File');?>
                            <input type="text" #{hash}="p_s_backend_csv_import_filepath" />
                            </span>
                            <input type="hidden" #{hash}="p_s_backend_csv_params" />
                            <input type="hidden" name="action" value="phonebook_sync" />
                            <input type="hidden" name="<?= Session::CSRF_TOKEN_HEADER;?>" value="<?= Session::getCsrfToken();?>" />
                        </div>
                        <div #{hash}="phonebooks_sync_show_sample_csv">
                            <small><a href="phonebook/sample.csv"><?=_t('phonebooks.SampleCSV');?></a></small>
                        </div>
                    </td>
                </tr>
            </table>
        </form>
    </div> <!-- end of phonebooks_sync_bottom -->

    <div #{hash}="phonebooks_sync_recurrent" style="text-align:left;margin-top:25px;">
        <form #{hash}="phonebooks_sync_recurrent_form" onsubmit="return false;">
            <table>
                <tr>
                    <td class='tablehead'>&nbsp;<?=_t('aclpbx.RecurrentJob');?></td>
                </tr>
                <tr>
                    <td align="left">
                        <input #{hash}="ps_recurrent_on" type="checkbox" />
                        <label for="ps_recurrent_on"><?=_t('aclpbx.set_sync_recurrent_job_to_perform');?></label>
                        <select #{hash}="ps_recurrent_interval" style="margin-left:10px;"></select> <?=_t('strings.hour');?>.
                        <?=_t('aclpbx.set_sync_feedback_email');?>:
                        <input #{hash}="ps_recurrent_email" type="text" size="25" />
                    </td>
                </tr>
            </table>
        </form>
    </div><!-- end of phonebooks_sync_recurrent -->
</div><!-- end of phonebooks_sync_settings_div -->

<div #{hash}="phonebooks_sync_log_div">
</div><!-- end of phonebooks_sync_log_div -->

</script><!-- end of phonebooks_sync_div -->
<script>
    const newTabIds = [0];
    window.skipRedirect = true;

    window.oldMapMethod = Array.prototype.map;
    window.oldKeysMethod = Object.keys;
    window.oldIncludeMethod = Array.prototype.include;
    window.oldToJSONMethod = Array.prototype.toJSON;
    window.oldEachMethod = Array.prototype.each;

    window.addEventListener('onChangeUsersTab', function (data) {
        if (!newTabIds.includes(data.detail.tabIdx)) {
            Array.prototype.map = window.oldMapMethod;
            Object.keys = window.oldKeysMethod;
            Array.prototype.include = window.oldIncludeMethod;
            Array.prototype.toJSON = window.oldToJSONMethod;
            Array.prototype.each = window.oldEachMethod;
        } else {
            Array.prototype.map = window.resetedMapMethod;
            Object.keys = window.resetedKeysMethod;
            Array.prototype.each = window.resetedEachMethod;
            Array.prototype.toJSON = window.resetedToJSONMethod;
        }
    });

    if (!wmsConfig.acl) {
        wmsConfig.acl = {};
    }

    wmsConfig['menu'][10] = {
        route: 'users',
        denied: false,
    };

    <?php
    $aclKeys = ['users__users', 'users__groups', 'users__phonebooks3', 'users__pbxs'];
    foreach ($aclKeys as $value) {
        if (WMS_Permissions::getInstance()->is_allowed('page', $value)) {
            echo "wmsConfig['acl']['$value'] = true;\n";
        } else {
            echo "wmsConfig['acl']['$value'] = false;\n";
        }
    }
    echo "wmsConfig['acl']['add_remove_users'] = Boolean(" . WMS_Permissions::getInstance()->is_allowed('permissions','add_remove_users') . ")";
    ?>
</script>
<div id="wmsApp"></div>

<script src="collaboration/dist/wms-spa.js?<?=WMS_VERSION;?>"></script>
<script>
    wmsApp.$router.push('/users');
</script>
