if(typeof Prototype!=='undefined' && typeof YAHOO!=='undefined'){
	var canAclWithoutGroups = [];
	WMS.Groups = Class.create(WMS.DT,{

		initializeTable:function(){

			this.actionList = 'getGroups';
			this.actionRemove = 'removeGroups';

			var mySource = new this.DataSource(values.jsongroups);
		    mySource.responseType   = this.DataSource.TYPE_JSON;
		    mySource.responseSchema = { // source
                    resultsList: "ACL_EMPTY",
                    fields: ["cn",{key:"wcgrp", parser:"number"}, "dn","gid","owner","wg2gAcl","wg2eAcl","inheritsfrom"],
                    totalRecords: 'totalRecords'
                };
		    if (this.varsPhp.perm.page_users_groups) {
		    	mySource.responseSchema.resultsList = "ACLBODY" ;
		    }
            canAclWithoutGroups = this.varsPhp.canAclWithoutGroups;

		    mySource.doBeforeCallback = this.filterData.bind(this);


		    var option = {
		    	paginator: this.Paginator,
		    	draggableColumns: true
		    };

		    var headers = [ // Column Headers
	                        {key:"wcgrp",label: gl_translation['aclpbx.wcgrp'],className:"centerstyle",sortable:true},
	                        {key:"cn",label: gl_translation['aclpbx.Group'],className:"namestyle groups",width:400,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
									oData = (oData||'').escapeHTML();
	                                elCell.innerHTML = '<span style="float:left;">&nbsp;'+ oData +'<br><div id="und_edit_'+oRecord.id+'" style="margin-top:6px;display:none;height:auto;background-color:#fff;"></div></span>';;
	                            }},
	                        {key:"inheritsfrom",label: gl_translation['aclpbx.InheritsFrom'],className:"namestyle",resizeable:true, sortable:true}
	                    ];

		    headers = this.headersByStateStorage(headers);

		    this.table = new this.DataTable(this.divTable, headers, mySource, option);

		    this.table.subscribe("initEvent",function(){
		    	values.jsongroups = this.table.getDataSource().liveData;
			}.bind(this));


		    this.liveSearch();

		},

		showButtons: function(){

			var buttons = '';

			if (this.varsPhp.perm.page_users_groups) {
				if(this.varsPhp.perm.is_root) {
					buttons += '<input type="button" class="but20" id="add_groupacl_btn" value="+" />';
					buttons += '<input type="button" disabled class="but20" value="-" id="gdeleteSel">';
				}
				buttons += '<input type="button" disabled class="but20" value="' + gl_translation['strings.EditPermissions'] + '" id="geditRow">';
				if(this.varsPhp.perm.is_root) {
					buttons += '<input type="button" disabled class="but20" value="' + gl_translation['strings.EditAdminPermissions'] + '" id="geditGroupPermissions">'
				}

				$(this.divTable+'_pnl').update(buttons);

				if ($('add_groupacl_btn')) $('add_groupacl_btn').onclick = this.editRow.bind(this, 'new');
				if ($('gdeleteSel')) $('gdeleteSel').onclick = this.deleteRow.bind(this, 'dn');
				if ($('geditRow')) $('geditRow').onclick = this.editRow.bind(this);
				if ($('geditGroupPermissions')) $('geditGroupPermissions').onclick = this.editGroupPermissions.bind(this);
			}

		},

		activateButtons: function(){

			if(this.varsPhp.perm.is_root) {
				activateButtons(this.divTable+'_pnl', [1, 2, 3]);
			} else {
				activateButtons(this.divTable+'_pnl', [0]);
			}
		},

		deactivateButtons: function(){

			if(this.varsPhp.perm.is_root) {
				deactivateButtons(this.divTable+'_pnl', [1, 2, 3]);
			} else {
				deactivateButtons(this.divTable+'_pnl', [0]);
			}
		},

		editRow: function(){

			var editTobj1;
			var w_title = '';
			var pObj = {};

			var tmp = arguments[0];

		    if (tmp == 'new') {
		        // get new wcgrp value
		        var wcgrp_vals = $A(values.jsongroups.BODY).inject([],function(agrr,record){
		            agrr.push(record.wcgrp);
		            return agrr;
		        }) || [];
		        var new_wcgrp = '';

		        var max_cycles = wcgrp_vals.length+1;
		        for (var t_wcgrp = 1; t_wcgrp <= max_cycles; t_wcgrp++){
		            if (wcgrp_vals.indexOf(''+t_wcgrp) == -1){
		                new_wcgrp = t_wcgrp;
		                break;
		            }
		        }
		        var init_acl = [
		            '001|all|SUPERVISION|no',
		            '002|all|INTERCOM|no',
		            '003||MANAGE_CALLCENTER|no',
		            '004||CTI_CDR_VIEW|nouse',
                    '005|all|SEE_VOICEMAIL|no',
		            '006||PBXRECORD|nouse',
		            '007||PERSONALRECORD|nouse',
		            '008||all|nocall',
		            '009||2|call',
		            '010||3|call',
		            '011||4|call',
		            '012||5|call',
		            '013||13|call',
		            '014||14|call',
		            '015|all|EDIT_PP|no',
		            '016|all|DELETE_CALLS|no',
		            '017|all|CHANGE_PRESENCE|no'
		        ];

		        if (this.varsPhp.license_class.hotel) {
			        init_acl.push('018|all|ACCESS_ALARM_CALL_OF|no');
			        init_acl.push('019|all|HOTEL_ADMIN|yes');
			        init_acl.push('020|all|HOTEL_EVENTS|yes');
		        }

		        if (this.varsPhp.license_class.cti_conference) {
			        var aclId = ((this.varsPhp.license_class.hotel) ? 21 : 18);
			        init_acl.push('0' + aclId + '|all|CREATE_CONFERENCE|no');
		        }
		        var pObj = {
		            'dn': 'new',
		            'wg2gAcl': init_acl,
		            'cn': '',
		            'owner': '',
		            'wcgrp': new_wcgrp
		        };

		        w_title = gl_translation['strings.Add'];

		    } else {

		        pObj = this.getSelectedOne();
		        if (!pObj.dn) {
		            return;
		        }

		        w_title = gl_translation['strings.Edit'];
		        if(this.varsPhp.perm.is_root) {
		        	w_title = w_title + " " + pObj.cn;
		        }
		    }

		    var butHtml = '<input type="button" class="but20" id="newAclLine" value="+" />' +
		        		  '<input type="button" class="but20" id="saveGroupAcl" value="'+(gl_translation['button.Ok'] || 'Ok')+'" />';

		    this.showDialog(600, 380, $('add_edit_acl_form').innerHTML.interpolate({'hash':'id'}),butHtml).setHeader((w_title||'').escapeHTML());

		    var group_acl = $A(pObj.wg2gAcl).collect(function(acl){
		        var tmp = acl.split('|');
		        return {'dest_group':tmp[1],'operation':tmp[2],'can':tmp[3]};
		    }) || [];


		    editTobj1 = new wmsInlineTableAcl1({
		        'fields':['operation','dest_group','can'],
		        'content': group_acl,
		        'tableId':'acl_edit_t_id',
		        'f_prefix':'_l_',
		        'license_class': {'hotel':this.varsPhp.license_class.hotel, 'cti_conference': this.varsPhp.license_class.cti_conference},
		        'acl_callclasses': this.varsPhp.acl_callclasses,
		        'acl_features': this.varsPhp.acl_features
		    });

		    $('edit_group_cn').value = pObj.cn;
		    $('__edit_group_cn').value = pObj.cn;
		    $('edit_group_dn').value = pObj.dn;
		    $('edit_group_wcgrp').value = pObj.wcgrp;

			if (this.varsPhp.perm.is_root) {
				var out_group_owner = '';
			    var selected_owner = pObj.owner || '';
			    $A(values.jsongroups.ACLBODY).each(function(pair_strat){
			        selectedgrp='';
			        if (pair_strat.dn == selected_owner) selectedgrp="selected='selected'";
			        out_group_owner += "<option "+(selectedgrp||'').escapeHTML()+" value='"+(pair_strat.dn||'').escapeHTML()+"'>"+(pair_strat.cn||'').escapeHTML()+"</option>";
			    });
			    $('__edit_group_owner_span').update(
			        '<select id="edit_group_owner" style="margin:0px" >'+
			            '<option value="">---</option>'+out_group_owner+
			        '</select>'
			    );

			    $('edit_group_cn').select();
			    $('edit_group_cn').focus();

			} else {
				$('edit_group_owner').value = pObj.owner || '';
			}


			$('newAclLine').onclick = function(){
				editTobj1.newLine({'dest_group':'all','operation':'CALL','can':'no'});
			}.bind(this);


			$('saveGroupAcl').onclick = function(){

			    var options = {
			        rules: [ // rule, element_id, message
			            "required,edit_group_cn," + gl_translation['rules.CannotBeEmpty'],
			            "reg_exp,edit_group_cn,^[^^\\/\\@\|\\+\=\{\}\\[\\]\\(\\)\\*&\\?%\$#@\!\\,\'\":;<>\\\\]+$," + gl_translation['rules.enterValidValue'],
			            "reg_exp,edit_group_cn,[A-Za-z]," + gl_translation['rules.enterValidValue'], // must have at least one A-z symbol
			            "digits_only,edit_group_wcgrp," + gl_translation['rules.enterNumber']
			        ]
			    };

			    if (this.varsPhp.perm.is_root) {
			    	options.rules.push("not_same_as,edit_group_owner,edit_group_dn," + gl_translation['rules.enterValidValue']);
			    }

			    if (! WMS.validate('set_acl_form', options) ) {
			        return false;
			    }

			    ap_showWaitMessage('waitDiv', 1);
			    return new Ajax.Request(this.fileAjaxUrl,{
			        method: 'post',
			        parameters:$H({
			            action: 'setGroupAcl',
			            group_dn: $F('edit_group_dn'),
			            group_cn: $F('edit_group_cn'),
			            group_old_cn: $F('__edit_group_cn'),
			            group_wcgrp: $F('edit_group_wcgrp'),
			            group_owner: $F('edit_group_owner'),
			            group_acl: editTobj1.createRequestValues()
			        }).toQueryString(),
			        onComplete: function(transport){
			            if (transport.responseJSON.BODY === true){
			            	if (tmp == 'new'){
			            		this.updateTable('add');
			            	}
			            	else{
			            		this.updateTable();
			            	}

			                this.closeDialog();
			            }else{
			                $H(transport.responseJSON.BODY).each(function(pair){
			                    $(pair.key).insert({'before':'<span style="min-height:15px;height:auto;color:red;" class="err_span">'+pair.value+'</span>'});
			                });
			                ap_showWaitMessage('waitDiv', 0);
			            }

			        }.bind(this)
			    });
			}.bind(this);
		},

		editGroupPermissions: function(){
		    var pObj = this.getSelectedOne();
		    if (!pObj.dn) {
		        return;
		    }

		    var editPermsObj1;

		    var w_title = gl_translation['strings.Edit'];;

		    var group_acl = $A(pObj.wg2eAcl).collect(function(acl){
		        var tmp = acl.split('|');
		        return {'dest_subj':tmp[1],'operation':tmp[2]};
		    }.bind(this)) || [];

		    var butHtml = '<input type="button" class="but20" id="newPermissionsLine" value="+" />' +
					      '<input type="button" class="but20" id="saveGroupPermissions" value="'+(gl_translation['button.Ok'] || 'Ok')+'" />';

		    this.showDialog(600, 380, $('add_edit_permissions_form').innerHTML.interpolate({'hash':'id'}),butHtml).setHeader(gl_translation['strings.Edit']+' '+(pObj.cn||'').escapeHTML());

		    this.varsPhp.perm.getPagesForEditor['all'] = gl_translation['acl.all'];

		    var t = [];
		    for(var i=0; i < group_acl.length; i++){
		    	if ( !(['epage','noepage'].indexOf(group_acl[i].operation) != '-1' && ! this.varsPhp.perm.getPagesForEditor.hasOwnProperty(group_acl[i].dest_subj))) {
					t.push(group_acl[i]);
		    	}
		    }

		    editPermsObj1 = new wmsInlineTableAcl2({
		        'fields':['operation','dest_subj'],
		        'content': t,
		        'tableId':'permissions_edit_t_id',
		        'f_prefix':'_pe_',
		        'getPagesForEditor': this.varsPhp.perm.getPagesForEditor,
		        'getPermsValuesForEditor': this.varsPhp.perm.getPermsValuesForEditor
		    });

		    $('edit_group_dn_perms').value = pObj.dn;

		    $('newPermissionsLine').onclick = function(){
		        editPermsObj1.newLine({'dest_subj':'all','operation':'epage'});
		    }.bind(this);

		    $('saveGroupPermissions').onclick = function(){
		        ap_showWaitMessage('waitDiv', 1);
		        return new Ajax.Request(this.fileAjaxUrl,{
		            method: 'post',
		            parameters:$H({
		                action: 'setGroupPermissions',
		                group_dn: $F('edit_group_dn_perms'),
		                group_permissions: editPermsObj1.createRequestValues()
		            }).toQueryString(),
		            onComplete: function(transport){
		                if (transport.responseJSON.BODY === true){
		                    this.updateTable();
		                    this.closeDialog();
		                }else{
		                    $H(transport.responseJSON.BODY).each(function(pair){
		                        $(pair.key).insert({'before':'<span style="min-height:15px;height:auto;color:red;" class="err_span">'+pair.value+'</span>'});
		                    });
		                    ap_showWaitMessage('waitDiv', 0);
		                }
		            }.bind(this)
		        });
		    }.bind(this);

		}

	});

	/*  END CLASS GROUP */

	/*  HELP CLASS AND FUNC */


	var wmsInlineTableAcl1 = Class.create(wmsInlineTable,{
		buildTable: function(){

			this.destGroups = [];
			this.destGroupsAll = [];

			var can_options = $H({
				    'yes': gl_translation['strings.can'],
				    'no': gl_translation['strings.canNot'],
				    'set': gl_translation['strings.canSet'],
				    'noset': gl_translation['strings.canNotSet'],
				    'use': gl_translation['strings.canUse'],
				    'nouse': gl_translation['strings.canNotUse'],
				    'call': gl_translation['strings.canCall'],
				    'nocall': gl_translation['strings.canNotCall']
				}).inject([],function(ret, option) {
					ret.push('<option value="'+option.key+'">'+option.value+'</option>');
					return ret;
				}).join("");

			var acl_objs = {
				    'CALL':gl_translation['acl.CALL'],
				    'IM_FAX':gl_translation['acl.IM_FAX'],
				    'CHANGE_PRESENCE':gl_translation['acl.CHANGE_PRESENCE'],
				    'SEE_CDRVIEW_DIGITS': gl_translation['acl.SeeFullNumber'],
				    'INTERCOM':gl_translation['acl.INTERCOM'],
				    'SUPERVISION':gl_translation['acl.SUPERVISION'],
				    'PICKUP':gl_translation['acl.PICKUP'],
				    'EDIT_PP': gl_translation['acl.EDIT_PP'],
				    'SEE': gl_translation['acl.SEE'],
				    'SEE_CALLS': gl_translation['acl.SEE_CALLS'],
				    'DELETE_CALLS': gl_translation['acl.DELETE_CALLS'],
				    'SHARE_STATUS_VIA_KITE': gl_translation['acl.SHARE_STATUS_VIA_KITE'],
				    'SHARE_STATUS_MESS_VIA_KITE': gl_translation['acl.SHARE_STATUS_MESS_VIA_KITE'],
				    'SHARE_GEO_VIA_KITE': gl_translation['acl.SHARE_GEO_VIA_KITE'],
				    'VIEW_GEO': gl_translation['acl.VIEW_GEO'],
				    'MANAGE_CALLCENTER': gl_translation['acl.MANAGE_CALLCENTER'],
				    'DIRECTORY_LOOKUP': gl_translation['acl.DIRECTORY_LOOKUP'],
				    'SEE_EXTENSIONS': gl_translation['acl.SEE_EXTENSIONS'],
					'SEE_VOICEMAIL': WMS._t('acl.SEE_VOICEMAIL'),
					'TWO_FACTOR_AUTH_OFF': WMS._t('acl.TWO_FACTOR_AUTH_OFF'),
					'ENABLE_VIDEO_CALL': WMS._t('acl.ENABLE_VIDEO_CALL'),
					'SEE_CALL_RECORDINGS': WMS._t('acl.SEE_CALL_RECORDINGS')
			};

			if (this.initOpts.license_class.hotel) {
				acl_objs['ACCESS_ALARM_CALL_OF'] = gl_translation['acl.ACCESS_ALARM_CALL_OF'];
				acl_objs['HOTEL_ADMIN'] = gl_translation['acl.HOTEL_ADMIN'];
				acl_objs['HOTEL_EVENTS'] = gl_translation['acl.HOTEL_EVENTS'];
			}
			if (this.initOpts.license_class.cti_conference) {
				acl_objs['CREATE_CONFERENCE'] = gl_translation['acl.CREATE_CONFERENCE'];
			}

			var operation_options_objs = $H(acl_objs).inject([],function(ret,option) {
				ret.push('<option value="'+option.key+'">'+option.value+'</option>');
				return ret;
			}).join("");

			var operation_services = {
				    'CTI_PRO':gl_translation['acl.CTI_PRO'],
				    'CTI_PO':gl_translation['acl.CTI_PO'],
				    'CTI_CDR':gl_translation['acl.CTI_CDR'],
				    'CTI_CDR_VIEW':gl_translation['acl.CTI_CDR_VIEW'],
				    'SHORTNUM':gl_translation['services.SHORTNUM'],
				    'PBXRECORD':gl_translation['acl.PBXRECORD'],
				    'PERSONALRECORD':gl_translation['acl.PERSONALRECORD'],
				    'SMS':gl_translation['acl.SMS'],
				    'FAX':gl_translation['acl.FAX'],
				    'PAGING':gl_translation['acl.PAGING'],
				    'PRE_ANSWER_SERVICES':gl_translation['acl.PRE_ANSWER_SERVICES'],
				    'PRE_ANSWER_SERVICES_FULL':gl_translation['acl.PRE_ANSWER_SERVICES_FULL'],
				    'PHONE_SETTING_MENU':gl_translation['acl.PHONE_SETTING_MENU'],
				    'ADVANCED_PHONE_SETTINGS_MENU':WMS._translation['acl.ADVANCED_PHONE_SETTINGS_MENU'],
				    'BROWSER_PHONE':gl_translation['acl.BROWSER_PHONE'],
				    'VOICEMAIL': gl_translation['acl.VOICEMAIL'],
				    'VOICEMAIL_WITHOUT_PIN': gl_translation['acl.VOICEMAIL_WITHOUT_PIN'],
               	    'CONTACT_CENTER': gl_translation['acl.CONTACT_CENTER'],
				    'TRUNK_TO_TRUNK_TRANSFER': WMS._translation['acl.TRUNK_TO_TRUNK_TRANSFER'],
					'TRUNK_TO_TRUNK_FORWARD': WMS._translation['acl.TRUNK_TO_TRUNK_FORWARD'],
				    'all':gl_translation['acl.all']
				};

			var operation_options_services = $H(operation_services).inject([],function(ret,option) {
					ret.push('<option value="'+option.key+'">'+option.value+'</option>');
					return ret;
				}).join("");

			var operation_options_features = $H(this.initOpts.acl_features).inject([],function(ret,option) {
					ret.push('<option value="'+option.key+'">'+option.value+'</option>');
					return ret;
				}).join("");

			var operation_options_calltypes = $H(this.initOpts.acl_callclasses).inject([],function(ret,option) {
				ret.push('<option value="'+option.key+'">'+option.value+'</option>');
				return ret;
			}).join("");

			var t_arr_dest_groups = $A(values.jsongroups.BODY);
			t_arr_dest_groups[t_arr_dest_groups.length] = {'dn':'all','cn':gl_translation['acl.allgroups']};
			var dest_group_options = $A(t_arr_dest_groups).inject([],function(array,option) {
				array.push('<option value="'+option.dn+'">'+option.cn+'</option>'); return array;}).join("");

			// remove old option
			$A(this.content).each(function(obj,r_cnt){
				if (['no','yes'].indexOf(obj.can) != '-1') {
					if(!acl_objs[obj.operation]){
						this.content.remove(obj);
					}
				} else if (['set','noset'].indexOf(obj.can) != '-1') {
					if(!this.initOpts.acl_features[obj.operation]){
						this.content.remove(obj);
					}
				} else if (['use','nouse'].indexOf(obj.can) != '-1') {
					if(!operation_services[obj.operation]){
						this.content.remove(obj);
					}
				} else if (['call','nocall'].indexOf(obj.can) != '-1') {
					if(!this.initOpts.acl_callclasses[obj.operation]){
						this.content.remove(obj);
					}
				}
			}.bind(this));

			this.clearTable();

			$A(this.content).each(function(obj,r_cnt){
				var out = [];
				out[0] = "<select name='"+this.f_prefix+"can"+r_cnt+"'  id='"+this.f_prefix+"can"+r_cnt+"' style='width: 75%'>";
				out[0] += can_options;
				out[0] += "</select>";

				if (['no','yes'].indexOf(obj.can) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"operation"+r_cnt+"' id='"+this.f_prefix+"operation"+r_cnt+"' class='"+this.f_prefix+"operation"+r_cnt+"_on' style='width: 75%'>";
					out[1] += operation_options_objs;
					out[1] += "</select>";

					this.destGroups[r_cnt] = "<select name='"+this.f_prefix+"dest_group"+r_cnt+"' id='"+this.f_prefix+"dest_group"+r_cnt+"'>" + dest_group_options + "</select>";
					this.destGroupsAll[r_cnt] = "<input type='hidden' name='"+this.f_prefix+"dest_group"+r_cnt+"' id='"+this.f_prefix+"dest_group"+r_cnt+"'>";

					if (canAclWithoutGroups.indexOf(obj.operation) != -1) {
						out[2] = this.destGroupsAll[r_cnt];
					} else {
						out[2] = this.destGroups[r_cnt];
					}
				} else if (['set','noset'].indexOf(obj.can) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"operation"+r_cnt+"' id='"+this.f_prefix+"operation"+r_cnt+"' style='width: 75%'>";
					out[1] += operation_options_features;
					out[1] += "</select>";
					out[2] = "<input type='hidden' value='all' name='"+this.f_prefix+"dest_group"+r_cnt+"' id='"+this.f_prefix+"dest_group"+r_cnt+"' />&nbsp;";
				} else if (['use','nouse'].indexOf(obj.can) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"operation"+r_cnt+"' id='"+this.f_prefix+"operation"+r_cnt+"' style='width: 75%'>";
					out[1] += operation_options_services;
					out[1] += "</select>";
					out[2] = "<input type='hidden' value='all' name='"+this.f_prefix+"dest_group"+r_cnt+"' id='"+this.f_prefix+"dest_group"+r_cnt+"' />&nbsp;";
				} else if (['call','nocall'].indexOf(obj.can) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"operation"+r_cnt+"' id='"+this.f_prefix+"operation"+r_cnt+"' style='width: 75%'>";
					out[1] += operation_options_calltypes;
					out[1] += "</select>";
					out[2] = "<input type='hidden' value='all' name='"+this.f_prefix+"dest_group"+r_cnt+"' id='"+this.f_prefix+"dest_group"+r_cnt+"' />&nbsp;";
				}

				out[3] = "<input id="+this.f_prefix+"okBut1"+r_cnt+" type='button' value='-' class='but20' />";

				this.addline(out);

				$(this.f_prefix+"okBut1"+r_cnt).onclick = function(event) {
			    	this.removeLine(r_cnt);
			    }.bind(this);

			    Event.observe($(this.f_prefix+"can"+r_cnt),'change',function(event){
			    	this.change_dest_acl(Event.element(event).value,this.f_prefix,r_cnt);
			    }.bind(this));

			    if($$('.'+this.f_prefix+"operation"+r_cnt+'_on') && $$('.'+this.f_prefix+"operation"+r_cnt+'_on')[0]){
			    	Event.observe($$('.'+this.f_prefix+"operation"+r_cnt+'_on')[0],'change',function(event){
			    		this.processYesNoChange(Event.element(event), r_cnt);
			    	}.bind(this));
			    }


				$(this.f_prefix+'can'+r_cnt).value = obj.can;
				$(this.f_prefix+'operation'+r_cnt).value = obj.operation;
				$(this.f_prefix+'dest_group'+r_cnt).value = obj.dest_group;

				this.trows_cnt++;
			}.bind(this));
        },

		change_dest_acl: function(value, f_prefix, r_cnt){
            var changed = true;
		    if (['no','yes'].indexOf(value) != '-1' && ['no','yes'].indexOf(this.content[r_cnt]['can']) != '-1') changed = false;
		    if (['set','noset'].indexOf(value) != '-1' && ['set','noset'].indexOf(this.content[r_cnt]['can']) != '-1') changed = false;
		    if (['use','nouse'].indexOf(value) != '-1' && ['use','nouse'].indexOf(this.content[r_cnt]['can']) != '-1') changed = false;
		    if (['call','nocall'].indexOf(value) != '-1' && ['call','nocall'].indexOf(this.content[r_cnt]['can']) != '-1') changed = false;
		    if (changed) {
		        this.refreshContent();
		        this.content[r_cnt]['can'] = value;
		        this.content[r_cnt]['operation'] = value == 'yes' || value == 'no' ? 'CALL' : 'all';
		        this.content[r_cnt]['dest_group'] = 'all';
		        this.buildTable();
		    }
		},

		processYesNoChange: function(el, cnt) {
            if (typeof el.up('td').next().down('select') != 'undefined') {
		        val = el.up('td').next().down('select').value;
		    } else {
		        val = 'all'
		    }
            if (canAclWithoutGroups.indexOf(el.value) != -1) {
                el.up('td').next().innerHTML = this.destGroupsAll[cnt];
		    } else {
		        el.up('td').next().innerHTML = this.destGroups[cnt];
		        $(this.f_prefix + 'dest_group' + cnt).value = val;
		    }
		}
	});


	var wmsInlineTableAcl2 = Class.create(wmsInlineTable,{
		buildTable: function(){

			var perms_operations = {
				    'epbx': gl_translation['acl.canManagePbx'],
				    'noepbx': gl_translation['acl.canNotManagePbx'],
				    'egroup': gl_translation['acl.canManageGroup'],
				    'noegroup': gl_translation['acl.canNotManageGroup'],
				    'epage': gl_translation['acl.canViewPage'],
				    'noepage': gl_translation['acl.canNotViewPage'],
				    'eperm': gl_translation['strings.can'],
				    'noeperm': gl_translation['strings.canNot']
			};

			var perms_pages = this.initOpts.getPagesForEditor;

			var perms_values = this.initOpts.getPermsValuesForEditor;

			var operation_options = $H(perms_operations).inject([],function(ret, option) {
				ret.push('<option value="'+option.key+'">'+option.value+'</option>');
				return ret;
			}).join("");
			var pages_options = $H(perms_pages).inject([],function(ret,option) {
				ret.push('<option value="'+option.key+'">'+option.value+'</option>');
				return ret;
			}).join("");
			var perms_options = $H(perms_values).inject([],function(ret,option) {
				ret.push('<option value="'+option.key+'">'+option.value+'</option>');
				return ret;
			}).join("");

			var t_arr_dest_groups = $A(values.jsongroups.BODY);
			t_arr_dest_groups[t_arr_dest_groups.length] = {'dn':'all','cn':gl_translation['acl.allgroups']};
			var dest_group_options = $A(t_arr_dest_groups).inject([],function(array,option) {
				array.push('<option value="'+option.dn+'">'+option.cn+'</option>'); return array;
			}).join("");

			var t_arr_dest_pbxs = $A(values.jsonpbxes.BODY.pbxs);
			t_arr_dest_pbxs[t_arr_dest_pbxs.length] = {'dn':'all','pbxDomain':gl_translation['acl.all']}; // fixme: translation
			var dest_pbx_options = $A(t_arr_dest_pbxs).inject([],function(array,option) {
				array.push('<option value="'+option.dn+'">'+option.pbxDomain+'</option>'); return array;
			}).join("");

			this.clearTable();

			$A(this.content).each(function(obj,r_cnt){
				var out = [];
				out[0] = "<select name='"+this.f_prefix+"operation"+r_cnt+"'  id='"+this.f_prefix+"operation"+r_cnt+"' style='width: 75%'>";
				out[0] += operation_options;
				out[0] += "</select>";

				if (['egroup','noegroup'].indexOf(obj.operation) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"dest_subj"+r_cnt+"' id='"+this.f_prefix+"dest_subj"+r_cnt+"' style='width: 75%'>" + dest_group_options + "</select>";
				} else if (['epbx','noepbx'].indexOf(obj.operation) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"dest_subj"+r_cnt+"' id='"+this.f_prefix+"dest_subj"+r_cnt+"' style='width: 75%'>";
					out[1] += dest_pbx_options;
					out[1] += "</select>";
				} else if (['epage','noepage'].indexOf(obj.operation) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"dest_subj"+r_cnt+"' id='"+this.f_prefix+"dest_subj"+r_cnt+"' style='width: 75%'>";
					out[1] += pages_options;
					out[1] += "</select>";
				} else if (['eperm','noeperm'].indexOf(obj.operation) != '-1') {
					out[1] = "<select name='"+this.f_prefix+"dest_subj"+r_cnt+"' id='"+this.f_prefix+"dest_subj"+r_cnt+"' style='width: 75%'>";
					out[1] += perms_options;
					out[1] += "</select>";
				}

				out[2] = "<input id='"+this.f_prefix+"okBut"+r_cnt+"' type='button' value='-' class='but20'/>";

				this.addline(out);

				Event.observe($(this.f_prefix+'operation'+r_cnt),'change',function(event){
			    	this.change_dest_permissions(Event.element(event).value,this.f_prefix,r_cnt);
			    }.bind(this));

			    $(this.f_prefix+"okBut"+r_cnt).onclick = function(event) {
			    	this.removeLine(r_cnt);
			    }.bind(this);


				$(this.f_prefix+'dest_subj'+r_cnt).value = obj.dest_subj;
				$(this.f_prefix+'operation'+r_cnt).value = obj.operation;

				this.trows_cnt++;
			}.bind(this));
		},
		change_dest_permissions: function(value, f_prefix, r_cnt){
		    var changed = true;
		    if (['epbx','noepbx'].indexOf(value) != '-1' && ['epbx','noepbx'].indexOf(this.content[r_cnt]['operation']) != '-1') changed = false;
		    if (['egroup','noegroup'].indexOf(value) != '-1' && ['egroup','noegroup'].indexOf(this.content[r_cnt]['operation']) != '-1') changed = false;
		    if (['epage','noepage'].indexOf(value) != '-1' && ['epage','noepage'].indexOf(this.content[r_cnt]['operation']) != '-1') changed = false;
		    if (['eperm','noeperm'].indexOf(value) != '-1' && ['eperm','noeperm'].indexOf(this.content[r_cnt]['operation']) != '-1') changed = false;
		    if (changed) {
		        this.refreshContent();
		        this.content[r_cnt]['operation'] = value;
		        this.content[r_cnt]['dest_subj'] = 'all';
		        this.buildTable();
		    }
		}
	});

}
