if(typeof Prototype!=='undefined' && typeof YAHOO!=='undefined'){
	WMS.Pbx = Class.create(WMS.DT,{

		initializeTable:function(){

                    this.actionList = 'getPBXes';

                    values.jsonpbxes = this._initValues(values.jsonpbxes);
                    var mySource = new this.DataSource(values.jsonpbxes);
		    mySource.responseType   = this.DataSource.TYPE_JSON;
		    mySource.responseSchema = { // source
                        resultsList: "BODY.pbxs",
                        fields: ["pbxIp","pbxSerial","pbxState","pbxDomain",'pbxid','dn','pbxLink', 'pbxFailover', 'pbxVersion', 'pbxIsMaster']
                    };

		    mySource.doBeforeCallback = this.filterData.bind(this);

		    var option = {
		    	paginator: this.Paginator,
		    	draggableColumns: true
		    };

		    var headers = [ // Column Headers
                        {key:"pbxIp", label: gl_translation['multipbx.ip_address'] ,className:"namestyle150",resizeable:true,sortable:true},
                        {key:"pbxSerial",label: gl_translation['multipbx.serial'] ,className:"namestyle150",resizeable:true,sortable:true},
                        {key:"pbxLink",label: gl_translation['multipbx.domain'] ,className:"namestyle150",resizeable:true,sortable:true},
                        {key: 'pbxFailover', label: WMS._translation['multipbx.failover'], className: 'namestyle150', resizeable: true, sortable: true},
						{key: 'pbxVersion', label: WMS._translation['multipbx.wmsVersion'], className: 'namestyle150', resizeable: true, sortable: true}
                    ];

		    headers = this.headersByStateStorage(headers);

		    this.table = new this.DataTable(this.divTable, headers, mySource, option);

		    this.table.subscribe("initEvent",function(){
		    	values.jsonpbxes = this.table.getDataSource().liveData;
			}.bind(this));

		    this.liveSearch();
		},

		showButtons: function(){
			var buttons = '';
			if(this.varsPhp.perm.is_root){
				buttons += '<input type="button" disabled class="but20" value="-" id="premovePbx" />';
			}

			$(this.divTable+'_pnl').update(buttons);

			if ($('premovePbx')) $('premovePbx').onclick = this.removePbx.bind(this);
		},

		activateButtons: function(){
			activateButtons(this.divTable+'_pnl', [0]);
		},

		deactivateButtons: function(){
			deactivateButtons(this.divTable+'_pnl', [0]);
		},

		editRow: function () {
			var pbx = this.getSelectedOne();
			var selectedPbx = this.getSelectedOne();

			var content = '<div style="padding:10px;"><p>'+WMS._t('aclpbx.pleaseSelectFailoverPBX')+'</p>'+
				'<form onsubmit="return false"><select id="failoverPbx"></select></form>'+
				'</div>';

			var button = '<input type="button" class="but20" id="saveFailover" value="'+(gl_translation['button.Ok'] || 'Ok')+'" />';

			this.showDialog(350, 100, content, button).setHeader(WMS._t('aclpbx.failoverSetup'));

			var $select = $('failoverPbx');
			var opt = new Element('option');
				opt.value     = 'none';
				opt.innerHTML = "--";
			$select.insert(opt);

			values.jsonpbxes.BODY.pbxs.inject($select,function(accum,pbx){
				if(pbx.dn != selectedPbx.dn) {
					var opt = new Element('option');
					opt.value = pbx.dn;
					opt.innerHTML = pbx.pbxDomain + ' (' + pbx.pbxIp + ')';
					accum.insert(opt);
				}
				return accum;
			}.bind(this));

			$('saveFailover').onclick = function(){
				ap_showWaitMessage('waitDiv', 1);
				return new Ajax.Request('aclpbx/index.php',{
					method: 'post',
					parameters:$H({
						action: 'saveFailover',
						pbxowner: pbx.dn,
						pbxFailover: $F('failoverPbx'),
						priority: 1,
						enabled: 1
					}).toQueryString(),
					onComplete: function(transport){
						ap_showWaitMessage('waitDiv', 0);

						if(transport.responseText != 'OK') {
							setError('error', transport.responseText);
						} else {
							this.closeDialog();
						}
						this.reinitPbxesTable();
					}.bind(this)
				});
			}.bind(this);


			ap_showWaitMessage('waitDiv', 1);
			new Ajax.Request('aclpbx/index.php',{
				method: 'post',
				parameters:$H({
					action: 'getFailoverByDn',
					pbxowner: pbx.dn
				}).toQueryString(),
				onComplete: function( transport ){
					ap_showWaitMessage('waitDiv', 0);

					var response = transport.responseText.evalJSON();
					$('failoverPbx').value=response.pbxFailover;
				},
				onFailure: function (transport) {
					setError('error', transport.responseText);
				}
			});
		},

		removePbx: function(){
			if (!ret_confirm_delete()) {
				return false;
			}

			var record = this.getSelectedOne();

			if(record.pbxIsMaster === '1' && record.pbxSerial == this.varsPhp.pbxSerial){
				setError('error', gl_translation['multipbx.cantRemoveMaster']);
				return;
			}
			var old_pbx = record.pbxSerial;

			var button = '<input type="button" id="pbxRemove_ok" class="but20" style="padding-left:10px;margin-left:3px;" value="'+(gl_translation['button.Ok'] || 'Ok')+'" />';

			this.showDialog(250, 120, $('pbx_remove_div').innerHTML,button).setHeader(gl_translation['multipbx.removePBX']);

			// filling selectbox
			var $select = $('new_pbx_id');
			$select.innerHTML = '';
			$select = values.jsonpbxes.BODY.pbxs.inject($select,function(accum,pbx){
				if(pbx.pbxSerial != old_pbx){
					var opt = new Element('option');
					opt.value     = pbx.pbxSerial;
					opt.innerHTML = pbx.pbxDomain + ' ('+ pbx.pbxIp +')';
					accum.insert(opt);
				}
				return accum;
			});

			$('pbxRemove_ok').observe('click', function(){
				ap_showWaitMessage('waitDiv', 1);

				var new_pbx = $F('new_pbx_id');
				new Ajax.Request('aclpbx/index.php', {
					parameters:{
						action: 'remove_pbx',
						old_pbx: old_pbx,
						new_pbx: new_pbx
					},
					onSuccess: function(transport) {
						if(transport.responseText !== 'OK'){
							setError('error',  transport.responseText);
						}
						this.closeDialog();
                        this.checkRemovePbxProcessStatus();
					}.bind(this)
				});
			}.bind(this));
		},
        checkRemovePbxProcessStatus: function() {
			new Ajax.Request('/api/v1/PBX/WmsNetwork/checkBackgroundRemovePbxState/',{
				method: 'GET',
				onComplete: function(transport) {
                    var data = transport.responseJSON;
					if (200 === transport.status && typeof data === 'object'){
						if (!data.result) {
                            return;
						}

                        if (data.result.processRunning) {
                            setTimeout(this.checkRemovePbxProcessStatus.bind(this), 5000);
                        } else {
                            if (typeof data.result.errors === 'string' && data.result.errors !== '') {
                                setError('error',  data.result.errors);
                            }
                            this.reinitPbxesTable();
                        }
					}
				}.bind(this)
			});
		},
                _initValues: function(values){
                    if (values && values.BODY.pbxs){
                        values.BODY.pbxs.each(this._makePbxLink);
                        values.BODY.pbxs.each(this._makePbxFailover);
						values.BODY.pbxs.each(this._makePbxVersion);
                    }
                    return values;
                },
				_makePbxVersion: function(pbx){
					if(pbx.isPbxNeedUpdate) {
						pbx.pbxVersion += `<span class="danger"> ${WMS._translation['strings.needToUpgrade']}</span>`;
					}
				},
                _makePbxLink: function(pbx){
                    pbx.pbxLink = '<a href="/api/v1/PBX/'+pbx.pbxSerial+'/redirect/" target="_blank">'+pbx.pbxDomain+'</a>';
                },
                _makePbxFailover: function(pbx) {
                    values.jsonpbxes.BODY.failovers.forEach(function (failover) {
                        if (pbx.dn == failover.pbxowner) {
                            values.jsonpbxes.BODY.pbxs.forEach(function (item) {
                                if (failover.pbxFailover == item.dn) {
                                    pbx.pbxFailover = '<a href="/api/v1/PBX/' + item.pbxSerial + '/redirect/" target="_blank">' + item.pbxDomain +'</a>';
                                }
                            })
                        }
                    })
                },
                reinitPbxesTable: function () {
                    ap_showWaitMessage('waitDiv', 1);

                    return new Ajax.Request(this.fileAjaxUrl,{
                        method: 'post',
                        parameters:$H({
                            action: this.actionList
                        }).toQueryString(),
                        onComplete: function(transport){
                            values.jsonpbxes = transport.responseJSON;
                            var startIndex = this.table.get('paginator').getStartIndex();
                            this.table.getDataSource().liveData = this._initValues(values.jsonpbxes);
                            var data = this.table.getDataSource().parseJSONData({},this.table.getDataSource().liveData);
                            data = this.filterData(this._livesearchElm.value, false, data);
                            this.table.onDataReturnInitializeTable('' , data, {totalRecords:data.meta.totalRecords});
                            this.table.get('paginator').setStartIndex(startIndex);
                            deactivateButtons('pbxestbl_pnl', [0]);

                            ap_showWaitMessage('waitDiv', 0);
                        }.bind(this)
                    })
                }
	});
}
