if(typeof Prototype!=='undefined' && typeof YAHOO!=='undefined'){
	WMS.Users = Class.create({},{
            syncGoogleAuthUrlAvailable: false,
            syncGoogleAuthUrl: '',

            office365AuthUrlAvailable: false,
            office365AuthUrl: '',

            zohoCrmAuthUrlAvailable: false,
            zohoCrmAuthUrl: '',

		initialize: function(divTable, fileAjaxUrl, varsPhp){

			ap_showWaitMessage('waitDiv', 1);

			this.divTable = divTable;
			this.fileAjaxUrl = fileAjaxUrl + '&newclass=aclpbx';
			this.varsPhp = varsPhp;
			this.DataSource = YAHOO.util.DataSource,
			this.DataTable  = YAHOO.widget.DataTable,
			this.Paginator  = YAHOO.widget.Paginator;
			this.table = null;
			this.modwin = null;
			this.modsecwin = null;

			this.usSyncSettingsAndMap = this.varsPhp.usSyncSettingsAndMap;
			this.usSyncFields = this.varsPhp.usSyncFields;

			// fixme: get langs from available languages
			this.varsSelects = {
			    'langs': {
			    	'en':{'img':'gb','text':'En'},
			    	'it':{'img':'it','text':'It'},
			    	'fr':{'img':'fr','text':'Fr'},
			    	'de':{'img':'de','text':'De'},
			    	'bg':{'img':'bg','text':'Bg'},
			    	'es':{'img':'es','text':'Es'},
					'es-us':{'img':'es','text':'Es-us'},
			    	'nl':{'img':'nl','text':'Nl'},
			    	'en-us':{'img':'en-us','text':'En-us'},
                    'ee':{'img':'ee','text':'Ee'},
                    'fi':{'img':'fi','text':'Fi'},
					'se':{'img':'se','text':'Se'},
					'no':{'img':'no','text':'No'},
					'da':{'img':'da','text':'Da'},
					'eu':{'img':'eu','text':'Eu'},
					'pt':{'img':'pt','text':'Pt'},
			    },
			    'userKinds': {
					'user':	{'img':'user',	'text':'User',	     'icon': 'fa-user'},
					'admin':{'img':'admin',	'text':'Admin',	     'icon': 'fa-user2'},
					'fax':	{'img':'fax',	'text':'Fax',	     'icon': 'fa-fax'},
					'park_orbit':{'img':'',	'text':'Park Orbit', 'icon': 'fa-android'},
					'room': {'img':'room',	'text':'Room',	     'icon': 'fa-bed'}
				},
			    'contexts': this.varsPhp.contexts,
			    'licenseTypes': this.varsPhp.licenseTypes
			};

			this.varsUserKinds ;
			var temp;
			if(this.varsPhp.perm.is_root) {
				temp = $H(this.varsSelects.userKinds).inject({},function(hash,record){
			        hash[record.key] = record.value['text'];
			        return hash;
			    });
			} else {
				temp = $H(this.varsSelects.userKinds).inject({},function(hash,record){
			        if (record.key != 'admin') hash[record.key] = record.value['text'];
			        return hash;
				});
			}

			this.varsUserKinds = {
					'all_userKinds': temp || [],
					'admin_userKinds': $H(this.varsSelects.userKinds).inject({},function(hash,record){
					        if (record.key == 'admin') hash[record.key] = record.value['text'];
					        return hash;
						}) || []
			};

			return this.table;
		},


        updateRegistrations: function(){

            var extensionsArr=[], records = this.table.getRecordSet().getRecords();

            for(var i=0; i< records.length; i++){
                if (records[i] && records[i].getData('extenNumber')){
                    extensionsArr.push(records[i].getData('extenNumber'));
                }
            }

            if (extensionsArr.length > 0) {
                jQuery.ajax({
                    url: '/api/v1/PBX/Users/' + extensionsArr +'/Sip/Registrations',
                    type: "GET",
                    success: function(response) {
                        response = response['result'];
                        var newState, oldState, colDevice, equal;

                        var needRender = false;

                        this.table.getRecordSet().getRecords().each(function(rec){
                            oldState = rec.getData('registrations');
                            newState = response[rec.getData('extenNumber')];
                            colDevice = oldState.registrations ? oldState.registrations.length : oldState.length;

                            if((colDevice == 0 && ! newState)){
                                // not device
                                return;
                            }

                            if(newState && newState.registrations.length == colDevice && oldState){

                                var needUpdate = false;
                                if(oldState.registrations.length !== newState.registrations.length){
                                    needUpdate = true;
                                }else{
                                    var resArray = oldState.registrations.filter(function(obj) {
                                        return newState.registrations.indexOf(obj) == -1;
                                    });

                                    if (resArray.length != oldState.registrations.length){
                                        needUpdate = true;
                                    }
                                }

                                if(needUpdate === false){
                                    return;
                                }
                            }

                            if(!newState){
                                newState = [];
                            }
                            needRender = true;
                            this.table.updateCell(rec, 'registrations', newState, true);

                        }.bind(this));

                        if(needRender){
                            this.table.render()
                        }
                    }.bind(this)
                });
            }
        },

		initializeTable:function(){

			this.getStorageStateColumns();

			var mySource = new this.DataSource(this.fileAjaxUrl + '&action=getUsers');
		    mySource.responseType   = this.DataSource.TYPE_JSON;
		    mySource.responseSchema = { // source
                    resultsList: "BODY",
                    fields: ["userKind","registrations","cn",'userPrincipalName',"extenNumber","facsimileTelephoneNumber","officeNumber","mail","mobile","userDialplan","userFaxDialplan","preferredLanguage","group","ou","owner","uid","dn","pbxgroup","pbxowner","licenseType"],
                    metaFields : {
                    	startIndex : "startIndex",
                        totalRecords: 'totalRecords',
                        rowsPerPage: 'rowsPerPage',
                        sortKey: "sortKey",
                        sortDir: "sortDir",
                        WARNINGS: "WARNINGS"
                    }
                };

		    var myPaginator = new this.Paginator({
		    	alwaysVisible      : false,
		        containers         : [this.divTable+'_pag'],
		        pageLinks          : 10,
		        rowsPerPage        : this.stateColumns.rowsPerPage || 20,
		        rowsPerPageOptions : [20,50,100],
		        template           : "<strong>{CurrentPageReport}</strong> {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}",
		        lastPageLinkLabel  : gl_translation['datatable.oPaginate.sLast'] + " >>",
		        firstPageLinkLabel : "<< " + gl_translation['datatable.oPaginate.sFirst'] ,
		        nextPageLinkLabel  : gl_translation['datatable.oPaginate.sNext'] + " >",
		        previousPageLinkLabel  : "< " + gl_translation['datatable.oPaginate.sPrevious']
		    });

		    var search = '';
		    if(this._livesearchElm && this._livesearchElm.value){
		    	search = this._livesearchElm.value;
		    }

		    var sort = this.stateColumns.sort || {key:'', dir:'asc'}

		    var option = {
		    	initialRequest: '&startIndex=0&results='+(this.stateColumns.rowsPerPage || 20)+'&sortKey='+sort.key+'&sortDir='+sort.dir+'&search'+search+'&pbxSerial=' + this.varsPhp.pbxSerial,
		    	dynamicData: true,
		    	generateRequest: this.buildQueryString.bind(this),
		    	paginator: myPaginator,
		    	draggableColumns: true,
		    	MSG_EMPTY: gl_translation['datatable.sZeroRecords']
		    };

		    var headers = [ // Column Headers
	                        {key:"userKind",label: '&nbsp;',className:"leftstyle",sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (oData){
										elCell.innerHTML = (this.varsSelects['userKinds'][oData] ? '<i class="fa '+this.varsSelects['userKinds'][oData]['icon']+'"></i>' : oData);
										jQuery(elCell).addClass("icon");
									}
	                            }.bind(this)
	                        },
	                        {key:"registrations",label:"&nbsp;",className:"leftstyle",sortable:false, width:45,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if(oData!==''){
                                        var content = [];
                                        var regcontent = [];
                                        var p_st_val = 'status-unavailable status-unavailable-bg';
                                        var img = '';

                                        if (oData.registrations && oData.registrations.length != 0) {
                                        	p_st_val = 'status-available status-available-bg';
                                        	img = '';

                                            for (var i=0, reg; reg = oData.registrations[i]; i++) {
                                            	if(!reg.useragent){
                                            		continue;
                                            	}
                                            	if(match=reg.useragent.match(/^Wildix WP(\d+A).*$/i)){
        	        			                    //WP490A, WP500A, WP600A, ...
        	        			                    img = 'images/small_phones/wp'+match[1]+'.png';
        	        			                }else if(match=reg.useragent.match(/^Wildix WP(\d+)G*R\d.*$/i)){
        	        			                    //WP410R2, WP480R2, WP490R2, WP490GR2
        	        			                    img = 'images/small_phones/wp'+match[1]+'R2.png';
        	        			                }else if(match=reg.useragent.match(/^Wildix WP(\d+).*$/i)){
        	        			                    //WP490, WP500, WP600, ...
        	        			                    img = 'images/small_phones/wp'+match[1]+'.png';
        	        			                }else if(match=reg.useragent.match(/^Wildix Vision.*$/i)){
                                                    //Wildix Vision
                                                    img = 'images/small_phones/wp600A.png';
                                                }else if(match=reg.useragent.match(/^Wildix W-AIR.*$/i)){
        	        			                	//Wildix W-AIR
        	        			                	img = 'images/small_phones/wair.png';
        	        			                }else if(match=reg.useragent.match(/^Wildix (Zero Distance).*$/i)){
        	        			                    //Zero Distance
        	        			                	img = 'images/small_phones/wzd.png';
        	        			                }else if(match=reg.useragent.match(/^((Wildix )?W\d+FXS).*$/i)){
        	        			                	//Wildix FXS
        	        			                	img = 'images/small_phones/wxfxs.png';
        	        			                }else if(match=reg.useragent.match(/^Wildix iOS.*$/i)){
        	        			                	//Wildix iOS
        	        			                	img = 'images/small_phones/wios.png';
        	        			                }else if(match=reg.useragent.match(/^Wildix Android.*$/i)){
        	        			                	//Wildix Android
        	        			                	reg.useragent = reg.useragent.replace(/(.*)\(.*\)/, '$1')
        	        			                	img = 'images/small_phones/wandroid.png';
        	        			                }
                                                else if(match=reg.useragent.match(/^Wildix SuperVision.*$/i)){
                                                    //Wildix SuperVision
                                                    img = 'images/small_phones/supervision.png';
                                                }
                                                regcontent.push((reg.useragent!=''? reg.useragent.escapeHTML() + '<br>':'n/a<br>') + '<font style=\'font-weight:bold\'>'+reg.received+'</font>');
                                            }
                                        }

                                        content.push('<div class="fa fa-circle '+p_st_val+'" style="line-height: 16px;font-size: 16px;"/></div>');

                                        elCell.style.backgroundImage = (img !='')? 'url('+img+')' : '';

                                        if(regcontent.length){
                                        	$(elCell).onmouseover = function(e){
                                        		tooltip.show(regcontent.join('<br><br>'));
                                        	};
                                        	$(elCell).onmouseout = function(e){
                                        		tooltip.hide();
                                        	}
                                        }

										jQuery(elCell).addClass("status");
                                        elCell.innerHTML = content.join('');
                                        elCell.style.backgroundRepeat = 'no-repeat';
                                        elCell.style.backgroundPosition = '90% 50%';
                                        elCell.style.paddingLeft = '5px';
	                                    elCell.style.minWidth = '40px';
	                                } else {
	                                    elCell.setAttribute('rel', "");
	                                }
	                            }
	                        },
	                        {key:"cn",label: gl_translation['aclpbx.userName'],className:"leftstyle",maxAutoWidth:160,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"userPrincipalName",label: gl_translation['aclpbx.userPrincipalName'],className:"leftstyle",maxAutoWidth:160,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"extenNumber",label: gl_translation['aclpbx.extenNumber'],className:"leftstyle",maxAutoWidth:110,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;"  ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"facsimileTelephoneNumber",label: gl_translation['aclpbx.facsimileTelephoneNumber'],className:"leftstyle",maxAutoWidth:70,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;"  ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"officeNumber",label: gl_translation['aclpbx.officeNumber'],className:"leftstyle",maxAutoWidth:115,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;"  ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"mail",label: gl_translation['aclpbx.Email'],className:"leftstyle",maxAutoWidth:180,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;"  ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"mobile",label: gl_translation['aclpbx.MobileNumber'],className:"leftstyle",maxAutoWidth:115,resizeable:true,sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"userDialplan",label: gl_translation['aclpbx.userDialplan'],className:"leftstyle",sortable:true,resizeable:true,maxAutoWidth:60,
	                        	formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"userFaxDialplan",label: gl_translation['aclpbx.userFaxDialplan'],className:"leftstyle",sortable:true,resizeable:true,maxAutoWidth:60,
	                        	formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
	                                elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" ' + ((oData != '&nbsp;')?'title="'+oData+'"':'') + '>'+oData+'</div>';
	                            }
	                        },
	                        {key:"preferredLanguage",label: '&nbsp;',className:"leftstyle",sortable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                if (oData) elCell.innerHTML = (this.varsSelects['langs'][oData] ? '<img src="images/flags/png/'+this.varsSelects['langs'][oData]['img']+'.png" />' : oData)
	                            }.bind(this)
	                        },
	                        {key:"group",label: gl_translation['aclpbx.Group'],className:"leftstyle",sortable:true, maxAutoWidth:60,resizeable:true,
	                            formatter: function(elCell, oRecord, oColumn, oData){
	                                elCell.innerHTML = !oData? '---': oData.escapeHTML();
	                            }
	                        },
	                        {key:"ou",label: gl_translation['aclpbx.ou'], className:"leftstyle",sortable:true,resizeable:true,maxAutoWidth:80,
	                        	formatter: function(elCell, oRecord, oColumn, oData){
	                                if (!oData) oData='&nbsp;';
									elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" ' + ((oData != '&nbsp;')?'title="'+oData.escapeHTML()+'"':'') + '>'+((oData != '&nbsp;')?oData.escapeHTML():oData)+'</div>';
	                            }
	                        },{
								key: "licenseType",
								label: WMS._t('aclpbx.licenseType'),
								className: "leftstyle",
								sortable: true,
								resizeable: true,
								maxAutoWidth: 80,
								formatter: function(elCell, oRecord, oColumn, oData) {
                                    elCell.innerHTML = !oData ? '' : WMS._t('license.type.' + oData);
								}
							}
	        ];


            if (this.varsPhp.pbx_net_mode){
	            headers[headers.length] = {key:"pbxowner",label: 'PBX',maxAutoWidth:50, className:"leftstyle",sortable:true,resizeable:true,
			                formatter: function(elCell, oRecord, oColumn, oData){

			                    if(values.jsonpbxes && values.jsonpbxes['BODY']['pbxs'] && values.jsonpbxes['BODY']['pbxs'].length>0){
			                        for(var i=0; i < values.jsonpbxes['BODY']['pbxs'].length; i++){
			                            if(values.jsonpbxes['BODY']['pbxs'][i]['dn']==oData){
			                            	elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" title="'+values.jsonpbxes['BODY']['pbxs'][i]['pbxDomain']+'">'+values.jsonpbxes['BODY']['pbxs'][i]['pbxDomain']+'</div>';
			                            	//elCell.innerHTML = values.jsonpbxes['BODY']['pbxs'][i]['pbxDomain'];
			                                return;
			                            }
			                        }
			                    }
			                    var match = oData.match(/^pbxid=(.*?),dc=.*?$/i);

			                    if(match && match[1]){
			                        //elCell.innerHTML = 'pbx'+match[1];
			                        elCell.innerHTML = '<div class="ellipsis '+oColumn.key+'_'+oColumn._id+'" style="overflow:hidden;" title="'+'pbx'+match[1]+'">'+'pbx'+match[1]+'</div>';

			                    }
			                }
			            }
            }

            headers = this.headersByStateStorage(headers);

		    this.table = new this.DataTable(this.divTable, headers, mySource, option);

			this.table.doBeforeLoadData = function(oRequest, oResponse, oPayload) {

					if( ! oPayload){
						oPayload = {totalRecords:0, pagination: this.table.getState().pagination, sortedBy: this.table.getState().sortedBy}
					}

					var meta = oResponse.meta;
					oPayload.totalRecords = meta.totalRecords || oPayload.totalRecords;

					oPayload.pagination = {
						        rowsPerPage: meta.rowsPerPage || 20,
						        recordOffset: meta.startIndex || 0
					};

					oPayload.sortedBy = {
						        key: meta.sortKey || "",
						        dir: (meta.sortDir === 'asc') ? this.DataTable.CLASS_ASC : this.DataTable.CLASS_DESC // Convert from server value to DataTable format
					};
					if (meta.WARNINGS && meta.WARNINGS instanceof Array){
                                            for(var i=0;i<meta.WARNINGS.length;i++){
                                                if (!this.fetchedWarnings){
                                                    this.fetchedWarnings = [];
                                                }
                                                if (this.fetchedWarnings.indexOf(meta.WARNINGS[i]) ===-1){
                                                    this.fetchedWarnings.push(meta.WARNINGS[i]);
                                                    setError('error', meta.WARNINGS[i]);
                                                }

                                            }
                                        }
			        return oPayload;
			}.bind(this)

		    this.setEventTable();

		    this.showButtons();

		    this.liveSearch();
		},

		showButtons: function(){

			var buttons = '';
			if (this.varsPhp.perm.page_users_users) {

            	if(this.varsPhp.perm.add_remove_users){
            		buttons += '<input type="button" class="but20" value="+" id="uaddNewPerson" />'
            	}else{
            		buttons += '<input type="button" disabled class="but20" value="+" />'
            	}

            	buttons += '<input type="button" disabled class="but20" value="' + gl_translation['strings.Edit'] + '" id="ueditPerson">';

            	if(this.varsPhp.perm.add_remove_users){
            		buttons += '<input type="button" disabled class="but20" style="margin-right: 20px" value="-" id="udeletePerson">';
            	}else{
            		buttons += '<input type="button" disabled class="but20" style="margin-right: 20px" value="-" />'
            	}

            	buttons += '<input type="button" disabled class="but20" value="' + gl_translation['aclpbx.SetPasswords'] + '" id="ueditPersonSipPass">';
            	buttons += '<input type="button" disabled class="but20" value="' + gl_translation['aclpbx.EditPreferences'] + '" id="ueditUserPreferences">';
            	buttons += '<input type="button" disabled class="but20" value="' + gl_translation['aclpbx.SendWelcome'] + '" id="usendWelcome">';
                buttons += `<input type="button" disabled class="but20" value="${gl_translation['aclpbx.InviteXbees']}" id="uInviteXbees">`;

            	if(this.varsPhp.pbx_net_mode){
            		buttons += '<input type="button" disabled class="but20" value="' + gl_translation['multipbx.MoveUser'] + '" id="umoveUsersPbx">';
            	}
            	if(this.varsPhp.perm.is_root) {
            		buttons += '<input type=button class="but20" value="' + gl_translation['phonebooks.Export'] + '" ' + (this.varsPhp.current_admin == 'admin' ? 'id="uExportCSV"' : "disabled") +' />';
            		buttons += '<input type=button class="but20' + ((this.varsPhp.pbx_net_mode == 1)?'_dis':'') + '" value="' + gl_translation['aclpbx.usersImport'] + '" ' + ((this.varsPhp.pbx_net_mode == 1)?'disabled="disabled"':'id="uusSyncShowWindow"') + ' />';
            	}

                if ('recurrent_job' in this.usSyncSettingsAndMap && 'enabled' in this.usSyncSettingsAndMap['recurrent_job'] && this.usSyncSettingsAndMap['recurrent_job']['enabled'] == 'yes'){
                	buttons += '<br />&nbsp;&nbsp;&nbsp;'+gl_translation['aclpbx.RecurrentSyncIsSet'] +'. ' + gl_translation['strings.Interval']+': '+this.usSyncSettingsAndMap['recurrent_job']['interval']+' ' + gl_translation['strings.hour'] +'. <a style="cursor:pointer;" id="uuDownloadAllSyncLog">' + gl_translation['strings.downloadLog'] +'</a>';
                }

                $(this.divTable+'_pnl').update(buttons);

                if ($('uaddNewPerson')) $('uaddNewPerson').onclick = this.addNewPerson.bind(this);
				if ($('ueditPerson')) $('ueditPerson').onclick = this.editPerson.bind(this);
				if ($('udeletePerson')) $('udeletePerson').onclick = this.deletePersonConfirm.bind(this);
				if ($('ueditPersonSipPass')) $('ueditPersonSipPass').onclick = this.editPersonSipPass.bind(this);
				if ($('ueditUserPreferences')) $('ueditUserPreferences').onclick = this.editUserPreferences.bind(this);
				if ($('usendWelcome')) $('usendWelcome').onclick = this.sendWelcome.bind(this);
				if ($('uInviteXbees')) $('uInviteXbees').onclick = this.sendInviteXbees.bind(this);
				if ($('umoveUsersPbx')) $('umoveUsersPbx').onclick = this.moveUsersPbx.bind(this);
				if ($('uExportCSV')) $('uExportCSV').onclick = this.uExportCSV.bind(this);
				if ($('uusSyncShowWindow')) $('uusSyncShowWindow').onclick = this.usSyncShowWindow.bind(this);
				if ($('uuDownloadAllSyncLog')) $('uuDownloadAllSyncLog').onclick = function(){ document.location="aclpbx/index.php?download_all_sync_users_log=1"};


			}
		},

		activateButtons: function(){
            const uInviteXbees = document.getElementById('uInviteXbees');
			var butarr = [];
        	if(this.varsPhp.is_userdir_present) {
        		butarr = [1, 2, 3, 4, 5, 6];
        		if(this.varsPhp.pbx_net_mode){
        			butarr[butarr.length] = 7;
        		}
        	} else {
        		butarr = [1, 2, 3, 4, 5];
        		if(this.varsPhp.pbx_net_mode){
        			butarr[butarr.length] = 6;
        		}
        	}

            if(! this.varsPhp.perm.add_remove_users) {
                butarr.splice(1,1);
            }

            activateButtons(this.divTable+'_pnl', butarr);
            if (!this.varsPhp.isXbeesEnable) {
                uInviteXbees.setAttribute('disabled', 'disabled');
            }
		},

		deactivateButtons: function(){
			var butarr = [];
        	if(this.varsPhp.is_userdir_present) {
        		butarr = [1, 2, 3, 4, 5, 6];
        		if(this.varsPhp.pbx_net_mode){
        			butarr[butarr.length] = 7;
        		}
        	} else {
        		butarr = [1, 2, 3, 4, 5];
        		if(this.varsPhp.pbx_net_mode){
        			butarr[butarr.length] = 6;
        		}
        	}

            if (this.table.getSelectedRows().length == 0) {
                deactivateButtons(this.divTable+'_pnl', butarr);
            }
		},

		buildQueryString: function (state,dt) {
			ap_showWaitMessage('waitDiv', 1);

		    var str = '';

		    if(state.pagination){
		    	str = "&startIndex=" + state.pagination.recordOffset +
	               "&results=" + state.pagination.rowsPerPage ;
		    }
		    else{
		    	str = "&startIndex=" + state.recordOffset +
	               "&results=" + state.rowsPerPage ;
		    }

		    var sortedBy = {};
		    if(state.sortedBy){

	    		var sDir = (state.sortedBy.dir === this.DataTable.CLASS_ASC) ? "asc" : "desc";

	    		sortedBy  = {key:state.sortedBy.key, dir: sDir};
	    	}
	    	else{
	    		sortedBy = {key:'', dir:'asc'}
	    	}

		    var search = '';
		    if(this._livesearchElm && this._livesearchElm.value){
		    	search = this._livesearchElm.value;
		    }

		    str += "&sortKey=" + sortedBy.key +
            "&sortDir=" + sortedBy.dir +
            "&search="+search;

		    if (this.varsPhp.pbx_net_mode && this._changePbxElm && this._changePbxElm.value){
	    		str += "&pbxSerial=" + this._changePbxElm.value;
	    	}

		    return str;
	    },

		reloadTable: function(){

			var closeDialog = true;

			var Obj = this.table.getState();
			if(arguments[1]){
				Obj = arguments[1];
			}

			if(arguments[0] == 1){
				Obj.pagination.recordOffset = 0;
			}
			else if(arguments[0] == 'noClose'){
				closeDialog = false;
			}

			this.keyupLiveSearch = false

			this.table.getDataSource().sendRequest(this.buildQueryString(Obj, this.table), {
										success: function(sRequest , oResponse , oPayload){
											if(this.keyupLiveSearch){
												// if new word in live search
												return;
											}
											oPayload = this.table.doBeforeLoadData (sRequest, oResponse, oPayload);

											if(oPayload.totalRecords <= oPayload.pagination.recordOffset ){
												oPayload.pagination.recordOffset = parseInt((oPayload.totalRecords-1)/oPayload.pagination.rowsPerPage)*oPayload.pagination.rowsPerPage;
												oResponse.meta.startIndex = oPayload.pagination.recordOffset;
											}

											this.table.onDataReturnInitializeTable(sRequest , oResponse , oPayload);

											if(this.modwin && closeDialog){
								            	this.modwin.close();
								            	this.modwin = null;
								            }
											this.deactivateButtons();

										}.bind(this) ,
										scope: this.table
									});

		},


		setEventTable: function(){
			this.table.subscribe("cellMousedownEvent",function(oArgs){
				return this.table.onEventSelectRow(oArgs);
			}.bind(this));

			this.table.subscribe("rowSelectEvent", function(event) {
				this.activateButtons();
				clearSelection();
			}.bind(this));

			this.table.subscribe("rowUnselectEvent", function(event) {
			    this.deactivateButtons();
            }.bind(this));

			this.table.subscribe("beforeRenderEvent", function(event) {
				ap_showWaitMessage('waitDiv', 0);
            }.bind(this));

			this.table.subscribe("cellDblclickEvent", this.editPerson.bind(this));

			this.table.subscribe("columnResizeEvent", this.saveStateColumns.bind(this));

			this.table.subscribe("columnReorderEvent", this.saveStateColumns.bind(this));

			this.table.subscribe("columnSortEvent", function(event) {
				var sDir = (event.dir === this.DataTable.CLASS_ASC) ? "asc" : "desc";
		    	this.stateColumns.sort  = {key:event.column.getKey(), dir: sDir};
		    	this.saveStorageStateColumns();
            }.bind(this));

			this.table.getState().pagination.paginator.subscribe("rowsPerPageChange", function(event) {
				if(event.prevValue != event.newValue){
					this.stateColumns.rowsPerPage = event.newValue;
			    	this.saveStorageStateColumns();
				}
            }.bind(this));
		},

		stateColumns: {
			column: {},
			sort: null,
			rowsPerPage: 20
		},

		saveStateColumns: function(){
			var defs = this.table.getColumnSet().getDefinitions();
			this.stateColumns.column = {};
			for (var i = 0; i < defs.length; i++){
				this.stateColumns.column[defs[i].key] = {index:i, width:defs[i].width};
			}
			this.saveStorageStateColumns();
		},

		saveStorageStateColumns: function(){
			if(this.supportStorage()){
				window.localStorage.setItem("stateTable_"+this.divTable, Object.toJSON(this.stateColumns));
			}
		},

		getStorageStateColumns: function(){
			if(this.supportStorage()){
				this.stateColumns = JSON.parse(window.localStorage.getItem("stateTable_"+this.divTable)) || this.stateColumns;
			}
		},

		supportStorage: function(){
			try {
				return 'localStorage' in window && window['localStorage'] !== null;
			} catch (e) {
				return false;
			}
		},

		headersByStateStorage: function(headers){
			if(this.stateColumns.column){
            	var temp = [];
            	var temp_new = [];
            	for(var i = 0; i < headers.length; i ++){
            		if(!this.stateColumns.column[headers[i].key]){
            			temp_new.push(headers[i]);
            		}else{
                		if(this.stateColumns.column[headers[i].key].width){
                			headers[i]['width'] = this.stateColumns.column[headers[i].key].width;
                		}
                		temp[this.stateColumns.column[headers[i].key].index] = headers[i];
            		}
            	}
            	headers = temp.concat(temp_new);
            	headers = headers.map(function(value){return value;});
            	temp = null; temp_new = null;
            }
			return headers;
		},

		keyupLiveSearch: false,
		liveSearch: function() {

			if (this.varsPhp.perm.page_users_users) {

				$$('#livesearch_'+this.divTable).invoke('setStyle',{'display':'block'});

				if(this.varsPhp.pbx_net_mode && typeof values.jsonpbxes.BODY === 'object' && values.jsonpbxes.BODY.pbxs){
					var ppl_search = $('livesearch_'+this.divTable);
					var $select = new Element('select',{'id':'pbx'});
					var opt = new Element('option');
					opt.value     = 'all';
					opt.innerHTML = gl_translation['acl.all'];
					$select.insert(opt);

					$select = values.jsonpbxes.BODY.pbxs.inject($select,function(accum,pbx){
		                    var opt = new Element('option');
		                    opt.value     = pbx.pbxSerial;
		                    opt.innerHTML = pbx.pbxDomain + ' ('+ pbx.pbxIp +')';
		                    if(pbx.pbxSerial == this.varsPhp.pbxSerial){
		                        opt.writeAttribute('selected', 'selected');
		                    }
		                    accum.insert(opt);
		                    return accum;
			         }.bind(this));

					ppl_search.insert({'bottom':$select});

					this._changePbxElm = $('pbx');

					Event.observe(this._changePbxElm,'change',function(event){
							ap_showWaitMessage('waitDiv', 1);
						    this.reloadTable(1);
					}.bind(this));
				}
			}

			this._livesearchElm = $$('#livesearch_'+this.divTable+' input')[0];
			this._livesearchElm.style.color = '#797979';
			this._livesearchElm.value = '';

			this._livesearchElm.onblur = function(e){
				if(this._livesearchElm.value==''){
					this._livesearchElm.className = '';
				}
			}.bind(this);

			this._livesearchElm.onfocus = function(e){
				if(this._livesearchElm.value == ''){
					this._livesearchElm.className = 'focus';
				}
			}.bind(this);

			Event.observe(this._livesearchElm,'keydown', function(event) {
				var code = event.keyCode;
				if (code == 27 && ! event.metaKey){
					event.stopPropagation();
					event.preventDefault();
				}
				return true;
			});

			Event.observe(this._livesearchElm,'keyup',function(event){
				clearTimeout(arguments.callee.timer);

				if ((event.keyCode!=38 && event.keyCode!=40 && event.keyCode!=27) || event.keyCode == 27){
					this.keyupLiveSearch = true;
				}
				arguments.callee.timer = setTimeout(function(code, element, event){
					var ellen = element.value.length;

					if(ellen == 1){
						return;
					}

					if (code!=38 && code!=40 && code!=27){
						ap_showWaitMessage('waitDiv', 1);
						this.reloadTable(1);
					} else if (code == 27){
						element.value = this._mask == null ? '' : this._mask;
						element.blur();
						ap_showWaitMessage('waitDiv', 1);
						this.reloadTable(1);
					}
				}.bind(this, event.keyCode, Event.element(event), event), event.keyCode == 13 ? 0 : 1000);

			}.bind(this));

			return;
		},

		addNewPerson: function() {
			this.showFormEdit().setHeader(gl_translation['strings.Add']);
		    $('edit_uid').value = 'new';
		    $('edit_userDialplan').value = 'users';
		    $('edit_userFaxDialplan').value = 'users';
		    $('edit_preferredLanguage').value = this.varsPhp.t_default_lang ;
		    $('edit_licenseType').value = this.varsPhp.defaultLicenseType ;

		    var countGr = values.jsongroups.ACLBODY.length;
		    for(var i=0; i < countGr; i++){
		    	if(values.jsongroups.ACLBODY[i].wcgrp == 2 || values.jsongroups.ACLBODY[i].cn.toLowerCase().indexOf("default") == 0){
		    		$('edit_owner').value = values.jsongroups.ACLBODY[i].dn ;
			        $('__edit_owner').value = values.jsongroups.ACLBODY[i].dn ;
			        break;
		    	}
		    }
		},

        // pass selected rows as argument and map data to the form field
		editPerson: function(selectedRows){
            const data = selectedRows[0];

		    if (selectedRows.length === 1) {
		        this.showFormEdit().setHeader(gl_translation['strings.Edit']);

		        $('edit_userKind').value = (data['role'] || '');
		        $('edit_registrations').value = (data['registrations'] || '') ;
		        $('edit_uid').value = (data['id'] || '') ;
		        $('edit_dn').value = (data['dn'] || '') ;
		        $('edit_cn').value =  (data['name'] || '') ;
		        $('__edit_cn').value =  (data['name'] || '') ;
		        $('edit_userPrincipalName').value =  (data['login'] || '') ;
		        $('__edit_extenNumber').value = (data['extension'] || '') ;
		        $('edit_extenNumber').value = (data['extension'] || '') ;
		        $('edit_mobile').value = (data['mobilePhone'] || '') ;
		        $('edit_facsimileTelephoneNumber').value = (data['faxNumber'] || '') ;
		        $('edit_officeNumber').value = (data['officePhone'] || '') ;
		        $('edit_mail').value = (data['email'] || '') ;
		        $('edit_userDialplan').value = (data['dialplan'] || '') ;
		        $('edit_userFaxDialplan').value = (data['faxDialplan'] || '') ;
		        $('edit_preferredLanguage').value = (data['language'] || '') ;
		        $('edit_owner').value = (data['groupDn'] || '') ;
		        $('__edit_owner').value = (data['groupDn'] || '') ;
		        $('edit_ou').value = (data['department'] || '') ;
		        $('edit_licenseType').value = (data['licenseType'] || this.varsPhp.maximumAvailableLicenseType);

		        if(! this.varsPhp.perm.add_remove_users) {
		        	$('edit_userKind').disabled = true;
		        	$('edit_owner').disabled = true;

		        }else{
		        	$('edit_userKind').disabled = false;
		        	$('edit_owner').disabled = false;
		        }

		    }
            else if (selectedRows.length > 1) {
		        // multi Edit

		        var content = '<table width="100%">'+
		        	'<tr><td align="right"> <input type="hidden" id="typeForm" value="info">'+
		        	gl_translation['aclpbx.Group']+'</td><td><input type="checkbox" id="u_check_owner" onclick="checkMultiEdit(this,\'u_edit_owner\');"></td><td><select id="u_edit_owner">'+
		            values.jsongroups.ACLBODY.inject([],function(opts,record){
		                if (record['dn'] == data['groupDn']){
		                    opts.push('<option selected="selected" value="'+record['dn']+'">'+record['cn']+'</option>');
		                }else{
		                    opts.push('<option value="'+record['dn']+'">'+record['cn']+'</option>');
		                }
		                return opts;
		            }).join('')+
		            '</select></td></tr>'+
		            '<tr><td align="right">'+gl_translation['aclpbx.preferredLanguage']+'</td><td><input type="checkbox" id="u_check_preferredLanguage" onclick="checkMultiEdit(this,\'u_edit_preferredLanguage\');"></td><td><select id="u_edit_preferredLanguage">'+
		            $H(this.varsSelects.langs).inject([],function(opts, record){
		                if (record.key == data['language']){
		                    opts.push('<option selected="selected" value="'+record.key+'">'+record.value['text']+'</option>');
		                }else{
		                    opts.push('<option value="'+record.key+'">'+record.value['text']+'</option>');
		                }
		                return opts;
		            }).join('')+
		            '</select></td></tr>'+
		            '<tr><td align="right">'+gl_translation['aclpbx.userDialplan']+'</td><td><input type="checkbox" id="u_check_userDialplan" onclick="checkMultiEdit(this,\'u_edit_userDialplan\');"></td><td><select id="u_edit_userDialplan" style="width:200px;">'+
		            $H(this.varsSelects.contexts).inject([],function(opts, record){
		                if (record.key == data['dialplan']){
		                    opts.push('<option selected="selected" value="'+(record.key||'').escapeHTML()+'">'+(record.value||'').escapeHTML()+'</option>');
		                }else{
		                    opts.push('<option value="'+(record.key||'').escapeHTML()+'">'+(record.value||'').escapeHTML()+'</option>');
		                }
		                return opts;
		            }).join('')+
		            '</select></td></tr>'+
		            '<tr><td align="right">'+gl_translation['aclpbx.userFaxDialplan']+'</td><td><input type="checkbox" id="u_check_userFaxDialplan" onclick="checkMultiEdit(this,\'u_edit_userFaxDialplan\');"></td><td><select id="u_edit_userFaxDialplan" style="width:200px;">'+
		            $H(this.varsSelects.contexts).inject([],function(opts, record){
		                if (record.key == data['faxDialplan']){
		                    opts.push('<option selected="selected" value="'+(record.key||'').escapeHTML()+'">'+(record.value||'').escapeHTML()+'</option>');
		                }else{
		                    opts.push('<option value="'+(record.key||'').escapeHTML()+'">'+(record.value||'').escapeHTML()+'</option>');
		                }
		                return opts;
		            }).join('')+
		            '</select></td></tr>' +
                    '<tr><td align="right">' + WMS._t('aclpbx.licenseType') + '</td><td><input type="checkbox" id="u_check_licenseType" onclick="checkMultiEdit(this,\'u_edit_licenseType\');"></td><td><select id="u_edit_licenseType">' +
                    this.varsSelects.licenseTypes.inject([],function(opts, itemValue) {
                    	var licenseType = data['licenseType'] || this.varsPhp.maximumAvailableLicenseType;
                        if (itemValue === licenseType) {
                            opts.push('<option selected="selected" value="' + itemValue + '">' + WMS._t('license.type.' + itemValue) + '</option>');
                        } else {
                            opts.push('<option value="' + itemValue + '">' + WMS._t('license.type.' + itemValue) + '</option>');
                        }
                        return opts;
                    }, this).join('') +
                    '</select></td></tr>' +
		            '<tr><td align="right">'+gl_translation['aclpbx.ou']+'</td><td><input type="checkbox" id="u_check_ou" onclick="checkMultiEdit(this,\'u_edit_ou\');"></td><td><input type="text" value="'+(data['department'] || '')+'" id="u_edit_ou" size="30" style="margin-left:0px;">'+
		            '</td></tr></table>';

		        this.showFormEditMulti(360,180, content, selectedRows);

		        if(! this.varsPhp.perm.add_remove_users) {
		        	$('u_check_owner').checked = false;
		        	$('u_check_owner').disabled = true;
		        	$('u_edit_owner').disabled = true;

		        }else{
		        	$('u_check_owner').checked = true;
		        	$('u_check_owner').disabled = false;
		        	$('u_edit_owner').disabled = false;
		        }
		        $('u_check_preferredLanguage').checked = true;
		        $('u_check_userDialplan').checked = true;
		        $('u_check_userFaxDialplan').checked = true;
		        $('u_check_licenseType').checked = true;
		        $('u_check_ou').checked = true;

		    }
		},

		showFormEdit: function(selectedRows){

			var pObj = null;
			if(selectedRows && selectedRows[0]){
				pObj = selectedRows[0];
			}

			var content = '<table id="edUser">'+
				'<tr>'+
					'<td>' +
						'<input type="hidden" id="edit_registrations">'+
						'<input type="hidden" id="edit_uid">'+
						'<input type="hidden" id="edit_dn">'+
				    '</td>'+
					'<td>';
					if(pObj && pObj['role']=='admin' && ! this.varsPhp.perm.is_root){
						content += this.createSelect('edit_userKind', this.varsUserKinds['admin_userKinds']);
					}
					else{
						content += this.createSelect('edit_userKind', this.varsUserKinds['all_userKinds']);
					}
			content += '</td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.userName']+'</td>'+
					'<td> <input type="text" id="edit_cn" style="width:300px;"> <input type="hidden" id="__edit_cn"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.userPrincipalName']+'</td>'+
					'<td> <input type="text" id="edit_userPrincipalName" style="width:300px;"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.extenNumber']+'</td>'+
					'<td><input type="text" id="edit_extenNumber" style="width:300px;"> <input type="hidden" id="__edit_extenNumber"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.facsimileTelephoneNumber']+'</td>'+
					'<td><input type="text" id="edit_facsimileTelephoneNumber" style="width:300px;"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.officeNumber']+'</td>'+
					'<td><input type="text" id="edit_officeNumber" style="width:300px;"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.Email']+'</td>'+
					'<td><input type="text" id="edit_mail" style="width:300px;"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.MobileNumber']+'</td>'+
					'<td><input type="text" id="edit_mobile" style="width:300px;"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.userDialplan']+'</td>'+
					'<td>' + this.createSelect('edit_userDialplan', $H(this.varsSelects.contexts).inject({},function(hash,record){
			                hash[record.key] = record.value;
			                return hash;
			            }) || []) + '</td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.userFaxDialplan']+'</td>'+
					'<td>' + this.createSelect('edit_userFaxDialplan', $H(this.varsSelects.contexts).inject({},function(hash,record){
			                hash[record.key] = record.value;
			                return hash;
			            }) || []) + '</td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.preferredLanguage']+'</td>'+
					'<td>' + this.createSelect('edit_preferredLanguage', $H(this.varsSelects.langs).inject({},function(hash,record){
			                hash[record.key] = record.value['text'];
			                return hash;
			            }) || []) + '</td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.owner']+'</td>'+
					'<td>' + this.createSelect('edit_owner', values.jsongroups.ACLBODY.inject({},function(hash,record){
		                hash[record['dn']] = record['cn'];
		                return hash;
		            }) || []) + ' <input type="hidden" id="__edit_owner"></td>'+
				'</tr>'+
				'<tr>'+
					'<td align="right">'+ gl_translation['aclpbx.ou']+'</td>'+
					'<td><input type="text" id="edit_ou" style="width:300px;"></td>'+
				'</tr>'+
                '<td align="right">'+  WMS._t('aclpbx.licenseType')+'</td>'+
                '<td>' + this.createSelect('edit_licenseType', this.varsSelects.licenseTypes.inject({}, function(hash, itemValue){
                	const notShowLicenseType = ['wizyWebinar', 'x-caracal', 'classound'];
                	if (!notShowLicenseType.includes(itemValue)) {
						hash[itemValue] =  WMS._t('license.type.' + itemValue);
					}
                    return hash;
                }) || []) + '</td>'+
                '</tr>'+
				'</table>';

			return this.showDialog(500, 340, content, function(){
				$$('span.err_span').invoke('remove');
				ap_showWaitMessage('waitDiv', 1);
				var cn = $F('edit_cn').replace(/\s+/gi, ' ');
				var userPrincipalName = $F('edit_userPrincipalName').replace(/\s+/gi, ' ');
				var dataSave = {
		                userKind: $F('edit_userKind'),
		                cn: cn,
		                cn_old: $F('__edit_cn'),
		                userPrincipalName: userPrincipalName,
		                mail: $F('edit_mail'),
		                mobile: $F('edit_mobile'),
		                userDialplan: $F('edit_userDialplan'),
		                userFaxDialplan: $F('edit_userFaxDialplan'),
		                extenNumber: $F('edit_extenNumber'),
		                extenNumber_old: $F('__edit_extenNumber'),
		                facsimileTelephoneNumber: $F('edit_facsimileTelephoneNumber'),
		                officeNumber: $F('edit_officeNumber'),
		                preferredLanguage: $F('edit_preferredLanguage'),
		                owner: $F('edit_owner'),
		                owner_old: $F('__edit_owner'),
		                ou: $F('edit_ou'),
		                uid: $F('edit_uid'),
		                dn: $F('edit_dn'),
                    	licenseType: $F('edit_licenseType')
		            };

				return new Ajax.Request(this.fileAjaxUrl,{
		            method: 'post',
		            parameters:$H({
		                action: 'setUser',
		                data: $H(dataSave).toJSON()
		            }).toQueryString(),
		            onComplete: function(transport){
			            	if ("responseJSON" in transport && "BODY" in transport.responseJSON && transport.responseJSON.BODY !== true) {
			            		if("ERRORS" in transport.responseJSON && transport.responseJSON.ERRORS !== ""){
			            			setError('error', transport.responseJSON.ERRORS);
			            		}else{
			            			$H(transport.responseJSON.BODY).each(function(pair){
										Element.insert($('edit_' + pair.key), {'after': '<span class="err_span" style="color:#ff0000;padding-left:10px;display:inline-block; width:' + ($('edit_' + pair.key).getWidth()) + 'px;">' + pair.value + '<br></span>'});
									});
			            		}
			            		ap_showWaitMessage('waitDiv', 0);
			            	}else{
			            		if(current_admin == dataSave.cn && current_lang != dataSave.preferredLanguage){
			            			window.location.reload();
			            		}else{
			            			this.getLicenseUsageStatus();
                                    this.modwin.close();
			            		}
                                dispatchEvent(new Event('userFormSaved'));
                            }
		            	}.bind(this)
		            });
			});

		},

		createSelect: function(name,obj){
			var ret = '<select id="' + name + '" style="margin-left:10px; max-width:305px;">';
			for(var i in obj){
				ret += '<option value="' + (i||'').escapeHTML() + '" >' + (obj[i]||'').escapeHTML() + '</option>';
			}
			ret += '</select>';
			return ret;
		},

		showFormEditMulti: function(width,height, content, selectedRows){

			this.showDialog(width,height,content, function(){
				ap_showWaitMessage('waitDiv', 1);
				$$('span.err_span').invoke('remove');

				var haveAdmin = false;
				var user_dns = selectedRows.inject([],function(names,user){
			        if(user['name'] == current_admin){
			        	haveAdmin = true;
			        }
			        names.push(user['dn']);
			        return names;
			    }.bind(this)).join('|');

			    if (user_dns == ''){
			    	this.modwin.close();
			        return false;
			    }

			    var send_data = {};

			    if ($F('typeForm') == 'password'){
			    	var options = {
			    			rules: [ // rule, element_id, message
 		                        "function,check_passwords_strength"
 		                    ]
			    	};

			        if (! WMS.validate('set_multy_person_pass', options) ) {

			            ap_showWaitMessage('waitDiv', 0);
			            return false;
			        }

			        send_data = $H({
			            userPassword: $F('u_edit_userPassword').gsub('&#34;','"'),
			            wuserPasswordSip: $F('u_edit_wuserPasswordSip').gsub('&#34;','"'),
			            dns: user_dns
			        }).toJSON();

			    } else {
			        send_data = $H({
			            owner: $F('u_edit_owner'),
			            preferredLanguage: $F('u_edit_preferredLanguage'),
			            userDialplan: $F('u_edit_userDialplan'),
			            userFaxDialplan: $F('u_edit_userFaxDialplan'),
			            ou: $F('u_edit_ou'),
                        licenseType: $F('u_edit_licenseType'),
			            set_owner: ($('u_check_owner').checked)?'1':'0',
			            set_preferredLanguage: ($('u_check_preferredLanguage').checked)?'1':'0',
			            set_userDialplan: ($('u_check_userDialplan').checked)?'1':'0',
			            set_userFaxDialplan: ($('u_check_userFaxDialplan').checked)?'1':'0',
			            set_ou: ($('u_check_ou').checked)?'1':'0',
			            set_licenseType: ($('u_check_licenseType').checked)?'1':'0',
			            dns: user_dns
			        }).toJSON();
			    }

			    return new Ajax.Request(this.fileAjaxUrl,{
			        method: 'post',
			        parameters:$H({
			            action: 'setMultiUser',
			            data: send_data
			        }).toQueryString(),
			        onComplete:	function(transport){

		            	if ("responseJSON" in transport && "BODY" in transport.responseJSON && transport.responseJSON.BODY !== true) {
		            		$H(transport.responseJSON.BODY).each(function(pair){
								Element.insert($('u_edit_' + pair.key), {'after': '<span class="err_span" style="color:#ff0000;padding-left:10px">' + pair.value + '<br></span>'});
							});
		            		ap_showWaitMessage('waitDiv', 0);
		            	}else if ($F('typeForm') != 'password'){
		            		if(haveAdmin && current_lang != send_data.preferredLanguage){
		            			window.location.reload();
		            		}else{
								this.getLicenseUsageStatus();
		            		}
		            	}else{
		            		ap_showWaitMessage('waitDiv', 0);
		            	}
		            	if(this.modwin){
		            		this.modwin.close();
			            	this.modwin = null;
		            	}

                        dispatchEvent(new Event('userFormSaved'));

	            	}.bind(this)
			    });

			}).setHeader(gl_translation['strings.Edit']);
		},

		deletePersonConfirm: function(selectedRows) {
			if (!selectedRows.length) {
				return;
			}

			var content = '<div class="deletingModalConfirm" style="padding: 10px;">' +
				'<div style="padding: 10px 10px 20px 10px;">' + WMS._t('ConfirmDelete') + '</div>' +
				'<div style="margin-bottom: 20px;"><label><input class="deleteUserWithAllData" type="checkbox" id="userWithAllData" value="true" checked> ' + WMS._t('deleteUser.userAndAllData') + '</label></div>' +
				'<div><label><input type="checkbox" id="personalData" value="true" checked disabled> ' + WMS._t('deleteUser.personalData') + '</label></div>' +
				'<div><label><input type="checkbox" id="voicemails" value="true" checked disabled> ' + WMS._t('deleteUser.voicemails') + '</label></div>' +
				'<div><label><input type="checkbox" id="voicemailGreetings" value="true" checked disabled> ' + WMS._t('deleteUser.voicemailsGreetings') + '</label></div>' +
				'<div><label><input type="checkbox" id="calls" value="true" checked disabled> ' + WMS._t('deleteUser.calls') + '</label></div>' +
				'<div><label><input type="checkbox" id="chatHistory" value="true" checked disabled> ' + WMS._t('deleteUser.chatHistory') + '</label></div>' +
				'<div><label><input type="checkbox" id="phonebooks" value="true" checked disabled> ' + WMS._t('deleteUser.phonebooks') + '</label></div>' +
				'<div><label><input type="checkbox" id="callGroupMember" value="true" checked disabled> ' + WMS._t('deleteUser.callGroupMember') + '</label></div>' +
				'<div><label><input type="checkbox" id="missedCallManager" value="true" checked disabled> ' + WMS._t('deleteUser.missedCallManager') + '</label></div>' +
				'<div><label><input type="checkbox" id="pagingGroupMember" value="true" checked disabled> ' + WMS._t('deleteUser.pagingGroupMember') + '</label></div>' +
				'<div><label><input type="checkbox" id="applications" value="true" checked disabled> ' + WMS._t('deleteUser.applications') + '</label></div>' +
				'<div><label><input type="checkbox" id="devices" value="true" checked disabled> ' + WMS._t('deleteUser.unassignDevices') + '</label></div>' +
				'</div>';

			this.showDialog(420, 300, content, function() {
				this.modwin.close();
				this.modwin = null;

                let data = [];

                jQuery('.deletingModalConfirm input').each((id, option) => {
                    if (option.checked) {
                        data.push(option.id);
                    }
                });

                const res = $H({'data[]': data}).toQueryString();

				this.deletePerson(selectedRows, res);
			});

            this.deleteModalBehaviour();
		},

        deleteModalBehaviour: () => {
            const delAllCheckbox = jQuery('.deletingModalConfirm .deleteUserWithAllData');
            const allOtherCheckboxes = jQuery('.deletingModalConfirm input').not('.deleteUserWithAllData');
            const okBtn = jQuery('#saveUserButOk');

            jQuery('.deletingModalConfirm input').change(() => {
                if (jQuery('.deletingModalConfirm input:checked').length === 0) {
                    okBtn.prop('disabled', true);
                } else {
                    okBtn.prop('disabled', false);
                }
            });

            delAllCheckbox.click(() => {
                if (delAllCheckbox[0].checked) {
                    allOtherCheckboxes.prop('checked', true);
                    allOtherCheckboxes.prop('disabled', true);
                } else {
                    allOtherCheckboxes.prop('disabled', false);
                }
            });
        },

		deletePerson: async function (users, deletePersonData) { // key = 'uid'
		    parent.ap_showWaitMessage('waitDiv', 1);

            for (const {id} of users) {
                await this.deleteRequest(id, deletePersonData);
            }

            dispatchEvent(new Event('userFormSaved'));
        },

        deleteRequest: function (id, params) {
                return new Promise((resolve) => {
                    new Ajax.Request(`/api/v1/PBX/Colleagues/${id}/?${params}`, {
                        method: 'delete',
                        onComplete: function() {
                            resolve();
                        }.bind(this)
                    });
                });
        },

		unselectForPasswords: function(selectedRows=[]){

		    var admin_is_present = false;
		    var errors = [];

		    if (this.varsPhp.current_admin == 'admin'){
		        $A(selectedRows).each(function(record){
		            if (record['name'].toLowerCase() == this.varsPhp.current_admin) {
		                admin_is_present = true;
		            }
		        }.bind(this));
		        if (admin_is_present){
		            $A(selectedRows).each(function(record){
		                if (record['name'].toLowerCase() != this.varsPhp.current_admin) {
		                    errors.push(record.getData('cn'));
		                }
		            }.bind(this));
		        }
		    }else{
		        $A(selectedRows).each(function(record){
		            if (record['name'].toLowerCase() == this.varsPhp.current_admin) {
		                admin_is_present = true;
		            }
		        }.bind(this));
		        if (admin_is_present){
		            $A(selectedRows).each(function(record){
		                if (record['name'].toLowerCase() != this.varsPhp.current_admin) {
		                    errors.push(record['name']);
		                }
		            }.bind(this));
		        }else{
		            $A(selectedRows).each(function(record){
		                if (record['name'].toLowerCase() != this.varsPhp.current_admin && (record['name'].toLowerCase() == 'admin' || record['role'] == 'admin')) {
		                	errors.push(record['name']);
		                }
		            }.bind(this));
		        }
		    }

		    if(errors.length>0){
		        setError('warning', gl_translation['aclpbx.NoPermissionForUsers'] + ':<br />'+errors.join("<br />"));
		    }
		},

		editPersonSipPass: function(selectedRows){
		    this.unselectForPasswords(selectedRows);
		    var pObj = selectedRows[0];

            var content = '';
            var width = 450;
            var height = 210;

		    if (selectedRows.length === 1) {

		        if (pObj && pObj['id'] && pObj['dn']) {
		            // if admin edits himself

		            if (this.varsPhp.current_admin == pObj['name']) {

		            	content = '<br><form id="set_person_pass">'+
						'<input class="hak_autocomplete" type="password" size="25" style="position:absolute; left:-5000px;"/>'+
		            	'<table width="100%">' +
		                    '<tr style="' + ((this.varsPhp.got_userPasswordIsDefault && pObj['name']=='admin')?'display:none;':'') + '">' +
		                        '<td align="left" style="width:100px;">' + gl_translation['aclpbx.userCurrPassword'] + '</td>' +
		                        '<td align="left"><input type="password" style="width:155px;" id="u_edit_curr_userPassword" value="" /></td>' +
		                    '</tr>' +
		                    '<tr><td align="left">' + gl_translation['aclpbx.userNewPassword'] + '</td>' +
		                        '<td align="left">' +
			                        '<input type="password" class="pageUsers-input-pass" id="u_edit_userPassword" value="" onkeyup="return passwordChanged(\'u_edit_userPassword\',false);" maxlength="25"/>' +
	                                '<span id="u_edit_userPassword_strength" class="pageUsers-span-strength">&nbsp;</span>&nbsp;<a class="genPass" style="cursor:pointer;" onclick="setPassword(\'u_edit_userPassword\',10,false)" title="' + gl_translation['strings.genSecurePass'] + '">'+gl_translation['strings.genSecurePassShort']+'</a>&nbsp;<a class="pageUsers-a-show" onclick="showPass(this, \'u_edit_userPassword\')">' + gl_translation['strings.Show'] + '</a>'+
                                '</td></tr>'+
		                    '<tr><td align="left">' + gl_translation['aclpbx.userConfirmNewPassword'] + '</td><td align="left"><input type="password" style="width:155px;" id="u_edit_userPassword_2" value="" /></td></tr>'+
		                    '<tr><td align="left"> &nbsp; </td><td align="left"> &nbsp; </td></tr>'+
		                    '<tr><td align="left">' + gl_translation['aclpbx.wuserPasswordSip'] + '</td>' +
		                        '<td align="left">' +
		                        '<input type="password" class="pageUsers-input-pass" id="u_edit_wuserPasswordSip" value="" readonly="readonly" onkeyup="return passwordChanged(\'u_edit_wuserPasswordSip\',true);" maxlength="25"/>' +
                                '<span id="u_edit_wuserPasswordSip_strength" class="pageUsers-span-strength">&nbsp;</span>&nbsp;<a class="genPass" style="cursor:pointer;" title="' + gl_translation['strings.genSecurePass'] + '" onclick="setPassword(\'u_edit_wuserPasswordSip\',10,false)">'+gl_translation['strings.genSecurePassShort']+'</a>&nbsp;<a class="pageUsers-a-show" onclick="showPass(this, \'u_edit_wuserPasswordSip\')">' + gl_translation['strings.Show'] + '</a>' +
                            '</td></tr>';

		            } else {

		            	height = 180;

		            	content = '<br>'+
		                    '<form id="set_person_pass">'+
		                    	'<input class="hak_autocomplete" type="password" size="25" style="position:absolute; left:-5000px;"/>'+
		                        '<table width="100%">'+
		                            '<tr><td align="left" style="width:100px;">' + gl_translation['aclpbx.userPassword'] + '</td>' +
		                                '<td align="left">' +
		                                    '<input type="password" class="pageUsers-input-pass" id="u_edit_userPassword" value="" onkeyup="return passwordChanged(\'u_edit_userPassword\',false);" maxlength="25"/>' +
		                                    '<span id="u_edit_userPassword_strength" class="pageUsers-span-strength">&nbsp;</span>&nbsp;<a class="genPass" style="cursor:pointer;" onclick="setPassword(\'u_edit_userPassword\',10,false)" title="' + gl_translation['strings.genSecurePass'] + '">'+gl_translation['strings.genSecurePassShort']+'</a>&nbsp;<a class="pageUsers-a-show" onclick="showPass(this, \'u_edit_userPassword\')">' + gl_translation['strings.Show'] + '</a>'+
		                            '</td></tr>'+
		                            '<tr><td align="left" style="width:100px;">' + gl_translation['aclpbx.wuserPasswordSip'] + '</td>' +
		                                '<td align="left">' +
		                                    '<input type="password" class="pageUsers-input-pass" id="u_edit_wuserPasswordSip" value="" readonly="readonly" onkeyup="return passwordChanged(\'u_edit_wuserPasswordSip\',true);" maxlength="25"/>' +
		                                    '<span id="u_edit_wuserPasswordSip_strength" class="pageUsers-span-strength">&nbsp;</span>&nbsp;<a class="genPass" style="cursor:pointer;" title="' + gl_translation['strings.genSecurePass'] + '" onclick="setPassword(\'u_edit_wuserPasswordSip\',10,false)">'+gl_translation['strings.genSecurePassShort']+'</a>&nbsp;<a class="pageUsers-a-show" onclick="showPass(this, \'u_edit_wuserPasswordSip\')">' + gl_translation['strings.Show'] + '</a>' +
		                            '</td></tr>'+
		                        '</table>'+
		                    '</form>';
		            }


		            this.showDialog(width, height, content, function(){

		            	var user_dn = pObj['dn'];

		                var options = {
	                		rules: [ // rule, element_id, message
 		                        "function,check_passwords_strength"
 		                    ]
		                };

		                if (!WMS.validate('set_person_pass', options) ) {
		                    return false;
		                }

		                var newPassSip = $F('u_edit_wuserPasswordSip').gsub('&#34;','"');
		                var newPass = $F('u_edit_userPassword').gsub('&#34;','"');
		                var curPass = '';

		                if($('u_edit_curr_userPassword')){
		                	curPass = $F('u_edit_curr_userPassword').gsub('&#34;','"');
		                }

		                if( ! newPassSip.length && !  newPass.length){

		                	this.modwin.close();
			            	this.modwin = null;
			            	return true;
		                }

		                ap_showWaitMessage('waitDiv', 1);

		                return new Ajax.Request(this.fileAjaxUrl,{
		                    method: 'post',
		                    parameters:$H({
		                        action: 'setUserPasswordSip',
		                        wuserPasswordSip: newPassSip,
		                        userPassword: newPass,
		                        curUserPassword: curPass,
		                        dn: user_dn
		                    }).toQueryString(),
		                    onComplete: function(transport) {

		                    	if ("responseJSON" in transport && "BODY" in transport.responseJSON && transport.responseJSON.BODY[0] && transport.responseJSON.BODY[0].length > 4) {

		                    		ap_showWaitMessage('waitDiv', 0);
		                    		var txt = transport.responseJSON.BODY[0];
		                    		Element.insert($('u_edit_curr_userPassword'),{'before': '<span class="err_span" style="color:#ff0000;padding-left:10px">'+txt+'<br></span>'});

		                    		return;
		                    	}

		                        if (this.varsPhp.current_admin == pObj['name']) {
		                            window.location.reload();
		                        }else{
		                        	ap_showWaitMessage('waitDiv', 0);
			                        this.modwin.close();
					            	this.modwin = null;
		                        }


		                    }.bind(this)
		                });
		            }).setHeader(gl_translation['aclpbx.SetPasswords']);
		            passwordChanged('u_edit_userPassword');
	                passwordChanged('u_edit_wuserPasswordSip', true);
		        }
		    } else if (selectedRows.length > 1) {
		        // multi Edit Passwords

		        content = '<form id="set_multy_person_pass"><br><table width="100%"><tr><td style="width:100px;"><input type="hidden" id="typeForm" value="password">' + gl_translation['aclpbx.userPassword'] + '</td><td>'+
						        '<input autocomplete="off" type="password" class="pageUsers-input-pass" id="u_edit_userPassword" value="" onkeyup="return passwordChanged(\'u_edit_userPassword\',false);" maxlength="25"/>' +
				                '<span id="u_edit_userPassword_strength" class="pageUsers-span-strength">&nbsp;</span>&nbsp;<a class="genPass" style="cursor:pointer;" onclick="setPassword(\'u_edit_userPassword\',10,false)" title="' + gl_translation['strings.genSecurePass'] + '">'+gl_translation['strings.genSecurePassShort']+'</a>&nbsp;<a class="pageUsers-a-show" onclick="showPass(this, \'u_edit_userPassword\')">' + gl_translation['strings.Show'] + '</a>'+
				        '</td></tr>'+
				        '<tr><td align="left" style="width:100px;">' + gl_translation['aclpbx.wuserPasswordSip'] + '</td>' +
				            '<td align="left">' +
				                '<input autocomplete="off" type="password" class="pageUsers-input-pass" id="u_edit_wuserPasswordSip" value="" readonly="readonly" onkeyup="return passwordChanged(\'u_edit_wuserPasswordSip\',true);" maxlength="25"/>' +
				                '<span id="u_edit_wuserPasswordSip_strength" class="pageUsers-span-strength">&nbsp;</span>&nbsp;<a class="genPass" style="cursor:pointer;" title="' + gl_translation['strings.genSecurePass'] + '" onclick="setPassword(\'u_edit_wuserPasswordSip\',10,false)">'+gl_translation['strings.genSecurePassShort']+'</a>&nbsp;<a class="pageUsers-a-show" onclick="showPass(this, \'u_edit_wuserPasswordSip\')">' + gl_translation['strings.Show'] + '</a>' +
				        '</td></tr>'+
		            '</table></form>';

		        this.showFormEditMulti(450,150, content, selectedRows);
		        passwordChanged('u_edit_userPassword');
		        passwordChanged('u_edit_wuserPasswordSip', true);
		    }
		},



		editUserPreferences: function(selectedRows) {
		    var userids = this.getSelectedForAclOnlyThatPbx(selectedRows);
		    if (userids == "0") return false;

		    windowop_div("features/features_user.php?userid=" + userids + "&admin=1", 650);

		    return ;
		},

		getSelectedForAclOnlyThatPbx: function (selectedRows=[]){
		    // todo: get only one record
            const pbxDn = this.varsPhp.pbxdn;
            const alienusers = [];

            const requestString = selectedRows.reduce((acc, record) => {
                if (record['pbxDn'] !== pbxDn) {
                    alienusers.push(record);
                } else {
                    acc.push(record['id']);
                }
                return acc;
            }, []).sort().join('|') || '0';

		    if (alienusers.length != 0) {
		        var errstr = gl_translation['aclpbx.impossibleToEditPrefsForRemoteUsers'] + ': ' + $A(alienusers).collect(function(row){
		            return `${row['name']} [${row['extension']}] - ${row['pbx']}`;
		        }).join(', ');

		        setError('notification', errstr.truncate(150));
		    }

		    return requestString || "0";
		},

		sendInviteXbees: function(selectedRows=[]) {

            const usersByLanguage = this.getSelectedUsersByLanguages(selectedRows)
			let no_email = [];

            selectedRows.forEach(function(record){
                if(!record['email']){
                    no_email.push(record['name']);
                }
            })

			if(no_email.length>0) {
				setError('error', gl_translation['aclpbx.NoEmailError'] + no_email.join(', '));
			}

            for(const language in usersByLanguage) {
                ap_showWaitMessage('waitDiv', 1);
                const userids = usersByLanguage[language];
                new Ajax.Request('aclpbx/index.php?lang=' + language, {
                    method: 'post',
                    parameters: {
                        userid: userids.sort().join('|') || "0",
                        action: 'sendWelcomeEmailXbees'
                    },
                    onComplete: () => {
                        ap_showWaitMessage('waitDiv', 0);
                    }
                });
            }
		},

        sendWelcome: async function(selectedRows = []) {

            this.unselectForPasswords();

            const usersByLanguage = this.getSelectedUsersByLanguages(selectedRows)
            const sendEmailByLang = (language, userids) => {
                return new Promise((resolve, reject) => {
                    let content = '';
                    new Ajax.Request(('data/templates/WelcomeMailTemplate.php?lang=' + language) ,{
                        onComplete: function(transport) {
                            //Show loader (??)
                            ap_showWaitMessage('waitDiv', 0);

                            if(transport) {
                                //Save html template from the response
                                content = transport.responseText;

                                let frame = '<iframe id="iframe_box" src="about:blank" style="width: 684px; height: 480px;"></iframe>'
                                this.showDialog(686, 480, frame, function(){

                                    let no_email = [];

                                    selectedRows.forEach(function(record){
                                        const uid = record['id'];
                                        if(userids.indexOf(uid) !== -1) {
                                            if( ! record['email']){
                                                no_email.push(record['name']);
                                            }
                                        }
                                    })

                                    if(no_email.length>0){//Insert email address for user(s)
                                        setError('error', gl_translation['aclpbx.NoEmailError'] + no_email.join(', '));
                                    }

                                    const iframe = document.getElementById('iframe_box').contentWindow.document;

                                    // get template from iframe
                                    const serializer = new XMLSerializer();
                                    const mailTmpl = serializer.serializeToString(iframe);

                                    ap_showWaitMessage('waitDiv', 1);

                                    new Ajax.Request('aclpbx/index.php',{
                                        method: 'post',
                                        parameters: {
                                            userid: userids.sort().join('|') || "0",
                                            action: 'sendWelcomeEmail',
                                            template: mailTmpl
                                        }, //$F('email_tpl')},
                                        onComplete: function(t) {
                                            ap_showWaitMessage('waitDiv', 0);
                                            this.modwin.close();
                                            this.modwin = null;
                                            setTimeout(function () {
                                                resolve();
                                            }, 100)
                                        }.bind(this)
                                    });
                                }, false, true, function () {
                                    setTimeout(function () {
                                        resolve();
                                    }, 100)
                                }).setHeader(gl_translation['aclpbx.editEmailBody']);

                                // hack for once remove empty strings
                                let runOnce;

                                // open template in iframe for save all html tags
                                let iframe = document.getElementById('iframe_box').contentWindow.document;
                                iframe.open();
                                iframe.write(content);
                                iframe.close();

                                let edititableTmpl = iframe.getElementById('tmpl_data');
                                edititableTmpl.addEventListener('click', function() {

                                    let tmplContentDiv = iframe.getElementById('tmpl_content');
                                    let tmplContent = tmplContentDiv.innerHTML;
                                    // change <br> to '\n' and remove empty lines
                                    tmplContent = tmplContent.replace(/<br ?\/?>/g, '\n');

                                    // hack
                                    if (runOnce === undefined) {
                                        tmplContent = tmplContent.replace(/\n\n/g, '\n');
                                        runOnce = true;
                                    }

                                    // prepare second dialog for edit customer data
                                    let content = '<textarea id="email_tpl" style="margin: 5px; width: 475px;height:335px">' + tmplContent  + '</textarea>';

                                    this.showSecondDialog(500, 400, content, function(){

                                        var customData = $F('email_tpl');
                                        // change '\n' to <br>
                                        customData = customData.split('\n').join('<br />');
                                        tmplContentDiv.innerHTML = customData;

                                        // close dialog;
                                        this.modsecwin.close();
                                        this.modsecwin =null;

                                    }, false, true).setHeader(gl_translation['aclpbx.editEmailBody']);
                                }.bind(this), false);
                            }
                            else {
                                reject();
                            }
                        }.bind(this)
                    });
                })
            }

            for(const lang in usersByLanguage) {
                await sendEmailByLang(lang, usersByLanguage[lang]);
            }
		},

		getSelectedUsers: function(){
		    var tbl = this.table;
		    var acl_id = 'uid';

		    var selected = tbl.getSelectedRows() || [];
		    var request_string = selected.inject([],function(records, row, iter){
		        var record = tbl.getRecord(row);
		        return records.add(record.getData(acl_id));
		    }).sort().join('|') || "0";
		    return request_string;
		},

        getSelectedUsersByLanguages: function (selectedRows = []) {
            let result = {};

            selectedRows.forEach(function (record) {
                const preferredLanguage = record['language'];
                if (!result.hasOwnProperty(preferredLanguage)) {
                    result[preferredLanguage] = [];
                }
                result[preferredLanguage].push(record['id'])
            });
            return result;
        },

		moveUsersPbx: function(selectedRows=[]){
            const userids = selectedRows.map((row) => row['id']).sort().join('|');
		    if (!userids) return false;

		    var content = '<div style="padding:10px;"><p>'+gl_translation['multipbx.SelectNewOwner']+'</p>'+
		    			  '<form onsubmit="return false"><select id="newPbx"></select></form>'+
		    			  '<p>'+gl_translation['multipbx.WarningMovingSettings']+'</p></div>';

			this.showDialog(400, 120, content, function(){

			    ap_showWaitMessage('waitDiv', 1);
			    new Ajax.Request('aclpbx/index.php',{
			        method: 'post',
			        parameters: {userid: userids, action: 'moveUsers', new_pbx: $F('newPbx')},
			        onSuccess: function(transport) {
			        	var butarr = [1, 2, 3, 4, 5];
                		if(this.varsPhp.pbx_net_mode){
                			butarr[butarr.length] = 6;
                		}
                        deactivateButtons(this.divTable+'_pnl', butarr);
			            if(transport.responseText != 'OK'){
			                setError('error',  transport.responseText);
			            }
			        }.bind(this),
			        onComplete: () => {
                        this.modwin.close()
                        this.modwin = null;
                        dispatchEvent(new Event('userFormSaved'));
                    }
			    });
			}).setHeader(gl_translation['multipbx.SelectNewOwnerTitle']);

		    var $select = $('newPbx');
		    $select = values.jsonpbxes.BODY.pbxs.inject($select,function(accum,pbx){
		        var opt = new Element('option');
		        opt.value     = pbx.pbxSerial;
		        opt.innerHTML = pbx.pbxDomain + ' ('+ pbx.pbxIp +')';
		        if(pbx.pbxSerial == this.varsPhp.pbxSerial){
		            opt.writeAttribute('selected', 'selected');
		        }
		        accum.insert(opt);
		        return accum;
		    }.bind(this));
		},

		uExportCSV: function() {
		    document.location="aclpbx/index.php?export_users_csv=1";
		},

		usSyncShowWindow: function() {

			this.uSyncUpdater;
			this.uSyncCurrBackend;

			var button = '<div id="users_sync_div_buttons_settings">' +
						 	'<input id="uImportDryRun" type="button" class="but20" value="' + gl_translation['buttons.ImportDryRun'] + '"/>' +
						 	'<input id="uImportDryRunVerbose" style="display:none" type="button" class="but20" value="' + gl_translation['buttons.ImportDryRunVerbose'] + '"/>' +
						 	'<input id="uImport" type="button" class="but20" value="' + gl_translation['buttons.SaveAndImport'] + '"/>' +
						 	'<input id="uSyncDoSave" type="button" class="but20" value="' + gl_translation['buttons.Save'] + '"/>' +
						 	'<input id="saveUserButCancel" type="button" value="'+(gl_translation['button.Cancel'] || 'Cancel')+'" class="but20" />' +
						 '</div>' +
						 '<div style="display:none;" id="users_sync_div_buttons_test">' +
						 	'<input id="us_btn_back" type="button" class="but20" value="' + gl_translation['buttons.Back'] + '"/>' +
						 '</div>';

			this.showDialog(760, 565, $('users_sync_div').innerHTML.interpolate({'hash': 'id'}), false, button).setHeader(gl_translation['aclpbx.usersImport'])

			$('uImportDryRun').onclick = this.uSyncDoSync.bind(this,'yes','no');
		    $('uImportDryRunVerbose').onclick = this.uSyncDoSync.bind(this,'yes','yes');
		    $('uImport').onclick = this.uSyncDoSync.bind(this,'no','no');
		    $('uSyncDoSave').onclick = this.uSyncDoSave.bind(this);
		    $('us_btn_back').onclick = this.uSyncBack.bind(this);

		    this.usSyncSetFrom({});

		    Event.observe($('u_s_backend_backend'),'change',function(event){
		    	this.uSyncChangeBackend(Event.element(event).value);
		    }.bind(this));

		    Event.observe($('u_s_backend_csv_import_type'),'change',function(event){
		    	this.uSyncChangeCsvImportType(Event.element(event).value);
		    }.bind(this));

		    Event.observe($('us_recurrent_on'),'click',function(event){
		    	this.uSyncToggleRecurrentJob(Event.element(event),'us_recurrent_interval','us_recurrent_email');
		    }.bind(this));

		    Event.observe($('u_s_backend_office365_login'),'click',this._onClickOffice365Login.bind(this));
		    Event.observe($('u_s_backend_office365_logout'),'click',this._onClickOffice365Logout.bind(this));

		    Event.observe($('u_s_backend_zohoCrm_login'),'click',this._onClickZohoCrmLogin.bind(this));
		    Event.observe($('u_s_backend_zohoCrm_logout'),'click',this._onClickZohoCrmLogout.bind(this));

		    Event.observe($('u_s_backend_google_login'),'click',this._onClickGoogleLogin.bind(this));
		    Event.observe($('u_s_backend_google_logout'),'click',this._onClickGoogleLogout.bind(this));

		    $$('.uSyncToggleMapAttr').each(function(e){
		    	Event.observe(e,'click',function(event){
		    		this.uSyncToggleMapAttr(Event.element(event), Event.element(event).id.slice(0,-3));
		    	}.bind(this));
		    }.bind(this));
		},

		_onClickOffice365Login: function(event){

            window.callbackOffice365FunctionContacts = this._onOffice365LoginCallback.bind(this);

            if (this.office365AuthUrlAvailable) {
            	window.open(
            			this.office365AuthUrl,
                		"Office365 sing on",
                		"location=0,status=0,scrollbars=0,width=800,height=500"
                );
            } else {
                setError('error', 'Office365 Auth url unavailable');
            }
		},

		_onClickZohoCrmLogin: function(event){
            window.callbackZohoCrmFunctionContacts = this._onZohoCrmLoginCallback.bind(this);

            if (this.zohoCrmAuthUrlAvailable) {
            	window.open(
            			this.zohoCrmAuthUrl,
                		"ZohoCRM sing on",
                		"location=0,status=0,scrollbars=0,width=800,height=500"
                );
            } else {
                setError('error', 'ZohoCrm Auth url unavailable');
            }
		},

		_onClickOffice365Logout: function(event){
			$('u_s_backend_office365_mail').value = '';
			$('u_s_backend_office365_mail_text').innerHTML = '';
			$('u_s_backend_office365_received_token_time').value = '';
			$('u_s_backend_office365_access_token').value = '';
			$('u_s_backend_office365_token_type').value = '';
			$('u_s_backend_office365_expires_in').value = '';
			$('u_s_backend_office365_id_token').value = '';
			$('u_s_backend_office365_id_token_expires_in').value = '';
			$('u_s_backend_office365_refresh_token').value = '';
			$('u_s_backend_office365_logout').hide();
			$('u_s_backend_office365_login').show();

			this.uSyncDoSave();
		},

		_onClickZohoCrmLogout: function(event){
            var parameters = {
                refresh_token: $('u_s_backend_zohoCrm_refresh_token').value,
                api_domain: $('u_s_backend_zohoCrm_api_domain').value,
                action: 'zohoCrm_revoke_token'
            };

            new Ajax.Request('aclpbx/index.php',{
                method: 'post',
                parameters: parameters,
                onSuccess: function(transport) {

                    urls[type] = transport.responseJSON;
                    success(urls[type]);
                },
                onFailure: function (transport) {
                    error(transport.responseJSON);
                }
            });

			$('u_s_backend_zohoCrm_full_name').value = '';
			$('u_s_backend_zohoCrm_full_name_text').innerHTML = '';
			$('u_s_backend_zohoCrm_received_token_time').value = '';
			$('u_s_backend_zohoCrm_access_token').value = '';
			$('u_s_backend_zohoCrm_token_type').value = '';
			$('u_s_backend_zohoCrm_expires_in').value = '';
			$('u_s_backend_zohoCrm_refresh_token').value = '';
			$('u_s_backend_zohoCrm_location').value = '';
			$('u_s_backend_zohoCrm_api_domain').value = '';
            $('u_s_backend_zohoCrm_accounts_server').value = '';
			$('u_s_backend_zohoCrm_logout').hide();
			$('u_s_backend_zohoCrm_login').show();

			this.uSyncDoSave();
		},

		_onOffice365LoginCallback: function(result){
			if(!result){
				// error
				return;
			}
			if(result.error && result.error != '' && result.error_description){
				if(result.error_description){
					setError('error', result.error_description);
				}else{
					// unknow
				}
			}else if(result.token && result.userInfo){
				this._onOffice365LoadToken(result);
			}
		},

		_onZohoCrmLoginCallback: function(result){
			if(!result){
				// error
				return;
			}
			if(result.error && result.error != '' && result.error_description){
				if(result.error_description){
					setError('error', result.error_description);
				}else{
					// unknow
				}
			}else if(result.token && result.userInfo){
				this._onZohoCrmLoadToken(result);
                this.uSyncDoSave.bind(this)
			}
		},

		_onOffice365LoadToken: function(result){

			getOffice365AuthUrl('users', function (response) {
                this.office365AuthUrlAvailable = true;
                this.office365AuthUrl = response.url;

                if(result.userInfo && result.userInfo.preferred_username) {
                    $('u_s_backend_office365_mail').value = result.userInfo.preferred_username;
                    $('u_s_backend_office365_mail_text').innerHTML = result.userInfo.preferred_username;
                }
                if(result.token && result.token.id_token){
                	$('u_s_backend_office365_received_token_time').value = result.token.received_token_time;
                    $('u_s_backend_office365_access_token').value = result.token.access_token;
                    $('u_s_backend_office365_token_type').value = result.token.token_type;
                    $('u_s_backend_office365_expires_in').value = result.token.expires_in;
                    $('u_s_backend_office365_id_token').value = result.token.id_token;
                    $('u_s_backend_office365_id_token_expires_in').value = result.token.id_token_expires_in;
                    $('u_s_backend_office365_refresh_token').value = result.token.refresh_token;
                    $('u_s_backend_office365_logout').show();
                    $('u_s_backend_office365_login').hide();
                }

            }.bind(this));
		},

        _onZohoCrmLoadToken: function(result){
			getZohoCrmAuthUrl('ZohoCRM.users.ALL', function (response) {
                this.zohoCrmAuthUrlAvailable = true;
                this.zohoCrmAuthUrl = response.url;

                if(result.userInfo && result.userInfo.full_name) {
                    $('u_s_backend_zohoCrm_full_name').value          = result.userInfo.full_name;
                    $('u_s_backend_zohoCrm_full_name_text').innerHTML = result.userInfo.full_name;
                }
                if (result.token && result.token.access_token) {
                	$('u_s_backend_zohoCrm_received_token_time').value = result.token.received_token_time;
                    $('u_s_backend_zohoCrm_access_token').value        = result.token.access_token;
                    $('u_s_backend_zohoCrm_token_type').value          = result.token.token_type;
                    $('u_s_backend_zohoCrm_expires_in').value          = result.token.expires_in;
                    $('u_s_backend_zohoCrm_api_domain').value          = result.token.api_domain;
                    $('u_s_backend_zohoCrm_refresh_token').value       = result.token.refresh_token;
                    $('u_s_backend_zohoCrm_accounts_server').value     = result.token.accounts_server;

                    if (result.token.location) {
                        $('u_s_backend_zohoCrm_location').value = result.token.location;
                    } else {
                        $('u_s_backend_zohoCrm_location').value = this.usSyncSettingsAndMap['settings']['zohoCrm']['location'];
                    }

                    $('u_s_backend_zohoCrm_logout').show();
                    $('u_s_backend_zohoCrm_login').hide();
                }

            }.bind(this));
		},

		_onClickGoogleLogin: function(event) {
                    var windowOpen = function (syncGoogleAuthUrl) {
                        window.open(
                            syncGoogleAuthUrl,
		            "Google sing on",
		            "location=0,status=0,scrollbars=0,width=800,height=500"
                        );
                    };

                    window.callbackFunctionUsers = this._onGoogleLoginCallback.bind(this);

                    if (this.syncGoogleAuthUrlAvailable) {
			windowOpen(this.syncGoogleAuthUrl);
                    } else {
                        setError('error', 'Google Auth url unavailable');
                    }
		},

		_onClickGoogleLogout: function(event){
			$('u_s_backend_google_mail').value = '';
			$('u_s_backend_google_mail_text').innerHTML = '';
			$('u_s_backend_google_received_token_time').value = '';
			$('u_s_backend_google_access_token').value = '';
			$('u_s_backend_google_token_type').value = '';
			$('u_s_backend_google_expires_in').value = '';
			$('u_s_backend_google_refresh_token').value = '';
			$('u_s_backend_google_phonebooks').value = '';
			$('u_s_backend_google_logout').hide();
			$('u_s_backend_google_login').show();

			this.uSyncDoSave();
		},

		_onGoogleLoginCallback: function(result){
                    console.log('_onGoogleLoginCallback', result)
                    if (!result) {
                        // error
                        return;
                    }

                    if (result.error && result.error != '' && result.error_description) {
                        if (result.error_description) {
                            setError('error', result.error_description);
                        } else {
                            // unknow
                        }
                    } else if(result.token && result.userInfo){
                        this._tryToSync(result);
                    }
		},

		_tryToSync: function(data){
                    ap_showWaitMessage('waitDiv', 1);
                    getGoogleAuthUrl('users', function (response) {
                        this.syncGoogleAuthUrlAvailable = true;
                        this.syncGoogleAuthUrl = response.url;

                        new Ajax.Request('aclpbx/index.php', {
                            method: 'post',
                            parameters: $H({
                                action: 'try_google_domainusers',
                                token: $H(data.token).toJSON()
                            }).toQueryString(),
                            onComplete: function(transport){
                                ap_showWaitMessage('waitDiv', 0);
                                if ("responseJSON" in transport && "users" in transport.responseJSON) {
                                    var response = transport.responseJSON;

                                    if (data.userInfo) {
                                        $('u_s_backend_google_mail').value = data.userInfo.email;
                                        $('u_s_backend_google_mail_text').innerHTML = data.userInfo.email;
                                    }

                                    $('u_s_backend_google_received_token_time').value = response.token.received_token_time;
                                    $('u_s_backend_google_access_token').value = response.token.access_token;
                                    $('u_s_backend_google_token_type').value = response.token.token_type;
                                    $('u_s_backend_google_expires_in').value = response.token.expires_in;
                                    $('u_s_backend_google_refresh_token').value = response.token.refresh_token;

                                    $('u_s_backend_google_logout').show();
                                    $('u_s_backend_google_login').hide();
                                } else if ("error" in transport.responseJSON && "message" in transport.responseJSON.error) {
                                    if (data && data.token && data.token.access_token) {
                                        setError('error', transport.responseJSON.error.message);
                                    }
                                }
                            }.bind(this)
                        });
                    }.bind(this), function (response) {
                        ap_showWaitMessage('waitDiv', 0);
                        setError('error', 'Cannot fetch Google Auth url');
                    });

                },

		uSyncToggleRecurrentJob: function(el,id1,id2){
		    this.uSyncToggleMapAttr(el,id1);
		    this.uSyncToggleMapAttr(el,id2);
		},

		uSyncToggleMapAttr: function(el,id){
		    $(id)[el.checked? 'enable': 'disable']();
		    el.value = el.checked? 1: 0;
		},

		usSyncSetFrom: function(trSettings){
		    var oBackend = $('u_s_backend_backend');
		    $H({'ldap':'LDAP','activeD':'Active Directory','domino':'Lotus Domino','mysql':'MySQL','mssql':'MSSQL','office365':'Office365','google':'Google','csv':'CSV','zohoCrm':'Zoho'}).each(function(val){
		        oBackend.options[oBackend.options.length] = new Option(val.value,val.key);
		    });

		    oBackend = $('us_recurrent_interval');
		    $H({'1':'1','2':'2','6':'6','12':'12','24':'24'}).each(function(val){
		        oBackend.options[oBackend.options.length] = new Option(val.value,val.key);
		    });

		    this.uSyncCurrBackend = this.usSyncSettingsAndMap['global']['backend'];
		    $('u_s_backend_backend').value = this.uSyncCurrBackend;

		    $('u_s_global_remove_users').checked = false;
		    $('u_s_global_erase_values').checked = false;
		    if (this.usSyncSettingsAndMap['global']['remove_users'] == 'yes'){
		        $('u_s_global_remove_users').checked = true;
		    }
		    if (this.usSyncSettingsAndMap['global']['erase_values'] == 'yes'){
		        $('u_s_global_erase_values').checked = true;
		    }

		    var t_filter = '(&(objectCategory=person)(objectClass=user)(!(userAccountControl:1.2.840.113556.1.4.803:=2)))';
		    var t_options = new Array(this.usSyncSettingsAndMap['settings']['ldap']['filter']);
		    if (this.usSyncSettingsAndMap['settings']['ldap']['filter'] != t_filter) t_options.push(t_filter);
		    oBackend = $('u_s_backend_ldap_filter');
		    $A(t_options).each(function(val){
		        //oBackend.options[oBackend.options.length] = new Option(val,val);
		    });

		    var t_filter = '(&(objectCategory=person)(objectClass=user)(!(userAccountControl:1.2.840.113556.1.4.803:=2)))';
		    var t_options = new Array(this.usSyncSettingsAndMap['settings']['activeD']['filter']);
		    if (this.usSyncSettingsAndMap['settings']['activeD']['filter'] != t_filter) t_options.push(t_filter);
		    oBackend = $('u_s_backend_activeD_filter');
		    $A(t_options).each(function(val){
		        //oBackend.options[oBackend.options.length] = new Option(val,val);
		    });

		    t_filter = 'SELECT ${MAP} FROM `users_table` WHERE `type`="local"';
		    t_options = new Array(this.usSyncSettingsAndMap['settings']['mysql']['filter']);
		    if (this.usSyncSettingsAndMap['settings']['mysql']['filter'] != t_filter) t_options.push(t_filter);
		    oBackend = $('u_s_backend_mysql_filter');
		    $A(t_options).each(function(val){
		        //oBackend.options[oBackend.options.length] = new Option(val,val);
		    });

		    t_filter = 'SELECT ${MAP} FROM [users_table] WHERE [type]=\'local\'';
		    t_options = new Array(this.usSyncSettingsAndMap['settings']['mssql']['filter']);
		    if (this.usSyncSettingsAndMap['settings']['mssql']['filter'] != t_filter) t_options.push(t_filter);
		    oBackend = $('u_s_backend_mssql_filter');
		    $A(t_options).each(function(val){
		        //oBackend.options[oBackend.options.length] = new Option(val,val);
		    });

		    oBackend = $('u_s_backend_csv_import_mountpoint');
		    $H(cSyncMounts).each(function(pair){
		        oBackend.options[oBackend.options.length] = new Option(pair.value,pair.key);
		    });

		    // IE !! rrrr
		    $('us_map_cn_on').disabled = true;
		    $('us_map_sourceId_on').disabled = true;

                    $A(['ldap','activeD','domino','mysql','mssql','office365','google','csv']).each(function(backend){
                        this.uSyncPlaceSyncSettings(backend);
		    }.bind(this));

		    this.uSyncPlaceSyncMap(this.uSyncCurrBackend);
		    this.uSyncPlaceSyncRecurrentJob();
		    this.uSyncChangeBackend(this.uSyncCurrBackend);
		    this.uSyncChangeCsvImportType($F('u_s_backend_csv_import_type'));
		},

		uSyncPlaceSyncSettings: function(backend){
			if(backend == 'google' && ('default' in this.usSyncSettingsAndMap) && (backend in this.usSyncSettingsAndMap['default']['settings'])){
				$H(this.usSyncSettingsAndMap['default']['settings'][backend]).each(function(pair){
					if(!this.usSyncSettingsAndMap['settings'][backend]){
                        this.usSyncSettingsAndMap['settings'][backend] = {};
					}
					if(!this.usSyncSettingsAndMap['settings'][backend][pair.key]){
						this.usSyncSettingsAndMap['settings'][backend][pair.key] = pair.value;
					}
				}.bind(this));
			}
		    $H(this.usSyncSettingsAndMap['settings'][backend]).each(function(pair){
                if($('u_s_backend_'+backend+'_'+pair.key+'').type == 'checkbox'){
		    		$('u_s_backend_'+backend+'_'+pair.key+'').checked = (pair.value == 'yes');
		    	}else{
		    		$('u_s_backend_'+backend+'_'+pair.key+'').value = pair.value;
		    	}
		    });
		},

		uSyncChangeCsvImportType: function(val) {
		    if (val == 'share') {
		        $('u_s_backend_csv_import_type_upload').hide();
		        $('u_s_backend_csv_import_type_share').show();
		    }else{
		        $('u_s_backend_csv_import_type_upload').show();
		        $('u_s_backend_csv_import_type_share').hide();
		    }
		},

		uSyncPlaceSyncMap: function(backend){
		    // disable all here
			var def = {};
			if(('default' in this.usSyncSettingsAndMap) && (backend in this.usSyncSettingsAndMap['default']['map'])){
				def = this.usSyncSettingsAndMap['default']['map'][backend];
			}

		    $A(this.usSyncFields).each(function(val){
		        $('us_map_'+val+'').value = def[val] || '';
		        $('us_map_'+val+'').disabled = true;
		        $('us_map_'+val+'_on').value = '0';
		        $('us_map_'+val+'_on').checked = false;
		    });
		    $H(this.usSyncSettingsAndMap['map'][backend]).each(function(pair){
		        $('us_map_'+pair.key+'').value = pair.value;
		        $('us_map_'+pair.key+'').disabled = false;
		        $('us_map_'+pair.key+'_on').value = '1';
		        $('us_map_'+pair.key+'_on').checked = true;
		    });

		    //leverage for zoho.
            if (backend === 'zohoCrm') {
                $('us_map_sourceId').disabled = true;
            }
		},

		uSyncPlaceSyncRecurrentJob: function(){
		    if (this.usSyncSettingsAndMap['recurrent_job']['enabled'] == 'yes'){
		        $('us_recurrent_on').checked = true;
		        $('us_recurrent_on').value = 1;
		        $('us_recurrent_interval').disabled = false;
		        $('us_recurrent_interval').value = this.usSyncSettingsAndMap['recurrent_job']['interval'];
		        $('us_recurrent_email').disabled = false;
		        $('us_recurrent_email').value = this.usSyncSettingsAndMap['recurrent_job']['email'];
		    }else{
		        $('us_recurrent_on').checked = false;
		        $('us_recurrent_on').value = 0;
		        $('us_recurrent_interval').value = '1';
		        $('us_recurrent_interval').disabled = true;
		        $('us_recurrent_email').value = '';
		        $('us_recurrent_email').disabled = true;
		    }
		},

		uSyncChangeBackend: function(backend){
		    // set this.usSyncSettingsAndMap['map'][this.uSyncCurrBackend]
		    $A(this.usSyncFields).each(function(val){
		        if ($('us_map_'+val+'_on').checked && $F('us_map_'+val) != ''){
		            this.usSyncSettingsAndMap['map'][this.uSyncCurrBackend][val] = $F('us_map_'+val+'');
		        }else{
		            //delete this.usSyncSettingsAndMap['map'][this.uSyncCurrBackend][val];
		        }
		    }.bind(this));
		    this.uSyncCurrBackend = backend;
		    $$('#users_sync_backend_settings tr.u_s_backend_ldap').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_ldap').invoke('hide');

		    $$('#users_sync_backend_settings tr.u_s_backend_activeD').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_activeD').invoke('hide');

            $$('#users_sync_backend_settings tr.u_s_backend_domino').invoke('hide');
            $$('#users_sync_bottom tr.u_s_backend_domino').invoke('hide');

		    $$('#users_sync_backend_settings tr.u_s_backend_mysql').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_mysql').invoke('hide');

		    $$('#users_sync_backend_settings tr.u_s_backend_mssql').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_mssql').invoke('hide');

		    $$('#users_sync_backend_settings tr.u_s_backend_office365').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_office365').invoke('hide');
            $$('#users_sync_backend_settings tr.u_s_hint_office365').invoke('hide');

		    $$('#users_sync_backend_settings tr.u_s_backend_google').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_google').invoke('hide');
            $$('#users_sync_backend_settings tr.u_s_hint_google').invoke('hide');
            $$('#users_sync_backend_settings tr.u_s_hint_zohoCrm').invoke('hide');

		    $$('#users_sync_backend_settings tr.u_s_backend_csv').invoke('hide');
		    $$('#users_sync_bottom tr.u_s_backend_csv').invoke('hide');

            $$('#users_sync_backend_settings tr.u_s_backend_zohoCrm').invoke('hide');
            $$('#users_sync_bottom tr.u_s_backend_zohoCrm').invoke('hide');

		    if(backend == 'csv' && (this.varsPhp.is_wcloud || ! $H(cSyncMounts).size())){
		    	$$('#users_sync_recurrent').invoke('hide');
		    	$('us_recurrent_on').checked = false;
		    }
		    else{
		    	$$('#users_sync_recurrent').invoke('show');
		    }

		    if(backend == 'office365'){
		    	var settings = this.usSyncSettingsAndMap['settings'][backend];

		    	this._onOffice365LoadToken({token: {
		    		'access_token': settings.access_token,
		    		'expires_in': settings.expires_in,
		    		'received_token_time': settings.received_token_time,
		    		'id_token': settings.id_token,
		    		'id_token_expires_in': settings.id_token_expires_in,
		    		'refresh_token': settings.refresh_token,
		    		'token_type': settings.token_type
		    	},
                userInfo: {
                	preferred_username: settings.mail
                }});
		    }

		    if(backend == 'zohoCrm'){
		    	var settings = this.usSyncSettingsAndMap['settings'][backend];

				if (settings) {
                    this._onZohoCrmLoadToken({
                        token: {
                            'access_token': settings.access_token,
                            'expires_in': settings.expires_in,
                            'received_token_time': settings.received_token_time,
                            'refresh_token': settings.refresh_token,
                            'token_type': settings.token_type,
                            'api_domain': settings.api_domain,
                            'location': settings.location,
                            'accounts_server': settings.accounts_server
                        },
                        userInfo: {
                            full_name: settings.full_name
                        }
                    });
                }
		    }

		    if (backend == 'google') {
		    	var settings = this.usSyncSettingsAndMap['settings'][backend] || {};

		    	this._tryToSync({token: {
                            'access_token': settings.access_token,
                            'expires_in': settings.expires_in,
                            'received_token_time': settings.received_token_time,
                            'refresh_token': settings.refresh_token,
                            'token_type': settings.token_type
		    			},
                        userInfo: {
                            email: settings.mail
                        }});
		    }

		    $$('#users_sync_backend_settings tr.u_s_backend_'+backend).invoke('show');
		    $$('#users_sync_backend_settings tr.u_s_hint_'+backend).invoke('show');
		    $$('#users_sync_bottom tr.u_s_backend_'+backend).invoke('show');
		    this.uSyncPlaceSyncMap(backend);
		},

		uSyncBack: function(el) {
		    this.uSyncUpdater.stop();
		    $('users_sync_settings_div').show();
		    $('users_sync_log_div').update('&nbsp');
		    $('users_sync_log_div').hide();
		    $('users_sync_div_buttons_settings').show();
		    $('users_sync_div_buttons_test').hide();
		},

		uSyncDoSave: function() {

		    var t_backend = $F('u_s_backend_backend');
		    var go_settings = {"global":{"backend":t_backend,"remove_users":"no","erase_values":"no"}};

		    if ($('u_s_global_remove_users').checked){
		        go_settings['global']['remove_users'] = 'yes';
		    }
		    if ($('u_s_global_erase_values').checked){
		        go_settings['global']['erase_values'] = 'yes';
		    }

		    $$('span.err_span').invoke('remove');
		    // no recurrent job for csv
		    if (t_backend == 'csv' && $('us_recurrent_on').checked && $F('u_s_backend_csv_import_type') == 'upload'){
		        raiseErrors({'us_recurrent_on':gl_translation['aclpbx.noRecurrentSyncForCsv']});
		        return false;
		    }
		    // check share is present for csv
		    if (t_backend == 'csv' && $F('u_s_backend_csv_import_type') == 'share' && ! $F('u_s_backend_csv_import_mountpoint')){
		        raiseErrors({'u_s_backend_csv_import_mountpoint':gl_translation['rules.enterValidValue']},' ');
		        return false;
		    }

		    $A(['ldap','activeD','domino','mysql','mssql','office365','google','csv', 'zohoCrm']).each(function(backend){
		        go_settings[backend] = this.uSyncReadSettings(backend);
		        if (t_backend != backend){
		            go_settings[backend]['map'] = this.usSyncSettingsAndMap['map'][backend];
		        }
		    }.bind(this));

		    go_settings['recurrent_job'] = {};
		    if ($('us_recurrent_on').checked){
		        go_settings['recurrent_job']['enabled'] = 'yes';
		        go_settings['recurrent_job']['interval'] = $F('us_recurrent_interval');
		        go_settings['recurrent_job']['email'] = $F('us_recurrent_email');
		    }else{
		        go_settings['recurrent_job']['enabled'] = 'no';
		    }

		    ap_showWaitMessage('waitDiv', 1);
		    return new Ajax.Request('aclpbx/index.php',{
		        method: 'post',
		        parameters:$H({
		            "action": 'users_sync_save',
		            "settings": $H(go_settings).toJSON()
		        }).toQueryString(),
		        onComplete: function(transport){
		            // fixme: may be error(s) in resp?
		        	this.usSyncSettingsAndMap = transport.responseJSON;
		            ap_showWaitMessage('waitDiv', 0);
		        }.bind(this)
		    });

		},

		uSyncReadSettings: function(backend){
		    var t_settings = {'backend': backend};
		    $H(this.usSyncSettingsAndMap['settings'][backend]).each(function(pair){
		        t_settings[pair.key] = $F('u_s_backend_'+backend+'_'+pair.key+'');
		    });
		    // get map
		    var t_map = {}
		    $A(this.usSyncFields).each(function(val){
		        if ($('us_map_'+val+'_on').checked && $F('us_map_'+val) != ''){
		            t_map[val] = $F('us_map_'+val+'');
		        }
		    });
		    return {'settings': t_settings, 'map': t_map};
		},

		uSyncDoSync: function(dry_run,verbose) {

		    var syncid = Math.random().toString().substring(3,8);
		    var backend = $F('u_s_backend_backend');
		    var go_settings = this.uSyncReadSettings(backend);

			//save setting
			this.uSyncDoSave.bind(this)();

		    go_settings['global'] = {"remove_users":"no","erase_values":"no"};
		    if ($('u_s_global_remove_users').checked){
		        go_settings['global']['remove_users'] = 'yes';
		    }
		    if ($('u_s_global_erase_values').checked){
		        go_settings['global']['erase_values'] = 'yes';
		    }

		    $$('span.err_span').invoke('remove');
		    // check share is present for csv
		    if (backend == 'csv' && $F('u_s_backend_csv_import_type') == 'share' && ! $F('u_s_backend_csv_import_mountpoint')){
		        raiseErrors({'u_s_backend_csv_import_mountpoint':gl_translation['rules.enterValidValue']},' ');
		        return false;
		    }

		    if (go_settings['settings']['backend'] == 'csv' && $F('u_s_backend_csv_import_type') == 'upload'){
		        go_settings['dry_run'] = dry_run;
		        go_settings['verbose'] = verbose;
		        go_settings['syncid'] = syncid;
		        $('u_s_backend_csv_params').name = 'u_s_backend_csv_params';
		        $('u_s_backend_csv_params').value = $H(go_settings).toJSON();
		        var form = $('users_sync_backend_settings_filter_form');
		        var rez = AIM.submit(
		            form,
		            {
		                'onStart' : this.uSyncUplCsvStartCallback,
		                'onComplete' : function(response){
		                    if(response !== ''){
		                        oResponse = eval("(" + response + ")");
		                        if(oResponse === true){
		                            this.uSyncStartShowLog(syncid);
		                        }else if (oResponse.ERRORS){
		                            ap_showWaitMessage('waitDiv', 0);
		                            raiseErrors({'u_s_backend_csv_fileid':oResponse.ERRORS}, ' ');
		                        }else{
		                            ap_showWaitMessage('waitDiv', 0);
		                            raiseErrors(oResponse,' ');
		                        }
		                    }else{
		                        ap_showWaitMessage('waitDiv', 0);
		                        raiseErrors({'u_s_backend_csv_fileid':'Upload error'},' ');
		                    }
		                }.bind(this)
		            }
		        );
		        if (!rez){
		            return false;
		        }else{
		            form.submit();
		            return true;
		        }
		    }

		    ap_showWaitMessage('waitDiv', 1);
		    return new Ajax.Request('aclpbx/index.php',{
		        method: 'post',
		        parameters:$H({
		            "action": 'users_sync',
		            "dry_run": dry_run,
		            "verbose": verbose,
		            "syncid": syncid,
		            "settings": $H(go_settings).toJSON()
		        }).toQueryString(),
		        onComplete: function(transport){
		            this.uSyncStartShowLog(syncid);
		        }.bind(this)
		    });
		},

		uSyncStartShowLog: function(syncid){

			$('users_sync_settings_div').hide();
		    $('users_sync_log_div').update('&nbsp');
		    $('users_sync_log_div').show();
		    $('users_sync_div_buttons_settings').hide();
		    $('users_sync_div_buttons_test').show();
		    $('us_btn_back').disable();

		    ap_showWaitMessage('waitDiv', 0);

		    this.uSyncUpdater = new Ajax.PeriodicalUpdater (false/* stop */,'monit/log/?act=show_users_sync&syncid='+syncid, {
		        method: 'get', frequency: 2, decay: 1,
		        onSuccess: function(t) {
		            if (t.status == '200') {
		                if (t.responseText != ''){
		                    var t_arr = t.responseText.split("\n");
		                    var t_completed = false;
		                    for (var t_cnt = 0, t_length = t_arr.length; t_cnt < t_length; t_cnt++){
		                        if (t_arr[t_cnt].indexOf('The operation is completed.') != -1 || t_arr[t_cnt].indexOf('No change was provided.') != -1){
		                            t_completed = true;
		                        }
		                    }
		                    $('users_sync_log_div').update(t_arr.join("<br /><br />") + (t_completed?"":'<div style="background-color:#233259;color:#d5d5d3;font-size:11px;height:20px;font-weight:bold">'+ gl_translation['strings.Proceeding'] + '...</div>'));
		                    t_arr = null;
		                    if (t_completed){
		                    	this.getLicenseUsageStatus();
		                        this.uSyncUpdater.stop();
		                        $('us_btn_back').enable();
		                        this.reloadTable('noClose');
		                    }
		                }
		            }
		        }.bind(this)
		    });
		},


		uSyncUplCsvStartCallback: function(){
		    $$('span.err_span').invoke('remove');
		    ok = $A(['u_s_backend_csv_fileid']).inject([],function(a,n){
		        if($(n).value != '') a.push($(n).value);
		        return a;
		    }).all(function(value){
		        return ['.csv'].any(function(extension){
		            return value.endsWith(extension.toLowerCase());
		        });
		    });
		    if(!ok || $F('u_s_backend_csv_fileid') == ''){
		        raiseErrors({'u_s_backend_csv_fileid':'Valid format: csv'},' ');
		        ap_showWaitMessage('waitDiv', 0);
		        return false;
		    } else {
		        return true;
		    }
		},

		showDialog: function(width, height, content, functionOk, buttons, noEnter, functionCancel){
			this.modwin = new UI.Window($H({
				width: width,
				resizable:false,
				height: height,
				shadow: false,
				superflousEffects : false,
				theme: 'bluelighting'
			}).toObject())
			.setContent(content)
			.center({ auto: true });

			if( ! buttons){
				this.modwin.prefoot.innerHTML = '<input id="saveUserButOk" type="button" value="'+(gl_translation['button.Ok'] || 'Ok')+'" class="but20" />\
				<input id="saveUserButCancel" type="button" value="'+(gl_translation['button.Cancel'] || 'Cancel')+'" class="but20" />';
			}else{
				this.modwin.prefoot.innerHTML = buttons;
			}

			this.modwin.show(true).focus();

			if(functionOk){
				$('saveUserButOk').onclick = functionOk.bind(this);
				this.modwin.content.onkeyup = function(event) {
					if(event.keyCode==13 && !noEnter) {
						functionOk.apply(this);
					}
				}.bind(this);
			}

            if(functionCancel) {
                $('saveUserButCancel').onclick = functionCancel.bind(this);
            }
			$('saveUserButCancel').onmouseup = function(){
				this.modwin.close();
                this.modwin = null;
			}.bind(this);

			return this.modwin;
		},

        showSecondDialog: function(width, height, content, functionOk, buttons, noEnter){
            this.modsecwin = new UI.Window($H({
                width: width,
                resizable:false,
                height: height,
                shadow: false,
                superflousEffects : false,
                theme: 'bluelighting'
            }).toObject())
                .setContent(content)
                .center({ auto: true });

            if( ! buttons){
                this.modsecwin.prefoot.innerHTML = '<input id="pressUserButOk" type="button" value="'+(gl_translation['button.Ok'] || 'Ok')+'" class="but20" />\
				<input id="pressUserButCancel" type="button" value="'+(gl_translation['button.Cancel'] || 'Cancel')+'" class="but20" />';
            }else{
                this.modsecwin.prefoot.innerHTML = buttons;
            }

            this.modsecwin.show(true).focus();

            if(functionOk){
                $('pressUserButOk').onclick = functionOk.bind(this);
                this.modsecwin.content.onkeyup = function(event) {
                    if(event.keyCode==13 && !noEnter) {
                        functionOk.apply(this);
                    }
                }.bind(this);
            }

            $('pressUserButCancel').onclick = function(){
                this.modsecwin.close();
                this.modsecwin = null;
            }.bind(this);

            return this.modsecwin;
        },
		getLicenseUsageStatus: function () {
			new Ajax.Request('aclpbx/index.php',{
				method: 'post',
				parameters:$H({
					"action": 'getLicenseUsageStatus'
				}).toQueryString(),
				onComplete: function (response) {
					const res = response.responseText;
					if (res !== 'OK') {
						setError('error', res);
					}
				}.bind(this)
			});
		},

		doESC: Prototype.emptyFunction
	});

	if(YAHOO.util.EventProvider) {
		YAHOO.augment(WMS.Users, YAHOO.util.EventProvider);
	}
}


var charPass = [];
charPass['digit']  = '0123456789';
charPass['lower']  = 'abcdefghijklmnopqrstuvwxyz';
charPass['upper']  = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
charPass['specChar'] = '`@#%*-_=+[]{}\|;\'.<>/?';
charPass['shortSpecChar'] = '%!@#*';

//gl_translation['strings.notAllowedCharsPresent']

var passwordChanged = function(el_id, sip) {
    var strength_el = document.getElementById(el_id+'_strength');
    var pwd = document.getElementById(el_id);
    var strength = this.checkPasswordStrength(pwd.value, sip);
    var mess = '';

    var res;
    if(el_id == 'u_edit_userPassword'){
    	res = WildixPassword.getNotAllowedWebPasswordChars(pwd.value);
    } else {
        res = WildixPassword.getNotAllowedSipPasswordChars(pwd.value);
    }

    if (pwd.value && res != '') {
        res = res.split('');
        res = res.compact().uniq();
        setStrengthPass(el_id, strength,
            (el_id == 'u_edit_userPassword'?gl_translation['aclpbx.userPasswordWeak']:gl_translation['aclpbx.sipPasswordWeak'])
        );
    }else{
    	setStrengthPass(el_id, strength, mess);
    }

    if(pwd.value.length > 0){
    	jQuery(strength_el).css('display', 'inline-block');
    	jQuery('#'+el_id).parent().find('.pageUsers-a-show').css('display','inline-block');
    }else{
    	jQuery(strength_el).css('display', 'none');
    	jQuery('#'+el_id).parent().find('.pageUsers-a-show').css('display','none');
    }
}

var setStrengthPass = function(el_id, strength, mess){
	var strength_el = document.getElementById(el_id+'_strength');
	switch (strength) {
	    case 'weak':
	        strength_el.style.backgroundColor = "#fc858b";
	        strength_el.title = gl_translation['strings.notSecure'] + '\n' + (el_id == 'u_edit_userPassword'?gl_translation['aclpbx.userPasswordWeak']:gl_translation['aclpbx.sipPasswordWeak']);
	        break;
	    case 'weak2':
	        strength_el.style.backgroundColor = "#fc858b";
	        strength_el.title = mess;
	        break;
	    case 'medium':
	        strength_el.style.backgroundColor = "orange";
	        strength_el.title = gl_translation['strings.mediumSecure'];
	        break;
	    case 'strong':
	        strength_el.style.backgroundColor = "#57c696";
	        strength_el.title = gl_translation['strings.secure'];
	        break;
	    default:
	    	strength_el.style.backgroundColor = "transparent";
	    	strength_el.title = '';
	    	break;
	}
}

var checkPasswordStrength = function(pass, sip) {
    if (pass.length == 0 ){
        return "";
    }
    switch (WildixPassword[!sip?'checkWebPassword':'checkSipPassword'](pass)){
        case 2: return 'strong'; break;
        case 1: return 'medium'; break;
        case 0: return 'weak'; break;
        case false: return 'weak2'; break;
        default:return '';
    }
}

var setPassword = function(el_id, len, specChar){
    var genPass = generatePassword(len, specChar);
    $(el_id).value = genPass;
    if ($(el_id+'_pwd')) {
        $(el_id+'_pwd').value = genPass;
    }
    setStrengthPass(el_id, 'strong');
    jQuery('#'+el_id+'_strength').css('display', 'inline-block');
    jQuery('#'+el_id).parent().find('.pageUsers-a-show').css('display','inline-block');
    jQuery('#'+el_id).parent().find('.err_span').remove();

}

var generatePassword = function(length, specChar) {
    var typeChar = [];
    var char = [];

    if(specChar){
    	typeChar.push('specChar');
    }else{
    	typeChar.push('shortSpecChar');
    }
    typeChar.push('digit', 'upper', 'lower');

	var ltp = typeChar.length;
	var num = 0;
	var lms = 0;

	for(ltp; ltp > 0; ltp --){
		lms = charPass[typeChar[ltp-1]].length;
		num = length - (ltp - 1) - char.length;
		if(num > lms){
			num = lms;
		}

		if(ltp > 1){
			num = getRandomNum(1, num);
		}else{
			num = length - char.length;
		}

		for(num; num > 0; num --){
			char.push(charPass[typeChar[ltp-1]].charAt(getRandomNum(0,lms-1)));
		}
	}

	char.sort(function() { return 0.7 - Math.random(); });
	char.sort(function() { return 0.6 - Math.random(); });
    return char.join('');
}

var getRandomNum = function(min, max) {
    return (min + Math.floor( Math.random() * (max+1-min) ));
}

var check_passwords_strength = function() {
    var ret = [];
    if ($('u_edit_userPassword_2')){
        if ($F('u_edit_userPassword_2') != '' || $F('u_edit_userPassword') != '' || $F('u_edit_curr_userPassword') != ''){
            if ($F('u_edit_userPassword') != $F('u_edit_userPassword_2')){
            	ret.push([$('u_edit_userPassword_2'), gl_translation['rules.passwordsAreNotTheSame']]);
            }
        }
    }

    var userPasswordStrength = checkPasswordStrength($F('u_edit_userPassword'),false);
    if ($F('u_edit_userPassword').length > 0 && ( userPasswordStrength == 'weak' || userPasswordStrength == 'weak2') ){
    	ret.push([$('u_edit_userPassword'), gl_translation['rules.enterStrongPassword'] ]);
    }

    var wuserPasswordStrength = checkPasswordStrength($F('u_edit_wuserPasswordSip'),true);
    if ($F('u_edit_wuserPasswordSip').length > 0 && (wuserPasswordStrength == 'weak' || wuserPasswordStrength == 'weak2')){
    	ret.push([$('u_edit_wuserPasswordSip'), gl_translation['rules.enterStrongPassword'] ]);
    }

    if (ret.length){
    	return ret;
    }

    return true;
}

var checkMultiEdit = function(el,target){
    if (el.checked){
        $(target).enable();
        if ($(target+'_pwd')) $(target+'_pwd').enable();
    }else{
        $(target).disable();
        if ($(target+'_pwd')) $(target+'_pwd').disable();
    }
}

var showPass = function(th, el){

	var input = document.getElementById(el);
	var type = 'text';
	var tp = 'false';

	if(el == 'u_edit_wuserPasswordSip'){
		tp = 'true';
	}

	if(input.type == 'text'){
		type = 'password';
		jQuery(th).html(gl_translation['strings.Show']);
	}else{
		jQuery(th).html(gl_translation['strings.Hide']);
	}
	if (el == 'u_edit_wuserPasswordSip' ){
		jQuery('#'+el).replaceWith('<input class="pageUsers-input-pass" maxlength="25" type="'+type+'" id="'+el+'" value="" readonly="readonly" onkeyup="return passwordChanged(\''+el+'\','+tp+');" />');
	} else {
		jQuery('#'+el).replaceWith('<input class="pageUsers-input-pass" maxlength="25" type="'+type+'" id="'+el+'" value="" onkeyup="return passwordChanged(\''+el+'\','+tp+');" />');
	}
	jQuery('#'+el).val(input.value);

}

var clearSelection = function() {
    if (document.selection && document.selection.empty){
    	setTimeout(function(){document.selection.empty(); }, 5);
    }else if (window.getSelection) {
        window.getSelection().removeAllRanges();
    }
}
