<?php

namespace Console;

use Wildix\Colleagues\Colleagues;
use Wildix\Microsoft\Office365Service;

class Office365PhonebookSync extends BaseWorker {

    protected $_expireSeconds   = 86400 * 1;
    protected $_limitRetryCount = 2;

    public function run() : void {
        $officeService = $this->getServiceFromContainer(Office365Service::class);
        $colleagues    = $this->getServiceFromContainer(Colleagues::class);

        $user = $colleagues->getUserByID($this->_params['userId']);
        if ($user) {
            $officeService->processUserPhonebooks($user, $this->_params['fullSync']);
        } else {
            $this->_logger->info(__LINE__, sprintf('Undefined user %s', $this->_params['userId']));
        }
    }

    protected function getRequiredParams(): array {
        return ['userId', 'fullSync'];
    }
}
