<?php

namespace Controllers\Applications;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Auth\Applications\Interfaces\OAuth2ServiceInterface;
use Wildix\Auth\Applications\OAuth2\Objects\Model;
use Wildix\Auth\Applications\OAuth2\Requests\Request as OAuth2Request;
use Wildix\Core\AbstractCrudController;

class OAuth2Controller extends AbstractCrudController {

    protected $_service = OAuth2ServiceInterface::class;

    public function getItems(Request $request, Response $response): Response {
        $fields = [
            Model::FIELD_ID,
            Model::FIELD_NAME,
            Model::FIELD_CREATED,
            Model::FIELD_REDIRECT_URI,
            Model::FIELD_SECRET,
        ];

        $records = [];
        $items   = $this->_service()->getItems()->toArray();
        foreach ($items as $item) {
            $records[] = array_intersect_key($item, array_flip($fields));
        }

        return $this->resultList($records, $response);
    }

    public function create(Request $request, Response $response): Response {
        $request = new OAuth2Request($request->getParsedBody());
        $result  = $this->_service()->create($request);

        return $this->resultObject($result, $response);
    }

    public function update(Request $request, Response $response, array $args): Response {
        $request = new OAuth2Request($request->getParsedBody());
        $result  = $this->_service()->update($args['id'], $request);

        return $this->resultObject($result, $response);
    }
}
