<?php

namespace Controllers\Applications;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Auth\Api\CustomerApplications;
use Wildix\Core\AbstractCrudController;

class S2sController extends AbstractCrudController {

    protected $_service = CustomerApplications::class;

    public function create(Request $request, Response $response): Response {
        $params = $request->getParsedBody();
        $data   = [
            'app' => trim((string)$params['app'] ?? ''),
            'pbxUser' => trim((string)$params['pbxUser'] ?? '')
        ];
        $result = $this->_service()->create($data);

        return $this->result($result, $response);
    }

    public function update(Request $request, Response $response, array $args): Response {
        $params = $request->getParsedBody();
        $data   = [
            'app' => trim((string)$params['app'] ?? ''),
            'pbxUser' => trim((string)$params['pbxUser'] ?? '')
        ];
        $result = $this->_service()->update($args['id'], $data);

        return $this->result($result, $response);
    }
}
