<?php

namespace Controllers\Applications;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Auth\Applications\Interfaces\SimpleTokenServiceInterface;
use Wildix\Auth\Applications\SimpleToken\Requests\Request as SimpleTokenRequest;
use Wildix\Core\AbstractCrudController;

class SimpleTokenController extends AbstractCrudController {

    protected $_service = SimpleTokenServiceInterface::class;

    public function getItems(Request $request, Response $response): Response {
        return $this->resultListObject($this->_service()->getItems(), $response);
    }

    public function create(Request $request, Response $response): Response {
        $request = new SimpleTokenRequest($request->getParsedBody());
        $result  = $this->_service()->create($request);

        return $this->resultObject($result, $response);
    }

    public function update(Request $request, Response $response, array $args): Response {
        $request = new SimpleTokenRequest($request->getParsedBody());
        $result  = $this->_service()->update($args['id'], $request);

        return $this->resultObject($result, $response);
    }
}
