<?php
namespace Controllers\CRM;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Views\PhpRenderer;
use Wildix\Import\Infusionsoft;


class InfusionsoftController extends Controller {

    public function callback(Request $request, Response $response): Response {
        $renderer = new PhpRenderer(__DIR__ . '/../../templates');

        return $renderer->render($response, 'InfusionsoftCallback.php');
    }

    public function getAuthUrl(Request $request, Response $response): Response {
        $params = $request->getQueryParams();
        $type   = (string)($params['type'] ?? '');
        $uri    = sprintf(Infusionsoft::URI_PATTERN, $request->getUri()->getScheme(), $request->getUri()->getHost());
        $result = $this->service()->getAuthUrl($type, $uri);

        return $this->result(['url' => $result], $response);
    }

    private function service(): Infusionsoft {
        return $this->getContainer()->get(Infusionsoft::class);
    }
}
