<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Views\PhpRenderer;

class Comeback extends Controller {
    public function endpoint(Request $request, Response $response) {
        $params   = $request->getQueryParams();
        $callback = (string)($params['callback'] ?? '');

        if (empty($callback)) {
            return $this->error('Undefined callback.', $response, 400);
        }
        $renderer = new PhpRenderer(__DIR__ . '/../templates');

        return $renderer->render($response, 'comeback-popup.php', compact(['callback', 'params']));
    }
}
