<?php
namespace Controllers\Dialplans;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Dialplan\Debug;

/**
 * Dialplan Debug Controller Class.
 */
class DebugController extends Controller {

    public function setConfig(Request $request, Response $response, array $args): Response {
        $result['enabled'] = Debug::getInstance()->setConfig($request->getParsedBody());

        if ($result['enabled']) {
            return $this->result($result, $response);
        }

        return $this->error('Config is empty', $response);
    }

    public function getItems(Request $request, Response $response, array $args): Response {
        return $this->result(Debug::getInstance()->getCallLogFiles(), $response);
    }
}
