<?php

namespace Controllers\Dialplans;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Dialplan\FeatureCodes\FeatureCodesService;

class FeatureCodesController extends Controller {
    public function getSettings(Request $request, Response $response): Response {
        $data = $this->service()->getSettings();
        return $this->result($data, $response);
    }

    public function setSettings(Request $request, Response $response): Response {
        $this->service()->setSettings($request->getParsedBody());
        return $this->success($response);
    }

    private function service(): FeatureCodesService {
        return $this->getContainer()->get(FeatureCodesService::class);
    }
}
