<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Error;

class Doc extends Controller {

    public function file(Request $request, Response $response, array $args): Response {
        $fileName = str_replace('/api/v1/', '', $request->getAttribute('originUri'));

        if ($fileName == 'doc/') {
            $fileName .= 'index.html';
        }

        $filePath = realpath(__DIR__ . '/../' . $fileName);

        if ($filePath === false) {
            return $this->error(Error::FileNotFound, $response, 404);
        }

        ini_set('zlib.output_compression', 'Off');
        return $response->withHeader('X-Accel-Redirect', sprintf('/inner-storage%s', $filePath));
    }
}
