<?php
namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\License;

class Events extends Controller {

    const SUCCESS = 'DONE';

    public function onChangedDomain(Request $request, Response $response, array $args): Response {
        exec('php /usr/sbin/wms_set_domain 1>/dev/null 2>/dev/null &');

        return $this->success($response);
    }

    public function onChangedDevices(Request $request, Response $response, array $args): Response {
        $task = new \BackgroundTask('\Controllers\Devices\DevicesController:progressSyncDevices');
        if ($task->getStatus() == \BackgroundTask::LAUNCHED) {
            $result = 'Background task in progress';
        } else {
            $result = $task->runAsync();
            if ($result !== false) {
                $result = 'success';
            }
        }

        if ($result === false) {
            return $this->error('Background task not running', $response);
        }

        return $this->result(['status' => $result], $response);
    }

    public function onChangedPortsStatus(Request $request, Response $response, array $args): Response {
        $task = new \BackgroundTask('\Controllers\PBX:progressGetPortsStatus');
        if ($task->getStatus() == \BackgroundTask::LAUNCHED) {
            $result = 'Background task in progress';
        } else {
            $result = $task->runAsync();
            if ($result !== false) {
                $result = 'success';
            }
        }

        if ($result === false) {
            return $this->error('Background task not running', $response);
        }

        return $this->result(['status' => $result], $response);
    }

    public function onUpgradePerform(Request $request, Response $response, array $args): Response {
        exec('php /usr/sbin/autoupgrade.php from_portal 1>/dev/null 2>/dev/null &');

        return $this->success($response);
    }

    public function onChangedApiKeysPair(Request $request, Response $response, array $args): Response {
        exec('php /usr/sbin/wms_sync_api_keys_pair 1>/dev/null 2>/dev/null &');

        return $this->success($response);
    }

    public function onChangedLicence(Request $request, Response $response, array $args): Response {
        $service = $this->getContainer()->get(License::class);
        $service->reloadLicense();

        return $this->success($response);
    }
}
