<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/**
 * REST API Controller for Fax/SMS settings
 */
class FaxSmsSettings extends Controller {

    public function setSettings(Request $request, Response $response, array $args) {
        $settings = $request->getParsedBody();

        if (!$settings) {
            return $this->error('Settings are empty', $response, 400);
        }

        $result = $this->getFaxSmsSettingsObject()->saveSettings($settings);

        return $this->result($result, $response);
    }

    public function getSettings(Request $request, Response $response, array $args) {
        $body   = $request->getParsedBody();
        $force  = $body['force'] ?? false;
        $result = $this->getFaxSmsSettingsObject()->getSettings($force);

        return $this->result($result, $response);
    }

    private function getFaxSmsSettingsObject(): \Wildix\Faxes\FaxSmsSettings {
        return $this->getContainer()->get(\Wildix\Faxes\FaxSmsSettings::class);
    }
}
