<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/**
 * FileSystem Controller
 */
class FileSystem extends Controller {

    public function isFileSystemWithErrors(Request $request, Response $response, $args): Response {
        return $this->result($this->getFileSystem()->checkFileSystem(), $response);
    }

    public function getLogFile(Request $request, Response $response, $args) {
        ini_set('zlib.output_compression', 'Off');

        $file = $this->getFileSystem()->getLogFile();
        $name = 'fs_errors.log';

        header('Content-Disposition: attachment; filename="' . $name . '"');
        header('X-Accel-Redirect: /inner-storage' . $file);
    }

    private function getFileSystem(): \Wildix\System\FileSystem {
        return $this->getContainer()->get(\Wildix\System\FileSystem::class);
    }
}
