<?php
namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\HttpSecurity\Service;

class HttpSecurity extends Controller {

    public function getSettings(Request $request, Response $response, array $args): Response {
        return $this->result($this->service()->getAllowedOrigins(), $response);
    }

    public function setSettings(Request $request, Response $response, array $args): Response {
            $settings = $this->service();

            $settings->save($request->getParsedBody());

            return $this->result($settings->getAllowedOrigins(), $response);
    }

    private function service(): Service {
        return $this->getContainer()->get(Service::class);
    }
}
