<?php

namespace Controllers\Integrations;

use Api\Analytics\Caracal\Interfaces\CaracalServiceInterface;
use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Error;
use Wildix\InvalidDataException;

class AnalyticsController extends Controller {

    private $_services = [
        'xcaracal' => CaracalServiceInterface::class
    ];

    public function getItems(Request $request, Response $response, array $args): Response {
        $result = [];

        foreach ($this->_services as $service) {
            $result[] = $this->getContainer()->get($service)->info();
        }

        return $this->resultList($result, $response);
    }

    public function update(Request $request, Response $response, array $args): Response {
        $service = $args['service'] ?? '';

        if (!isset($this->_services[$service])) {
            throw new InvalidDataException(Error::getMessage(Error::NotFound), [], 404);
        }
        $this->getContainer()->get($this->_services[$service])->update($request->getParsedBody());

        return $this->success($response);
    }
}
