<?php

namespace Controllers\Integrations;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use \Wildix\Webinar\WebinarService;

class WizyWebinarController extends Controller {

    public function getConfig(Request $request, Response $response) {
        return $this->result(
            [
                'enabled' => $this->_service()->isEnabledWebinar(),
                'contacts' => $this->_service()->getContactsEmail()
            ],
            $response
        );
    }

    public function getAccessToken(Request $request, Response $response) {
        return $this->result(
            [
                'token' => $this->_service()->getAccessToken($this->getUser()->getEmail())
            ],
            $response
        );
    }

    public function syncContacts(Request $request, Response $response) {
        $this->_service()->getContactsEmail(true);
        return $this->success($response);
    }

    /**
     * Get WizyWebinar service.
     *
     * @return WebinarService
     */
    private function _service(): WebinarService {
        return $this->getContainer()->get(WebinarService::class);
    }
}
