<?php

namespace Controllers\Integrations;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Error;
use Wildix\Exception;
use Wildix\Integration\XBees\Interfaces\WimServiceInterface;
use Wildix\License;

class XBeesController extends Controller {

    public function get(Request $request, Response $response) {
        if (!$this->getLicense()->haveLicense(License::TYPE_XBEES)
            || !in_array($this->getLicense()->getMaximumAvailableLicenseType(), [License::TYPE_PREMIUM, License::TYPE_BUSINESS], true)
        ) {
            throw new Exception(Error::AccessError, 403);
        }

        return $this->result($this->getService()->getBlendrData(), $response);
    }

    private function getService(): WimServiceInterface {
        return $this->getContainer()->get(WimServiceInterface::class);
    }

    private function getLicense(): License {
        return $this->getContainer()->get(License::class);
    }
}
