<?php
namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Ejabberd;

/**
 * Controller Jabber
 */
class Jabber extends Controller {

    public function sendMessage(Request $request, Response $response, array $args): Response {
        $params = $request->getParsedBody();

        $from = $this->getUser();

        $message = trim($params['message'] ?? '');
        $to      = $params['to'] ?? '';
        $type    = trim($params['type'] ?? 'chat');
        $xmlns   = trim($params['xmlns'] ?? 'jabber:client');

        if (!is_array($to)) {
            $to = array_filter([$to]);
        }

        if ($type === 'chat') {
            $messageXml  = '<subject></subject>';
            $messageXml .= '<body>' . $message . '</body>';
            $messageXml .= '<markable xmlns=\'urn:xmpp:chat-markers:0\'/>';
        }

        foreach ($to as $item) {
            if ($type === 'chat') {
                $this->service()->sendCustomMessage($from->getJid(), $item, $xmlns, $type, $messageXml);
            } else {
                $this->service()->sendMessage($from->getJid(), $item, $type, $message);
            }
        }

        return $this->success($response);
    }

    private function service(): Ejabberd {
        return $this->getContainer()->get(Ejabberd::class);
    }
}
