<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

class Network extends Controller {

    public function getInterfaces(Request $request, Response $response, array $args): Response {
        $output = [];

        $result = $this->service()->getActiveNetworkInterfaces();

        foreach ($result as $k => $v) {
            $subnet = $this->service()::getSubnet($v['network'], $v['netmask']);

            $v['interface'] = $k;
            $v['first']     = $subnet['first'];
            $v['last']      = $subnet['last'];
            $v['count']     = $subnet['count'];

            $output[] = $v;
        }

        return $this->result(['records' => $output], $response);
    }

    private function service(): \Wildix\System\Network {
        return $this->getContainer()->get(\Wildix\System\Network::class);
    }
}
