<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

class Ntp extends Controller {

    public function setSettings(Request $request, Response $response, array $args): Response {
        $this->service()->updateSettings($request->getParsedBody());

        return $this->success($response);
    }

    public function getSettings(Request $request, Response $response, array $args): Response {
        return $this->result($this->service()->getSettings(), $response);
    }

    /**
     * Get NTP service.
     *
     * @return \Wildix\System\Ntp
     */
    private function service(): \Wildix\System\Ntp {
        return $this->getContainer()->get(\Wildix\System\Ntp::class);
    }
}
