<?php
namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

class PredictiveDialer extends Controller {

    public function makeCall(Request $request, Response $response, array $args): Response {
        $params = $request->getParsedBody();
        $user   = $this->getUser();

        $context    = $user->getDialplan();
        $number     = trim($params['number'] ?? '');
        $numberid   = trim($params['numberid'] ?? '');
        $dialplanCG = trim($params['dialplanCG'] ?? '');
        $campaignID = trim($params['campaignID'] ?? '');

        $originate  = 'Channel: Local/' . $number . '@' . $context . "\n";
        $originate .= 'Context: ' . $dialplanCG . "\n";
        $originate .= "Extension: s\n";
        $originate .= "Priority: 1\n";
        $originate .= 'Callerid: ' . $user->getExtension() . "\n";
        $originate .= 'Set: NUMBERID=' . $numberid . "\n";
        $originate .= 'Set: CAMPAIGNID=' . $campaignID;

        if (file_put_contents('/var/spool/callweaver/outgoing/predictive_dialer_' . $number . '_' . rand(1000, 999999), $originate) === false) {
            return $this->error('Internal server error', $response);
        }

        return $this->success($response);
    }

    public function getCurrentCalls(Request $request, Response $response, array $args): Response {
        $filesInDir = scandir('/var/spool/callweaver/outgoing/');
        $files      = [];

        foreach ($filesInDir as $value) {
            if ($value != '.' && $value != '..' && strpos($value, 'predictive_dialer') === 0) {
                $files[] = $value;
            }
        }

        return $this->result($files, $response);
    }
}
