<?php
namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

class QueueMetrics extends Controller {

    public function getSettings(Request $request, Response $response, array $args): Response {
        $queueMetrics = new \Wildix\System\QueueMetrics();

        return $this->result($this->serviceQueueMetrics()->getSettings(), $response);
    }

    public function setSettings(Request $request, Response $response, array $args): Response {
        $parameters  = $request->getParsedBody();

        if (isset($parameters['enable'])) {
            $parameters['enable'] = true;
        } else {
            $parameters['enable'] = false;
        }

        $result = $this->serviceQueueMetrics()->setSettings($parameters);

        return $this->result($result, $response);
    }

    private function serviceQueueMetrics(): \Wildix\System\QueueMetrics {
        return $this->getContainer()->get(\Wildix\System\QueueMetrics::class);
    }
}
