<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\System\Location;
use Wildix\System\RemoteSupport as SystemRemoteSupport;

class RemoteSupport extends Controller {

    public function setType(Request $request, Response $response, array $args): Response {
        $type = $request->getParsedBody()['type'] ?? '';

        $result = $this->service()->initOperation($type);

        return $this->result($result, $response);
    }

    public function checkState(Request $request, Response $response, array $args): Response {
        $result = $this->service()->checkState();

        return $this->result($result, $response);
    }

    public function getLocation(Request $request, Response $response, array $args): Response {
        $result = $this->serviceLocation()->getGeoLocationInfo();

        return $this->result($result, $response);
    }

    public function setLocation(Request $request, Response $response, array $args): Response {
        $geoLocation = $request->getParsedBody()['geoLocation'] ?? '';

        $geoLocation = ['post_geo_location' => $geoLocation];

        $result = $this->serviceLocation()->setGeoLocationInfo($geoLocation);

        return $this->result($result, $response);
    }

    private function service(): SystemRemoteSupport {
        return $this->getContainer()->get(SystemRemoteSupport::class);
    }

    private function serviceLocation(): Location {
        return $this->getContainer()->get(Location::class);
    }
}
