<?php
namespace Controllers\Settings;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\WhiteLabel;

class WhiteLabelController extends Controller {
    public function getSettings(Request $request, Response $response, array $args): Response {
        return $this->result($this->service()->getSettings(), $response);
    }

    public function setSettings(Request $request, Response $response, array $args): Response {
        $data = $request->getParsedBody();
        $this->service()->setSettings(array_merge($data, $request->getUploadedFiles()));

        return $this->success($response);
    }

    public function resetSettings(Request $request, Response $response, array $args): Response {
        $this->service()->resetSettings();

        return $this->success($response);
    }

    private function service() : WhiteLabel {
        return $this->getContainer()->get(WhiteLabel::class);
    }
}
