<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\Services\GroupChat;
use Wildix\Sms\SmsService;

class SmsController extends Controller {
    public function getColleagues(Request $request, Response $response, array $args): Response {
        $params = $request->getQueryParams();

        $src = $params['src'] ?? '';
        $dst = $params['dst'] ?? '';

        $groupChatService = $this->getContainer()->get(GroupChat::class);

        if ($groupChatService->getSmsBotDomain() === '') {
            return $this->error('SMS feature is not available', $response, 403);
        }

        $result = $this->_service()->getColleagues($src, $dst);

        if ($result === []) {
            return $this->error('Colleagues not found', $response, 404);
        }

        return $this->result($result, $response);
    }

    private function _service(): SmsService {
        return $this->getContainer()->get(SmsService::class);
    }
}
