<?php

namespace Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\System\SystemService;

class SystemController extends Controller {

    public function reboot(Request $request, Response $response) {
        $this->service()->reboot();

        return $this->success($response);
    }

    public function powerOff(Request $request, Response $response) {
        $this->service()->powerOff();

        return $this->success($response);
    }

    private function service(): SystemService {
        return $this->getContainer()->get(SystemService::class);
    }
}
