<?php

namespace Controllers\Utilities;

use Controllers\Controller;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Wildix\System\TraceService;

class TraceController extends Controller {

    public function start(Request $request, Response $response) {
        $this->service()->start($request->getParsedBody());

        return $this->success($response);
    }

    public function stop(Request $request, Response $response) {
        $this->service()->stop();

        return $this->status($request, $response);
    }

    public function status(Request $request, Response $response) {
        $result = $this->service()->getStatus();

        return $this->result($result, $response);
    }

    public function remove(Request $request, Response $response) {
        $this->service()->remove();

        return $this->success($response);
    }

    private function service(): TraceService {
        return $this->getContainer()->get(TraceService::class);
    }
}
