<?php
declare(strict_types=1);

namespace Models;

use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            PBX::class,
            function () {
                return PBX::getInstance();
            }
        );

        $container->singleton(
            Astman::class,
            function () {
                return Astman::getInstance();
            }
        );
        $container->singleton(
            VNC::class,
            function () {
                return VNC::getInstance();
            }
        );
        $container->singleton(
            Notes::class,
            function () {
                return Notes::getInstance();
            }
        );
    }
}
