<?php
namespace Models;

class Note
{
    const NOTE_ID            = 'id';
    const NOTE_CONTACT_ID    = 'contact_id';
    const NOTE_OWNER         = 'owner';
    const NOTE_BODY          = 'note';
    const NOTE_TIME          = 'time';


    private $_data = null;
    private $_id = null;

    public function __construct($properties = null) {
        if (is_array($properties)) {
            $this->_data = $properties;
        }

        if(!empty($properties[Note::NOTE_ID])){
            $this->_id = $properties[Note::NOTE_ID];
        }else{
            $this->_id = null;
        }
    }


    public function getID() {
        return $this->_id;
    }

    public function getContactID() {
        return $this->getProperty(Note::NOTE_CONTACT_ID);
    }

    public function getOwner() {
        return $this->getProperty(Note::NOTE_OWNER);
    }
    public function getBody() {
        return $this->getProperty(Note::NOTE_BODY);
    }
    public function getTime() {
        return $this->getProperty(Note::NOTE_TIME);
    }


    public function setID($value) {
        $this->_id = $value;
        $this->setProperty(Note::NOTE_ID, $value);
        return $this;
    }

    public function setContactID($value) {
        $this->setProperty(Note::NOTE_CONTACT_ID, $value);
        return $this;
    }

    public function setOwner($value) {
        $this->setProperty(Note::NOTE_OWNER, $value);
        return $this;
    }

    public function setBody($value) {
        $this->setProperty(Note::NOTE_BODY, $value);
        return $this;
    }

    public function setTime($value) {
        $this->setProperty(Note::NOTE_TIME, $value);
        return $this;
    }

    protected function setProperty($name, $value) {
        $this->_data[$name] = $value;
    }

    protected function getProperty($name) {
        if ($this->_data === null && $this->_id !== null) {
            // SELECT FROM DB
        }

        if ($this->_data && !empty($this->_data) && isset($this->_data[$name])) {
            return $this->_data[$name];
        }

        return null;
    }

    public function getAsArray(){

        return array(
                'id' => $this->getID(),
                'contact_id' => $this->getContactID(),
                'owner' => $this->getOwner(),
                'note' => $this->getBody(),
                'time' => $this->getTime()
        );
    }

    static public function getUserFields(){
        return array(Note::NOTE_ID,
                        Note::NOTE_CONTACT_ID,
                        Note::NOTE_OWNER,
                        Note::NOTE_BODY,
                        Note::NOTE_TIME
        );
    }
}
