<?php
namespace Models;

class VNC extends \Singleton {
    const VNC_SERVER = 'vnc.wildix.com';

    public function createRoom($roomId, $info){

        $data = array(
              'roomId' => $roomId,
              'info' => $info
        );

        $patch = "https://".VNC::VNC_SERVER."/room/";

        $ch = curl_init($patch);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));

        $response = $this->getResponse($ch);

        curl_close($ch);

        if (!empty($response)) {
            $response = json_decode($response, true);
            if ($response['type'] == 'result') {
                return $response['result'];
            }else if($response['type'] == 'error'){
                throw new \Wildix\Exception($response['reason']);
            }
        }

        return false;
    }

    public function getRoom($roomId){

        $patch = "https://".VNC::VNC_SERVER."/room/{$roomId}/";

        $ch = curl_init($patch);

        $response = $this->getResponse($ch);
        curl_close($ch);

        if (!empty($response)){
            $response = json_decode($response, true);
            if ($response['type'] == 'result') {
                return $response['result'];
            }else if($response['type'] == 'error'){
                throw new \Wildix\Exception($response['reason']);
            }
        }
        return false;
    }

    public function removeRoom($roomId){
        $patch = "https://".VNC::VNC_SERVER."/room/{$roomId}/";

        $ch = curl_init($patch);

        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');

        $response = $this->getResponse($ch);
        curl_close($ch);

        if (!empty($response)){
            $response = json_decode($response, true);
            if ($response['type'] == 'result') {
                return $response['result'];
            }else if($response['type'] == 'error'){
                throw new \Wildix\Exception($response['reason']);
            }
        }
        return false;
    }



    private function getResponse($ch){
        curl_setopt($ch, CURLOPT_HEADER, true);
        curl_setopt($ch, CURLOPT_AUTOREFERER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5);
        curl_setopt($ch, CURLOPT_TIMEOUT, 10);
        curl_setopt($ch, CURLOPT_USERAGENT, "PBX Api");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        //curl_setopt($ch, CURLOPT_MAXREDIRS, 1);

        $response = curl_exec($ch);
        $responseInfo = curl_getinfo($ch);

        $headers = substr($response, 0, $responseInfo['header_size']);
        $response = substr($response, $responseInfo['header_size']);

        if(empty($responseInfo['redirect_url']) && ($responseInfo['http_code']== 301 || $responseInfo['http_code']==302)){
            $headers = http_parse_headers($headers);
            if(!empty($headers['Location'])){
                $responseInfo['redirect_url'] = $headers['Location'];
            }
        }

        if(!empty($responseInfo['redirect_url'])){
            curl_setopt($ch, CURLOPT_URL, $responseInfo['redirect_url']);
            $response = curl_exec($ch);
            $responseInfo = curl_getinfo($ch);
            $headers = substr($response, 0, $responseInfo['header_size']);
            $response = substr($response, $responseInfo['header_size']);
        }
        return $response;
    }
}
