<?php
declare(strict_types=1);

namespace Services;

use \Wildix\DependencyInjection\Container;
use \Wildix\DependencyInjection\ConfigInterface;
use \Wildix\System\Systemd;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            LuaService::class,
            function() {
                return new LuaService();
            }
        );

        $container->singleton(
            KamailioService::class,
            function() {
                return new KamailioService();
            }
        );

        $container->singleton(
            LdapService::class,
            function() {
                return new LdapService();
            }
        );

        $container->singleton(
            TProxyService::class,
            function() {
                $systemd = new Systemd('tproxyd');
                return new TProxyService($systemd);
            }
        );
    }
}
