<?php

namespace Wildix\Slim\Error\Renderers;

use Slim\Error\AbstractErrorRenderer;
use Slim\Exception\HttpException;
use Slim\Interfaces\ErrorRendererInterface;
use Throwable;

class JsonErrorCustomRenderer extends AbstractErrorRenderer implements ErrorRendererInterface {

    public function __invoke(Throwable $exception, bool $displayErrorDetails): string {
        if (!$exception instanceof HttpException) {
            $message = !empty($exception->getMessage()) ? $exception->getMessage() : $this->defaultErrorTitle;
        } else {
            $message = $this->getErrorTitle($exception);
        }
        $data = [
            'type'   => 'error',
            'reason' => $message,
            'code' => $exception->getCode(),
            'result' => null,
        ];

        return (string)json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES);
    }
}
