<?php

namespace Wildix\Slim\Error\Renderers;

use Slim\Error\AbstractErrorRenderer;
use Slim\Interfaces\ErrorRendererInterface;
use Throwable;
use Wildix\Error;

class JsonErrorInvalidDataRenderer extends AbstractErrorRenderer implements ErrorRendererInterface {

    public function __invoke(Throwable $exception, bool $displayErrorDetails): string {
        $message = $exception->getCode() === 404 ? 'Not found' : $exception->getMessage();
        $data    = [
            'code'   => $exception->getCode() === 404 ? Error::NotFound : Error::BadRequest,
            'errors' => $exception->getErrors(),
            'reason' => $message ?: Error::getMessage(Error::BadRequest),
            'result' => null,
            'type'   => 'error',
        ];

        return (string)json_encode($data, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES);
    }
}
