<?php

declare(strict_types=1);

namespace Wildix\Slim\Handlers;

use Wildix\Slim\Error\Renderers\JsonErrorBatchOperationsRenderer;
use Wildix\Slim\Error\Renderers\XmlErrorRenderer;

class WildixBatchOperationsExceptionHandler extends ErrorsHandler {

    protected $defaultErrorRendererContentType = 'application/json';
    protected $defaultErrorRenderer            = JsonErrorBatchOperationsRenderer::class;

    protected $errorRenderers = [
        'application/json' => JsonErrorBatchOperationsRenderer::class,
        'application/xml' => XmlErrorRenderer::class,
        'text/xml' => XmlErrorRenderer::class,
    ];

    protected function determineStatusCode(): int {
        if ($this->method === 'OPTIONS') {
            return 200;
        }

        return 200;
    }
}
