<?php

declare(strict_types=1);

namespace Wildix\Slim\Handlers;

class WildixExceptionHandler extends ErrorsHandler {


    protected function determineStatusCode(): int {
        if ($this->method === 'OPTIONS') {
            return 200;
        }

        if ($this->exception instanceof \Wildix\Exception) {
            return $this->exception->getHttpCode();
        }

        if ($this->exception instanceof \Exception) {
            return $this->exception->getCode();
        }

        return 503;
    }
}
