<?php

declare(strict_types=1);

namespace Wildix\Slim\Handlers;

use Wildix\Slim\Error\Renderers\JsonErrorInvalidDataRenderer;
use Wildix\Slim\Error\Renderers\XmlErrorRenderer;

class WildixInvalidDataExceptionHandler extends ErrorsHandler {

    protected $defaultErrorRendererContentType = 'application/json';
    protected $defaultErrorRenderer            = JsonErrorInvalidDataRenderer::class;

    protected $errorRenderers = [
        'application/json' => JsonErrorInvalidDataRenderer::class,
        'application/xml'  => XmlErrorRenderer::class,
        'text/xml'         => XmlErrorRenderer::class,
    ];

    protected function determineStatusCode(): int {
        if ($this->method === 'OPTIONS') {
            return 200;
        }

        if ($this->exception instanceof \Exception) {
            return $this->exception->getCode();
        }

        return 400;
    }
}
