<?php

namespace Wildix\Slim\Middleware\Authorization;

use Models\PBX;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Slim\Psr7\Factory\ResponseFactory;

class Portal implements MiddlewareInterface {

    protected bool $authorize;

    public function __construct(private ResponseFactory $responseFactory, private PBX $pbx) {
    }

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface {
        $this->authorize = false;
        $response        = $this->responseFactory->createResponse(401);
        $login           = $_SERVER['PHP_AUTH_USER'] ?? '';
        $password        = $_SERVER['PHP_AUTH_PW'] ?? '';

        if ($login == $this->getPbx()->getSerial()
            && $password == $this->getPbx()->getIdentity()
        ) {
            $this->authorize = true;
        }

        if (!$this->authorize) {
            $data = [
                'type'   => 'error',
                'reason' => 'Unauthorized',
                'result' => null,
            ];

            $response = \Controllers\Controller::getResponse($data, $response);
            if (empty($_GET['callback']) && empty($_REQUEST['skip-basic-auth-header'])) {
                $response = $response->withHeader('WWW-Authenticate', 'Basic');
            }

            return $response;
        }

        return $handler->handle($request);
    }

    protected function getPbx(): PBX {
        return $this->pbx;
    }
}
