<?php

namespace Wildix\Slim\Middleware\Authorization;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Slim\Psr7\Factory\ResponseFactory;

class ScreenSharing implements MiddlewareInterface {

    protected bool        $authorized;
    protected \Models\PBX $pbx;
    protected ResponseFactory $responseFactory;

    public function __construct(ResponseFactory $responseFactory, \Models\PBX $pbx) {
        $this->responseFactory = $responseFactory;
        $this->pbx             = $pbx;
    }

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface {
        $this->authorized = false;
        $response         = $this->responseFactory->createResponse(401);
        $login            = $_SERVER['PHP_AUTH_USER'] ?? '';
        $password         = $_SERVER['PHP_AUTH_PW'] ?? '';

        if ($login == $this->pbx->getSerial() && $password == md5('pbxpwd' . $this->pbx->getSerial())) {
            $this->authorized = true;
        }

        if (!$this->authorized) {
            $data = [
                'type'   => 'error',
                'reason' => 'Unauthorized',
                'result' => null,
            ];

            $response = \Controllers\Controller::getResponse($data, $response);

            return $response->withHeader('WWW-Authenticate', 'Basic');
        }

        return $handler->handle($request);
    }
}
