<?php

namespace Wildix\Slim\Middleware;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class SetUserToRequestMiddleware implements MiddlewareInterface {

    public function __construct(private $user) {
    }

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface {
        if ($this->user && $this->user->isLogged()) {
            $request = $request->withAttribute('user', $this->user);
        }
        return $handler->handle($request);
    }
}
