<?php

namespace Wildix\Slim\Middleware\Support;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use User;
use Wildix\Error;

class ExtractUserDataFromSession implements MiddlewareInterface {

    private $user;

    public function __construct(User $user) {
        $this->user = $user;
    }


    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface {
        $userId = $this->user->getID();

        if (empty($userId)) {
            throw new \Wildix\Exception(Error::AccessError, 403);
        }

        $_SESSION['user'] = $this->user->getAsArray();

        return $handler->handle($request);
    }
}
