<?php

namespace Wildix\Slim\Middleware\Support;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Slim\Routing\RouteContext;
use Wildix\CallHistory\Call;

class NormalizeCallChannel implements MiddlewareInterface {

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface {
        $routeContext = RouteContext::fromRequest($request);
        $currentRoute = $routeContext->getRoute();
        $channel      = $currentRoute->getArgument('channel');
        if (isset($channel)) {
            $channelsList = array_map(
                static function ($ch) {
                    return Call::normalizeChannel($ch);
                },
                explode(',', $channel)
            );

            $currentRoute->setArgument('channel', implode(',', $channelsList));
        }

        return $handler->handle($request);
    }
}
