<?php
declare(strict_types=1);

use Psr\Container\ContainerInterface;
use Wildix\HttpSecurity\Service;
use Wildix\Slim\Middleware\CorsMiddleware;

return static function (ContainerInterface $container) {
    $container->singleton(
        User::class,
        function (ContainerInterface $container) {
            return User::getInstance();
        }
    );

    $container->singleton(
        CorsMiddleware::class,
        function (ContainerInterface $container) {
            return new CorsMiddleware($container->get(Service::class));
        }
    );

    $container->singleton(
        \WMS_Permissions::class,
        static function (): \WMS_Permissions {
            return \WMS_Permissions::getInstance();
        }
    );

    $container->singleton(
        \WMS_Ldap::class,
        static function (): \WMS_Ldap {
            return \WMS_Ldap::getInstance();
        }
    );

};
