<?php
declare(strict_types=1);

use Slim\App;
use Slim\Middleware\MethodOverrideMiddleware;
use Wildix\Slim\Middleware\BodyParsingMiddleware;
use Wildix\Slim\Middleware\CorsMiddleware;
use Wildix\Slim\Middleware\Lowercase;

return static function (App $app) {
    $bodyParsing = new BodyParsingMiddleware([]);
    $app->add($bodyParsing);

    $app->add(CorsMiddleware::class);
    // The RoutingMiddleware should be added after our CORS middleware so routing is performed first
    // added one (last in, first out)
    $app->addRoutingMiddleware();
    $lowercase = new Lowercase($app->getRouteResolver(), $app->getRouteCollector()->getRouteParser());
    $app->addMiddleware($lowercase);
    // Add MethodOverride middleware
    // the request body parameter _METHOD to override an incoming request’s method.
    // @TODO check if we still use it on front-end / slim v2 has MethodOverride middleware but we never use it
    $methodOverrideMiddleware = new MethodOverrideMiddleware();
    $app->add($methodOverrideMiddleware);
};
