<?php

declare(strict_types=1);

use Wildix\Databases\CalendarDB;
use Wildix\Databases\CTIconnectDB;
use Wildix\Databases\Database;
use Wildix\Databases\DEVDB;
use Wildix\Databases\HTABLES;
use Wildix\Databases\QueueDB;
use Wildix\Databases\RegState;
use Wildix\Databases\USRLOC;
use Wildix\Databases\WMSDB;

return [

    'fetch' => PDO::FETCH_CLASS,

    'defaultConnection' => env('DB_CONNECTION', WMSDB::class),

    'connections' => [

        WMSDB::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_WMSDB),
            'prefix'   => '',
        ],
        HTABLES::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_HTABLES),
            'prefix'   => '',
        ],
        QueueDB::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_QUEUEDB),
            'prefix'   => '',
        ],
        CTIconnectDB::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_CTICONNECT_DB),
            'prefix'   => '',
        ],
        CalendarDB::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_CALENDAR_DB),
            'prefix'   => '',
        ],
        DEVDB::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_DEVDB),
            'prefix'   => '',
        ],

        USRLOC::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_USRLOC),
            'prefix'   => '',
        ],
        RegState::class => [
            'driver'   => 'sqlite',
            'database' => env('DB_DEFAULT_PATH', Database::WILDIX_REGSTATEDB),
            'prefix'   => '',
        ],
        'caracal-mysql' => [
            'driver'    => env('DB_HOST_MYSQL_DRIVER', 'mysql'),
            'host'      => env('DB_HOST_MYSQL', 'localhost'),
            'database'  => env('DB_DATABASE_MYSQL', 'qstats'),
            'username'  => env('DB_USERNAME_MYSQL', 'root'),
            'password'  => env('DB_PASSWORD_MYSQL', 'wil01dix'),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix'    => '',
            'strict'    => false,
        ],
        CDR::class    => [
            'driver'   => 'sqlsrv',
            'port'     => 3306,
            'host'     => env('DB_HOST_SRV', '127.0.0.1'),
            'database' => env('DB_DATABASE_SRV', 'cdr'),
            'username' => env('DB_USERNAME_SRV', 'cdr'),
            'password' => env('DB_PASSWORD_SRV', 'wil01dix'),
            'charset'  => 'utf8mb4',
            'prefix'   => '',
        ],
    ],
];
