<?php

declare(strict_types=1);

namespace Api\Database;

/**
 * Interface ConnectionResolverInterface
 */
interface ConnectionResolverInterface {
    /**
     * Get a database connection instance.
     *
     * @param string|null $name Database name.
     *
     * @return ConnectionInterface
     */
    public function connection(?string $name = null): ConnectionInterface;

    /**
     * Get the default connection name.
     *
     * @return string
     */
    public function getDefaultConnection(): string;
}
