<?php

declare(strict_types=1);

namespace Api\Database;

use Exception;

/**
 * Trait DetectsDeadlocks
 */
trait DetectsDeadlocksTrait {

    /**
     * Determine if the given exception was caused by a deadlock.
     *
     * @param \Exception $e Error.
     *
     * @return boolean
     */
    protected function causedByDeadlock(Exception $e): bool {
        $message = $e->getMessage();

        return in_array(
            $message,
            [
            'Deadlock found when trying to get lock',
            'deadlock detected',
            'The database file is locked',
            'database is locked',
            'database table is locked',
            'A table in the database is locked',
            'has been chosen as the deadlock victim',
            'Lock wait timeout exceeded; try restarting transaction',
            ]
        );
    }
}
