<?php
declare(strict_types=1);

namespace Api\Database;

use Api\Database\Configs\Config;
use Api\Database\Configs\ConfigInterface as DatabasesConfigInterface;
use Api\Database\Connectors\ConnectionFactory;
use Psr\Container\ContainerInterface;
use Wildix\Databases\Database;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            DatabasesConfigInterface::class,
            function (ContainerInterface $container) {
                return new Config(include Database::CONFIG_PATH);
            }
        );

        $container->singleton(
            DatabaseManager::class,
            function () use ($container) {
                $factory = $container->get(ConnectionFactory::class);
                $config  = $container->get(DatabasesConfigInterface::class);

                return new DatabaseManager($config, $factory);
            }
        );
    }
}
