<?php

namespace Api\Device\Interfaces;

use Api\Device\Repository\DeviceRepository;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    private static $_instance;

    public static function configure(Container $container): void {
        $container->singleton(
            DeviceRepositoryInterface::class,
            function () use ($container) {
                if (!isset(self::$_instance)) {
                    self::$_instance = new DeviceRepository();
                }
                return self::$_instance;
            }
        );
    }
}
