<?php

namespace Api\Devices\Interfaces;

use Api\Devices\Repository\WairRepository;
use Api\Devices\Services\WairService;
use Services\LuaService;
use Wildix\Colleagues\Colleagues;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\SipProxy;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            WairServiceInterface::class,
            function () use ($container) {
                $repository = new WairRepository(
                    $container->get(SipProxy::class)
                );

                return new WairService(
                    $repository,
                    $container->get(Colleagues::class),
                    $container->get(LuaService::class)
                );
            }
        );
    }
}
