<?php

namespace Api\Devices\Objects;

use Api\Support\DTOValidate\DTOValidate;

class WairDevice extends DTOValidate {

    public $extension;
    public $baseMac;
    public $ipei;
    public $model;
    public $baseModel = '';
    public $contact   = '';

    public function rules(): array {
        return [
            'extension' => [
                'string',
                'required',
            ],
        ];
    }

    public function getExtension(): string {
        return $this->extension;
    }

    public function getBaseMac(): string {
        return $this->baseMac;
    }

    public function getIpei(): string {
        return $this->ipei;
    }

    public function getModel(): string {
        return $this->model;
    }

    public function getBaseModel(): string {
        return $this->baseModel;
    }

    public function getContact(): string {
        return $this->contact;
    }
}
