<?php
declare(strict_types=1);

namespace Api\Dialplans\Rules\Imports\Interfaces;

use Api\Dialplans\Rules\Imports\Repository\ImportRepository;
use Api\Dialplans\Rules\Imports\Services\ImportService;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\Dialplan\IncomingCalls;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            ImportRepositoryInterface::class,
            function () {
                return new ImportRepository();
            }
        );
        $container->singleton(
            ImportServiceInterface::class,
            function (Container $container) {
                return new ImportService(
                    $container->get(IncomingCalls::class),
                    $container->get(ImportRepositoryInterface::class)
                );
            }
        );
    }
}
