<?php
declare(strict_types=1);

namespace Api\Dialplans\Rules\Imports\Interfaces;

use Api\Dialplans\Rules\Imports\Request\ImportRequest;
use Api\Dialplans\Rules\Imports\Response\RulesImportResponse;

/**
 * Interface ImportServiceInterface
 */
interface ImportServiceInterface {

    public function validateBackupFile(ImportRequest $request): ImportRequest;
    public function dropBackup();
    public function moveUploadedImportFile(ImportRequest $request): bool;
    public function importRules(ImportRequest $request): bool;
    public function updateFromNewTables(bool $backup = false): bool;
    public function getAllNameFromBackup(): RulesImportResponse;
    public function restoreBackup($ids):array;
}
