<?php
declare(strict_types=1);

namespace Api\Dialplans\Rules\Imports\Objects;

use Api\Support\Interfaces\ArrayableInterface;

/**
 * Class RuleName
 */
class RuleName implements ArrayableInterface {

    /**
     * Id rule
     *
     * @var integer
     */
    private $_id;

    /**
     * Name rule
     *
     * @var string
     */
    private $_name;

    /**
     * Rule description
     *
     * @var string
     */
    private $_description;

    /**
     * Get id rule
     *
     * @return integer
     */
    public function getId(): int {
        return $this->_id;
    }

    /**
     * Set id rule
     *
     * @param integer $id Rule ID.
     *
     * @return RuleName
     */
    public function setId(int $id): RuleName {
        $this->_id = $id;
        return $this;
    }

    /**
     * Get rule name
     *
     * @return string
     */
    public function getName(): string {
        return $this->_name;
    }

    /**
     * Set rule name
     *
     * @param string $name Name rule.
     *
     * @return RuleName
     */
    public function setName(string $name): RuleName {
        $this->_name = $name;
        return $this;
    }

    /**
     * Get rule description
     *
     * @return string
     */
    public function getDescription(): string {
        return $this->_description;
    }

    /**
     * Set rule description
     *
     * @param string $description Rule description.
     *
     * @return RuleName
     */
    public function setDescription(string $description): RuleName {
        $this->_description = $description;
        return $this;
    }

    public function toArray(): array {
        return [
            'id' => $this->getId(),
            'name' => $this->getName(),
            'description' => $this->getDescription(),
        ];
    }
}
