<?php
declare(strict_types=1);

namespace Api\Dialplans;

use Api\Dictionary\Interfaces\DialplanRulesRepositoryInterface;
use Api\Dictionary\Repository\DictionaryRepository;
use Api\Dictionary\Services\DictionaryService;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            DialplanRulesRepositoryInterface::class,
            function (Container $container) {
                return new DictionaryRepository();
            }
        );
        $container->singleton(
            DictionaryService::class,
            function (Container $container) {
                return new DictionaryService();
            }
        );
    }
}
