<?php
declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class CauseCodesEnum
 */
class CauseCodesEnum extends AbstractEnum {
    public const  UNALLOCATED_NUMBER                  = '1 - Unallocated Number';
    public const  NO_ROUTE_TO_TRANSIT_NETWORK         = '2 - No Route to Transit Network';
    public const  NO_ROUTE_TO_DESTINATION             = '3 - No Route to Destination';
    public const  CHANNEL_UNACCEPTABLE                = '6 - Channel Unacceptable';
    public const  CALL_AWARDED_IN_ESTABLISHED_CHANNEL = '7 - Call Awarded in Established Channel';
    public const  NORMAL_CALL_CLEARING                = '16 - Normal Call Clearing';
    public const  USER_BUSY           = '17 - User Busy';
    public const  NO_USER_RESPONDING  = '18 - No User Responding';
    public const  NO_ANSWER_FROM_USER = '19 - No Answer from User (user alerted)';
    public const  SUBSCRIBER_ABSENT   = '20 - Subscriber Absent';
    public const  CALL_REJECTED       = '21 - Call Rejected';
    public const  NUMBER_CHANGED      = '22 - Number Changed';
    public const  REDIRECTION_TO_NEW_DESTINATION = '23 - Redirection to New Destination';
    public const  EXCHANGE_ROUTING_ERROR         = '25 - Exchange Routing Error';
    public const  NON_SELECTED_USER_CLEARING     = '26 - Non-selected User Clearing';
    public const  DESTINATION_OUT_OF_ORDER       = '27 - Destination Out of Order';
    public const  INVALID_NUMBER_FORMAT          = '28 - Invalid Number Format (addr incomplete)';
    public const  FACILITY_REJECTED              = '29 - Facility Rejected';
    public const  NORMAL_UNSPECIFIED             = '31 - Normal, Unspecified';
    public const  CHANNEL_AVAILABLE              = '34 - No Circuit/Channel Available';
    public const  NETWORK_OUT_OF_ORDER           = '38 - Network Out of Order';
    public const  TEMPORARY_FAILURE              = '41 - Temporary Failure';
    public const  SWITCHING_EQUIPMENT_CONGESTION = '42 - Switching Equipment Congestion';
    public const  BEARER_CAPABILITY_NOT_VAILABLE = '58 - Bearer Capability Not Available';
    public const  INCOMPATIBLE_DESTINATION       = '88 - Incompatible Destination';
    public const  MANDATORY_INFORMATION_ELEMENT_IS_MISSING = '96 - Mandatory Information Element is Missing';
    public const  INTERWORKING = '127 - Interworking, Unspecified';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        '1'   => self::UNALLOCATED_NUMBER,
        '2'   => self::NO_ROUTE_TO_TRANSIT_NETWORK,
        '3'   => self::NO_ROUTE_TO_DESTINATION,
        '6'   => self::CHANNEL_UNACCEPTABLE,
        '7'   => self::CALL_AWARDED_IN_ESTABLISHED_CHANNEL,
        '16'  => self::NORMAL_CALL_CLEARING,
        '17'  => self::USER_BUSY,
        '18'  => self::NO_USER_RESPONDING,
        '19'  => self::NO_ANSWER_FROM_USER,
        '20'  => self::SUBSCRIBER_ABSENT,
        '21'  => self::CALL_REJECTED,
        '22'  => self::NUMBER_CHANGED,
        '23'  => self::REDIRECTION_TO_NEW_DESTINATION,
        '25'  => self::EXCHANGE_ROUTING_ERROR,
        '26'  => self::NON_SELECTED_USER_CLEARING,
        '27'  => self::DESTINATION_OUT_OF_ORDER,
        '28'  => self::INVALID_NUMBER_FORMAT,
        '29'  => self::FACILITY_REJECTED,
        '31'  => self::NORMAL_UNSPECIFIED,
        '34'  => self::CHANNEL_AVAILABLE,
        '38'  => self::NETWORK_OUT_OF_ORDER,
        '41'  => self::TEMPORARY_FAILURE,
        '42'  => self::SWITCHING_EQUIPMENT_CONGESTION,
        '58'  => self::BEARER_CAPABILITY_NOT_VAILABLE,
        '88'  => self::INCOMPATIBLE_DESTINATION,
        '96'  => self::MANDATORY_INFORMATION_ELEMENT_IS_MISSING,
        '127' => self::INTERWORKING,
    ];
}
