<?php
declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class ConditionExamplesEnum
 */
class ConditionExamplesEnum extends AbstractEnum {
    public const CALLERID_NAME    = '"${CALLERID(name)}"="<name>"';
    public const CALLERID_NUM     = '"${CALLERID(num):0:3}"="<number>"';
    public const CHANNEL_LANGUAGE = '"${CHANNEL(language)}"="<lang>"';
    public const DEVICE_STATE_SIP = '"${DEVICE_STATE(SIP/<extension>)}"="INUSE"';
    public const TTSSTATUS        = '"${TTSSTATUS}"!="SUCCESS"';
    public const QUEUE_MEMBER     = '"${QUEUE_MEMBER(<call_group_id>,free)}"="0"';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        1 => self::CALLERID_NAME,
        2 => self::CALLERID_NUM,
        3 => self::CHANNEL_LANGUAGE,
        4 => self::DEVICE_STATE_SIP,
        5 => self::TTSSTATUS,
        6 => self::QUEUE_MEMBER,
    ];
}
