<?php

declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class DialPlanSetKeysEnum
 */
class DialPlanSetKeysEnum extends AbstractEnum {
    public const TAGS                   = 'tags';
    public const LANGUAGE               = 'language';
    public const SRTP_SECURITY          = 'srtp_security';
    public const DIRECTRTP              = 'directrtp';
    public const CODECS                 = 'sip_codecs';
    public const MUSIC_ON_HOLD          = 'mohclass';
    public const RINGTONE               = 'ringtone';
    public const TYPE_OF_CALL           = 'calltype';
    public const CALLER_NAME            = 'cidname';
    public const CALLER_NUMBER          = 'cidnumber';
    public const CALLER_NUMBER_ON_TRUNK = 'trunk_caller_num';
    public const TIMEOUT                = 'timeout';
    public const ITC                    = 'itc';
    public const SERVICE                = 'service';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        'Tags'                   => self::TAGS,
        'Language'               => self::LANGUAGE,
        'SRTP security'          => self::SRTP_SECURITY,
        'DirectRTP'              => self::DIRECTRTP,
        'Codecs'                 => self::CODECS,
        'Music on hold'          => self::MUSIC_ON_HOLD,
        'Ringtone'               => self::RINGTONE,
        'Type of call'           => self::TYPE_OF_CALL,
        'Caller name'            => self::CALLER_NAME,
        'Caller number'          => self::CALLER_NUMBER,
        'Caller number on trunk' => self::CALLER_NUMBER_ON_TRUNK,
        'Timeout'                => self::TIMEOUT,
        'ITC'                    => self::ITC,
        'Service'                => self::SERVICE,
    ];
}
