<?php
declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class DialTonesEnum
 */
class DialTonesEnum extends AbstractEnum {

    public const MEDIA_5   = 'media5';
    public const WELLTECH  = 'welltech';
    public const DINSTAR   = 'dinstar';
    public const DINSTAR_2 = 'dinstar2';

    public const MEDIA_5_VALUES = [
        'Austria1' => 'Austria',
        'CzechRepublic1' => 'CzechRepublik',
        'France1' => 'France',
        'Germany1' => [
            'Germany', '1',
        ],
        'Germany2' => [
            'Germany', '2',
        ],
        'Italy1' => 'Italy',
        'UK1' => 'UK',
        'NorthAmerica1' => 'US',
        'Spain1' => 'Spain',
        'Switzerland1' => 'Switzerland'
    ];

    public const WELLTECH_VALUES = [
        'czech' => 'CzechRepublik',
        'france' => 'France',
        'germany' => 'Germany',
        'italy' => 'Italy',
        'uk' => 'UK',
        'us' => 'US',
        'spain' => 'Spain',
        'switzerland' => 'Switzerland',
        'matra' => 'Matra'
    ];

    public const DINSTAR_VALUES = [
        'NorthAmerica' => 'US',
        'Austria' => 'Austria',
        'France' => 'France',
        'Germany' => 'Germany',
        'Italy' => 'Italy',
        'Spain' => 'Spain',
        'UK' => 'UK',
        'CzechRepublic' => 'CzechRepublik'
    ];

    public const DINSTAR_2_VALUES = [
        '0' => 'US',
        '1' => 'Austria',
        '4' => 'France',
        '5' => 'Germany',
        '7' => 'Italy',
        '10' => 'Spain',
        '12' => 'UK',
    ];

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        self::MEDIA_5   => self::MEDIA_5_VALUES,
        self::WELLTECH  => self::WELLTECH_VALUES,
        self::DINSTAR   => self::DINSTAR_VALUES,
        self::DINSTAR_2 => self::DINSTAR_2_VALUES
    ];

    public static function getEnums(): array {
        return self::$_enums;
    }
}
