<?php
declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class CallTypesEnum
 */
class DictionaryTypeEnum extends AbstractEnum {

    public const ATTACH_FORMATS     = 'attach_formats';
    public const CALL_GROUPS        = 'call_groups';
    public const CALLTYPES          = 'calltypes';
    public const CALLTYPE           = 'calltype';
    public const CAUSECODES         = 'causecodes';
    public const CIDNAME            = 'cidname';
    public const CIDNUMBER          = 'cidnumber';
    public const CONTEXTS           = 'contexts';
    public const CLASSES_OF_CALLS   = 'classes_of_calls';
    public const CONDITION_EXAMPLES = 'condition_examples';
    public const DIALSTATUSES       = 'dialstatuses';
    public const DIRECTRTP          = 'directrtp';
    public const HG_STRATEGIES      = 'hg_strategies';
    public const HUNT_GROUPS        = 'hunt_groups';
    public const ITC                = 'itc';
    public const IVR_TREES          = 'ivr_trees';
    public const LANGUAGE           = 'language';
    public const MOH_CLASSES        = 'moh_classes';
    public const MOH_CLASS          = 'mohclass';
    public const PAGE_GROUPS        = 'page_groups';
    public const PHONEBOOKS         = 'phonebooks';
    public const REMOTE_PBXES       = 'remote_pbxes';
    public const RINGTONE           = 'ringtone';
    public const SET_KEYS           = 'set_keys';
    public const SIP_CODECS         = 'sip_codecs';
    public const SRTP_SECURITY      = 'srtp_security';
    public const TAGS               = 'tags';
    public const TIMEOUT            = 'timeout';
    public const TIMETABLES         = 'timetables';
    public const TRUNK_CALLER_NUM   = 'trunk_caller_num';
    public const TRUNKS             = 'trunks';
    public const USERSTATUSES       = 'userstatuses';
    public const WMS3SWITCHES       = 'wms3switches';
    public const WMSSWITCHES        = 'wmsswitches';
    public const DIAL_TONES         = 'dialTones';
    public const SERVICE            = 'service';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        self::ATTACH_FORMATS     => 'getAttachFormats',
        self::CALL_GROUPS        => 'getCallGroups',
        self::CALLTYPES          => 'getCallTypes',
        self::CALLTYPE           => 'getCallTypes',
        self::CAUSECODES         => 'getCauseCodes',
        self::CIDNAME            => 'getCidname',
        self::CIDNUMBER          => 'getCidnumber',
        self::CONTEXTS           => 'getContexts',
        self::CLASSES_OF_CALLS   => 'getClassesOfCalls',
        self::CONDITION_EXAMPLES => 'getConditionExamples',
        self::DIALSTATUSES       => 'getDialStatuses',
        self::DIRECTRTP          => 'getDirectrtp',
        self::HG_STRATEGIES      => 'getHgStrategies',
        self::HUNT_GROUPS        => 'getHuntGroups',
        self::ITC                => 'getItc',
        self::IVR_TREES          => 'getIvrTrees',
        self::LANGUAGE           => 'getLanguages',
        self::MOH_CLASS          => 'getMohClasses',
        self::MOH_CLASSES        => 'getMohClasses',
        self::PAGE_GROUPS        => 'getPageGroups',
        self::PHONEBOOKS         => 'getPhoneBooks',
        self::REMOTE_PBXES       => 'getRemotePbxes',
        self::RINGTONE           => 'getRingtones',
        self::SET_KEYS           => 'getSetKeys',
        self::SIP_CODECS         => 'getSipCodecs',
        self::SRTP_SECURITY      => 'getSrtpSecurity',
        self::TAGS               => 'getTags',
        self::TIMEOUT            => 'getTimeout',
        self::TIMETABLES         => 'getTimeTables',
        self::TRUNK_CALLER_NUM   => 'getTrunkCallerNum',
        self::TRUNKS             => 'getTrunks',
        self::USERSTATUSES       => 'getUserStatuses',
        self::WMS3SWITCHES       => 'getWms3Switches',
        self::WMSSWITCHES        => 'getWmsSwitches',
        self::DIAL_TONES         => 'getDialTones',
        self::SERVICE            => 'getServices',
    ];
}
