<?php
declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class SipCodecsEnum
 */
class SipCodecsEnum extends AbstractEnum {

    public const ALAW           = 'alaw';
    public const ULAW           = 'ulaw';
    public const G722           = 'g722';
    public const G729           = 'g729';
    public const G729_ALAW      = 'g729,alaw';
    public const G729_ULAW      = 'g729,ulaw';
    public const ALAW_ULAW      = 'alaw,ulaw';
    public const G729_ALAW_ULAW = 'g729,alaw,ulaw';
    public const HGULAW_ALAW    = 'h263,h263p,h264,g729,ulaw,alaw';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        1 => self::ALAW,
        2 => self::ULAW,
        3 => self::G722,
        4 => self::G729,
        5 => self::G729_ALAW,
        6 => self::G729_ULAW,
        7 => self::ALAW_ULAW,
        8 => self::G729_ALAW_ULAW,
        9 => self::HGULAW_ALAW,
    ];
}
