<?php
declare(strict_types=1);

namespace Api\Dictionary\Interfaces;

use Api\Dictionary\Repository\DictionaryRepository;
use Api\Translation\Interfaces\TranslationStrategyInterface;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            DialplanRulesRepositoryInterface::class,
            function () use ($container) {
                return new DictionaryRepository(
                    $container->get(TranslationStrategyInterface::class)
                );
            }
        );
    }
}
