<?php
declare(strict_types=1);

namespace Api\Dictionary\Objects;

use Api\Support\Interfaces\ArrayableInterface;

/**
 * Class CallGroupsMember
 */
class CallGroupsMember implements ArrayableInterface {

    /**
     * ID member
     *
     * @var string
     */
    private $_id;

    /**
     * Name member
     *
     * @var string
     */
    private $_name;

    /**
     * Get ID member
     *
     * @return string
     */
    public function getId(): string {
        return $this->_id;
    }

    /**
     * Set ID member
     *
     * @param string $id ID member.
     *
     * @return CallGroupsMember
     */
    public function setId(string $id): CallGroupsMember {
        $this->_id = $id;
        return $this;
    }

    /**
     * Get Name member
     *
     * @return string
     */
    public function getName(): string {
        return $this->_name;
    }

    /**
     * Set Name member
     *
     * @param string $name Name member.
     *
     * @return CallGroupsMember
     */
    public function setName(string $name): CallGroupsMember {
        $this->_name = $name;
        return $this;
    }

    public function toArray(): array {
        return [
            'id' => $this->getId(),
            'value' => $this->getName()
        ];
    }
}
