<?php

declare(strict_types=1);

namespace Api\Dictionary\Objects;

use Api\Support\Interfaces\ArrayableInterface;

/**
 * Class Dialplan
 */
class Dialplan implements ArrayableInterface {

    /**
     * ID dialplan
     *
     * @var int
     */
    private $_id;

    /**
     * Name dialplan
     *
     * @var string
     */
    private $_name;

    /**
     * Description dialplan
     *
     * @var string
     */
    private $_description;

    /**
     * Convert to array
     *
     * @return array
     */
    public function toArray(): array {
        return [
            'id'          => $this->getId(),
            'name'        => $this->getName(),
            'description' => $this->getDescription(),
        ];
    }

    /**
     * Get ID dialplan
     *
     * @return integer
     */
    public function getId(): int {
        return $this->_id;
    }

    /**
     * Set ID dialplan
     *
     * @param integer $_id ID.
     *
     * @return Dialplan
     */
    public function setId(int $_id): Dialplan {
        $this->_id = $_id;
        return $this;
    }

    /**
     * Get name dialplan
     *
     * @return string
     */
    public function getName(): string {
        return $this->_name;
    }

    /**
     * Set name dialplan
     *
     * @param string $_name Name dialplan.
     *
     * @return Dialplan
     */
    public function setName(string $_name): Dialplan {
        $this->_name = $_name;
        return $this;
    }

    /**
     * Get description
     *
     * @return string
     */
    public function getDescription(): string {
        return $this->_description;
    }

    /**
     * Set description
     *
     * @param string $_description Description.
     *
     * @return Dialplan
     */
    public function setDescription(string $_description): Dialplan {
        $this->_description = $_description;
        return $this;
    }
}
