<?php
declare(strict_types=1);

namespace Api\Dictionary\Objects;

use Api\Support\Interfaces\ArrayableInterface;

/**
 * Class ListItemsObject
 */
class ListItemsObject implements ArrayableInterface {

    private $_key;

    private $_items;

    /**
     * ListItemsObject constructor.
     *
     * @param mixed $_key   Key.
     * @param mixed $_items Items.
     */
    public function __construct($_key, $_items) {
        $this->_key   = $_key;
        $this->_items = $_items;
    }


    /**
     * Return key
     *
     * @return string
     */
    public function getKey():string {
        return $this->_key;
    }

    /**
     * Set key
     *
     * @param string $_key Key.
     *
     * @return ListItemsObject
     */
    public function setKey(string $_key) {
        $this->_key = $_key;
        return $this;
    }

    /**
     * Get object items
     *
     * @return mixed
     */
    public function getItems() {
        return $this->_items;
    }

    /**
     * Set object items
     *
     * @param mixed $_items Object.
     *
     * @return ListItemsObject
     */
    public function setItems($_items) {
        $this->_items = $_items;
        return $this;
    }

    public function toArray(): array {
        return [
        'key' => $this->getKey(), 'items' => $this->getItems()
        ];
    }
}
