<?php
declare(strict_types=1);

namespace Api\Dictionary\Request;

use Api\Dictionary\Enum\DictionaryTypeEnum;
use Psr\Http\Message\ServerRequestInterface;

/**
 * Class DialplanRulesRequest
 */
class DictionaryRequest {

    /**
     * Types requests
     *
     * @var array
     */
    private $_types;

    /**
     * Get Types requests
     *
     * @return array
     */
    public function getTypes(): array {
        return $this->_types;
    }

    /**
     * Set Types requests
     *
     * @param array $_types Types.
     *
     * @return $this
     */
    public function setTypes(array $_types): DictionaryRequest {
        $this->_types = $_types;
        return $this;
    }

    public static function createFromRequest(ServerRequestInterface $request): DictionaryRequest {
        $newRequest = new self();
        return $newRequest->setTypes($request->getQueryParams()['items'] ?? DictionaryTypeEnum::getEnumKeys());
    }
}
