<?php

declare(strict_types=1);

namespace Api\Dictionary\Response;

use Api\Dictionary\Interfaces\DialplanRulesResponseInterface;

/**
 * Class DialplanRulesResponse
 */
class DictionaryResponse implements DialplanRulesResponseInterface {

    /**
     * Response data
     *
     * @var array
     */
    private $_response = [];

    /**
     * Get param
     *
     * @return array
     */
    public function getResponse(): array {
        return $this->_response;
    }

    /**
     * Add param
     *
     * @param array $_response Result value.
     *
     * @return DictionaryResponse
     */
    public function addResponse(array $_response): DictionaryResponse {
        $this->_response[] = $_response;
        return $this;
    }

    /**
     * Get the instance as an array.
     *
     * @return array
     */
    public function toArray(): array {
        return $this->getResponse();
    }
}
