<?php

namespace Api\Jobs;

use Api\Departments\Interfaces\DepartmentServiceInterface;
use Wildix\Colleagues\Colleagues;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            FillDepartmentField::class,
            function () use ($container) {
                return new FillDepartmentField(
                    $container->get(\WMS_Ldap::class),
                    $container->get(Colleagues::class),
                    $container->get(DepartmentServiceInterface::class)
                );
            }
        );
    }
}
