<?php

namespace Api\Network\Builder;

use Api\Network\Interfaces\NetworkFailOverServiceInterface;
use Api\Network\Interfaces\NetworkParticipantBuilderInterface;
use Api\Network\Objects\NetworkParticipant;

/**
 * Class NetworkParticipantBuilder
 */
class NetworkParticipantBuilder {
    public function build(NetworkParticipantBuilderInterface $builder, NetworkFailOverServiceInterface $networkFailOverService): NetworkParticipant {
        $builder->createNetworkParticipant();
        $builder->addIp();
        $builder->addHost();
        $builder->addSerial();
        $builder->addIsServer();
        $builder->addPort();
        $builder->addFailOver($networkFailOverService);
        $builder->addVersion();
        $builder->addDn();

        return $builder->getNetworkParticipant();
    }
}
