<?php

namespace Api\Network\Interfaces;

use Api\Network\Objects\NetworkParticipant;

/**
 * Class NetworkBuilderInterface
 */
interface NetworkParticipantBuilderInterface {

    public function createNetworkParticipant(): void;

    public function getNetworkParticipant(): NetworkParticipant;

    public function addIp(): void;

    public function addPort(): void;

    public function addHost(): void;

    public function addSerial(): void;

    public function addIsServer(): void;

    public function addFailOver(NetworkFailOverServiceInterface $networkFailOverService): void;

    public function addVersion(): void;

    public function addDn(): void;
}
