<?php
declare(strict_types=1);

namespace Api\Network\Interfaces;

use Models\PBX;

/**
 * Interface NetworkRepositoryInterface
 */
interface NetworkRepositoryInterface {

    public function getCurrentPbx(): PBX;

    public function getNetworkParticipantsInfo(): array;

    public function getCurrentFailOverDn(string $serial): string;

    public function deleteFailOver(string $failOverDn): bool;

    public function addFailOver(string $ownerSerial, string $failOverSerial): void;

    public function deletePbx(string $serial, string $migrateToSerial): void;

    public function isMaster(): bool;

    public function getMasterSerial(): string;

    public function getCurrentOwnerDn(string $failOverSerial): string;
}
