<?php
declare(strict_types=1);

namespace Api\Network\Interfaces;

use Api\Network\Request\DeleteRequest;
use Api\Network\Request\UpdateRequest;
use Api\Network\Response\NetworkInfoResponse;

/**
 * Interface NetworkServiceInterface
 */
interface NetworkServiceInterface {

    public function getItems(): NetworkInfoResponse;

    public function update(UpdateRequest $request): void;

    public function delete(DeleteRequest $request): void;

    public function getMasterSerial(): string;
}
