<?php

namespace Api\Network\Repository;

use Api\Network\Interfaces\NetworkFailOverRepositoryInterface;
use Wildix\Failovers\Failovers;
use Wildix\PBXes\PBX;
use Wildix\PBXes\PBXes;

/**
 * Class NetworkFailOverRepository
 */
class NetworkFailOverRepository implements NetworkFailOverRepositoryInterface {

    private $_failOver;
    private $_pbx;

    public function __construct(Failovers $failOver, PBXes $pbx) {
        $this->_failOver = $failOver;
        $this->_pbx      = $pbx;
    }

    public function getFailOverDn(string $ownerDn): string {
        return $this->getFailOver()->getFailoverByDn($ownerDn)['pbxFailover'] ?? '';
    }

    public function getFailOverPbx(string $dn): ?PBX {
        return $this->getPbx()->getPBXByDN($dn);
    }

    private function getFailOver(): Failovers {
        return $this->_failOver;
    }

    private function getPbx(): PBXes {
        return $this->_pbx;
    }
}
