<?php

namespace Api\Network\Request;

use Api\Support\DTOValidate\DTOValidate;

/**
 * Class DeleteRequest
 */
class DeleteRequest extends DTOValidate {

    /**
     * Serial
     *
     * @var string
     */
    public $serial;

    /**
     * PBX serial where data will migrate
     *
     * @var string
     */
    public $migrateToSerial;

    public function rules(): array {
        return [
            'serial' => [
                'ExistsLdapPbxBySerial',
                'string',
                'required',
            ],
            'migrateToSerial' => [
                'ExistsLdapPbxBySerial',
                ['different', 'serial'],
                'string',
                'required',
            ],
        ];
    }

    public function getSerial(): string {
        return $this->serial;
    }

    public function getMigrateToSerial(): string {
        return $this->migrateToSerial;
    }
}
