<?php

namespace Api\Network\Request;

use Api\Network\Objects\NetworkParticipant;
use Api\Support\DTOValidate\DTOValidate;

/**
 * Class UpdateRequest
 */
class UpdateRequest extends DTOValidate {

    public $serial;

    /**
     * Data
     *
     * @var \Api\Network\Objects\NetworkParticipant
     */
    public $data;

    public function rules(): array {
        return [
            'serial' => [
                'ExistsLdapPbxBySerial',
                'string',
                'required',
            ],
            'data' => self::DTO_RULE,
        ];
    }

    public function getSerial() {
        return $this->serial;
    }

    public function getData(): NetworkParticipant {
        return $this->data;
    }
}
