<?php
declare(strict_types=1);

namespace Api\Network\Response;

use Api\Network\Objects\NetworkParticipants;
use Api\Support\Interfaces\ArrayableInterface;

/**
 * Class NetworkInfoResponse
 */
class NetworkInfoResponse implements ArrayableInterface {

    private $_error = '';
    private $_networkParticipants;

    public function getError(): string {
        return $this->_error;
    }

    public function setError(string $error): NetworkInfoResponse {
        $this->_error = $error;
        return $this;
    }

    public function getNetworkParticipants(): NetworkParticipants {
        return $this->_networkParticipants;
    }

    public function setNetworkParticipants(NetworkParticipants $networkParticipants): NetworkInfoResponse {
        $this->_networkParticipants = $networkParticipants;
        return $this;
    }

    public function hasError(): bool {
        return !empty($this->getError());
    }

    public function toArray(): array {
        return ['records' => $this->getNetworkParticipants()->toArray()];
    }
}
