<?php

declare(strict_types=1);

namespace Api\Support\Facades;

use Api\Database\DatabaseManager;

/**
 * Class DB
 *
 * @method query() @see DatabaseManager->query()
 * @method table($name) @see DatabaseManager->table()
 * @method connection($name) @see DatabaseManager->connection()
 */
class DB extends Facade {

    /**
     * Get the registered name of the component.
     *
     * @see \Api\Database\DatabaseManager
     *
     * @return string
     */
    protected static function getFacadeAccessor(): string {
        return DatabaseManager::class;
    }
}
