<?php
declare(strict_types=1);

namespace Api\Translation\Interfaces;

use Api\Translation\Enums\LanguagesEnum;
use Api\Translation\Factory\TranslationFactory;
use User;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            TranslationStrategyInterface::class,
            function () {
                $lang = User::getInstance()->isLogged() ? User::getInstance()->getLdapProperty('language') : LanguagesEnum::DEFAULT_LANG;
                return TranslationFactory::make($lang);
            }
        );
    }
}
