<?php

namespace Api\Trunks\Interfaces;

use Api\Translation\Interfaces\TranslationStrategyInterface;
use Api\Trunks\Configs\TrunkConfigDnsFile;
use Api\Trunks\Configs\TrunkConfigExtraFile;
use Api\Trunks\Configs\TrunkConfigRegistrationFile;
use Api\Trunks\Repository\TrunkRepository;
use Api\Trunks\Service\TrunkConfigCwService;
use Wildix\Databases\WMSDB;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            TrunkConfigCwServiceInterface::class,
            function () use ($container) {
                return new TrunkConfigCwService();
            }
        );
        $container->singleton(
            TrunkRepositoryInterface::class,
            function () use ($container) {
                return new TrunkRepository($container->get(TranslationStrategyInterface::class), WMSDB::getInstance());
            }
        );

        $container->singleton(
            TrunkConfigCwServiceInterface::class,
            function () use ($container) {
                 $configExtraFile          = new TrunkConfigExtraFile(PATH_TO_CW_CONF . 'sip-extra.conf');
                 $configRegistrationFile   = new TrunkConfigRegistrationFile(PATH_TO_CW_CONF . 'sip-registration.conf');
                 $configTrunkConfigDnsFile = new TrunkConfigDnsFile(PATH_TO_DNS_CONF . 'trunks_dns.conf');
                return new TrunkConfigCwService($configExtraFile, $configRegistrationFile, $configTrunkConfigDnsFile);
            }
        );
    }
}
