<?php

declare(strict_types=1);

namespace Api\Trunks\PriceList\Enum;

use Api\Support\AbstractEnum;

/**
 * Class PriceListColumnsEnum
 */
class PriceListColumnsEnum extends AbstractEnum {

    public const DIALPREFIX     = 'dialprefix';
    public const DESTINATION    = 'destination';
    public const RATE           = 'rate';
    public const MIN_DURATION   = 'min_duration';
    public const BILLING_BLOCK  = 'billing_block';
    public const CONNECT_CHARGE = 'connect_charge';
    public const START_DAY      = 'start_day';
    public const STOP_DAY       = 'stop_day';
    public const START_TIME     = 'start_time';
    public const STOP_TIME      = 'stop_time';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        'dialprefix' => self::DIALPREFIX,
        'destination' => self::DESTINATION,
        'rate' => self::RATE,
        'min_duration' => self::MIN_DURATION,
        'billing_block' => self::BILLING_BLOCK,
        'connect_charge' => self::CONNECT_CHARGE,
        'start_day' => self::START_DAY,
        'stop_day' => self::STOP_DAY,
        'start_time' => self::START_TIME,
        'stop_time' => self::STOP_TIME
    ];
}
