<?php

namespace Api\Trunks\PriceList\Interfaces;

use Api\Trunks\PriceList\Objects\Price;
use Api\Trunks\PriceList\Objects\Prices;

/**
 * Interface PriceListCardRepositoryInterface
 */
interface PriceListCardRepositoryInterface {

    public function create(string $name): int;

    public function update(int $id, array $params): bool;

    public function getAll(): Prices;

    public function delete(int $id): bool;

    public function findOrFail(int $id): Price;

    public function getDbPatch(): string;

    public function getAllWithout(int $id): Prices;
}
