<?php

namespace Api\Trunks\PriceList\Objects;

use Api\Support\Interfaces\ArrayableInterface;
use Wildix\Core\BaseModel;

/**
 * Class Price
 */
class Price extends BaseModel implements ArrayableInterface {

    protected $_primary = 'ratecard_id';

    /**
     *  Items Rate
     *
     * @var \Api\Trunks\PriceList\Objects\Rates
     */
    public $items;

    public function toArray(): array {
        return [
            'id' => $this->getId(),
            'name' => $this->getName(),
            'items' => $this->getItems()->toArray()
        ];
    }

    public function getName(): string {
        return $this->_data['ratecard_name'];
    }

    public function getItems(): Rates {
        if (!$this->items) {
            $this->items = new Rates();
        }
        return $this->items;
    }

    public function setItems(Rates $items): Price {
        $this->items = $items;
        return $this;
    }
}
