<?php

namespace Api\Trunks\PriceList\Objects;

use Api\Support\Interfaces\ArrayableInterface;
use Api\Trunks\PriceList\Enum\PriceListColumnsEnum;
use Wildix\Core\BaseModel;

/**
 * Class Rate
 */
class Rate extends BaseModel implements ArrayableInterface {

    public function getDialPrefix(): string {
        return $this->getProperty(PriceListColumnsEnum::DIALPREFIX);
    }

    public function getDestination(): string {
        return $this->getProperty(PriceListColumnsEnum::DESTINATION);
    }

    public function getRate(): float {
        return $this->getProperty(PriceListColumnsEnum::RATE);
    }

    public function getMinDuration(): int {
        return $this->getProperty(PriceListColumnsEnum::MIN_DURATION);
    }

    public function getBillingBlock(): int {
        return $this->getProperty(PriceListColumnsEnum::BILLING_BLOCK);
    }

    public function getConnectCharge(): float {
        return $this->getProperty(PriceListColumnsEnum::CONNECT_CHARGE);
    }

    public function getStartDay(): int {
        return $this->getProperty(PriceListColumnsEnum::START_DAY);
    }

    public function getStopDay(): int {
        return $this->getProperty(PriceListColumnsEnum::STOP_DAY);
    }

    public function getStartTime(): int {
        return $this->getProperty(PriceListColumnsEnum::START_TIME);
    }

    public function getStopTime(): int {
        return $this->getProperty(PriceListColumnsEnum::STOP_TIME);
    }

    public function toArray(): array {
        return [
            'dialPrefix' => $this->getDialPrefix(),
            'destination' => $this->getDestination(),
            'rate' => $this->getRate(),
            'minDuration' => $this->getMinDuration(),
            'billingBlock' => $this->getBillingBlock(),
            'connectCharge' => $this->getConnectCharge(),
            'startDay' => $this->getStartDay(),
            'stopDay' => $this->getStopDay(),
            'startTime' => $this->getStartTime(),
            'stopTime' => $this->getStopTime()
        ];
    }
}
