<?php

namespace Api\Trunks\PriceList\Repository;

use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    private static $_instancePriceListCardRepository;

    public static function configure(Container $container): void {
        $container->singleton(
            PriceListCardRepository::class,
            function () use ($container) {
                if (!isset(self::$_instancePriceListCardRepository)) {
                    self::$_instancePriceListCardRepository = new PriceListCardRepository();
                }
                return self::$_instancePriceListCardRepository;
            }
        );

        $container->singleton(
            PriceListRepository::class,
            function () {
                return new PriceListRepository();
            }
        );
    }
}
