<?php

namespace Api\Trunks\PriceList\Services;

use Api\Trunks\PriceList\Interfaces\PriceListCardRepositoryInterface;
use Api\Trunks\PriceList\Interfaces\PriceListRepositoryInterface;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            PriceListService::class,
            function () use ($container) {
                $repository     = $container->get(PriceListCardRepositoryInterface::class);
                $repositoryRate = $container->get(PriceListRepositoryInterface::class);
                return new PriceListService($repository, $repositoryRate);
            }
        );
    }
}
