<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Enum;

use Api\Support\AbstractEnum;

/**
 * Class SettingsMgwFieldsEnum
 */
class SettingsMgwFieldsEnum extends AbstractEnum {

    const CLOCK_REFERENCE_PORT      = 'clockReferencePort';
    const POUND_SUPPORT             = 'poundSupport';
    const PRESERVE_ORIG_CID         = 'preserveOrigCid';
    const DIALTONE                  = 'dialTone';
    const COUNTRY_CODE              = 'countryCode';
    const LANGUAGE                  = 'language';
    const BUSY_RESPONSE             = 'busyResponse';
    const SMS_DELIVERY_TRIES        = 'smsDeliveryTries';
    const DTMF_DEBOUNCE             = 'dtmfDebounce';
    const PRICELIST                 = 'priceList';
    const BEARERCAP_G711            = 'bearerCapG711';
    const BEARERCAP_G729            = 'bearerCapG729';
    const VOIP_INPUT_GAIN           = 'voipInputGain';
    const VOIP_OUTPUT_GAIN          = 'voipOutputGain';
    const SILENCE_DETECTION_ENABLED = 'silenceDetectionEnabled';
    const SILENCE_DETECTION         = 'silenceDetection';
    const LINE_TYPE                 = 'lineType';
    const IMPEDANCE                 = 'impedance';
    const DC_IMPEDANCE              = 'dcImpedance';
    const TONEZONE                  = 'toneZone';
    const FSK_CID_FIELD             = 'fskCidField';
    const CURRENT_DISCONNECT_THRESHOLD = 'currentDisconnectThreshold';
    const BUSY_TONE_DETECTED           = 'busyToneDetected';
    const POLARITY_NORMAL_DETECTED     = 'polarityNormalDetected';
    const CURRENT_DETECTED             = 'currentDetected';
    const PORTS = 'ports';

    protected static $_enums = [
        'bearercap_g711' => self::BEARERCAP_G711,
        'bearercap_g729' => self::BEARERCAP_G729,
        'busy_response' => self::BUSY_RESPONSE,
        'busy_tone_detected' => self::BUSY_TONE_DETECTED,
        'clock_reference_port' => self::CLOCK_REFERENCE_PORT,
        'country_code' => self::COUNTRY_CODE,
        'current_detected' => self::CURRENT_DETECTED,
        'current_disconnect_threshold' => self::CURRENT_DISCONNECT_THRESHOLD,
        'dc_impedance' => self::DC_IMPEDANCE,
        'dialtone' => self::DIALTONE,
        'dtmf_debounce' => self::DTMF_DEBOUNCE,
        'fsk_cid_field' => self::FSK_CID_FIELD,
        'impedance' => self::IMPEDANCE,
        'language' => self::LANGUAGE,
        'line_type' => self::LINE_TYPE,
        'polarity_normal_detected' => self::POLARITY_NORMAL_DETECTED,
        'ports' => self::PORTS,
        'pound_support' => self::POUND_SUPPORT,
        'preserve_orig_cid' => self::PRESERVE_ORIG_CID,
        'pricelist' => self::PRICELIST,
        'silence_detection' => self::SILENCE_DETECTION,
        'silence_detection_enabled' => self::SILENCE_DETECTION_ENABLED,
        'sms_delivery_tries' => self::SMS_DELIVERY_TRIES,
        'tonezone' => self::TONEZONE,
        'voip_input_gain' => self::VOIP_INPUT_GAIN,
        'voip_output_gain' => self::VOIP_OUTPUT_GAIN,
    ];

    public static $notForBRIPRI = [
        'busy_response',
        'busy_tone_detected',
        'current_detected',
        'current_disconnect_threshold',
        'dc_impedance',
        'dtmf_debounce',
        'fsk_cid_field',
        'impedance',
        'pricelist',
        'language',
        'polarity_normal_detected',
        'silence_detection',
        'silence_detection_enabled',
        'sms_delivery_tries',
        'voip_input_gain',
        'voip_output_gain',
    ];

    public static $notForBRI = ['line_type', 'port_pinout', 'port_line_framing'];

    public static $notForGSM = [
        'pound_support',
        'preserve_orig_cid',
        'pricelist',
        'silence_detection',
        'silence_detection_enabled',
        'fsk_cid_field',
        'impedance',
        'language',
        'line_type',
        'polarity_normal_detected',
        'current_detected',
        'current_disconnect_threshold',
        'dc_impedance',
        'busy_tone_detected',
        'clock_reference_port',
        'bearercap_g711',
        'bearercap_g729',
    ];
}
