<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Enum;

use Api\Support\AbstractEnum;

/**
 * Class SettingsPbxFieldsEnum
 */
class SettingsPbxFieldsEnum extends AbstractEnum {

    const USERNAME  = 'username';
    const HOST      = 'host';
    const PORT      = 'port';
    const CONTEXT   = 'context';
    const TYPE      = 'type';
    const SECRET    = 'secret';
    const FROM_USER = 'fromUser';
    const INSECURE  = 'insecure';
    const DTMF_MODE = 'dtmfMode';

    protected static $_enums = [
        'username' => self::USERNAME,
        'host' => self::HOST,
        'port' => self::PORT,
        'context' => self::CONTEXT,
        'type' => self::TYPE,
        'secret' => self::SECRET,
        'fromuser' => self::FROM_USER,
        'insecure' => self::INSECURE,
        'dtmfmode' => self::DTMF_MODE,
    ];

    public static $notForBRIPRI = [
        'secret','fromuser','dtmfmode','context','port',
    ];

    public static $notForGSM = [
        'context',
        'dtmfmode',
        'fromuser',
        'port',
        'secret',
    ];
}
