<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Enum;

use Api\Support\AbstractEnum;

/**
 * Class TrunkPortsCastEnum
 */
class TrunkCastPortParamsEnum extends AbstractEnum {

    const ANSWER_TIME                 = 'answerTime';
    const ANSWER_TYPE                 = 'answerType';
    const BEARER_CAP_G711             = 'bearerCapG711';
    const BEARER_CAP_G729             = 'bearerCapG729';
    const CALLING_NAME_DELIVERY       = 'callingNameDelivery';
    const CALLING_NAME_MAX_LENGTH     = 'callingNameMaxLength';
    const CALLING_NPI                 = 'callingNpi';
    const CALLING_TON                 = 'callingTon';
    const CED_TONE_DETECTION          = 'cedToneDetection';
    const CHANNEL_ALLOCATION_STRATEGY = 'channelAllocationStrategy';
    const CID_TYPE                    = 'cidType';
    const CLOCK                = 'clock';
    const CLOCK_REFERENCE_PORT = 'clockReferencePort';
    const CNG_TONE_DETECTION   = 'cngToneDetection';
    const CODEC_INPUT_GAIN     = 'codecInputGain';
    const CODEC_OUTPUT_GAIN    = 'codecOutputGain';
    const CONNECTED_LINE_IDENTIFICATION_PRESENTATION = 'connectedLineIdentificationPresentation';
    const CONNECTED_LINE_IDENTIFICATION_RESTRICTION  = 'connectedLineIdentificationRestriction';
    const CONNECTED_NAME_IDENTIFICATION_PRESENTATION = 'connectedNameIdentificationPresentation';
    const CONNECTION_TYPE = 'connectionType';
    const CONTEXT         = 'context';
    const CORRECT_INCOMING_CALLING_NUMBERS = 'correctIncomingCallingNumbers';
    const DESTINATION_CODE                 = 'destinationCode';
    const DETECTION_THRESHOLD              = 'detectionThreshold';
    const ENABLED                  = 'enabled';
    const ENDPOINT_TYPE            = 'endpointType';
    const FACILITY_SERVICES        = 'facilityServices';
    const FALLBACK_ENCODING_SCHEME = 'fallbackEncodingScheme';
    const FAX_SPEED                = 'faxSpeed';
    const FAX_TYPE                 = 'faxType';
    const FLASH_TIME               = 'flashTime';
    const HOTLINE_NUMBER           = 'hotlineNumber';
    const INBAND_DTMF_DIALING      = 'inbandDtmfDialing';
    const INITATCMD                = 'initatcmd';
    const LINE_CODING              = 'lineCoding';
    const LINE_FRAMING             = 'lineFraming';
    const LINK_ESTABLISHMENT       = 'linkEstablishment';
    const MAXIMUM_FACILITY_WAITING_DELAY = 'maximumFacilityWaitingDelay';
    const NETWORK_TYPE                   = 'networkType';
    const NUMBER        = 'number';
    const OVERLAP       = 'overlap';
    const PIN_OUT       = 'pinout';
    const PORT          = 'port';
    const POUND_SUPPORT = 'poundSupport';
    const PREFERRED_ENCODING_SCHEME = 'preferredEncodingScheme';
    const PREVERSAL_DETECTION       = 'preversalDetection';
    const PRICE_LIST                = 'pricelist';
    const PROGRESS_INDICATOR_IN_ALERTING                = 'progressIndicatorInAlerting';
    const PROGRESS_INDICATOR_IN_CALL_PROGRESS_FOR_SETUP = 'progressIndicatorInCallProgressForSetup';
    const PROGRESS_INDICATOR_IN_CONNECT                 = 'progressIndicatorInConnect';
    const PROGRESS_INDICATOR_IN_PROGRESS                = 'progressIndicatorInProgress';
    const PROGRESS_INDICATOR_IN_SETUP                   = 'progressIndicatorInSetup';
    const PROGRESS_INDICATOR_IN_SETUP_ACK               = 'progressIndicatorInSetupAck';
    const PSTN_RING_COUNT            = 'pstnRingCount';
    const SENDING_COMPLETE           = 'sendingComplete';
    const SEND_RESTART_ON_STARTUP    = 'sendRestartOnStartup';
    const SIGNAL_INFORMATION_ELEMENT = 'signalInformationElement';
    const SIGNAL_PROTOCOL            = 'signalProtocol';
    const SIM_PIN                    = 'simPin';
    const SMSC               = 'smsc';
    const SMS_DELIVERY_TRIES = 'smsDeliveryTries';
    const SMS_READ           = 'smsRead';
    const SMS_READ_ENABLED   = 'smsReadEnable';
    const USE_IMPLICIT_IN_BAND_INFO = 'useImplicitInbandInfo';
    const VOIP_INPUT_GAIN           = 'voipInputGain';
    const VOIP_OUTPUT_GAIN          = 'voipOutputGain';

    protected static $_enums = [
        'initatcmd'                               => self::INITATCMD,
        'simPin'                                  => self::SIM_PIN,
        'answerTime'                              => self::ANSWER_TIME,
        'number'                                  => self::NUMBER,
        'answerType'                              => self::ANSWER_TYPE,
        'callingNameDelivery'                     => self::CALLING_NAME_DELIVERY,
        'callingNpi'                              => self::CALLING_NPI,
        'callingTon'                              => self::CALLING_TON,
        'preferredEncodingScheme'                 => self::PREFERRED_ENCODING_SCHEME,
        'fallbackEncodingScheme'                  => self::FALLBACK_ENCODING_SCHEME,
        'connectedLineIdentificationPresentation' => self::CONNECTED_LINE_IDENTIFICATION_PRESENTATION,
        'connectedLineIdentificationRestriction'  => self::CONNECTED_LINE_IDENTIFICATION_RESTRICTION,
        'connectedNameIdentificationPresentation' => self::CONNECTED_NAME_IDENTIFICATION_PRESENTATION,
        'port'                                    => self::PORT,
        'codecInputGain'                          => self::CODEC_INPUT_GAIN,
        'codecOutputGain'                         => self::CODEC_OUTPUT_GAIN,
        'pricelist'                               => self::PRICE_LIST,
        'destinationCode'                         => self::DESTINATION_CODE,
        'endpointType'                            => self::ENDPOINT_TYPE,
        'context'                                 => self::CONTEXT,
        'clock'                                   => self::CLOCK,
        'pinout'                                  => self::PIN_OUT,
        'lineFraming'                             => self::LINE_FRAMING,
        'lineCoding'                              => self::LINE_CODING,
        'networkType'                             => self::NETWORK_TYPE,
        'connectionType'                          => self::CONNECTION_TYPE,
        'linkEstablishment'                       => self::LINK_ESTABLISHMENT,
        'signalProtocol'                          => self::SIGNAL_PROTOCOL,
        'facilityServices'                        => self::FACILITY_SERVICES,
        'overlap'                                 => self::OVERLAP,
        'inbandDtmfDialing'                       => self::INBAND_DTMF_DIALING,
        'sendRestartOnStartup'                    => self::SEND_RESTART_ON_STARTUP,
        'callingNameMaxLength'                    => self::CALLING_NAME_MAX_LENGTH,
        'channelAllocationStrategy'               => self::CHANNEL_ALLOCATION_STRATEGY,
        'sendingComplete'                         => self::SENDING_COMPLETE,
        'progressIndicatorInSetup'                => self::PROGRESS_INDICATOR_IN_SETUP,
        'progressIndicatorInSetupAck'             => self::PROGRESS_INDICATOR_IN_SETUP_ACK,
        'progressIndicatorInCallProgressForSetup' => self::PROGRESS_INDICATOR_IN_CALL_PROGRESS_FOR_SETUP,
        'progressIndicatorInProgress'             => self::PROGRESS_INDICATOR_IN_PROGRESS,
        'progressIndicatorInAlerting'             => self::PROGRESS_INDICATOR_IN_ALERTING,
        'progressIndicatorInConnect'              => self::PROGRESS_INDICATOR_IN_CONNECT,
        'maximumFacilityWaitingDelay'             => self::MAXIMUM_FACILITY_WAITING_DELAY,
        'useImplicitInbandInfo'                   => self::USE_IMPLICIT_IN_BAND_INFO,
        'correctIncomingCallingNumbers'           => self::CORRECT_INCOMING_CALLING_NUMBERS,
        'signalInformationElement'                => self::SIGNAL_INFORMATION_ELEMENT,
        'cngToneDetection'                        => self::CNG_TONE_DETECTION,
        'cedToneDetection'                        => self::CED_TONE_DETECTION,
        'detectionThreshold'                      => self::DETECTION_THRESHOLD,
        'smsRead'                                 => self::SMS_READ,
        'smsReadEnable'                           => self::SMS_READ_ENABLED,
        'smsc'                                    => self::SMSC,
        'smsDeliveryTries'                        => self::SMS_DELIVERY_TRIES,
        'voipInputGain'                           => self::VOIP_INPUT_GAIN,
        'voipOutputGain'                          => self::VOIP_OUTPUT_GAIN,
        'bearerCapG729'                           => self::BEARER_CAP_G729,
        'bearerCapG711'                           => self::BEARER_CAP_G711,
        'poundSupport'                            => self::POUND_SUPPORT,
        'clockReferencePort'                      => self::CLOCK_REFERENCE_PORT,

        "cidType"            => self::CID_TYPE,
        "enabled"            => self::ENABLED,
        "faxType"            => self::FAX_TYPE,
        "flashTime"          => self::FLASH_TIME,
        "preversalDetection" => self::PREVERSAL_DETECTION,
        "pstnRingCount"      => self::PSTN_RING_COUNT,


        "hotlineNumber" => self::HOTLINE_NUMBER,
    ];

    public static function boolType(): array {
        return [
            self::CED_TONE_DETECTION,
            self::CNG_TONE_DETECTION,
            self::CORRECT_INCOMING_CALLING_NUMBERS,
            self::FACILITY_SERVICES,
            self::INBAND_DTMF_DIALING,
            self::OVERLAP,
            self::PSTN_RING_COUNT,
            self::PROGRESS_INDICATOR_IN_ALERTING,
            self::PROGRESS_INDICATOR_IN_CALL_PROGRESS_FOR_SETUP,
            self::PROGRESS_INDICATOR_IN_CONNECT,
            self::PROGRESS_INDICATOR_IN_PROGRESS,
            self::PROGRESS_INDICATOR_IN_SETUP,
            self::PROGRESS_INDICATOR_IN_SETUP_ACK,
            self::SENDING_COMPLETE,
            self::SEND_RESTART_ON_STARTUP,
            self::SIGNAL_INFORMATION_ELEMENT,
            self::USE_IMPLICIT_IN_BAND_INFO,
            self::SMS_READ_ENABLED,
            self::PREVERSAL_DETECTION,
        ];
    }

    public static function integerType(): array {
        return [
            self::ANSWER_TIME,
            self::FAX_SPEED,
            self::CID_TYPE,
            self::ENABLED,
            self::FAX_TYPE,
            self::FLASH_TIME,
            self::PSTN_RING_COUNT,
            self::PRICE_LIST,
            self::NETWORK_TYPE,
            self::LINE_CODING,
            self::ENDPOINT_TYPE,
            self::CLOCK,
            self::PIN_OUT,
            self::CONNECTION_TYPE,
            self::LINK_ESTABLISHMENT,
            self::SIGNAL_PROTOCOL,
            self::CALLING_NAME_MAX_LENGTH,
            self::CHANNEL_ALLOCATION_STRATEGY,
            self::MAXIMUM_FACILITY_WAITING_DELAY,
            self::DETECTION_THRESHOLD,
            self::ANSWER_TYPE,
            self::CODEC_INPUT_GAIN,
            self::CODEC_OUTPUT_GAIN,
            self::SMS_READ,
            self::SMS_DELIVERY_TRIES,
            self::VOIP_INPUT_GAIN,
            self::VOIP_OUTPUT_GAIN,
            self::BEARER_CAP_G729,
            self::BEARER_CAP_G711,
            self::POUND_SUPPORT,
            self::CLOCK_REFERENCE_PORT,
        ];
    }

    public static function stringType(): array {
        return [
            self::NUMBER,
            self::DESTINATION_CODE,
        ];
    }
}
