<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Interfaces;

use Api\Translation\Interfaces\TrunkInterface;
use Api\Trunks\Pstn\Objects\Trunk;
use Api\Trunks\Pstn\Objects\Trunks;

/**
 * Interface PstnRepositoryInterface
 */
interface PstnRepositoryInterface {

    public function createPstn(Trunk $trunk): int;

    public function findOrFailPstn(int $id): Trunk;

    public function getPstnItems(): Trunks;

    public function removePstn(int $id): bool;

    public function updatePstn(int $id, TrunkInterface $trunk): bool;

    public function findLinkInDialplan(string $id):array;
}
