<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Objects;

use Api\Support\BaseCollectObject;

/**
 * Class SettingsMgwPorts
 */
class SettingsMgwPorts extends BaseCollectObject {

    public function setStatus(array $status, int $port) {
        $this->_items[$port]['status'] = $status;
    }

    private function changeKey(&$array, $oldKey, $newKey) {
        if (! array_key_exists($oldKey, $array)) {
            return $array;
        }
        $keys = array_keys($array);
        $keys[array_search($oldKey, $keys)] = $newKey;
        return array_combine($keys, $array);
    }

    public function toArray(): array {
        foreach ($this->_items as $index => $item) {
            foreach ($item as $key => $value) {
                if ($key == 'port_pricelist') {
                    $newKey = 'priceList';
                } else {
                    $newKey = lcfirst(
                        str_replace(' ', '', ucwords(str_replace('_', ' ', str_replace('port_', '', $key))))
                    );
                }
                $this->_items[$index] = $this->changeKey($this->_items[$index], $key, $newKey);
            }
        }
        return $this->_items;
    }

    public function prepareForDb(): array {
        $data = [];
        foreach ($this->_items as $index => $item) {
            foreach ($item as $key => $value) {
                if ($key !== 'port') {
                    if ($key == 'priceList') {
                        $newKey = 'port_pricelist';
                    } else if ($key == 'pinOut') {
                        $newKey = 'port_pinout';
                    } else {
                        $newKey = 'port_' . strtolower(preg_replace('/(?<!^)[A-Z]/', '_$0', $key));
                    }
                    if ($newKey == 'port_status') {
                        continue;
                    }
                    if (array_key_exists($newKey, $data)) {
                        array_push($data[$newKey], $value);
                    } else {
                        $data[$newKey] = [$value];
                    }
                    $data[$newKey] = array_values($data[$newKey]);
                }
            }
        }
        return $data;
    }
}
