<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Objects;

use Api\Trunks\Sip\Interfaces\TrunkStatusInterface;

/**
 * Class TrunkFxoStatus
 */
class TrunkFxoStatus implements TrunkStatusInterface {

    private $_status = false;
    private $_title  = 'Unregistered';

    public function toArray(): array {
        return [
            'active' => $this->isStatus(),
            'title' => $this->getTitle()
        ];
    }

    public function toJson($options = 0) {
        json_encode($this->toArray(), $options);
    }

    /**
     * Get _status
     *
     * @return boolean
     */
    public function isStatus(): bool {
        return $this->_status;
    }

    /**
     * Set status
     *
     * @param boolean $status Status.
     *
     * @return TrunkFxoStatus
     */
    public function setStatus(bool $status): TrunkFxoStatus {
        $this->_status = $status;

        return $this;
    }

    /**
     * Get _title
     *
     * @return string
     */
    public function getTitle(): string {
        return $this->_title;
    }

    /**
     * Set Title
     *
     * @param string $title Title.
     *
     * @return void
     */
    public function setTitle(string $title): void {
        $this->_title = $title;
    }
}
