<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Objects;

use Api\Trunks\Sip\Interfaces\TrunkStatusInterface;

/**
 * Class TrunkIsdnStatus
 */
class TrunkIsdnStatus implements TrunkStatusInterface {

    private $_incoming = [
        'active' => false,
        'title' => 'Unregistered'
    ];

    public function toArray(): array {
        return $this->getIncoming();
    }

    public function toJson($options = 0) {
        json_encode($this->toArray(), $options);
    }

    public function getIncoming(): array {
        return $this->_incoming;
    }

    public function setIncoming(array $incoming): TrunkIsdnStatus {
        $this->_incoming = $incoming;

        return $this;
    }
}
