<?php

declare(strict_types=1);

namespace Api\Trunks\Pstn\Transformer;

use Api\Trunks\Pstn\Enum\TrunkCastPortParamsEnum;

/**
 * Class TrunkPortTransformer
 */
class TrunkPortTransformer {

    public static function castPortParams(string $key, $value) {
        if ($key == 'port_pinout') {
            $newKey = 'pinOut';
        } else {
            $newKey = lcfirst(str_replace(' ', '', ucwords(str_replace('_', ' ', str_replace('port_', '', $key)))));
        }
        if (in_array($newKey, TrunkCastPortParamsEnum::boolType())) {
            return (boolean)$value;
        } else if (in_array($newKey, TrunkCastPortParamsEnum::integerType())) {
            return (int)$value;
        } else if (in_array($newKey, TrunkCastPortParamsEnum::stringType())) {
            return $value ? (string)$value : '';
        } else {
            return (string)$value;
        }
    }

    public static function castPortParamsForDb(string $key, $value): string {
        if ($key == 'port_pin_out') {
            $newKey = 'port_pinout';
        } else {
            $newKey = lcfirst(str_replace(' ', '', ucwords(str_replace('_', ' ', str_replace('port_', '', $key)))));
        }
        if (in_array($newKey, TrunkCastPortParamsEnum::boolType())) {
            return (string)(int)$value;
        } else if (in_array($newKey, TrunkCastPortParamsEnum::integerType())) {
            return (string)$value;
        } else {
            return (string)$value;
        }
    }
}
