<?php

namespace Api\Trunks\Service;

use Api\Device\Interfaces\DeviceRepositoryInterface;
use Api\Trunks\Interfaces\TrunkConfigCwServiceInterface;
use Api\Trunks\Interfaces\TrunkRepositoryInterface;
use Api\Trunks\PriceList\Interfaces\PriceListCardRepositoryInterface;
use Api\Trunks\Pstn\Interfaces\PeerServiceInterface;
use Logger\Log;
use PBX;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\SipProxy;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            TrunkService::class,
            function () use ($container) {
                return new TrunkService(
                    $container->get(TrunkRepositoryInterface::class),
                    $container->get(DeviceRepositoryInterface::class),
                    $container->get(PeerServiceInterface::class),
                    $container->get(TrunkConfigCwServiceInterface::class),
                    $container->get(PriceListCardRepositoryInterface::class),
                    $container->get(SipProxy::class),
                    $container->get(Log::class),
                    PBX::getInstance()
                );
            }
        );
    }
}
