<?php

declare(strict_types=1);

namespace Api\Trunks\Sip\Enum;

use Api\Support\AbstractEnum;

/**
 * Class SettingsPbxEnum
 */
class SettingsPbxEnum extends AbstractEnum {

    public const ALLOWTRANSFER      = 'allowTransfer';
    public const CIDBODY            = 'cidBody';
    public const CIDHEADER          = 'cidHeader';
    public const CONTEXT            = 'context';
    public const COUNTRY            = 'countryCode';
    public const VIDEO_CODECS       = 'videoCodecs';
    public const DIVERSION_HEADER   = 'diversionHeader';
    public const DTMFMODE           = 'dtmfMode';
    public const FORCE_SRTP         = 'forceSrtp';
    public const FROMDOMAIN         = 'fromDomain';
    public const FROMNAME           = 'fromName';
    public const FROMNUMBER         = 'fromNumber';
    public const FROMUSER           = 'fromUser';
    public const HISTORYINFO_HEADER = 'historyInfoHeader';
    public const HOST               = 'host';
    public const INSECURE           = 'insecure';
    public const LANGUAGE           = 'language';
    public const PEERNAME           = 'peername';
    public const PORT               = 'port';
    public const PRESERVE_ORIG_CID  = 'preserveOrigCid';
    public const PRICELIST          = 'priceList';
    public const PRIVACYHEADER      = 'privacyHeader';
    public const QUALIFY            = 'qualify';
    public const RFC2833PAYLOAD     = 'rfcPayload';
    public const RPORT              = 'rport';
    public const SECRET             = 'secret';
    public const SESSION_EXPIRE     = 'sessionExpires';
    public const SESSION_MINSE      = 'sessionMinse';
    public const SESSION_TIMER      = 'sessionTimer';
    public const SSRCCHANGE         = 'ssrcChange';
    public const SYMMETRIC_RTP      = 'symmetricRtp';
    public const T38PT_UDPTL        = 'thirtyEightPtUdptl';
    public const TONEZONE           = 'toneZone';
    public const TRANSPORT_WILDIX   = 'transportWildix';
    public const TRUSTRPID          = 'trustRpid';
    public const TYPE               = 'type';
    public const USERNAME           = 'userName';
    public const PLAY_REMOTE_MOH    = 'playRemoteMoh';
    public const CONTACT_NUMBER     = 'contactNumber';

    protected static $_enums = [
        'peername' => self::PEERNAME,
        'username' => self::USERNAME,
        'host' => self::HOST,
        'port' => self::PORT,
        'context' => self::CONTEXT,
        'country' => self::COUNTRY,
        'language' => self::LANGUAGE,
        'type' => self::TYPE,
        'secret' => self::SECRET,
        'fromuser' => self::FROMUSER,
        'fromdomain' => self::FROMDOMAIN,
        'insecure' => self::INSECURE,
        'dtmfmode' => self::DTMFMODE,
        'rfc2833payload' => self::RFC2833PAYLOAD,
        'transport_wildix' => self::TRANSPORT_WILDIX,
        'symmetric_rtp' => self::SYMMETRIC_RTP,
        'pricelist' => self::PRICELIST,
        'session_timer' => self::SESSION_TIMER,
        'allowtransfer' => self::ALLOWTRANSFER,
        'force_srtp' => self::FORCE_SRTP,
        't38pt_udptl' => self::T38PT_UDPTL,
        'fromnumber' => self::FROMNUMBER,
        'fromname' => self::FROMNAME,
        'cidheader' => self::CIDHEADER,
        'cidbody' => self::CIDBODY,
        'privacyheader' => self::PRIVACYHEADER,
        'diversion_header' => self::DIVERSION_HEADER,
        'historyinfo_header' => self::HISTORYINFO_HEADER,
        'preserve_orig_cid' => self::PRESERVE_ORIG_CID,
        'tonezone' => self::TONEZONE,
        'trustrpid' => self::TRUSTRPID,
        'ssrcchange' => self::SSRCCHANGE,
        'session-expire' => self::SESSION_EXPIRE,
        'session-minse' => self::SESSION_MINSE,
        'rport' => self::RPORT,
        'qualify' => self::QUALIFY,
        'video_codecs' => self::VIDEO_CODECS,
        'play_remote_moh' => self::PLAY_REMOTE_MOH,
        'contactnumber' => self::CONTACT_NUMBER,
    ];
}
