<?php

declare(strict_types=1);

namespace Api\Trunks\Sip\Factory;

use Api\Trunks\Sip\Objects\SettingsWms;

/**
 * Class SettingsWmsFactory
 */
class SettingsWmsFactory {
    /**
     * Make SettingsWms object
     *
     * @param array $settings Data for object.
     *
     * @return SettingsWms Return new SettingsWms object.
     */
    public static function make(array $settings): SettingsWms {
        $settingsWms = new SettingsWms();
        $data        = json_decode($settings['settings_wms'], true);

        $settingsWms->setRegHost((string)($data['reg_host'] ?? ''))
            ->setRegPort((string)($data['reg_port'] ?? ''))
            ->setRegUsername((string)($data['reg_username'] ?? ''))
            ->setRegSecret((string)($data['reg_secret'] ?? ''))
            ->setRegFromUser((string)($data['reg_fromuser'] ?? ''))
            ->setEnableReg($data['enable_reg'] === 'yes')
            ->setOverwriteReg($data['overwrite_reg'] == 'yes')
            ->setOutboundProxy((string)$data['outboundproxy'])
            ->setOutboundProxyPort((string)$data['outboundproxy_port'])
            ->setExpiry((string)$data['expiry'])
            ->setDnsServer((string)$data['dnsserver'])
            ->setNatIp((string)$data['natip']);

        return $settingsWms;
    }
}
