<?php

declare(strict_types=1);

namespace Api\Trunks\Sip\Factory;

use Api\Trunks\Sip\Objects\Trunk;

/**
 * Class TrunkFactory
 */
class SipTrunkFactory {

    /**
     * Make Sip object
     *
     * @param array $data Data.
     *
     * @return Trunk
     */
    public static function make(array $data): Trunk {
        $trunk = new Trunk();
        $trunk->setId($data['id'])
            ->setTitle($data['title'])
            ->setUsername($data['username'])
            ->setRegister($data['register'])
            ->setSettingsPbx(SettingsPbxFactory::make($data))
            ->setSettingsWms(SettingsWmsFactory::make($data));
        $status = SipStatusFactory::make($trunk);

        return $trunk->setSipStatus($status);
    }
}
