<?php

declare(strict_types=1);

namespace Api\Trunks\Sip\Interfaces;

use Api\Trunks\Sip\Objects\Trunk;
use Api\Trunks\Sip\Objects\Trunks;

/**
 * Interface SipRepositoryInterface
 */
interface SipRepositoryInterface {

    public function createSip(Trunk $trunk): int;

    public function findOrFailSip(int $id): Trunk;

    public function getSipItems(): Trunks;

    public function isExistSip(array $settings): array;

    public function removeSip(int $id): bool;

    public function updateSip(int $id, Trunk $settings): bool;
}
