<?php

declare(strict_types=1);

namespace Api\Trunks\Sip\Interfaces;

use Api\Trunks\Sip\Objects\Trunk;
use Api\Trunks\Sip\Objects\Trunks;

/**
 * Interface SipServiceInterface
 */
interface SipTrunkServiceInterface {

    public function create(array $settings): int;

    public function findOrFail(int $id): Trunk;

    public function getItems(): Trunks;

    public function isUseTrunk(array $dialPlanTrunk, int $id):bool;

    public function remove(int $id): bool;

    public function update(int $id, array $settings): bool;
}
