<?php

declare(strict_types=1);

namespace Api\Trunks\Sip\Objects;

/**
 * Class TrunkRegistrationStatus
 */
class TrunkRegistrationStatus {

    private $_agent        = '';
    private $_login        = '';
    private $_registration = '';
    private $_status       = false;

    public function getAgent(): string {
        return $this->_agent;
    }

    public function setAgent(string $_agent): TrunkRegistrationStatus {
        $this->_agent = $_agent;

        return $this;
    }

    public function getLogin(): string {
        return $this->_login;
    }

    public function setLogin(string $_login): TrunkRegistrationStatus {
        $this->_login = $_login;

        return $this;
    }

    public function toArray(): array {
        return [
            'active' => $this->isStatus(),
            'title'  => $this->getRegistration(),
        ];
    }

    public function isStatus(): bool {
        return $this->_status;
    }

    public function setStatus(bool $_status): TrunkRegistrationStatus {
        $this->_status = $_status;

        return $this;
    }

    public function getRegistration(): string {
        return $this->_registration;
    }

    public function setRegistration(string $_registration): TrunkRegistrationStatus {
        $this->_registration = $_registration;

        return $this;
    }
}
