<?
//https://github.com/pprnoteco/xml_encode
namespace DataEncoder;

class XML{
    static public function encode($data, $xml = null, $unnamedItem = 'item', $returnString = true){
        $unnamedItem = !!$unnamedItem ? $unnamedItem : 'value';

        if(!($xml instanceof \SimpleXMLElement)){
            if(!$xml){
                $xml = 'root';
            }
            $xml = new \SimpleXMLElement("<?xml version=\"1.0\" encoding=\"UTF-8\"?><$xml></$xml>");
        }

        if(!is_array($data)){
            $data = array($data);
        }

        foreach($data as $key => $value){

            $key = is_string($key) ? $key : $unnamedItem;
            if(!is_array($value)){
                $xml->addChild($key, $value);
                continue;
            }

            $assoc = array_keys($value) !== range(0, count($value) - 1);

            if(is_numeric($key[0])){
                // FIXME
                $key = $unnamedItem.'_'.$key;
            }

            if($assoc){
                $child = $xml->addChild($key);
                XML::encode($value,$child);
                continue;
            }else{
                $child = $xml->addChild($key);
                XML::encode($value,$child);
                continue;
            }

            foreach($value as $i=>$item){
                if(!is_array($item)){
                    $xml->addChild($key,$item);
                    continue;
                }

                $child = $xml->addChild($key);
                XML::encode($item,$child);
            }
        }

        if($returnString) return $xml->asXML();
        return $xml;
    }
}