<?php
declare(strict_types=1);

use PHPGangsta_GoogleAuthenticator as GoogleAuthenticator;

// phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            \Syslog::class . ':SSLCertificateRenewal',
            static function () {
                return new \Syslog('SSLCertificateRenewal', \Syslog::DEBUG);
            }
        );
        $container->singleton(
            \User::class,
            static function () {
                return \User::getInstance();
            }
        );
        $container->singleton(
            GoogleAuthenticator::class,
            static function () {
                return new GoogleAuthenticator();
            }
        );
    }
}

// phpcs:enable PSR1.Classes.ClassDeclaration.MissingNamespace
