<?php

namespace Logger;

/**
 * Class Context
 */
class Context {

    /**
     * Array context.
     *
     * @var null|array Context array.
     */
    private $_context = null;

    /**
     * Context constructor.
     *
     * @param array $context Array context.
     */
    public function __construct(array $context) {
        $this->_context = $context;
    }

    /**
     * Push new pair key - value to _context parameter.
     *
     * @param string $key   Key name.
     * @param string $value Value.
     *
     * @return void
     */
    public function add($key, $value) {
        $this->_context[$key] = $value;
    }

    /**
     * Return array context.
     *
     * @return array Return array context.
     */
    public function asArray() {
        return $this->_context;
    }
}
