<?php
declare(strict_types=1);

namespace Logger;

use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Log::class,
            function (Container $container) {
                $context = \Logger\LoggerFactory::buildContext();

                return new Log(
                    $container->get(\Logger\Writer\IWriter::class . ':WMS'),
                    $container->get(\Logger\Formatter\SingleLine::class),
                    $context
                );
            }
        );

        $container->singleton(
            PsrLoggerAdapter::class,
            function (Container $container) {
                return new PsrLoggerAdapter($container->get(Log::class));
            }
        );
    }
}
