<?php

namespace Logger\Formatter;

/**
 * Class MultiLine
 */
class MultiLine implements IFormatterInterface {

    /**
     * Formatting message array.
     *
     * @param array $message Message array.
     *
     * @return string
     */
    public function getMessage(array $message) {
        $result = '';

        if (!empty($message['message'])) {
            $result .= $message['message'];
        }

        if (!empty($message['context']) && is_object($message['context']) && method_exists($message['context'], 'asArray')) {
            $message['context'] = $message['context']->asArray();

            foreach ($message['context'] as $key => $value) {
                $result .= "\n";
                $result .= $key . ': ' . $value . ';';
            }
        }

        return $result;
    }
}
