<?php

namespace Logger;

use Psr\Log\LoggerInterface;

class PsrLoggerAdapter implements LoggerInterface {

    private Log $log;

    public function __construct(Log $log) {
        $this->log = $log;
    }

    public function emergency(\Stringable|string $message, array $context = []): void {
        $this->log->emergency($context['line'] ?? 0, $message);
    }

    public function alert(\Stringable|string $message, array $context = []): void {
        // alert is not implemented
        $this->log->error($context['line'] ?? 0, $message);
    }

    public function critical(\Stringable|string $message, array $context = []): void {
        // critical is not implemented
        $this->log->error($context['line'] ?? 0, $message);
    }

    public function error(\Stringable|string $message, array $context = []): void {
        $this->log->error($context['line'] ?? 0, $message);
    }

    public function warning(\Stringable|string $message, array $context = []): void {
        $this->log->warning($context['line'] ?? 0, $message);
    }

    public function notice(\Stringable|string $message, array $context = []): void {
        // notice is not implemented
        $this->log->info($context['line'] ?? 0, $message);
    }

    public function info(\Stringable|string $message, array $context = []): void {
        $this->log->info($context['line'] ?? 0, $message);
    }

    public function debug(\Stringable|string $message, array $context = []): void {
        $this->log->debug($context['line'] ?? 0, $message);
    }

    public function log($level, \Stringable|string $message, array $context = []): void {
        // log is not implemented
        // throw new BadMethodCallException('Method "log" is not implemented in wms logger.');
        $this->log->info($context['line'] ?? 0, $message);
    }
}
