<?php
declare(strict_types=1);

namespace Microsoft;

use Wildix\DependencyInjection\Container;
use Wildix\Services\Kite;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            Office365::class,
            function (Container $container) {
                $uri = env('MICROSOFT_AUTHORIZE_DOMAIN');

                return new Office365(
                    $container->get(Kite::class),
                    $uri,
                    $uri . '/common/oauth2/v2.0/authorize',
                    $uri . '/common/oauth2/v2.0/token'
                );
            }
        );
    }
}
