<?php
namespace Session;

class File{

    private $_logLevel = 0;

    /**
     * Constructor
     *
     * @param  array $settings
     */
    public function __construct(){

    }

    private $_patch = null;
    private function getPatch($sess_id){
        if($this->_patch === null){
            $this->_patch = '/tmp/session/lighty/sess_';
        }

        return $this->_patch.$sess_id;
    }


    private $_log = null;
    private function getLog(){
        if($this->_log === null){
            $this->_log = new \Syslog('Session\File', $this->_logLevel);
        }
        return $this->_log;
    }

    /********************************************************************************
     * Session Handler
    *******************************************************************************/

    public function unserialize_php($data) {
        $vars=preg_split('/([a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff^|]*)\|/',
              $data,-1,PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE);
        for($i=0; $vars[$i]; $i++) $result[$vars[$i++]]=unserialize($vars[$i]);
        return $result;
    }

    public function open($savePath, $sessionName){
        $this->_patch = $savePath.'sess_';
        $this->getLog()->info(__LINE__, 'Open session['.$sessionName.']: '.$savePath);
        return true;
    }

    public function close(){
        $this->getLog()->info(__LINE__, 'Close session');
        return true;
    }

    public function read($sess_id){
        $this->getLog()->info(__LINE__, 'Read session: '.$sess_id);
        $sesFile = $this->getPatch($sess_id);
        $data = '';

        if(file_exists($sesFile)){
            $content = file_get_contents($sesFile);
            if(!empty($content)){
                //update time
                $sess = json_decode($content, true);
                if($sess === null){
                    // support old session
                    $sess = $this->unserialize_php($content);

                    if(!empty($sess) && !empty($sess['login']) && empty($sess['username'])){
                        $sess['username'] = $sess['login'];
                    }
                }
                $_SESSION = $sess;
                $data = session_encode();
            }
        }
        return $data;
    }

    public function write($sess_id, $data){
        $this->getLog()->info(__LINE__, 'Write session['.$sess_id.']: '.$data);
        $sesFile = $this->getPatch($sess_id);
        if(isset($_SESSION['slim.flash']) && empty($_SESSION['slim.flash'])){
            unset($_SESSION['slim.flash']);
        }
        if(!empty($_SESSION)){
            $jsonData = \DataEncoder\JSON::encode($_SESSION);
            if(file_put_contents($sesFile, $jsonData) === false){
                $this->getLog()->error(__LINE__, 'Error write file: '.$sesFile);
                return false;
            }
        }else{
            $this->destroy($sess_id);
        }

        return true;
    }

    public function destroy($sess_id){
        $this->getLog()->info(__LINE__, 'Destroy session: '.$sess_id);
        $sesFile = $this->getPatch($sess_id);

        if(file_exists($sesFile)){
            if(!unlink($sesFile)){
                $this->getLog()->error(__LINE__, 'Error rm file: '.$sesFile);
                return false;
            }
        }
        return true;
    }

    public function garbageCollector($sess_maxlifetime){
        $this->getLog()->info(__LINE__, 'Garbage collector: '.$sess_maxlifetime);
        $current_time = time();

        $files = glob($this->_patch.'*', GLOB_NOSORT);
        foreach($files as $file){
            if(($current_time-filemtime($file)) >= $sess_maxlifetime){
                if(unlink($file)){

                }
            }
        }
        return true;
    }
}
