<?php
namespace Session;

class Sqlite{

    private $_logLevel = 0;

    private $_dbPatch = null;


    /**
     * Constructor
     *
     */
    public function __construct(){
    }

    private $_log = null;
    private function getLog(){
        if($this->_log === null){
            $this->_log = new \Syslog('Session\File', $this->_logLevel);
        }
        return $this->_log;
    }

    private $_DB = null;
    private function getDB(){
        if($this->_DB === null){

            $this->_DB = new \SQLite3($this->_dbPatch, SQLITE3_OPEN_READWRITE | SQLITE3_OPEN_CREATE);

            $sql = "CREATE TABLE IF NOT EXISTS `sessions`(
                        `session_id` VARCHAR(255) PRIMARY KEY NOT NULL,
                        `date` int(11) NOT NULL,
                        `data` TEXT NOT NULL default ''); ";

            if(!$this->_DB->exec($sql)){
                $this->getLog()->error(__LINE__, 'Error exec query: '.$sql);
            }
        }
        return $this->_DB;
    }


    /********************************************************************************
     * Session Handler
    *******************************************************************************/

    public function open($savePath, $sessionName){
        $this->_dbPatch = $savePath.'PHPSESS';
        $this->getLog()->info(__LINE__, 'Open session['.$sessionName.']: '.$savePath);
        return true;
    }

    public function close(){
        $this->getLog()->info(__LINE__, 'Close session');
        return true;
    }

    public function read($sess_id){
        $this->getLog()->info(__LINE__, 'Read session: '.$sess_id);

        $data = '';
        $sess_id = \SQLite3::escapeString($sess_id);

        $sql = "SELECT * FROM `sessions` WHERE `session_id` = '{$sess_id}'";
        $result = $this->getDB()->query($sql);
        if($result){
            $current_time = time();
            $row = $result->fetchArray(SQLITE3_ASSOC);
            $result->finalize();
            if($row){
                //update time
                $this->getLog()->info(__LINE__, 'Session found['.$sess_id.']: '.$row['data']);

                $sql = "UPDATE `sessions` SET `date`={$current_time} WHERE `session_id`='{$sess_id}';";
                if(!$this->getDB()->exec($sql)){
                    $this->getLog()->error(__LINE__, 'Error exec query: '.$sql);
                }

                $_SESSION = json_decode($row['data'], true);
                $data = session_encode();
            }else{
                $this->getLog()->info(__LINE__, 'Session not found['.$sess_id.']');
                // create session
                $sql = 'INSERT INTO `sessions` (`session_id`, `date`) VALUES ("'.$sess_id.'", "'.$current_time.'");';
                if(!$this->getDB()->exec($sql)){
                    $this->getLog()->error(__LINE__, 'Error exec query: '.$sql);
                }
            }
        }
        return $data;
    }

    public function write($sess_id, $data){
        $current_time = time();
        $jsonData = \DataEncoder\JSON::encode($_SESSION);

        $this->getLog()->info(__LINE__, 'Write session['.$sess_id.']: '.$jsonData);

        $jsonData = \SQLite3::escapeString($jsonData);
        $sess_id = \SQLite3::escapeString($sess_id);

        $sql =" UPDATE `sessions` SET `date`={$current_time}, `data`='{$jsonData}' WHERE `session_id`= '{$sess_id}';";
        if(!$this->getDB()->exec($sql)){
            $this->getLog()->error(__LINE__, 'Error exec query: '.$sql);
            return false;
        }
        return true;
    }

    public function destroy($sess_id){
        $this->getLog()->info(__LINE__, 'Destroy session: '.$sess_id);

        $sess_id = \SQLite3::escapeString($sess_id);

        $sql = "DELETE FROM `sessions` WHERE `session_id`='{$sess_id}';";
        if(!$this->getDB()->exec($sql)){
            $this->getLog()->error(__LINE__, 'Error exec query: '.$sql);
            return false;
        }
        return true;
    }

    public function garbageCollector($sess_maxlifetime){
        $this->getLog()->info(__LINE__, 'Garbage collector: '.$sess_maxlifetime);

        $current_time = time();
        $sql = "DELETE FROM `sessions` WHERE `date` + {$sess_maxlifetime} < {$current_time};";
        if(!$this->getDB()->exec($sql)){
            $this->getLog()->error(__LINE__, 'Error exec query: '.$sql);
            return false;
        }
        return true;
    }
}
