<?php

class Singleton {

    protected static $_Instances = array();

    public function __construct() {
        if (isset(self::$_Instances[$className = get_called_class()])) {
            throw new Exception("Cannot define 2nd instance of Singleton '{$className}'");
        }
        self::$_Instances[$className] = $this;
    }

    /**
     * This is for IDE to identify singleton object class.
     *
     * @return static
     */
    public static function getInstance(){
        if (!isset(self::$_Instances[$className = get_called_class()])) {
            self::$_Instances[$className] = new $className();
        }
        return self::$_Instances[$className];
    }
}
