<?php

/**
 * Class Syslog
 */
class Syslog extends \Logger\Log {

    /**
     * Syslog constructor.
     *
     * @param string  $ident    Identificator.
     * @param integer $logLevel Log level.
     */
    public function __construct($ident, $logLevel = self::INFO) {
        if ($logLevel > 0 && $logLevel <= 1) {
            $logLevel = self::ERROR;
        } else if ($logLevel > 1 && $logLevel <= 2) {
            $logLevel = self::WARNING;
        }

        $writer    = new \Logger\Writer\SysLog($ident);
        $formatter = new \Logger\Formatter\SingleLine();
        $context   = new \Logger\Context(array());

        if (strpos(PHP_SAPI, 'cgi') !== false) {
            $portalUser = $_SESSION['portalUserInfo']['user'] ?? null;

            if (is_array($portalUser)) {
                $context->add('portalUserId', $portalUser['id'] ?? '');
                $context->add('portalUserName', $portalUser['fullname'] ?? '');
                $context->add('portalUserEmail', $portalUser['email'] ?? '');
                $context->add('portalUserLoginAs', $_SESSION['portalUserInfo']['loginAs'] ?? '');
            }
        }
        
        parent::__construct($writer, $formatter, $context, $logLevel);
    }
}
