<?php
declare(strict_types=1);

namespace Wildix\Auth\AmazonCognito;

use Cache\FileCache;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\Services\GlobalConfig;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Storage::class,
            function (Container $container) {
                return new Storage(
                    $container->get(GlobalConfig::class),
                    $container->get(FileCache::class)
                );
            }
        );
    }
}
