<?php
declare(strict_types=1);

namespace Wildix\Auth\Api;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            ApiAuthenticator::class,
            function (\Wildix\DependencyInjection\Container $container) {
                $apiKeysPairData = $container->get(ApiKeysPairData::class);
                $logger          = $container->get(\Logger\Log::class);

                return new ApiAuthenticator($apiKeysPairData, $logger);
            }
        );

        $container->singleton(
            ApiKeysPairData::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new ApiKeysPairData($container->get(\Logger\Log::class));
            }
        );

        $container->singleton(
            CustomerApplications::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new CustomerApplications(
                    $container->get(\Logger\Log::class),
                    $container->get(\Wildix\Validator::class)
                );
            }
        );
    }
}
