<?php

namespace Wildix\Auth\Applications\Interfaces;

/**
 * Class ModelInterface
 */
interface ModelInterface {

    public function getId(): string;

    /**
     * Get application name
     *
     * @return string
     */
    public function getName(): string;

    /**
     * Get timestamp create application
     *
     * @return integer
     */
    public function getCreated(): int;

    /**
     * Generate application ID and secret key.
     *
     * @return void
     */
    public function generateSecureFields(): void;

    /**
     * Get application secret key.
     *
     * @return string
     */
    public function getSecret(): string;

    /**
     * Set application name
     *
     * @param string $name Application name.
     *
     * @return ModelInterface
     */
    public function setName(string $name): ModelInterface;
}
