<?php

namespace Wildix\Auth\Applications\SimpleToken\Objects;

use Api\Support\Interfaces\ArrayableInterface;
use Wildix\Auth\Applications\Abstractions\Model as AbstractModel;
use Wildix\Generator\StringGenerator;

/**
 * Class Model
 */
class Model extends AbstractModel implements ArrayableInterface {

    const FIELD_PBX_USER = 'pbxUser';

    const TOKEN_PREFIX = 'access_';

    const FIELDS_EDITABLE = [
        self::FIELD_NAME,
        self::FIELD_PBX_USER,
    ];

    const FIELDS_SECURE = [
        self::FIELD_ID,
        self::FIELD_SECRET,
        self::FIELD_CREATED,
    ];

    const PREFIX_NAME = 'simple-';

    protected function generateSecretKey(): string {
        return self::TOKEN_PREFIX . StringGenerator::random(64, true, true);
    }

    public function setPbxUser(string $pbxUses): self {
        $this->_data[self::FIELD_PBX_USER] = $pbxUses;

        return $this;
    }

    public function getPbxUser(): string {
        return $this->_data[self::FIELD_PBX_USER] ?? '';
    }

    public function toArray(): array {
        return [
            self::FIELD_ID => $this->getProperty(self::FIELD_ID),
            self::FIELD_NAME => $this->getName(),
            self::FIELD_PBX_USER => $this->getPbxUser(),
            self::FIELD_SECRET => $this->getSecret(),
            self::FIELD_CREATED => $this->getCreated(),
        ];
    }
}
