<?php

namespace Wildix\Auth\Applications\SimpleToken\Requests;

use Api\Support\DTOValidate\DTOValidate;
use Api\Support\Interfaces\ArrayableInterface;
use Wildix\Auth\Applications\SimpleToken\Objects\Model;

/**
 * Class Request
 */
class Request extends DTOValidate implements ArrayableInterface {

    public $name    = '';
    public $pbxUser = '';

    public function getName(): string {
        return $this->name;
    }

    public function getPbxUser(): string {
        return $this->pbxUser;
    }

    public function toArray(): array {
        return [
            Model::FIELD_NAME => $this->getName(),
            Model::FIELD_PBX_USER => $this->getPbxUser()
        ];
    }

    public function rules(): array {
        return [
            Model::FIELD_NAME => [
                'string',
                'required',
            ],
            Model::FIELD_PBX_USER => [
                'string',
                'required',
            ],
        ];
    }
}
