<?php

namespace Wildix\Auth\Applications\SimpleToken\Storage;

use Wildix\Auth\Applications\Abstractions\AbstractFileStorage;
use Wildix\Auth\Applications\Interfaces\ApplicationsInterface;
use Wildix\Auth\Applications\Interfaces\StorageInterface;
use Wildix\Auth\Applications\SimpleToken\Objects\Applications;
use Wildix\Auth\Applications\SimpleToken\Objects\Model;

/**
 * Class FileStorage
 */
class FileStorage extends AbstractFileStorage implements StorageInterface {

    const APP_CONFIG_FILE = '/rw2/etc/api_keys_pair/simple_apps.ini';

    protected function fromStorageFormat(array $items): ApplicationsInterface {
        return new Applications(
            array_map(
                function ($item) {
                    return new Model($item);
                },
                $items
            )
        );
    }

    protected function toStorageFormat(array $items): array {
        return $items;
    }
}
