<?php
declare(strict_types=1);

namespace Wildix\Auth\Devices;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            Authenticator::class,
            function (\Wildix\DependencyInjection\Container $container) {
                $devices = $container->get(\Wildix\Devices\Devices::class);
                $pbx     = $container->get(\Models\PBX::class);
                $logger  = $container->get(\Logger\Log::class);

                return new Authenticator($devices, $pbx, $logger);
            }
        );
    }
}
