<?php
declare(strict_types=1);

namespace Wildix\Auth\Kerberos;

use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\System\ADSingleSignOnService;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Negotiate::class,
            static function (Container $container) {
                $krbNegotiateAuth = new \KRB5NegotiateAuth($container->get(ADSingleSignOnService::class)->getKeyTabPath());

                return new Negotiate($krbNegotiateAuth);
            }
        );
    }
}
