<?php

namespace Wildix\Auth\ServiceAuth;

class ServiceAuthenticatorFactory {

    public function __construct(
        string $pbxSerial,
        PublicKeyRepository $repository,
        \Logger\Log $logger
    ) {
        $this->_pbxSerial  = $pbxSerial;
        $this->_repository = $repository;
        $this->_logger     = $logger;
    }

    public function buildService(string $name): ServiceAuthenticator {
        $service = new ServiceAuthenticator(
            $this->_pbxSerial,
            $this->_repository,
            $this->_logger
        );
        $service->initServiceClass($name);

        return $service;
    }
}
