<?php
declare(strict_types=1);

namespace Wildix\Auth\SimpleToken;

use Logger\Log;
use Wildix\Auth\Applications\SimpleToken\Storage\FileStorage;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            SimpleTokenServiceInterface::class,
            function (Container $container) {
                $storage = new FileStorage();
                return new SimpleTokenService(
                    $storage,
                    $container->get(Log::class)
                );
            }
        );
    }
}
