<?php
declare(strict_types=1);

namespace Wildix\Auth\TwoFactor;

use Models\Astman;
use PHPGangsta_GoogleAuthenticator;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\Notifications\Email\Interfaces\EmailManagerInterface;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            TwoFactorAuthenticatorFactory::class,
            function (Container $container) {
                return new TwoFactorAuthenticatorFactory(
                    $container->get(EmailManagerInterface::class),
                    $container->get(Astman::class),
                    $container->get(PHPGangsta_GoogleAuthenticator::class)
                );
            }
        );
    }
}
