<?php

namespace Wildix;

/**
 * Class BatchOperationsException
 */
class BatchOperationsException extends \Exception {

    /**
     * List of errors.
     *
     * @var array
     */
    private $_errors;

    /**
     * BatchOperationsException constructor.
     *
     * @param array $errors List of errors in format [<mixed>(key) => <string>(code)].
     */
    public function __construct(array $errors) {
        $this->_errors = $errors;

        parent::__construct('Not all batch operations were successfully completed.');
    }

    /**
     * Return list of errors in format [<mixed>(key) => <string>(code)].
     *
     * @return array
     */
    public function getErrors() {
        return $this->_errors;
    }
}
