<?php
declare(strict_types=1);

namespace Wildix\Calendar;

use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\Ejabberd;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            CalendarService::class,
            function (Container $container) {
                $settingRepo     = $container->get(Settings::class);
                $eventRepo       = $container->get(Events::class);
                $ejabberdService = $container->get(Ejabberd::class);

                return new CalendarService($eventRepo, $settingRepo, $ejabberdService);
            }
        );

        $container->singleton(
            Settings::class,
            function () {
                return Settings::getInstance();
            }
        );

        $container->singleton(
            Events::class,
            function () {
                return Events::getInstance();
            }
        );
    }
}
