<?php
declare(strict_types=1);

namespace Wildix\Certificate;

use Wildix\Notifications\Email\Interfaces\EmailManagerInterface;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            SSLCertificate::class,
            function (\Wildix\DependencyInjection\Container $container) {
                include_once '/var/www/common/wms_ldap.php';
                $ldap = \WMS_Ldap::getInstance();

                $pbx        = $container->get(\Models\PBX::class);
                $license    = $container->get(\Wildix\License::class);
                $mailer     = $container->get(EmailManagerInterface::class);
                $sslService = $container->get(\Wildix\Services\SSL::class);
                $log        = $container->get(\Syslog::class . ':SSLCertificateRenewal');

                return new SSLCertificate($sslService, $pbx, $license, $mailer, $ldap, $log);
            }
        );
    }
}
