<?php
namespace Wildix;

/**
 * Class CompanyGlobalConfig
 * Saves and reads variables in rw2/etc/companies.d/0/variables.conf
 */
class CompanyGlobalConfig {

    const CONFIG_FILE_PATH = '/rw2/etc/companies.d/0/variables.conf';

    private $_variables = null;

    public function getVariable($key) {
        if ($this->_variables === null) {
            if (file_exists(static::CONFIG_FILE_PATH)) {
                $this->_variables = parse_ini_file(static::CONFIG_FILE_PATH, false, INI_SCANNER_RAW);
            }
        }
        if (isset($this->_variables[$key . '_0'])) {
            return $this->_variables[$key . '_0'];
        }

        return null;
    }

    public function setVariable($key, $value) {
        if (file_exists(static::CONFIG_FILE_PATH)) {
            $assocArr = parse_ini_file(static::CONFIG_FILE_PATH, false, INI_SCANNER_RAW);
        }
        $assocArr[$key . '_0'] = $value;
        write_ini_file(static::CONFIG_FILE_PATH, $assocArr, true);
    }

    public function setVariables($variables) {
        if (is_array($variables)) {
            if (file_exists(static::CONFIG_FILE_PATH)) {
                $assocArr = parse_ini_file(static::CONFIG_FILE_PATH, false, INI_SCANNER_RAW);
                foreach ($variables as $key => $value) {
                    $assocArr[$key . '_0'] = $value;
                }
                write_ini_file(static::CONFIG_FILE_PATH, $assocArr, true);
            }
        }
    }
}
