<?php

namespace Wildix\Core;

use Wildix\DependencyInjection\Container as ContainerAlias;
use Wildix\Exception;

class Container {

    private static $params = [];

    protected static $instance;


    public static function __callStatic($method, $args) {
        return call_user_func_array([self::getInstance(), $method], $args);
    }

    public static function getInstance(): ContainerAlias {
        if (!self::$instance) {
            self::$instance = new ContainerAlias(self::$params);
        }

        return self::$instance;
    }

    public static function make(array $data): ContainerAlias {
        self::$params = $data;

        if (self::$instance) {
            throw new Exception('allowed only one instance', 500);
        }

        return self::getInstance();
    }
}
