<?php
namespace Wildix\Core;

abstract class Facade {

    protected static $_entity;

    protected static function result($instance, $method, $args) {
        return match (count($args)) {
            0 => $instance->$method(),
            1 => $instance->$method($args[0]),
            2 => $instance->$method($args[0], $args[1]),
            3 => $instance->$method($args[0], $args[1], $args[2]),
            4 => $instance->$method($args[0], $args[1], $args[2], $args[3]),
            default => call_user_func_array([$instance, $method], $args),
        };
    }

    public static function __callStatic($method, $args) {
        $instance = Container::get(static::$_entity);
        return self::result($instance, $method, $args);
    }

}
