<?php
declare(strict_types=1);

namespace Wildix\Databases;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            WMSDB::class,
            function () {
                return WMSDB::getInstance();
            }
        );
        $container->singleton(
            CDRDB::class,
            function () {
                return CDRDB::getInstance();
            }
        );
        $container->singleton(
            AvatarCache::class,
            function () {
                return AvatarCache::getInstance();
            }
        );
        $container->singleton(
            DEVDB::class,
            function () {
                return DEVDB::getInstance();
            }
        );
    }
}
