<?php
declare(strict_types=1);

namespace Wildix\DependencyInjection;

/**
 * Class ConfigNotFoundException
 */
class ConfigNotFoundException extends \LogicException {

    /**
     * ConfigException constructor.
     *
     * @param string $serviceName Service who needs configuration.
     */
    public function __construct(string $serviceName) {
        $message = sprintf('Config for a service "%s" does not found.', $serviceName);

        parent::__construct($message);
    }
}
