<?php
declare(strict_types=1);

namespace Wildix\Devices\Networks;

use \Wildix\DependencyInjection\Container;
/**
 * Class DiConfig
 */
class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            NetworksService::class,
            function (Container $container) {
                $storage = $container->get(NetworkStorage::class);
                return new NetworksService($storage);
            }
        );

        $container->singleton(
            GatewaysService::class,
            function (Container $container) {
                $storage = $container->get(NetworkStorage::class);
                return new GatewaysService($storage);
            }
        );

        $container->singleton(
            NetworkStorage::class,
            function () {
                return new NetworkStorage();
            }
        );
    }
}
