<?php

namespace Wildix\Devices\Networks;

use \Wildix\Core\BaseModel;

/**
 * Class Network
 */
class Network extends BaseModel {

    public function setGateways(array $gateways): void {
        $this->_data['gateways'] = $gateways;
    }

    public function getGateways(): array {
        return $this->_data['gateways'] ?? [];
    }

    public function setUsers(array $users): void {
        $this->_data['users'] = $users;
    }

    public function getUsers(): array {
        return $this->_data['users'] ?? [];
    }

    public function getProxy(): string {
        return (string)$this->_data['sipproxy'] ?? '';
    }

    public function getTitle(): string {
        return (string)$this->_data['name'] ?? '';
    }

    public function getCode(): string {
        return (string)$this->_data['code'] ?? '0000';
    }

    public function isAutoTreeDetect(): bool {
        return (boolean)$this->_data['autodecttree'];
    }

    public function isSyncInternet(): bool {
        return (boolean)$this->_data['sync_plus_via_ethernet'];
    }

    public function getBaseIp(): string {
        return (string)$this->_data['primarybase'];
    }
}
