<?php
declare(strict_types=1);

namespace Wildix\Dialplan\CallGroups\Config;

use Wildix\Settings\ConfigFile;

/**
 * Class CallGroupsEntitiesConfig
 */
class CallGroupsEntitiesConfig extends ConfigFile {

    private const CONFIG_FILE = PATH_TO_CW_CONF . 'queues-entities.conf';

    public function __construct() {
        parent::__construct(self::CONFIG_FILE, null, true);
    }

    protected function prepareContent() {
        $content    = '';
        $parameters = $this->get();

        foreach ($parameters as $key => $item) {
            if (is_array($item)) {
                // write section
                $content .= PHP_EOL . '[' . $key . ']' . PHP_EOL;
                // write key: value
                foreach ($item as $subKey => $subItem) {
                    if ($subKey === 'members') {
                        foreach ($subItem as $member) {
                            $content .= $this->createContentRow('member', $member, ' => ');
                        }
                    } else {
                        $content .= $this->createContentRow($subKey, $subItem, $this->_delimiter);
                    }
                }
            } else {
                $content .= $this->createContentRow($key, $item, $this->_delimiter);
            }
        }

        return $content;
    }
}
