<?php
namespace Wildix\Dialplan;

/**
 * Dialplan Debug Class.
 */
class Debug extends \Singleton {

    private function getCallLogConfig() {
        $callLogConf = '/etc/callweaver/calllog-wms.conf';
        $data        = parse_ini_file($callLogConf);
        return $data;
    }

    public function getCallLogFiles() {
        $logFile     = array();
        $callLogDirs = array(
            'active'        => '/tmp/calls/',
            'terminated'    => '/tmp/calls/terminated/'
        );

        $pattern = '[^\.]*\.log';
        foreach ($callLogDirs as $status => $dir) {
            foreach (glob($dir . $pattern) as $entry) {
                $tmp            = array();
                $name           = explode('-', $entry);
                $tmp['from']    = $name[1];
                $tmp['to']      = $name[2];
                $tmp['content'] = nl2br(urldecode(htmlentities(urlencode(file_get_contents($entry)))));
                $tmp['date']    = date('d/m/Y H:i:s', filectime($entry));

                $logFile[$status][] = $tmp;
            }
        }

        return $logFile;
    }

    public function isEnabled() {
        $callLog = $this->getCallLogConfig();

        if ($callLog['enable']) {
            return 'yes';
        }
        return 'no';
    }

    public function setConfig($data) {
        if (empty($data)) {
            return false;
        }

        $callLogConf = '/etc/callweaver/calllog-wms.conf';
        $callLogData = $this->getCallLogConfig();

        if ($data['dilplan'] == 'true') {
            $callLogData['enable'] = 'yes';
        } else {
            $callLogData['enable'] = 'no';
        }

        write_ini_file($callLogConf, $callLogData, true);

        // reload logger rules
        exec('/usr/sbin/callweaver -rx "logger reload"');
        return $this->isEnabled();
    }
}
