<?php
declare(strict_types=1);

namespace Wildix\Dialplan\FeatureCodes;

use \Wildix\DependencyInjection\Container;
use \Wildix\DependencyInjection\ConfigInterface;
use \Services\LuaService;
use \PBX;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            FeatureCodesService::class,
            function (Container $container) {
                $luaService = $container->get(LuaService::class);
                $server     = PBX::getInstance();
                $configFile = $container->get(FeatureConfigFile::class);
                $storage    = new FeatureCodesStorage($luaService, $configFile, \Bticino::getInstance()->isInstalled());
                return new FeatureCodesService($storage, $server);
            }
        );

        $container->singleton(
            FeatureConfigFile::class,
            function (Container $container) {
                return new FeatureConfigFile(FeatureCodesStorage::FILE_CONF);
            }
        );
    }
}
