<?php
declare(strict_types=1);

namespace Wildix\Dialplan\PagingGroups;

use \Wildix\DependencyInjection\Container;
use \Wildix\DependencyInjection\ConfigInterface;
use \PBX;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            PagingGroupsService::class,
            function (Container $container) {
                $storage = new PagingGroupsStorage();
                return new PagingGroupsService($storage);
            }
        );
    }
}
