<?php
declare(strict_types=1);

namespace Wildix\Dialplan\Switches;

use \Wildix\DependencyInjection\Container;
use \Wildix\DependencyInjection\ConfigInterface;
use \PBX;
/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            SwitchesService::class,
            function (Container $container) {
                $server  = PBX::getInstance();
                $storage = new SwitchesStorage();
                return new SwitchesService($storage, $server);
            }
        );
    }
}
