<?php
declare(strict_types=1);

namespace Wildix\Dialplan\TimeTables;

use \Wildix\DependencyInjection\Container;
use \Wildix\DependencyInjection\ConfigInterface;
use \PBX;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            TimeTablesService::class,
            function (Container $container) {
                $server  = PBX::getInstance();
                $storage = new TimeTablesStorage();
                return new TimeTablesService($storage, $server);
            }
        );
    }
}
