<?php

namespace Wildix\EjabberdMod;

/**
 * Class Astman
 */
class Astman {

    private $_ejabberd;
    private $_pbx;
    private $_zohoCrm;
    private $_crmSettings;

    /**
     * IntegrationService constructor.
     *
     * @param \Wildix\Ejabberd                $ejabberd    Ejabberd.
     * @param \Models\PBX                     $pbx         PBX model.
     * @param \Wildix\Integration\ZohoCrm     $zohoCrm     Zoho crm.
     * @param \Wildix\Integration\CrmSettings $crmSettings CrmSettings.
     */
    public function __construct(
        \Wildix\Ejabberd $ejabberd,
        \Models\PBX $pbx,
        \Wildix\Integration\ZohoCrm $zohoCrm,
        \Wildix\Integration\CrmSettings $crmSettings
    ) {
        $this->_ejabberd    = $ejabberd;
        $this->_pbx         = $pbx;
        $this->_zohoCrm     = $zohoCrm;
        $this->_crmSettings = $crmSettings;
    }

    /**
     * Check available integration and configure ejabberd max lua workers
     *
     * @return void
     */
    public function configureLuaWorkers(): void {
        $needIncreaseLuaWorkers = $this->_zohoCrm->isEnabled() || $this->_crmSettings->hasSettings();

        $this->_ejabberd->configureLuaWorkers((int)$this->_pbx->getTotalMemory(), $needIncreaseLuaWorkers);
    }
}
