<?php
declare(strict_types=1);

namespace Wildix\EjabberdMod;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            Astman::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new Astman(
                    $container->get(\Wildix\Ejabberd::class),
                    $container->get(\Models\PBX::class),
                    $container->get(\Wildix\Integration\ZohoCrm::class),
                    $container->get(\Wildix\Integration\CrmSettings::class)
                );
            }
        );
    }
}
