<?php
namespace Wildix;

/**
 * Class Error
 * https://docs.microsoft.com/en-us/rest/api/storageservices/fileservices/status-and-error-codes2
 */
class Error {

    const BadRequest              = 'BadRequest';
    const UnknownError            = 'UnknownError';
    const InternalServerError     = 'InternalServerError';
    const ErrorCreatingBackup     = 'ErrorCreatingBackup';
    const FieldRequired           = 'FieldRequired';
    const WrongEmailPattern       = 'WrongEmailPattern';
    const IsNotBoolean            = 'IsNotBoolean';
    const NotAlpha                = 'NotAlpha';
    const NotArray                = 'NotArray';
    const AlphaNum                = 'AlphaNum';
    const MustBeUnique            = 'MustBeUnique';
    const WrongRegEx              = 'WrongRegEx';
    const HostNotFound            = 'HostNotFound';
    const DirectoryNotFound       = 'DirectoryNotFound';
    const FileNotFound            = 'FileNotFound';
    const ModuleNotFound          = 'ModuleNotFound';
    const WrongHostOrPort         = 'WrongHostOrPort';
    const EmptyApp                = 'EmptyApp';
    const EmptyCode               = 'EmptyCode';
    const FieldCannotBeEmpty      = 'FieldCannotBeEmpty';
    const EmptyPassword           = 'EmptyPassword';
    const EmptySecret             = 'EmptySecret';
    const EmptyType               = 'EmptyType';
    const InvalidData             = 'InvalidData';
    const InvalidCode             = 'InvalidCode';
    const InvalidPassword         = 'InvalidPassword';
    const InvalidUrl              = 'InvalidUrl';
    const EmptyCurrentPassword    = 'EmptyCurrentPassword';
    const EmptyConfirmPassword    = 'EmptyConfirmPassword';
    const NotEqualConfirmPassword = 'NotEqualConfirmPassword';
    const AccessError             = 'AccessError';
    const Unauthorized            = 'Unauthorized';
    const WrongDateTime           = 'WrongDateTime';
    const MinLimit                = 'MinLimit';
    const MaxLimit                = 'MaxLimit';
    const InvalidLength           = 'InvalidLength';
    const NotBetween              = 'NotBetween';
    const NotNumeric              = 'NotNumeric';
    const NotInteger              = 'NotInteger';
    const NotUnsignedInteger      = 'NotUnsignedInteger';
    const NotInRange              = 'NotInRange';
    const Authentication          = 'Authentication';
    const IsNotReachable          = 'IsNotReachable';
    const ConnectDbError          = 'ConnectDbError';
    const OperationNotComplete    = 'OperationNotComplete';
    const BatchOperationsNotComplete = 'BatchOperationsNotComplete';
    const CountryCode             = 'CountryCode';
    const LimitCallGroupIds       = 'Limit call groups by ids';

    const DateLooksWrong          = 'DateLooksWrong';
    const RequestRejectedNotAllowed = 'RequestRejectedNotAllowed';
    const IsNotWriteable          = 'IsNotWriteable';
    const ConnectionErrorOrServiceNotAvailable = 'ConnectionErrorOrServiceNotAvailable';

    const WrongPhoneNumber        = 'WrongPhoneNumber';
    const WrongPrincipalName      = 'WrongPrincipalName';
    const WrongCommonName         = 'WrongCommonName';
    const WrongExtenNumber        = 'WrongExtenNumber';

    const WrongLicenseType        = 'WrongLicenseType';

    const NotFoundColleague       = 'NotFoundColleague';
    const DeviceNotFound          = 'DeviceNotFound';
    const ActiveDeviceNotFound    = 'ActiveDeviceNotFound';

    const CallweaverNotAvailable  = 'CallweaverNotAvailable';
    const EmptyChannelsList       = 'EmptyChannelsList';
    const ChannelNotFound         = 'ChannelNotFound';
    const InvalidIpAddress        = 'InvalidIpAddress';
    const InvalidDomainNameSuffix = 'InvalidDomainNameSuffix';
    const InvalidSchemeAndDomain  = 'InvalidSchemeAndDomain';
    const IpMustNotBeInRange      = 'IpMustNotBeInRange';
    const DhcpInvalidRange        = 'DhcpInvalidRange';
    const IpMustBeBigger          = 'IpMustBeBigger';
    const IpMustBeSmaller         = 'IpMustBeSmaller';
    const DhcpLeaseMaxTooBig      = 'DhcpLeaseMaxTooBig';
    const InterfaceNotAllowed     = 'InterfaceNotAllowed';

    const AWS_POLLY_ERROR         = 'AWSPollyError';

    const WMSIsNotActivated       = 'WMSIsNotActivated';
    const ProcessIsRunning        = 'ProcessIsRunning';

    const AdKeyTab                = 'AdKeyTab';
    const AdFqdn                  = 'AdFqdn';

    const IpWasChanged            = 'IpWasChanged';
    const MaskWasChanged          = 'MaskWasChanged';
    const IpMustNotInRange        = 'IpMustNotInRange';
    const SaveNewChanges          = 'SaveNewChanges';

    const InvalidPbxDn            = 'InvalidPbxDn';
    const InvalidDtmfCode         = 'InvalidDtmfCode';

    const ACL_GROUP_NOT_FOUND     = 'AclGroupNotFound';
    const ACL_GROUP_IS_NOT_EMPTY  = 'AclGroupIsNotEmpty';
    const USER_EXTENSION          = 'USER_EXTENSION';
    const MAC_ADDRESS             = 'MAC_ADDRESS';
    const IP_PORT                 = 'IP_PORT';
    const DomainOrIp              = 'DomainOrIp';
    const VALIDATION_ERROR        = 'VALIDATION_ERROR';
    const NOT_FOUND_DEVICE        = 'NOT_FOUND_DEVICE';

    const DialplanNotFound        = 'DialplanNotFound';
    const DialplanNameEmpty       = 'DialplanNameEmpty';
    const DialplanNameUnique      = 'DialplanNameUnique';

    const UpgradeRepository       = 'UpgradeRepository';

    const IncorrectFormat         = 'IncorrectFormat';
    const NotFound                = 'NotFound';

    const CannotConnectToHost     = 'CannotConnectToHostUsingPort';
    const NotAserver              = 'NotAserver';
    const InvalidCredentials      = 'InvalidCredentials';
    const PBXPropertyCannotUpdateInLdap = 'PBXPropertyCannotUpdateInLdap';
    const PBXNotAddedToLdap       = 'PBXNotAddedToLdap';
    const EntryIsNotPresent       = 'EntryIsNotPresent';
    const BadResponseFromServer   = 'BadResponseFromServer';
    const VersionServerIsDifferentFromClient = 'VersionServerIsDifferentFromClient';
    const InvalidUserId           = 'InvalidUserId';
    const InvalidConnectToServer  = 'InvalidConnectToServer';
    const PBXAlreadyInNetwork     = 'PBXAlreadyInNetwork';
    const PBXNotInNetwork         = 'PBXNotInNetwork';
    const IsFile                  = 'IsNotFile';
    const VersionDiffers          = 'VersionDiffers';
    const IsXcaracalDataBaseExist = 'IsXcaracalDataBaseExist';
    const XcaracalNotLicense      = 'XcaracalNotLicense';
    const XcaracalIsNotInstalled  = 'XcaracalIsNotInstalled';
    const XcaracalIsNotRunning    = 'XcaracalIsNotRunning';
    const XcaracalIsNotRemoved    = 'XcaracalIsNotRemoved';
    const InvalidCredentialsDB    = 'InvalidCredentialsDB';
    const String                  = 'InvalidString';
    const StrictInteger           = 'InvalidIntegerValue';
    const OnlyMasterCanEditNetwork = 'OnlyMasterCanEditNetwork';
    const UnknownPbxInLdap        = 'UnknownPbxInLdap';
    const CantDeleteMasterPbx     = 'CantDeleteMasterPbx';
    const FailoverMustBeDifferent = 'FailoverMustBeDifferent';
    const CantDeleteItIsFailover  = 'CantDeleteItIsFailover';
    const CognitoPBXAuthDataNotPresent = 'CognitoPBXAuthDataNotPresent';
    const CantFetchDataFromWIM    = 'CantFetchDataFromWIM';
    const AssignUserFailed        = 'AssignUserFailed';
    const StrictBoolean           = 'InvalidBoolean';

    private static $_errorMessage = array(
        self::Unauthorized            => 'Unauthorized',
        self::AccessError             => 'Access error',
        self::IsNotReachable          => 'Server is not reachable',
        self::Authentication          => 'Authentication error',
        self::WrongHostOrPort         => 'Incorrect host or port',
        self::NotInRange              => 'Value is not allowed',
        self::NotNumeric              => 'Must be numeric',
        self::NotInteger              => 'Must be integer',
        self::NotUnsignedInteger      => 'Must be unsigned integer',
        self::NotAlpha                => 'Alphabetic characters only',
        self::NotArray                => 'Must be array',
        self::AlphaNum                => 'Alphabetic or number characters only',
        self::MinLimit                => 'Number is too low',
        self::MaxLimit                => 'Number is too big',
        self::InvalidLength           => 'Invalid length',
        self::NotBetween              => 'Number is not in range',
        self::WrongDateTime           => 'Incorrect DateTime format',
        self::EmptyCurrentPassword    => 'Current password cannot be empty',
        self::EmptyConfirmPassword    => 'Confirm password cannot be empty',
        self::NotEqualConfirmPassword => 'Confirm password not equal',
        self::InvalidData             => 'Invalid data',
        self::InvalidCode             => 'Invalid code',
        self::InvalidPassword         => 'Invalid password',
        self::InvalidUrl              => 'Invalid URL',
        self::EmptyApp                => 'App cannot be empty',
        self::EmptyCode               => 'Code cannot be empty',
        self::FieldCannotBeEmpty      => 'Field cannot be empty',
        self::EmptyPassword           => 'Password cannot be empty',
        self::EmptySecret             => 'Secret cannot be empty',
        self::EmptyType               => 'Type cannot be empty',
        self::BadRequest              => 'Bad request',
        self::UnknownError            => 'Unknown error',
        self::InternalServerError     => 'Interval Server Error',
        self::ErrorCreatingBackup     => 'Error creating backup',
        self::FieldRequired           => 'This field is required',
        self::WrongEmailPattern       => 'Wrong email pattern',
        self::IsNotBoolean            => 'Parameter must be boolean',
        self::MustBeUnique            => 'Value must be unique',
        self::WrongRegEx              => 'Wrong regular expression pattern',
        self::HostNotFound            => 'Host not found. Enter ip or hostname',
        self::FileNotFound            => 'File not found.',
        self::DirectoryNotFound       => 'Directory not found.',
        self::ModuleNotFound          => 'Module not found.',
        self::ConnectDbError          => 'Cannot connect to DB.',
        self::OperationNotComplete    => 'Operation is not complete',
        self::BatchOperationsNotComplete => 'Batch operations are not complete',
        self::CountryCode             => 'Invalid country code',
        self::LimitCallGroupIds       => 'You can\'t get stats from groups that are not available',

        self::DateLooksWrong          => 'Please, update system date',
        self::RequestRejectedNotAllowed => 'Request rejected. Please verify support service enabling for this PBX.',
        self::IsNotWriteable           => 'Is not writable',
        self::ConnectionErrorOrServiceNotAvailable => 'Network connection error or service not available',

        self::WrongPhoneNumber        => 'Wrong phone number.',
        self::WrongPrincipalName      => 'Wrong principal name.',
        self::WrongCommonName         => 'Wrong common name.',
        self::WrongExtenNumber        => 'Wrong extension number.',

        self::WrongLicenseType        => 'User has wrong license type.',

        self::NotFoundColleague       => 'The colleague was not found.',
        self::DeviceNotFound          => 'Device not found.',
        self::ActiveDeviceNotFound    => 'Active Device not found.',

        self::CallweaverNotAvailable  => 'Callweaver is not available.',
        self::EmptyChannelsList       => 'Cannot get channels list.',
        self::ChannelNotFound         => 'Cannot find channel with the specified pairing code.',
        self::InvalidIpAddress        => 'Invalid IP address',
        self::InvalidDomainNameSuffix => 'Invalid domain name suffix',
        self::InvalidSchemeAndDomain  => 'Invalid domain',
        self::IpMustNotBeInRange      => 'IP of the PBX must not be in the DHCP range',
        self::DhcpInvalidRange        => 'DHCP range is not valid',
        self::IpMustBeBigger          => 'IP must be bigger',
        self::IpMustBeSmaller         => 'IP must be smaller',
        self::DhcpLeaseMaxTooBig      => 'Value is bigger than IP diapason',
        self::InterfaceNotAllowed     => 'Interface not allowed',

        self::AWS_POLLY_ERROR         => 'Error synthesize speech.',

        self::WMSIsNotActivated       => 'WMS interface is not activated.',
        self::ProcessIsRunning        => 'The process is already running.',

        self::AdKeyTab                => 'Only 0-9,a-z,A-Z,_,-,@,. characters are allowed in the file name. File must have .keytab extension',
        self::AdFqdn                  => 'Not valid FQDN. Only 0-9,a-z,A-Z,-,. characters are allowed',

        self::IpWasChanged            => 'IP was changed',
        self::MaskWasChanged          => 'Mask was changed',
        self::IpMustNotInRange        => 'IP of the pbx must not be in the DHCP range',
        self::SaveNewChanges          => 'Please save new changes',

        self::InvalidPbxDn            => 'Invalid Pbx dn',
        self::InvalidDtmfCode         => 'Invalid DTMF code',

        self::ACL_GROUP_NOT_FOUND     => 'ACL group was not found',
        self::ACL_GROUP_IS_NOT_EMPTY  => 'Not empty group can\'t be removed.',
        self::USER_EXTENSION          => 'Invalid user extension.',
        self::MAC_ADDRESS             => 'Invalid mac address.',
        self::IP_PORT                 => 'IP Port must be in range 1-65535',
        self::DomainOrIp              => 'Invalid domain or IP',
        self::VALIDATION_ERROR        => 'Validation error',
        self::NOT_FOUND_DEVICE        => 'Not found device',

        self::DialplanNotFound        => 'Dialplan not found',
        self::DialplanNameEmpty       => 'Dialplan name is empty',
        self::DialplanNameUnique      => 'Dialplan name must be unique',

        self::UpgradeRepository       => 'Incorrect repository',

        self::IncorrectFormat         => 'Incorrect format',
        self::NotFound                => 'Not found',

        self::CannotConnectToHost     => 'Server PBX not available, please check the settings',
        self::NotAserver              => 'The remote PBX is not a server',
        self::InvalidCredentials      => 'Wrong authentication credentials',
        self::PBXPropertyCannotUpdateInLdap => 'PBX property cannot update in ldap',
        self::PBXNotAddedToLdap       => 'PBX not added to ldap',
        self::EntryIsNotPresent       => 'Cannot get entry of ldap',
        self::BadResponseFromServer   => 'Bad response received from the server',
        self::VersionServerIsDifferentFromClient => 'The WMS version of the Server PBX is different from the Client PBX or wrong Server PBX IP',
        self::InvalidUserId           => 'Invalid user ID',
        self::InvalidConnectToServer  => 'Сan\'t connect to server',
        self::PBXAlreadyInNetwork     => 'This PBX already in network please reload page',
        self::PBXNotInNetwork         => 'This PBX not in network please reload page',
        self::IsFile                  => 'Field must by a file',
        self::VersionDiffers          => 'Upgrade all the PBXs in your WMS network to WMS v. %s, otherwise the network won\'t operate correctly.',
        self::IsXcaracalDataBaseExist => 'x-caracal cannot be installed due to conflicts with another ACD-stats that is already installed on the PBX. Manual clean-up is required.',
        self::XcaracalNotLicense      => 'x-caracal cannot be activated, you need to purchase x-caracal license on WMP',
        self::XcaracalIsNotInstalled  => 'x-caracal cannot be installed. Check logs.',
        self::XcaracalIsNotRunning    => 'x-caracal service cannot be started. Check logs.',
        self::XcaracalIsNotRemoved    => 'x-caracal cannot be removed. Check logs.',
        self::InvalidCredentialsDB    => 'Invalid credentials for database',
        self::String                  => 'Invalid string',
        self::StrictInteger           => 'Invalid integer value',
        self::OnlyMasterCanEditNetwork => 'You can perform this action only on master PBX',
        self::UnknownPbxInLdap        => 'Unknown PBX in LDAP',
        self::CantDeleteMasterPbx     => 'Master PBX can\'t be deleted',
        self::FailoverMustBeDifferent => 'Failover must be different from the current PBX',
        self::CantDeleteItIsFailover  => 'This PBX can\'t be deleted, because it is using as failover for %s',
        self::CognitoPBXAuthDataNotPresent => 'Cognito PBX auth data not present in config file',
        self::CantFetchDataFromWIM    => 'Can\'t fetch data from WIM service',
        self::AssignUserFailed        => 'Assign user failed',
        self::StrictBoolean           => 'Invalid boolean',
    );

    public static function getMessage($code = self::UnknownError): string {
        return !empty(self::$_errorMessage[$code]) ? self::$_errorMessage[$code] : self::$_errorMessage[self::UnknownError];
    }

    public static function isErrorCode($code): bool {
        return !empty(self::$_errorMessage[$code]);
    }
}
