<?php
namespace Wildix;

/**
 * Class Exception
 */
class Exception extends \Exception {

    private $_httpCode = 500;

    /**
     * Method returns private property $_httpCode.
     *
     * @return integer
     */
    public function getHttpCode() {
        return $this->_httpCode;
    }

    /**
     * Exception constructor.
     *
     * @param string          $errorCode Message.
     * @param integer         $httpCode  Code number.
     * @param \Throwable|null $previous  Previous error.
     */
    public function __construct(string $errorCode = Error::UnknownError, int $httpCode = 500, \Throwable $previous = null) {
        parent::__construct(Error::isErrorCode($errorCode) ? Error::getMessage($errorCode) : $errorCode, 0, $previous);

        $this->code      = $errorCode;
        $this->_httpCode = $httpCode;
    }

    public function setMessage(string $message): void {
        $this->message = $message;
    }
}
