<?php

namespace Wildix\Exception;

/**
 * Class SystemdException
 */
class SystemdException extends BaseException {

    /**
     * Output from a shell.
     *
     * @var array
     */
    private $_systemOutput;

    /**
     * Get output from a shell
     *
     * @return array
     */
    public function getSystemOutput(): array {
        return $this->_systemOutput;
    }

    /**
     * Set output from a shell
     *
     * @param array $systemOutput Output data from a shell.
     *
     * @return SystemdException
     */
    public function setSystemOutput(array $systemOutput): SystemdException {
        $this->_systemOutput = $systemOutput;
        return $this;
    }

}
