<?php
namespace Wildix\Failovers;

/**
 * Failovers repository Class.
 */
class Failovers extends \Singleton {

    public function getAllFailovers() {
        $values = array('dn', 'pbxowner', 'pbxFailover', 'priority', 'enabled', 'uid');
        $search = \WMS_Ldap::getInstance()->getEntries(\WMS_Ldap::FAILOVER, '', $values);

        $return = array();
        if (is_array($search)) {
            $emptyValues = array();
            foreach ($values as $item) {
                $emptyValues[$item] = '';
            }

            foreach ($search as $pbx) {
                $return[] = array_merge($emptyValues, $pbx);
            }
        }
        return $return;
    }

    public function getFailoverByDn($dn) {
        $result = null;
        $fields = array('dn', 'pbxowner', 'pbxFailover', 'priority', 'enabled');
        $filter = '(&(pbxowner=' . $dn . '))';

        $failovers = \WMS_Ldap::getInstance()->getEntries(\WMS_Ldap::FAILOVER, $filter, $fields);
        if (!empty($failovers)) {
            foreach ($failovers as $failover) {
                $result = $failover;
            }
        }
        return $result;
    }
}
