<?php
declare(strict_types=1);

namespace Wildix\Faxes;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            FaxSmsProfiles::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new FaxSmsProfiles(
                    $container->get(\Wildix\CompanyGlobalConfig::class),
                    $container->get(\Wildix\Dialplan\ContextRepository::class)
                );
            }
        );
        $container->singleton(
            FaxSmsSettings::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new FaxSmsSettings($container->get(\Wildix\CompanyGlobalConfig::class));
            }
        );
        $container->singleton(
            Faxes::class,
            function () {
                $syslog = new \Syslog('Faxes');
                return new Faxes($syslog);
            }
        );
    }
}
