<?php
declare(strict_types=1);

namespace Wildix\HttpClient;

use Models\PBX;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            HttpClient::class,
            function () use ($container) {
                return new HttpClient(
                    $container->get(PBX::class)
                );
            }
        );
    }
}
