<?php
namespace Wildix\HttpClient;

use GuzzleHttp\Client;
use Models\PBX;

class HttpClient {

    private $_pbx;

    public function __construct(PBX $pbx) {
        $this->_pbx = $pbx;
    }

    public function client($options = []): Client {
        return new Client($options);
    }

    public function clientWithPbxAuth(): Client {
        return $this->client(
            [
                'auth' => [
                        $this->getPbx()->getSerial(),
                        $this->getPbx()->getPbxKey(),
                    ]
            ]
        );
    }

    private function getPbx(): PBX {
        return $this->_pbx;
    }
}
