<?php
namespace Wildix\HttpSecurity;


/**
 * Class Settings
 */
class ModelSettings {

    const FIELD_ORIGIN   = 'httpOriginAllow';

    /**
     * Access-Control-Allow-Origin for HTTP.
     *
     * @var array
     */
    private $_originAllow;


    /**
     * Settings constructor.
     *
     * @param array $data Settings in array format.
     */
    public function __construct(array $data) {
        $this->_originAllow    = (isset($data[self::FIELD_ORIGIN])) ? $data[self::FIELD_ORIGIN] : array();
    }

    /**
     * Convert object data to an array
     *
     * @return array
     */
    public function toArray() {
        return array(
                self::FIELD_ORIGIN => $this->_originAllow
        );
    }

    /**
     * Update
     *
     * @return ModelSettings
     */
    public function update(array $data) {
        if(isset($data[self::FIELD_ORIGIN])){
            $this->_originAllow = $data[self::FIELD_ORIGIN];
        }
        return $this;
    }

    public function getOriginAllow(): array {
        return $this->_originAllow;
    }
}
