<?php
declare(strict_types=1);

namespace Wildix\Import;

use Logger\Log;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\License;
use Wildix\Services\Kite;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Infusionsoft::class,
            function (Container $container) {
                $kite = $container->get(Kite::class);

                return new Infusionsoft($kite, env('INFUSIONSOFT_AUTH_URI'), env('INFUSIONSOFT_API_URI'), \Syslog::ERROR);
            }
        );
    }
}
