<?php
declare(strict_types=1);

namespace Wildix\Integration;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            ZohoCrm::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new ZohoCrm($container->get(\Wildix\Databases\WMSDB::class));
            }
        );
        $container->singleton(
            CrmSettings::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new CrmSettings($container->get(\Wildix\Databases\WMSDB::class));
            }
        );
    }
}
