<?php

namespace Wildix\Integration\XBees\Service;

use Wildix\Integration\XBees\Interfaces\AwsRepositoryInterface;
use Wildix\Integration\XBees\Interfaces\AwsServiceInterface;

/**
 * Class AwsService
 */
class AwsService implements AwsServiceInterface {

    private $_repository;

    public function __construct(AwsRepositoryInterface $repository) {
        $this->_repository = $repository;
    }

    public function getToken(): string {
        return $this->getRepository()
            ->respondToAuthChallenge($this->getRepository()->getAuth()->get('Session'))
            ->get('AuthenticationResult')['IdToken'];
    }

    private function getRepository(): AwsRepositoryInterface {
        return $this->_repository;
    }
}
