<?php

namespace Wildix\Integration\XBees\Service;

use Wildix\Integration\XBees\Interfaces\AwsServiceInterface;
use Wildix\Integration\XBees\Interfaces\WimRepositoryInterface;
use Wildix\Integration\XBees\Interfaces\WimServiceInterface;

/**
 * Class WimService
 */
class WimService implements WimServiceInterface {

    private $_awsService;
    private $_repository;

    public function __construct(AwsServiceInterface $awsService, WimRepositoryInterface $repository) {
        $this->_awsService = $awsService;
        $this->_repository = $repository;
    }

    public function getBlendrData(): array {
        return $this->getRepository()->getData($this->getAwsService()->getToken());
    }

    private function getRepository(): WimRepositoryInterface {
        return $this->_repository;
    }

    private function getAwsService(): AwsServiceInterface {
        return $this->_awsService;
    }
}
