<?php

namespace Wildix\Integration;

/**
 * Class ZohoCrm
 */
class ZohoCrm {
    const STORAGE_PLACE = 'INTEGRATION_ZOHO_CRM';

    const API_VERSION = 'INTEGRATION_ZOHO_CRM_API_VERSION';

    /**
     * A storage for settings.
     *
     * @var \Wildix\Databases\WMSDB
     */
    private $_storage;

    /**
     * Settings constructor.
     *
     * @param \Wildix\Databases\WMSDB $storage A storage for settings.
     */
    public function __construct(\Wildix\Databases\WMSDB $storage) {
        $this->_storage = $storage;
    }

    public function isEnabled() {
        $state = $this->_storage->getSystemVariable(self::STORAGE_PLACE);

        return (isset($state) && $state === '1');
    }

    public function getApiVersion() {
        return $this->_storage->getSystemVariable(self::API_VERSION);
    }

    public function enable() {
        $this->_storage->setSystemVariable(self::API_VERSION, 3);
        $this->_storage->setSystemVariable(self::STORAGE_PLACE, true);
    }

    public function disable() {
        $this->_storage->setSystemVariable(self::STORAGE_PLACE, false);
    }
}
