<?php

namespace Wildix;

/**
 * Class InvalidDataException
 */
class InvalidDataException extends \Exception {

    /**
     * Error list
     *
     * @var array
     */
    private $_errors;

    /**
     * InvalidDataException constructor.
     *
     * @param string  $message Exception message.
     * @param array   $errors  List for errors.
     * @param integer $code    Error code.
     */
    public function __construct($message, array $errors = [], int $code = 400) {
        parent::__construct($message, $code);

        $this->_errors = $errors;
    }

    /**
     * Getter for errors
     *
     * @return array
     */
    public function getErrors() {
        return $this->_errors;
    }
}
