<?php

namespace Wildix\Microsoft;

/**
 * Class GraphCollection
 */
class GraphCollection {

    const ITEMS = 'items';
    const DELTA = 'delta';

    private $_data = [];

    public function __construct(array $data) {
        $this->_data[self::ITEMS] = $data[self::ITEMS] ?? [];
        $this->_data[self::DELTA] = $data[self::DELTA] ?? '';
    }

    public function getItems(): array {
        return $this->_data[self::ITEMS];
    }

    public function getDeltaLink(): string {
        return $this->_data[self::DELTA];
    }

    public function hasItems(): bool {
        return !empty($this->_data[self::ITEMS]);
    }
}
