<?php
declare(strict_types=1);

namespace Wildix\Normalizer;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            PhoneNumberNormalizer::class,
            function (\Wildix\DependencyInjection\Container $container) {
                $extensionsVars = $container->get(\Wildix\Dialplan\ExtensionsVariables::class);

                return new PhoneNumberNormalizer(
                    $extensionsVars->get(\Wildix\Dialplan\ExtensionsVariables::INTERNATIONAL_PREFIX),
                    $extensionsVars->get(\Wildix\Dialplan\ExtensionsVariables::NATIONAL_PREFIX),
                    $extensionsVars->get(\Wildix\Dialplan\ExtensionsVariables::COUNTRY_CODE)
                );
            }
        );
    }
}
