<?php

namespace Wildix\Notifications\Email;

use Logger\Log;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

final class DiConfig implements ConfigInterface {
    public static function configure(Container $container): void {
        $container->singleton(
            ApiEmailSender::class,
            function () use ($container) {
                return new ApiEmailSender(
                    env('SERVICE_NOTIFICATIONS_URI'),
                    $container->get(Log::class)
                );
            }
        );

        $container->singleton(
            SmtpEmailSender::class,
            function () {
                return new SmtpEmailSender();
            }
        );
    }
}
