<?php

namespace Wildix\Notifications\Email;

use Wildix\Notifications\Email\Objects\EmailData;

class SmtpEmailSender implements Interfaces\EmailSenderInterface {

    public function send(EmailData $data): void {
        $to = implode(',', $data->getTo());

        $subject = ' -s ' . escapeshellarg($data->getSubject()) . ' ';

        $from = (!empty($data->getFrom())) ? sprintf(' -e "set from=%s" ', $data->getFrom()) : '';

        $replyTo = (!empty($data->getReplyTo())) ? sprintf(' -e "my_hdr Reply-to:%s" ', $data->getReplyTo()) : '';

        $cc = (!empty($data->getCc())) ? sprintf(' -c %s ', implode(',', $data->getCc())) : '';

        $bcc = (!empty($data->getBcc())) ? sprintf(' -b %s ', implode(',', $data->getBcc())) : '';

        $attachFile = '';
        foreach ($data->getAttachments() as $attach) {
            $attachFile .= (file_exists($attach)) ? ' -a ' . $attach . ' ' : '';
        }

        $delimiter = ' -- ';
        $gpgCrypt  = ' -e "set crypt_use_gpgme=no" ';

        $trans = [
            '\f' => '\\\\\f', '\0' => '\\\\\0',
            '\a' => '\\\\\a', '\b' => '\\\\\b',
            '\t' => '\\\\\t', '\n' => '\\\\\n',
            '\v' => '\\\\\v', '\r' => '\\\\\r',
            '\e' => '\\\\\e', '\c' => '\\\\\c',
        ];
        $body  = strtr($data->getHtml(), $trans);

        $mutt = ' mutt -F /etc/companies.d/0/Muttrc -e "set content_type=text/html" -e "set send_charset=utf-8" ';
        $run  = 'echo ' . escapeshellarg($body) . '|' . $mutt . $gpgCrypt . $from . $replyTo . $cc . $bcc . $subject . $attachFile . $delimiter . ' \'' . $to . '\'';
        exec($run, $out, $ret);
    }
}
