<?php
declare(strict_types=1);

namespace Wildix\PBXes\Network;

use Wildix\Settings\ConfigFile;

/**
 * Class NetRepository
 */
class NetRepository {

    const STORAGE_PATH_NET = '/rw2/etc/pbx/net.conf';

    /**
     * Instance of ConfigFile.
     *
     * @var ConfigFile
     */
    private $_storage;

    public function __construct(ConfigFile $storage) {
        $this->_storage = $storage;
    }

    public function get(): array {
        return $this->_storage->get();
    }

    public function save(array $data) {
        $this->_storage->setData($data);

        return $this->_storage->save();
    }
}
