<?php
declare(strict_types=1);

namespace Wildix\Phonebooks;

use Logger\Log;
use Wildix\Microsoft\ImportContactOffice365;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            Phonebooks::class,
            function () {
                return Phonebooks::getInstance();
            }
        );
        $container->singleton(
            Contacts::class,
            function () {
                return Contacts::getInstance();
            }
        );
        $container->singleton(
            PhonebooksService::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new PhonebooksService(
                    $container->get(Phonebooks::class),
                    $container->get(Contacts::class),
                    $container->get(ImportContactOffice365::class),
                    $container->get(Log::class)
                );
            }
        );
    }
}
