<?php

namespace Wildix\Services;

use Wildix\Services\Exception\ServiceException;

/**
 * Class ServiceAuth
 */
class AbstractServiceAuth extends AbstractService {

    /**
     * Get public key for service auth
     *
     * @param string $publicKeyUrl Public key URL.
     *
     * @return string
     *
     * @throws ServiceException Invalid load data.
     */
    public function get(string $publicKeyUrl): string {
        return $this->sendRequest('GET', $publicKeyUrl);
    }

    protected function parse($data) {
        return $data;
    }
}
