<?php
namespace Wildix\Services;

/**
 * Class CheckIP
 */
class CheckIP extends AbstractService {

    const HOST = 'https://checkip.wildix.com/';

    protected function parse($data) {
        return $data;
    }

    public function getIp($checkIPService = null) {
        if (empty($checkIPService)) {
            $checkIPService = self::HOST;
        }

        if ($checkIPService != self::HOST) {
            $this->disableBasicAuth();
            $this->disableSslVerify();
        }

        $ip = null;
        try {
            $response = $this->sendRequest('GET', $checkIPService);
            if (preg_match('/.* ((?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)).*$/ ', $response, $matches)) {
                if ($matches && !empty($matches[1])) {
                    $ip = $matches[1];
                }
            }
        } catch (\Exception $e) {
            // if not available return null
        }

        return $ip;
    }
}
