<?php
declare(strict_types=1);

namespace Wildix\Settings;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            RsyslogLogging::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new RsyslogLogging($container->get(\Wildix\System\Systemd::class . ':RSyslog'));
            }
        );
        $container->singleton(
            TurnServer::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new TurnServer(
                    $container->get(\Wildix\System\Systemd::class . ':TurnServer'),
                    $container->get(\Logger\Log::class)
                );
            }
        );
    }
}
