<?php
declare(strict_types=1);

namespace Wildix\Sounds;

use \Wildix\Services\TextToSpeech;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            SoundsService::class,
            function (\Wildix\DependencyInjection\Container $container) {
                $storage = new Storage(SoundsService::REAL_PATH);
                $service = new SoundsService($storage);
                $service->setTextToSpeech($container->get(TextToSpeech::class));
                return $service;
            }
        );
    }
}
