<?php

namespace Wildix\System;

/**
 * Class Location
 */
class Location {

    const GEO_LOCATION_CONFIG_PATH = '/rw2/etc/pbx/geo_location.conf';

    private $_config = null;

    public function __construct(\Wildix\Settings\ConfigFile $config) {
        $this->_config = $config;
    }

    /**
     * Set geo location
     *
     * @param array $value Geo location.
     *
     * @return array
     */
    public function setGeoLocationInfo(array $value) {
        $valueInit = $this->getGeoLocationInfo();

        $value = array_merge($valueInit, $value);
        foreach ($value as $key => $val) {
            $this->_config->set($key, $val);
        }
        $this->_config->save();
        return $this->getGeoLocationInfo();
    }

    /**
     * Get geo location
     *
     * @return array
     */
    public function getGeoLocationInfo() {
        $data = array(
            'post_geo_location' => 'yes',
            'latitude'          => '',
            'longitude'         => '',
            'address'           => '',
            'updated'           => ''
        );

        $flag = false;

        $fileValues = $this->_config->get();
        $isNotArray = !is_array($fileValues);

        $isNotIssetParam = !isset($fileValues['post_geo_location']);

        if ($isNotArray || $isNotIssetParam) {
            $flag = true;
        }

        if (!$flag) {
            foreach ($fileValues as $key => $val) {
                if (isset($data[$key])) {
                    $data[$key] = $val;
                }
            }
        }

        return $data;
    }
}
