<?php
declare(strict_types=1);

namespace Wildix\System\RemoteSyslogSettings;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(\Wildix\DependencyInjection\Container $container): void {
        $container->singleton(
            Factory::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new Factory($container->get(\Wildix\Validator::class));
            }
        );
        $container->singleton(
            Repository::class,
            function (\Wildix\DependencyInjection\Container $container) {
                return new Repository(\Wildix\Databases\WMSDB::getInstance(), $container->get(Factory::class));
            }
        );
    }
}
