<?php

namespace Wildix\System;

use Singleton;
use Wildix\Settings\ConfigFile;

/**
 * Class Sms
 */
class Sms extends Singleton {

    const PATH_CONFIG = '/rw2/etc/smsd.conf';

    const PATH_DEFAULT_HTTP_SCRIPT = '/usr/sbin/sms2http';

    public function update($enable) {
        if ($this->_hasChange($enable)) {
            $config  = 'HTTP_SCRIPT=' . static::PATH_DEFAULT_HTTP_SCRIPT . "\n";
            $config .= 'HTTP_SCRIPT_ENABLE=' . $enable . "\n";

            file_put_contents(static::PATH_CONFIG, $config);
            $this->_restartDaemon();
        }
    }

    public function get($param = null) {
        $config = new ConfigFile(static::PATH_CONFIG);

        return $config->get($param);
    }

    private function _hasChange($enable) {
        $oldConfig = $this->get();
        $hasChange = false;

        if (!$oldConfig || $oldConfig['HTTP_SCRIPT_ENABLE'] != $enable) {
            $hasChange = true;
        }

        return $hasChange;
    }

    private function _restartDaemon() {
        exec('(sudo /usr/bin/killall smsd; /usr/sbin/smsd) > /dev/null &');
    }
}
