<?php
declare(strict_types=1);

namespace Wildix\System\Storage;

use Logger\Log;
use Models\PBX;
use Services\TProxyService;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use Wildix\Settings\ConfigFile;
use Wildix\System\Mount;
use Wildix\System\Ntp\NtpConfig;
use WMS_Ldap;

final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Storage::class,
            function () {
                $mountObject          = new Mount();
                $storageDevicesObject = new StorageDevices();
                return new Storage($mountObject, $storageDevicesObject);
            }
        );
    }
}
