<?php
declare(strict_types=1);

namespace Wildix\Trunks\Groups;

use Wildix\Databases\WMSDB;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Storage::class,
            function (Container $container) {
                return new Storage($container->get(WMSDB::class));
            }
        );

        $container->singleton(
            Service::class,
            function (Container $container) {
                return new Service($container->get(Storage::class));
            }
        );
    }
}
