<?php

namespace Wildix\Trunks\Groups;

use Wildix\Core\BaseModel;

/**
 * Class Group
 */
class Group extends BaseModel {

    const ID          = 'id';
    const NAME        = 'groupname';
    const DESCRIPTION = 'description';

    const FIELD_ID          = 'id';
    const FIELD_NAME        = 'name';
    const FIELD_DESCRIPTION = 'description';
    const FIELD_RULES       = 'rules';

    private $_rules = [];

    public function getName(): string {
        return $this->getProperty(self::NAME);
    }

    public function getDescription(): string {
        return $this->getProperty(self::DESCRIPTION);
    }

    public function addRule(array $rule) {
        $this->_rules[] = $rule;

        return $this;
    }

    public function getRules(): array {
        return $this->_rules;
    }
}
