<?php
declare(strict_types=1);

namespace Wildix\Trunks\PstnTrunks;

use Wildix\Databases\DEVDB;
use Wildix\Databases\WMSDB;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
final class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            Service::class,
            function () {
                $storage = new Storage(WMSDB::getInstance(), DEVDB::getInstance());

                return new Service($storage);
            }
        );
    }
}
