<?php

namespace Wildix\Trunks\SipTrunks;

/**
 * Class TrunksService
 */
class Service {

    /**
     * Trunks storage
     *
     * @var Storage
     */
    private $_storage;

    /**
     * TrunksService constructor.
     *
     * @param Storage $storage Trunks storage.
     */
    public function __construct(Storage $storage) {
        $this->_storage = $storage;
    }

    /**
     * Trunks storage.
     *
     * @return Storage
     */
    private function _storage(): Storage {
        return $this->_storage;
    }

    /**
     * Get trunks
     *
     * @return array
     *
     * @throws \Exception Database error
     */
    public function getItems(): array {
        return $this->_storage()->getItems();
    }

    /**
     * Build trunk item to display
     *
     * @param Trunk $item Trunk item.
     *
     * @return array
     */
    public function buildItem(Trunk $item) {
        return [
            Trunk::FIELD_TITLE => $item->getTitle(),
            Trunk::FIELD_USERNAME => $item->getUsername(),
            Trunk::FIELD_SETTINGS_PEERNAME => $item->getPeername()
        ];
    }
}
