<?php

namespace Wildix\Trunks\SipTrunks;

use Wildix\Databases\WMSDB;

/**
 * Class Storage
 */
class Storage {

    /**
     * WMS database
     *
     * @var WMSDB
     */
    private $_db;

    /**
     * Storage constructor.
     *
     * @param WMSDB $_db WMSDB.
     */
    public function __construct(WMSDB $_db) {
        $this->_db = $_db;
    }

    /**
     * WMS database getter
     *
     * @return WMSDB
     */
    private function _db(): WMSDB {
        return $this->_db;
    }



    /**
     * Get trunks
     *
     * @return array
     *
     * @throws \Exception Database error
     */
    public function getItems() {
        return $this->_db()->getRows('SELECT * FROM ' . WMSDB::TABLE_TRUNKS, Trunk::ID, Trunk::class);
    }
}
