<?php

namespace Wildix\Trunks\SipTrunks;

use Wildix\Core\BaseModel;

/**
 * Class Trunk
 */
class Trunk extends BaseModel {
    const ID                = 'id';
    const USERNAME          = 'username';
    const TITLE             = 'title';
    const REGISTER          = 'register';
    const SETTINGS_PBX      = 'settings_pbx';
    const SETTINGS_WMS      = 'settings_wms';
    const SETTINGS_PEERNAME = 'peername';

    const FIELD_ID           = 'id';
    const FIELD_USERNAME     = 'name';
    const FIELD_TITLE        = 'title';
    const FIELD_REGISTER     = 'register';
    const FIELD_SETTINGS_PBX = 'settingsPbx';
    const FIELD_SETTINGS_WMS = 'settingsWms';
    const FIELD_STATUS       = 'status';

    const FIELD_SETTINGS_PEERNAME = 'peername';

    public function getUsername(): string {
        return $this->getProperty(self::USERNAME);
    }

    public function getTitle(): string {
        return $this->getProperty(self::TITLE);
    }

    public function getSettingsPbx(): array {
        return json_decode($this->getProperty(self::SETTINGS_PBX), true);
    }

    public function getSettingsWms(): array {
        return json_decode($this->getProperty(self::SETTINGS_WMS), true);
    }

    public function getSettings(): array {
        return array_merge($this->getSettingsPbx(), $this->getSettingsWms());
    }

    public function getPeername(): string {
        return $this->getSettings()[self::SETTINGS_PEERNAME] ?? '';
    }
}
