<?php

namespace Wildix\UserDataCleaner\Enums;

use Api\Support\AbstractEnum;

class UserDataFieldsEnum extends AbstractEnum {
    public const USER_WITH_ALL_DATA  = 'userWithAllData';
    public const PERSONAL_DATA       = 'personalData';
    public const VOICEMAILS          = 'voicemails';
    public const VOICEMAIL_GREETINGS = 'voicemailGreetings';
    public const CALLS               = 'calls';
    public const CHAT_HISTORY        = 'chatHistory';
    public const PHONEBOOKS          = 'phonebooks';
    public const CALL_GROUP_MEMBER   = 'callGroupMember';
    public const MISSED_CALL_MANAGER = 'missedCallManager';
    public const PAGING_GROUP_MEMBER = 'pagingGroupMember';
    public const APPLICATIONS        = 'applications';
    public const DEVICES             = 'devices';
    public const USER                = 'user';

    protected static $_enums = [
        'userWithAllData' => self::USER_WITH_ALL_DATA,
        'personalData' => 'clearPersonalData',
        'voicemails' => 'clearVoiceMail',
        'voicemailGreetings' => 'clearVoicemailGreetings',
        'calls' => 'clearCalls',
        'chatHistory' => 'clearChats',
        'phonebooks' => 'clearPhoneBooks',
        'callGroupMember' => 'clearCallGroupMembers',
        'missedCallManager' => 'clearCallGroupMissedCallManager',
        'pagingGroupMember' => 'clearPagingGroupMember',
        'applications' => 'clearApplications',
        'devices' => 'unassignDevices',
    ];
}
