<?php

namespace Wildix\UserDataCleaner\Factories;

use Wildix\UserDataCleaner\Enums\UserDataFieldsEnum;
use Wildix\UserDataCleaner\Objects\UserData;

class UserDataFactory {
    public static function make(array $data): UserData {
        $params = [];

        $params[UserDataFieldsEnum::USER]                = isset($data[UserDataFieldsEnum::USER]);
        $params[UserDataFieldsEnum::USER_WITH_ALL_DATA]  = isset($data[UserDataFieldsEnum::USER_WITH_ALL_DATA]) || empty($data);
        $params[UserDataFieldsEnum::PERSONAL_DATA]       = isset($data[UserDataFieldsEnum::PERSONAL_DATA]) || $params[UserDataFieldsEnum::USER];
        $params[UserDataFieldsEnum::VOICEMAILS]          = isset($data[UserDataFieldsEnum::VOICEMAILS]);
        $params[UserDataFieldsEnum::VOICEMAIL_GREETINGS] = isset($data[UserDataFieldsEnum::VOICEMAIL_GREETINGS]);
        $params[UserDataFieldsEnum::CALLS]               = isset($data[UserDataFieldsEnum::CALLS]);
        $params[UserDataFieldsEnum::CHAT_HISTORY]        = isset($data[UserDataFieldsEnum::CHAT_HISTORY]);
        $params[UserDataFieldsEnum::PHONEBOOKS]          = isset($data[UserDataFieldsEnum::PHONEBOOKS]);
        $params[UserDataFieldsEnum::CALL_GROUP_MEMBER]   = isset($data[UserDataFieldsEnum::CALL_GROUP_MEMBER]);
        $params[UserDataFieldsEnum::MISSED_CALL_MANAGER] = isset($data[UserDataFieldsEnum::MISSED_CALL_MANAGER]);
        $params[UserDataFieldsEnum::PAGING_GROUP_MEMBER] = isset($data[UserDataFieldsEnum::PAGING_GROUP_MEMBER]);
        $params[UserDataFieldsEnum::APPLICATIONS]        = isset($data[UserDataFieldsEnum::APPLICATIONS]);
        $params[UserDataFieldsEnum::DEVICES]             = isset($data[UserDataFieldsEnum::DEVICES]);

        return new UserData($params);
    }
}
