<?php
namespace Wildix\UserDataCleaner\Objects;

use Api\Support\DTOValidate\DTOValidate;
use Wildix\UserDataCleaner\Enums\UserDataFieldsEnum;

class UserData extends DTOValidate {

    private const ALL_FIELDS_VALIDATE_RULE = [
        'boolean',
        'required',
    ];

    public $userWithAllData;
    public $personalData;
    public $voicemails;
    public $voicemailGreetings;
    public $calls;
    public $chatHistory;
    public $phonebooks;
    public $callGroupMember;
    public $missedCallManager;
    public $pagingGroupMember;
    public $applications;
    public $devices;
    public $user;

    public function rules(): array {
        return [
            UserDataFieldsEnum::USER_WITH_ALL_DATA => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::PERSONAL_DATA => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::VOICEMAILS => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::VOICEMAIL_GREETINGS => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::CALLS => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::CHAT_HISTORY => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::PHONEBOOKS => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::CALL_GROUP_MEMBER => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::MISSED_CALL_MANAGER => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::PAGING_GROUP_MEMBER => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::APPLICATIONS => self::ALL_FIELDS_VALIDATE_RULE,
            UserDataFieldsEnum::DEVICES => self::ALL_FIELDS_VALIDATE_RULE,
        ];
    }

    public function isNeedToDeleteUser(): bool {
        return $this->userWithAllData || $this->user;
    }
}
