<?php
declare(strict_types=1);

namespace Wildix\Webinar;

use Wildix\License;
use \Wildix\DependencyInjection\Container;

/**
 * Class DiConfig
 */
final class DiConfig implements \Wildix\DependencyInjection\ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            WebinarService::class,
            function (Container $container) {
                return new WebinarService(
                    $container->get(\Wildix\Services\WizyWebinar::class),
                    $container->get(\Wildix\License::class)->haveLicense(License::TYPE_WIZYWEBINAR),
                    $container->get(\Cache\FileCache::class),
                    $container->get(\Logger\Log::class)
                );
            }
        );
    }
}
