<?php
$host   = $_SERVER['HTTP_HOST'];
$avatar = 'http://' . $host . '/collaboration/lua/avatar.lua?' . $user->getExtension() . '&' . $user->getName();

$scope     = [];
$scopeHtml = '';
if (!empty($oauth2[\Wildix\Auth\OAuth2\OAuth2Service::PARAM_SCOPE])) {
    $scope     = explode(' ', $oauth2[\Wildix\Auth\OAuth2\OAuth2Service::PARAM_SCOPE]);
    $scopeHtml = implode('</li><li>', $scope);
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php echo $title; ?></title>
    <link href="../collaboration/dist/auth/style.css?<?= WMS_VERSION; ?>" rel="stylesheet" type="text/css"/>
</head>
<body>
<section class="page-wrapper logout-page">
    <?php include_once '../authorization/header.php'; ?>
    <main class="page-wrapper__body">

        <div class="window-info main-window-wrap">
            <div class="user-info flex-container">
                <div class="avatar">
                    <img class="avatar__image" src="<?php echo $avatar?>" alt="">
                </div>
                <div class="user__name">
                    <div class="nickname"><?php echo $user->getName(); ?></div>
                    <a href="" class="btn-logout">
                        <img class="btn-logout__image" src="./images/icon-logout.svg" alt="">
                        <span class="btn-logout__text" onclick="oauthLogout(); return false;">Logout</span>
                    </a>
                </div>
            </div>
            <div class="message-info">
                <?php echo $grantMessage; ?>
            </div>
            <?php if ($scopeHtml) {?>
            <ul class="block-space">
                <li><?php echo $scopeHtml; ?></li>
            </ul>
            <?php }?>
            <form action="" method="post" id="oauth2confirm">
                <div class="buttons-block flex-container">
                    <button id="no" class="btn-danger" title="No"><?php echo $buttonNo?></button>
                    <button id="yes" class="btn-usual" title="Yes"><?php echo $buttonYes?></button>
                </div>
                <input type="hidden" name="client_id" value="<?php echo $oauth2[\Wildix\Auth\OAuth2\OAuth2Service::PARAM_CLIENT_ID]; ?>">
                <input type="hidden" name="redirect_uri" value="<?php echo $oauth2[\Wildix\Auth\OAuth2\OAuth2Service::PARAM_REDIRECT_URI]; ?>">
                <input type="hidden" name="response_type" value="<?php echo $oauth2[\Wildix\Auth\OAuth2\OAuth2Service::PARAM_RESPONSE_TYPE]; ?>">
                <input type="hidden" name="grant_confirm" value="no">
            </form>
        </div>

    </main>

</section>

<script>
    const form = document.getElementById('oauth2confirm');
    const btns = document.getElementsByTagName('button');
    Array.from(btns).forEach(btn => {
        btn.addEventListener('click', (e) => {
            document.querySelectorAll('input[name=grant_confirm]')[0].value = e.target.id;
            form.submit();
        });
    });

    function oauthLogout() {
        fetch('../authorization/oauth2Logout')
            .then(resp => {
                if (resp.status === 200 && resp.statusText === 'OK') {
                    document.location.pathname = '/authorization/oauth2';
                } else {
                    console.error('Error OAuth2 logout');
                }
            })
        .catch(error => console.error('Error OAuth2 logout', error));
    }
</script>
</body>
</html>


