<?php
$writer    = new Logger\Writer\SysLog('wms');
$formatter = new Logger\Formatter\MultiLine();
$context   = new Logger\Context(array());
$logger    = new Logger\Log($writer, $formatter, $context);
$kite      = new \Wildix\Services\Kite();

$zohoCrm = new Wildix\Import\ZohoClient\ZohoClient($logger, $kite, env('ZOHO_CLIENT_AUTH_URI'));
$data    = array();

if (isset($_GET['code']) && isset($_GET['accounts-server'])) {
    $data['token'] = $zohoCrm->getToken($_GET['accounts-server'], $_GET['location'], $_GET['code']);

    if (isset($data['token'])) {
        $data['userInfo'] = $zohoCrm->getUserInfo($data['token']);
    } else {
        $data = array(
            'error' => 'Error receive user info',
            'error_description' => 'Error receive user info'
        );
    }
} else {
    $data = array(
        'error' => 'code not found',
        'error_description' => 'Access code not found'
    );
    if ($_GET['error']) {
        $data['error'] = $_GET['error'];
    }
}

?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
        <title>ZohoCRM callback</title>

        <script type="text/javascript">
            var data = <?=json_encode($data);?>;
            var callback = <?=json_encode($_REQUEST['callback']);?>;

            if (window.opener && window.opener[callback]) {
                window.opener[callback](data);
            }
            window.close();
        </script>
    </head>

    <body></body>
</html>
