<?php
    $serial   = $recipient['serial'] ?? '';
    $pbxHosts = $conference['pbxHosts'] ?? [];
    $port     = $recipient['port'] === '443' ? '' : ':' . $recipient['port'];

    $hostFromJid = explode('@', $recipient['jid'])[1];

    if ($hostFromJid && strpos($hostFromJid, '.wildixin.com') !== false) {
        $host = $hostFromJid . $port;
    } else if (array_key_exists($serial, $pbxHosts)) {
        $host = $pbxHosts[$serial] . $port;
    } else {
        $host = $cfg['host'] . $port;
    }

    $link     = htmlspecialchars('https://' . $host . '/conf/' . $conference['room']);
    $timezone = timezone_name_from_abbr($schedule['timezone']);

    $prefix   = ($features['PREFIX']['access'] ?? '') . ($features['CONFERENCE']['access'] ?? '');
?>
<?php if (!$schedule['enabled']): ?>
To start the conference open: <?php echo  $link; ?> or call <?php echo $prefix, htmlspecialchars($conference['pin']);?>
<?php if (!empty($conference['password'])): ?>
<?php echo PHP_EOL . 'Room password: ' . htmlspecialchars($conference['password']) . PHP_EOL;?>  PIN code for Dial-in and Wizyconf-HW: <?php echo htmlspecialchars($conference['passwordPin']);?>
<?php endif; ?>
<?php else: ?>
Conference: <?php echo $conference['subject']; ?> @ <?php echo $schedule['start']; ?> - <?php echo $schedule['end']; ?>
 ( <?php echo  $schedule['timezone']; ?> ) <?php echo  $link; ?> or call <?php echo $prefix, htmlspecialchars($conference['pin']);?>
<?php if (!empty($conference['password'])): ?>
<?php echo PHP_EOL . 'Room password: ' . htmlspecialchars($conference['password']) . PHP_EOL;?>  PIN code for Dial-in and Wizyconf-HW: <?php echo htmlspecialchars($conference['passwordPin']);?>
<?php endif; ?>
<?php endif; ?>
