<?php

use Wildix\Auth\Kerberos\Negotiate;
use Wildix\Core\Container;
use Wildix\System\ADSingleSignOnService;

require_once(dirname(__FILE__).'/init.php');

$currentUser = User::getInstance();
if (!$currentUser->isLogged()) {
    $adSingleSignOn = Container::get(ADSingleSignOnService::class);

    if ($adSingleSignOn->isEnabled()) {
        if (strpos($_SERVER['HTTP_AUTHORIZATION'], 'Negotiate ') !== 0) {
            $kerberos = Container::get(Negotiate::class);

            $headers = $kerberos->getNegotiateHeaders();
            foreach ($headers as $header){
                header($header);
            }
        }
        // make fallback page
        $thrownData = _t('security.adSingleSignOnUnauthorized');
        require_once('no_permissions/index.php');
        die();
    } else {
        header('Location: logout/?' . $_SERVER['REQUEST_URI']);
        die('Cannot authorize the user');
    }
}

if (!isset($_GET['mac']) && !$currentUser->hasSession()) {
    header('location: ./');
    exit;
}
ini_set('include_path', BASEPATH . ':' . ini_get('include_path'));

$isPbxAdmin = WMS_Permissions::getInstance()->admin_can_manage_pbx();
$isNeedWMS = $isPbxAdmin && (isset($_GET['wms']) || $currentUser->isRoot());
if (!$isNeedWMS && in_array(parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH), ['/', ''], true)) {
    header(sprintf("location: collaboration/%s", $_SERVER['QUERY_STRING'] !== '' ? '?' . $_SERVER['QUERY_STRING'] : ''));
    die();
}
if (!$isPbxAdmin){
    header('Location: /no_permissions/');
    die(_t('strings.permissionsDenied'));
}


