<?php

use Session\Session;

include_once(file_exists('auth.php') ? 'auth.php' : '../auth.php');

if (!WMS_Permissions::getInstance()->is_allowed('page','settings__utilites__backup')  || ($_SERVER['REQUEST_METHOD'] !== 'GET' && !Session::isValidCsrfToken())) {
    die(_t('strings.permissionsDenied'));
}

if (isset($_GET['sounds'])) {
    $hostname = trim(file_get_contents('/etc/hostname'));
    $serial = \Models\PBX::getInstance()->getSerial();
    $filename = $hostname . '_' . date('Y.m.d_H.i.s') . '_' . WMS_VERSION . '_' . $serial . '_wms_b_sounds_' . substr(md5(rand(0, 1000)), 0, 5) . '.tar.gz';
    $cmd = "tar cf - -X /var/lib/wms/exclude_custom_sounds.txt --ignore-failed-read -C /var/lib/callweaver/sounds/00000 . | gzip -c";
} elseif (isset($_GET['wms'])) {
    $path = '/mnt/backups/';
    $filename = urldecode($_GET['wms']);
    $backupInfo = pathinfo(realpath($filename));
    $dirname = $backupInfo['dirname'] . '/';
    if (file_exists($filename) && $dirname === $path) {
        $cmd = 'cat ' . $filename . ((!$_GET['nodel'])?' && rm ' . $filename:'');
    } else {
        header("Location: /?Menuid=91");
        exit;
    }
} else {
    header("Location: /?Menuid=91");
    exit;
}

set_time_limit(0);
ini_set('output_buffering', 0);
ini_set('zlib.output_compression', 0);

header('Pragma: public');
header('Expires: 0'); // set expiration time
header('Content-Description: File Transfer');
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="' . basename($filename) . '"');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($filename));

$fh = popen($cmd, 'r');
while (!feof($fh)) {
    print fread($fh, 8192);
}
pclose($fh);
