<?php

use Session\Session;

require_once(dirname(__FILE__) . '/../init.php');

if (isset($_POST['get_apply_info']) && !\User::getInstance()->isLogged()) {
    header('HTTP/1.1 401 Unauthorized');
    die('Unable to authenticate user. Try to reload the page and login again.');
}

include_once(file_exists('auth.php') ? 'auth.php' : '../auth.php');

if (!WMS_Permissions::getInstance()->is_allowed('page','settings__utilites__backup') || ($_SERVER['REQUEST_METHOD'] !== 'GET' && !Session::isValidCsrfToken())) {
	die(_t('strings.permissionsDenied'));
}

if (isset($_POST['get_apply_info'])) {
	$filename = '/tmp/wmsrestore.out';

	if (file_exists($filename)) {
		$text = @file_get_contents($filename);
		if ($text == '') {
			die('<span class="proc">'._t($translation['strings.BeginningProcedure']).'</span><br>');
		}
		$tmp = explode("\n", $text);
		$out = array();
		$i = 0;
		foreach ($tmp as $line){
			if (preg_match("/((sound|endop|mess|err|attension)+)\:(.+)/", $line, $tmp2)) {
				$class = $tmp2[2];
				if ($i == sizeof($tmp)-2) {
					$out[] = '<span class="' . $class . ' proc">' . $tmp2[3] . '</span>';
				}
				else {
					$out[] = '<li class="' . $class . '">' . $tmp2[3] . '</li>';
				}
			}
			$i++;
		}
		die(implode('',$out));
	} else {
		die('<span class="proc">' . _t($translation['strings.BeginningProcedure']) . '</span><br>');
	}
}

require_once('classes/backuper/backuper.class.php');

$proxy->setObject('backuper');
$proxy->mode   = 'self';
$proxy->action = 'getTarballsList';

$proxy->processing();

$backuper_class = new backuper();
$back_cronize_options = $backuper_class->cronizeGetValues();

if (isset($_POST['action']) && $_POST['action']=='validate') {
	$elms = array();
	parse_str($_POST['elms'], $elms);
	$errors = validateVars($elms);
	die(json_encode(($errors === true) ? array() : $errors));
}

$arr__periods = array(
	'daily'   => _t('backup.Daily'),
	'weekly'  => _t('backup.Weekly'),
	'monthly' => _t('backup.Monthly'),
);

$arr__periods_js_opts = '';
foreach ($arr__periods as $key => $val) {
	$arr__periods_js_opts .= '<option value="' . $key . '">' . $val . '</option>';
}

$disk_free = round(disk_free_space("/rw2/")/1024/1024, 1);
if ($disk_free < 10) {
	$wmsErr->_set('', 'error', _t('backup.msg.FreeSpaceIs', $disk_free) . '. ' . _t('backup.msg.FreeSpaceWarning', 10));
}
?>

<div id="backup_tabs" class="yui-navset" style='width:940px;'>
	<ul class="yui-nav">
		<li class="selected"><a href="#bk_table"><em><?=_t('backup.BackupSystem');?></em></a></li>
		<li><a href="#bk_advanced"><em><?=_t('backup.RecurrentBackup');?></em></a></li>
	</ul>
	<div class="yui-content">
		<div id='bk_table' style="display:block">
			<table width="800px" bgcolor="#FFFFFF" style="border:none;cursor:default;border-collapse:collapse;" cellpadding="0">
				<tr>
					<td>
						<table id="backup_tbl" class="newtable cell-border display"></table>
					</td>
				</tr>
				<tr>
					<td>
						<div id="action_pnl" class="pnl"></div>
					</td>
				</tr>
			</table>
		</div>
		<div id='bk_advanced' style="display:none">
			<table width="100%" align="center" cellpadding="0">
				<tr>
					<td>
						<div id="period_bk_action_pnl" class="yui-navset" style='width:940px'></div>
					</td>
				</tr>
			</table>
		</div>
	</div>
</div>
<script language="javascript">

var txtHead = {
		share: '<?=_t('backup.CronShare');?>',
		ftp: '<?=_t('backup.CronFTP');?>',
		mail: '<?=_t('backup.CronMail');?>'
}

var cronizeFormValues = <?=json_encode($back_cronize_options)?>;
var tr_btn_set_period_job = '<?=_t('backup.btn.SetPeriodicalJob')?>';
var tr_btn_unset_period_job = '<?=_t('backup.btn.UnSetPeriodicalJob')?>';
var bkpTable;

var selfFileName = 'backuper/index.php',
	classFileName = 'index.php?class=classes/backuper/backuper.class.php',
	newClassName = 'backuper';

var generateAndDownloadBackup = function() {
	parent.ap_showWaitMessage('waitDiv', 1);
	bkpTable.unselectAllRows();
	new Ajax.Request(classFileName, {
		method: 'get',
		parameters:$H({
			action: 'createBackup',
			download: true,
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			oResponse = eval("("+response.responseText+")");
			if (oResponse.ERRORS != '' || oResponse.BODY.message != '') {
				var errors = oResponse.ERRORS != '' ? oResponse.ERRORS : oResponse.BODY.message;
				setError((oResponse.ERRORS != '' ? 'error':'success'), errors);
			}
			if (oResponse.BODY && oResponse.BODY.filename != '') {
				window.location = 'backuper/create_backup.php?wms=' + encodeURIComponent(oResponse.BODY.filename);
			}
		}
	});
}

var generateBackupOnShare = function() {
	parent.ap_showWaitMessage('waitDiv', 1);
	bkpTable.unselectAllRows();
	new Ajax.Request(classFileName, {
		method: 'get',
		parameters:$H({
			action: 'createBackup',
			download: false,
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			oResponse = eval("("+response.responseText+")");
			if (oResponse.ERRORS != '' || oResponse.BODY.message != '') {
				var errors = oResponse.ERRORS != '' ? oResponse.ERRORS : oResponse.BODY.message;
				setError((oResponse.ERRORS != '' ? 'error':'success'), errors);
			}
			bkpTable.reload();
		}
	});
}

var generateAndDownloadBackupSounds = function() {
	window.location = 'backuper/create_backup.php?sounds';
}

var deleteSel = function() {
	var arrName = [];

	bkpTable.getSelectedData().each(function(data){
		arrName.push(data.name);
	});
	if (arrName.length == 0) {
		return false;
	}
	if (!confirm("<?=_t('JS.ConfirmDelete');?>?")) {
		return false;
	}
	deactivateButtons('action_pnl', [4, 5, 6]);

	parent.ap_showWaitMessage('waitDiv', 1);
	new Ajax.Request(classFileName, {
		method: 'get',
		parameters:$H({
			action: 'deleteBackups',
			names:arrName.join(','),
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			bkpTable.reload();
		}
	});
}

var applyBackup = function() {
	pObj = bkpTable.getSelectedData()[0];
	if (pObj.name) {
		windowop_div('backuper/apply_backup.php?name=/mnt/backups/' + pObj.name);
	}
}

var downloadBackup = function() {
	pObj = bkpTable.getSelectedData()[0];
	if (pObj.name) {
		location.href = 'backuper/download_backup.php?backup=' + pObj.name ;
	}
}

var uploadFromFtp = function() {
	windowop_div('backuper/upload_from_ftp.php');
}

function setCronizeFormValues() {
	['share', 'ftp', 'mail'].each(function(key) {
		if (cronizeFormValues[key]) {
			$H(cronizeFormValues[key]).each(function(pair) {

				if ($(pair.key)) {
					if ($(pair.key).type == 'checkbox') {
						if (pair.value == 'yes') {
							$(pair.key).checked = true;
							$$('.' + pair.key).invoke('show');
						} else {
							$(pair.key).checked = false;
							$$('.' + pair.key).invoke('hide');
						}
					} else if($(pair.key).type.substr(0, 6) == 'select'){
						if(pair.value){
							$(pair.key).value = pair.value;
						}
					} else {
						$(pair.key).value = pair.value;
					}
				}
			});
		}
	});
}

function getCronizeFormValues() {
	['share', 'ftp', 'mail'].each(function(key) {
		if (cronizeFormValues[key]) {
			$H(cronizeFormValues[key]).each(function(pair) {
				if ($(pair.key)) {
					if ($(pair.key).type == 'checkbox') {
						if ($(pair.key).checked) {
							cronizeFormValues[key][pair.key] = 'yes';
						} else {
							cronizeFormValues[key][pair.key] = 'no';
						}
					} else {
						cronizeFormValues[key][pair.key] = $F(pair.key);
					}
				}
			});
		}
	});
	return cronizeFormValues;
}

function sharecronize(cr_mode) {
	parent.ap_showWaitMessage('waitDiv', 1);
	getCronizeFormValues();
	new Ajax.Request(classFileName, {
		method: 'post',
		parameters: $H({
			action: 'shareCronize',
			sounds: cronizeFormValues.share.sharesounds,
			period: cronizeFormValues.share.sharehowly,
			mode: cr_mode,
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			oResponse = response.responseText.evalJSON();
			if (oResponse.ERRORS!='') {
				setError('error', txtHead.share + ': ' + oResponse.ERRORS);
				$('sharecronized').checked = false;
				$$('.sharecronized').invoke('hide');
			} else {
				if (oResponse.BODY.success) {
					$('sharecronized').title = tr_btn_unset_period_job;
					setError('notification', txtHead.share + ': ' + oResponse.BODY.msg);
					cronizeFormValues['share']['sharecronized'] = 'yes';
				} else {
					setError('error', txtHead.share + ': ' + oResponse.BODY.msg);
					$('sharecronized').checked = false;
					$$('.sharecronized').invoke('hide');
				}
			}
		}
	});
}

function ftpcronize(cr_mode) {
	var options = {
		nocache: true,
		rules: [ // rule, element_id, message
			"valid_host_or_ip,ftphost,<?=_t('rules.enterValidValue');?>",
			"required,ftphost,<?=_t('rules.CannotBeEmpty');?>"
		]
	};
	if(cr_mode!='save'){
		options.rules.push("required,ftphowly,<?=_t('rules.CannotBeEmpty');?>");
	}
	$$('span.err_span').invoke('remove');
	if (!WMS.validate('ftpCronizeForm', options)) {
		return false;
	}
	parent.ap_showWaitMessage('waitDiv', 1);
	getCronizeFormValues();
	new Ajax.Request(classFileName, {
		method: 'post',
		parameters: $H({
			action: 'ftpCronize',
			mode: cr_mode,
			values: $H(cronizeFormValues.ftp).toJSON(),
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			oResponse = response.responseText.evalJSON();
			if (oResponse.ERRORS != '') {
				setError('error', txtHead.ftp + ': ' + oResponse.ERRORS);
				$('ftpcronized').checked = false;
				$$('.ftpcronized').invoke('hide');
			} else {
				if (oResponse.BODY.success) {
					if (cr_mode == 'cronize') {
						$('ftpcronized').title = tr_btn_unset_period_job;
						cronizeFormValues['ftp']['ftpcronized'] = 'yes';
					}
					setError('notification', txtHead.ftp + ': ' + oResponse.BODY.msg);
				} else {
					setError('error', txtHead.ftp + ': ' + oResponse.BODY.msg);
					$('ftpcronized').checked = false;
					$$('.ftpcronized').invoke('hide');
				}
			}
		}
	});
}

function mailcronize(cr_mode) {
	var options = {
		rules: [ // rule, element_id, message
			"valid_email,mailemail,<?=_t('rules.enterValidValue');?>",
			"required,mailemail,<?=_t('rules.CannotBeEmpty');?>",
			"required,mailhowly,<?=_t('rules.CannotBeEmpty');?>"
		]
	};
	if (!WMS.validate('mailCronizeForm', options)) {
		return false;
	}
	parent.ap_showWaitMessage('waitDiv', 1);
	getCronizeFormValues();
	new Ajax.Request(classFileName,{
		method: 'post',
		parameters: $H({
			action: 'mailCronize',
			mode: cr_mode,
			values: $H(cronizeFormValues.mail).toJSON(),
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			oResponse = response.responseText.evalJSON();
			if (oResponse.ERRORS != '') {
				setError('error', txtHead.mail + ': ' +  oResponse.ERRORS);
				$('mailcronized').checked = false;
				$$('.mailcronized').invoke('hide');
			} else {
				if (oResponse.BODY.success) {
					if (cr_mode == 'cronize') {
						$('mailcronized').title = tr_btn_unset_period_job;
						cronizeFormValues['mail']['mailcronized'] = 'yes';
					}
					setError('notification', txtHead.mail + ': ' +  oResponse.BODY.msg);
				} else {
					setError('error', txtHead.mail + ': ' +  oResponse.BODY.msg);
					$('mailcronized').checked = false;
					$$('.mailcronized').invoke('hide');
				}
			}
		}
	});
}

function uncronize(cr_type) {
	parent.ap_showWaitMessage('waitDiv', 1);
	new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'unCronize',
			type: cr_type,
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(response) {
			parent.ap_showWaitMessage('waitDiv', 0);
			oResponse = response.responseText.evalJSON();
			if (oResponse.ERRORS!='') {
				setError('error', txtHead[cr_type] + ': ' + oResponse.ERRORS);
				$(cr_type+'cronized').checked = true;
				$$('.'+cr_type+'cronized').invoke('show');
			} else {
				if (oResponse.BODY.success) {
					$(cr_type+'cronized').title = tr_btn_set_period_job;
					cronizeFormValues[cr_type][cr_type+'cronized'] = 'no';
					setError('notification', txtHead[cr_type] + ': ' + oResponse.BODY.msg);
				} else{
					setError('error', txtHead[cr_type] + ': ' + oResponse.BODY.msg);
					$(cr_type+'cronized').checked = true;
					$$('.'+cr_type+'cronized').invoke('show');
				}
			}
		}
	});
}

document.observe('WMS:load', function() {
	<?=is_backups_mounted() ? '' : 'setError(\'error\', \'' . _t('strings.BackupsIsNotMounted') . '\');'?>
	BKTabs = new WMS.TabView('backup_tabs');

	bkpTable = new WMS.DataTables({
		ajaxDataUrl: classFileName + "&" + $H({action:'getTarballsList',newclass: newClassName}).toQueryString(),
		$table: jQuery('#backup_tbl'),
		columns: [ // column header
       		{"data":"name", "title":"<?=_t('backup.FileName');?>", "width": "550px", "orderable": true},
    		{   "data":"modified",
        		"title":"<?=_t('backup.DateCreate');?>",
        		"width": "150px",
        		"orderable": true,
        		"render": function ( data, type, full, meta ) {
    		       	if(type != 'display'){
        		       	data = new Date(data).getTime();
        		   	}
        		   	return data;
    		    }
    	    },
    		{"data":"filesize", "title":"<?=_t('backup.FileSize');?>", "width": "70px", "orderable": true}
		],
		options:{
	    	searching: false
	    }
	});

	bkpTable.on( 'select', function ( e, dt, type, indexes ) {
				if(type == "row"){
					deactivateButtons('action_pnl', [4, 5, 6]);
					if(indexes.length == 1){
						activateButtons('action_pnl', <?=is_backups_mounted()?'[4, 5, 6]':'[4, 6]';?>);
					}else{
						activateButtons('action_pnl', [4]);
					}
				}
			})
			.on( 'deselect', function ( e, dt, type, indexes ) {
			    if(bkpTable.getSelectedCount() == 0){
			    	deactivateButtons('action_pnl', [4, 5, 6]);
				}
			});

	$('action_pnl').update(
		'<input type="button" class="but20" value="<?=_t('backup.btn.GenerateAndDownload')?>" onclick="generateAndDownloadBackup();" />'+
		'<input type="button" class="but20" value="<?=_t('backup.btn.GenerateAndSave')?>" <?=is_backups_mounted()?'onclick="generateBackupOnShare();" ':'disabled ';?>/>'+
		'<input type="button" class="but20" value="<?=_t('backup.btn.GenerateAndDownloadSounds')?>" onclick="generateAndDownloadBackupSounds();" />'+
		'<br/>'+
		'<input type="button" disabled class="but20" value="-" onclick="deleteSel()" />'+
		'<input type="button" disabled class="but20" value="<?=_t('buttons.ApplyBackup')?>" onclick="applyBackup()" />'+
		'<input type="button" disabled class="but20" value="<?=_t('buttons.Download')?>" onclick="downloadBackup()" />'+
		'<br/>'+
		'<form action="backuper/upload_backup.php" method="post" enctype="multipart/form-data" onsubmit="return AIM.submit(this, {\'onStart\' : startCallback, \'onComplete\' : completeCallback})">'+
		'<span style="margin-left: 10px;"><?=_t('backup.UploadBackupToServer');?>:</span>'+
		//'<input type="button" class="but20" value="<?=_t('buttons.UploadBackupFromFtp')?>" onclick="uploadFromFtp()" />'+
		'<input type="file" name="addbackup" id="file" />'+
		'<input type="hidden" name="<?=Session::CSRF_TOKEN_HEADER;?>" value="<?=Session::getCsrfToken();?>" />'+
		'<input id="submit_button" type="submit" value="<?=_t('buttons.Upload');?>" class="but20" <?=is_backups_mounted()?'':'disabled ';?>/></form>'+
		'<br/>'+
		'<span style="margin-left: 10px;"><?=_t('backup.ResetToFactoryDefaults');?>:</span><input type="button" class="but20" value="<?=_t('backup.btn.Reset');?>" onclick="windowop_div(\'backuper/apply_reset.php\');" />'
	);

	$('period_bk_action_pnl').update(
	    	<?php if(!\Wildix\License::getInstance()->isCloud()):?>
		    	'<table cellpadding="0" class="bkp_cronized">' +
				'<tbody>' +
	        		'<tr><td class="tablehead" colspan="3">' +
	            			'<label for="sharecronized">&nbsp;<input type="checkbox" id="sharecronized"/>' +
	            			'&nbsp;' + txtHead.share + '</label>' +
	            	'</td></tr>' +
	            	<?php if (is_backups_mounted()) : ?>
	            	'<tr style="display: none;"><td bgcolor="#FFFFFF">' +
	            		'<?=_t('backup.recurentForceSounds');?></td><td collspan="2" >' +
	            		'<input type="checkbox" id="sharesounds" name="sharesounds" onclick="$(\'btn_share_recurent_test\').disabled = this.checked">' +
	            	'</td></tr><tr class="sharecronized" style="display:none;"><td bgcolor="#FFFFFF">' +
	            		'<?=_t('backup.Perform');?></td><td>' +
	            		'<select id="sharehowly" style="width: 235px;"><?=$arr__periods_js_opts;?></select>'+
	            		'</td><td align="right">' +
	            		'<input type="button" id="btn_share_recurent_test" value="<?=_t('backup.btn.DoNow');?>" onclick="generateBackupOnShare();" /><br>' +
	            	'</td></tr>' +
					<?php else: ?>
					'<tr class="sharecronized" style="display:none;"><td collspan="3"><?=_t('strings.BackupsIsNotMounted');?></td></tr>' +
					<?php endif;?>
					'<tr><td collspan="3">&nbsp;</td></tr>' +
				'</tbody></table>' +
			<?php endif;?>

			'<form id="ftpCronizeForm"><table cellpadding="0"  class="bkp_cronized">'+
				'<tr><td class="tablehead" colspan="2">' +
						'<label for="ftpcronized">&nbsp;<input type="checkbox" id="ftpcronized"/>' +
						'&nbsp;' + txtHead.ftp + '</label>'+
				'</td></tr>'
				+'<tr style="display: none;">'
					+'<td colspan="2">&nbsp;<input type="checkbox" id="ftpsounds" name="ftpsounds">&nbsp;<label for="ftpsounds"><?=_t('backup.recurentForceSounds');?></label><br><br></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.FTPhost');?></td>'
					+'<td><input id="ftphost" type="text" style="width: 230px;" /></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.FTPport');?></td>'
					+'<td><input id="ftpport" type="text" style="width: 230px;" /></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.FTPLogin');?></td>'
					+'<td><input id="ftplogin" type="text" style="width: 230px;" /></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.FTPPassword');?></td>'
					+'<td><input id="ftppass" type="password" style="width: 210px; height: 14px;" /></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.FTPUploadDirectory');?></td>'
					+'<td><input id="ftpdir" type="text" style="width: 230px;" /></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.FTPPassiveMode');?></td>'
					+'<td><input id="ftppasv" type="checkbox"/></td>'
				+'</tr>'
				+'<tr class="ftpcronized" style="display:none;">'
					+'<td><?=_t('backup.Perform');?></td>'
					+'<td>' +
						'<select id="ftphowly" style="width: 235px;"><?=$arr__periods_js_opts;?></select>' +
						'<input value="<?=_t('backup.btn.DoNow');?>" type="button" onclick="ftpcronize(\'once\');" style="float:right;" />'
					+'</td>'
				+'</tr>'+
			'<tr><td collspan="2">&nbsp;</td></tr>' +
			'</table></form>' +
			'<form id="mailCronizeForm"><table cellpadding="0" class="bkp_cronized">' +
				'<tr><td class="tablehead" colspan="2">' +
						'<label for="mailcronized">&nbsp;<input type="checkbox" id="mailcronized"/>' +
						'&nbsp;' + txtHead.mail + '</label>' +
				'</td></tr>' +
				'<tr style="display:none;">'
					+'<td colspan="2">&nbsp;<input type="checkbox" id="mailsounds" name="mailsounds">&nbsp;<label for="mailsounds"><?=_t('backup.recurentForceSounds');?></label><br><br></td>'
				+'</tr>'
				+'<tr  class="mailcronized" style="display:none;">'
					+'<td><?=_t('aclpbx.Email');?></td>'
					+'<td><input id="mailemail" type="text" style="width: 230px;"/></td>'
				+'</tr>'
				+'<tr class="mailcronized" style="display:none;">'
					+'<td><?=_t('backup.Perform');?></td>'
					+'<td>' +
						'<select id="mailhowly" style="width: 235px;"><?=$arr__periods_js_opts;?></select>' +
						'<input value="<?=_t('backup.btn.DoNow');?>" type="button" onclick="mailcronize(\'once\');" style="float: right;"/>'
					+'</td>'
				+'</tr>'
			+'</table></form>'
			+'<table cellpadding="0"  class="bkp_cronized">'
				+'<tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr>'
				+'<tr><td align="center"><input value="<?=_t('buttons.Save');?>" id="save_set_bkp" type="button" class="but20" style="width: 140px;" /></td>'
			+'</tr></table>'
	);
	setCronizeFormValues(cronizeFormValues);

    jQuery('#ftppass').passwordToggler({
        textShowPassword: WMS._t('strings.Show'),
        textHidePassword: WMS._t('strings.Hide')
    });

    jQuery('#ftppass').passwordToggler('val', jQuery('#ftppass').val());

	if($('sharesounds')){
		$('btn_share_recurent_test').disabled = $('sharesounds').checked;
	}

	$$('.tablehead input').each(function(input){
		input.onchange = function(event){
			var tr = $$('.' + this.id);
			if(this.checked){
				tr.invoke('show');
				this.title = tr_btn_set_period_job;
			}else{
				tr.invoke('hide');
				this.title = tr_btn_unset_period_job;
			}
		};
	});

	$('save_set_bkp').onclick = function(){
		var old = {} ;
		var val = false;
		['share', 'ftp', 'mail'].each(function(key) {
			if (cronizeFormValues[key]) {
				old[key] = { cronized: cronizeFormValues[key][key + 'cronized'], up: false};
				$H(cronizeFormValues[key]).each(function(pair) {
					if(pair.key.substr(-5, 5) == 'howly' && pair.value == ''){
						return;
					}
					val = false;
					if ($(pair.key)) {
						if ($(pair.key).type == 'checkbox') {
							val = $(pair.key).checked ? 'yes' : 'no';
						} else {
							val = $F(pair.key);
						}
					}
					if(pair.value != val){
						old[key].up = true;
					}
				});
			}
		});
		console.log('old', old);
		$$('.tablehead input').each(function(input){
			var type = input.id.replace('cronized','');
			var val  = input.checked ? 'yes' : 'no';

			if(val != old[type]['cronized']){
				if(val == 'yes'){
					window[type + 'cronize']('cronize');
				}else{
					uncronize(type);
				}
			}else if(old[type]['up']){
				window[type + 'cronize']('save');
			}
		});
	};
});

function startCallback() {
	var ok = $A(['file']).inject([], function(a, n) {
		if ($(n).value != '') {
			a.push($(n).value);
		}
		return a;
	}).all(function(value) {
		return ['.tar.gz', '.TAR.GZ'].any(function(extension) {
			return value.endsWith(extension.toLowerCase());
		});
	});

	if(!ok || $F('file') == '') {
		setError('error', 'Valid file format is .tar.gz');
		ap_showWaitMessage('waitDiv', 0);
		return false;
	} else {
		return true;
	}
}

function completeCallback(response) {
	if(response !== '') {
		oResponse = eval("(" + response + ")");
		if (oResponse.BODY !== '') {
			if(oResponse.BODY.MSG) {
				setError('notification', oResponse.BODY.MSG);
			} else {
				try {
					parent.hideBar();
				} catch(e) {}

				bkpTable.reload();
			}
		} else {
			setError('error', oResponse.ERRORS);
		}
	}
	ap_showWaitMessage('waitDiv', 0);
}
</script>
