<?php

use Session\Session;

require_once(file_exists('auth.php') ? 'auth.php' : '../auth.php');

if (!isset($_POST[Session::CSRF_TOKEN_HEADER]) || !Session::isValidCsrfToken($_POST[Session::CSRF_TOKEN_HEADER])) {
    die(_t('strings.permissionsDenied'));
}

$pathToSave = '/mnt/backups/';
$file = $_FILES['addbackup'];

try {
	// Check for backups share present
	if (!is_backups_mounted()) {
		throw new Exception('Backups share is not mounted.');
	}

	// Strip leading path from file name to avoid directory traversal attacks and remove spaces
	$fileName = str_replace(" ", '', basename($file['name']));

	if(!preg_match('/\.tar\.gz$/', $fileName)){
		throw new Exception('Wrong file extension.');
	}

	$filePath = $pathToSave.$fileName;

	if(file_exists($filePath)) {
		throw new Exception('File '. $fileName .' is already present.');
	}

	// Test if the file was uploaded
	if(!is_uploaded_file($file["tmp_name"])) {
		throw new Exception('File is not uploaded.');
	}

	move_uploaded_file($file["tmp_name"], $filePath);

	echo json_encode(array(
		'TITLE' => 'backuper',
		'BODY'=> array(
			'status' => 'success',
			'name' => $fileName,
			'filesize' => round((filesize($filePath) / 1024), 2) . '&nbsp;KB&nbsp;',
			'modified' => date('M d y H:i:s', filemtime($filePath))
		)
	));
}
catch (Exception $e){
	echo json_encode(array(
		'TITLE' => 'backuper',
		'BODY'=> '',
		'ERRORS'=> $e->getMessage()
	));
}
