<?php

class class_colleagues {

	private static $_obj = null;

	public static function getInstance(){
		if (self::$_obj == null) {
            self::$_obj = new class_colleagues();
        }
        return self::$_obj;
	}

	private $_authenticatedUser = null;
	public function getAuthenticatedUser(){
		if ($this->_authenticatedUser == null){
			if(\User::getInstance()->isLogged()){
				$this->_authenticatedUser = array(
										'dn' => \User::getInstance()->getDn(),
										'mail' => \User::getInstance()->getEmail(),
										'telephoneNumber' => \User::getInstance()->getExtension(),
										'cn' => \User::getInstance()->getName(),
										'userDialplan' => \User::getInstance()->getDialplan(),
										'preferredLanguage' => \User::getInstance()->getLanguage(),
										'userKind' => \User::getInstance()->getRole(),
										'owner' => \User::getInstance()->getGroupDn(),
										'mobile' => \User::getInstance()->getMobilePhone(),
										'facsimiletelephonenumber' => \User::getInstance()->getFaxNumber(),
										'imageurl' => \User::getInstance()->getPicture(),
										'uid' => \User::getInstance()->getID(),
										'pbxowner' => \User::getInstance()->getPBXDn(),
										'wOfficePhone' => \User::getInstance()->getOfficePhone()
				);
			}
		}
		return $this->_authenticatedUser;
	}

	private $_colleagues = null;
	public function getColleagues(\Wildix\Colleagues\Colleague $colleague = null){
		if($colleague !== null || $this->_colleagues == null){
			$result = array();
			$colleagues = \Wildix\Colleagues\Colleagues::getInstance()->getUsers(false, false, false, 0, 10000, false, false, $colleague);
			foreach ($colleagues as $key => $colleague){
				if($colleague){
					$result[] = array(
									'dn'=>$colleague->getDn(), 
									'mail'=>$colleague->getEmail(), 
									'telephoneNumber'=>$colleague->getExtension(), 
									'cn'=>$colleague->getName(), 
									'userDialplan'=>$colleague->getDialplan(), 
									'preferredLanguage'=>$colleague->getLanguage(), 
									'userKind'=>$colleague->getRole(), 
									'owner'=>$colleague->getGroupDn(),
									'mobile'=>$colleague->getMobilePhone(), 
									'facsimiletelephonenumber'=>$colleague->getFaxNumber(), 
									'imageurl'=>$colleague->getPicture(), 
									'uid'=>$colleague->getID(), 
									'pbxowner'=>$colleague->getPBXDn(), 
									'wOfficePhone'=>$colleague->getOfficePhone()
					);
				}
			}
			if($colleague === null){
				$this->_colleagues = $result;
			}else{
				return $result;
			}
		}
		return $this->_colleagues;
	}
	
	public function getObjectApiColleague($colleague){
		$class = \Wildix\Colleagues\Colleagues::getInstance();
		foreach($colleague as $key=>$value){
			$user[$class->getRevertKey($key)] = $value;
		}
		return new Wildix\Colleagues\Colleague($user);
	}

	public function getColleagueByName($name, $noSpaces = false){
		foreach($this->getColleagues() as $colleague){
			if($noSpaces){
				if(str_replace(' ', '_', strtolower($colleague['cn'])) == strtolower($name) || $colleague['telephoneNumber'] == $name){
					return $colleague;
				}
			}else{
				if(strtolower($colleague['cn']) == strtolower($name) || $colleague['telephoneNumber'] == $name){
					return $colleague;
				}
			}

		}
		return false;
	}

	private $_availableColleagues = null;
	public function getAllAvailableColleagues($colleague){
		if(!$this->_availableColleagues || !$this->_availableColleagues[$colleague['dn']]){
			$this->_availableColleagues[$colleague['dn']] = $this->getColleagues($this->getObjectApiColleague($colleague));
		}
		return $this->_availableColleagues[$colleague['dn']];
	}
}
