<?php
(file_exists('auth.php'))?include('auth.php'):include('../auth.php');


if (!WMS_Permissions::getInstance()->is_allowed('page','settings__pbx')) {
    die(_t('strings.permissionsDenied'));
}

require_once('cdr/action.php');



$mount         = new \Wildix\System\Mount();
$system_mounts = $mount->getMountsByType();
$samba_mounts  = $mount->getMountsByType('cifs');
unset($mount);

$cdrSqlite3Point = array('/mnt/cdr', '/mnt/cticonnect');
$cdr_csv_point = '/mnt/cdrcsv';
$selCtlSqlite = '';
$selCtlCSV = '';

$cdr_sqlite3_error = '';
$cdr_sqlite3_warning = '';
$cdr_csv_mount_error = '';

if (array_key_exists($cdr_csv_point,$system_mounts)){
    $selCtlCSV .= '<option value="'.$cdr_csv_point.'">'._t('devices.'.$cdr_csv_point).'</option>';
}else{
    $cdr_csv_mount_error = '<span style="color:red;">'._t('cdr.csv.mountErr').'</span>';
}


if(\Wildix\License::getInstance()->getLimitations('phones') > 40){
    $cdr_sqlite3_warning = '<span style="color:red;">'._t('cdr.sqlite3.mountNotification').'</span>';
}

$sqlitePath = '';

foreach ($cdrSqlite3Point as $path) {
    if ((!array_key_exists($path, $samba_mounts) && array_key_exists($path, $system_mounts))) {
        $sqlitePath = $path;
        break;
    }
}

if ($sqlitePath != ''){
	$selCtlSqlite = $sqlitePath;
	$selCtlCSV .= '<option value="'.$sqlitePath.'">'._t('devices.'.$sqlitePath).'</option>';
	$cdr_csv_mount_error = '';
} else {
	$cdr_sqlite3_error = '<span style="color:red;">'._t('cdr.sqlite3.mountErr').'</span>';
}


if ($selCtlCSV == ''){
    $selCtlCSV = '<option value="">---</option>';
}

//check fields CDR tables
$cdr_types = array('mysql' => 'MySQL', 'sqlite3' => 'SQLite3', 'tds' => 'MSSQL');
$check = array();

foreach($cdr_types as $type => $name){
    $res=true;
    switch ($type){
        case 'mysql': exec("timeout 30 /usr/sbin/init_cdrdb 'mysql'", $res);
        			  // exec, because of slow cdr mysql connection , mysql_query to down WMS-1978
        			  $res = $res[0];
        			  if($res == ''){
        			  	 $res = 'Connection timed out';
        			  }elseif($res == 1){
        			  	 $res = true;
        			  }
            break;
        case 'sqlite3': $res = \CDR::getInstance()->SetSqliteDB();
            break;
        case 'tds': $res = \CDR::getInstance()->SetMssqlDB();
            break;
    }

    if($res !== true){
        $check[$name] = false;
        $wmsErr->_set('','error', $name.': '.$res);
    }else{
        $check[$name] = true;
    }
}

$status = json_encode(
    CreateAnswer(array(
        'status' => array(
            'general' => GetAllStatus(),
            'mssql' => GetMssqlStatus(),
            'mysql' => GetMysqlStatus(),
            'sqlite3' => GetSqliteStatus(),
            'csv' => GetCSVStatus(),
        ),
        'settings' => array(
            'all' => GetAll(),
        )
    ),'all')
);
?>
<style type='text/css'>
#cdr_form .yui-content label,  #cdr_form .yui-content a {color:#000; text-decoration: none;}
#cdr_form .yui-content small {margin-left: 10px;color: #ccc;}
#main_cdr_page { width: 900px;}
#main.preload {background: url(images/preloader-gray.gif) no-repeat 98% 52% #797979;}
#cdr_form .yui-content .test_content {font-size:11px;color: #000; overflow: auto; padding: 10px;background-color: #eeeeee;border: 1px solid #DDDDDD;}
.err_content, .warn_content { margin-bottom: 5px; font-size:11px; overflow: auto; padding: 5px; padding-left:10px; border: 1px solid #DDDDDD; border-collapse:collapse;}
#cdr_form .yui-content .err_content a {color: #06c;}
#generalTab .general_settings td{
    line-height: 25px;
}
</style>
<div id="main_cdr_page">
<table width="100%" align="center" style="cursor:default;border-collapse:collapse;" cellpadding="0" id='main'>
    <tr><td>

    <div id="cdr_form" class="yui-navset">
        <ul class="yui-nav">
            <li><a href="#generalTab" id="generalBlock"><em><?=_t('strings.Settings');?></em></a></li>
            <li><a href="#mssqlTab" id="mssqlBlock"><em><?=_t('cdr.CDRConfiguration','MSSQL');?></em></a></li>
            <li><a href="#mysqlTab" id="mysqlBlock"><em><?=_t('cdr.CDRConfiguration','MySQL');?></em></a></li>
            <li class="selected"><a href="#sqlite3Tab" id="sqlite3Block"><em><?=_t('cdr.CDRConfiguration','Sqlite');?></em></a></li>
            <li><a href="#csvTab" id="csvBlock"><em><?=_t('cdr.CDRConfiguration','CSV');?></em></a></li>
        </ul>
        <div class="yui-content" style="padding:1em;margin:-1px 0px 0px 0px;">
            <div id='generalTab' style="display: none">
                <table width="100%"  border="0" cellspacing="0">
                <tr>
                    <td valign="top">
                        <table border="0" cellspacing="0" cellpadding="0" width="100%" class="general_settings">
                        <tr>
                            <td><a style="cursor: default;"><?=_t('cdr.ctibackend');?></a></td>
                            <td>
                                <select id="ctibackend_general">
                                    <option value="tds">MSSQL</option>
                                    <option value="mysql">MySQL</option>
    <?php if (empty($cdr_sqlite3_error)) {?>
                                    <option value="sqlite3">Sqlite</option>
    <?php } ?>
                                </select>
                        </tr>
                        <tr>
                            <td><label style="display: block;" for="__enable_contact_notes"><?=_t("cdr.EnableContactNotes"); ?></label></td>
                            <td>
                                <input name="__enable_contact_notes" id="__enable_contact_notes" type="checkbox" value="no" onclick="if (this.checked) { $('enable_contact_notes').value='yes'; }else { $('enable_contact_notes').value='no'; } " />
                                <input type="hidden" name="enable_contact_notes" id="enable_contact_notes"  value="no" />
                            </td>
                        </tr>
                        <tr>
                            <td><label style="display: block;" for="tags"><?=_t("cdr.Tags"); ?></label></td>
                            <td>
                                <input class="field" type=text id="tags" style="width:200px" maxlength="250" />
                            </td>
                        </tr>
                        <tr>
                            <td><label style="display: block;" for="hide_dig"><?=_t("cdr.hideInCdrView"); ?> </label></td>
                            <td>
                                <input value="3" class="field" type="number" id="hide_dig" style="width:30px" min="0" max="99" />
                                <span> <?=_t("strings.digits"); ?></span>
                            </td>
                        </tr>
                        <tr>
                            <td >
                                <label for="__deleteAfter"><?=_t("cdr.DeleteCallsAfter"); ?></label>
                            </td>
                            <td>
                                <input class="field" type="number" id="deleteAfter" style="width:30px" min="0" max="99" />
                                <label for="__deleteAfter"><?=_t("strings.months"); ?></label>
                            </td>
                        </tr>
                        <tr>
                            <td >
                                <label for="__deleteChatsAfter"><?=_t("cdr.DeleteChatsAfter"); ?></label>
                            </td>
                            <td>
                                <input class="field" type="number" id="deleteChatsAfter" style="width:30px" min="0" max="99" />
                                <label for="__deleteChatsAfter"><?=_t("strings.months"); ?></label>
                            </td>
                        </tr>
                        <tr>
                            <td >
                                 <label for="__deleteVoicemailAfter"><?=_t("cdr.DeleteVoicemailAfter"); ?></label>
                            </td>
                            <td>
                                <input class="field" type="number" id="deleteVoicemailAfter" style="width:30px" min="0" max="99" />
                                <label for="__deleteVoicemailAfter"><?=_t("strings.months"); ?></label>
                            </td>
                        </tr>
                        <tr>
                            <td >
                                <label for="__deleteRecordingAfter"><?=_t("cdr.DeleteRecordingAfter"); ?></label>
                            </td>
                            <td>
                                <input class="field" type="number" id="deleteRecordingAfter" style="width:30px" min="0" max="99" />
                                <label for="__deleteRecordingAfter"><?=_t("strings.months"); ?></label>
                            </td>
                        </tr>
                        </table>
                    </td>
                    <td class="test_content" style="font-size:11px;text-align: left;" id="general_status"  valign="top">&nbsp;</td>
                </tr>
                </table>
            </div>
            <div id='mssqlTab' style="display: none">
                <table border=0 width="100%">
                    <tr>
                        <td align="left" width="130"><label for="__enabled_mssql"><?=_t('cdr.Enabled');?></label></td>
                        <td align="left">
                            <input name="__enabled_mssql" id="__enabled_mssql" type="checkbox" value="no" onclick="if (this.checked) { $('enabled_mssql').value='yes'; }else { $('enabled_mssql').value='no'; } " />
                            <input type="hidden" name="enabled_mssql" id="enabled_mssql"  value="no" />
                        </td>
                        <td id=mssql_status class="test_content" rowspan=7 width="360px" valign=top style="border-collapse:collapse;"></td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.Hostname');?></a></td>
                        <td align="left"><input class="field" type=text id=hostname_mssql style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.DatabaseName');?></a></td>
                        <td align="left"><input class="field" type=text id=dbname_mssql style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.CDRTableName');?></a></td>
                        <td align="left"><input class="field" type=text id=table_mssql style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.User');?></a></td>
                        <td align="left"><input class="field" type=text id=user_mssql style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.Password');?></a></td>
                        <td align="left"><input class="field" type="password" id="password_mssql" style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.Port');?></a></td>
                        <td align="left"><input class="field" type=text id=port_mssql style="width:150px" maxlength="5"/></td>
                        <td>&nbsp;</td>
                    </tr>
                </table>
            </div>
            <div id='mysqlTab' style="display: none">
                <table border=0 width="100%">
                    <tr>
                        <td align="left" width="130"><label for="__enabled_mysql"><?=_t('cdr.Enabled');?></label></td>
                        <td>
                            <input name="__enabled_mysql" id="__enabled_mysql" type="checkbox" value="no" onclick="if (this.checked) { $('enabled_mysql').value='yes'; }else { $('enabled_mysql').value='no'; } " />
                            <input type="hidden" name="enabled_mysql" id="enabled_mysql"  value="no" />
                        </td>
                        <td id=mysql_status class="test_content" rowspan=6 width="360px" valign=top style="border-collapse:collapse;"></td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.Hostname');?></a></td>
                        <td align="left"><input class="field" type=text id=hostname style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.DatabaseName');?></a></td>
                        <td align="left"><input class="field" type=text id=dbname style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.CDRTableName');?></a></td>
                        <td align="left"><input class="field" type=text id=table style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.User');?></a></td>
                        <td align="left"><input class="field" type=text id=user style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.Password');?></a></td>
                        <td align="left"><input class="field" type="password" id="password" style="width:150px" /></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('strings.Timeout');?></a></td>
                        <td align="left"><input class="field" type=text id=timeout style="width:150px" value="2"/></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="left" valign="top"><a style="cursor: default;"><?=_t('cdr.Port');?></a></td>
                        <td align="left"><input class="field" type=text id=port style="width:150px" maxlength="5"/></td>
                        <td>&nbsp;</td>
                    </tr>
                </table>
            </div>
            <div id='sqlite3Tab' style="display: none">
                <table border=0 width="100%">
                    <tr>
                        <td align="left"><label for="__enabled_sqlite3"><?=_t('cdr.Enabled');?></label></td>
                        <td>
                            <input <?if(!empty($cdr_sqlite3_error)){echo ' disabled="disabled"';} ?> name="__enabled_sqlite3" id="__enabled_sqlite3" type="checkbox" value="no" onclick="if (this.checked) { $('enabled_sqlite3').value='yes'; }else { $('enabled_sqlite3').value='no'; } " />
                            <input type="hidden" name="enabled_sqlite3" id="enabled_sqlite3" value="no" />
                        </td>
                        <td rowspan="3" width="360px" valign="top" style="border-collapse:collapse;">
<?php if (!empty($cdr_sqlite3_error)) {?>
                        	<div class="err_content" valign="top"><?=$cdr_sqlite3_error;?></div>
<?php }else if(!empty($cdr_sqlite3_warning)){ ?>
                        	<div class="warn_content" valign="top"><?=$cdr_sqlite3_warning;?></div>
<?php } ?>
                        	<div class="test_content"  id="sqlite3_status"></div>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" align="left">&nbsp;</td>
                        <td>&nbsp;
                            <input type="hidden" id="dbdir_sqlite3" name="dbdir_sqlite3" value='<?=$selCtlSqlite;?>' >
                            <input type=hidden id=dbfile_sqlite3 name=dbfile_sqlite3 value='cdrdb' >
                            <input type=hidden id=table_sqlite3 name=table_sqlite3 value='cdr' >
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                </table>
            </div>
            <div id='csvTab' style="display: none">
                <table border=0 width="100%">
                    <tr>
                        <td align="left"><label for="__enabled_csv"><?=_t('cdr.Enabled');?></label></td>
                        <td>
                            <input name="__enabled_csv" id="__enabled_csv" type="checkbox" value="no" onclick="if (this.checked) { $('enabled_csv').value='yes'; }else { $('enabled_csv').value='no'; } " />
                            <input type="hidden" name="enabled_csv" id="enabled_csv"  value="no" />
                        </td>
<?php if ($cdr_csv_mount_error != '') {?>
                        <td class="err_content" rowspan=2 width="360px" valign=top style="border-collapse:collapse;"><?=$cdr_csv_mount_error;?></td>
<?php }else{ ?>
                        <td id=csv_status class="test_content" rowspan=5 width="360px" height="100px" bgcolor="#ffffff" valign=top style="border-collapse:collapse;"></td>
<?php } ?>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.LogDirectory');?></a></td>
                        <td>
                            <select id="logdir_csv">
                                <?=$selCtlCSV;?>
                            </select>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td valign="top" align="left"><a style="cursor: default;"><?=_t('cdr.LogFilename');?></a></td>
                        <td><input type=text style="width:200px" id=master_csv /></td>
<?php if ($cdr_csv_mount_error != '') {?>
                        <td id=csv_status class="test_content" rowspan=3 width="360px" height="100px" bgcolor="#ffffff" valign=top style="border-collapse:collapse;"></td>
<?php }else{ ?>
                        <td>&nbsp;</td>
<?php } ?>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                </table>
            </div>
        </div>
    </td>
    <tr>
        <td>
            <div id='savePnl'>
                <center>
                    <input type='button' onclick="save_form();" value='<?=_t('buttons.Save');?>' name='save' class='but20' style='margin-top:8px;'/>
                </center>
            </div>
        </td>
    </tr>
</table>
</div>
<script>/* #start min */
    var page = 'sqlite3', TabView, preloader;
    var pagesAvailable = ['general', 'mssql', 'mysql', 'sqlite3', 'csv'];

var translation = {
    Processing: '<?=_t('prefs.strings.Processing');?>'
}

document.observe('WMS:load',function (){
    TabView = new WMS.TabView('cdr_form');
    TabView.tabs.addListener('activeTabChange', function (event) {
        var tab = event.newValue;
        var tabLink = tab.get('element').getElementsByTagName('a')[0];

        if (!tabLink instanceof Element) {
            return;
        }

        var page = tabLink.id.replace('Block', '');

        if (pagesAvailable.indexOf(page) !== -1) {
            window.page = page;
        }
    });

    preloader = new WMS.PreLoader({
        'content': $$('#cdr_form .yui-content')[0],
        'target': {
            'inputs': $$('#savePnl input'),
            'tabs': [TabView],
            'classnames': [{'elements':[$('main')], 'klass': 'preload'}]
        }
    });

    set_form_values({responseText:<?=$status;?>});

    $("ctibackend_general").onchange = function(){
    	if(! $("ctibackend_general").value){
    		$('__enable_contact_notes').disabled = true;
    		$('enable_contact_notes').value = 'no';
            $('__enable_contact_notes').checked = false;
        }else{
        	$('__enable_contact_notes').disabled = false;
        }
    };


},false);

function save_form(){

    if (!confirm('<?=_t('wms.confirm.message');?>')) {
        return false;
    }

    var fieldsArray = ['#hide_dig', '#deleteAfter', '#deleteChatsAfter', '#deleteVoicemailAfter', '#deleteRecordingAfter'];
    fieldsArray.forEach(function(element){
        jQuery(element).val() && jQuery(element).val(parseInt(jQuery(element).val()));
        if(!jQuery(element).val() || jQuery(element).val() > 99 || jQuery(element).val() < 0) {
            jQuery(element).val(0);
        }
    });

    // unset previous errors
    $$('span.err_span').invoke('remove');
    // validation
    var errors = {};
    if ($F('enabled_csv') == 'yes' && $F('master_csv') == ''){
        errors['master_csv'] = '<?=_t('rules.enterValidValue');?>';
    }

    if($F('enabled_mysql') == 'yes'){
        if (!($F('hostname') != '' && ($F('hostname').match(/^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6}$/) || $F('hostname').match(/^((25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]|2[0-4]\d|[01]?\d\d?)$/)))) {
            errors['hostname'] = '<?=_t('rules.enterValidValue');?>';
        }

        if (!$F('timeout').match(/^\d*$/)) {
            errors['timeout'] = '<?=_t('rules.enterValidValue');?>';
        }

        if (!$F('port').match(/^\d*$/)) {
            errors['port'] = '<?=_t('rules.enterValidValue');?>';
        }
    }


    if($F('enabled_mssql') == 'yes'){
        if ($F('hostname_mssql') == '') {
            errors['hostname_mssql'] = '<?=_t('rules.enterValidValue');?>';
        }
        if ($F('port_mssql') && !$F('port_mssql').match(/^\d*$/)) {
            errors['port_mssql'] = '<?=_t('rules.enterValidValue');?>';
        }
    }

    if($F('tags').match(/.*[!\(\)'"\{\}\~].*/)){
        errors['tags'] = '<?=_t('strings.notAllowedCharsPresent', '!()\\\'{}~"');?>';
     }

    if ($H(errors).size() > 0){
        $H(errors).each(function(pair){
            if(pair.key == 'tags'){
            	$(pair.key).insert({'before':' <span style="min-height:15px;height:auto;color:red;display: block;line-height: 15px;" class="err_span">'+pair.value+'</span>'});
            }else{
            	$(pair.key).insert({'after':' <span style="min-height:15px;height:auto;color:red;" class="err_span">'+pair.value+'</span>'});
            }

        });
        return false;
    }

    var sttr = $H({
        'general[ctibackend]':'ctibackend_general',
        'general[enable_contact_notes]':'enable_contact_notes',
        'general[tags]':'tags',
        'general[hide_dig]':'hide_dig',
        'general[deleteAfter]': 'deleteAfter',
        'general[deleteChatsAfter]': 'deleteChatsAfter',
        'general[deleteVoicemailAfter]': 'deleteVoicemailAfter',
        'general[deleteRecordingAfter]': 'deleteRecordingAfter',

        'mssql[enabled]':'enabled_mssql',
        'mssql[hostname]':'hostname_mssql',
        'mssql[dbname]':'dbname_mssql',
        'mssql[table]':'table_mssql',
        'mssql[user]':'user_mssql',
        'mssql[password]':'password_mssql',
        'mssql[port]':'port_mssql',

        'mysql[enabled]':'enabled_mysql',
        'mysql[hostname]':'hostname',
        'mysql[dbname]':'dbname',
        'mysql[table]':'table',
        'mysql[user]':'user',
        'mysql[password]':'password',
        'mysql[timeout]':'timeout',
        'mysql[port]':'port',

        'sqlite3[enabled]':'enabled_sqlite3',
        'sqlite3[dbfile]':'dbfile_sqlite3',
        'sqlite3[dbdir]':'dbdir_sqlite3',
        'csv[enabled]':'enabled_csv',
        'csv[logdir]':'logdir_csv',
        'csv[master]':'master_csv'
    }).collect(function(pair){
        return [pair.key,( encodeURIComponent($F(pair.value) || ''))].join('=');
    }).join('&')+'&set=all&page=cdr';

    return new Ajax.Request('cdr/action.php',{
        method: 'post',
        parameters: sttr,
        contentType:  'application/x-www-form-urlencoded',
        onCreate: preloader.setVisible.bind(preloader,1),
        onComplete: function(resp){
            var response = eval("(" + resp.responseText +")");
            var error_msg = response['code']['setted']['error_msg'];

            $('general_status').innerHTML = response['code']['status']['general'];

            if(response['code']['setted']['state'] == false){
                if(error_msg && error_msg.length>0){
                    for(var i=0; i<error_msg.length; i++){
                        if(error_msg[i]['subj'] != 'mssql' && error_msg[i]['subj'] != 'mysql'){
                        	$('__enabled_'+error_msg[i]['subj']).checked = false;
    	                    $('enabled_'+error_msg[i]['subj']).value = 'no';
                        }

	                    $(error_msg[i]['subj']+'_status').innerHTML = error_msg[i]['errmsg'];
	                    highlightTab(0);
                    }
                }
            } else {
            	if(error_msg){
                	setError('error', error_msg);
                }

                initAjax({get:'all',status:'allstatus'});
            }
        }
    });
}

function restoreCDR(){
    new Ajax.Request('cdr/action.php',{
        method: 'post',
        parameters: 'page=cdr&reinit=1',
        contentType:  'application/x-www-form-urlencoded',
        onCreate: preloader.setVisible.bind(preloader,1),
        onComplete: function(resp){
            var response = eval("(" + resp.responseText +")");
            if(response.code){ // reinitializing correct
                $('sqlite3_status').show();
                initAjax({get:'all',status:'allstatus'});
            }
        }
    });
}

function initAjax(action){
    var request = "";
    if(action instanceof Array){
        alert("array");
    }
    var posts = null;
    if(action instanceof Object){
        for(var el in action){
            if(action[el] instanceof Object){
                for(var deepel in action[el]){
                    request += "&" + deepel + "=" + encodeURIComponent(action[el][deepel]);
                }
            }else
                request += "&" + el + "=" + encodeURIComponent(action[el]);
        }
        return new Ajax.Request('cdr/action.php',{
            method: 'post',
            parameters: 'page=cdr&'+request,
            contentType:  'application/x-www-form-urlencoded',
            onComplete: set_form_values
        });
    }
}

function set_form_values(originalRequest){
    var jsonObj, str;
    if(originalRequest.responseText instanceof Object){
        jsonObj = originalRequest.responseText;
    }else{
        jsonObj = eval("(" + originalRequest.responseText +")");
    }
    if(jsonObj["code"] instanceof Object){
        if (! jsonObj["code"]['settings']['all']['all'] ) return;
        var field = jsonObj["code"]['settings']['all']['all'];
        for(var key in field){
            if (key == "general"){
                var val_field = field[key];
                for(var val_key in val_field){
                    if($(val_key+"_general")!=null){
                        if(val_key != 'ctibackend'){
                        	$(val_key+"_general").value = val_field[val_key];
                        }

                    }
                    if($(val_key)!=null){
                        if($('__'+val_key) && $('__'+val_key).type == 'checkbox'){
                            if (val_field[val_key] == 'yes'){
                                $(val_key).value = 'yes';
                                $('__'+val_key).checked = true;
                            }else{
                                $(val_key).value = 'no';
                                $('__'+val_key).checked = false;
                            }
                        }else{
                            $(val_key).value = val_field[val_key];
                        }
                    }
                }
            }

            if (key == "mssql"){
                var val_field = field[key];
                for(var val_key in val_field){
                    if($(val_key+"_mssql")!=null)
                        $(val_key+"_mssql").value = val_field[val_key];
                }
                if ($('enabled_mssql').value == 'yes'){
                    $('__enabled_mssql').checked = true;
                    if( ! $$('#ctibackend_general option[value=tds]')[0]){
                		$('ctibackend_general').insert('<option value="tds">MSSQL</option>');
                	}
                }else{
                    $('enabled_mssql').value = 'no';
                    if($$('#ctibackend_general option[value=tds]')[0]){
                    	$$('#ctibackend_general option[value=tds]')[0].remove();
                    }
                    $('__enabled_mssql').checked = false;
                }
            }
            if (key == "mysql"){
                var val_field = field[key];
                for(var val_key in val_field){
                    if($(val_key)!=null)
                        $(val_key).value = val_field[val_key];
                    if($(val_key+"_mysql")!=null)
                        $(val_key+"_mysql").value = val_field[val_key];
                }
                if ($('enabled_mysql').value == 'yes') {
                	if( ! $$('#ctibackend_general option[value=mysql]')[0]){
                		$('ctibackend_general').insert('<option value="mysql">MySQL</option>');
                	}
                    $('__enabled_mysql').checked = true;
                }else{
                    $('enabled_mysql').value = 'no';
                    if($$('#ctibackend_general option[value=mysql]')[0]){
                    	$$('#ctibackend_general option[value=mysql]')[0].remove();
                    }
                    $('__enabled_mysql').checked = false;
                }
            }
            if (key == "sqlite3"){
                var val_field = field[key];
                for(var val_key in val_field){
                    if(val_key != 'dbdir' && $(val_key+"_sqlite3")!=null)
                        $(val_key+"_sqlite3").value = val_field[val_key];
                }

                if ($('enabled_sqlite3').value == 'yes'){
					if( ! $$('#ctibackend_general option[value=sqlite3]')[0]){
                		$('ctibackend_general').insert('<option value="sqlite3">Sqlite</option>');
                	}
                    $('__enabled_sqlite3').checked = true;
                    $$('#sqlite3Tab .warn_content').invoke('setStyle',{'display':'block'});

                }else{
                    $('enabled_sqlite3').value = 'no';
                    if($$('#ctibackend_general option[value=sqlite3]')[0]){
                    	$$('#ctibackend_general option[value=sqlite3]')[0].remove();
                    }
                    $('__enabled_sqlite3').checked = false;
                    $$('#sqlite3Tab .warn_content').invoke('setStyle',{'display':'none'});
                }
            }
            if (key == "csv"){
                var val_field = field[key];
                for(var val_key in val_field){
                    if($(val_key+"_csv")!=null)
                        $(val_key+"_csv").value = val_field[val_key];
                }
                if ($('enabled_csv').value == 'yes'){
                    $('__enabled_csv').checked = true;
                }else{
                    $('enabled_csv').value = 'no';
                    $('__enabled_csv').checked = false;
                }
            }
        }

    }else
        if(jsonObj["code"] != true) $('general_status').innerHTML = jsonObj["code"];
    if (jsonObj["code"]['setted'] == null){
        if(jsonObj["code"]['status'] == ""){
            parent.setError('error', "<?=_t('cdr.err.StartPBX'); ?>");
        }else{
            var oStatus = jsonObj['code']['status'];
            $w('general mssql mysql sqlite3 csv').each(function(part){
                $(part+'_status').update( oStatus[part] );
            });
        }
    }

    var backend = field['general']['ctibackend'];

    if(backend && field[backend]['enabled'] == 'yes' && $$('#ctibackend_general option[value=' + backend + ']')[0]){
    	$("ctibackend_general").value = backend;
    }else{
    	$("ctibackend_general").value = '';
    }

	if(! $("ctibackend_general").value){

		$('enable_contact_notes').value = 'no';
        $('__enable_contact_notes').checked = false;
        $('__enable_contact_notes').disabled = true;
    }else{
    	$("__enable_contact_notes").disabled = false;
    }

    if( arguments.callee.called ) highlightTab(1);
    else arguments.callee.called = true;
}

var highlightTab = function( success ) {
    return $(page+'Block').highlight({
        startcolor: success ? '#ffff99' : '#ff0000',
        afterFinish: function(effect){
            with( $(window.page+'Block') ){style.background = ''; removeAttribute('class'); removeAttribute('style'); }
            preloader.setVisible(0);
        }
    });
}

/* #end min */</script>
