<?php
class Language extends \Singleton{

    private $_shortnames = null;
	/** Constructor
	 * @param 	(void)
	 * @return  (void)
	*/
	function __construct() {
         $langsConfig = parse_ini_file(BASEPATH.'lang/languages.ini', true, INI_SCANNER_RAW);
         $this->_shortNames = $langsConfig['shortnames'];
         $this->_longNames = array_combine(array_values($this->_shortNames), array_keys($this->_shortNames));
	}

	function getLanguageNameByCode($short = null){
	    $short = ($short === 'es-us') ? 'es' : $short;

	    if($short && isset($this->_longNames[$short])){
	        return $this->_longNames[$short];
	    }
	}

    /**
     * Check is language exist by code
     *
     * @param string $code Language short name.
     *
     * @return boolean
     */
    public function hasCode($code) {
        $code = ($code === 'es-us') ? 'es' : $code;

        return in_array($code, $this->_shortNames);
    }
}
