<?php

class Logger {

	private $logLevel = null;
	private $ident = null;
	
	
	private static $_Instances = array();
	
	public static function getInstance($ident) {
		if (!isset(self::$_Instances[$ident])) {
			self::$_Instances[$ident] = new Logger($ident);
		}
		return self::$_Instances[$ident];
	}
	
	public function __construct($ident) {
		if (isset(self::$_Instances[$ident])) {
			throw new Exception("Cannot define 2nd instance of Singleton '{$ident}'");
		}
		self::$_Instances[$ident] = $this;

		$this->logLevel = 3;
		$this->ident = $ident;
	}

	private function getIdent($line=null){
		if($line!==null){
			return $this->ident.'['.$line.']';
		}
		return $this->ident;
	}

	public function error ($line, $str){
		if ($this->logLevel > 0){
			openlog($this->getIdent($line), LOG_PID, LOG_LOCAL0);
			syslog(LOG_ERR, $str);
			closelog();
		}
	}
	
	public function warning ($line, $str){
		if ($this->logLevel > 1){
			openlog($this->getIdent($line), LOG_PID, LOG_LOCAL0);
			syslog(LOG_WARNING, $str);
			closelog();
		}
	}
	
	public function info ($line, $str){
		if ($this->logLevel > 2){
			openlog($this->getIdent($line), LOG_PID, LOG_LOCAL0);
			syslog(LOG_INFO, $str);
			closelog();
		}
	}
}