<?php
/**
 * WMSProxy
 *
 * @author ITeam[Odessa]
 * @copyright Wildix
 */
class WMSProxy {
	private $__regList;
	private $__funcsList;
	private $__obj				= null;
	private $__class_name		= null;
	private $__class_expect		= 'newclass';
	private $__action_expect	= 'action';
	private $__response			= array('TITLE'=>'','BODY'=>'','ERRORS'=>'');
	public $toJSON				= '{}';
	public $action				= null;
	public $mode				= 'proxy';

	/**
	 * Class constructor
	 *
	 * @param boolean $emptyclass_mode
	 * @return boolean
	 */
	function __construct($emptyclass_mode = false) {
		if ($emptyclass_mode === true) {
			$this->__class_name = '__none__';
		}

		if (is_null($this->__class_name)) {
			if (isset($_REQUEST[$this->__class_expect]) && is_string($_REQUEST[$this->__class_expect])) {
				if (version_compare('5.0.0', phpversion(), '<=')) {
					$this->__class_name = $_REQUEST[$this->__class_expect];
				} else {
					$this->__class_name = strtolower($_REQUEST[$this->__class_expect]);
				}
			} else {
				return false;
			}
		}

		if (@!in_array($this->__class_name, get_declared_classes()) && $this->__class_name !== '__none__') {
			$this->__response['ERRORS'] = 'Unknown class name ' . $this->__class_name;
			$this->show_response();
		}

		if ($this->__class_name === '__none__') {
			$this->__class_name = '__empty_class';
		}

        $this->__funcsList = array();
		$this->__regList = array();

		if (!isset($GLOBALS['wmsproxy'][$this->__class_name])) {
			if (is_callable(array($this->__class_name, 'getInstance'))) {
				//$this->__obj = call_user_func('getInstance', $this->__class_name);
				$this->__obj = call_user_func($this->__class_name . '::' . 'getInstance');
			} else {
				$this->__obj = new $this->__class_name;
			}
			$GLOBALS['wmsproxy'][$this->__class_name] = $this->__obj;
		}

		if (is_object($GLOBALS['wmsproxy'][$this->__class_name])) {
			$this->__obj = $GLOBALS['wmsproxy'][$this->__class_name];
		}
		return true;
	}

	/**
	 * Class destructor
	 *
	 * @return boolean
	 */
	function __destruct() {
		unset($this->__obj);
		return true;
	}

	/**
	 * Function for registreting user function for processing requests
	 *
	 * @param 	string 	$wrapName 	Name for selelecting _REQUEST[$this->__action_expect]
	 * @param 	string	$funcName	User function name for processing
	 * @param 	array	$params		Array of params for user function
	 */
	function register_function($wrapName, $funcName, $params = array())	{
		$this->__regList[$wrapName]['name'] = $funcName;
		$this->__regList[$wrapName]['params'] = $params;
	}

	/**
	 * Function for registreting object method for processing requests
	 *
	 * @param 	string 	$wrapName 	Name for selelecting _REQUEST[$this->__action_expect]
	 * @param 	string	$methodName	Method name of object for processing
	 * @param 	array	$params		Array of params for user function
	 */
	function wrap_function($wrapName, $methodName, $params = array()) {
		$this->__funcsList[$wrapName]['name'] = $methodName;
		$this->__funcsList[$wrapName]['params'] = $params;
	}

	/**
	 * Processing
	 *
	 * @param 	void
	 * @return 	bool
	 */
	function processing() {
		if (!is_object($this->__obj)) {
			return false;
		}
		ob_start();
		unset($this->__response['ACL'], $this->__response['ACLBODY'], $this->__response['ADDMSG']);
		$__select = $this->mode == 'proxy' ? $_REQUEST[$this->__action_expect] : $this->action;
		if (isset($__select) && !is_null($__select)) {
			$this->__response['TITLE'] = get_class($this->__obj);
			if (is_array($this->__regList[$__select])) {
				if (!function_exists($this->__regList[$__select]['name'])) {
					return false;
				}
				call_user_func_array(
					$this->__regList[$__select]['name'],
					array_merge(
						array(&$this->__obj, &$this->__response),
						$this->__regList[$__select]['params']
					)
				);
			} else {
				if (!method_exists($this->__obj, $this->__funcsList[$__select]['name'])) {
					return false;
				}
				if (!is_array($this->__funcsList[$__select]['params'])) {
					$this->__funcsList[$__select]['params'] = array($this->__funcsList[$__select]['params']);
				}
				$result = call_user_func_array(
					array(
						&$this->__obj,
						$this->__funcsList[$__select]['name']
					),
					$this->__funcsList[$__select]['params']
				);

				if(is_array($result)){
					$arr = array('totalRecords', 'startIndex', 'rowsPerPage', 'sortKey', 'sortDir','WARNINGS');
					foreach($arr as $i ){
						if(isset($result[$i])){
							$this->__response[$i] = $result[$i];
							unset($result[$i]);
						}
					}
				}

				$this->__response[$result === true || is_array($result) ? 'BODY' : 'ERRORS'] = $result;
			}

			// if in object defined 'var err' as WMSError Object
			// Should be: $obj->err = (is_object($wmsErr)) ? $wmsErr : new WMSErrors();
			if (property_exists(get_class($this->__obj), 'err') && !empty($this->__obj->err->errors)) {
				$this->__response['ADDMSG'] = $this->__obj->err->errors;
				$this->__obj->err->flashErrors();
			}

			// get other echo
			//$othermsg = strip_tags(ob_get_contents());
			$othermsg = ob_get_contents();

			if ($othermsg !== '') {
				$this->__response['ERRORS'] = $othermsg;
			}

			ob_clean();

			$this->show_response();
		} else {
			return false;
		}
	}

	function setObject($classname) {
		if (is_object($classname)) {
			$this->__obj = &$classname;
			$this->__class_name = get_class($this->__obj);
		} elseif (@in_array($classname,get_declared_classes())) {
			$this->__class_name = $classname;
			if (is_callable(array($this->__class_name, 'getInstance'))) {
				$this->__obj = call_user_func($this->__class_name . '::' . 'getInstance');
			} else {
				$this->__obj = new $this->__class_name;
			}
		} else {
			return false;
		}
	}

	/**
	 * Show response in JSON
	 *
	 * @return string JSON
	 * @author unknown
	 */
	function show_response() {
		$this->toJSON = json_encode($this->__response);
		if ($this->mode == 'proxy') {
			ob_clean();
			if (sizeof($_FILES) == 0 && !isset($_REQUEST['upload'])) {
				header("Content-Type: application/json\n");
			}
			die($this->toJSON);
		}
	}
}

class __empty_class {}
