<?php

function WMS_Utils_get_normalization_variables() {
    $extensionsVars = \Wildix\Dialplan\ExtensionsVariables::getInstance();

    return array(
        'GINTERNATIONAL_PREFIX' => $extensionsVars->get(\Wildix\Dialplan\ExtensionsVariables::INTERNATIONAL_PREFIX),
        'GNATIONAL_PREFIX' => $extensionsVars->get(\Wildix\Dialplan\ExtensionsVariables::NATIONAL_PREFIX),
        'GCOUNTRY_CODE' => $extensionsVars->get(\Wildix\Dialplan\ExtensionsVariables::COUNTRY_CODE),
    );
}

function WMS_Utils_normalize_the_number($value, $international_prefix, $national_prefix, $country_code) {
    static $phoneNumberNormalizer;

    if (!isset($phoneNumberNormalizer)) {
        $phoneNumberNormalizer = new \Wildix\Normalizer\PhoneNumberNormalizer($international_prefix, $national_prefix, $country_code);
    }

    return $phoneNumberNormalizer->normalize($value) ?? '';
}

/**
 * filters the number removing all symbols but +, [0-9], *, #.
 *
 * @param string $number - the number to filter
 * @return string - filtered number
 *
*/
function WMS_Utils_filter_the_number($number) {
    return preg_replace('/[^\*\#\+0-9]/', '', $number);
}

function WMS_Utils_filter_the_number_e164($number) {
    return preg_replace('/[^\+0-9]/', '', $number);
}
