<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
  	  <form id="main_form" onsubmit="return false;">
  	  	<table class="form" >
  	  		<xsl:apply-templates select="//ctl"/>
  	  	</table>
  	  </form>
  </xsl:template>

  <xsl:template match="ctl">
  	<tr>
	<xsl:if test=".//display != 1">
      <xsl:attribute name="style">display:none</xsl:attribute>
    </xsl:if>
  	<xsl:choose>
  		 <xsl:when test="static">
  		 	<xsl:apply-templates select="static"/>
  		 </xsl:when>
  		 <xsl:when test="textbox">
  		 	<xsl:apply-templates select="textbox"/>
  		 </xsl:when>
		 <xsl:when test="textboxadv">
  		 	<xsl:apply-templates select="textboxadv"/>
  		 </xsl:when>
  		 <xsl:when test="imgbox">
  		 	<xsl:apply-templates select="imgbox"/>
  		 </xsl:when>
  		 <xsl:when test="imgboxadv">
  		 	<xsl:apply-templates select="imgboxadv"/>
  		 </xsl:when>
  		 <xsl:when test="checkbox">
  		 	<xsl:apply-templates select="checkbox"/>
  		 </xsl:when>
		 <xsl:when test="checkboxadv">
  		 	<xsl:apply-templates select="checkboxadv"/>
  		 </xsl:when>
		 <xsl:when test="checktext">
  		 	<xsl:apply-templates select="checktext"/>
		 </xsl:when>
		 <xsl:when test="checktextadv">
  		 	<xsl:apply-templates select="checktextadv"/>
  		 </xsl:when>
  		 <xsl:when test="list">
  		 	<xsl:apply-templates select="list"/>
  		 </xsl:when>
		 <xsl:when test="listadv">
  		 	<xsl:apply-templates select="listadv"/>
  		 </xsl:when>
  		 <xsl:when test="multilist">
  		 	<xsl:apply-templates select="multilist"/>
  		 </xsl:when>
  		 <xsl:when test="multilistadv">
  		 	<xsl:apply-templates select="multilistadv"/>
  		 </xsl:when>
  		 <xsl:when test="custom">
  		 	<xsl:apply-templates select="custom"/>
  		 </xsl:when>
  		 <xsl:when test="hidden">
  		 	<xsl:apply-templates select="hidden"/>
  		 </xsl:when>
  		 <xsl:when test="button">
  		 	<xsl:apply-templates select="button"/>
  		 </xsl:when>
		 <xsl:when test="textarea">
  		   <xsl:apply-templates select="textarea"/>
  		 </xsl:when>
		 <xsl:when test="textareaadv">
  		   <xsl:apply-templates select="textareaadv"/>
  		 </xsl:when>
  	</xsl:choose>
  	</tr>
  </xsl:template>

  <xsl:template match="static">
	 <td></td>
  	 <th><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></th>
  	 <td>
  	 	<xsl:value-of select="value"/>
  	 	<input type="hidden" value="{value}" id="{id}" name="{id}" /><br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="textbox">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></th>
  	<td>
  		<input type="text" class="{class}" value="{value}" name="{id}" id="{id}" maxlength="{maxlength}" size="{size}" /><br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="textboxadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck">
  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('{id}').disabled = !this.checked;this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th><label><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
  		<input type="text" value="{value}" name="{id}" id="{id}" maxlength="{maxlength}" size="{size}">
		<xsl:if test="./cstatus = 0">
		  <xsl:attribute name="disabled">disabled</xsl:attribute>
		</xsl:if>
		</input><br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="imgbox">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></th>
  	<td>
  		<div class="{id}">
  			<div id="{id}"></div>
  			<br/>
  			<input id="{id}_remove" type="button" value="{text_remove}" />
	        <input id="{id}_status" type="hidden" value="{value_status}" />
	        <input id="{id}_url" type="hidden" value="{value}" />
	        <div id="{id}_error"></div>
  		</div>
        <div id="{id}_image"></div>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="imgboxadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck" style="vertical-align:top;">
  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('{id}').style.display = !this.checked?'none':'block';this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th><label><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
  		<div class="{id}">
  			<div id="{id}"  style="display:none;"></div>
  			<br/>
	        <input id="{id}_status" type="hidden" value="{value_status}" />
	        <input id="{id}_url" type="hidden" value="{value}" />
	        <div id="{id}_error"></div>
  		</div>
        <div id="{id}_image"></div>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="checkbox">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th><label for="__{id}"><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
		<xsl:if test="label2 and label2!=''">
		<label class="{label2Class}" for="__{id}"><xsl:value-of select="label2"/></label>
		</xsl:if>
  	  <input type="checkbox" name="__{id}" id="__{id}" onclick="$('{id}').value = this.checked ? '{check}' : '{uncheck}';">
        <xsl:if test="./check = ./value">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="{id}" name="{id}" value="{value}" />
  	  <small><label for="__{id}"><xsl:value-of select="description"/></label></small>
  	 </td>
  </xsl:template>

  <xsl:template match="checkboxadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck">

  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('{id}').disabled = !this.checked;$('__{id}').disabled = !this.checked;this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th><label for="__{id}"><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
		<xsl:if test="label2 and label2!=''">
			<label class="{label2Class}" for="c__{id}"><xsl:value-of select="label2"/></label>
		</xsl:if>
  	  <input type="checkbox" name="__{id}" id="__{id}" onclick="$('{id}').value = this.checked ? '{check}' : '{uncheck}';">
        <xsl:if test="./check = ./value">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
		<xsl:if test="./cstatus = 0">
		  <xsl:attribute name="disabled">disabled</xsl:attribute>
		</xsl:if>
      </input>
      <input type="hidden" id="{id}" name="{id}" value="{value}" />
  	  <small><label for="__{id}"><xsl:value-of select="description"/></label></small>
  	 </td>
  </xsl:template>

  <xsl:template match="checktextadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck">
  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('__{id}').disabled = !this.checked; $('{id}').disabled = !this.checked?true:(!$('__{id}').checked);this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th><label for="__{id}"><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
  		<input type="checkbox" name="__{id}" id="__{id}" onclick="$('status_{id}').value = (+this.checked); $('{id}').disabled = !this.checked; if($('delay_{id}'))  $('delay_{id}').disabled = !this.checked;">
            <xsl:if test="./status = 1">
              <xsl:attribute name="checked">checked</xsl:attribute>
            </xsl:if>
			<xsl:if test="./cstatus = 0">
			  <xsl:attribute name="disabled">disabled</xsl:attribute>
			</xsl:if>
        </input>

        <input type="hidden" id="status_{id}" name="status_{id}" value="{status}" />

		<input type="text" value="{value}" name="{id}" id="{id}" maxlength="{maxlength}" size="{size}" >
		  <xsl:if test="./status = 0">
            <xsl:attribute name="disabled">disabled</xsl:attribute>
          </xsl:if>
		  <xsl:if test="./cstatus = 0">
			  <xsl:attribute name="disabled">disabled</xsl:attribute>
			</xsl:if>
		</input>
		<xsl:if test="labelDelay and labelDelay!=''">
			<label for="delay_{id}">
				<xsl:attribute name="class">label2</xsl:attribute>
				<xsl:value-of select="labelDelay"/>
			</label>
			<input type="text" value="{delay}" name="delay_{id}" id="delay_{id}" maxlength="" size="14" >
			  <xsl:if test="./status = 0">
	            <xsl:attribute name="disabled">disabled</xsl:attribute>
	          </xsl:if>
	          <xsl:if test="./cstatus = 0">
			  	<xsl:attribute name="disabled">disabled</xsl:attribute>
			  </xsl:if>
	          <xsl:attribute name="class">input2</xsl:attribute>
			</input>
  		</xsl:if>
  		<br/>
  	 	<small><label for="__{id}"><xsl:value-of select="description"/></label></small>
  	 </td>
  </xsl:template>

  <xsl:template match="checktext">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th><label for="__{id}"><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
  		<input type="checkbox" name="__{id}" id="__{id}" onclick="$('status_{id}').value = (+this.checked); $('{id}').disabled = !this.checked; if($('delay_{id}')) $('delay_{id}').disabled = !this.checked;">
            <xsl:if test="./status = 1">
              <xsl:attribute name="checked">checked</xsl:attribute>
            </xsl:if>
        </input>

        <input type="hidden" id="status_{id}" name="status_{id}" value="{status}" />

		<input type="text" value="{value}" name="{id}" id="{id}" maxlength="{maxlength}" size="{size}" >
		  <xsl:if test="./status = 0">
            <xsl:attribute name="disabled">disabled</xsl:attribute>
          </xsl:if>
		</input>
		<xsl:if test="labelDelay and labelDelay!=''">
			<label for="delay_{id}">
				<xsl:attribute name="class">label2</xsl:attribute>
				<xsl:value-of select="labelDelay"/>
			</label>
			<input type="text" value="{delay}" name="delay_{id}" id="delay_{id}" maxlength="" size="14" >
			  <xsl:if test="./status = 0">
	            <xsl:attribute name="disabled">disabled</xsl:attribute>
	          </xsl:if>
	          <xsl:attribute name="class">input2</xsl:attribute>
			</input>
  		</xsl:if>
		<br/>

  	 	<small><label for="__{id}"><xsl:value-of select="description"/></label></small>
  	 </td>
  </xsl:template>

  <xsl:template match="listadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck" valign="top">
  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('{id}').disabled = !this.checked; this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th>
  		<xsl:if test="label and label!=''">
  			<label><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label>
  		</xsl:if>
  	</th>
  	<td>
  		<xsl:if test="label2 and label2!=''">
  			<label for="{id}"><xsl:value-of select="label2"/></label>
  		</xsl:if>
  		<select id="{id}" name="{id}" style="{style}">
  			<xsl:if test="event">
  				<xsl:attribute name="onchange"><xsl:value-of select="event"/></xsl:attribute>
  			</xsl:if>
			<xsl:if test="multiple">
  				<xsl:attribute name="multiple"></xsl:attribute>
  			</xsl:if>
			<xsl:if test="./cstatus = 0">
	            <xsl:attribute name="disabled">disabled</xsl:attribute>
			</xsl:if>
  			<xsl:for-each select="data">
			  <option>
			  	<xsl:choose>
  				  <xsl:when test="./@value">
					<xsl:attribute name="value"><xsl:value-of select="./@value"/></xsl:attribute>

					<xsl:choose>
					  <xsl:when test="multiple">
						<xsl:for-each select="value">

						  <xsl:if test="current()/@value = value">
	  		 				<xsl:attribute name="selected">selected</xsl:attribute>
	  		 			  </xsl:if>

						</xsl:for-each>
					  </xsl:when>
  					  <xsl:otherwise>
						<xsl:if test="current()/@value = ../value">
	  		 			  <xsl:attribute name="selected">selected</xsl:attribute>
	  		 			</xsl:if>
	  		 		  </xsl:otherwise>
					</xsl:choose>

  				  </xsl:when>
  				  <xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>

					<xsl:if test="current() = ../value">
	  		 		  <xsl:attribute name="selected">selected</xsl:attribute>
	  		 		</xsl:if>

  				  </xsl:otherwise>
  				</xsl:choose>

	  		 	<xsl:value-of select="."/>
	  		  </option>
  			</xsl:for-each>
  		</select>
		<xsl:value-of select="content"/>
		<br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="list">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th>
  		<xsl:if test="label and label!=''">
  			<xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small>
  		</xsl:if>
  	</th>
  	<td>
  		<xsl:if test="label2 and label2!=''">
  			<label for="{id}"><xsl:value-of select="label2"/></label>
  		</xsl:if>
  		<select id="{id}" name="{id}" style="{style}">
  			<xsl:if test="event">
  				<xsl:attribute name="onchange"><xsl:value-of select="event"/></xsl:attribute>
  			</xsl:if>
			<xsl:if test="multiple">
  				<xsl:attribute name="multiple"></xsl:attribute>
  			</xsl:if>
  			<xsl:for-each select="data">
			  <option>
			  	<xsl:choose>
  				  <xsl:when test="./@value">
					<xsl:attribute name="value"><xsl:value-of select="./@value"/></xsl:attribute>

					<xsl:choose>
					  <xsl:when test="multiple">
						<xsl:for-each select="value">

						  <xsl:if test="current()/@value = value">
	  		 				<xsl:attribute name="selected">selected</xsl:attribute>
	  		 			  </xsl:if>

						</xsl:for-each>
					  </xsl:when>
  					  <xsl:otherwise>
						<xsl:if test="current()/@value = ../value">
	  		 			  <xsl:attribute name="selected">selected</xsl:attribute>
	  		 			</xsl:if>
	  		 		  </xsl:otherwise>
					</xsl:choose>

  				  </xsl:when>
  				  <xsl:otherwise>
					<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>

					<xsl:if test="current() = ../value">
	  		 		  <xsl:attribute name="selected">selected</xsl:attribute>
	  		 		</xsl:if>

  				  </xsl:otherwise>
  				</xsl:choose>

	  		 	<xsl:value-of select="."/>
	  		  </option>
  			</xsl:for-each>
  		</select>
		<xsl:value-of select="content"/>
		<br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="multilist">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th><label><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
  		<table border="0"><tr><td align="center">
  		<xsl:value-of select="leftlabel"/><br/>
  		<select id="__L{id}" name="__L{id}" multiple="multiple" class="multilist_{id}" ondblclick="_moveRight($('{id}'),this);">
		  <xsl:if test="count(data) > 0">
  			<xsl:for-each select="data">
  				<xsl:if test="not(current() = ../value)">
		  		 	<option value="{.}">
					  <xsl:if test="../readonly">
						<xsl:if test="current() = ../readonly">
						  <xsl:attribute name="disabled">disabled</xsl:attribute>
						</xsl:if>
					  </xsl:if>
					  <xsl:value-of select="."/>
		  		 	</option>
	  		 	</xsl:if>
  			</xsl:for-each>
		  </xsl:if>
  		</select><br/>
  		</td><td>
  			<input class="but20" type="button" onclick="_moveRight($('{id}'),$('__L{id}'));" value="&gt;&gt;" /><br/>
  			<input class="but20" type="button" onclick="_moveLeft($('{id}'),$('__R{id}'));" value="&lt;&lt;" />
  		</td><td align="center">
  		<xsl:value-of select="rightlabel"/><br/>
  		<input type="hidden" name="{id}" id="{id}" >
  			<xsl:attribute name="value">
  				<xsl:for-each select="value">
  					<xsl:choose>
  						<xsl:when test="not (position() = last())">
  							<xsl:value-of select="concat(.,',')"/>
  						</xsl:when>
  						<xsl:otherwise>
  							<xsl:value-of select="."/>
  						</xsl:otherwise>
  					</xsl:choose>
  				</xsl:for-each>
  			</xsl:attribute>
  		</input>
  		<select id="__R{id}" name="__R{id}" multiple="multiple" class="multilist_{id}" ondblclick="_moveLeft($('{id}'),this);">
		  <xsl:if test="not(./value = '')">
  			<xsl:for-each select="value">
	  		 	<option value="{.}">
				  <xsl:if test="../readonly">
					<xsl:if test="current() = ../readonly">
					  <xsl:attribute name="disabled">disabled</xsl:attribute>
					</xsl:if>
				  </xsl:if>
				  <xsl:value-of select="."/>
	  		 	</option>
  			</xsl:for-each>
		  </xsl:if>
  		</select><br/>
  		</td></tr></table>
  	 </td>
  </xsl:template>

  <xsl:template match="multilistadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck" valign="top">
  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('__L{id}').disabled=!this.checked;$('__R{id}').disabled=!this.checked;$('{id}').disabled=!this.checked;$('but_R{id}').disabled=!this.checked;$('but_L{id}').disabled=!this.checked;this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th><label><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
  		<table border="0"><tr><td align="center">
  		<xsl:value-of select="leftlabel"/><br/>
  		<select id="__L{id}" name="__L{id}" multiple="multiple" class="multilist_{id}" ondblclick="_moveRight($('{id}'),this);">
		  <xsl:if test="./cstatus = 0">
			<xsl:attribute name="disabled">disabled</xsl:attribute>
		  </xsl:if>
		  <xsl:if test="count(data) > 0">
  			<xsl:for-each select="data">
  				<xsl:if test="not(current() = ../value)">
		  		 	<option value="{.}">
					  <xsl:if test="../readonly">
						<xsl:if test="current() = ../readonly">
						  <xsl:attribute name="disabled">disabled</xsl:attribute>
						</xsl:if>
					  </xsl:if>
					  <xsl:value-of select="."/>
		  		 	</option>
	  		 	</xsl:if>
  			</xsl:for-each>
		  </xsl:if>
  		</select><br/>
  		</td><td>
  			<input class="but20" id="but_L{id}" type="button" onclick="_moveRight($('{id}'),$('__L{id}'));" value="&gt;&gt;">
			  <xsl:if test="./cstatus = 0">
				<xsl:attribute name="disabled">disabled</xsl:attribute>
			  </xsl:if>
			</input><br/>
  			<input class="but20" id="but_R{id}" type="button" onclick="_moveLeft($('{id}'),$('__R{id}'));" value="&lt;&lt;" >
			  <xsl:if test="./cstatus = 0">
				<xsl:attribute name="disabled">disabled</xsl:attribute>
			  </xsl:if>
			</input><br/>
  		</td><td align="center">
  		<xsl:value-of select="rightlabel"/><br/>
  		<input type="hidden" name="{id}" id="{id}" >
  			<xsl:attribute name="value">
  				<xsl:for-each select="value">
  					<xsl:choose>
  						<xsl:when test="not (position() = last())">
  							<xsl:value-of select="concat(.,',')"/>
  						</xsl:when>
  						<xsl:otherwise>
  							<xsl:value-of select="."/>
  						</xsl:otherwise>
  					</xsl:choose>
  				</xsl:for-each>
  			</xsl:attribute>
  		</input>
  		<select id="__R{id}" name="__R{id}" multiple="multiple" class="multilist_{id}" ondblclick="_moveLeft($('{id}'),this);">
		  <xsl:if test="./cstatus = 0">
			<xsl:attribute name="disabled">disabled</xsl:attribute>
		  </xsl:if>
		  <xsl:if test="not(./value = '')">
  			<xsl:for-each select="value">
	  		 	<option value="{.}">
				  <xsl:if test="../readonly">
					<xsl:if test="current() = ../readonly">
					  <xsl:attribute name="disabled">disabled</xsl:attribute>
					</xsl:if>
				  </xsl:if>
				  <xsl:value-of select="."/>
	  		 	</option>
  			</xsl:for-each>
		  </xsl:if>
  		</select><br/>
  		</td></tr></table>
  	 </td>
  </xsl:template>

  <xsl:template match="custom">
  	 <td colspan="3"><div>
		 <xsl:if test="id">
		   <xsl:attribute name="id"><xsl:value-of select="id"/></xsl:attribute>
		 </xsl:if>
		 <xsl:if test="class">
		   <xsl:attribute name="class"><xsl:value-of select="class"/></xsl:attribute>
		 </xsl:if>
		 <xsl:copy-of select="content"/>
	 </div></td>
  </xsl:template>

  <xsl:template match="hidden">
  	 <td><input type="hidden" value="{value}" id="{id}" name="{id}"/></td>
  </xsl:template>

  <xsl:template match="button">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
  	 <td colspan="3"><input type="button" class="{class}" onclick="{event}" value="{value}" id="{id}" name="{id}"/></td>
  </xsl:template>

  <xsl:template match="textarea">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<td></td>
  	<th><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></th>
  	<td>
  		<textarea name="{id}" id="{id}" ><xsl:value-of select="value"/></textarea><br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

  <xsl:template match="textareaadv">
	<xsl:if test="trclass">
      <xsl:attribute name="class"><xsl:value-of select="trclass"/></xsl:attribute>
    </xsl:if>
	<xsl:if test="./cstatus = 0">
	  <xsl:attribute name="class"><xsl:value-of select="trclass"/> disabled</xsl:attribute>
	</xsl:if>
	<td class="ccheck" valign="top">
  	  <input type="checkbox" name="c__{id}" id="c__{id}" onclick="$('c_{id}').value = this.checked ? '{ccheck}' : '{cuncheck}';$('{id}').disabled = !this.checked; this.parentNode.parentNode[!this.checked?'addClassName':'removeClassName']('disabled')">
        <xsl:if test="./cstatus = 1">
          <xsl:attribute name="checked">checked</xsl:attribute>
        </xsl:if>
      </input>
      <input type="hidden" id="c_{id}" name="c_{id}" value="{value}" />
  	</td>
  	<th><label><xsl:value-of select="label"/><br/><small><xsl:value-of select="label_description"/></small></label></th>
  	<td>
	  <textarea name="{id}" id="{id}" >
		<xsl:if test="./cstatus = 0">
		  <xsl:attribute name="disabled">disabled</xsl:attribute>
		</xsl:if>
		<xsl:value-of select="value"/>
		</textarea><br/>
  	 	<small><xsl:value-of select="description"/></small>
  	 </td>
  </xsl:template>

</xsl:stylesheet>
