<?php

require_once("init.php");
ini_set("include_path", BASEPATH . ':' . ini_get("include_path"));
$ip = $_SERVER['REMOTE_ADDR'];
$multipbx_class = new multipbx();
$wmsnet_info = $multipbx_class->get_pbx_net_conf();
$wmsnet_master_ip = $wmsnet_info['CLIENT_IP'];

// WMS-4476. check if remote ip included in wms-network range
$startRange   = ip2long($wmsnet_master_ip);
$endRange     = 84870142; // ip2long('5.15.3.254')
$remoteIpAddr = ip2long($ip);

if(($_REQUEST['action'] !== 'ConnectMe') && ($_REQUEST['action'] !== 'getUser') && ($remoteIpAddr > $endRange || $remoteIpAddr < $startRange)){
    logger('Communicate script allowed access only from wms-network. Got request from: ' . $ip);
    header('HTTP/1.0 403 Forbidden');
    exit(0);
}

ob_start();

switch ($_REQUEST['action']) {
	// {{
	/* action getUser get user settings/features lua file (used for import features from another pbx)*/
	case 'getUser':
		$userid = !empty($_REQUEST['userId']) ? basename($_REQUEST['userId']) : '';

		if (empty($userid) || !$userdir = get_users_settings_dir()) {
			return false;
		}

		if (!file_exists($filename = $userdir . $userid . '.lua')) {
			require_once('features/features.functions.php');
			$userdata = getUserFeatures($userid);
			if (sizeof($userdata) == 0) {
				die();
			} else {
				saveFeaturesToUserFile($userid, $userdata);
			}
		}

		$read_mode = 'rb';
		$mime_type = 'application/octet-stream';
		if ($fp = fopen($filename, $read_mode)) {
			$filesize = filesize($filename);
			header("Content-Type: $mime_type\n");
			header("Content-Length: " . $filesize);
			fpassthru($fp);
		}

		break;
	// }}

	/* action removeUser remove user settings/features lua file */
	case 'removeUser':
        $userid = !empty($_POST['userId']) ? basename($_POST['userId']) : '';

		if (empty($userid) || !$userdir = get_users_settings_dir()) {
			return false;
		}

		if (file_exists($filename = $userdir . $userid . '.lua')) {
			unlink($filename);
		}
		if (
		    file_exists($filename_avatar=$userdir .'avatars/user_avatar_'. $userid . '.png')
            || file_exists($filename_avatar=$userdir . 'avatars/user_avatar_'. $userid . '.jpg')
        ) {
			unlink($filename_avatar);
		}
		break;
}
