<?php
namespace CTI;
/**
 * Class creates scortcuts for main classes
 *
 * @copyright Wildix
 * @version 1.0
 * @package Base
 */
class Helper {
    private static $_instances = array();

    public static function getInstance(){
        if (!isset(self::$_instances[$className = get_called_class()])) {
            self::$_instances[$className] = new $className();
        }
        return self::$_instances[$className];
    }

    public function ses() {
        return \CTI\Session::getInstance();
    }

    public function cfg() {
        return \CTI\Config::getInstance();
    }

    public function usr() {
        return \CTI\User::getInstance();
    }

    public function lng($name) {
        return \CTI\Langs::getInstance()->get($name);
    }

    public function request() {
        return \CTI\Request::getInstance();
    }


    public function isCTIMounted(){
        $ctiPatch = '/mnt/cticonnect';
        return $this->isCustomShareMounted($ctiPatch);
    }


    public function isCustomShareMounted($path){
        return \Models\PBX::getInstance()->isCustomShareMounted($path);
    }

}