<?php
namespace CTI;
use Api\Translation\Enums\LanguagesEnum;

/**
 * Abstract class for language classes instances
 *
 * @copyright Wildix
 * @version 1.0
 * @package Base
 */
class Lang {
    /**
     * Lang translates
     * @var array
     */
    private $texts = [];

    public function __construct(string $key) {
        $this->loadDictionary($key);
    }

    /**
     * Method gets translate from texts
     * @param string $name Text name
     * @return string Text
     */
    public function get($name = false) {
    	if ($name == false) {
    		return $this->texts;
    	} else {
    		return $this->texts[$name] == NULL ? $name : $this->texts[$name];
    	}

    }

    public function getAllJson() {
        return json_encode($this->texts);
    }

    protected function loadDictionary(string $key): void {
        $this->texts = LanguagesEnum::getCollaborationDictionaryByCode($key);
    }

}
