<?php
namespace CTI;
/**
 * Languages Factory
 * Class uses singleton pattern (can be called without creating object)
 *
 * @copyright Wildix
 * @version 1.0
 * @package Base
 */
class Langs {

    private static $object = false;
    private $lang;

    /**
     * Method checks current language and gets instance of needed instance
     */
    private function __construct() {
        $this->lang = new Lang(User::getInstance()->get(User::USER_DATA, 'preferredLanguage'));
    }

    public static function getInstance() {
        return self::$object == false ? self::$object = new \CTI\Langs() : self::$object;
    }

    /**
     * Method returns text from created language
     * @param string $name Text name
     * @return string Text
     */
    public function get($name = false) {
        return $this->lang->get($name);
    }

    public function getAllJson() {
        return $this->lang->getAllJson();
    }
}
