<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<xsl:template match="/">
    <html>
        <head>
            <meta http-equiv="Content-type" content="text/html;charset=UTF-8" />

            <title>/root/@collaboration</title>

            <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

            <link rel="shortcut icon" type="image/x-icon">
                <xsl:attribute name="href">../<xsl:value-of select="/root/@favicon" />?version-<xsl:value-of select="/root/@version" /></xsl:attribute>
            </link>

            <link rel="stylesheet" type="text/css">
                <xsl:attribute name="href">../collaboration/dist/auth/style.css?version-<xsl:value-of select="/root/@version" /></xsl:attribute>
            </link>

            <xsl:if test="/root/@custom_css != ''">
                <link href="" rel="stylesheet" type="text/css">
                    <xsl:attribute name="href">../<xsl:value-of select="/root/@custom_css" />?version-<xsl:value-of select="/root/@version" /></xsl:attribute>
                </link>
            </xsl:if>

        </head>

        <body>

            <section class="page-wrapper try-log-from-another-pbx">

                <header class="page-wrapper__header">

                    <div class="logo">
                        <a class="logo__link" href="" target="_blank" >
                            <xsl:attribute name="href"><xsl:value-of select="/root/@site" /></xsl:attribute>
                            <img class="logo__image" src="../authorization/images/logo-wildix.svg" alt="google signon" height="256" width="256" />
                        </a>
                    </div>

                    <div class="welcome-block">
                        <h2 class="welcome-block__title">Welcome</h2>
                        <h4 class="welcome-block__subtitle">to Wildix Collaboration</h4>
                    </div>

                </header>

                <main cclass="page-wrapper__body">

                    <div class="main-wrapper">

                        <div class="user-not-on-this-pbx window-info main-window-wrap">
                            <div class="window-info__main-text">
                                <div><xsl:value-of select="/root/trans_texts/main.DoubleLoginPBXHeader" /></div>
                                <div><xsl:value-of select="/root/trans_texts/main.DoubleLoginPBX" />
                                    <span class="user-not-on-this-pbx__url"><xsl:value-of select="/root/pbxowner_domain" /></span>
                                </div>
                            </div>

                            <div class="confirmation__links flex-container">
                                <div class="window-info__link i-want-to-connect">
                                    <a class="link   i_want" href="./?forced"><xsl:value-of select="/root/trans_texts/main.i_want_to_connect" /></a>
                                </div>
                                <div class="window-info__link link-log-out">
                                    <a class="link  logout" href="../logout/"><xsl:value-of select="/root/trans_texts/buttons.Logout" /></a>
                                </div>
                            </div>

                        </div>

                    </div>

                </main>

            </section>

        </body>
    </html>

</xsl:template>
</xsl:stylesheet>
