<?php
namespace CTI;

/**
 * ModuleAttendantConsole Class.
 */
class ModuleAttendantConsole extends \CTI\DefaultModule {

    public function __construct() {
        parent::__construct('Attendant_console');
    }

    /**
     * Generate parameters for xml output
     *
     * @return void
     */
    public function generate() {
        $extenNumber  = \CTI\User::getInstance()->get(\CTI\User::USER_DATA, 'extenNumber');
        $userDialplan = \CTI\User::getInstance()->get(\CTI\User::USER_DATA, 'userDialplan');

        $enabled = false;
        if (\CTI\Config::getInstance()->get('LICENSE_PRO') == 1
            && \CTI\Config::getInstance()->get('LICENSE_CALL_MAN') == 1
            && \CTI\User::getInstance()->get(\CTI\User::ACL, 'CTI_PO') == 1
        ) {
            $enabled = true;
        }
        $this->moduleTag->setAttribute('enabled', $enabled);

        $this->addTag('button', null, $this->moduleTag);
        $this->addTag('extenNumber', $extenNumber, $this->moduleTag);

        $data = array(
                'userDialplan' => $userDialplan,
                'extenNumber' => $extenNumber,
                'LICENSE_RECORD' => \CTI\Config::getInstance()->get('LICENSE_RECORD'),
        );
        $this->addTag('attendant_consoleData', base64_encode(json_encode($data)), $this->moduleTag);
    }
}
