<?php
namespace CTI;

use Wildix\DependencyInjection\Container;
use Wildix\Microsoft\Office365Service;

/**
 * ModuleCalendar Class.
 */
class ModuleCalendar extends \CTI\DefaultModule implements \CTI\Ajax {

    public function __construct() {
        parent::__construct('Calendar');
    }

    /**
     * AJAX handler.
     *
     * @param string       $action Action.
     * @param object|array $data   Action parameters.
     *
     * @return responce
     */
    public function execute($action, $data) {
        $result = '';
        switch ($action) {
            case 'UPDATE_CALENDAR_SETTINGS':
            case 'UPDATE_CALENDAR_CLOUD_SETTINGS':
                $result = $this->saveCalendarSettings($data);
                break;
            default:
                $result = true;
                break;
        }
        return $result;
    }

    public function saveCalendarSettings($data) {
        \User::getInstance()->getSettings()->setCalendar($data);
        \User::getInstance()->getSettings()->save();
        return true;
    }

    /**
     * Generate parameters for xml output.
     *
     * @return void
     */
    public function generate() {
        $diContainer = new Container();
        $this->moduleTag->setAttribute('enabled', $diContainer->get(Office365Service::class)->isEnabledCalendarIntegration());
        $this->addTag('calendar_settings', null, $this->moduleTag);
        $this->addTag('calendar_cloud_settings', null, $this->moduleTag);
    }
}
