<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

	<xsl:template match="/root/modules/module_calendar">
        <div id="module_calendar">
			<div class="calendar-dialog"></div>
        </div>
    </xsl:template>

    <xsl:template match="/root/modules/module_calendar/calendar_settings">
    	<div>
	        <table border="0">
	        <tr>
				<td class="labels"><label for="calendar_settings_enable"><xsl:value-of select="/root/trans_texts/calendar.outlook.enableSync" /></label></td>
				<td><input class="cti_md cti_md_switch" id="calendar_settings_enable" type="checkbox" name="enable"></input> <i class="fa fa-calendar calendar-log"></i></td>
			</tr>
	        <tr>
				<td class="labels"><label><xsl:value-of select="/root/trans_texts/calendar.statusMapping" /></label></td>
				<td></td>
			</tr>
			<tr>
				<td class="labels level2"><label for="calendar_settings_free"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.Free" /></label></td>
				<td>
					<select id="calendar_settings_free" class="cti_md" name="Free">
						<option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
						<option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
						<option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
					</select>
					<input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_free_show_message" name="show_Free"></input> <label for="calendar_settings_free_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
				</td>
			</tr>
			<tr>
				<td class="labels level2"><label for="calendar_settings_working_elsewhere"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.WorkingElsewhere" /></label></td>
				<td>
					<select id="calendar_settings_working_elsewhere" class="cti_md" name="WorkingElsewhere">
						<option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
						<option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
						<option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
					</select>
					<input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_working_elsewhere_show_message" name="show_WorkingElsewhere"></input> <label for="calendar_settings_working_elsewhere_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
				</td>
			</tr>
			<tr>
				<td class="labels level2"><label for="calendar_settings_tentative"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.Tentative" /></label></td>
				<td>
					<select id="calendar_settings_tentative" class="cti_md" name="Tentative">
						<option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
						<option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
						<option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
					</select>
					<input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_tentative_show_message" name="show_Tentative"></input> <label for="calendar_settings_tentative_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
				</td>
			</tr>
			<tr>
				<td class="labels level2"><label for="calendar_settings_busy"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.Busy" /></label></td>
				<td>
					<select id="calendar_settings_busy" class="cti_md" name="Busy">
						<option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
						<option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
						<option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
					</select>
					<input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_busy_show_message" name="show_Busy"></input> <label for="calendar_settings_busy_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
				</td>
			</tr>
			<tr>
				<td class="labels level2"><label for="calendar_settings_out_of_office"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.OutOfOffice" /></label></td>
				<td>
					<select id="calendar_settings_out_of_office" class="cti_md" name="OutOfOffice">
						<option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
						<option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
						<option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
					</select>
					<input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_out_of_office_show_message" name="show_OutOfOffice"></input> <label for="calendar_settings_out_of_office_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
				</td>
			</tr>
			<tr>
				<td></td>
				<td></td>
			</tr>
			<tr>
				<td class="labels"><label for="calendar_settings_working_hours"><xsl:value-of select="/root/trans_texts/calendar.PublishWorkingHours" /></label></td>
				<td>
					<input id="calendar_settings_working_hours_enable" class="cti_md cti_md_chbox" type="checkbox" name="working_hours_enable"></input>
					<select id="calendar_settings_working_hours" class="cti_md" name="working_hours_status">
						<option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
						<option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
						<option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
					</select>
					<input id="calendar_settings_working_hours_message" class="cti_md" type="text" name="working_hours_message"></input>
				</td>
			</tr>
			<tr>
				<td class="labels"><label for="calendar_settings_hide_private_events"><xsl:value-of select="/root/trans_texts/calendar.HidePrivateEvents" /></label></td>
				<td><input id="calendar_settings_hide_private_events" class="cti_md cti_md_switch" type="checkbox" name="hide_private" checked="checked"></input></td>
			</tr>
			<tr>
                <td class="labels" nowrap="1" valign="top" style="padding-top: 5px;">Popup</td>
                <td style="padding-top: 5px;">
                	<input id="calendar_settings_open_outlook_enable" class="cti_md cti_md_switch" type="checkbox" checked="checked"></input>
                    <div>
                    	<table>
                    	<tr>
                    		<td>
                    			<label for="calendar_settings_open_outlook_incoming_calls_when"><xsl:value-of select="/root/trans_texts/calls.IncomingCall" /></label>
							</td>
                    		<td>
	                    		<select id="calendar_settings_open_outlook_incoming_calls_when" class="cti_md">
			                        <option value="click" selected="selected"><xsl:value-of select="/root/trans_texts/strings.OnClick" /></option>
			                        <option value="ring"><xsl:value-of select="/root/trans_texts/main.ringing" /></option>
			                        <option value="up"><xsl:value-of select="/root/trans_texts/calls.Answer" /></option>
			                    </select>
                    		</td>
                    	</tr>
                    	<tr>
                    		<td>
                    			<label for="calendar_settings_open_outlook_outgoing_calls_when"><xsl:value-of select="/root/trans_texts/calls.OutgoingCall" /></label>
	                    	</td>
                    		<td>
	                    		<select id="calendar_settings_open_outlook_outgoing_calls_when" class="cti_md">
			                        <option value="click" selected="selected"><xsl:value-of select="/root/trans_texts/strings.OnClick" /></option>
			                        <option value="ring"><xsl:value-of select="/root/trans_texts/strings.CallGenerated" /></option>
			                        <option value="up"><xsl:value-of select="/root/trans_texts/calls.Answer" /></option>
			                    </select>
                    		</td>
                    	</tr>
                    	</table>
                    </div>
                </td>
            </tr>
			</table>
	        <div style="margin-top:30px;">
	            <div align="left" class="buttonbox">
	            	<button id="calendar_settings_save" class="cti_md cti_md_bt inverse" type="button"><xsl:value-of select="/root/trans_texts/buttons.Save" /></button>
	            </div>
	        </div>
		</div>
    </xsl:template>

    <xsl:template match="/root/modules/module_calendar/calendar_cloud_settings">
        <div>
            <table border="0">
                <tr>
                    <td class="labels"><label><xsl:value-of select="/root/trans_texts/calendar.statusMapping" /></label></td>
                    <td></td>
                </tr>
                <tr>
                    <td class="labels level2"><label for="calendar_settings_free"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.Free" /></label></td>
                    <td>
                        <select id="calendar_settings_free" class="cti_md" name="Free">
                            <option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
                            <option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
                            <option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
                        </select>
                        <input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_free_show_message" name="show_Free"></input> <label for="calendar_settings_free_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
                    </td>
                </tr>
                <tr>
                    <td class="labels level2"><label for="calendar_settings_working_elsewhere"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.WorkingElsewhere" /></label></td>
                    <td>
                        <select id="calendar_settings_working_elsewhere" class="cti_md" name="WorkingElsewhere">
                            <option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
                            <option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
                            <option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
                        </select>
                        <input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_working_elsewhere_show_message" name="show_WorkingElsewhere"></input> <label for="calendar_settings_working_elsewhere_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
                    </td>
                </tr>
                <tr>
                    <td class="labels level2"><label for="calendar_settings_tentative"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.Tentative" /></label></td>
                    <td>
                        <select id="calendar_settings_tentative" class="cti_md" name="Tentative">
                            <option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
                            <option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
                            <option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
                        </select>
                        <input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_tentative_show_message" name="show_Tentative"></input> <label for="calendar_settings_tentative_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
                    </td>
                </tr>
                <tr>
                    <td class="labels level2"><label for="calendar_settings_busy"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.Busy" /></label></td>
                    <td>
                        <select id="calendar_settings_busy" class="cti_md" name="Busy">
                            <option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
                            <option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
                            <option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
                        </select>
                        <input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_busy_show_message" name="show_Busy"></input> <label for="calendar_settings_busy_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
                    </td>
                </tr>
                <tr>
                    <td class="labels level2"><label for="calendar_settings_out_of_office"><xsl:value-of select="/root/trans_texts/calendar.outlook.status.OutOfOffice" /></label></td>
                    <td>
                        <select id="calendar_settings_out_of_office" class="cti_md" name="OutOfOffice">
                            <option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
                            <option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
                            <option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
                        </select>
                        <input type="checkbox" class="cti_md cti_md_chbox" id="calendar_settings_out_of_office_show_message" name="show_OutOfOffice"></input> <label for="calendar_settings_out_of_office_show_message"><xsl:value-of select="/root/trans_texts/calendar.SetStatusMessage" /></label>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td class="labels"><label for="calendar_settings_working_hours"><xsl:value-of select="/root/trans_texts/calendar.PublishWorkingHours" /></label></td>
                    <td>
                        <input id="calendar_settings_working_hours_enable" class="cti_md cti_md_chbox" type="checkbox" name="working_hours_enable"></input>
                        <select id="calendar_settings_working_hours" class="cti_md" name="working_hours_status">
                            <option value="available"><xsl:value-of select="/root/trans_texts/Status.Online" /></option>
                            <option value="away"><xsl:value-of select="/root/trans_texts/Status.Away" /></option>
                            <option value="dnd"><xsl:value-of select="/root/trans_texts/Status.DoNotDisturb" /></option>
                        </select>
                        <input id="calendar_settings_working_hours_message" class="cti_md" type="text" name="working_hours_message"></input>
                    </td>
                </tr>
                <tr>
                    <td class="labels"><label for="calendar_settings_hide_private_events"><xsl:value-of select="/root/trans_texts/calendar.HidePrivateEvents" /></label></td>
                    <td><input id="calendar_settings_hide_private_events" class="cti_md cti_md_switch" type="checkbox" name="hide_private" checked="checked"></input></td>
                </tr>
            </table>
            <div style="margin-top:30px;">
                <div align="left" class="buttonbox">
                    <button id="calendar_settings_cloud_save" class="cti_md cti_md_bt inverse" type="button"><xsl:value-of select="/root/trans_texts/buttons.Save" /></button>
                </div>
            </div>
        </div>
    </xsl:template>

</xsl:stylesheet>
