<?php
namespace CTI;

/**
 * ModuleChat Class.
 */
class ModuleChat extends \CTI\DefaultModule implements \CTI\Ajax {

    public function __construct() {
        parent::__construct('Chat');
    }

    public function execute($event, $data) {
        $result = '';
        switch ($event) {
            case 'JOIN_TO_CONFERENCE':
                $result = $this->joinToConference($data);
                break;
            default:
                $result = true;
                break;
        }
        return $result;
    }

    private function joinToConference($data) {
        $result = \Wildix\CallFiles::getInstance()->makeJoinToConference($data['number'], $data['conferenceCode'], $data['conferenceName']);
        if ($result === false) {
            return 'fail';
        }
        return 'success';
    }

    public function generate() {
        $this->addTag('tab', null, $this->moduleTag);
        $this->addTag('tab_content', null, $this->moduleTag);
        $this->addTag('chat_template', null, $this->moduleTag);
        $this->addTag('chat_template_date_header', null, $this->moduleTag);
        $this->addTag('chat_template_message', null, $this->moduleTag);
        $this->addTag('chat_history', null, $this->moduleTag);
        $this->addTag('context-menu', null, $this->moduleTag);
    }
}
