<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_chat">
        <div id="module_chat_container" style="display:none;">
            <div class="shelldiv_module_chat_chats"><div id="module_chat_chats"></div></div>
            <div class="shelldiv_module_chat_users"><div id="module_chat_users"></div></div>
            <div style="clear:both" />
        </div>

        <!-- conference -->
        <div id="module_chat_conferences_container"></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/tab">
         <li id="cti_main_tabs_chat_tab" class="main-menu-col__li">
            <a class="main-menu-col__item tooltip" href="#cti_main_tabs_chat">
                <div class="main-menu-col__icon">
                    <svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <use xlink:href="../css/icons-sprite.svg#icon_chat"/>
                    </svg>
                </div>
                <div class="main-menu-col__title">
                    <xsl:value-of select="/root/trans_texts/chat.Chat" />
                </div>
                <div class="tooltip-text tooltip-bottom">
                    <xsl:value-of select="/root/trans_texts/chat.Chat" />
                </div>
           </a>
        </li>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/tab_content">
        <div id="cti_main_tabs_chat">
            <!-- main -->

            <div id="content">
            <table border="0" cellpadding="0" cellspacing="0" style="table-layout: fixed; " width="100%">
                  <tr>
                      <!-- Left column: roster -->
                      <td class="left_column_chat">
                          <div id="list_roster" class="scroll-fix" style="display:none;"></div>
                          <div id="list_roster_mess" style="display:none;"><xsl:value-of select="/root/trans_texts/chat.noActiveChat"/></div>
                      </td>

                      <!-- Left column: participants and control buttons -->
                      <td style="display:none;" id="conference_manage"></td>

                      <!-- Right column: messages area and send message controls -->
                      <td style="width: auto; vertical-align: top;">
                          <div id="app"></div>
                          <div id="module_chat_new_chats_content"></div>
                      </td>
                  </tr>
            </table>
            </div>
            <!-- main -->
        </div>

        <xsl:apply-templates select="/root/modules/module_chat/chat_template"/>
        <xsl:apply-templates select="/root/modules/module_chat/chat_template_date_header"/>
        <xsl:apply-templates select="/root/modules/module_chat/chat_template_message"/>
        <div id="module_chat_create_conference_container"></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/context-menu">
          <xsl:if test="/root/modules/module_roster/@enabled = '1'">
            <div id="mes_roster_context_menu" class="cti_context_menu block_shadow">
                <ul>
                    <li rel="callKite"><a href="#"><xsl:value-of select="/root/trans_texts/context.menu.Call"/></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/context.menu.Call"/>: <span></span></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.OfficeNumber"/>: <span></span></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.MobileNumber"/>: <span></span></a></li>
                    <li rel="sms"><a href="#"><xsl:value-of select="/root/trans_texts/sms.SendSMS"/>: <span></span></a></li>
                    <li rel="fax"><a href="#"><xsl:value-of select="/root/trans_texts/main.Fax"/>: <span></span></a></li>
                    <xsl:if test="/root/modules/module_postit/button/@enabled = '1'">
                        <li rel="message"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.SendMessage"/></a></li>
                    </xsl:if>
                    <li rel="recall"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/roster.menu.CallMe"/></a></li>
                    <li rel="email"><a href="#"><xsl:value-of select="/root/trans_texts/main.EMail"/>: <span></span></a></li>
                    <li rel="showbyphone"><a href="#"><xsl:value-of select="/root/trans_texts/link.ShowContact"/></a></li>
                    <li rel="pickup"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.PickUp"/></a></li>
                    <li rel="listen"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Listen"/></a></li>
                    <li rel="barge"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Barge"/></a></li>
                    <li rel="whisper"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Whisper"/></a></li>
                    <li rel="setPresence"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.setPresence"/></a></li>
                    <li rel="del"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/roster.menu.Remove"/></a></li>
                    <xsl:if test="/root/@ipad > 0">
                        <hr/>
                        <li rel="close"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/buttons.Close" /></a></li>
                    </xsl:if>
                </ul>
            </div>
        </xsl:if>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/chat_template">
        <script id="chat_template" type="text/x-jquery-tmpl">
            <![CDATA[
                <!-- This is only used for layout min-width limiting -->
                <div style="position:relative;">

                    <div class="send-chat-message">
                          <div class="message">
                              <div class="fake-input-wrapper">
                                  <div id="message" class="fake-input" contenteditable="true" spellcheck="true" tabindex="0"></div>
                                  <div class="placeholder">${texts.type_a_message}...</div>
                                  <div class="message-buttons-wrapper">
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 smiles-btn"><i class="fa fa-smile-o"></i></button>
                                   {{if $item.data.fileTransferAllow == true}}
                                   <div class="file-select-wrapper paperclip-btn">
                                       <button class="cti_md cti_md_bt_ico cti_md_size2"><i class="fa fa-paperclip"></i></button>
                                       <input type="file" class="file-select">
                                   </div>
                                   {{/if}}
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 microphone-btn"><i class="fa fa-microphone"></i></button>
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 postit-btn postit"  {{if $item.data.user.isTemporary == true || $item.data.isConference == true}} style="display: none;" {{/if}}  title="${texts.send_postit}"><i class="fa fa-thumb-tack fa-rotate-45"></i></button>
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 sms-btn sms"  {{if $item.data.user.isTemporary == true || $item.data.isConference == true}} style="display: none;" {{/if}} title="${texts.send_sms}" >
                                       <span class="fa-stack" data-title="${texts.send_sms}">
                                           <i class="fa fa-mobile fa-stack-1x"></i>
                                           <i class="fa fa-envelope fa-stack-1x"></i>
                                       </span>
                                   </button>
                                   <div class="smiles block_shadow" style="display: none">
                                       <ul class="tabs"></ul>
                                       <div></div>
                                   </div>
                                  </div>
                              </div>
                          </div>
                    </div>

                </div>
            ]]>
        </script>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/chat_template_message">
        <script id="chat_template_message" type="text/x-jquery-tmpl">
            <![CDATA[
                <div class="hover_menu_messages">
                    <div class="text-message {{if $item.data.fromMe == 1}}from-self{{/if}} {{if $item.data.notFirst}}not-first{{/if}} {{if $item.data.onlyEmoji}}only-emoji{{/if}} " {{if $item.data.id}} id="${id}"{{/if}}>
                     {{if !$item.data.notFirst}}
                         <div class="avatar-user avatar-user_text-message">
                             <img src="{{html $item.data.userAvatar}}">
                         </div>
                     {{/if}}
                        {{if $item.data.userName}}<span class="from" title="${noUserAvatar}">${userName}</span>{{/if}}
                        <!--<button class="cti_md cti_md_bt_ico context_menu_messages" rel="context"><i class="fa fa-ellipsis-v context-menu" aria-hidden="true"></i></button>-->
                        <span class="text">
                            {{if $item.data.isPostIt == true}}
                                <span class="postit_in_chat">
                                    <i class="fa fa-thumb-tack fa-rotate-45"></i>
                                </span>
                            {{/if}}
                            {{html $item.data.message}}
                        </span>
                        <span class="text-message-info">
                            <span class="time">${messageTime}</span>
                               {{if $item.data.type == "outgoing" && $item.data.messageDelivered!=1}}<span class="loader"><i class="fa fa-ellipsis-h"></i></span>{{/if}}

                            <div class="clear"></div>
                        </span>
                    </div>
                    <div class="clear"></div>
                    <div class="displayed-avatar-area"><ul class="short-list"></ul></div>
                    <div class="clear"></div>
                </div>
            ]]>
        </script>

        <script id="chat_template_system_message" type="text/x-jquery-tmpl">
            <![CDATA[
                    <div class="system-info" data-action="${action}">
                        <div class="system-info-center">
                            <span class="text"><i class="fa fa-flag"></i>&#160;{{html $item.data.message}}</span>
                            <span class="text-message-info">
                                <span class="time">${messageTime}</span>
                            </span>
                        </div>
                    </div>
            ]]>
        </script>

        <script id="chat_template_file_transfer" type="text/x-jquery-tmpl">
            <![CDATA[
                <div class="hover_menu_messages">
                    <div class="file-transfer-message text-message {{if $item.data.fromMe == 1}}from-self{{/if}} {{if $item.data.notFirst}}not-first{{/if}} " {{if $item.data.id}} id="${id}"{{/if}}>
                    <!--<button class="cti_md cti_md_bt_ico context_menu_messages" rel="context"><i class="fa fa-ellipsis-v context-menu" aria-hidden="true"></i></button>-->
                        {{if $item.data.userName}}<span class="from">${userName}</span>{{/if}}

                        <span class="text">
                            <i class="fa fa-file-o"></i>
                            <span class="file-name">${fileName}</span>
                            <span class="file-actions">
                                {{if $item.data.type == "incoming"}}
                                <button class="accept cti_ui-button" title="${acceptLabel}"><i class="fa fa-check"></i>  </button>
                                <button class="download cti_ui-button"> ${downloadLabel} </button>
                                {{/if}}
                                <button class="cancel cti_ui-button" title="${cancelLabel}"><i class="fa fa-times"></i>  </button>
                            </span>
                            <span class="progress">
                                <span class="progress-bar"> </span>
                                <span class="progress-text"> </span>
                            </span>
                            <span class="info">
                                ${fileSize}
                            </span>
                        </span>
                        <span class="text-message-info">
                            <span class="time">${messageTime}</span>
                            <span class="loader"><i class="fa fa-ellipsis-h"></i></span>
                            <div class="clear"></div>
                        </span>
                        <div class="clear"></div>
                    </div>
                    <div class="clear"></div>
                </div>
            ]]>
        </script>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/chat_template_date_header">
        <script id="chat_template_date_header" type="text/x-jquery-tmpl">
            <![CDATA[
                <div class="date-section"><div class="date-section-position"><div class="date-section-center text" data-time="${messagesDatetime}">${messagesDate}</div></div></div>
            ]]>
        </script>
    </xsl:template>

</xsl:stylesheet>
