<?php
namespace CTI;

/**
 * ModuleNotes Class.
 */
class ModuleMain extends \CTI\DefaultModule {

    public function __construct() {
        parent::__construct('Main');
    }

    public function generate() {
        $textsNode = $this->addTag('texts', null, $this->moduleTag);

        $phoneNum = \CTI\User::getInstance()->get(\CTI\User::USER_DATA, 'extenNumber');
        $userName = \CTI\User::getInstance()->get(\CTI\User::USER_DATA, 'cn');
        $imageUrl = \CTI\User::getInstance()->get(\CTI\User::USER_DATA, 'imageUrl');

        $avatarLuaPath = 'lua/avatar.lua?' . $phoneNum . '&amp;' . $userName;
        $avatar        = $imageUrl ? str_replace('&', '&amp;', $imageUrl) : $avatarLuaPath;

        $this->addTag('avatar', $avatar, $this->moduleTag);

        if ($phoneNum != null && $phoneNum != '') {
            $userName .= ' (' . $phoneNum . ')';
        }
        $this->addTag('user_name', $userName, $textsNode);

        // Get user custom logo
        $mac = \Models\PBX::getInstance()->getSerial();

        $customLogoFilename = BASEPATH . 'images/' . md5($mac . substr($mac, 5, 4)) . '.png';
        if (file_exists($customLogoFilename)) {
            $customLogoFilename = str_replace(BASEPATH, '../', $customLogoFilename);
            $this->addTag('custom_logo', $customLogoFilename, $this->moduleTag);
        }
    }
}
