<?php
namespace CTI;

/**
 * ModuleRoster Class.
 */
class ModuleRoster extends \CTI\DefaultModule {

    public function __construct() {
        parent::__construct('Roster');
    }

    /**
     * Generate parameters for xml output.
     *
     * @return void
     */
    public function generate() {
        $seeColleagues = \CTI\User::getInstance()->get(\CTI\User::ACL, 'SEE_COLLEAGUES');

        $enabled = false;
        if (\CTI\Config::getInstance()->get('LICENSE_JABBER') == 1 && \CTI\User::getInstance()->get(\CTI\User::ACL, 'CTI_PRO') == 1) {
            $enabled = true;
        }

        $this->moduleTag->setAttribute('enabled', $enabled);
        $this->moduleTag->setAttribute('see_colleague', !empty($seeColleagues));
        $this->addTag('button', null, $this->moduleTag);
        $this->addTag('my-icon', null, $this->moduleTag);
        $this->addTag('my-status', null, $this->moduleTag);
        $this->addTag('searchbox', null, $this->moduleTag);
        $this->addTag('click2call', null, $this->moduleTag);
        $this->addTag('tab', null, $this->moduleTag);
        $this->addTag('context-menu', null, $this->moduleTag);
    }
}
