<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_roster/tab">
        <li class="main-menu-col__li">
            <a class="main-menu-col__item tooltip" href="#module_roster_tab_content">
                <div class="main-menu-col__icon">
                    <svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <use xlink:href="../css/icons-sprite.svg#icon_colleagues"/>
                    </svg>
                </div>
                <div class="main-menu-col__title">
                    <xsl:value-of select="/root/trans_texts/tabs.Contacts" />
                </div>
                <div class="tooltip-text tooltip-bottom">
                    <xsl:value-of select="/root/trans_texts/tabs.Contacts" />
                </div>
            </a>
        </li>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/searchbox">
        <div id="module_roster_search_panel_in_tab"></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/click2call">
        <button id="click2call_btn"></button>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/my-icon">
    	<span id="myStatusImg" class="status status-18  tooltip" style="float:left !important;display:none;">
            <span class="stat"></span>
            <div class="tooltip-text tooltip-bottom">
                <xsl:value-of select="/root/trans_texts/hint.ChangeOnlineStatus"/>
            </div>
    	</span>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster">
            <div id="module_roster_tab_content">
            	<!--  div id="btn_roster_window_switcher">
            		<input checked="checked" type="radio" id="list_view" target="roster_window" name="radio" /><label for="list_view"><xsl:value-of select="/root/trans_texts/roster.ListView" /></label>
            		<input disabled="disabled" type="radio" id="map_view" target="map_window" name="radio" /><label for="map_view"><xsl:value-of select="/root/trans_texts/roster.MapView" /></label>
            	</div-->
                <div id="app_colleagues">
                    <xsl:if test="/root/modules/module_roster/@enabled = '1'"></xsl:if>
                </div>

                <div id="roster-tabs-container"></div>

				<div style="clear:both" />
            </div>
            <div id="map_window" style="display: none;" ></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_roster/context-menu">
    	<xsl:if test="/root/modules/module_roster/@enabled = '1'">
			<div id="roster_context_menu" class="cti_context_menu block_shadow">
                <ul>
                    <xsl:if test="/root/@chatAllow = '1'">
                        <li rel="chat"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.StartChat"/></a></li>
                    </xsl:if>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/context.menu.Call"/>: <span></span></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.OfficeNumber"/>: <span></span></a></li>
                    <li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.MobileNumber"/>: <span></span></a></li>
                    <li rel="sms"><a href="#"><xsl:value-of select="/root/trans_texts/sms.SendSMS"/>: <span></span></a></li>
                    <li rel="smsViaClassound"><a href="#"><xsl:value-of select="/root/trans_texts/sms.SendSMSviaClassound"/>: <span></span></a></li>
                    <li rel="fax"><a href="#"><xsl:value-of select="/root/trans_texts/main.Fax"/>: <span></span></a></li>
                    <xsl:if test="/root/modules/module_postit/button/@enabled = '1'">
                        <li rel="message"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.SendMessage"/></a></li>
                    </xsl:if>
                    <li rel="recall"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.CallMe"/></a></li>
                    <li rel="email"><a href="#"><xsl:value-of select="/root/trans_texts/main.EMail"/>: <span></span></a></li>
                    <li rel="showbyphone"><a href="#"><xsl:value-of select="/root/trans_texts/link.ShowContact"/></a></li>
                    <li rel="pickup"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.PickUp"/></a></li>
                    <li rel="listen"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Listen"/></a></li>
                    <li rel="barge"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Barge"/></a></li>
                    <li rel="whisper"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Whisper"/></a></li>
                    <li rel="setPresence"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.setPresence"/></a></li>
                    <li rel="del"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Remove"/></a></li>
                    <xsl:if test="/root/@ipad > 0">
                        <hr/>
                        <li rel="close"><a href="#"><xsl:value-of select="/root/trans_texts/buttons.Close"/></a></li>
                    </xsl:if>
                </ul>
			</div>
		</xsl:if>
    </xsl:template>

</xsl:stylesheet>
