<?php

ini_set('include_path', '/var/www/:' . ini_get('include_path'));

$authByToken = false;
if ($_REQUEST['token'] != '') {
    $_SERVER['HTTP_AUTHORIZATION'] = 'Bearer ' . $_REQUEST['token'];

    $authByToken = true;
}

require_once dirname(__FILE__) . '/../../../init.php';
if (!\User::getInstance()->isLogged()) {
    header('Location: ../logout/?' . $_SERVER['REQUEST_URI']);
    exit;
}

if ($authByToken) {
    \Session\Session::getInstance()->setSupportSession(true);

    $urlInfo = parse_url($_SERVER['REQUEST_URI']);
    if (isset($urlInfo['query']) && isset($urlInfo['path'])) {
        header('Location: ' . $urlInfo['path']);
        exit;
    }
}

require_once dirname(__FILE__) . '/../../../features/features.functions.php';

$helper = new \CTI\Helper();

\CTI\Config::getInstance()->init();

if (!(isset($_SERVER['HTTP_IV_MAIL'])
    && !empty($_SERVER['HTTP_IV_MAIL'])
    && isset($_SERVER['HTTP_IV_DT'])
    && !empty($_SERVER['HTTP_IV_DT'])
    && isset($_SERVER['HTTP_IV_USER'])
    && !empty($_SERVER['HTTP_IV_USER'])
    && isset($_SERVER['HTTP_IV_CREDS'])
    && !empty($_SERVER['HTTP_IV_CREDS'])
    && isset($_SERVER['HTTP_X_PROXY_HOST'])
    && !empty($_SERVER['HTTP_X_PROXY_HOST']))
) {
    if (empty($_SERVER['HTTPS']) || $_SERVER['HTTPS'] == 'off') {
        header('Location: https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
        exit;
    }
}

$cfg = \CTI\Config::getInstance()->get('VIDEO_CONFERENCE');

if (!(isset($cfg['host']) && !empty($cfg['host']))) {
    die('External conferences turned off');
}


$cookie = array(
           'pbxVersion=' . WMS_VERSION_FULL,
           'pbxSerial=' . \Models\PBX::getInstance()->getSerial(),
           'pbxUser=' . \User::getInstance()->getExtension(),
);

$header  = 'Cookie: ' . implode(';', $cookie) . "\r\n";
$header .= 'User-Agent: Wildix PBX (' . WMS_VERSION_FULL . '); ' . $_SERVER['HTTP_USER_AGENT'] . "\r\n";
$header .= 'X-Forwarded-Host: ' . $_SERVER['HTTP_HOST'] . "\r\n";
$header .= 'X-Forwarded-For: ' . $_SERVER['REMOTE_ADDR'] . "\r\n";

$opts = array(
    'http' => array(
            'ignore_errors' => true,
            'method' => 'GET',
            'header' => $header
    )
);

$url = 'https://' . $cfg['host'] . '/' . ($_REQUEST['room'] ? 'conf/' . (string)$_REQUEST['room'] : 'invite');
die(file_get_contents($url, false, stream_context_create($opts)));
