<?php
namespace CTI;

/**
 * ModuleVideoConference Class.
 */
class ModuleVideoConference extends \CTI\DefaultModule {

    private $_enabled = false;
    private $_host    = null;

    public function __construct() {
        parent::__construct('Video_Conference');

        $cfg = \CTI\Config::getInstance()->get('VIDEO_CONFERENCE');

        if (!isset($cfg['host']) || !$cfg['host']) {
            $this->_enabled = false;
        } else {
            $this->_enabled = true;
            $this->_host    = 'https://' . $cfg['host'];
        }
    }

    public function generate() {
        if ($this->_enabled && \CTI\Config::getInstance()->get('LICENSE_CONFERENCE')) {
            $this->moduleTag->setAttribute('enabled', 1);
        } else {
            $this->moduleTag->setAttribute('enabled', 0);
        }

        $this->addTag('enabled', $this->_enabled ? 'true' : 'false', $this->moduleTag);
        $this->addTag('host', $this->_host, $this->moduleTag);
    }
}
