<?php
namespace CTI;

/**
 * ModuleWebApp Class.
 */
class ModuleWebApp extends \CTI\DefaultModule {

    public function __construct() {
        parent::__construct('Web_App');
    }

    public function generate() {
        $settings = \User::getInstance()->getSettings();

        $webApp = $settings->getWebApp();

        $isValidUrl = filter_var($webApp['url'], FILTER_VALIDATE_URL) !== false;
        $this->moduleTag->setAttribute('enabled', true);
        $this->moduleTag->setAttribute('hide', !$isValidUrl);
        $this->moduleTag->setAttribute('webappurl', ($isValidUrl ? $webApp['url'] : ''));

        $this->addTag('tab', null, $this->moduleTag);
        $this->addTag('tab_content', null, $this->moduleTag);
    }
}
