<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width">
	<?php
    	require_once (__DIR__ . '/../../init.php');
        $collaboration = \Wildix\WhiteLabel::getInstance()->getCollaboration();
        $brand = \Wildix\WhiteLabel::getInstance()->getBrand();
        $emailLogo = \Wildix\WhiteLabel::getInstance()->getEmailLogo();
        $site = \Wildix\WhiteLabel::getInstance()->getSite();
        $helpLink = \Wildix\WhiteLabel::getInstance()->getHelpLink();

        $language = Language::getInstance()->getLanguageNameByCode($_GET['lang']);
        $dictionary = \Api\Translation\Factory\TranslationFactory::getByLang($language);
    ?>
    <title>Welcome to <?php echo($collaboration);?> by <?php echo ($brand);?></title>
    <style type="text/css">
    /* -------------------------------------
            GLOBAL
    ------------------------------------- */
    * {
        margin:0;
        padding:0;
    }
    * { font-family: "Helvetica Neue", "Helvetica", Helvetica, Arial, sans-serif; }

    img {
        max-width: 100%;
    }

    body {
        -webkit-font-smoothing:antialiased;
        -webkit-text-size-adjust:none;
        width: 100%!important;
        height: 100%;
    }


    /* -------------------------------------
            ELEMENTS
    ------------------------------------- */
    a { color: #2BA6CB;}

    .btn {
        text-decoration:none;
        color: #FFF;
        background-color: #666;
        padding:10px 16px;
        font-weight:bold;
        margin-right:10px;
        text-align:center;
        cursor:pointer;
        display: inline-block;
    }

    /* -------------------------------------
            HEADER
    ------------------------------------- */
    table.head-wrap { width: 100%;}


    /* -------------------------------------
            BODY
    ------------------------------------- */
    table.body-wrap { width: 100%;}


    /* -------------------------------------
            FOOTER
    ------------------------------------- */
    table.footer-wrap { width: 100%;	clear:both!important;
    }
    .footer-wrap .container td.content  p { border-top: 1px solid rgb(215,215,215); padding-top:15px;}
    .footer-wrap .container td.content p {
        font-size:10px;
        font-weight: bold;

    }


    /* -------------------------------------
            TYPOGRAPHY
    ------------------------------------- */
    h1,h2,h3,h4,h5,h6 {
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif; line-height: 1.1; margin-bottom:15px; color:#000;
    }
    h1 small, h2 small, h3 small, h4 small, h5 small, h6 small { font-size: 60%; color: #6f6f6f; line-height: 0; text-transform: none; }

    h1 { font-weight:200; font-size: 44px;}
    h2 { font-weight:200; font-size: 37px;}
    h3 { font-weight:500; font-size: 27px;}
    h4 { font-weight:500; font-size: 23px;}
    h5 { font-weight:900; font-size: 17px;}
    h6 { font-weight:900; font-size: 14px; text-transform: uppercase; color:#444;}

    /*.collapse { margin:0!important;}*/

    p, ul {
        margin-bottom: 10px;
        font-weight: normal;
        font-size:14px;
        line-height:1.6;
    }

    ul li {
        margin-left:5px;
        list-style-position: inside;
    }

    /* -------------------------------------
            SIDEBAR
    ------------------------------------- */
    ul.sidebar {
        background:#ebebeb;
        display:block;
        list-style-type: none;
    }
    ul.sidebar li { display: block; margin:0;}
    ul.sidebar li a {
        text-decoration:none;
        color: #666;
        padding:10px 16px;
        cursor:pointer;
        border-bottom: 1px solid #777777;
        border-top: 1px solid #FFFFFF;
        display:block;
        margin:0;
    }
    ul.sidebar li a.last { border-bottom-width:0;}
    ul.sidebar li a h1,ul.sidebar li a h2,ul.sidebar li a h3,ul.sidebar li a h4,ul.sidebar li a h5,ul.sidebar li a h6,ul.sidebar li a p { margin-bottom:0!important;}



    /* ---------------------------------------------------
            RESPONSIVENESS
            Nuke it from orbit. Its the only way to be sure.
    ------------------------------------------------------ */

    /* Set a max-width, and make it display as block so it will automatically stretch to that width, but will also shrink down on a phone or something */
    .container {
        display:block!important;
        max-width:600px!important;
        margin:0 auto!important; /* makes it centered */
        clear:both!important;
    }
    .header.container {
        border-bottom: 1px solid;
    }

    /* This should also be a block element, so that it will fill 100% of the .container */
    .content {
        padding:15px;
        max-width:650px;
        margin:0 auto;
        display:block;
    }

    /* Lets make sure tables in the content area are 100% wide */
    .content table { width: 100%; }


    /* Odds and ends */
    .column {
        width: 300px;
        float:left;
    }
    .column tr td { padding: 15px; }
    .column-wrap {
        padding:0!important;
        margin:0 auto;
        max-width:600px!important;
    }
    .column table { width:100%;}

    .con-tent {
        position: relative;
    }
    .right-top {
        position: absolute;
        top: 0px;
        right: 0px;
    }
	/* Edit icon */
	@font-face {
		font-family: 'Wildix-Icons';
		src:url('../../css/fonts/Wildix-Icons.eot?-ywhyo4');
		src:url('../../css/fonts/Wildix-Icons.eot?#iefix-ywhyo4') format('embedded-opentype'),
		url('../../css/fonts/Wildix-Icons.woff2?-ywhyo4') format('woff2'),
		url('../../css/fonts/Wildix-Icons.woff?-ywhyo4') format('woff'),
		url('../../css/fonts/Wildix-Icons.ttf?-ywhyo4') format('truetype'),
		url('../../css/fonts/Wildix-Icons.svg?-ywhyo4#Wildix') format('svg');
		font-weight: normal;
		font-style: normal;
	}
	.fa {
		display: inline-block;
		font: normal normal normal 14px/1 Wildix-Icons;
		font-size: inherit;
		text-rendering: auto;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
	}
	.fa-pencil:before {
		content: "\f040";
	}
    /* Be sure to place a .clear element after each set of columns, just to be safe */
    .clear { display: block; clear: both; }
    .email-logo {
        max-height: 40px;
    }

    /* -------------------------------------------
            PHONE
            For clients that support media queries.
            Nothing fancy.
    -------------------------------------------- */
    @media only screen and (max-width: 600px) {

        a[class="btn"] { display:block!important; margin-bottom:10px!important; background-image:none!important; margin-right:0!important;}

        div[class="column"] { width: auto!important; float:none!important;}

        table.social div[class="column"] {
            width:auto!important;
        }

    }
    </style>
</head>
<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginheight="0" marginwidth="0">

<table class="head-wrap">
<tbody>
<tr>
    <td></td>
    <td class="header container">
        <div class="content">
            <table class="">
                <tbody>
                    <tr>
                        <td>
                            <a target="_blank" href="<?php echo($site)?>">
                                <img height="40" class="email-logo" src="<?php echo($emailLogo)?>">
                            </a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </td>
    <td></td>
</tr>
</tbody>
</table>



<table class="body-wrap container">
<tbody>
<tr>
    <td></td>
    <td class="container" bgcolor="#FFFFFF">
        <div class="column-wrap">
            <div class="column">
                <table>
                <tbody>
                <tr>
                    <td>
                            <div id="tmpl_data">
                                <div class="con-tent">
                                        <i class="fa fa-pencil right-top" aria-hidden="true"></i>
                                </div>
                                <div id="tmpl_content">
                                    <?= $dictionary->t('aclpbx.welcomeEmail.login') ?>: {_LOGIN_}<br />
                                    <?= $dictionary->t('aclpbx.welcomeEmail.password') ?>: {_PASSWORD_}<br />
                                    <?= $dictionary->t('aclpbx.welcomeEmail.extension') ?>: {_EXTENSION_}<br />
                                    <?= $dictionary->t('aclpbx.welcomeEmail.mobileNumber') ?>: {_MOBILE_}<br />
                                    <?= $dictionary->t('aclpbx.welcomeEmail.office') ?>: {_OFFICE_}<br />
                                    <?= $dictionary->t('aclpbx.welcomeEmail.fax') ?>: {_FAX_}<br />
                                </div>
                            </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <h5><?= $dictionary->t('aclpbx.welcomeEmail.chromeExt') ?></h5>
                        <a href="https://chrome.google.com/webstore/detail/wildix-collaboration/lobgohpoobpijgfegnlhdnppegdbomkn">
                            <img src="https://addons.wildix.com/chromeExt/ChromeWebStore_Badge_206x58.png" width="206" style="display:inline-block;overflow:hidden;width:206px;height:58px;background-size:contain;"></a><br>
                    </td>
                </tr>
                <tr>
                    <td>
                        <h5><?= $dictionary->t('aclpbx.welcomeEmail.mobile') ?></h5>
                        <a href="https://itunes.apple.com/app/wildix-collaboration-mobile/id458185001?mt=8"
                           style="display:inline-block; margin-left:14px;">
                            <img src="https://addons.wildix.com/appStore/appStore_270x80.png" width="135" height="40"
                                 style="width:135px; display:inline-block; background-size:contain;">
                        </a>
                        <a href="https://play.google.com/store/apps/details?id=com.wildix&amp;pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1"
                           style="display:inline-block; margin-left:14px; margin-top:20px">
                            <img src="https://addons.wildix.com/googlePlay/googlePlay_270x80.png" width="135" height="40"
                                 style="width:135px; display:inline-block; background-size:contain;">
                        </a>
                    </td>
                </tr>
                </tbody>
                </table>
            </div>
	</td>
	<td valign="top">
            <div class="column">
                <table>
                <tbody>
                <tr>
                    <td>
                        <ul class="sidebar">
                            <li>
                                <h5 style="padding: 10px 16px;border-bottom: 1px solid #777777;margin-bottom: 0px;">
                                    <?= $dictionary->t('aclpbx.welcomeEmailAccess') ?> <?php echo ($collaboration);?>
                                </h5>
                            </li>
                            {_URLS_}
                        </ul>
                    </td>
                </tr>
                </tbody>
                </table>
            </div>
            <div class="clear"></div>
        </div>
    </td>
    <td></td>
</tr>
</tbody>
</table>



<table class="footer-wrap">
<tbody>
<tr>
    <td></td>
    <td class="container">

        <div class="content">
            <table>
            <tbody>
            <tr>
                <td align="center">
                    <p>
                    <a target="_blank" href="<?php echo($helpLink)?>"><?= $dictionary->t('aclpbx.welcomeEmailManuals') ?></a>
                    </p>
                </td>
            </tr>
            </tbody>
            </table>
        </div>
    </td>
    <td></td>
</tr>
</tbody>
</table>

</body>
</html>
