<?php

use Wildix\DependencyInjection\Container;
use Wildix\Dialplan\IncomingCalls;

if (!defined('WMS_ENV')) {
    die('DIRECT ACCESS DENIED');
}

require_once(dirname(__FILE__).'/../init.php');
require_once('update_functions.php');

ini_set('memory_limit', '-1');

if (!isset($GLOBALS['diContainer'])) {
    $GLOBALS['diContainer'] = new Container();
}
/**
 * Update extensions-incomingcalls.lua
 */
function updateExtensionsIncomingCalls () {
    $diContainer = $GLOBALS['diContainer'];
    $mainCreate  = $diContainer->get(IncomingCalls::class);
    $mainCreate->set_extensions_incomingcalls();
    $mainCreate->set_dialplan('new', 'main', 'External dialplan', '', '');
    $mainCreate->set_queues_conf();
}

function trunkSetCwFile() {
    $fxoTrunkService = $GLOBALS['diContainer']->get(Api\Trunks\Service\TrunkService::class);
    $fxoTrunkService->updateConfigs();
}

function updateSyncLangsFromDbToPbx() {
    $GLOBALS['diContainer']->get(\Wildix\LanguageAndRegion::class)->initInstalledLanguages();
}

$updateSteps = array(
    'update_dnsmasq_config',
    'update_res_features',
    'update_kamailio_cfg',
    'update_kamailio_static_peers',
    'update_kamailio_cfg_localnet',
    'updateDialplans',
    'updateExtensionsIncomingCalls',
    'change_features_conf',
    'update_extensions_variables', // rev 25728
    'update_global_variables',
    'update_devdb',
    'trunkSetCwFile',
    'update_cdr_conf',
    'update_wmsdb',
    'update_dialplan_wms30', // rev 24227
    'update_users_features_call_type_wms30',//rev 27516
    'update_ctidb',
    'update_calendardb',
    'delete_old_backup_wmsdb',
    'remove_norewrite_networks',
    'updateDialplansNew', //rev 27547 , 29563
    'set_chown_file_dialplan', // chow wms update extensions-incomingcalls.lua
    'changeDialplanCallThroughPbxRules',
    'changeSendSmsThroughPbxSettings',
    'update_proxy_dependency',
    'update_rtp_ports',
    'update_udptl_conf',
    'update_domain_portal',
    'upPathActiveDConfig', // /etc/  to /rw2/etc/
    'upSyncLdapToActiveD',
    'setConfigOpenvpn',
    'updateConfigWmsnet',
    'lowerPriorityH264',
    'update_smtp_settings',
    'update_adSingleSignOn_settings', //WMS-4845
    'update_ntp_settings',
    'update_snmp_settings',
    'updateEnUsLanguage',
    'updateSyncLangsFromDbToPbx',
    'configureEjabberdLuaWorkers',
    'addDialplanRulenames',
    'update_queuedb',
    'addPermanentCORSDomainsIfNeed',
    'turnOffWmsNetworkIfLowCredentials',
    'updateLdapProperty',
    'clearUsersAvatarCache',
    'updateNtpConfig',
    'createCustomEnvFile',
    'restoreMinTlsVersion',
    'updateWmsVersion',
    'enableSmsByDefault',
    'updatePbxIp',
    'createHeadersCustomFile',
    'fillEmptyDepartmentField',
    'updateTProxyProtocols',
    );

require_once('batchUpdateFunctions.php');
batchUpdateFunctions($updateSteps);

if(\Wildix\License::getInstance()->isCloud()){
    require_once('functions_set_to_wcloud.php');
}
