<?php
/**
 * Batch call update functions
 *
 * @param array $steps Names of executed functions.
 *
 * @return void
 */
function batchUpdateFunctions($steps) {
    $logger     = \Logger\LoggerFactory::getInstance();
    $stepsCount = count($steps);
    foreach ($steps as $i => $step) {
        try {
            $step();

            $messageSuccess = sprintf('Step %d/%d OK function %s', ($i + 1), $stepsCount, $step);
            echo $messageSuccess . "\n";
            $logger->info(__LINE__, $messageSuccess);
        } catch (Throwable $e) {
            $messageError = sprintf('Step %d/%d Error in function %s Message: %s', ($i + 1), $stepsCount, $step, $e->getMessage());
            echo $messageError . "\n";
            $logger->error(__LINE__, $messageError);
        }
    }
}
