BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS `events` (
    `id` varchar(255) PRIMARY KEY,
    `type` INTEGER NOT NULL default 1,
    `owner` INTEGER NOT NULL,
    `name` varchar(255) NOT NULL,
    `dateStart` DATETIME NOT NULL,
    `dateEnd` DATETIME NOT NULL,
    `status` varchar(255) NOT NULL default 'Busy',
    `importance` varchar(255) NOT NULL default 'Normal',
    `private` INTEGER NOT NULL default 0,
    `processed` INTEGER NOT NULL default 0,
    `options` TEXT NOT NULL default '',
    `app` INTEGER NOT NULL default 1
) WITHOUT ROWID;

CREATE INDEX IF NOT EXISTS `idx_events_owner` ON `events` (`owner`);
CREATE INDEX IF NOT EXISTS `idx_events_dateStart` ON `events` (`dateStart`);
CREATE INDEX IF NOT EXISTS `idx_events_dateEnd` ON `events` (`dateEnd`);


CREATE TABLE IF NOT EXISTS `settings` (
    `app` INTEGER NOT NULL default 1,
    `owner` INTEGER NOT NULL,
    `key` varchar(255) NOT NULL,
    `value` varchar(255) NOT NULL default '',
    PRIMARY KEY (`app`, `owner`, `key`)
) WITHOUT ROWID;


COMMIT;
