BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS `autoprov` (
    `id` INTEGER PRIMARY KEY AUTOINCREMENT,
    `param` varchar(40),
    `value` varchar(128),
    `flag` varchar(2),
    `mac` varchar(12),
    `token` varchar(32)
);
CREATE INDEX IF NOT EXISTS `idx_autoprov_id` on `autoprov`(`id`);
CREATE INDEX IF NOT EXISTS `idx_autoprov_param` on `autoprov`(`param`);
CREATE INDEX IF NOT EXISTS `idx_autoprov_mac` on `autoprov`(`mac`);

CREATE TABLE IF NOT EXISTS `system` (
    `variable` varchar(20) PRIMARY KEY,
    `value` varchar(50)
);
INSERT INTO "system" VALUES('QUICK_DIAL_PATTERNS','1[0-9][0-9]|2[0-9][0-9]');
CREATE INDEX IF NOT EXISTS `idx_system_variable` on `system`(`variable`);
CREATE INDEX IF NOT EXISTS `idx_system_value` on `system`(`value`);

CREATE TABLE IF NOT EXISTS `wair_networks` (
    `id` INTEGER PRIMARY KEY AUTOINCREMENT,
    `name` varchar(128) NOT NULL,
    `code` varchar(4) default '',
    `sipproxy` varchar(255)  default '' NOT NULL,
    `primarybase` varchar(255)  default '' NOT NULL,
    `autodecttree` int(1) default '1' NOT NULL,
    `sync_plus_via_ethernet` int(1) default 0 NOT NULL
);

CREATE TABLE IF NOT EXISTS `wair_gateways` (
    `mac` varchar(12),
    `network_id` INTEGER NOT NULL,
    `type` INTEGER
);
CREATE INDEX IF NOT EXISTS `wair_gateways_mac` ON `wair_gateways`(`mac`);

CREATE TABLE IF NOT EXISTS `wair_users` (
    `slot_id` INTEGER,
    `uid` INTEGER,
    `mac` varchar(12),
    `ipei` varchar(10) default 'FFFFFFFFFF' NOT NULL
);
CREATE INDEX IF NOT EXISTS `idx_wair_uid` ON `wair_users`(`uid`);
CREATE INDEX IF NOT EXISTS `wair_users_mac` ON `wair_users`(`mac`);

COMMIT;
