<?php

$updateWcloudSteps = array(
    'sip_rtp_conf_wcloud',
    'dhcp_wcloud',
    'ntp_wcloud',
    'set_dnsmasq_resolv',
    'disableSnmp',
    'disableRemoteSupport',
);


require_once('/var/www/dbsetup/batchUpdateFunctions.php');
batchUpdateFunctions($updateWcloudSteps);

function sip_rtp_conf_wcloud(){
    // External secure port
    empty_config('/rw2/etc/pbx/wildix/tproxy_wms_include.conf');

    require_once('/var/www/pbx_settings/sip_rtp.functions.php');
    $settings = get_page_settings();

    // Enable auto discover for external PBX IP
    $settings['autoipdiscover'] = 'on';
    $settings['dyndnsaddr']     = 'http://checkip.wildix.com/';

    set_settings($settings);
}

function dhcp_wcloud(){
    $conf = '/etc/dnsmasq.d/config';
    if(file_exists($conf)){
        $temp = parse_ini_file($conf);
        $temp['DMASQENABLE'] = 0;
        write_ini_file($conf, $temp, true);
    }
}

function ntp_wcloud(){
    require_once('/var/www/classes/network/network.class.php');
    $ntp = new \Wildix\System\Ntp();
    $ntp->setConfig();
}

function remote_support_wcloud(){
    $conf = '/rw2/etc/pbx/geo_location.conf';
    $temp = parse_ini_file($conf);
    $temp['post_geo_location'] = "yes";
    write_ini_file($conf, $temp);
}

function empty_config($config){
    if(file_exists($config)){
        file_put_contents($config, '');
    }
}

function remove_config($config){
    if(file_exists($config)){
        unlink($config);
    }
}

function set_dnsmasq_resolv(){
    $dnsmasq_resolv_file = '/etc/dnsmasq.d/resolv.conf';
    if (file_exists($dnsmasq_resolv_file)) {
        file_put_contents($dnsmasq_resolv_file, "nameserver 8.8.8.8\nnameserver 8.8.4.4\n");
        $network = new network();
        $network->restart_dns();
    }
}

function disableSnmp() {
    $snmp = new \Wildix\System\Snmp();
    $snmp->disable();
}

function disableRemoteSupport() {
    \Wildix\System\RemoteSupport::getInstance()->stop();
}
