<?php

use Api\Trunks\Fxo\Interfaces\FxoTrunkServiceInterface;
use Api\Trunks\Pstn\Interfaces\PstnTrunkServiceInterface;
use Session\Session;

require_once('../init.php');
ini_set('include_path', BASEPATH . ':' . ini_get('include_path'));
require_once('classes/Language.class.php');

require_once('classes/xmlform.class.php');
require_once('features.functions.php');
require_once('common/wms_ldap.php');

$diContainer = new \Wildix\DependencyInjection\Container();

$userid = trim($_REQUEST['userid']);
$userLdapData = WMS_Ldap::getInstance()->getEntry(WMS_Ldap::PERSONS, '(uid=' . $userid . ')', array('cn', 'userPassword', 'owner', 'telephoneNumber', \Wildix\Colleagues\Colleague::LICENSE_TYPE));

$userLicenseType = $userLdapData[\Wildix\Colleagues\Colleague::LICENSE_TYPE] ?? '';

// CTIconnect
if (preg_match('/(cticonnect)|(collaboration)/', $_SERVER['REQUEST_URI'])){
    if (strtolower(\User::getInstance()->getName()) != strtolower($userLdapData['cn']) || !(\User::getInstance()->getPassword() == $userLdapData['userPassword'] || \User::getInstance()->isEqualPasswords($userLdapData['userPassword'], \User::getInstance()->getPassword())) ){
        die('Access error');
    }

    if(!\Wildix\HttpSecurity\Service::isCsrf([
        'method' => $_SERVER["REQUEST_METHOD"],
        'host' => $_SERVER["HTTP_HOST"],
        'origin' => $_SERVER["HTTP_ORIGIN"],
        'referer' => $_SERVER["HTTP_REFERER"]
       ]) && $_SERVER["HTTP_ORIGIN"] != $_SERVER['HTTP_HOST']){
        die('Access Error');
    }

    $root_path = '../cticonnect/';
    $soundsEdTelNumber = '';
    if (isset($userLdapData['telephoneNumber'])) {
        $soundsEdTelNumber = $userLdapData['telephoneNumber'];
    }
    $soundsEdSpoolDir = '../spoolview/sounds/00000/RingTones/';
    $user_group_dn    = $userLdapData['owner'];
}
// iPhone app
else if (preg_match('|/iphone/|', $_SERVER['REQUEST_URI'])){
    !isset($_GET['userid']) ? $_GET['userid'] = $_POST['userid'] : null ;
    $root_path = '../iphone/';
    $soundsEdTelNumber = '';
    $user_group_dn     = '';
    $soundsEdSpoolDir  = '/spoolview/sounds/00000/RingTones/';
} else {
    $root_path = '../';
    include (file_exists('auth.php') ? 'auth.php' : '../auth.php');
    $soundsEdTelNumber = '';
    if (isset($userLdapData['telephoneNumber'])) {
        $soundsEdTelNumber = $userLdapData['telephoneNumber'];
    }
    $soundsEdSpoolDir = '/spoolview/sounds/00000/RingTones/';
    $user_group_dn    = "admin";
}

if ($root_path == '/') {
    if (!WMS_Permissions::getInstance()->is_allowed('group', $userLdapData['owner'])) {
        die(_t('strings.permissionsDenied'));
    }
}

if ($_SERVER['REQUEST_METHOD'] !== 'GET' && !Session::isValidCsrfToken()) {
    die(_t('strings.permissionsDenied'));
}

if (isset($_POST['action']) && $_POST['action'] == 'validate') {
    header("Content-Type: application/json\n");
    $errors = validateValues(json_decode( $_POST['elms'], true));
    die(json_encode(($errors === true) ? array() : $errors));
}

// Get all user features. For iPhone App.
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'getUserFeatures' && !empty($_GET['userid'])) {
    header("Content-Type: application/json\n");
    die(json_encode(getUserFeatures($_GET['userid'])));
}

// Get all Available phonebooks. For iPhone App.
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'getPhoneBooks' && isset($_GET['userid'])) {
    header("Content-Type: application/json\n");
    die(json_encode(select_phonebooks()));
}

if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'saveFeaturesPart' && !empty($_REQUEST['userid'])) {
    header("Content-Type: application/json\n");

    $formData = json_decode(preg_replace('/\t+/', ' ', $_REQUEST['data']), true);

    unset($formData['ALTERNATE_PICKUP_MODE']);

    /*
     * Hotfix
     *
     * WMS-3446. col: impossible to create blf and synchronize with phones in case X
     */
    $data = array_merge(getUserFeatures($_REQUEST['userid']), $formData);

    $return = saveFeatures($_REQUEST['userid'], $data);
    die(json_encode($return));
}

if (isset($_POST['action']) && $_POST['action'] == 'saveFeatures') {
    header("Content-Type: application/json\n");

    /*
     * Hotfix
     *
     * WMS-3446. col: impossible to create blf and synchronize with phones in case X
     */
    $data = json_decode(preg_replace('/\t+/', ' ', $_POST['data']), true);
    $return = saveFeatures($_POST['userid'], $data);
    die(json_encode($return));
}

if (isset($_POST['action']) && $_POST['action'] == 'deleteFaxcover') {
    header("Content-Type: application/json\n");
    $path = getFaxcoverFilePath(intval($_POST['userid']) );
    if ($path) {
        unlink($path);
    }

    [$status, $url] = getFaxcoverImage(intval($_POST['userid']) );
    die(json_encode(array("success" => "true", "faxcover_status" => $status, "faxcover_url" => $url)));
}

if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'loadFaxcover'){
    if ($_FILES["qqfile"]["size"] == 0 && $_FILES["qqfile"]["error"] == 7) {
        die(json_encode(array('success' => 'fail', 'filename' => '', 'type' => 'error_disk')));
    }
    if (sizeof($_FILES["qqfile"]) == 0) {
        die(json_encode(array('success' => 'fail', 'filename' => '', 'type' => 'limit')));
    }
    if ($_FILES['qqfile']['size'] > 5242880) {
        die(json_encode(array('success' => 'fail', 'filename' => '', 'type' => 'limit')));
    }
    if (!(trim($_FILES["qqfile"]["type"]) == 'image/jpeg' || trim($_FILES["qqfile"]["type"]) == 'image/pjpeg')) {
        die(json_encode(array('success' => 'fail', 'filename' => '', 'type' => 'error_type')));
    }
    if (getimagesize($_FILES['qqfile']['tmp_name']) == false) {
        die(json_encode(array('success' => 'fail', 'filename' => '', 'type' => 'image_size_error')));
    }

    $user_ids = explode('|', $_REQUEST['userid']);
    $count = count($user_ids);
    $url0 = getFaxcoverPath(intval($user_ids[0])) . 'faxcover_user_' . intval($user_ids[0]) . '.jpg';

    for($i=0; $i<$count; $i++){
        if($i>0){
            $filename = 'faxcover_user_' . intval($user_ids[$i]) . '.jpg';
            copy($url0, getFaxcoverPath(intval($user_ids[$i])). $filename);
        }
        else{
            move_uploaded_file($_FILES['qqfile']['tmp_name'], $url0);
        }
    }

    [$status, $url] = getFaxcoverImage(intval($user_ids[0]));
    die(json_encode(array('success' => 'true', 'filename' => $filename, 'faxcover_file_name' => $filename, "faxcover_status" => $status, "faxcover_url" => $url, 'type'=>'success')));

}

if (isset($_POST['action']) && $_POST['action'] == 'getUsersLimit') {
    header("Content-Type: application/json\n");

    $userID = sizeof(explode('|', $userid)) != 1 ? 'multiple' : $_POST['userid'];
    $features = getUserFeatures($userID);
    $roster = $features['ROSTER'];

    $notPhone = array();
    foreach($roster as $users) {
        foreach($users as $jid) {
            $phone = explode('@', $jid); $notPhone[] = $phone[0];
        }
    }
    $users = search_WmsUsersListLimit($_POST['search'], $notPhone, $_POST['userid'], 500) ;

    die(json_encode($users));
}

if ($userid === '') {
    return print('Please indicate an user id as a GET var userid=[userid1|userid2|...]');
}

function validateValues($values) {
    $errors = array();
    return 0 == sizeof($errors) ? true : $errors;
}

function select_phonebooks() {
    require_once('classes/phonebook/phonebook.class.php');
    $phonebookClass = new phonebook();
    $result = array();
    // Get new phonebooks
    foreach ($phonebookClass->getAll('new') as $record) {
        $result['new.' . $record['rid']] = $record['name'];
    }
    return $result;
}

function processQueue($extension, $params) {
    $contactCenter = new \Wildix\ContactCenter\ContactCenter(\Wildix\CallweaverManager::getInstance());

    if ($params['enable'] == '1') {
        $contactCenter->enable($extension, $params['callGroups'], 0);
    } else if ($params['enable'] == '0') {
        $contactCenter->disable($extension);
    }

    \Wildix\Ejabberd::getInstance()->setCallcenterMode($extension, $params['statusSync']);
}

function isCallGroupEmpty($callGroupList) {
    return empty($callGroupList) || $callGroupList === [1 => [ 'id' => '' ]];
}

function arrayValues($array) {
    if (isCallGroupEmpty($array)) {
        return $array;
    }
    $arrayValues = [];
    arsort($array);
    foreach ($array as $key => $item) {
        array_push($arrayValues, $item);
    }

    return $arrayValues;
}

function saveFeatures($userid, $values) {
    $processTwoFactorAuthConfigurationForUser = function ($configuration, \Wildix\Colleagues\Colleague $user) {
        if (!is_array($configuration)) {
            return $configuration;
        }

        $currentConfiguration  = $user->getSettings()->getTwoFactor();
        $isSecondFactorChanged = ($currentConfiguration['app'] !== $configuration['app']);

        if (!$isSecondFactorChanged) {
            return $currentConfiguration;
        }

        if (!$configuration['enable']) {
            return array(
                'enable' => '0',
                'secret' => '',
                'app' => '',
                'type' => 'totp',
            );
        }

        $hasUserAccessToSecondFactor = (($configuration['app'] === \Wildix\Auth\TwoFactor\TwoFactorAuthenticatorFactory::FACTOR_EMAIL
                && strlen($user->getEmail()) > 0
            ) || ($configuration['app'] === \Wildix\Auth\TwoFactor\TwoFactorAuthenticatorFactory::FACTOR_SMS
                && strlen($user->getMobilePhone()) > 0
                && is_acl_subject_allowed($user->getGroupDn(), 'canuse', 'SMS', $user->getLicenseType())
            )
        );

        if (!$hasUserAccessToSecondFactor) {
            return $currentConfiguration;
        }

        return array(
            'enable' => '1',
            'secret' => strtoupper(\Wildix\Generator\StringGenerator::random(32, true, true)),
            'app' => $configuration['app'],
            'type' => 'totp',
        );
    };

    $replaceNotAllowedCharacters = function ($groups) {
        $groupNames = preg_replace(['/\r\n|\r|\n/', '/\s/', '/,{2,}/'], [',', '', ','], trim($groups, ' ,'));
        $groupNames = explode(',', trim($groupNames, ','));

        return implode(', ', array_unique($groupNames));
    };



    if (isset($values['ALTERNATE_PICKUP_MODE']['callgroups'])) {
        $values['ALTERNATE_PICKUP_MODE']['callgroups'] = $replaceNotAllowedCharacters($values['ALTERNATE_PICKUP_MODE']['callgroups']);
    }
    if (isset($values['ALTERNATE_PICKUP_MODE']['pickupgroups'])) {
        $values['ALTERNATE_PICKUP_MODE']['pickupgroups'] = $replaceNotAllowedCharacters($values['ALTERNATE_PICKUP_MODE']['pickupgroups']);
    }

    $user_ids = explode('|', $userid);
    $old_roster = $values['_ROSTER'];
    unset($values['_ROSTER']);
    // Check if there are changes only in roster
    if (sizeof($user_ids) == 1) {
        $uid = $user_ids[0];
        $current = getUserFeatures($uid);
        $user = \Wildix\Colleagues\Colleagues::getInstance()->getUserByID($uid);
        if(is_array($values['CTIOPTIONS'])){
            $ctioptions = json_decode(base64_decode($current['CTIOPTIONS']), true);
            if( ! is_array($ctioptions)){
                $ctioptions = [];
            }

            if (((int) $ctioptions['unread_messages_via_email'] !== (int) $values['CTIOPTIONS']['unread_messages_via_email'])
                && ($values['CTIOPTIONS']['unread_messages_via_email'] !== null)
                && ($user !== null)
            ) {
                \Wildix\Ejabberd::getInstance()->setUnreadMessagesViaEmail($user->getExtension(), $values['CTIOPTIONS']['unread_messages_via_email']);
            }
            $ctioptions = array_merge($ctioptions, $values['CTIOPTIONS']);

            if(isset($ctioptions['call_type'])){
                unset($ctioptions['call_type']);
            }
            if(isset($ctioptions['play_sounds'])){
                unset($ctioptions['play_sounds']);
            }
            if(isset($ctioptions['show_calls_notifications'])){
                unset($ctioptions['show_calls_notifications']);
            }

            $values['CTIOPTIONS'] = base64_encode(json_encode($ctioptions));
        }

        // Compare only internal class changes
        if (is_array($current['ROSTER'])) {
            $old_roster = $current['ROSTER'];
        }

        $values['TWOFACTOR'] = $processTwoFactorAuthConfigurationForUser($values['TWOFACTOR'], $user);

        $values['ROSTER'] = fillRosterIfEmpty($uid, $values['ROSTER']);

        if (array_key_exists('callGroupsWhitelist', $values['CALLCENTER_WHITELIST'])) {
            $values['CALLCENTER_WHITELIST']['callGroups'] = $values['CALLCENTER_WHITELIST']['callGroupsWhitelist'];
        }

        if (array_key_exists('LIMITCALLGROUPS_MODE', $values['CALLCENTER_WHITELIST'])) {
            $values['CALLCENTER_WHITELIST']['enable'] = $values['CALLCENTER_WHITELIST']['LIMITCALLGROUPS_MODE'];
        }
        if (array_key_exists('CALLCENTER_MODE', $values['CALLCENTER'])) {
            $values['CALLCENTER']['enable'] = $values['CALLCENTER']['CALLCENTER_MODE'];
        }
        $defaultCallGroups = empty($current['CALLCENTER']['callGroups']) ? [] : [1 => [ 'id' => '' ]];

        $values['CALLCENTER']['callGroups'] = isCallGroupEmpty($values['CALLCENTER']['callGroups']) ? $defaultCallGroups : $values['CALLCENTER']['callGroups'];

        if (count(array_diff_assoc($current['CALLCENTER'], $values['CALLCENTER'])) !== 0 || arrayValues($current['CALLCENTER']['callGroups']) !== arrayValues($values['CALLCENTER']['callGroups'])) {
            processQueue($user->getExtension(), $values['CALLCENTER']);
        }
        if (!saveFeaturesToUserFile($uid, $values)) {
            return _t('strings.SavedUnSuccessfully');
        }
    } else { // Partial save
        foreach ($user_ids as $uid){
            $newFeatures = $values;

            $current = getUserFeatures ($uid);
            $user = \Wildix\Colleagues\Colleagues::getInstance()->getUserByID($uid);

            if( is_array($newFeatures['CTIOPTIONS'])){
                $ctioptions = json_decode(base64_decode($current['CTIOPTIONS']), true);
                if( ! is_array($ctioptions)){
                    $ctioptions = [];
                }
                if (($ctioptions['unread_messages_via_email'] !== $newFeatures['CTIOPTIONS']['unread_messages_via_email'])
                    && ($newFeatures['CTIOPTIONS']['unread_messages_via_email'] !== null)
                    && ($user !== null)
                ) {
                    \Wildix\Ejabberd::getInstance()->setUnreadMessagesViaEmail($user->getExtension(), $newFeatures['CTIOPTIONS']['unread_messages_via_email']);
                }
                $ctioptions = array_merge($ctioptions, $newFeatures['CTIOPTIONS']);
                $newFeatures['CTIOPTIONS'] = base64_encode(json_encode($ctioptions));
            }

            $newFeatures['TWOFACTOR'] = $processTwoFactorAuthConfigurationForUser($newFeatures['TWOFACTOR'], $user);

            if (array_key_exists('CALLCENTER_MODE', $values['CALLCENTER'])) {
                $newFeatures['CALLCENTER']['enable'] = $values['CALLCENTER']['CALLCENTER_MODE'];
            }

            if ($newFeatures['CALLCENTER'] && $current['CALLCENTER'] !== $newFeatures['CALLCENTER']) {
                // fix multiedit save(array_replace_recursive) call groups
                if (array_key_exists('callGroups', $values['CALLCENTER'])) {
                    $current['CALLCENTER']['callGroups'] = [];
                }
                processQueue($user->getExtension(), $newFeatures['CALLCENTER']);
            }

            // fix multiedit save(array_replace_recursive) white list groups
            if (array_key_exists('callGroupsWhitelist', $values['CALLCENTER_WHITELIST'])) {
                $current['CALLCENTER_WHITELIST']['callGroups'] = [];
                $newFeatures['CALLCENTER_WHITELIST']['callGroups'] = $values['CALLCENTER_WHITELIST']['callGroupsWhitelist'];
            }
            if (array_key_exists('LIMITCALLGROUPS_MODE', $values['CALLCENTER_WHITELIST'])) {
                $newFeatures['CALLCENTER_WHITELIST']['enable'] = $values['CALLCENTER_WHITELIST']['LIMITCALLGROUPS_MODE'];
            }

            $result = array_replace_recursive($current, $newFeatures);
            saveFeaturesToUserFile($uid, $result);

            unset($current);
            unset($result);
        }
    }

    // Trying to execute nmap process to syncronize options with assigned phone
    // Connect to ldap, get extenNumber by uid, get registration from kamillio db
    $filterUid = '';
    if (sizeof($user_ids) > 1) {
        foreach ($user_ids as $uid) {
            $filterUid .= '(uid=' . $uid . ')';
        }
        $filterUid = '(|' . $filterUid . ')';
    } else {
        $filterUid .= '(uid=' . $user_ids[0] . ')';
    }
    $entries = WMS_Ldap::getInstance()->getEntries(WMS_Ldap::PERSONS, $filterUid, array(LDAP_EXTEN_NUMBER, 'wuserPasswordSip', 'mail', 'cn', 'uid', 'owner'));

    if (empty($entries)) {
        return false;
    }

    // {{
    $numbers = array();
    foreach ($entries as $entry) {
        $numbers[] = $entry[LDAP_EXTEN_NUMBER];
    }

    // }}

    foreach ($entries as $entry) {
        $number = $entry[LDAP_EXTEN_NUMBER];
        $secret = $entry['wuserPasswordSip'];
        $uid    = $entry['uid'];
        $cn     = $entry['cn'];
        $gid    = $entry['owner'];
        $jid    = $number . '@wildix';

        // Get local group
        $entry = WMS_Ldap::getInstance()->getEntryByDn($gid, array('cn'));
        if (empty($entry)) {
            return false;
        }
    }
    return true;
}

function get_timetable_list() {
    global $dialplan_class;
    return $dialplan_class->selectfrom_timetables();
}

function get_callGroups() {
    global $callGroups_class;
    $result = [];
    $groups = $callGroups_class->getItems();

    foreach ($groups as $key => $value) {
        $result[] = [
            'id' => $value->getId(),
            'name' => $value->getName()
        ];
    }
    return $result;
}

function get_contain_callGroups($user)
{
    global $callGroups_class;
    $groups = $callGroups_class->getItemsByExtension($user);
    $result = [];
    foreach ($groups as $key => $value) {
        $result[] = [
            'id' => $value->getId(),
            'name' => $value->getName()
        ];
    }
    return $result;
}

function get_switch_list() {
    global $dialplan_class;
    return $dialplan_class->selectfrom_wmsswitches();
}

function get_3switch_list() {
    global $dialplan_class;
    return $dialplan_class->selectfrom_wms3switches();
}

function get_aclgroup_list() {
    global $aclpbx_class;

    $result = array();
    foreach ($aclpbx_class->get_groups() as $record) {
        $result[$record['wcgrp']] = $record['cn'];
    }
    return $result;
}

function get_identities_list(string $customIdentities) :array {
    $result = [];
    $identities = explode(',', $customIdentities);
    foreach ($identities as $key => $item) {
        $ident = trim($item);
        if (!empty($ident)) {
            $result[$key] = $ident;
        }
    }
    array_unshift($result, "");

    return $result;
}

function get_pickupgroup_list() {
    global $dialplan_class;
    $result = array();
    foreach ($dialplan_class->getAllCallGroups() as $record) {
        $result[$record['cgroup_id']] = $record['call_groupname'];
    }
    return $result;
}

function get_trunk_list() {
    global $diContainer;
    $result = [];

    $pstnServices = [
        $diContainer->get(PstnTrunkServiceInterface::class),
        $diContainer->get(FxoTrunkServiceInterface::class),
    ];

    foreach ($pstnServices as $service) {
        foreach ($service->getItems() as $trunk) {
            array_push($result, ...$trunk->getAuthNamesByPorts());
        }
    }

    return $result;
}

function get_user_by_uid($uid) {
    $entry = WMS_Ldap::getInstance()->getEntry(WMS_Ldap::PERSONS, '(uid=' . $uid . ')', array('owner', 'mobile', LDAP_EXTEN_NUMBER));
    return empty($entry) ? false : $entry;
}

function check_user_group($uid) {
    $entries = get_user_by_uid($uid);
    return !$entries || !$entries['owner'] || trim($entries['owner']) == '' ? false : true;
}

function getFaxcoverImage($userid) {
    $userLdapData = WMS_Ldap::getInstance()->getEntry(WMS_Ldap::PERSONS, '(uid=' . $userid . ')', array('owner', 'mobile', LDAP_EXTEN_NUMBER));

    $fcImg = 'faxcover_user_'. $userid .'.jpg';
    $fcStatus = 0;

    $fcLocImg = '/mnt/faxes';

    if (intval($userLdapData[LDAP_EXTEN_NUMBER]) != 0) {
        $fcLocImg .= '/'. $userLdapData[LDAP_EXTEN_NUMBER] .'/'. $fcImg;
    } else {
        $fcLocImg .= '/'. $fcImg;
    }

    if (\Models\PBX::getInstance()->isCustomShareMounted('/mnt/faxes') && file_exists($fcLocImg)) {
        if (intval($userLdapData[LDAP_EXTEN_NUMBER]) != 0) {
            return array(1, "../spoolview/faxin/". $userLdapData[LDAP_EXTEN_NUMBER] ."/". $fcImg);
        }

        return array(1, "../spoolview/faxin/" . $fcImg);
    }  else {
        return array(0, '../cticonnect/data/images/blank_no_faxcover.jpg');
    }
}

function getFaxcoverFilePath($userid) {
    $path = '/mnt/faxes';
    $userLdapData = WMS_Ldap::getInstance()->getEntry(WMS_Ldap::PERSONS, '(uid=' . $userid . ')', array('owner', 'mobile', LDAP_EXTEN_NUMBER));
    $extension = $userLdapData[LDAP_EXTEN_NUMBER];
    $name = 'faxcover_user_'. $userid .'.jpg';

    if (intval($extension) != 0) {
        $path .= '/'. $extension .'/'. $name;
    } else {
        $path .= '/'. $name;
    }

    if (\Models\PBX::getInstance()->isCustomShareMounted('/mnt/faxes') && file_exists($path)) {
        return $path;
    } else {
        return false;
    }
}

function getFaxcoverPath($userid){
    $faxcoverPath = '/tmp/session/';
    $faxcoverShare = '/mnt/faxes';

    if (\Models\PBX::getInstance()->isCustomShareMounted($faxcoverShare)){
        //construct faxcover path
        $faxcoverPath = $faxcoverShare.'/';
        //add exten to path
        $userLdapData = WMS_Ldap::getInstance()->getEntry(WMS_Ldap::PERSONS, '(uid=' . $userid . ')', array('owner', 'mobile', LDAP_EXTEN_NUMBER));
        $extenNumber = $userLdapData[LDAP_EXTEN_NUMBER];
        if (intval($extenNumber)!=0)
            $faxcoverPath .= $extenNumber.'/';
        //create path if not exists
        if (!file_exists($faxcoverPath)) {
            mkdir($faxcoverPath);
        }
    }
    return $faxcoverPath;
}

require_once('classes/aclpbx/aclpbx.class.php');

$diContainer      = new \Wildix\DependencyInjection\Container();
$dialplan_class   = $diContainer->get(Wildix\Dialplan\IncomingCalls::class);
$aclpbx_class     = new aclpbx();
$callGroups_class = $diContainer->get(\Wildix\Dialplan\CallGroups\CallGroupsService::class);

//Get "Managed call groups". For iPhone App.
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'getCallGroups' && isset($_GET['userid'])) {
    header("Content-Type: application/json\n");
    die(json_encode(get_pickupgroup_list()));
}

// ------------------------------------------------------------------------------------------

$uid = 1 != count(explode('|', $userid)) ? 'multiple' : $userid;
$userdata = getUserFeatures($uid);
if(!empty($userdata['TWOFACTOR'])){
    unset($userdata['TWOFACTOR']['secret']);
}

if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'getUserFeatures' && isset($_GET['userid'])) {
    header("Content-Type: application/json\n");
    die(json_encode(userdata));
}
$phonebooks = select_phonebooks();
$userdata['PHONEBOOK'] = explode(',', $userdata['PHONEBOOK']);
foreach ($userdata['PHONEBOOK'] as $key => &$value) {
    if(empty($phonebooks[$value])){
        unset($userdata['PHONEBOOK'][$key]);
    }else{
        $value = $phonebooks[$value];
    }
}
unset($value);
$is_multiedit = $uid == 'multiple';

// get mobile number
$mobile_str = 'X';
if(!$is_multiedit){
    $entries = get_user_by_uid($uid);
    if ($entries && $entries['mobile'] && trim($entries['mobile']) !== '') {
        $mobile_str = $entries['mobile'];
    }
}

// callgroups

$callgroups = array();
$callgroups_static_member = array();
$callgroups_user = array();
$callgroups_user_whiteList = array();

$u_number = '';
$u_callgroups = array();
$u_callgroups_whiteList = array();
if (! $is_multiedit) {
    $entries = get_user_by_uid($uid);
    $u_number = $entries[LDAP_EXTEN_NUMBER];
    $u_callgroups = $userdata['CALLCENTER']['callGroups'] ?? [];
    $u_callgroups_whiteList = $userdata['CALLCENTER_WHITELIST']['callGroups'] ?? [];
}

foreach($dialplan_class->getAllCallGroups() as $cg) {
    $cg_name = $cg['call_groupname'] . ' [' . $cg['cgroup_id'] . ']';
    $callgroups[] = $cg_name;
    if (! $is_multiedit) {
        foreach ($cg['group_members'] as $key => $value) {
            if (strpos($value, $u_number.'@') !== false) {
                $callgroups_static_member[] = $cg_name;
                $callgroups_user[] = $cg_name;
                $callgroups_user_whiteList[] = $cg_name;
            }
        }

        foreach ($u_callgroups as $key => $value) {
            if ($value['id'] == $cg['cgroup_id'] && !in_array($cg_name, $callgroups_user)) {
                $callgroups_user[] = $cg_name;
            }
        }

        foreach ($u_callgroups_whiteList as $key => $value) {
            if ($value['id'] == $cg['cgroup_id'] && !in_array($cg_name, $callgroups_user_whiteList)) {
                $callgroups_user_whiteList[] = $cg_name;
            }
        }
    }
}

// fkeys
$str_fkeys = 'EXT, PORBIT, SD, TRUNK, LINE, DTMF, EMPTY, STIME, SWITCH, 3SWITCH, CONTACTCENTER, IDENTITIES, VM, PREFIX';

if (isset($_REQUEST['admin'])) {
    $str_fkeys .= ', GPICKUP, QCALL';
}

$arr_fkeys_has_values = array('LINE', 'EXT', 'PORBIT', 'SD', 'TRUNK', 'DTMF', 'VM', 'PREFIX');

$arr_features_with_select = array(
    'STIME' => get_timetable_list(),
    'TRUNK' => get_trunk_list(),
    'SWITCH' => get_switch_list(),
    '3SWITCH' => get_3switch_list(),
    'GPICKUP' => get_aclgroup_list(),
    'QPICKUP' => get_pickupgroup_list(),
    'QCALL' => get_pickupgroup_list(),
);

if (!empty($userdata['CUSTOM_IDENTITIES'])) {
    $arr_features_with_select['LINE'] = get_identities_list((string)$userdata['CUSTOM_IDENTITIES']);
}
// ------------------------------------------------------------------------------------------
// ------------------------------------------------------------------------------------------
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'getAllSettings' && !empty($_GET['userid'])) {
    header("Content-Type: application/json\n");
    $ringtones = array();

    $ringtonesArray = \Wildix\Sounds\SoundsService::getRingTones();
    foreach ($ringtonesArray as $fileWithPath => $fileFormats) {
        foreach ($fileFormats as $fileFormat) {
            $ext = substr($fileFormat, strrpos($fileFormat, '.'));
            $ringtones[] = $fileWithPath.$ext;
        }
    }

    if (!empty($userdata['WEBAPP']['url']) && filter_var($userdata['WEBAPP']['url'], FILTER_VALIDATE_URL) === false) {
        $userdata['WEBAPP']['url'] = '';
    }

    $data = array(
            'userFeatures' => $userdata,
            /*'callGroups' => array(
                    'value' => $callgroups_user,
                    'readonly' => $callgroups_static_member,
                    'data' => $callgroups
            ),*/
            'fkeys' => array(
                    'data' => str_replace(',',PHP_EOL,$userdata['FKEYS']),
                    'label_description' => $str_fkeys
            ),
            'lists' => $arr_features_with_select,
            'ringtones' => $ringtones,
            'callGroups' => array(
                'groups' => get_callGroups(),
                'containGroups' => get_contain_callGroups($userLdapData["telephoneNumber"])
            )
    );
    die(json_encode($data));
}
// {{{ Create a form
// ------------------------------------------------------------------------------------------
$ctioptions = [];
if (!$is_multiedit) {
    $ctioptions = (array)json_decode(base64_decode($userdata['CTIOPTIONS']));
}

$xmlform = new XMLForm();
$xmlform->add('custom', array( 'class' => 'header', 'content' => _t('strings.Features')));
$xmlform->add('list',
    array(
            'id' => 'classes',
            'label' => _t('features.Classes'),
            'value' => 'internal',
            'trclass' => 'features',
            'data' => array(
                    'internal.default'=>'internal',
                        'internal.dnd'=>'internal dnd',
                    'internal.away'=>'internal away',

                    'external.default'=>'external',
                    'external.dnd'=>'external dnd',
                    'external.away'=>'external away',

                    'blacklist.default'=>'blacklist',
                    'blacklist.dnd'=>'blacklist dnd',
                    'blacklist.away'=>'blacklist away',

                    'whitelist.default'=>'whitelist',
                    'whitelist.dnd'=>'whitelist dnd',
                    'whitelist.away'=>'whitelist away'
        )
    )
);

$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => '_ACTIVATED',
        'label' => _t('features.ActivateClass'),
        'value' => '1',
        'check' => '1',
        'uncheck' => '0',
        'display' => false,
        'trclass' => 'act_features',
    )
);

//{{ DND
$is_allowed = is_feature_allowed($user_group_dn, 'REJECT', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'REJECT',
        'label' => _t('features.CallReject'),
        'value' => $userdata['internal']['default']['REJECT']['status'],
        'check' => '1',
        'uncheck' => '0',
        'display' => $is_allowed,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ BCF
$is_allowed = is_feature_allowed($user_group_dn, 'BCF', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
    array( 'id' => 'BCF',
        'label' => _t('features.BCF'),
        'value' => $userdata['internal']['default']['BCF']['value'],
        'status' => $userdata['internal']['default']['BCF']['status'],
        'display' => $is_allowed,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ UCF
$is_allowed = is_feature_allowed($user_group_dn, 'UCF', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
    array( 'id' => 'UCF',
        'label' => _t('features.UCF'),
        'value' => $userdata['internal']['default']['UCF']['value'],
        'status' => $userdata['internal']['default']['UCF']['status'],
        'display' => $is_allowed,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ FCF
$is_allowed = is_feature_allowed($user_group_dn, 'FCF', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
    array( 'id' => 'FCF',
        'label' => _t('features.FCF'),
        'value' => $userdata['internal']['default']['FCF']['value'],
        'status' => $userdata['internal']['default']['FCF']['status'],
        'display' => $is_allowed,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ CW
$is_allowed = is_feature_allowed($user_group_dn, 'CW', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'CW',
        'label' => _t('features.CW'),
        'value' => $userdata['internal']['default']['CW']['status'],
        //'status' => $userdata['internal']['default']['CW']['status'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'display' => $is_allowed,
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ TOUT
$is_allowed = is_feature_allowed($user_group_dn, 'TOUT', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
    array( 'id' => 'TOUT',
        'label' => _t('features.TOUT'),
        'value' => $userdata['internal']['default']['TOUT']['value'],
        'status' => $userdata['internal']['default']['TOUT']['status'],
        'display' => $is_allowed,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ MEXT
$is_allowed = is_feature_allowed($user_group_dn, 'MEXT', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
    array( 'id' => 'MEXT',
        'label' => _t('features.MEXT'),
        'value' => $userdata['internal']['default']['MEXT']['value'],
        'status' => $userdata['internal']['default']['MEXT']['status'],
        'label_description' => _t('features.MEXT.Explanation', $mobile_str),
        'display' => $is_allowed,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'features': '',
    )
);

// Mobility Confirmation
$is_allowed = is_feature_allowed($user_group_dn, 'MEXT', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'MOBCONFIRMATION',
        'label' => _t('features.MOBCONFIRMATION'),
        'value' => $userdata['internal']['default']['MOBCONFIRMATION']['status'],
        //'status' => $userdata['internal']['default']['MOBCONFIRMATION']['status'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'display' => $is_allowed,
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ EMAILMCN
$is_allowed = is_feature_allowed($user_group_dn, 'EMAILMCN', $userLicenseType);
$xmlform->add(!$is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'EMAILMCN',
        'label' => _t('features.EMAILMCN'),
        'value' => $userdata['internal']['default']['EMAILMCN']['status'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'display' => $is_allowed,
        'trclass' => $is_allowed? 'features': '',
    )
);

//{{ SMSMCN
$is_allowed = is_feature_allowed($user_group_dn, 'SMSMCN', $userLicenseType);
$xmlform->add(!$is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'SMSMCN',
        'label' => _t('features.SMSMCN'),
        'value' => $userdata['internal']['default']['SMSMCN']['status'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'display' => $is_allowed,
        'trclass' => $is_allowed? 'features': '',
    )
);


$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
    array( 'id' => 'RING',
        'label' => _t('features.RING'),
        'value' => htmlspecialchars($userdata['internal']['default']['RING']['value']),
        'status' => $userdata['internal']['default']['RING']['status'],
        'trclass' => 'features',
        'cstatus' => '0',
    )
);

$xmlform->add('custom', array( 'class' => 'header', 'content' => _t('strings.Settings')));

$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
        array( 'id' => 'SHAREDVM',
                'label' => _t('features.SHAREDVM'),
                'value' => $userdata['SHAREDVM']['value'],
                'status' => $userdata['SHAREDVM']['status'],
                'display' => false,
                'cstatus' => '0',
                'trclass' => 'settings',
        )
);

$xmlform->add(! $is_multiedit ? 'checktext' : 'checktextadv',
        array( 'id' => 'HOTLINE',
                'label' => 'Hotline',
                'value' => $userdata['HOTLINE']['value'],
                'status' => $userdata['HOTLINE']['status'],
                'labelDelay' => strtolower(_t('strings.Timeout')),
                'delay' => $userdata['HOTLINE']['delay'],
                'display' => false,
                'cstatus' => '0',
                'trclass' => 'settings',
        )
);


$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
        array( 'id' => 'CWTONE',
                'label' => _t('features.CWTONE'),
                'value' => $userdata['CWTONE']['status'],
                'check' => '1',
                'uncheck' => '0',
                'cstatus' => '0',
                'display' => false,
                'trclass' => 'settings',
        )
);

$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
        array( 'id' => 'ROAD',
                'label' => _t('features.ROAD'),
                'value' => $userdata['ROAD']['status'],
                'check' => '1',
                'uncheck' => '0',
                'cstatus' => '0',
                'display' => false,
                'trclass' => 'settings',
        )
);

$xmlform->add(!$is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'unread_messages_via_email',
        'label' => _t('features.UnreadMessagesViaEmail'),
        'value' => $ctioptions['unread_messages_via_email'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'trclass' => 'settings',
    )
);

$xmlform->add(! $is_multiedit ? 'list' : 'listadv',
        array( 'id' => 'TWOFACTOR',
                'label' => _t('features.TWOFACTOR'),
                'value' => $userdata['TWOFACTOR']['enable'] ? $userdata['TWOFACTOR']['app'] : 0,
                'cstatus' => '0',
                'display' => false,
                'trclass' => 'settings',
                'data' => array(
                    '0' => 'disabled',
                    'GoogleAuthenticator' => 'GoogleAuthenticator',
                    'FreeOTPAuthenticator' => 'FreeOTPAuthenticator',
                    'WindowsPhoneAuthenticator' => 'WindowsPhoneAuthenticator',
                    'OtherAuthenticator' => 'Other Application',
                    \Wildix\Auth\TwoFactor\TwoFactorAuthenticatorFactory::FACTOR_EMAIL => 'E-mail',
                    \Wildix\Auth\TwoFactor\TwoFactorAuthenticatorFactory::FACTOR_SMS => 'SMS',
                ),
        )
);

$cotrolled2ndFacrors = array();
$mailOption = $diContainer->get(\Wildix\Smtp::class)->getMailOptions();

if (!empty($mailOption['host'])) {
    $cotrolled2ndFacrors[] = \Wildix\Auth\TwoFactor\TwoFactorAuthenticatorFactory::FACTOR_EMAIL;
}

if (\CTI\Config::getInstance()->get('LICENSE_SMS')) {
    $cotrolled2ndFacrors[] = \Wildix\Auth\TwoFactor\TwoFactorAuthenticatorFactory::FACTOR_SMS;
}


$is_allowed = is_feature_allowed($user_group_dn, 'PHONEBOOK', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'multilist' : 'multilistadv',
    array( 'id' => 'PHONEBOOK',
        'label' => _t('features.PHONEBOOK'),
        'value' => $userdata['PHONEBOOK'],
        'multiple' => 'on',
        'data' => $phonebooks,
        'display' => false,
        'cstatus' => '0',
        'trclass' => $is_allowed ? 'settings' : '',
        'leftlabel' => _t('strings.Available'),
        'rightlabel' => _t('strings.Selected'),
    )
);

$userdata['DATETIME']['is24h'] = htmlspecialchars($userdata['DATETIME']['is24h']);
$userdata['DATETIME']['format'] = htmlspecialchars($userdata['DATETIME']['format']);
$xmlform->add(! $is_multiedit ? 'list' : 'listadv',
    array(
        'id' => 'DATETIME_format',
        'label' => _t('features.DateFormat'),
        'value' => $userdata['DATETIME']['format'],
        'display' => false,
        'trclass' => 'settings',
        'cstatus' => '0',
        'data' => array(
            'd/m/Y'=>'dd/mm/yyyy',
            'm/d/Y'=>'mm/dd/yyyy',
            'd M Y'=>'dd mmm yyyy',
            'M d Y'=>'mmm dd yyyy',
            'd-m-Y'=>'dd-mm-yyyy',
            'm-d-Y'=>'mm-dd-yyyy',
            'Y-m-d'=>'yyyy-mm-dd',
            'd.m.Y'=>'dd.mm.yyyy'
        )
    )
);
$xmlform->add(! $is_multiedit ? 'list' : 'listadv',
    array(
        'id' => 'DATETIME_is24h',
        'label' => _t('features.TimeFormat'),
        'value' => ' '.$userdata['DATETIME']['is24h'],
        'display' => false,
        'trclass' => 'settings',
        'cstatus' => '0',
        'data' => array(
            ' 1'=>_t('features.TimeFormat24Hour'),
            ' 0'=>_t('features.TimeFormatAmPm'),
        )
    )
);

$xmlform->add(! $is_multiedit ? 'textbox' : 'textboxadv',
    array( 'id' => 'POPUPURL',
        'label' => _t('features.POPUPURL'),
        'value' => $userdata['POPUPURL']['url'],
        'display' => false,
        'cstatus' => '0',
        'size' => '45',
        'trclass' => 'settings',
    )
);

$xmlform->add(! $is_multiedit ? 'list' : 'listadv',
        array( 'id' => 'open_popup_incoming_calls_when',
                'label' => '',
                'label2' => _t('features.POPUPURL.IncomingCall'),
                'value' => $userdata['POPUPURL']['incoming'],
                'trclass' => 'settings open-popup-url',
                'data' => array(
                        'click'=>_t('features.POPUPURL.OnClick'),
                        'ring'=>_t('features.POPUPURL.Ringing'),
                        'up'=>_t('features.POPUPURL.Answer')
                ),
                'cstatus' => '0'
        )
);
$xmlform->add(! $is_multiedit ? 'list' : 'listadv',
        array( 'id' => 'open_popup_outgoing_calls_when',
                'label' => '',
                'label2' => _t('features.POPUPURL.OutgoingCall'),
                'value' => $userdata['POPUPURL']['outgoing'],
                'trclass' => 'settings open-popup-url',
                'data' => array(
                        'click'=>_t('features.POPUPURL.OnClick'),
                        'ring'=>_t('features.POPUPURL.CallGenerated'),
                        'up'=>_t('features.POPUPURL.Answer')
                ),
                'cstatus' => '0'
        )
);

$arr_fkeys = array(
    'EXT'           => _t('phones.aps.FK.Number'),
    'PORBIT'        => _t('phones.aps.FK.ParkOrbit'),
    'LINE'          => _t('phones.aps.Line'),
    'SD'            => _t('phones.aps.FK.speed'),
    'EMPTY'         => _t('phones.aps.FK.EmptyKey'),
    'TRUNK'         => 'Trunk',
    'STIME'         => _t('phones.aps.FK.timetable'),
    'SWITCH'        => ucfirst(_t('sw.switch')),
    '3SWITCH'       => _t('sw.3switch'),
    'GPICKUP'       => _t('phones.aps.FK.GPICKUP'),
    'QCALL'         => _t('phones.aps.FK.QCALL'),
    'DTMF'          => 'DTMF',
    'VM'            => _t('features.VM'),
    'CONTACTCENTER' => _t('phones.aps.FK.CONTACTCENTER'),
    'IDENTITIES'    => _t('features.IDENTITIES'),
    'PREFIX'        => _t('features.PREFIX')
);

//{{ FKEYS
$is_allowed = is_feature_allowed($user_group_dn, 'FKEYS', $userLicenseType);
$xmlform->add(! $is_multiedit ? 'textarea' : 'textareaadv',
    array( 'id' => 'FKEYS',
        'label' => _t('features.FKEYS'),
        'value' => str_replace(',',PHP_EOL,$userdata['FKEYS']),
        'label_description' => $str_fkeys,
        'display' => false,
        'cstatus' => '0',
        'trclass' => $is_allowed? 'settings': '',
    )
);
// }}

//{{ DEFSTATUS
//$is_allowed = is_feature_allowed($user_group_dn, 'STATUS', $userLicenseType);
$is_allowed = true;

$str_defstatus = '';
foreach ($userdata['DEFSTATUS'] as $value) {
    $hours = floor($value['time'] / 3600);
    $minutes = floor(($value['time'] / 3600 - $hours) * 60);
    $str_defstatus .= $value['status'] . ' "' . $value['message'] . '" ' . $hours. ':' . $minutes . PHP_EOL;
}

$xmlform->add(! $is_multiedit ? 'textarea' : 'textareaadv',
    array( 'id' => 'DEFSTATUS',
        'label' => _t('features.DEFSTATUS'),
        'value' => $str_defstatus,
        'display' => false,
        'cstatus' => '0',
        'trclass' => $is_allowed ? 'settings' : '',
    )
);
// }}
// Limit call groups

$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'LIMITCALLGROUPS_MODE',
        'label' => _t('features.limit_call_groups'),
        'label2' => _t('features.enabled'),
        'label2Class' => 'callgroups-options-label',
        'value' => $userdata['CALLCENTER_WHITELIST']['enable'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'display' => false,
        'trclass' => 'settings callgroups-options',
    )
);

$xmlform->add(! $is_multiedit ? 'multilist' : 'multilistadv',
    array(
        'id' => 'callGroupsWhitelist',
        //'label' => _t('features.CALLGROUPS'),
        //'label_description' => _t('features.CALLGROUPS.Hint'),
        'trclass' => 'settings hidden',
        'value' => $callgroups_user_whiteList,
        'readonly' => $callgroups_static_member,
        'data' => $callgroups,
        'cstatus' => '0',
        'display' => false,
        'leftlabel' => _t('strings.CallGroups'),
        'rightlabel' => _t('strings.Available'),
        'trclass' => 'settings',
    )
);

// {{ callgroups

// CALLGROUPS

$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'CALLCENTER_MODE',
        'label' => _t('features.contact_center'),
        'label2' => _t('features.enabled'),
        'label2Class' => 'callgroups-options-label',
        'value' => $userdata['CALLCENTER']['enable'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        'display' => false,
        'trclass' => 'settings callgroups-options',
    )
);

$xmlform->add(! $is_multiedit ? 'checkbox' : 'checkboxadv',
    array( 'id' => 'statusSync',
        'label' => '',
        'label2' => _t('features.chat_sync'),
        'label2Class' => 'callgroups-options-label',
        'value' => $userdata['CALLCENTER']['statusSync'],
        'check' => '1',
        'uncheck' => '0',
        'cstatus' => '0',
        //'display' => false,
        'trclass' => 'settings callgroups-options',
    )
);

//echo '<pre>';
//var_dump($callgroups_user, $callgroups_static_member, $callgroups);
//echo '</pre>';

$xmlform->add(! $is_multiedit ? 'multilist' : 'multilistadv',
    array(
        'id' => 'callGroups',
        //'label' => _t('features.CALLGROUPS'),
        //'label_description' => _t('features.CALLGROUPS.Hint'),
        'trclass' => 'settings hidden',
        'value' => $callgroups_user,
        'readonly' => $callgroups_static_member,
        'data' => ($userdata['CALLCENTER_WHITELIST']['enable'] === '1') ? $callgroups_user_whiteList : $callgroups,
        'cstatus' => '0',
        'display' => false,
        'leftlabel' => _t('strings.Available'),
        'rightlabel' => _t('strings.Selected'),
        'trclass' => 'settings',
    )
);
// }}



if (\Wildix\License::getInstance()->haveLicense('faxes')) {
// Fax Server Settings
    $ctioptions = [];
    if (! $is_multiedit) {
        $ctioptions = (array)json_decode(base64_decode($userdata['CTIOPTIONS']));
    }



    $xmlform->add(! $is_multiedit ? 'textbox' : 'textboxadv',
        array( 'id' => 'fax_options_from_company',
            'label' => _t('faxcover.Company'),
            'value' => htmlspecialchars($ctioptions['fax_options_from_company']),
            'display' => false,
            'cstatus' => '0',
            'size' => '30',
            'maxlength' => '20',
            'trclass' => 'settings',
        )
    );

    $xmlform->add(! $is_multiedit ? 'textbox' : 'textboxadv',
        array( 'id' => 'fax_options_stationid',
            'label' => _t('fax.LOCALSTATIONID'),
            'value' => $ctioptions['fax_options_stationid'],
            'display' => false,
            'cstatus' => '0',
            'size' => '30',
            'maxlength' => '20',
            'trclass' => 'settings',
        )
    );

    $xmlform->add(! $is_multiedit ? 'textbox' : 'textboxadv',
        array( 'id' => 'fax_options_headerinfo',
            'label' => _t('fax.LOCALHEADERINFO'),
            'value' => $ctioptions['fax_options_headerinfo'],
            'display' => false,
            'cstatus' => '0',
            'size' => '30',
            'maxlength' => '20',
            'trclass' => 'settings',
        )
    );
    // faxcover image
    if (! $is_multiedit) {
        [$fcStatus, $fcImg] = getFaxcoverImage($userid);
    }

    //-----

    $xmlform->add(! $is_multiedit ? 'imgbox' : 'imgboxadv',
        array( 'id' => 'fax_faxcover_uploader',
            'label' => _t('fax.FaxcoverImage'),
            'text_remove' => _t('strings.Remove'),
            'value' => $fcImg,
            'value_status' => $fcStatus,
            'display' => false,
            'cstatus' => '0',
            'trclass' => 'settings',
        )
    );
}

// callgroups
$xmlform->add(! $is_multiedit ? 'textarea' : 'textareaadv',
    [
        'id' => 'callgroups',
        'label' => _t('features.callgroups'),
        'value' => $userdata['ALTERNATE_PICKUP_MODE']['callgroups'],
        'cstatus' => '0',
        'trclass' => 'settings groups-list',
    ]
);

// pickupgroups
$xmlform->add(! $is_multiedit ? 'textarea' : 'textareaadv',
    [
        'id' => 'pickupgroups',
        'label' => _t('features.pickupgroups'),
        'value' => $userdata['ALTERNATE_PICKUP_MODE']['pickupgroups'],
        'cstatus' => '0',
        'trclass' => 'settings groups-list',
    ]
);

$xmlform->add(! $is_multiedit ? 'textbox' : 'textboxadv',
    [
        'id' => 'custom_identities',
        'label' => _t('features.customIdentities'),
        'value' => $userdata['CUSTOM_IDENTITIES'],
        'cstatus' => '0',
        'size' => '30',
        'maxlength' => '1000',
        'trclass' => 'settings custom-identities',
    ]
);

$is_roster_allowed = false;

if (\Wildix\License::getInstance()->haveLicense('cti_connect_pro')) {
    $is_roster_allowed = is_acl_subject_allowed($user_group_dn, 'canuse', 'CTI_PRO', $userLicenseType);
}

// we must not show roster if use has no group
$roster_error_message = '';
if ($uid != 'multiple') {
    $is_roster_allowed = check_user_group($uid);
    if (! $is_roster_allowed) {
        $roster_error_message = '<table width="100%"><tr><th>'. _t('features.ROSTER') . '</th><td><center style="color:#ff0000">' . _t('features.UserHasNoGroup') . '</td></tr></table><br>';
    }
} else {
    $is_roster_allowed = false;
}

if ($is_roster_allowed) {
    $xmlform->add('custom', array( 'class' => 'header', 'content' => _t('features.ROSTER')));
}
$xmlform->add('custom', array( 'id' => 'roster_div', 'content' => ''));

// ------------------------------------------------------------------------------------------
// }}}

$form_content = $xmlform->form();

// update $userdata['ROSTER']
//$skip_uids = array($uid);
//logger($skip_uids);
//logger($userid);
//$userslist = get_WmsUsersList($skip_uids, $userid);

$userdata['ROSTER'] = fixUserRoster ($userdata['ROSTER']);

function fixUserRoster ($roster) {

    if ($roster && is_array($roster)) {

        $phJid = array();
        $filter = "(|";
        foreach($roster as $users) {
            foreach($users as $jid) {
                $phone = explode('@', $jid); $phone = $phone[0];
                $phJid[$phone] = $jid;
                $filter .= "(".LDAP_EXTEN_NUMBER."=".$phone.")";
            }
        }
        $filter .= ")";

        $search = WMS_Ldap::getInstance()->getEntriesSortLimit(WMS_Ldap::PERSONS, $filter, array('cn', 'owner', LDAP_EXTEN_NUMBER));
        if( ! $search){
            return false;
        }

        $group = array();
        $roster = array();
        foreach($search as $val){
            if( ! is_array($val)){
                continue;
            }
            if( ! $group[$val['owner']]){
                $group[$val['owner']] = WMS_Ldap::getInstance()->getEntryByDn($val['owner'], array('cn'));
            }

            $roster[$group[$val['owner']]['cn']][$val['cn'].' ['.$val[LDAP_EXTEN_NUMBER].']'] = $phJid[$val[LDAP_EXTEN_NUMBER]] ;
        }
    }

    return $roster;
}


if(isset($_GET['action']) && $_GET['action']=='getform') {
    header("Content-Type: application/json\n");
    //	ob_start("ob_gzhandler");
    $result = array();
    $result['values'] = $userdata;
    $result['form'] = $form_content;

    die( json_encode($result) );
}

//ob_start("ob_gzhandler");
require_once dirname(__FILE__).'/features_user.phtml';
