<?php

// Logger funciton
use Api\Translation\Factory\TranslationFactory;

if(function_exists('logger')) {
    register_shutdown_function(
        /* XXX: To turn on the log insert in /etc/syslog.conf
         * local0.*  -/tmp/wms.log
         *
         * and /etc/init.d/syslogd restart
         *
         * or use utilite "apsdebug [--keep<dont remove log file>]"
        */
        function () {
            if (5 < sizeof($logs = explode("\n",logger()))) {
                openlog('WMS v.' . WMS_VERSION_FULL . ' ', LOG_PID, LOG_LOCAL0);
                foreach($logs as $message) syslog(LOG_INFO,$message);
                closelog();
            }
        }
    );
}

/**
 * @deprecated
 * @param string $message
 * @return string
 */

function logger($message = 'End') {
    static $logs = array("\n\n>>> Start"), $time = null;

    $args = array_slice(func_get_args(), 1);

    if(is_null($time)) $time = getmicrotime();
    if(is_array($message) || is_object($message)) {
        $message = print_r($message,true);
    }
    $stamp = round(getmicrotime() - $time,4);
    $logs[] = "[$stamp] ".implode(':',$args).': '.$message;

    return implode("\n\n",$logs);
}

/**
 * @deprecated
 * @param $array1
 * @param $array2
 * @return int
 */

function array_diff_assoc_recursive($array1, $array2) {
    foreach($array1 as $key => $value) {
        if(is_array($value)) {
            if(!isset($array2[$key])) {
                $difference[$key] = $value;
            }  elseif (!is_array($array2[$key])) {
                $difference[$key] = $value;
            } else {
                $new_diff = array_diff_assoc_recursive($value, $array2[$key]);
                if ($new_diff != false) {
                    $difference[$key] = $new_diff;
                }
            }
        } elseif(!isset($array2[$key]) || $array2[$key] != $value) {
            $difference[$key] = $value;
        }
    }

    return !isset($difference) ? 0 : $difference;
}

/**
 * array_merge_recursive_distinct does not change the datatypes of the values in the arrays.
 * Matching keys' values in the second array overwrite those in the first array, as is the
 * case with array_merge, i.e.:
 *
 * array_merge_recursive_distinct(array('key' => 'org value'), array('key' => 'new value'));
 *     => array('key' => array('new value'));
 *
 * Parameters are passed by reference, though only for performance reasons. They're not
 * altered by this function.
 *
 * @deprecated
 * @param array $array1
 * @param array $array2
 * @return array
 */
function array_merge_recursive_distinct(array $array1, array $array2) {
    $merged = $array1;

    foreach ($array2 as $key => $value){
        if (is_array($value) && isset($merged[$key]) && is_array($merged[$key])) {
            $merged[$key] = array_merge_recursive_distinct($merged[$key], $value);
        } else {
            $merged[$key] = $value;
        }
    }
    return $merged;
}

/**
 * @deprecated
 * @param $message
 * @param int $priority
 */
function _log($message, $priority = LOG_INFO){
    openlog('WMS v.'.WMS_VERSION_FULL, LOG_PID, LOG_LOCAL0);
    syslog($priority, $message);
    closelog();
}

/** This function is used to get list of Dialtones
 * @deprecated
 * @param string $vendor Indication type of the device
 * @return string|array
 */
function getDialToneList ($vendor)
{
    $dialTones = Array(
            "media5" => Array(
                    "Austria1" => "Austria",
                    "CzechRepublic1" => "CzechRepublik",
                    "France1" => "France",
                    "Germany1" => Array( "Germany", "1"),
                    "Germany2" => Array( "Germany", "2"),
                    "Italy1" => "Italy",
                    "UK1" => "UK",
                    "NorthAmerica1" => "US",
                    "Spain1" => "Spain",
                    "Switzerland1" => "Switzerland",
                    ),
            "dinstar" => Array(
                    "Austria" => "Austria",
                    "CzechRepublic" => "CzechRepublik",
                    "France" => "France",
                    "Germany" => "Germany",
                    "Italy" => "Italy",
                    "UK" => "UK",
                    "NorthAmerica" => "US",
                    "Spain" => "Spain",
                    ),
            "welltech" => Array(
                    "czech" => "CzechRepublik",
                    "france" => "France",
                    "germany" => "Germany",
                    "italy" => "Italy",
                    "uk" => "UK",
                    "us" => "US",
                    "spain" => "Spain",
                    "switzerland" => "Switzerland",
                    "matra" => "Matra",
                    ),
            "dinstar2" => Array(
                    //"13" => "Australia",
                    "1" => "Austria",
                    //"2" => "Belgium",
                    //"14" => "China",
                    //"16" => "Denmark",
                    //"21" => "Dutch",
                    //"3" => "Finland",
                    "4" => "France",
                    "5" => "Germany",
                    //"6" => "Greece",
                    //"15" => "Hongkong",
                    "7" => "Italy",
                    //"8" => "Japan",
                    //"9" => "Norway",
                    //"18" => "Poland",
                    //"19" => "Portugal",
                    //"17" => "Russia",
                    "10" => "Spain",
                    //"11" => "Sweden",
                    //"20" => "Turkey",
                    "12" => "UK",
                    //"22" => "Bosnia",
                    "0" => "US"//,
                    //"23" => "DPRK",
                )
            );

    if (!function_exists('ToOptionsTags')) {
        function ToOptionsTags ($tones) {
            $optionsList = '';
            foreach ( $tones as $key => $value )
                if (is_array($value))
                    $optionsList .= '<option value="' . $key . '">' . _t('strings.' . $value[0]) . $value[1] . '</option>\n';
                else
                    $optionsList .= '<option value="' . $key . '">' . _t('strings.' . $value) . '</option>\n';
            return $optionsList;
        }
    }

    if ($vendor == "common_array")
        return $dialTones;
    else if (is_array($dialTones[$vendor]))
        return ToOptionsTags($dialTones[$vendor]);
    else
        return '';
}


/** Recursive function for search exists values in assoc array
* @deprecated
* @param 	array	$array 		Subject assoc array
* @param 	string	$value		Value for search
* @param 	string	$searchby	Search by key
* @return 	bool
*/
function array_value_exists($array,$value,$searchby = null) {
    $flag = false;
    foreach ($array as $key => $val){
        if(is_array($val)){
            $flag = array_value_exists($val,$value,$searchby);
            if($flag === true) return true;
        } else {
            if (!is_null($searchby)) {
                if ($value === $val && $key === $searchby){
                    $flag = true;
                    return $flag;
                    break;
                } else {
                    $flag = false;
                }
            } else {
                if ($value === $val){
                    $flag = true;
                    return $flag;
                    break;
                } else {
                    $flag = false;
                }
            }
        }
    }
    return $flag;
}

/**
 * @deprecated
 * @param $needle
 * @param $haystack
 * @return bool|int|string
 */

function multi_array_key_exists($needle, $haystack) {
    foreach ($haystack as $key => $value) {
        if ($needle === $key) {
            return $key;
        }
        if (is_array($value)) {
            if (multi_array_key_exists($needle, $value)) {
                return $key . ':' . multi_array_key_exists($needle, $value);
            }
        }
    }
    return false;
}

function head($string) {
    return "<span class='tablehead'>&nbsp;".$string."&nbsp;</span>";
}

/**
 * @deprecated
 * @param $string
 * @return bool
 */

function is_ip($string) {
    $long = ip2long($string);
    return ($long != -1 && $long !== false);
}

/**
 * @deprecated
 * @param $string
 * @return int
 */

function is_mac($string) {
    return (preg_match('/^[0-9A-Fa-f]{12}$/',$string));
}


/**
 * @deprecated
 * @param $mac1
 * @param $mac2
 * @return bool|int
 */

function compareMAC ($mac1,$mac2) { // $mac1 < $mac2 - returns "-1", $mac1 > $mac2 - returns 1, $mac1 = $mac2 - return 0, return false

    if (!is_mac($mac1) || !is_mac($mac2)) return false;

    for ($i = 0; $i < 6; $i += 2) {
        $oneByte1 = hexdec($mac1);
        $oneByte2 = hexdec($mac2);

        if($oneByte1 < $oneByte2) return -1;
        if($oneByte1 > $oneByte2) return 1;
    }

    return 0;
}


/**
 * @deprecated
 * @param $string
 * @return bool
 */

function is_ip_mask($string) {
    if (is_ip($string)){
        $bit='';
        $add=explode('.',$string);
        foreach ($add as $value){
            $b = base_convert($value,10,2);
            if (strlen($b)<8){
                $b=str_repeat('0',8-strlen($b)).$b;
            }
            $bit .= $b;
        }
        if (strpos($bit,'0')!==false){
            $bit=substr($bit,strpos($bit,'0')+1);
            if (strpos($bit,'1')!==false) return false;
        }
        return true;
    }
    return false;
};

/**
 * @deprecated
 * @param $ip
 * @param $mask
 * @return mixed
 */

function get_subnet($ip,$mask) {
    $a_ip=explode('.',$ip);
    $ip_bit = '';
    foreach ($a_ip as $value){
        $b = base_convert($value,10,2);
        if (strlen($b)<8){
            $b=str_repeat('0',8-strlen($b)).$b;
        }
        $ip_bit.=$b;
    }

    $a_mask=explode('.',$mask);
    $mask_bit = '';
    foreach ($a_mask as $value){
        $b = base_convert($value,10,2);
        if (strlen($b)<8) {
            $b=str_repeat('0',8-strlen($b)).$b;
        }
        $mask_bit.=$b;
    }
    $mask_l=strpos($mask_bit,'0');

    $networkIdBit = substr($ip_bit,0,$mask_l);
    $hostIdBitLen = 32 - strlen($networkIdBit);

    $bcast_b = $networkIdBit.str_repeat('1',$hostIdBitLen);
    $first_b = $mask_l == 31 ? $networkIdBit.'0' : $networkIdBit.str_repeat('0',$hostIdBitLen - 1).'1';
    $last_b  = $mask_l == 31 ? $networkIdBit.'1' : $networkIdBit.str_repeat('1',$hostIdBitLen - 1).'0';

    $a['ip']     = $ip;
    $a['ip_bit'] = $ip_bit;

    $a['mask']     = \Wildix\System\Network::bin2ip($mask_bit);
    $a['mask_bit'] = $mask_bit;
    $a['mask_l']   = $mask_l;

    $a['bcast']     = \Wildix\System\Network::bin2ip($bcast_b);
    $a['bcast_bit'] = $bcast_b;

    $a['first']     = \Wildix\System\Network::bin2ip($first_b);
    $a['first_bit'] = $first_b;

    $a['last']     = \Wildix\System\Network::bin2ip($last_b);
    $a['last_bit'] = $last_b;

    $a['subnet']     = \Wildix\System\Network::bin2ip($ip_bit & $mask_bit);
    $a['subnet_bit'] = ($ip_bit & $mask_bit);

    $a['count'] = base_convert($last_b,2,10) - base_convert($first_b,2,10);
    return $a;
};

/**
 * @deprecated
 * @param $int
 * @return string
 */

function month_name($int) {
    if (empty($int)) {
        return '';
    }
    if ($int < 1 || $int > 12 ) die( 'Are you sure? Please, check your code, you call month_name with '.$int.' month number!!!!' );

    $months = array(1 => 'strings.January', 'strings.February', 'strings.March', 'strings.April', 'strings.May', 'strings.June', 'strings.July', 'strings.August',
                'strings.September', 'strings.October', 'strings.November', 'strings.December');

    return _t($months[$int]);
}

/**
 * @deprecated
 * @param $int
 * @return string
 */
function day_of_week($int) {
    if (empty($int) ) return '';
    if ($int < 1 || $int >7 ) die (' Bad number of day of week: '.$int);

    $days = Array(1 => 'strings.Monday', 'strings.Tuesday', 'strings.Wednesday', 'strings.Thursday', 'strings.Friday', 'strings.Saturday', 'strings.Sunday');

    return _t($days[$int]);
}

/**
 * @deprecated
 * @param $array
 * @return array
 */
function arem_empty($array) {
    $holding=array();
    foreach($array as $v){
        if(trim($v) === '') continue;
        $holding[]=$v;
    }
    return $holding;
}

/**
 * @deprecated
 * @param $array
 * @return bool
 */
function is_assoc($array) {
    return (is_array($array) && 0 !== sizeof(array_diff_key($array, array_keys(array_keys($array)))));
}

//============================ debug function


/**
 * @deprecated
 * @return float
 */
function getmicrotime() {
    [$usec, $sec] = explode(" ",microtime());
    return ((float)$usec + (float)$sec);
}


/** translate function
 * @deprecated
 * @param   string $string Short key of translation string
 * @param   mixed $args Strings to be substitude (%s,%d)
 * @return  string Translation string
*/
function _t($string){
    static $dictionary;
    if (!isset($dictionary)) {
        $dictionary = TranslationFactory::getByLang($_SESSION['language'] ?? 'english');
    }
    $pattern = $dictionary->t($string);
    // modify function sth like printf, get arguments
    $args  = array_slice(func_get_args(), 1);
    $nargs = func_num_args();

    if($string === $pattern){
        return $pattern;
    }

    // TODO: if source string contain format rules: %s,%c,%n and there is no any arguments we need remove format rules..
    try {
        return vsprintf($pattern, (1 == $nargs ? [''] : $args));
    } catch (\Throwable $e) {
        // try to fix for php8
        $pattern = str_replace('%', '%%', $pattern);

        return vsprintf($pattern, (1 == $nargs ? [''] : $args));
    }
}

/**
 * @deprecated
 * function to get all context names registered in WMS
 * returns context names & incoming rulenames both in one array
*/
function get_contextnames($top_value='') {
    $result = array();
    if ($top_value != ''){
    	$result[$top_value] = $top_value;
    }

    $dialplan_with_predifined_description = array(
        'internalcalls',
        'pbxfeatures',
        'pbxservices',
        'pbxinternal',
        'users',
        'main'
    );

    $sql = "SELECT context, ruledescription FROM (SELECT DISTINCT rulename AS context, ruledescription AS ruledescription FROM dialplan_rulenames UNION SELECT 'pbxinternal' AS context, '' AS ruledescription UNION SELECT 'pbxfeatures' AS context, '' AS ruledescription UNION SELECT 'pbxservices' AS context, '' AS ruledescription UNION SELECT 'internalcalls' AS context, '' AS ruledescription) ORDER BY context ASC;";

    if ($rows = \Wildix\Databases\WMSDB::getInstance()->query($sql)) {
    	while($row = $rows->fetchArray(SQLITE3_ASSOC)){
    		if (in_array($row['context'], $dialplan_with_predifined_description)) {
    			$result[$row['context']] = $row['context'] . ' (' . _t('dialplan.rule.' . $row['context']) . ')';
    		} else if ($row['ruledescription'] != '') {
    			$result[$row['context']] = $row['context'] . ' (' . $row['ruledescription'] . ')';
    		} else {
    			$result[$row['context']] = $row['context'];
    		}
    	}
    	$rows->finalize();
    }

    return $result;
}
//===========================================

/**
* Parse a SimpleXMLElement object recursively into an Array.
* Attention: attributes skipped
*
* @deprecated
* @param SimpleXMLElement $obj The SimpleXMLElement object
* @param array $arr Target array where the values will be stored
* @return NULL
*/
function convertXmlObjToArr( $obj, &$arr ) {
    $children = $obj->children();
    $executed = false;
    if(!is_array($arr) ) $arr = array();
    foreach ($children as $elementName => $node) {
        if( array_key_exists( $elementName , $arr ) ) {
            if( array_key_exists( 0 ,$arr[$elementName] ) ) {
                $i = count($arr[$elementName]);
                convertXmlObjToArr ($node, $arr[$elementName][$i]);
            } else {
                $tmp = $arr[$elementName];
                $arr[$elementName] = array();
                $arr[$elementName][0] = $tmp;
                $i = count($arr[$elementName]);
                convertXmlObjToArr($node, $arr[$elementName][$i]);
            }
        } else {
            $arr[$elementName] = array();
            convertXmlObjToArr($node, $arr[$elementName]);
        }
        $executed = true;
    }
    if(!$executed&&$children->getName()=="") {
        $arr = (String)$obj;
    }
}

/**
 * The function transforms the php.ini notation for numbers
 * (like '2M') to an integer (2*1024*1024 in this case)
 * @deprecated
*/
function let_to_num($v){
    $l = substr($v, -1);
    $ret = substr($v, 0, -1);
    switch(strtoupper($l)){
        case 'P':
            $ret *= 1024;
        case 'T':
            $ret *= 1024;
        case 'G':
            $ret *= 1024;
        case 'M':
            $ret *= 1024;
        case 'K':
            $ret *= 1024;
    }
    return $ret;
}

if (!function_exists('write_ini_file')) {
    /**
     * Write ini file.
     *
     * @deprecated
     *
     * @param $path
     * @param $assoc_array
     * @param bool $no_quotes
     * @param string $delimiter
     *
     * @return boolean
     */
    function write_ini_file($path, $assoc_array, $no_quotes = false, $delimiter = '='){
        $content = '';
        $sections = '';
        foreach ($assoc_array as $key => $item){
            if (is_array($item)){
                $sections .= "\n[{$key}]\n";
                foreach ($item as $key2 => $item2){
                    if (is_numeric($item2) || is_bool($item2) || $no_quotes)
                        $sections .= "{$key2}{$delimiter}{$item2}\n";
                    else
                        $sections .= "{$key2}{$delimiter}\"{$item2}\"\n";
                }
            } else {
                if (is_numeric($item) || is_bool($item) || $no_quotes)
                    $content .= "{$key}{$delimiter}{$item}\n";
                else
                    $content .= "{$key}{$delimiter}\"{$item}\"\n";
            }
        }
        $content .= $sections;

        if (!$handle = fopen($path, 'w'))
            return false;

        if (fwrite($handle, $content) === false) {
            return false;
        }

        fclose($handle);
        return true;
    }
}

/**
 * Convert multidementional array to single separated by separator
 *
 * @deprecated
 * @param array $inputArray
 * @param mixed $path
 * @param string $separator
 * @return array
 * @author Igor Kuts <igor.kuts@wildix.com>
 */
function shorten(array $inputArray, $path = null, $separator = ".") {
    $data = array();
    if (!is_null($path)) {
        $path = $path . $separator;
    }
    if (is_array($inputArray)) {
        foreach ($inputArray as $key => &$value) {
            if (!is_array($value)) {
                $data[$path . $key] = $value;
            } else {
                $data = array_merge($data, shorten($value, $path . $key, $separator));
            }
        }
    }

    return $data;
}

/**
 * @deprecated
 * @param $a
 * @return string
 */
function bytes($a) {
    $unim = array("B","KB","MB","GB","TB","PB");
    $c = 0;
    while ($a>=1024) {
        $c++;
        $a = $a/1024;
    }
    return number_format($a,($c ? 2 : 0),",",".")." ".$unim[$c];
}

/**
 * @deprecated
 * @return bool|string
 */
function is_tmp_full() {
    $max_avail = 3102;
    $command = 'df -lP 2>/dev/null |awk \'/\/dev\/shm$/{printf($4)}\'';
    $output = trim(@exec ($command));

    if ($output !== '') {
        if ((int)$output <= $max_avail)
            return bytes($output*1024);

        return false;
    }

    logger('Can not get /dev/shm size',__FUNCTION__,__LINE__);

    return true;
}

/**
 * @deprecated
 * @return mixed
 */
function is_cti_mounted() {
    return \Models\PBX::getInstance()->isCustomShareMounted('/mnt/cticonnect');
}

/**
 * @deprecated
 * @return mixed
 */
function is_backups_mounted() {
    return \Models\PBX::getInstance()->isCustomShareMounted('/mnt/backups');
}

if (! function_exists('get_users_settings_dir')) {
    function get_users_settings_dir () {
        $userdir = '/rw2/etc/user.d';

        if (file_exists ($userdir)) {
            return $userdir . '/';
        }

        return false;
    }
}

// Redundancy: check if secondary host has unmounted partitions
/**
 * @deprecated
 * @return bool
 */
function check_mpoints_on_mirrored_box(){
    global $wmsErr;
    // get list from /rw2/etc/pbx/mpoints.list
    // get mpoints on current pbx
    // check /tmp/session/mpoints.log
    // show notification
    $fmpoints_list = '/rw2/etc/pbx/mpoints.list';
    $fmpoints_log = '/tmp/session/mpoints.log';

    if (! file_exists($fmpoints_log))  return false;
    if (! file_exists($fmpoints_list)) return false;

    $mpoints_notify = array();
    $mpoints_unmounted = explode(PHP_EOL, file_get_contents($fmpoints_log));
    $mpoints_list = explode(PHP_EOL, file_get_contents($fmpoints_list));

    $pbx_mpoints = file_get_contents('/etc/mtab');

    foreach ($mpoints_list as $mpoint) {
        if (trim($mpoint) == '') continue;
        $dir = is_file($mpoint) ? dirname($mpoint) : $mpoint;

        // check if it is mounted on current side
        if (! preg_match('|.*\s('.$dir.')\s.*|',$pbx_mpoints)) continue;

        if (in_array($dir, $mpoints_unmounted)) {
            $mpoints_notify[] = $dir;
        }
    }

    if (is_object($wmsErr) && 0 != sizeof($mpoints_notify)) {
        $wmsErr->_set('','error',_t('strings.NotMountedOnMirrorSide', implode(',', $mpoints_notify)));
    }

    return true;
}


if (!function_exists('http_parse_headers')) {
    /**
     * @deprecated
     * @param $raw_headers
     * @return array
     */
    function http_parse_headers ($raw_headers) {
        $headers = array(); // $headers = [];

        foreach (explode("\n", $raw_headers) as $i => $h) {
            $h = explode(':', $h, 2);

            if (isset($h[1])) {
                if(!isset($headers[$h[0]])) {
                    $headers[$h[0]] = trim($h[1]);
                } else if(is_array($headers[$h[0]])) {
                    $tmp = array_merge($headers[$h[0]],array(trim($h[1])));
                    $headers[$h[0]] = $tmp;
                } else {
                    $tmp = array_merge(array($headers[$h[0]]),array(trim($h[1])));
                    $headers[$h[0]] = $tmp;
                }
            }
        }

        return $headers;
    }
}

/**
 * @deprecated
 * @return array
 */
function getTProxyPortConfigs(){
    $ports = array(
            'external_https_port' => ''
    );
    $patch = '/rw2/etc/pbx/wildix/tproxy_wms_include.conf';
    if(file_exists($patch)){
        $content = file_get_contents($patch);
        $content = trim($content);
        if(!empty($content)){
            $content = explode(",\n", $content);
            foreach($content as $key=>$value){
                if (preg_match('/.*?port=(\d+);.*?/', $value, $matches)){
                    //{ host="0.0.0.0";port=1443; }
                    if(!empty($matches[1])){
                        $ports['external_https_port'] = $matches[1];
                    }
                }
            }
        }
    }
    return $ports;
}

/**
 * @deprecated
 * @param $filename
 * @return bool
 */
function check_read_file($filename){
    global $wmsErr;
    if (!file_exists($filename)){
        if (is_object($wmsErr)) $wmsErr->_set("","error",_t('prefs.File')." ".$filename." "._t('prefs.doesNotExist'));
        return false;
    }
    if (!is_readable($filename)){
        if (is_object($wmsErr)) $wmsErr->_set("","error",_t('prefs.File')." ".$filename." "._t('prefs.isNotReadable'));
        return false;
    }
    if (!is_writeable($filename)){
        if (is_object($wmsErr)) $wmsErr->_set("","error",_t('prefs.File')." ".$filename." "._t('prefs.isNotWriteable'));
        return true;
    }
    return true;
}

/**
 * @deprecated
 * @param $filename
 * @return bool
 */
function check_write_file($filename){
    if (!file_exists($filename)){
        echo _t('prefs.File')." ".$filename." "._t('prefs.doesNotExist');
        return false;
    }
    if (!is_readable($filename)){
        echo _t('prefs.File')." ".$filename." "._t('prefs.isNotReadable');
        return false;
    }
    if (!is_writeable($filename)){
        echo _t('prefs.File')." ".$filename." "._t('prefs.isNotWriteable');
        return false;
    }
    return true;
}

/**
 * @deprecated
 * @param $value
 * @return string
 */
function sqlite3Escape($value){
	return SQLite3::escapeString($value);
}


