<?php
//error_reporting(E_ALL ^ E_NOTICE);
//ini_set('display_errors','On');

use Session\Session;

(file_exists('auth.php'))?include('auth.php'):include('../auth.php');

$checkCsrfFuncList = [
    'setRoom',
    'setCommonAreas',
    'setWorkstation',
    'delWorkstation',
    'reloadXml',
    'removeAllFile',
    'removeHotelConfigurationFile',
    'generateHotelConfigurationFile',
    'removeWorkstationsMappingFile',
    'setFiasFidelio',
    'setXOpen',
    'setPbxServices',
    'cleanPbxServices',
    'setGeneral',
];

if (!WMS_Permissions::getInstance()->is_allowed('page','settings__pbx')
    || ($_REQUEST['uploadXML']=='1' && (!isset($_REQUEST[Session::CSRF_TOKEN_HEADER]) || !Session::isValidCsrfToken($_REQUEST[Session::CSRF_TOKEN_HEADER])))
    || (($_SERVER['REQUEST_METHOD'] !== 'GET' || in_array($_REQUEST['action'], $checkCsrfFuncList, true)) && !Session::isValidCsrfToken($_REQUEST[Session::CSRF_TOKEN_HEADER] ?? ''))
) {
    die(_t('strings.permissionsDenied'));
}

if(!\Wildix\License::getInstance()->haveLicense('tapi')){
	header("Content-Type: application/json\n");
	echo json_encode(array('result'=>'error', 'reason'=>'Wildix hotel integration service requires the activation of TAPI licences'));
	die();
}

if($_REQUEST['uploadXML']=='1'
        && !empty($_FILES['XMLFile'])
        && $_FILES['XMLFile']['error'] == 0
        && $_FILES['XMLFile']['size'] > 0
        && !empty($_FILES['XMLFile']['tmp_name'])
        && file_exists($_FILES['XMLFile']['tmp_name'])){

    $result = Bticino::getInstance()->validateAndApplyXml($_FILES['XMLFile']['tmp_name']);
    echo json_encode($result);

}else if($_REQUEST['action'] == 'getRooms'){
    header("Content-Type: application/json\n");
    $result = Bticino::getInstance()->getRooms($_REQUEST['startIndex'], $_REQUEST['results'], $_REQUEST['sortKey'], $_REQUEST['sortDir'], $_REQUEST['search']);
    echo json_encode($result);

}else if($_REQUEST['action'] == 'setRoom' && !empty($_REQUEST['data'])){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    $reason = Bticino::getInstance()->updateRoom($data);
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }


}else if($_REQUEST['action'] == 'getCommonAreas'){
    header("Content-Type: application/json\n");
    $result = Bticino::getInstance()->getCommonAreas($_REQUEST['startIndex'], $_REQUEST['results'], $_REQUEST['sortKey'], $_REQUEST['sortDir'], $_REQUEST['search']);
    echo json_encode($result);

}else if($_REQUEST['action'] == 'setCommonAreas' && !empty($_REQUEST['data'])){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    $reason = Bticino::getInstance()->updateCommonArea($data);
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'getWorkstations'){
    header("Content-Type: application/json\n");
    $result = Bticino::getInstance()->getWorkstations($_REQUEST['startIndex'], $_REQUEST['results'], $_REQUEST['sortKey'], $_REQUEST['sortDir'], $_REQUEST['search']);
    echo json_encode($result);

}else if($_REQUEST['action'] == 'setWorkstation' && !empty($_REQUEST['data'])){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    $reason = Bticino::getInstance()->updateWorkstation($data);
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'delWorkstation' && !empty($_REQUEST['data'])){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    $reason = Bticino::getInstance()->deleteWorkstation($data);
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'reloadXml'){
    header("Content-Type: application/json\n");
    $reason = Bticino::getInstance()->restartDaemon();
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'removeAllFile'){
    header("Content-Type: application/json\n");
    $reason = Bticino::getInstance()->removeHotelConfigurationFile();
    $reason2 = Bticino::getInstance()->removeWorkstationsMappingFile();
    $reason3 = Bticino::getInstance()->resetWakeUpService();

    Bticino::getInstance()->restartDaemon();
    if($reason === true && $reason2 === true && $reason3 === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'removeHotelConfigurationFile'){
    header("Content-Type: application/json\n");
    $reason = Bticino::getInstance()->removeHotelConfigurationFile();
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'generateHotelConfigurationFile'){
	header("Content-Type: application/json\n");
	$reason = Bticino::getInstance()->generateHotelConfigurationFile();
	if($reason === true){
		echo json_encode(array('result'=>'success'));
	}else{
		echo json_encode(array('result'=>'error', 'reason'=>$reason));
	}
}else if($_REQUEST['action'] == 'removeWorkstationsMappingFile'){
    header("Content-Type: application/json\n");
    $reason = Bticino::getInstance()->removeWorkstationsMappingFile();
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'getFiasFidelio'){
    header("Content-Type: application/json\n");
    echo json_encode(Bticino::getInstance()->getFiasConf());

}else if($_REQUEST['action'] == 'setFiasFidelio' && !empty($_REQUEST['data'])){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    $reason = Bticino::getInstance()->updateFiasConf($data);

    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'getXOpen'){
    header("Content-Type: application/json\n");
    $XOpenConf = Bticino::getInstance()->getXOpenConf();
    //$XOpenConf['secret']='';
    echo json_encode($XOpenConf);

}else if($_REQUEST['action'] == 'setXOpen' && !empty($_REQUEST['data'])){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    $reason = Bticino::getInstance()->updateXOpenConf($data);
    if($reason === true){
        echo json_encode(array('result'=>'success'));
    }else{
        echo json_encode(array('result'=>'error', 'reason'=>$reason));
    }
}else if($_REQUEST['action'] == 'getPbxServices'){
    header("Content-Type: application/json\n");
    $managerConf = Bticino::getInstance()->getManagerConf();
    $pbxServices = array(
                'WakeUpService' => array(
                        'timeout'=> $managerConf['WakeUpTimeout'],
                        'tries'=> $managerConf['WakeUpTries'],
                        'sound'=> $managerConf['WakeUpOption']
                )
    );
    echo json_encode($pbxServices);
}else if($_REQUEST['action'] == 'setPbxServices'){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    if(!empty($data) && !empty($data['WakeUpService'])){
        $managerConf = Bticino::getInstance()->getManagerConf();

        $managerConf['WakeUpTimeout'] = trim($data['WakeUpService']['timeout']);
        $managerConf['WakeUpTries'] = trim($data['WakeUpService']['tries']);
        $managerConf['WakeUpOption'] = trim($data['WakeUpService']['sound']);

        if(Bticino::getInstance()->updateManagerConf($managerConf)){
            Bticino::getInstance()->restartDaemon();
            echo json_encode(array('result'=>'success'));
        }else{
            echo json_encode(array('result'=>'error', 'reason'=>'Cannot write Wake-up service to config.'));
        }
    }else{
        Bticino::getInstance()->restartDaemon();
        echo json_encode(array('result'=>'success'));
    }
}else if($_REQUEST['action'] == 'cleanPbxServices'){
    header("Content-Type: application/json\n");
    Bticino::getInstance()->resetWakeUpService();
    Bticino::getInstance()->restartDaemon();
    echo json_encode(array('result'=>'success'));

}else if($_REQUEST['action'] == 'getStatus'){
    header("Content-Type: application/json\n");
    echo json_encode(Bticino::getInstance()->getStatus());
}else if($_REQUEST['action'] == 'getGeneral'){
    header("Content-Type: application/json\n");
    $managerConf = Bticino::getInstance()->getManagerConf();

    echo json_encode(array(
        'EnableAutomation'=>$managerConf['EnableAutomation']=='yes',
    	'BadgeController'=>$managerConf['BadgeController']=='yes',
        'installed'=>Bticino::getInstance()->isInstalled(),
        'TapiLicense'=>\Wildix\License::getInstance()->haveLicense('tapi'),
        'InstalationResult'=>Bticino::getInstance()->getInstallationResult(),
        'InstalationProgress'=>Bticino::getInstance()->getInstallationProgress()
    ));
}else if($_REQUEST['action'] == 'setGeneral'){
    header("Content-Type: application/json\n");
    $data = json_decode($_REQUEST['data'], true);
    if(!empty($data)){

    	$managerConf = Bticino::getInstance()->getManagerConf();
    	$reason == true;
    	if(isset($data['EnableAutomation'])){
    		if($data['EnableAutomation'] == 1 || $data['EnableAutomation'] == 'true'){
    			$managerConf['EnableAutomation'] = 'yes';
    		}else{
    			$managerConf['EnableAutomation'] = 'no';
    		}
    		$reason = Bticino::getInstance()->updateManagerConf($managerConf);
    		if($reason !== true){
    			$reason = 'Cannot update general config';
    		}else{
    			$XOpenConf = Bticino::getInstance()->getXOpenConf();
    			$XOpenConf['host'] = '';
    			$XOpenConf['port'] = '';
    			$reason = Bticino::getInstance()->updateXOpenConf($XOpenConf);

    			$fiasConf = Bticino::getInstance()->getFiasConf();
				if(!empty($fiasConf['automation'])){
					$fiasConf['automation']['host']='';
					$fiasConf['automation']['port']='';
					$fiasConf['automation']['delimiter']='';
					$reason = Bticino::getInstance()->updateFiasConf($fiasConf);
				}
    		}
    	}

    	if($reason === true && isset($data['installed'])){
    		if($data['installed'] == 1 || $data['installed'] == 'true'){
    			$reason = Bticino::getInstance()->install();
    		}else{
    			$reason = Bticino::getInstance()->uninstall();
    		}
    	}

    	if($reason === true){
    		echo json_encode(array('result'=>'success'));
    	}else{
    		echo json_encode(array('result'=>'error', 'reason'=>$reason));
    	}
    }
}
