<?php

use Session\Session;

(file_exists('auth.php'))?include('auth.php'):include('../auth.php');

if (!WMS_Permissions::getInstance()->is_allowed('page','settings__pbx')) {
    die(_t('strings.permissionsDenied'));
}
?>

<script src="hotel_integration/wms.rooms.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="hotel_integration/wms.commonareas.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="hotel_integration/wms.workstations.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="hotel_integration/wms.fiasfidelio.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="hotel_integration/wms.xopen.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="hotel_integration/wms.pbx_services.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="hotel_integration/wms.general.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<style>
ul.ui-autocomplete{
	font-size: 12px;
}
ul.ui-autocomplete .ui-menu-item .ui-state-focus{
	background: #E7E7E7;
	background-image: none;
}

ul.ui-autocomplete{
	background: #F8F8F8!important;
	background-image: none!important;
}

#hotel_integration_tabs li.disabled a{
	color: #DFDFDF;
  	cursor: default;
}

#edRoom,
#edCommonAreas,
#edWorkstations{
    margin-top: 10px;
}
#edRoom td,
#edCommonAreas td,
#edWorkstations td{
    padding-left: 10px;
    padding-top: 1px;
    padding-bottom: 1px;
}
#edRoom td input,
#edCommonAreas td input,
#edWorkstations td input{
    margin-left: 0px;
}

#fias_fidelio_settings_form table,
#fias_fidelio_settings_form table td,
#XOpen_settings_form table,
#XOpen_settings_form table td{
    border: none;
}
#fias_fidelio_settings_form table td,
#XOpen_settings_form table td{
    padding-right: 5px;
}
.searchbar{
    padding-top: 3px;
    padding-bottom: 3px;
}

.general_body td{
	padding-top: 5px;
	padding-bottom: 5px;
}
.general_body_wrapper{
    min-width: 600px;
}
.general_body_wrapper.disabled{
    color: #707070;
}
.general_body_wrapper>tbody>tr>td{
    width: 50%;
}
.general_status_content{
    display: none;
    font-size: 11px;
    text-align: center;
    background-color: #eeeeee;
    border: 1px solid #dddddd;
    color: #000;
    font-size: 11px;
    height: 100%;
    overflow: auto;
    padding: 10px;
    vertical-align: middle;
}

#roomsClear,
#commonAreasClear,
#wsClear{
    margin-left: 40px;
    float: right;
}

.statusBt {
	display: block;
	width: 13px;
	height: 13px;
	line-height: 13px;
	border-radius: 5px;
}
.statusBt.gray{
	color: #b9b9b9;
}
.statusBt.green{
	color: #2fe941;
}
.statusBt.red{
	color: #ea2d24;
}
.statusBt.yellow{
	color: #ffbe00;
}
#uploadXMLForm{
    float: left;
}

#fias_fidelio_settings_form input[type=text]{
	width: 140px;
}
#fias_fidelio_settings_form select{
    width: 145px;
}
#fias_fidelio_billing_type_notification{
    margin-left: 5px;
}
</style>

<table cellpadding="0" id='main'>
    <tr><td>
	    <div id="hotel_integration_tabs" style="display:none;">
	    	<ul>
			    <li><a href="#hit-rooms">Rooms</a></li>
			    <li><a href="#hit-commonareas">Common Areas</a></li>
			    <li><a href="#hit-workstations">Workstations</a></li>
			    <li><a href="#hit-fiaspms">FIAS-PMS</a></li>
			    <li><a href="#hit-xopen">Xopen</a></li>
			    <li><a href="#hit-pbxservices">PBX Services</a></li>
			    <li><a href="#hit-general">General</a></li>
			</ul>
			<div id="hit-rooms">
				<table id="roomstbl" class="newtable cell-border display"></table>
				<br>
				<div id="roomstbl_pnl">
					<input type="button" class="but20" style="float: left;" value="Sync rooms" id="roomsGenerate">
					<form action="hotel_integration/action.php" id="uploadXMLForm" method="post" enctype="multipart/form-data">
						&nbsp;&nbsp;&nbsp;
						<input type="file" name="XMLFile" id="XMLFile" />
						<input type="hidden" name="uploadXML" value="1">
						<input type="hidden" name="<?= Session::CSRF_TOKEN_HEADER;?>" value="<?= Session::getCsrfToken();?>">
						<button class="but20" style="display: none;" type="submit">Upload</button>
					</form>
					<input type="button" class="but20" value="<?=_t('buttons.Clear')?>" id="roomsClear">
					<input type="button" class="but20" value="<?=_t('buttons.Save')?>" id="roomsApply" style="float:right;">
				</div>
			</div>
			<div id="hit-commonareas">
				<table id="commonareastbl" class="newtable cell-border display"></table>
				<br>
				<div id="commonareastbl_pnl">
					<input type="button" class="but20" value="<?=_t('buttons.Clear')?>" id="commonAreasClear">
					<input type="button" class="but20" value="<?=_t('buttons.Save')?>" id="commonAreasApply" style="float:right;">

				</div>
			</div>
			<div id="hit-workstations">
				<table id="workstationstbl" class="newtable cell-border display"></table>
				<br>
				<div id="workstationstbl_pnl">
					<input type="button" class="but20" value="+" id="wsNewLine" />
        			<input type="button" class="but20" disabled value="<?=_t('strings.Edit')?>" id="wsEditLine">
       				<input type="button" class="but20" disabled style="margin-right: 20px" value="-" id="wsDeleteLine">
       				<input type="button" class="but20" value="<?=_t('buttons.Clear')?>" id="wsClear">
       				<input type="button" class="but20" value="<?=_t('buttons.Save')?>" id="wsSave" style="float:right;">

				</div>
			</div>
			<div id="hit-fiaspms">
				<form id="fias_fidelio_settings_form">
					<table border="0">
						<tr>
							<td align="right">PMS Status</td>
								<td align="left"><span id="status_fias_fidelio" class="statusBt fa fa-circle gray">&nbsp;</span></td>
							</tr>
						<tr>
						<tr>
							<td align="right">Telephony interface</td>
							<td align="left">
								<input type="checkbox" name="fias_fidelio_telephony_enable" id="fias_fidelio_telephony_enable">
							</td>
						</tr>
							<td align="right" valign="top">
							    <label for="fias_fidelio_telephony_host">Host</label>
							</td>
							<td align="left" valign="top">
							    <input type="text" id="fias_fidelio_telephony_host">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="fias_fidelio_telephony_port">Port</label>
							</td>
							<td align="left" valign="top">
								<input type="text" id="fias_fidelio_telephony_port">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								<label for="fias_fidelio_telephony_delimiter">Delimiter</label>
							</td>
							<td align="left" valign="top">
								<input type="text" id="fias_fidelio_telephony_delimiter">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								<label for="fias_fidelio_billing_type">Billing Type</label>
							</td>
							<td align="left" valign="top">
								<select id="fias_fidelio_billing_type">
				                    <option value="DurationOnly">Duration Only</option>
				                    <option value="DurationAndCost">Duration and cost</option>
				                </select>
				                <span id="fias_fidelio_billing_type_notification" style="display: none;">Do not forget configure Pricelists for outgoing calls.</span>
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="fias_fidelio_minibar_type">Minibar Type</label>
							</td>
							<td align="left" valign="top">
								<select id="fias_fidelio_minibar_type">
				                    <option value="CostOnly">Cost only</option>
				                    <option value="ArticleOnly">Article only</option>
				                </select>
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
				                &nbsp;
							</td>
						</tr>
						<tr>
							<td align="right" valign="top" id="fias_fidelio_automation_title">
								Automation interface
							</td>
							<td align="left" valign="top">
								<input type="checkbox" name="fias_fidelio_automation_enable" id="fias_fidelio_automation_enable">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
							    <label for="fias_fidelio_automation_host">Host</label>
							</td>
							<td align="left" valign="top">
							    <input type="text" id="fias_fidelio_automation_host">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="fias_fidelio_automation_port">Port</label>
							</td>
							<td align="left" valign="top">
								<input type="text" id="fias_fidelio_automation_port">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								<label for="fias_fidelio_automation_delimiter">Delimiter</label>
							</td>
							<td align="left" valign="top">
								<input type="text" id="fias_fidelio_automation_delimiter">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
				                &nbsp;
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
								<input type="button" id="fias_fidelio_save" value="Save">
							</td>
						</tr>
						<tr>
							<td align="left" valign="top" colspan="2" style="color:#666;">
								<br/>
								Require Check In Events (if supported by PMS):<br/>
								Call barring<br/>
								Minibar<br/>
								Alarm Clock<br/><br/>

								Always active (if supported by PMS):<br/>
								Make Up Room<br/>
								Call inspection<br/>
								Call billing
							</td>
						</tr>
					</table>
				</form>

			</div>
			<div id="hit-xopen">
				<form id="XOpen_settings_form">
					<table border="0">
						<tr>
							<td align="right">Status</td>
							<td align="left"><span id="status_XOpen" class="statusBt fa fa-circle gray">&nbsp;</span></td>
						</tr>
						<tr>
							<td align="right" valign="top">
							    <label for="XOpen_host">Host</label>
							</td>
							<td align="left" valign="top">
							    <input type="text" name="host" id="XOpen_host">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="XOpen_port">Port</label>
							</td>
							<td align="left" valign="top">
								<input type="text" name="port" id="XOpen_port">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								<label for="XOpen_fcode">FC</label>
							</td>
							<td align="left" valign="top">
								<input type="text" name="fcode" id="XOpen_fcode">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="XOpen_ucode">UC</label>
							</td>
							<td align="left" valign="top">
								<input type="text" name="ucode" id="XOpen_ucode">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
							    <label for="XOpen_secret">Secret</label>
							</td>
							<td align="left" valign="top">
				                <input type="text" style="display: none;">
				                <input type="password" style="display: none;">
							    <input type="password" name="secret" id="XOpen_secret">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="BadgeController">Badges control</label>
							</td>
							<td align="left" valign="top">
				                <input type="checkbox" name="BadgeController" id="BadgeController">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
				                &nbsp;
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
								<input type="button" id="XOpen_save" value="Save">
							</td>
						</tr>
					</table>
				</form>

			</div>
			<div id="hit-pbxservices">
				<form id="WakeUpService_settings_form">
					<table border="0">
						<tr>
							<td align="right" valign="top">
								<label for="WakeUpService_enable">Wake-up service</label>
							</td>
							<td align="left" valign="top">
								<input type="checkbox" name="enable" id="WakeUpService_enable" style="display: none;">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
							    <label for="WakeUpService_timeout">Timeout</label>
							</td>
							<td align="left" valign="top">
							    <input type="text" name="timeout" id="WakeUpService_timeout">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="WakeUpService_tries">Number of tries</label>
							</td>
							<td align="left" valign="top">
								<input type="text" name="tries" id="WakeUpService_tries">
							</td>
						</tr>
						<tr>
							<td align="right" valign="top">
								<label for="WakeUpService_sound">Sound</label>
							</td>
							<td align="left" valign="top">
								<input type="text" name="sound" id="WakeUpService_sound" readonly="readonly">
                                <input type="button" class="but20" value="..." id="WakeUpService_soundEdit">
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
				                &nbsp;
							</td>
						</tr>
				        <tr>
							<td align="right" valign="top">
								&nbsp;
							</td>
							<td align="left" valign="top">
								<input type="button" id="WakeUpService_save" value="Save">
				                <input type="button" id="WakeUpService_clean" value="Clean">
							</td>
						</tr>
					</table>
				</form>

			</div>
			<div id="hit-general">
				<div class="general_body">
					<br/>
				    <table class="general_body_wrapper" width="100%" cellspacing="0" border="0">
				        <tbody>
				            <tr>
				                <td valign="top">
				                    <table border="0">
				                            <tr>
				                                    <td align="right" width="160px">FIAS PMS Integration</td>
				                                    <td align="right" width="100px">
				                                            <input type="button" class="but20" style="display: none;" value="Install" id="installWhotelIntegration">
				                                            <input type="button" class="but20" style="display: none;" value="Uninstall" id="uninstallWhotelIntegration">
				                                    </td>
				                            </tr>
				                            <tr>
				                                    <td align="right">XOpen integration</td>
				                                    <td align="right">
				                                            <input type="button" class="but20" style="display: none;" value="Enable" id="enableXOpenIntegration">
				                                            <input type="button" class="but20" style="display: none;" style="float:right;" value="Disable" id="disableXOpenIntegration">
				                                    </td>
				                            </tr>
				                            <tr>
				                                    <td align="right">User-defined data</td>
				                                    <td align="right">
				                                            <input type="button" class="but20" value="Remove" id="clearUserDefinedData">
				                                    </td>
				                            </tr>
				                            <tr>
				                                    <td align="right">Service</td>
				                                    <td align="right">
				                                            <input type="button" class="but20" value="Restart" id="restartService">
				                                    </td>
				                            </tr>
				                    </table>
				                </td>
				                <td class="general_status_content">
				                </td>
				            </tr>
				        </tbody>
				    </table>
				</div>

			</div>
	    </div>
    </td>
    </tr>
</table>


<script language="javascript">
var generalConf =<?php
	$managerConf = Bticino::getInstance()->getManagerConf();
        echo json_encode(array(
                'EnableAutomation'=>$managerConf['EnableAutomation']=='yes',
        		'BadgeController'=>$managerConf['BadgeController']=='yes',
                'installed'=>Bticino::getInstance()->isInstalled(),
                'TapiLicense'=>\Wildix\License::getInstance()->haveLicense('tapi')
        ));
?>;

var classFileName = 'hotel_integration/action.php';

jQuery(document).ready(function(){

	jQuery(document).on('HotelIntegration:getGeneral', function(event, data) {
		jQuery(document).trigger('HotelIntegration:GeneralConf:chenged', generalConf);
    });
	jQuery(document).on('HotelIntegration:BadgeController:chenged', function(event, data) {
    	if(event && event.memo){
        	if(generalConf.BadgeController != event.memo.BadgeController){
        		generalConf.BadgeController = event.memo.BadgeController;
        		document.fire('HotelIntegration:GeneralConf:chengedBadgeController', {generalConf: generalConf});
        	}
        }
    });
	jQuery(document).on('HotelIntegration:GeneralConf:chenged', function(event, data) {
    	if(typeof data === 'object'){
    		generalConf = data;

			if(generalConf.installed){

				jQuery('#hotel_integration_tabs .ui-tabs-nav li').show();

                if(!generalConf.EnableAutomation){
                	jQuery('#hotel_integration_tabs .ui-tabs-nav li a[href="#hit-commonareas"]').parent().hide();
                	jQuery('#hotel_integration_tabs .ui-tabs-nav li a[href="#hit-workstations"]').parent().hide();
                	jQuery('#hotel_integration_tabs .ui-tabs-nav li a[href="#hit-xopen"]').parent().hide();
                } else {
                    jQuery('#roomsGenerate').hide();
				}
	        } else {

	        	jQuery('#hotel_integration_tabs .ui-tabs-nav li').hide();

	        	if (!generalConf.TapiLicense){
                    jQuery('.general_status_content').show().html('Wildix hotel integration service requires the activation of TAPI licences');
                    jQuery('.general_body_wrapper').addClass('disabled').find('input').attr('disabled',true);
                }
	        }
			var index = $.jStorage.get('hotel_integration_tabs');

			if(jQuery('#hotel_integration_tabs .ui-tabs-nav li').eq(index).css('display') == 'none'){
				jQuery('#hotel_integration_tabs').tabs( "option", "active", -1 )
			}
    	}
    });


    var getStatus = function(){

    	jQuery.ajax({
            url: classFileName ,
            type: "GET",
            data: {
            	action: 'getStatus'
            },
            timeout: 3000,
            success: function (data) {

            	setTimeout(getStatus, 5000);

            	var status = {
                    'FIAS': -1,
                    'XOPEN': -1
                }
                if(typeof data === 'object'){

                	if(data.hasOwnProperty('FIAS')){
                    	status.FIAS = + data.FIAS;
                    }

                    if(data.hasOwnProperty('XOPEN')){
                        status.XOPEN = + data.XOPEN;
                    }
                }
            	jQuery(document).trigger('HotelIntegration:status:chenged', status);
            }
    	});
    }

    var initTab = function(event, ui){
		var tab = ui.newPanel || ui.panel;
		$.jStorage.set('hotel_integration_tabs', tab.index() - 1);
		switch (tab.attr('id')) {
			case 'hit-general':
				tab.hotelGeneral({url: classFileName});
				break;
			case 'hit-pbxservices':
				tab.hotelPbxServices({url: classFileName});
				break;
			case 'hit-xopen':
				tab.hotelXOpen({url: classFileName});
				break;
			case 'hit-fiaspms':
				tab.hotelFiasPms({url: classFileName});
				break;
			case 'hit-commonareas':
				tab.hotelCommonareas({
						url: classFileName,
						table: 'commonareastbl'
				});
				break;
			case 'hit-workstations':
				tab.hotelWorkstations({
						url: classFileName,
						table: 'workstationstbl'
				});
				break;
			case 'hit-rooms':
				tab.hotelRooms({
						url: classFileName,
						table: 'roomstbl'
				});
				break;
		}
	}

	// active tabs

	var index = $.jStorage.get('hotel_integration_tabs');

	index = index == null ? -1 : index;

	jQuery('#hotel_integration_tabs').tabs({
		active: index,
		activate: initTab,
		create: initTab
	}).show();

	getStatus();

    jQuery(document).trigger('HotelIntegration:GeneralConf:chenged', generalConf);
});
</script>


<script type="text/template" id="edRoom_tmpl">
<form id="edRoom" onsubmit="return false;">
    <table>
        <tr>
    		<td align="right">FIAS RN</td>
    		<td><input type="text" id="edit_rn"><input type="hidden" id="__edit_rn"></td>
    	</tr>
        <tr>
    		<td align="right">Extension</td>
    		<td><input type="text" id="edit_extension"><input type="hidden" id="__edit_extension"></td>
    	</tr>
        <tr>
    		<td align="right">Description</td>
    		<td><input type="text" id="edit_description"><input type="hidden" id="__edit_description"></td>
    	</tr>
        <tr>
    		<td align="right">Building</td>
    		<td><input type="text" id="edit_building"><input type="hidden" id="__edit_building"></td>
    	</tr>
        <tr>
    		<td align="right">Floor</td>
    		<td><input type="text" id="edit_floor"><input type="hidden" id="__edit_floor"></td>
    	</tr>
        <tr>
    		<td align="right">Category</td>
    		<td><input type="text" id="edit_category"><input type="hidden" id="__edit_category"></td>
    	</tr>
    	<tr>
    		<td align="right">ID</td>
    		<td><span id="edit_id"></span><input type="hidden" id="__edit_id"></td>
    	</tr>
	</table>
</form>
</script>

<script type="text/template" id="edCommonAreas_tmpl">
<form id="edCommonAreas" onsubmit="return false;">
    <table>
        <tr>
    		<td align="right">FIAS ID</td>
    		<td><input type="text" id="edit_rn"><input type="hidden" id="__edit_rn"></td>
    	</tr>
        <tr>
			<td align="right">Extension</td>
			<td><input type="text" id="edit_extension"><input type="hidden" id="__edit_extension"></td>
		</tr>
        <tr>
			<td align="right">Description</td>
			<td><span id="edit_description"></span></td>
		</tr>
        <tr>
			<td align="right">Building</td>
			<td><span id="edit_building"></span></td>
		</tr>
		<tr>
			<td align="right">Floor</td>
			<td><span id="edit_floor"></span></td>
		</tr>
        <tr>
			<td align="right">Payment</td>
			<td><span id="edit_payment"></span></td>
		</tr>
		<tr>
			<td align="right">ID</td>
			<td><span id="edit_id"></span><input type="hidden" id="__edit_id"></td>
		</tr>
	</table>
</form>
</script>
<script type="text/template" id="edWorkstations_tmpl">
<form id="edWorkstations" onsubmit="return false;">
    <table>
        <tr>
    		<td align="right">FIAS WS</td>
    		<td><input type="text" id="edit_ws"><input type="hidden" id="__edit_ws"></td>
    	</tr>
        <tr>
			<td align="right">Description</td>
			<td><input type="text" id="edit_description"></td>
		</tr>
        <tr>
			<td align="right">Client UC</td>
			<td><input type="text" id="edit_uc"></td>
		</tr>
		<tr>
			<td align="right">Client IP</td>
			<td><input type="text" id="edit_ip"></td>
		</tr>
	</table>
</form>
</script>
