(function ($) {
	'use strict';

	var hotelFiasPms = function(el, options){

		var generalConf,
			init = function(){

				$(document).on('HotelIntegration:GeneralConf:chenged', _onChangedGeneralConf);
				$(document).on('HotelIntegration:GeneralConf:chengedBadgeController', _onChangedGeneralConf);
				$(document).on('HotelIntegration:status:chenged', _onChangedStatus);
				$(document).trigger('HotelIntegration:getGeneral');

				$('#fias_fidelio_billing_type').on('change', billingTypeChanged);
				$('#fias_fidelio_save').on('click', saveConf);

				loadConf();
			},

			loadConf = function(){
				ap_showWaitMessage('waitDiv', 1);
	        	$.ajax({
		            url: options.url ,
		            type: "GET",
		            data: {
		            	action: 'getFiasFidelio'
		            },
		            timeout: 10000,
		            success: function (data) {
		            	ap_showWaitMessage('waitDiv', 0);
	            		if(typeof data === 'object'){
	            			parseConf(data);
	            			checkEditMode();
	            		}else{
	            			setError('error', 'Unknown error');
	            		}
	                },
	                error: function(){
	                	ap_showWaitMessage('waitDiv', 0);
	                	setError('error', 'Unknown error');
	                }
		    	});
			},

			parseConf = function(conf){

				if(conf.telephony){
					$('#fias_fidelio_telephony_host').val(conf.telephony.host || '');
					$('#fias_fidelio_telephony_port').val(conf.telephony.port || '');
					$('#fias_fidelio_telephony_delimiter').val(conf.telephony.delimiter || '');
					if (conf.telephony.host){
                        $('#fias_fidelio_telephony_enable').prop("checked", true);
					} else {
                        $('#fias_fidelio_telephony_enable').prop("checked", false);
					}
				}else{
					$('#fias_fidelio_telephony_enable').prop("checked", false);
                    $('#fias_fidelio_telephony_host').val('');
					$('#fias_fidelio_telephony_port').val('');
					$('#fias_fidelio_telephony_delimiter').val('');
				}
				if(conf.automation){
					$('#fias_fidelio_automation_host').val(conf.automation.host || '');
					$('#fias_fidelio_automation_port').val(conf.automation.port || '');
					$('#fias_fidelio_automation_delimiter').val(conf.automation.delimiter || '');
                    if (conf.automation.host){
                        $('#fias_fidelio_automation_enable').prop("checked", true);
                    } else {
                        $('#fias_fidelio_automation_enable').prop("checked", false);
                    }
				}else{
					$('#fias_fidelio_automation_enable').prop("checked", false);
					$('#fias_fidelio_automation_host').val('');
					$('#fias_fidelio_automation_port').val('');
					$('#fias_fidelio_automation_delimiter').val('');
				}
				if(conf.billingType){
					$('#fias_fidelio_billing_type').val(conf.billingType);
				}
				if(conf.minibarType){
					$('#fias_fidelio_minibar_type').val(conf.minibarType);
				}

				billingTypeChanged();
			},

			saveConf = function(){

				var opt = {
				        rules: !($('#fias_fidelio_telephony_enable').is(':checked')) ? [] : [
				                "required,fias_fidelio_telephony_host," + gl_translation['rules.CannotBeEmpty'],
				                "valid_host_or_ip,fias_fidelio_telephony_host," + gl_translation['rules.enterValidValue']+" IP or host",
				                "digits_only,fias_fidelio_telephony_port," + gl_translation['rules.enterNumber'],
				                "range=1-65535,fias_fidelio_telephony_port," + gl_translation['rules.enterValidValue']+" 1-65535"
				        ],
				        customErrorHandler: function(f, errorInfo){
				        	for(var i = 0; i < errorInfo.length; i++){
				        		$(errorInfo[i][0]).after('<span class="err_span" style="color:#ff0000;padding-left:10px;">' + errorInfo[i][1] + '<br></span>');
				        	}
				        	return errorInfo.length == 0;
				        }
				};

				if(generalConf.EnableAutomation && $('#fias_fidelio_automation_enable').is(':checked')){
					opt.rules.push("required,fias_fidelio_automation_host," + gl_translation['rules.CannotBeEmpty']);
		            opt.rules.push("valid_host_or_ip,fias_fidelio_automation_host," + gl_translation['rules.enterValidValue']+" IP or host");
		            opt.rules.push("digits_only,fias_fidelio_automation_port," + gl_translation['rules.enterNumber']);
		            opt.rules.push("range=1-65535,fias_fidelio_automation_port," + gl_translation['rules.enterValidValue']+" 1-65535");
				}

				if (!WMS.validate('fias_fidelio_settings_form', opt) ) {
			    	return false;
			    }


				var dataSave = {
						telephony: {
							host: ($('#fias_fidelio_telephony_enable').is(':checked'))? $('#fias_fidelio_telephony_host').val() : '',
							port: ($('#fias_fidelio_telephony_enable').is(':checked'))? $('#fias_fidelio_telephony_port').val() : '',
							delimiter: ($('#fias_fidelio_telephony_enable').is(':checked'))? $('#fias_fidelio_telephony_delimiter').val() : ''
						},
						automation: {
							host: ($('#fias_fidelio_automation_enable').is(':checked'))? $('#fias_fidelio_automation_host').val() : '',
							port: ($('#fias_fidelio_automation_enable').is(':checked'))? $('#fias_fidelio_automation_port').val() : '',
							delimiter: ($('#fias_fidelio_automation_enable').is(':checked'))? $('#fias_fidelio_automation_delimiter').val() : ''
						},
						billingType: $('#fias_fidelio_billing_type').val(),
						minibarType: $('#fias_fidelio_minibar_type').val()
				}
				ap_showWaitMessage('waitDiv', 1);
				$.ajax({
		            url: options.url ,
		            type: "POST",
		            dataType: 'json',
		            data: {
		            	action: 'setFiasFidelio',
		            	data: JSON.stringify(dataSave)
		            },
		            timeout: 10000,
		            success: function (data) {

		            	ap_showWaitMessage('waitDiv', 0);
	            		if(typeof data === 'object'){
	            			if(data.result == 'success'){
	                			loadConf();
	                			setError('success', 'Settings saved successfully', 3000)

	                		}else if(data.result == 'error'){
	                			//error
	                			setError('error', data.reason)
	                		}
	            		}else{
	            			setError('error', 'Unknown error');
	            		}
	                },
	                error: function(){
	                	ap_showWaitMessage('waitDiv', 0);
	                	setError('error', 'Unknown error');
	                }
		    	});
			},

			billingTypeChanged = function(){
				if($('#fias_fidelio_billing_type').val() == 'DurationAndCost'){
					$('#fias_fidelio_billing_type_notification').show();
				}else{
					$('#fias_fidelio_billing_type_notification').hide();
				}
			},

			_onChangedStatus = function(event, data){

				if(data.FIAS == 0){
					$('#status_fias_fidelio').attr('title', 'connected');
					$('#status_fias_fidelio').removeClass('gray').addClass('green');
				}else{
					$('#status_fias_fidelio').attr('title', 'no connection');
					$('#status_fias_fidelio').removeClass('green').addClass('gray');
				}
			},

			checkEditMode = function () {
				if ($('#fias_fidelio_automation_enable').is(':checked')){
					$('#fias_fidelio_automation_host').prop('disabled', false);
					$('#fias_fidelio_automation_port').prop('disabled', false);
					$('#fias_fidelio_automation_delimiter').prop('disabled', false);
				} else {
					$('#fias_fidelio_automation_host').prop('disabled', true);
					$('#fias_fidelio_automation_port').prop('disabled', true);
					$('#fias_fidelio_automation_delimiter').prop('disabled', true);
				}

				if ($('#fias_fidelio_telephony_enable').is(':checked')){
					$('#fias_fidelio_telephony_host').prop('disabled', false);
					$('#fias_fidelio_telephony_port').prop('disabled', false);
					$('#fias_fidelio_telephony_delimiter').prop('disabled', false);
				} else {
					$('#fias_fidelio_telephony_host').prop('disabled', true);
					$('#fias_fidelio_telephony_port').prop('disabled', true);
					$('#fias_fidelio_telephony_delimiter').prop('disabled', true);
				}
			},

			_onChangedGeneralConf = function(event, data){
				generalConf = data;

				$('#fias_fidelio_telephony_enable').change(function () {
					$('#fias_fidelio_telephony_host').attr('disabled', !this.checked);
					$('#fias_fidelio_telephony_port').attr('disabled', !this.checked);
					$('#fias_fidelio_telephony_delimiter').attr('disabled', !this.checked);
				});
				$('#fias_fidelio_automation_enable').change(function () {
					$('#fias_fidelio_automation_host').attr('disabled', !this.checked);
					$('#fias_fidelio_automation_port').attr('disabled', !this.checked);
					$('#fias_fidelio_automation_delimiter').attr('disabled', !this.checked);
				});

				if (!generalConf.EnableAutomation || !generalConf.BadgeController) {
					$('#fias_fidelio_automation_title').parents('tr').eq(0).hide();
					$('#fias_fidelio_automation_host').parents('tr').eq(0).hide();
					$('#fias_fidelio_automation_port').parents('tr').eq(0).hide();
					$('#fias_fidelio_automation_delimiter').parents('tr').eq(0).hide()
				} else {
					$('#fias_fidelio_automation_title').parents('tr').eq(0).show();
					$('#fias_fidelio_automation_host').parents('tr').eq(0).show();
					$('#fias_fidelio_automation_port').parents('tr').eq(0).show();
					$('#fias_fidelio_automation_delimiter').parents('tr').eq(0).show();
				}

				loadConf();
			};

		return {
			init: init
		}
	}

	$.fn.hotelFiasPms = function (opt) {

        return this.each(function () {
            var app;
            if (!$(this).data('hotelFiasPms')) {
                app = new hotelFiasPms(this, $.extend(true, {}, opt));
                app.init();
                $(this).data('hotelFiasPms', app);
            }
        });
    };
}(jQuery));