<?php
require_once dirname(__FILE__) . '/autoload.php';

error_reporting(E_ALL &~ E_NOTICE &~ E_DEPRECATED &~ E_WARNING);
setlocale(LC_CTYPE, "en_US.UTF-8");
ini_set('display_errors', 'Off');

if (!function_exists('env')) {
    function env($key, $default = '') {
        static $env;

        $envIniFile       = '/rw2/etc/env.ini';
        $customEnvIniFile = '/rw2/etc/env.custom.ini';

        if (is_null($env) && is_file($envIniFile)) {
            if (is_file($customEnvIniFile)) {
                $customEnvData = parse_ini_file($customEnvIniFile, true, INI_SCANNER_TYPED);
                $envIniData    = parse_ini_file($envIniFile, true, INI_SCANNER_TYPED);
                $env           = array_merge($envIniData, $customEnvData);
            } else {
                $env = parse_ini_file($envIniFile, true, INI_SCANNER_TYPED);
            }
        }

        return $env[$key] ?? $default;
    }
}

if (PHP_SAPI === 'cli') {
    // WHY? BECAUSE! don't inject "init.php"-like scripts to CLI scripts!
    return;
}

\Session\Session::getInstance()->setType('File')->start();

\Wildix\Services\Header::getInstance()->send();

if (!empty($_SERVER['HTTPS'])) {
    // check if URL contains "wildixin.com" domain
    preg_match('/.*\.wildixin\.com.*/', $_SERVER['SERVER_NAME'], $matches);
    if (!empty($matches)) {
        // strict to use HTTPS 6 month as well
        header('Strict-Transport-Security: max-age=15768000;');
    }

    $options = [
        'expires' => 0,
        'path' => ini_get('session.cookie_path'),
        'domain' => ini_get('session.cookie_domain'),
        'secure' => true,
        'httponly' => ini_get('session.cookie_httponly'),
        'samesite' => 'None'
    ];

    setcookie('httpsOnly', '1', $options);

} else {
    \Wildix\System\Network::getInstance()->forceToHttps();
}
