<?php

use Wildix\DependencyInjection\Container;
use Wildix\PBXes\Network\NetworkServices;

(file_exists('auth.php'))?include('auth.php'):include('../auth.php');

require_once('network/netfunctions.php');
require_once('classes/multipbx.class.php');

if (!WMS_Permissions::getInstance()->is_allowed('page','settings__pbx')) {
	die(_t('strings.permissionsDenied'));
}

$multipbx_class = new multipbx();
$external_port = \Models\PBX::getInstance()->getCustomHttpsPort();
$wmsnet_info = $multipbx_class->get_pbx_net_conf();
if (!isset($wmsnet_info['SRV_HTTPS_PORT'])) $wmsnet_info['SRV_HTTPS_PORT'] = '443';

$current_mode = $multipbx_class->get_mode();
$wmsnet_master_login_pass = $multipbx_class->get_master_connect_login_pass();

$wmsnet_slave_status_block = '&nbsp;';

$wmsnet_master_status = '';
$wmsnet_slave_status = '';
if ($current_mode == '2'){
	$wmsnet_master_status = '0';
}else if ($current_mode == '1'){
	$wmsnet_slave_status = 0;
	if ($wmsnet_info['SRV_IP'] == '127.0.0.1') $wmsnet_info['SRV_IP'] = '';
}

$serial = \Models\PBX::getInstance()->getSerial();

$diContainer = new Container();
$networkServices = $diContainer->get(NetworkServices::class);

$isVersionDiffers = 'false';

if (\Models\PBX::getInstance()->isEnabledWmsNetwork() && $networkServices->isVersionDiffers()) {
    $isVersionDiffers = 'true';
}

?>

<style type="text/css">
a.genPass span {
	color: black;
}
#master_options_form input[type=text],
#master_options_form input[type=password],
#slave_connect_options input[type=text],
#slave_connect_options input[type=password]{
	width:190px;
}
.proc {
    background: url('../images/preloader-gray.gif') no-repeat;
    padding-left: 20px;
}
.ldap_client_sync_info {
    margin: 15% auto;
    text-align: center;
}
</style>

<table id="main_setup" align="center" valign="top" bgcolor="#FFFFFF" style="display:block;width:100%;padding-top:15px;" cellpadding="0">
    <tr>
        <td class="tablehead" colspan="2">
            <?=head(_t('wmsnet.Title'));?>
        </td>
    </tr>
	<tr>
		<td bgcolor="#FFFFFF" style="width:270px;">
		<?=_t('wmsnet.SelectMode');?>
		</td>
        <td style="width:350px;">
            <select id="init_mode_select" onchange="init_mode_change()" <?=(($current_mode == '0')?'':'disabled');?>>
                <option value="master" <?=(($current_mode != '1')?'selected="selected"':'');?> ><?=_t('wmsnet.mode.Master');?></option>
                <option value="slave"  <?=(($current_mode == '1')?'selected="selected"':'');?> ><?=_t('wmsnet.mode.Slave');?></option>
            </select>
        </td>
	</tr>
<!--		<table cellpadding="2" cellspacing="3">
		<tr>
 			<td align="left" colspan="2">
 			</td>
			<td align="right" valign="top" rowspan="4" width="45%" style="text-align:left;">
			</td>
 		</tr>
 		</table>-->
</table>


<table id="master_setup" width="100%" align="center" valign="top" bgcolor="#FFFFFF" style="display:<?=(($current_mode != '1')?'block':'none');?>;border-collapse:collapse;" cellpadding="0">
	<tr>
	<td bgcolor="#FFFFFF">
		<table cellpadding="2" cellspacing="3" width="100%">
		<tr>
 			<td align="left" colspan="3">
				<!--<div id="master_connect_options" style="display:<?=(($current_mode)?'none':'block');?>;">-->
				<div id="master_connect_options">
					<form id="master_options_form">
					<table width="100%">
                    <tr>
                        <td align="left" >
                            <?=_t('state.ConnectionStatus')?>:
                        </td>
                        <td >
                            <span id='wmsnet_master_status' ></span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <?=_t('license.gatewaySerial');?>:
                        </td>
                        <td align="left">
                            <?=$serial;?>
                        </td>
                    </tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.master.ConnectionPort');?>:
						</td>
						<td style="width:350px;">
							443<?=(($external_port && $external_port != '443')?', '.$external_port:'')?>
						</td>
					</tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.Login');?>:
						</td>
						<td style="width:350px;">
							<!-- hak autocompleate -->
							<input id="hak_username" name="username" type="text" size="25" style="position:absolute; left:-5000px;"/>
						    <input id="hak_autocomplete" name="password" type="password" size="25" style="position:absolute; left:-5000px;"/>
						    <!-- end hak -->
							<input id="opt_slaves_connect_login" type="text" value="<?=$wmsnet_master_login_pass['master_login'];?>" readonly />
						</td>
					</tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.Password');?>:
						</td>
						<td style="width:350px;">
							<input id="opt_slaves_connect_password" type="text" value="<?=$wmsnet_master_login_pass['master_password'];?>" onkeyup="$('opt_slaves_connect_password_pwd').value=$F('opt_slaves_connect_password');" readonly /><input id="opt_slaves_connect_password_pwd" type="password" value="<?=$wmsnet_master_login_pass['master_password'];?>" onkeyup="$('opt_slaves_connect_password').value=$F('opt_slaves_connect_password_pwd');" readonly /><a class="genPass" title="<?=_t('strings.genSecurePass');?>"><span id="opt_slaves_connect_password_strength" style="display:none;"></span></a>&nbsp;&nbsp;<a class="genPass"><span id="master_pw_show_hide" onclick="pwd_show_hide_do('opt_slaves_connect_password','master_pw_show_hide')" style="cursor:pointer;background-color:#b0cff7;width:30px;height:14px;">&nbsp;&nbsp;&nbsp;</span></a>
						</td>
					</tr>
					</table>
					</form>
				</div>
			</td>
 		</tr>
		<tr>
 			<td align="left" colspan="3">
				<div id="master_create_content">
				</div>
			</td>
 		</tr>
		<tr>
 			<td align="right" colspan="3">
	 			<input id="wmsnet_master_generate_login_password" type="button" value="<?=_t('strings.generateCredentials');?>" class="but20" onclick="$('opt_slaves_connect_login').value = generateLogin(13, true);$('opt_slaves_connect_password').value = generatePassword(24, true);" />
	 			<input id="wmsnet_master_set_options" type="button" value="<?=_t('buttons.UpdateParameters');?>" class="but20_dis" onclick="wmsnetOptionsSave('master')" disabled="disabled" />
	 			<br />
	 			<br />
	 			<input id="wmsnet_master_start" type=button value="<?=_t('state.btn.Start');?>" class="but20_dis" onclick="wmsnetMasterDoStart()" disabled="disabled" />
	 			<input id="wmsnet_master_stop" type=button value="<?=_t('state.btn.Stop');?>" class="but20_dis" onclick="wmsnetMasterDoStop()" disabled="disabled" />
 			</td>
 		</tr>
 		</table>
 	</td>
	</tr>
</table>

<table id="slave_setup" width="100%" align="center" valign="top" bgcolor="#FFFFFF" style="display:<?=(($current_mode == '1')?'block':'none');?>;border-collapse:collapse;" cellpadding="0">
	<tr>
	<td bgcolor="#FFFFFF">
		<table width="100%" cellpadding="2" cellspacing="3">
		<tr>
 			<td align="left" colspan="3">
				<!--<div id="slave_connect_options" style="display:<?=(($current_mode)?'none':'block');?>;">-->
				<div id="slave_connect_options">
					<form id="slave_options_form1" style="display:<?=(($current_mode)?'none':'block');?>;">
					<table width="100%">
                    <tr>
                        <td align="left" >
                            <?=_t('state.ConnectionStatus')?>:
                        </td>
                        <td>
                            <span id='wmsnet_slave_status' ></span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" >
                            <?=_t('wmsnet.internalIp');?>:
                        </td>
                        <td id="wmsnet_slave_status_block">
                            <?=$wmsnet_slave_status_block?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <?=_t('license.gatewaySerial');?>:
                        </td>
                        <td align="left">
                            <?=$serial;?>
                        </td>
                    </tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.MasterPbxIp');?>:
						</td>
						<td style="width:350px;">
							<input id="opt_master_ip" type="text" value="<?=$wmsnet_info['SRV_IP'];?>" />
						</td>
					</tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.slave.ConnectionPort');?>:
						</td>
						<td style="width:350px;">
							<input id="opt_master_https_port" type="text" value="<?=$wmsnet_info['SRV_HTTPS_PORT'];?>" />
						</td>
					</tr>
					</table>
					</form>
					<form id="slave_options_form_static" style="display:<?=(($current_mode)?'block':'none');?>;">
					<table width="100%">
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.MasterPbxIp');?>:
						</td>
						<td style="width:350px;">
							<span id="static_slave_master_ip"><?=$wmsnet_info['SRV_IP'];?></span>
						</td>
					</tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.slave.ConnectionPort');?>:
						</td>
						<td style="width:350px;">
							<span id="static_slave_master_https_port"><?=$wmsnet_info['SRV_HTTPS_PORT'];?></span>
						</td>
					</tr>
					</table>
					</form>
					<form id="slave_options_form2">
					<table width="100%">
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.Login');?>:
						</td>
						<td style="width:350px;">
							<input id="opt_master_connect_login" type="text" value="<?=$wmsnet_master_login_pass['master_login'];?>" />
						</td>
					</tr>
					<tr>
						<td style="width:270px;">
							<?=_t('wmsnet.Password');?>:
						</td>
						<td style="width:350px;">
							<input id="opt_master_connect_password" type="text" value="<?=$wmsnet_master_login_pass['master_password'];?>" onkeyup="$('opt_master_connect_password_pwd').value=$F('opt_master_connect_password');return passwordChanged('opt_master_connect_password',true);" /><input id="opt_master_connect_password_pwd" type="password" value="<?=$wmsnet_master_login_pass['master_password'];?>" onkeyup="$('opt_master_connect_password').value=$F('opt_master_connect_password_pwd');return passwordChanged('opt_master_connect_password',true);" />&nbsp;&nbsp;<a class="genPass"><span id="slave_pw_show_hide" onclick="pwd_show_hide_do('opt_master_connect_password','slave_pw_show_hide')" style="cursor:pointer;background-color:#b0cff7;width:30px;height:14px;">&nbsp;&nbsp;&nbsp;</span></a>
						</td>
					</tr>
					</table>
					</form>
				</div>
			</td>
 		</tr>
		<tr>
 			<td align="right" colspan="3">
	 			<input id="wmsnet_slave_set_options" type="button" value="<?=_t('buttons.UpdateParameters');?>" class="but20_dis" onclick="wmsnetOptionsSave('slave')" disabled="disabled" />
	 			<br />
	 			<br />
	 			<input id="wmsnet_slave_start" type=button value="<?=_t('state.btn.Start');?>" class="but20_dis" onclick="wmsnetSlaveDoStart()" disabled="disabled" />
	 			<input id="wmsnet_slave_reinit" type=button value="<?=_t('wmsnet.btn.ReInit');?>" class="but20_dis" onclick="wmsnetSlaveDoReInit()" disabled="disabled" />
	 			<input id="wmsnet_slave_stop" type=button value="<?=_t('state.btn.Stop');?>" class="but20_dis" onclick="wmsnetSlaveDoStop()" disabled="disabled" />
 			</td>
 		</tr>
 		</table>
 	</td>
	</tr>
</table>

<script language="javascript">
var msgStarted = '<?=_t('state.Activate');?>';
var msgStopped = '<?=_t('state.Disactivate');?>';
var wmsnetMasterStat = '<?=$wmsnet_master_status;?>';
var wmsnetSlaveStat = '<?=$wmsnet_slave_status;?>';
var checkCnt;

const isVersionDiffers = <?=$isVersionDiffers;?>;

var comet;
var CometMethods = {
	started: false,
	keepalive: 60,
	log: function(message){
			$('master_create_content').innerHTML += message+'<br>';
	},
	masterComplete: function(ret){
		startMasterIsCompleted(ret);
	}
}

function checkPasswordStrength(pass,noPunction){
	if (noPunction){
		var strongRegex = new RegExp("^(?=.{24,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9]).*$", "g");
		var mediumRegex = new RegExp("^(?=.{24,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
		var enoughRegex = new RegExp("(?=.{24,}).*", "g");
	}else{
		var strongRegex = new RegExp("^(?=.{24,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\W).*$", "g");
		var mediumRegex = new RegExp("^(?=.{24,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
		var enoughRegex = new RegExp("(?=.{24,}).*", "g");
	}
	var strength = 'weak';
	if (pass.length==0 || false == enoughRegex.test(pass)) {
		strength = 'weak';
	} else if (strongRegex.test(pass)) {
		strength = 'strong';
	} else if (mediumRegex.test(pass)) {
		strength = 'medium';
	} else {
		strength = 'weak';
	}
	return strength;
}
function passwordChanged(el_id,noPunction){
	var strength_el = document.getElementById(el_id+'_strength');
	if (!strength_el) {
	    return;
  }
	var pwd = document.getElementById(el_id);
	var strength = checkPasswordStrength(pwd.value,noPunction);
	switch (strength){
		case 'weak':
			strength_el.style.backgroundColor = "#fc858b";
			strength_el.innerHTML = '<?=_t('strings.notSecure');?>';
			break;
		case 'medium':
			strength_el.style.backgroundColor = "orange";
			strength_el.innerHTML = '<?=_t('strings.mediumSecure');?>';
			break;
		case 'strong':
			strength_el.style.backgroundColor = "#57c696";
			strength_el.innerHTML = '<?=_t('strings.secure');?>';
			break;
	}
}
var setPassword = function(el_id,len,noPunction){
	var genPass = generatePassword(len,noPunction);
	if (checkPasswordStrength(genPass,noPunction) == 'strong'){
		$(el_id).value = genPass;
		if ($(el_id+'_pwd')) $(el_id+'_pwd').value = genPass;
		passwordChanged(el_id,noPunction);
	}else{
		setPassword(el_id,len,noPunction);
	}
}
function generatePassword(length,noPunction){
    return generateRandomString(length, noPunction);
}
function generateLogin(length,noPunction){
    return 'w' + generateRandomString(length - 1, noPunction).toLowerCase();
}
function generateRandomString(length,noPunction){
    var string = "";
    for (i=0; i < length; i++) {
        numI = getRandomNum();
        if (noPunction) { while (checkPunc(numI)) { numI = getRandomNum(); } }
        string = string + String.fromCharCode(numI);
    }
    return string;
}
function getRandomNum() {
	// between 0 - 1
	var rndNum = Math.random()
	// rndNum from 0 - 1000
	rndNum = parseInt(rndNum * 1000);
	// rndNum from 33 - 127
	rndNum = (rndNum % 94) + 33;
	if (rndNum == 38){
		// no & char
		return getRandomNum();
	}else{
		return rndNum;
	}
}
function checkPunc(num) {
	if ((num >=33) && (num <=47)) { return true; }
	if ((num >=58) && (num <=64)) { return true; }
	if ((num >=91) && (num <=96)) { return true; }
	if ((num >=123) && (num <=126)) { return true; }
	return false;
}
function check_passwords_strength(el_id) {
	var ret = [];
	if (checkPasswordStrength($F(el_id),true) == 'weak') ret.push([$(el_id), "<?=_t('rules.enterStrongPassword');?>"]);
	if (ret.length) return ret; else return true;
}

function check_master_passwords_strength() {
	return check_passwords_strength('opt_slaves_connect_password');
}
function check_slave_passwords_strength() {
	return check_passwords_strength('opt_master_connect_password');
}


var master_pw_show_hide = true;
var slave_pw_show_hide = true;
var pwd_show_hide_do = function(el_id,show_hide_id){
	if (show_hide_id == 'master_pw_show_hide'){
		how = master_pw_show_hide;
	}else if (show_hide_id == 'slave_pw_show_hide'){
		how = slave_pw_show_hide;
	}
	if (how){
		$(el_id).hide();
		$(el_id+'_pwd').show();
		$(show_hide_id).innerHTML = '<?=_t('strings.Show');?>';
	}else{
		$(el_id).show();
		$(el_id+'_pwd').hide();
		$(show_hide_id).innerHTML = '<?=_t('strings.Hide');?>';
	}
	if (show_hide_id == 'master_pw_show_hide'){
		master_pw_show_hide = !how;
	}else if (show_hide_id == 'slave_pw_show_hide'){
		slave_pw_show_hide = !how;
	}
}


function showWmsnetMasterValues(status){
	ap_showWaitMessage('waitDiv', 0);
	if (status == '0'){
		$('wmsnet_master_status').innerHTML = msgStarted;
		$('wmsnet_master_start').disabled = true;
		$('wmsnet_master_start').className = 'but20_dis';
		$('wmsnet_master_stop').disabled = false;
		$('wmsnet_master_stop').className = 'but20';
		if (!isVersionDiffers) {
        $('wmsnet_master_set_options').disabled = false;
        $('wmsnet_master_set_options').className = 'but20';
    }
		$$('.wmsnetmode').invoke('show');
		$$('.wmsnetnomode').invoke('hide');
	}else{
		$('wmsnet_master_status').innerHTML = '<font color="gray">'+msgStopped+'</font>';
		$('wmsnet_master_start').disabled = false;
		$('wmsnet_master_start').className = 'but20';
		$('wmsnet_master_stop').disabled = true;
		$('wmsnet_master_stop').className = 'but20_dis';
		$('wmsnet_master_set_options').disabled = true;
		$('wmsnet_master_set_options').className = 'but20_dis';
		$$('.wmsnetmode').invoke('hide');
		$$('.wmsnetnomode').invoke('show');
	}
}
function showWmsnetSlaveValues(status){
	ap_showWaitMessage('waitDiv', 0);
	if (status == '0'){
		$('wmsnet_slave_status').innerHTML = msgStarted;
		$('wmsnet_slave_start').disabled = true;
		$('wmsnet_slave_start').className = 'but20_dis';
		$('wmsnet_slave_stop').disabled = false;
		$('wmsnet_slave_stop').className = 'but20';
		if (!isVersionDiffers) {
        $('wmsnet_slave_reinit').disabled = false;
        $('wmsnet_slave_reinit').className = 'but20';
        $('wmsnet_slave_set_options').disabled = false;
        $('wmsnet_slave_set_options').className = 'but20';
    }
	}else{
		$('wmsnet_slave_status').innerHTML = '<font color="gray">'+msgStopped+'</font>';
		$('wmsnet_slave_start').disabled = false;
		$('wmsnet_slave_start').className = 'but20';
		$('wmsnet_slave_stop').disabled = true;
		$('wmsnet_slave_stop').className = 'but20_dis';
		$('wmsnet_slave_reinit').disabled = true;
		$('wmsnet_slave_reinit').className = 'but20_dis';
		$('wmsnet_slave_set_options').disabled = true;
		$('wmsnet_slave_set_options').className = 'but20_dis';
	}
	if (pageload == true && status != '0' && '<?=$current_mode;?>' == '1'){
		$('wmsnet_slave_start').disabled = true;
		$('wmsnet_slave_start').className = 'but20_dis';
		$('wmsnet_slave_stop').disabled = false;
		$('wmsnet_slave_stop').className = 'but20';
		$('wmsnet_slave_reinit').disabled = true;
		$('wmsnet_slave_reinit').className = 'but20_dis';
		$('wmsnet_slave_set_options').disabled = true;
		$('wmsnet_slave_set_options').className = 'but20_dis';
		//$('set_slave_options').style.display = 'none';
	}
}
function disableMasterButtons(){
	$('wmsnet_master_start').disabled = true;
	$('wmsnet_master_start').className = 'but20_dis';
	$('wmsnet_master_stop').disabled = true;
	$('wmsnet_master_stop').className = 'but20_dis';
	$('wmsnet_master_set_options').disabled = true;
	$('wmsnet_master_set_options').className = 'but20_dis';
}
function disableSlaveButtons(){
	$('wmsnet_slave_start').disabled = true;
	$('wmsnet_slave_start').className = 'but20_dis';
	$('wmsnet_slave_stop').disabled = true;
	$('wmsnet_slave_stop').className = 'but20_dis';
	$('wmsnet_slave_reinit').disabled = true;
	$('wmsnet_slave_reinit').className = 'but20_dis';
	$('wmsnet_slave_set_options').disabled = true;
	$('wmsnet_slave_set_options').className = 'but20_dis';
}
var master_vars = {};
var slave_vars = {};
function wmsnetMasterDoStart()
{
	if (!confirm('<?=_t('wmsnet.confirm.masterStart');?>')) return false;

	var options = {
		rules: [ // rule, element_id, message
			"reg_exp,opt_slaves_connect_login,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue')?> A-z0-9",
			"reg_exp,opt_slaves_connect_password,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue');?> A-z0-9",
			"function,check_master_passwords_strength"

		]
	};
	if (! WMS.validate('master_options_form', options) ) {
		return false;
	}

	disableMasterButtons();
	flashError();
	hideBar();
	ap_showWaitMessage('waitDiv', 1);
	$('master_create_content').innerHTML = '';

	master_vars = {
		'slaves_login': $F('opt_slaves_connect_login'),
		'slaves_password': $F('opt_slaves_connect_password')
	}

    new Ajax.Request('/api/v1/PBX/WmsNetwork/',{
        method: 'post',
        parameters: $H({
            '_METHOD': 'PUT',
            action: 'startServer',
            slaves_login: $F('opt_slaves_connect_login'),
            slaves_password: $F('opt_slaves_connect_password')
        }).toQueryString(),
        onComplete: function(transport){
            if (transport.status === 200){
                $('master_create_content').innerHTML = '-- Server is started';
                ap_showWaitMessage('waitDiv', 0);
                startMasterIsCompleted('0');
            }else {
                ap_showWaitMessage('waitDiv', 0);
                showWmsnetMasterValues('1');
                setError('error', transport.responseJSON.reason);
            }
        }

    });

}
function wmsnetSlaveDoStart()
{
	if (!confirm('<?=_t('wmsnet.confirm.slaveStart');?>')) return false;

	var options1 = {
		rules: [ // rule, element_id, message
			"required,opt_master_ip,<?=_t('rules.enterValidValue');?>",
			"invert_reg_exp,opt_master_ip,(127\\.0\\.0.*)|(^5\\.15\\..*),<?=_t('wmsnet.enterValidMaterIp')?>",

			"required,opt_master_https_port,<?=_t('rules.enterValidValue');?>",
			"if:opt_master_https_port!=,digits_only,opt_master_https_port,<?=_t('rules.enterValidValue');?> 1-65535",
			"if:opt_master_https_port!=,range=1-65535,opt_master_https_port,<?=_t('rules.enterValidValue');?> 1-65535"
		]
	};
	var options2 = {
		rules: [ // rule, element_id, message
			"reg_exp,opt_master_connect_login,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue')?> A-z0-9",
			"reg_exp,opt_master_connect_password,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue');?> A-z0-9",
			"function,check_slave_passwords_strength"
		]
	};
	if (! WMS.validate('slave_options_form1', options1) ) {
		return false;
	}
	if (! WMS.validate('slave_options_form2', options2) ) {
		return false;
	}

	disableSlaveButtons();
	flashError();
	hideBar();

	checkCnt = 10;
	ap_showWaitMessage('waitDiv', 1);
	$('wmsnet_slave_status_block').innerHTML = '<?=_t('vtun.JS.Starting');?>';

	var err = false;

	slave_vars = {
		'master_ip': $F('opt_master_ip'),
		'master_https_port': $F('opt_master_https_port'),
		'slaves_login': $F('opt_master_connect_login'),
		'slaves_password': $F('opt_master_connect_password')
	}

  new Ajax.Request('/api/v1/PBX/WmsNetwork/',{
      method: 'post',
      parameters: $H({
          '_METHOD': 'PUT',
          action: 'startClient',
          master_ip: $F('opt_master_ip'),
          master_https_port: $F('opt_master_https_port'),
          master_connect_login: $F('opt_master_connect_login'),
          master_connect_password: $F('opt_master_connect_password')
      }).toQueryString(),
      onComplete: function(transport){
          if (transport.status !== 200) {
              setError('error', transport.responseJSON.reason);
              ap_showWaitMessage('waitDiv', 0);
              $('wmsnet_slave_status_block').innerHTML = '<?=_t('vtun.JS.ConnectionError');?>';
              showWmsnetSlaveValues('1');
              err = true;
          } else {
              watchSlaveSyncProgress();
              ap_showWaitMessage('waitDiv', 0);

              //$('slave_connect_options').style.display = 'none';
              $('slave_options_form1').style.display = 'none';
              $('slave_options_form_static').style.display = 'block';
              //$('set_slave_options').style.display = 'block';

              // setting edit fields
              $('opt_master_connect_login').value = slave_vars['slaves_login'];
              $('opt_master_connect_password').value = slave_vars['slaves_password'];
              $('opt_master_ip').value = slave_vars['master_ip'];
              $('opt_master_https_port').value = slave_vars['master_https_port'];
              $('static_slave_master_ip').innerHTML = slave_vars['master_ip'];
              $('static_slave_master_https_port').innerHTML = slave_vars['master_https_port'];

              //$('opt_master_connect_login').value = '';
              //$('opt_master_connect_password').value = '';
              $('init_mode_select').disable();
              started = true;
              checkCnt = 0;

              //hide menu WMS->Settings->System->LDAP Server
              var menu = document.getElementById('mmenu-1');
              var menuItem = menu.querySelector('a[href="?Menuid=80"]');
              if (menuItem) {
                  menuItem.parentNode.style.display = 'none';
              }
          }

      }
  });
}
function wmsnetMasterDoStop(){
	if (!confirm('<?=_t('wmsnet.confirm.masterStop');?>')) return false;
	disableMasterButtons();
	flashError();
	hideBar();

	ap_showWaitMessage('waitDiv', 1);
	$('master_create_content').innerHTML = '';

	var err = false;

	new Ajax.Request('/api/v1/PBX/WmsNetwork/',{
		method: 'post',
		parameters: $H({
        '_METHOD': 'PUT',
        action: 'stopServer'
    }).toQueryString(),
		onComplete: function(transport){
			if (transport.status === 200){
          $('master_create_content').innerHTML = '-- Server is stopped';
          showWmsnetMasterValues('1');
          //$('master_connect_options').style.display = 'block';
          //$('set_master_options').style.display = 'none';
          $('init_mode_select').enable();
          $('init_mode_select').value = 'master';
          //$('slave_connect_options').style.display = 'block';
          $('slave_options_form1').style.display = 'block';
          $('slave_options_form_static').style.display = 'none';
          //$('set_slave_options').style.display = 'none';
			}else{
				ap_showWaitMessage('waitDiv', 0);
				$('master_create_content').innerHTML = 'HTTP transport problem.';
				showWmsnetMasterValues('0');
				err = true;
			}
		}
	});
}
function wmsnetSlaveDoStop(){
	if (!confirm('<?=_t('wmsnet.confirm.slaveStop');?>')) return false;
	disableSlaveButtons();
	flashError();
	hideBar();

	ap_showWaitMessage('waitDiv', 1);
	$('wmsnet_slave_status_block').innerHTML = '<?=_t('vtun.JS.Stopping');?>';

	var err = false;
	new Ajax.Request('/api/v1/PBX/WmsNetwork/',{
		method: 'post',
		parameters: $H({
        '_METHOD': 'PUT',
        action: 'stopClient'
    }).toQueryString(),
		onComplete: function(transport){
			if (transport.status === 200){
          ap_showWaitMessage('waitDiv', 0);
          watchUnsetSlaveProgress();
			}else{
				ap_showWaitMessage('waitDiv', 0);
				$('wmsnet_slave_status_block').innerHTML = 'HTTP transport problem.';
				showWmsnetSlaveValues('0');
				err = true;
			}
		}
	});
}
function wmsnetOptionsSave(mode){

	alert('<?=_t('wmsnet.alert.noteParamsMustBeTheSame');?>');

	if (mode == 'slave'){
		var options1 = {
			rules: [ // rule, element_id, message
				"required,opt_master_ip,<?=_t('rules.enterValidValue');?>",
				"invert_reg_exp,opt_master_ip,(127\\.0\\.0.*)|(^5\\.15\\..*),<?=_t('wmsnet.enterValidMaterIp')?>",

				"required,opt_master_https_port,<?=_t('rules.enterValidValue');?>",
				"if:opt_master_https_port!=,digits_only,opt_master_https_port,<?=_t('rules.enterValidValue');?> 1-65535",
				"if:opt_master_https_port!=,range=1-65535,opt_master_https_port,<?=_t('rules.enterValidValue');?> 1-65535"
			]
		};
		var options2 = {
			rules: [ // rule, element_id, message
				"reg_exp,opt_master_connect_login,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue')?> A-z0-9",
				"reg_exp,opt_master_connect_password,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue');?> A-z0-9",
				"function,check_slave_passwords_strength"
			]
		};
		if (! WMS.validate('slave_options_form1', options1) ) {
			return false;
		}
		if (! WMS.validate('slave_options_form2', options2) ) {
			return false;
		}

		disableSlaveButtons();

	}else if (mode == 'master'){
		var options = {
			rules: [ // rule, element_id, message
				"reg_exp,opt_slaves_connect_login,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue')?> A-z0-9",
				"reg_exp,opt_slaves_connect_password,^[0-9a-zA-Z]+$,<?=_t('rules.enterValidValue');?> A-z0-9",
				"function,check_master_passwords_strength"

			]
		};
		if (! WMS.validate('master_options_form', options) ) {
			return false;
		}

		disableMasterButtons();
	}

	flashError();
	hideBar();

	ap_showWaitMessage('waitDiv', 1);

	var request_params;
	if (mode == 'slave'){
		request_params = '_METHOD=PUT&action=updatePbxSettings'+'&login='+$F('opt_master_connect_login')+"&password="+$F('opt_master_connect_password');
	}else if(mode == 'master'){
		request_params = '_METHOD=PUT&action=updatePbxSettings'+'&login='+$F('opt_slaves_connect_login')+"&password="+$F('opt_slaves_connect_password');
	}
	new Ajax.Request('/api/v1/PBX/WmsNetwork/',{
		method: 'post',
		parameters: request_params,
		onComplete: function(transport){
			if (transport.status === 200){
          if (mode == 'slave'){
              showWmsnetSlaveValues('0');
          }else if(mode == 'master'){
              showWmsnetMasterValues('0');
          }
			}else{
				setError('error', transport.responseJSON.reason);
          if (mode == 'slave'){
              showWmsnetSlaveValues('0');
          }else if(mode == 'master'){
              showWmsnetMasterValues('0');
          }
			}
			ap_showWaitMessage('waitDiv', 0);
		}
	});
}
function wmsnetSlaveDoReInit(){
	if (!confirm('<?=_t('wmsnet.confirm.slaveReInit');?>')) return false;
	disableSlaveButtons();
	flashError();
	hideBar();

	ap_showWaitMessage('waitDiv', 1);

	new Ajax.Request('/api/v1/PBX/WmsNetwork/',{
		method: 'post',
		parameters: $H({
        '_METHOD': 'PUT',
        action: 'reInitLdapClient'
    }).toQueryString(),
		onComplete: function(transport){
      if (transport.status === 200) {
          watchSlaveSyncProgress();
      } else {
          setError('error', transport.responseJSON.reason);
          showWmsnetSlaveValues('0');
      }
			ap_showWaitMessage('waitDiv', 0);
		}
	});
}
function watchSlaveOperationProgress(params) {
    var requestProgressTimer = null;
    var winUp = new UI.Window(
        $H({
            width: 400,
            height: 200,
            close: false,
            draggable: false,
            resizable: false,
            shadow: false,
            superflousEffects: false,
            theme: 'bluelighting'
        }).toObject())
        .setHeader(WMS._t(params.operationName))
        .setContent('<span class="proc"></span>')
        .center({auto: true});
    winUp.show(true).focus();

    var updateProgress = function(dataRows) {
        var completed = false;
        var result = '<div class="ldap_client_sync_info">';

        for (var i = 0; i < dataRows.length; i++) {
            var row = dataRows[i].split(':');

            if (row.length === 2 && row[0] === 'state') {
                completed = (row[1] === 'completed');
                result += WMS._t(params.operationIs, '<strong>', completed ? WMS._t(params.operationCompleted) : WMS._t(params.operationInProgress), '</strong>') + '<br/>';
            }

            if (row.length === 2 && row[0] === 'objects_actual') {
                result += WMS._t(params.operationProgress, '<strong>', row[1].toUpperCase(), '</strong>') + '<br/>';
            }
        }

        result += '</div>';

        winUp.setContent(completed ? result : ('<span class="proc"></span>' + result));

        if (completed) {
            if (requestProgressTimer !== null) {
                clearTimeout(requestProgressTimer);
                requestProgressTimer = null;
            }

            window.onbeforeunload = null;

            if (typeof params.callback === 'function') {
                params.callback();
            }

            winUp.prefoot.innerHTML = '<input type="button" value="Ok" id="winUpOk" />';
            $("winUpOk").addEventListener("click", winUp.destroy.bind(winUp));
        }
    };

    var requestProgress = function() {
        new Ajax.Request(params.url, {
            method: 'get',
            onComplete: function(response) {
                if (response.status !== 200) {
                    // responseJSON => {"type":"error","reason":"File not found.","code":"FileNotFound","result":null}
                    setError('error', WMS._t(params.operationFailed));
                    winUp.hide(true);
                    if (typeof params.callback === 'function') {
                        params.callback();
                    }
                    return;
                }

                requestProgressTimer = setTimeout(requestProgress, 5000);

                // responseText => state:completed;users_expected:39895;users_actual:39895;
                var dataRows = response.responseText.split(';')
                    .filter(function(row) {
                        return (row.length > 0);
                    });
                updateProgress(dataRows);
            }
        });
    };

    window.onbeforeunload = function() {
        return '<?=_t('wmsnet.info.working');?>';
    };

    requestProgress();
}
function watchSlaveSyncProgress() {
    watchSlaveOperationProgress({
        url: '/api/v1/PBX/WmsNetwork/ldapSlaveSyncStatus/',
        operationName: 'wmsnet.slave.ldapClientSyncProgress',
        operationIs: 'wmsnet.slave.syncIs',
        operationCompleted: 'wmsnet.slave.syncCompleted',
        operationInProgress: 'wmsnet.slave.syncInProgress',
        operationProgress: 'wmsnet.slave.synchronizedUsers',
        operationFailed: 'wmsnet.alert.failedGetLdapClientSyncProgress',
        callback: function () {
            showWmsnetSlaveValues('0');
        }
    });
}
function watchUnsetSlaveProgress() {
    watchSlaveOperationProgress({
        url: '/api/v1/PBX/WmsNetwork/ldapUnsetSlaveStatus/',
        operationName: 'wmsnet.slave.ldapClientUnsetProgress',
        operationIs: 'wmsnet.slave.unsettingIs',
        operationCompleted: 'wmsnet.slave.syncCompleted',
        operationInProgress: 'wmsnet.slave.syncInProgress',
        operationProgress: 'wmsnet.slave.processedUsers',
        operationFailed: 'wmsnet.alert.failedGetLdapClientUnsettingProgress',
        callback: function () {
            $('wmsnet_slave_status_block').innerHTML = '';
            showWmsnetSlaveValues('1');

            $('slave_options_form1').style.display = 'block';
            $('slave_options_form_static').style.display = 'none';

            $('init_mode_select').enable();

            //show menu WMS->Settings->System->LDAP Server
            var menu = document.getElementById('mmenu-1');
            var menuItem = menu.querySelector('a[href="?Menuid=80"]');
            if (menuItem) {
                menuItem.parentNode.style.display = 'block';
            }
        }
    });
}
function startMasterIsCompleted(status){
	showWmsnetMasterValues(status);
	if (status == 0){
		//$('master_connect_options').style.display = 'none';
		//$('set_master_options').style.display = 'block';
        $('init_mode_select').disable();
		// setting edit fields
		$('opt_slaves_connect_login').value = master_vars['slaves_login'];
		$('opt_slaves_connect_password').value = master_vars['slaves_password'];
	}
}
var pageload = true;
document.observe('WMS:load',function(){
	WMS.Comet.addMethods(CometMethods);
	showWmsnetMasterValues(wmsnetMasterStat);
	showWmsnetSlaveValues(wmsnetSlaveStat);
	master_pw_show_hide = true;
	slave_pw_show_hide = true;
	pwd_show_hide_do('opt_slaves_connect_password','master_pw_show_hide');
	pwd_show_hide_do('opt_master_connect_password','slave_pw_show_hide');
	passwordChanged('opt_slaves_connect_password',true);
	passwordChanged('opt_master_connect_password',true);
    checkClientUnsetProcessStatus();
	pageload = false;
});

function init_mode_change(){
	var mode = $F('init_mode_select');
	if (mode == 'master'){
		$('master_setup').style.display = 'block';
		$('slave_setup').style.display = 'none';
	}else if (mode == 'slave'){
		$('master_setup').style.display = 'none';
		$('slave_setup').style.display = 'block';
	}
}

function checkClientUnsetProcessStatus() {
    new Ajax.Request('/api/v1/PBX/WmsNetwork/checkBackgroundUnsetSlaveState/',{
        method: 'GET',
        onComplete: function(transport){
            var data = transport.responseJSON;
            if (200 === transport.status
                && typeof data === 'object'
                && data.result
                && data.result.processRunning
            ){
                watchUnsetSlaveProgress();
            }
        }
    });
}
</script>
