<?php
include( file_exists('auth.php')? 'auth.php': '../auth.php' );
$_REQUEST['newclass'] = 'network';


if (!WMS_Permissions::getInstance()->is_allowed('page','settings__system')) {
	die(_t('strings.permissionsDenied'));
}

require_once('classes/network/network.class.php');

$network = new network();

// interfaces
$proxy->setObject($network);
$proxy->mode    = 'self';
$proxy->action  = 'getInterfaces';
$proxy->processing();

$json_interfaces = $proxy->toJSON;

// routes
$proxy->mode    = 'self';
$proxy->action  = 'getRoutes';
$proxy->processing();

$json_routes = $proxy->toJSON;

// hosts
$proxy->mode    = 'self';
$proxy->action  = 'getHosts';
$proxy->processing();

$json_hosts = $proxy->toJSON;

$btn_masqurade_value = $network->is_masquerading()? _t('net.DisableRouting'): _t('net.EnableRouting');
$btn_bridge_value = isset($network->boot_interfaces['wbr0'])? _t('net.DisableTrafficShaper'): _t('net.EnableTrafficShaper');

// {{
$use_interfaces = array();
foreach ($network->boot_interfaces as $key => $interface) {
	if (strpos($key,'.') === false  && strpos($key,'wtun') === false) {//&& strpos($key,':') === false // CONV-4071
		$use_interfaces[] = $key;
	}
}
sort($use_interfaces);
// }}

// {{
$wnet_interfaces = array();
foreach (array_keys($network->active_interfaces) as $key) {
	if (strpos($key,'wtun') !== false ) {
		$wnet_interfaces[] = $key;
	}
}
sort($wnet_interfaces);
// }}

?>
<style type="text/css">
	#wmstabs {cursor:default;border-collapse:collapse;}
	#peoplepnl .yui-content, #trunkspnl .yui-content, #pbxespnl .yui-content {color:#fff; text-decoration: none; padding:2em;}
	.yui-nav {margin:0px 0px -1px 0px;}
	.preview {font-style:italic;font-size:11px;}
	#hoststbl { width: 420px;}
</style>
<div id="wmstabs" class="yui-navset"></div>

<script type="text/javascript">

var selfFileName  = 'network/index.php';
var classFileName = 'index.php?class=classes/network/network.class.php';
var newClassName  = 'network';
var preloader;
var gInterfaces   = <?=json_encode($use_interfaces);?>;
var wnetInterfaces = <?=json_encode($wnet_interfaces);?>;

var values = {
	'jsoninterfaces': <?=$json_interfaces;?>,
	'jsonroutes': <?=$json_routes;?>,
	'jsonhosts': <?=$json_hosts;?>
}

var t = {
	'Edit': '<?=_t('buttons.Edit');?>',
	'Save': '<?=_t('buttons.Save');?>',
	'Cancel': '<?=_t('buttons.Cancel');?>'
}

function ret_confirm_delete(){
	return arguments[0] && arguments[0] != ''
			? confirm("<?=_t('JS.ConfirmDelete');?> - "+arguments[0]+"?"): confirm("<?=_t('JS.ConfirmDelete');?>?");
}

var formatLinkStatus = function(elCell, oRecord, oColumn, oData){
	var k = !oData? 'unr':(oData == 'UP'? 'on': 'off');

	if (oRecord.link && oRecord.link == 'unplug' && oData != "DOWN") {
		k = 'standby';
	}

	/* var k = oData=='enabled'?'on': ((!oRecord['activate'] || !oRecord.enabled)?'unr':'off'); */

	elCell.parentNode.style.color = !oRecord['enabled'] || oRecord['enabled'] != 'enabled' || oRecord.interface.indexOf('wtun') != -1 ? '#888': '#000';

	elCell.innerHTML = '<center><div class="p_'+k+'" style="width:14px;height:16px;"/></div></center>';
	elCell.className = 'centerstyle';
}

var getSelectedCount = function (){
	var tbl = arguments[0] || Table;
	var selected = tbl.tableContainer.getSelectedRecordIds() || [];
	return selected.length;
}

var Tabs = [
	//{{ Interfaces
	{id: 'interfaces', label: '<?=_t('net.Network');?>',
		render: function(index) {
			var id = Tabs[index].id;

      $(id+'pnl').update(
				'<input type="button" class="but20" value="+ Virtual" onclick="addVirtInterface();" />'+
				'<input type="button" class="but20" value="+ Vlan" onclick="addVlanInterface();" />'+
				'<input type=button class="but20" value="<?=$btn_masqurade_value;?>" onclick="toMasqurade()" id="btn_masq">' +
				'<input type=button class="but20" value="<?=$btn_bridge_value;?>" onclick="toBridge()" id="btn_bridge">' +
				'<input type="button" disabled class="but20" value="-" onclick="deleteSelInterface()">'+
				'<input type="button" disabled class="but20" value="'+t['Edit']+'" onclick="editInterface()">'
			);

                Tabs[index]['table'] = new WMS.Table(id+'tbl',classFileName,
				[ // Column Headers
					{key:"interface",text:"<?=_t('net.Interface');?>",width:"120px",className:"namestyle interface",sortable:true,
						formatter: function(elCell, oRecord, oColumn, oData){
							if (oData.indexOf('.') != -1) {
								// for vlan always VLAN alias
								oRecord['alias'] = 'VLAN';
							}

							oData = oRecord['alias'] + ' ' + oData + (oRecord['type']? ' ('+oRecord['type'] +')':'');
							elCell.innerHTML = oData;
						}},

					{key:"kind",text:"<?=_t('net.Type');?>",width:"170px",className:"centerstyle",sortable:true,
						formatter: function(elCell, oRecord, oColumn, oData){
							elCell.className = 'centerstyle';
							elCell.innerHTML = ! oData? '-': oData;
						}},
					{key:"address:inuse",text:"<?=_t('net.Address');?>",width:"150px",className:"centerstyle",sortable:true,
						formatter: function(elCell, oRecord, oColumn, oData){
							elCell.className = 'centerstyle';
							var address = ! oData && oRecord.address? oRecord.address: oData;
							elCell.innerHTML = ! address? '-': address;

							if (oRecord.address && oData && oRecord.address != oData) {
								elCell.innerHTML = oData + '<span style="color:#888">/' + oRecord.address + '</b>';
							}
						}
					},
					{key:"netmask:inuse",text:"<?=_t('net.Netmask');?>",width:"150px",className:"centerstyle",sortable:true,
						formatter: function(elCell, oRecord, oColumn, oData){
							elCell.className = 'centerstyle';
							var netmask = ! oData && oRecord.netmask? oRecord.netmask: oData;
							elCell.innerHTML = ! netmask? '-': netmask;

							if (oRecord.netmask && oData && oRecord.netmask != oData) {
								elCell.innerHTML = oData + '<span style="color:#888">/' + oRecord.netmask + '</b>';
							}
						}
					},
					{key:"activate",text:"<?=_t('net.LinkState');?>",width:"70px",className:"centerstyle",sortable:true, formatter:formatLinkStatus}
				],

				$H(initConfig).merge({
					initialRequest: $H({action:'getInterfaces',newclass: newClassName}).toQueryString(),
					oGlobSource: values.jsoninterfaces,
					sortedBy: { colKey: 'interface',dir: 'asc'},
					setEvents: $H(initConfig.setEvents).merge({
                        "selectEvent" : function(event) {
							activateButtons('interfacespnl', [4, 5]);
						}.bind(this),
						"unselectEvent": function(event) {
							if (getSelectedCount(Tabs[0]['table']) == 0) {
								deactivateButtons('interfacespnl', [4, 5]);
							}
						}.bind(this),
						'cellDoubleclickEvent': function(event){
							var oDataTable = Tabs[index]['table'];
							var row = oDataTable.getRowById(event.target.parentNode.recordId);

							oDataTable.tableContainer.select (row);
							editInterface();
							oDataTable.tableContainer.unselect (row);
						}
                    }).toObject()
				}).toObject(),
				{ // source
					resultsList: "BODY",
					fields: ["interface","kind","address:inuse","netmask:inuse","enabled","activate","alias","address","netmask", "type", "wshaper", "link"]
				});
		}.bind(window)
	},

	//{{ Routes
	{id: 'routes', label: '<?=_t('net.Routing');?>',
		render: function(index) {
			var id = Tabs[index].id;

			$(id+'pnl').update(
				'<input type="button" class="but20" value="+" onclick="addRoute();"/>'+
				'<input type="button" disabled class="but20" value="-" onclick="deleteSelRoutes('+index+')">'+
				'<input type="button" disabled class="but20" value="'+t['Edit']+'" onclick="editRoute()">'
			);

            Tabs[index]['table'] = new WMS.Table(id+'tbl',classFileName,
				[ // Column Headers
					{key:"interface",text:"<?=_t('net.Interface');?>",width:"120px",className:"namestyle interface",minWidth:"40px",sortable:true,
						formatter: function(elCell, oRecord, oColumn, oData){
							if (oData.indexOf('.') != -1) {
								// for vlan always VLAN alias
								oRecord['alias'] = 'VLAN';
							}
							oData = oRecord['alias'] + ' ' + oData + (oRecord['type']? ' ('+oRecord['type'] +')':'');
							elCell.parentNode.style.color = (oRecord['type'] && oRecord['type'] == 'dhcp' && oRecord['destination'] == '0.0.0.0' && oRecord['genmask'] == '0.0.0.0')? '#888': '#000';
							elCell.innerHTML = oData;
						}
					},

					{key:"destination",text:"<?=_t('net.Destination');?>",width:"175px",className:"centerstyle",sortable:true},
					{key:"genmask",text:"<?=_t('net.Netmask');?>",width:"175px",className:"centerstyle",sortable:true},
					{key:"gateway",text:"<?=_t('net.Gateway');?>",width:"190px",className:"centerstyle",sortable:true}
				],

				$H(initConfig).merge({
					initialRequest: $H({action:'getRoutes',newclass: newClassName}).toQueryString(),
					oGlobSource: values.jsonroutes,
					sortedBy: { colKey: 'interface',dir: 'asc'},
					setEvents: $H(initConfig.setEvents).merge({
                        "selectEvent" : function(event) {
							activateButtons('routespnl', [1, 2]);
						}.bind(this),
						"unselectEvent": function(event) {
							if (getSelectedCount(Tabs[1]['table']) == 0) {
								deactivateButtons('routespnl', [1, 2]);
							}
						}.bind(this),
						'cellDoubleclickEvent': function(event){
							var oDataTable = Tabs[index]['table'];
							var row = oDataTable.getRowById(event.target.parentNode.recordId);

							oDataTable.tableContainer.select (row);
							editRoute();
							oDataTable.tableContainer.unselect (row);
						}
                    }).toObject()
				}).toObject(),
				{ // source
					resultsList: "BODY",
					fields: ["interface","destination", "genmask","gateway","alias","type"]
				}
			);
		}.bind(window)
	},
	//{{ Hosts
	{id: 'hosts', label: '<?=_t('net.Hosts');?>',
		render: function(index) {
			var id = Tabs[index].id;

			$(id+'pnl').update(
				'<input type="button" class="but20" value="+" onclick="addHost();"/>'+
				'<input type="button" disabled class="but20" value="-" onclick="deleteSelHosts()">'+
				'<input type="button" disabled class="but20" value="'+t['Edit']+'" onclick="editHost()">'
			);

			Tabs[index]['table'] = new WMS.Table(id+'tbl',classFileName,
				[ // Column Headers
					{key:"address",text:"<?=_t('net.Address');?>",width:"130px",className:"centerstyle",sortable:true},
					{key:"aliases",text:"<?=_t('net.Host');?>",width:"280px",className:"centerstyle",sortable:true}
				],

				$H(initConfig).merge({
					initialRequest: $H({action:'getHosts',newclass: newClassName}).toQueryString(),
					oGlobSource: values.jsonhosts,
					sortedBy: { colKey: 'address',dir: 'asc'},
					setEvents: $H(initConfig.setEvents).merge({
						"selectEvent" : jQuery.proxy( selHosts, this ),
						"unselectEvent": jQuery.proxy( selHosts, this ),
						'cellDoubleclickEvent': function(event){
							var oDataTable = Tabs[index]['table'];
							var row = oDataTable.getRowById(event.target.parentNode.recordId);

							oDataTable.tableContainer.select (row);
							editHost();
							oDataTable.tableContainer.unselect (row);
						}
					}).toObject()
				}).toObject(),
				{ // source
					resultsList: "BODY",
					fields: ["address","aliases","readonly"]
				}
			);
		}.bind(window)
	}
];

var toSelectOptions = function(mOptions, v) {
	return (Object.isArray(mOptions) ? $A(mOptions) : $H(mOptions).keys())
		.collect(function(opt){return '<option value="'+opt+'" '+(opt===v ?'selected': '')+'>'+(mOptions[opt]||opt)+'</option>'}).join("\n");
}

var updateInterfacesControl = function(id, value, showvlans, showbridge, showtun) {
	if ($(id)) {
		var interfaces = gInterfaces;

		if (showvlans) {
			var array = [];
			var interfaces_vlan = values.jsoninterfaces.BODY.pluck('interface').inject([],function(array, s){
				if (/eth\d+\.\d+/.test(s)) array.push(s);
				return array;
			});

			interfaces = [interfaces,interfaces_vlan].flatten();
		}

		if (! showbridge) {
			var array = [];
			var interfaces = interfaces.inject([],function(array, s){
				if (s.indexOf('eth') != -1) array.push(s);
				return array;
			});
		}

		if (showtun && wnetInterfaces.length != 0) {
			interfaces = [interfaces,wnetInterfaces].flatten();
		}

		return $(id).update(toSelectOptions(interfaces, value));
	}
}

var initConfig = {  // init config
	pageCurrent: 1,
	rowsPerPage: 20,
	startRecordIndex: 1,
	rowsPerPageDropdown : [20,50,100],
	pageLinksLength: 20,
	notSelectable: [],
	setEvents: {}
}

var deleteSelInterface = function (){
	var oDataTable = Tabs[0]['table'];

	var selected = oDataTable.tableContainer.getSelectedRows();
	if (selected.length == 0) return false;

	var aNotification = [];

	// unselect
	var interfaces = selected.inject([],function(records, row){
		var record = oDataTable.tableContainer._oRecordSet.getRecord(row.recordId);

		if (/eth\d+(\.|\:)\d+/.test(record.interface)) {
			return records.add(record.interface);
		} else {
			// show notification about impssible to remove builtin interfaces
			aNotification.add(record.interface);
		}

		oDataTable.tableContainer.unselect(row);
		return records;
	}) || [];

	if (aNotification.length != 0) {
		setError('error', '<?=_t("strings.canNotDelete", strtolower(_t("net.Interface")));?> ' + aNotification.join(', '));
	}

	if (interfaces.length == 0) return false;

	// confirmation
	if (!ret_confirm_delete()) return false;

	var action = 'delInterfaces';

	self.preloader.setVisible(1);
	oDataTable.deleteRows(classFileName,{
		action: action,
		newclass: newClassName,
		interfaces: interfaces.join('|')
	});
}

var selHosts = function(){

	var oDataTable = Tabs[2]['table'];
	var selected = oDataTable.tableContainer.getSelectedRows();
	if (selected.length == 0){
		deactivateButtons('hostspnl', [1, 2]);
		return true;
	}

	var record = oDataTable.tableContainer._oRecordSet.getRecord(selected[0].recordId);

	if(selected.length > 1 || record.readonly == 1){
		deactivateButtons('hostspnl', [2]);
		activateButtons('hostspnl', [1]);
	}else{
		activateButtons('hostspnl', [1, 2]);
	}
}

var deleteSelHosts = function (){
	var oDataTable = Tabs[2]['table'];

	var selected = oDataTable.tableContainer.getSelectedRows();
	if (selected.length == 0){
		return false;
	}


	// unselect
	var addresses = selected.inject([],function(records, row){
		var record = oDataTable.tableContainer._oRecordSet.getRecord(row.recordId);

		if (record.readonly != 1) {
			return records.add(record.address);
		}

		oDataTable.tableContainer.unselect(row);

		return records;
	}) || [];

	if (addresses.length == 0){
		return false;
	}
	// confirmation
	if (!ret_confirm_delete()){
		return false;
	}

	var action = 'delHosts';

	self.preloader.setVisible(1);
	oDataTable.deleteRows(
		classFileName,
		{
			action: action,
			newclass: newClassName,
			addresses: addresses.join('|')
		},
		function(){
			self.preloader.setVisible(0);
		}.bind(this)
	);
}

var deleteSelRoutes = function (){
	var oDataTable = Tabs[1]['table'];

	var selected = oDataTable.tableContainer.getSelectedRows();
	if (selected.length == 0) return false;

	var dhcp_interfaces = $A(Tabs[0]['table']._oResponse['BODY']).inject([],function(array, oInterface){
		return oInterface.type == "dhcp"? array.add(oInterface.interface): array;
	});

	var aNotification = [];
	// unselect
	var routes = selected.inject([],function(records, row){
		var record = oDataTable.tableContainer._oRecordSet.getRecord(row.recordId);

		// check route got from dhcp & show notification
		if (dhcp_interfaces.indexOf(record.interface) != -1 && record.destination == '0.0.0.0' && record.genmask == '0.0.0.0') {
			aNotification.add(record.interface);
			oDataTable.tableContainer.unselect(row);
			return records;
		}

		return records.add({
			'interface': record.interface,
			'gateway': record.gateway,
			'destination': record.destination,
			'genmask': record.genmask
		});

	}) || [];

	if (aNotification.length != 0) {
		setError('error', '<?=_t("strings.canNotDelete", _t("net.Route")) ." ". _t("manager.debug.For");?> ' + aNotification.join(', '));
	}

	if (routes.length == 0) return false;

	// confirmation
	if (!ret_confirm_delete()) {
		return false;
	}

	var action = 'delRoutes';

	self.preloader.setVisible(1);
	oDataTable.deleteRows(
		classFileName,
		{
			action: action,
			newclass: newClassName,
			routes: $A(routes).toJSON()
		},
		function(){
			self.preloader.setVisible(0);
		}.bind(this)
	);
}

document.observe('WMS:load', function(){

	var TableTpl = '<table><tr><td>#{label}</td><td>&nbsp;</td></tr><tr><td colspan=2 ><div id="#{id}tbl" class="newtable"></div><div id="#{id}pnl" class="yui-navset pnl" style="margin-bottom: 20px;"></div></td></tr></table>';

	$('wmstabs').update(Tabs.collect(function(hash){
		return TableTpl.interpolate({id:hash.id,label:hash.label});
	}).join('\n'));

	Tabs.each(function(hash,index){ // render tables
		Tabs[index].render(index);
	});

	var tbl = $('hoststbl').up(3).setStyle({'float':'left'});
	Element.insert(tbl.parentNode,$('dnstbl').show());

	$$('div.newclass').invoke('setStyle',{'zIndex':'2'});

	self.preloader = new WMS.PreLoader({
		'content': $('Area'),
		'showWaitMessage': true,
		'target': {
			//'inputs': $$('#Area input, #Area select'),
			'classnames': [{'elements':[$('header')], 'klass': 'preload'}]
		}
	});
});

var iu_window;
var iu_window_open = function(params,headerHTML,contentHTML,buttonsHTML){
	iu_window = new UI.Window($H({
		width: 600,
		draggable:true,
		resizable:false,
		height: 400,
		shadow: false,
		superflousEffects : false,
		theme: 'bluelighting'
	}).merge(params).toObject()).setContent(contentHTML).setHeader(headerHTML).center({ auto: true })/*.setPosition(-2000,-2000)*/.show(true).focus();
	if (buttonsHTML) iu_window.prefoot.innerHTML = buttonsHTML;
}

var iu_window_close = function(){
	iu_window.close();
}

var getSelectedOne = function (){
	var tbl = arguments[0] || Table;
	var selected = tbl.tableContainer.getSelectedRecordIds() || [];
	if (selected.length == 0) return false;

	var ret = {};
	if (selected[0]) ret = tbl.tableContainer._oRecordSet.getRecord(selected[0]);
	$A(selected).each(function(id,iter){
		if (iter != 0) tbl.tableContainer.unselect(tbl.getRowById(id));
	});
	return ret;
}

var getSelectedOneRoute = function (){
	var tbl = arguments[0] || Table, ret;
	var selected = tbl.tableContainer.getSelectedRows() || [];
	if (selected.length == 0) return false;

	var row = selected.detect(function(row){
		var record = tbl.tableContainer._oRecordSet.getRecord(row.recordId);
		return !(record["type"] == "dhcp"  && record.destination == '0.0.0.0' && record.genmask == '0.0.0.0');
	});

	tbl.tableContainer.unselectAllRows();

	if (row) {
		tbl.tableContainer.select(row);
		ret = tbl.tableContainer._oRecordSet.getRecord(row.recordId);
	}

	return ret;
}

var getSelectedOneInterface = function (){
	var tbl = arguments[0] || Table, ret;
	var selected = tbl.tableContainer.getSelectedRows() || [];
	if (selected.length == 0) return false;

	var row = selected.detect(function(row){
		var record = tbl.tableContainer._oRecordSet.getRecord(row.recordId);
		return record["interface"] &&
		       record["interface"].indexOf('wtun') == -1 &&
		       record["interface"].indexOf('ucarp') == -1;
	});

	tbl.tableContainer.unselectAllRows();

	if (row) {
		tbl.tableContainer.select(row);
		ret = tbl.tableContainer._oRecordSet.getRecord(row.recordId);
	}

	return ret;
}

var raiseErrors = function(oErrors, after){
	for(key in oErrors) {
		Element.insert(key,{'before': '<span class="err_span" style="color:#ff0000;padding-left:10px">'+oErrors[key]+'<br></span>'});
	}
}

var editInterface = function() {
	var pObj = getSelectedOneInterface(Tabs[0]['table']);
	if (!pObj) {
		return false;
	}
	Tabs[0]['table'].tableContainer.unselectAllRows();
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_interface_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="interfaceSave();" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');
	interfaceSetForm(pObj);
	$('interface_id').value = pObj.interface;
	$('vlan_interface','vlan_interface_id').invoke('disable');
	$('virt_interface','virt_interface_number').invoke('disable');
	$('tr_interface').show();
}

var addVirtInterface = function(){
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_interface_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="interfaceSave();" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');
	var pObj = {}
	interfaceSetForm(pObj);
	updateInterfacesControl('virt_interface','',true,true,false);
	$('interface_id').value = 'new_virtual';
	$('tr_virt_interface').show();
	$('vlan_interface','vlan_interface_id').invoke('disable');
	$('tr_get_dhcp').hide();
}

var addVlanInterface = function() {
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_interface_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="interfaceSave();" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');
	var pObj = {}
	interfaceSetForm(pObj);
	updateInterfacesControl('vlan_interface','',false,false,false);
	$('interface_id').value = 'new_vlan';
	$('virt_interface','virt_interface_number').invoke('disable');
	$('tr_vlan_interface').show();
	$('tr_get_dhcp').hide();
}

var interfaceSetForm = function (settings) {
	if (/([\.\:]+)/.test(settings['interface'])) {
		$('tr_get_dhcp').hide();
		$('get_dhcp','_get_dhcp').invoke('disable');
	}

	$('interface').setValue(settings['interface']);
	$('_interface').update(settings['interface']);

	$('_get_dhcp').checked = settings['type'] == "dhcp";
	$('get_dhcp').setValue(+(settings['type'] == "dhcp"));

	if (settings['type'] == "dhcp") {
		$('tr_address').hide();
		$('tr_netmask').hide();
	}

	if (settings['wshaper'] && settings['wshaper'].length != 0) {
		$('wshaper_uplink','wshaper_downlink').invoke('enable');
		$('wshaper_uplink').setValue(settings['wshaper'][1]);
		$('wshaper_downlink').setValue(settings['wshaper'][2]);
		$('tr_uplink').show();
		$('tr_downlink').show();
	}

	$('address').setValue(settings['address:inuse'] || settings['address']);
	$('netmask').setValue(settings['netmask:inuse'] || settings['netmask']);
	$('status').setValue(settings['enabled']);

	// resize
	return formResize('interface_settings_form');
}

function check_ucarp_interface() {
	var sinterface = $F('interface');
	var settings = $A(Tabs[0]['table']._oResponse['BODY']).detect(function(oInterface){
		return oInterface.interface == sinterface;
	});

	if (settings && typeof settings["ucarp"] != "undefined" && $F('get_dhcp') == '1') {
		return [[$('interface'), "<?=_t('replication.ReplicationIsActive');?>"]];
	}

	return true;
}

var interfaceSave = function() {
	var options = {
		nocache: true,
		rules: [ // rule, element_id, message
			"function,check_ucarp_interface",
			"if:get_dhcp=0,required,address,<?=_t('rules.CannotBeEmpty');?>",
			"if:get_dhcp=0,valid_ipaddr,address,<?=_t('rules.enterValidValue');?>",

			"if:get_dhcp=0,required,netmask,<?=_t('rules.CannotBeEmpty');?>",
			"if:get_dhcp=0,valid_netmask,netmask,<?=_t('rules.enterValidValue');?>"
		]
	};

	if ($F('interface').indexOf('wbr') != -1) {
		options.rules.push("required,wshaper_uplink,<?=_t('rules.CannotBeEmpty');?>");
		options.rules.push("digits_only,wshaper_uplink,<?=_t('rules.enterNumber');?>");
		options.rules.push("range>=500,wshaper_uplink,<?=_t('rules.enterNumberEqualOrMoreThanX', 500);?>");
		options.rules.push("required,wshaper_downlink,<?=_t('rules.CannotBeEmpty');?>");
		options.rules.push("digits_only,wshaper_downlink,<?=_t('rules.enterNumber');?>");
		options.rules.push("range>=500,wshaper_downlink,<?=_t('rules.enterNumberEqualOrMoreThanX', 500);?>");
	}

	if ($F('interface_id') == 'new_virtual') {
		options.rules.push("required,virt_interface_number,<?=_t('rules.CannotBeEmpty');?>");
		options.rules.push("digits_only,virt_interface_number,<?=_t('rules.enterNumber');?>");
		options.rules.push("range=1-1000,virt_interface_number,<?=_t('rules.enterNumber');?> 1-1000");
	}

	if ($F('interface_id') == 'new_vlan') {
		options.rules.push("required,vlan_interface_id,<?=_t('rules.CannotBeEmpty');?>");
		options.rules.push("digits_only,vlan_interface_id,<?=_t('rules.enterNumber');?>");
		options.rules.push("range=1-4054,vlan_interface_id,<?=_t('rules.enterNumber');?> 1-4054");
	}

	formResize('interface_settings_form');

	if (!WMS.validate('interface_settings_form', options)) {
		return formResize('interface_settings_form');;
	}

	var to_save = {};
	to_save['settings'] = {};

	$A(Form.getElements('interface_settings_form'))
			.inject(to_save['settings'],function(hash, element){
				if (element.id.substr(0, 1) != '_' && ! element.disabled) {
					hash[element.id] = $F(element);
				}
				return hash;
			});

	preloader.setVisible(1);
	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'setInterface',
			newclass: newClassName,
			settings: $H(to_save).toJSON()
		}).toQueryString(),
		onComplete: function(transport) {
			if (transport.responseJSON.BODY === true) {
				iu_window_close();
				Tabs[0]['table'].updateTable(Tabs[0]['table'].option.initialRequest);
				Tabs[1]['table'].updateTable(Tabs[1]['table'].option.initialRequest);
			} else {
				raiseErrors(transport.responseJSON.BODY);
			}
			preloader.setVisible(0);
		}
	});
}

var toBridge = function() {
	// check vlan on bridged interfaces
	var ok = values.jsoninterfaces.BODY.pluck('interface').every(function(s){
		return s.indexOf('eth0.') == -1 && s.indexOf('eth2.') == -1;});

	if (! ok) {
		setError('error', '<?=_t('net.PleaseRemoveVlanConfiguration');?>');
		return false;
	}

	preloader.setVisible(1);
	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'updateBridge',
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(transport){
			if (transport.responseJSON.BODY === true){
				Tabs[0]['table'].updateTable(Tabs[0]['table'].option.initialRequest);
				Tabs[1]['table'].updateTable(Tabs[1]['table'].option.initialRequest);
				ap_showWaitMessage('waitDiv', 1);

				if ($F('btn_bridge').indexOf(WMS._t('net.DisableTrafficShaper')) != -1) {
					$('btn_bridge').value = WMS._t('net.EnableTrafficShaper');
				} else {
					$('btn_bridge').value = WMS._t('net.DisableTrafficShaper');
				}
			} else {
				raiseErrors(transport.responseJSON.BODY);
			}
			//preloader.setVisible(0);// wait until we get list of interfaces
		}
	});
}

var restartDns = function() {
	var options = {
		rules: [ // rule, element_id, message
			"if:dns_server1!=,valid_ipaddr,dns_server1,<?=_t('rules.enterValidValue');?>",
			"if:dns_server2!=,valid_ipaddr,dns_server2,<?=_t('rules.enterValidValue');?>",
			"if:dns_server3!=,valid_ipaddr,dns_server3,<?=_t('rules.enterValidValue');?>",

			"required,hostname,<?=_t('rules.CannotBeEmpty');?>",
			"reg_exp,hostname,^[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9]$,<?=_t('rules.enterValidValue');?>"
		]
	};

	if (! WMS.validate('set_dns_servers', options) ) {
		return false;
	}

	if(! confirm('<?=_t('net.js.ApplyConfirm');?>')) {
		return false;
	}

	preloader.setVisible(1);
	var to_save = {'settings':{}};
	for (var i=1;i<=3;i++) {
		var key = 'dns_server' + i;
		to_save['settings'][key] = $F(key);
	}

	to_save['settings']['hostname'] = $F('hostname');
	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'restartDns',
			newclass: newClassName,
			settings: $H(to_save).toJSON()
		}).toQueryString(),
		onComplete: function(transport){
			if (transport.responseJSON.BODY === true){
				for(var i=0; i<Tabs.length; i++){
					if(Tabs[i].id == 'hosts'){
						Tabs[i]['table'].updateTable(Tabs[i]['table'].option.initialRequest);
						continue;
					}
				}
			} else {
				for(key in transport.responseJSON.BODY) {
					Element.insert(key,{'after': '<span class="err_span" style="color:#ff0000;padding-left:10px">'+transport.responseJSON.BODY[key]+'<br></span>'});
				}
			}
			preloader.setVisible(0);
		}
	});
}

var idTimeOut;
var restartNetwork = function() {

	var options = {
		rules: [ // rule, element_id, message
			"if:dns_server1!=,valid_ipaddr,dns_server1,<?=_t('rules.enterValidValue');?>",
			"if:dns_server2!=,valid_ipaddr,dns_server2,<?=_t('rules.enterValidValue');?>",
			"if:dns_server3!=,valid_ipaddr,dns_server3,<?=_t('rules.enterValidValue');?>",

			"required,hostname,<?=_t('rules.CannotBeEmpty');?>",
			"reg_exp,hostname,^[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9]$,<?=_t('rules.enterValidValue');?>",
			"invert_reg_exp,hostname,^[0-9]+$,<?=_t('rules.enterValidValue');?>"
		]
	};

	if (! WMS.validate('set_dns_servers', options) ) {
		return false;
	}

	// attach subnet attr for each interface
	var interfaces = $A(Tabs[0]['table']._oResponse['BODY']).inject([],function(array, oInterface){
		if (oInterface.address && oInterface.netmask) {
			oInterface.subnet = get_subnet(oInterface.address,oInterface.netmask);
			array.add(oInterface);
		}
		return array;
	});

	var ok = $A(interfaces).all(function(oInterface){
		//try to determinate the same network
		return $A(interfaces).all(function(oInterface2){
			if (oInterface.interface == oInterface2.interface) return true;
			var csubnet = get_subnet(oInterface.address,oInterface2.netmask);
			return ! (csubnet == oInterface2.subnet);
		});
	});

	if (! ok) {
		flashError();
		setError('error', '<?=_t('net.InterfacesInSameSubnet');?>');
		return false;
	}

	if(!confirm('<?=_t('net.js.ApplyConfirm');?>')) {
		return false;
	}

	var to_save = {'settings':{}};
	for (var i=1;i<=3;i++) {
		var key = 'dns_server' + i;
		to_save['settings'][key] = $F(key);
	}

	to_save['settings']['hostname'] = $F('hostname');

	preloader.setVisible(1);

	idTimeOut = setTimeout((function(){
		setTimeout((function(){
			try{parent.flashError();
				parent.hideBar();}catch(e){}
			parent.location.href = parent.location;
		}).bind(this),1000);
	}).bind(this),5000);

	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'restartNetwork',
			settings: $H(to_save).toJSON(),
			newclass: newClassName
		}).toQueryString(),
		onFailure: function() {
			parent.location.href = parent.location;
		},
		onSuccess: function(transport){
			clearTimeout(idTimeOut)
			if (transport.responseJSON.BODY === true){
				Tabs[0]['table'].updateTable(Tabs[0]['table'].option.initialRequest);
				Tabs[1]['table'].updateTable(Tabs[1]['table'].option.initialRequest);
				Tabs[2]['table'].updateTable(Tabs[2]['table'].option.initialRequest);
			} else {
				raiseErrors(transport.responseJSON.BODY);
			}
			// preloader.setVisible(0); // wait until we get list of interfaces
		}
	});
}

var toMasqurade = function() {
	preloader.setVisible(1);
	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'updateMasquarding',
			newclass: newClassName
		}).toQueryString(),
		onComplete: function(transport){
			if (transport.responseJSON.BODY === true){
				Tabs[0]['table'].updateTable(Tabs[0]['table'].option.initialRequest);
				if ($F('btn_masq').indexOf(WMS._t('net.DisableRouting')) != -1) {
					$('btn_masq').value = WMS._t('net.EnableRouting');
				} else {
					$('btn_masq').value = WMS._t('net.DisableRouting');
				}
			} else {
				raiseErrors(transport.responseJSON.BODY);
			}
			preloader.setVisible(0);
		}
	});
}

document.observe('WMS:tableInitEvent',function(instance){
	if(instance.memo._elContainer.id == 'interfacestbl' && Tabs[0]['table']) {
		preloader.setVisible(0);

		gInterfaces = $A(Tabs[0]['table']._oResponse['BODY'])
				.inject([],function(array, record) {

					if (record.interface.indexOf('.') == -1 &&
							record.interface.indexOf(':') == -1) {

						array.push(record.interface);
					}
					return array;
				}
		);
		// sync source
		values.jsoninterfaces = Tabs[0]['table']._oResponse;
	}
});

var editRoute = function(){
	var pObj = getSelectedOneRoute(Tabs[1]['table']);
	if (!pObj) {
		return false;
	}
	Tabs[1]['table'].tableContainer.unselectAllRows();
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_routes_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="routeSave();" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');
	routeSetForm(pObj);
	$('routes_id').value = pObj.interface;
	$('_interface').update(pObj.interface);
	$('interface').value = pObj.interface;
	$('tr_interface').show();
	$('tr_sel_interface').hide();
}

var addRoute = function(){
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_routes_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="routeSave();" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');
	var pObj = {};
	routeSetForm(pObj);
	updateInterfacesControl('sel_interface',pObj.interface,true,true,true);
	$('routes_id').value = "new";
	$('tr_interface').hide();
	$('tr_sel_interface').show();
}

var routeSetForm = function (settings){

	$('_default_gateway').checked = (settings['destination'] == "0.0.0.0" && settings['genmask'] == '0.0.0.0');
	$('default_gateway').setValue(+(settings['destination'] == "0.0.0.0" && settings['genmask'] == '0.0.0.0'));

	if (settings['destination'] == "0.0.0.0" && settings['genmask'] == '0.0.0.0') {

		$('tr_destination').hide();
		$('tr_genmask').hide();
	}

	$('destination').setValue(settings['destination']);
	$('genmask').setValue(settings['genmask']);
	$('gateway').setValue(settings['gateway']);
	$('old_gateway').setValue(settings['gateway']);
	$('old_destination').setValue(settings['destination']);
	$('old_genmask').setValue(settings['genmask']);
	$('old_interface').setValue(settings['interface']);

	// resize
	formResize('routes_settings_form', 20);
}

function check_default_gateway() {
	// allow only one default gateway

	var is_exists = $A(Tabs[1]['table']._oResponse['BODY']).any(function(record) {
		return record.destination == '0.0.0.0' &&
				record.genmask == '0.0.0.0';
	});

	var def_rec = $A(Tabs[1]['table']._oResponse['BODY']).find(function(record){
		return record.destination == '0.0.0.0' &&
				record.genmask == '0.0.0.0';
	}) || {};

	if (! def_rec.interface) return true;

	if (def_rec.interface == $F('interface') && def_rec.interface == $F('old_interface')) return true;

	var is_route_default = ($F('destination') == '0.0.0.0' && $F('genmask') == '0.0.0.0')
			|| $('_default_gateway').checked;

	if (($F('routes_id') == 'new' && is_exists && is_route_default) ||
			(def_rec.interface != $F('interface') && is_route_default) ||
			(def_rec.interface != $F('old_interface') && is_route_default)
			) {

		return [[$('gateway'), "<?=_t('net.DefaultGatewayDefined');?>"]];
	}

	return true;
}

function check_wnet_route() {
	if ($F('interface').indexOf('wtun') == -1 &&
			$F('sel_interface').indexOf('wtun') == -1) return false;

	if ($('_default_gateway').checked) return true;

	// check destination & netmask with all subnets of interfaces
	var genmask = $F('genmask');
	var destination = $F('destination');
	if (/\b^(3[0-2]{0,1}|2[0-9]{0,1}|1[0-9]{0,1}|[1-9]{1})$\b/.test(genmask)) { // 24 etc
		genmask = cidr2octet(genmask).join('.');
	}

	var subnet = get_subnet(destination,genmask);

	var is_present = $A(Tabs[0]['table']._oResponse['BODY']).any(function(record){
		//try to determinate the same network
		if (! record.address || ! record.netmask) return false;
		// return if default route
		var isubnet = get_subnet(record.address,record.netmask);
		var rsubnet = get_subnet(record.address,genmask);
		var csubnet = get_subnet(destination,record.netmask);
		return [isubnet, rsubnet].indexOf(subnet) != -1 || [isubnet, rsubnet].indexOf(csubnet) != -1;
	});

	if (is_present) {
		return [[$('destination'), "<?=_t('net.SuchSubnetDefined');?>"]];
	}

	return true;
}

var routeSave = function() {
	var options = {
		rules: [ // rule, element_id, message
			"required,gateway,<?=_t('rules.CannotBeEmpty');?>",
			"valid_ipaddr,gateway,<?=_t('rules.enterValidValue');?>",
			"function,check_default_gateway",
			"function,check_wnet_route",

			"if:default_gateway=0,required,destination,<?=_t('rules.CannotBeEmpty');?>",
			"if:default_gateway=0,valid_ipaddr,destination,<?=_t('rules.enterValidValue');?>",

			"if:default_gateway=0,required,genmask,<?=_t('rules.CannotBeEmpty');?>",
			"if:default_gateway=0,valid_netmask,genmask,<?=_t('rules.enterValidValue');?>"
		]
	};

	formResize('routes_settings_form');

	if (! WMS.validate('routes_settings_form', options) ) {
		return formResize('routes_settings_form');
	}

	var to_save = {};
	to_save['settings'] = {};

	$A(Form.getElements('routes_settings_form'))
		.inject(to_save['settings'],function(hash, element){
			if (element.id.substr(0,1) != '_' && ! element.disabled) {
				hash[element.id] = $F(element);
			}
			return hash;
		}
	);

	if ($F('routes_id') == 'new') {
		to_save['settings']['interface'] = to_save['settings']['sel_interface'];
	}

	preloader.setVisible(1);
	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'setRoute',
			newclass: newClassName,
			settings: $H(to_save).toJSON()
		}).toQueryString(),
		onComplete: function(transport) {
			if (transport.responseJSON.BODY === true) {
				iu_window_close();
				Tabs[1]['table'].updateTable(Tabs[1]['table'].option.initialRequest);
			} else {
				raiseErrors(transport.responseJSON.BODY);
			}
			preloader.setVisible(0);
		}
	});
}

var editHost = function(){
	var pObj = getSelectedOne(Tabs[2]['table']);
	if (!pObj) {
		return false;
	}
	if(pObj.readonly == 1){
		return false;
	}
	Tabs[2]['table'].tableContainer.unselectAllRows();
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_hosts_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="hostSave(true);" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');
	hostsSetForm(pObj);
	$('host_id').value = pObj.address;
}

var addHost = function(){
	iu_window_open({'width':0,'height':0},'<?=_t('net.Interface');?>',$('net_hosts_editor_div').innerHTML.interpolate({'hash':'id'}),'<input type="button" class="but20" value="'+t['Save']+'" onclick="hostSave();" /> <input type="button" class="but20" value="'+t['Cancel']+'" onclick="iu_window_close();" />');

	var pObj = {};
	hostsSetForm(pObj);
	$('host_id').value = "new";
}

var hostsSetForm = function (settings){
	$('address').setValue(settings['address']);
	$('old_address').setValue(settings['address']);
	$('aliases').setValue(settings['aliases']);

	if (settings['address'] == '127.0.0.1') {
		$('address').disable();
	}

	// resize
	formResize('hosts_settings_form');
}

function validate_aliases() {
	var aliases = $F('aliases');

	if (aliases != '') {
		// They must start with a letter, end with a letter or digit, and have as interior characters only letters, digits, and hyphen "-".
		// There are also some restrictions on the length. Labels must be 63 characters or less.
		// A-Z", "a-z", "0-9", dash and underscore
		var ok = $A(aliases.split(' ')).all(function(alias){
			alias = alias.trim();
			if (alias == "") return true;
			return !/^\d+$/.test(alias) && /^[0-9A-Za-z][0-9A-Za-z\.-]*[A-Za-z]$/.test(alias) && alias.indexOf('-.') == -1 && alias.indexOf('.-') == -1;
		});

		if (! ok) {
			return [[$('aliases'), '<?=_t('rules.enterValidValue');?>']];
		}
	}

	return true;
}

var hostSave = function(form_edit){
	var options = {
		rules: [ // rule, element_id, message
			"required,address,<?=_t('rules.CannotBeEmpty');?>",
			"valid_ipaddr,address,<?=_t('rules.enterValidValue');?>",

			"required,aliases,<?=_t('rules.CannotBeEmpty');?>",
			"length<=63,aliases,<?=_t('rules.enterValidValue');?>",
			"function,validate_aliases"
		]
	};

	formResize('hosts_settings_form');

	if (!WMS.validate('hosts_settings_form', options)) {
		return formResize('hosts_settings_form');
	}

	var to_save = {};
	to_save['settings'] = {};

	$A(Form.getElements('hosts_settings_form'))
		.inject(to_save['settings'],function(hash, element){
			if (element.id.substr(0,1) != '_' && ! element.disabled) {
				hash[element.id] = $F(element);
			}
			return hash;
		}
	);

	preloader.setVisible(1);
	return new Ajax.Request(classFileName,{
		method: 'post',
		parameters:$H({
			action: 'setHost',
			newclass: newClassName,
			settings: $H(to_save).toJSON()
		}).toQueryString(),
		onComplete: function(transport) {
			if (transport.responseJSON.BODY === true) {
				iu_window_close();
				Tabs[2]['table'].updateTable(Tabs[2]['table'].option.initialRequest);
			} else {
				raiseErrors(transport.responseJSON.BODY);
			}
			preloader.setVisible(0);
		}
	});
}

var formResize = function(formid) {
	var element = $(formid).childElements()[0];
	var dim = Element.getDimensions(element);
	var offset = arguments[1] || 0;
	iu_window.setSize(dim['width']+20,dim['height']+50 + offset).center({ auto: true });
}

function get_subnet (ip, m) {
	var a = [0,0,0,0], net = ip.split('.'), mask = m.split('.');
	for (var i=0;i<4;i++){
		a[i] = net[i] & mask[i];
	}
	return a.join('.');
}

// Convert a subnet mask array into CIDR (# of bits) (255.255.255.0 = 24 etc.)
function octet2cidr(aMask) {
	var mask = octet2dec(aMask);
	// get binary string
	mask = mask.toString(2);
	// return mask length
	return mask.indexOf(0);
}

// Convert CIDR to array of 4 ints (Classless Inter Domain Routing)
function cidr2octet(bits) {
	var bits = parseInt(bits);
	if( bits < 0 | bits > 32 ) {
		//alert("Invalid 32 bit DIDR mask.  You entered "+bits);
		return false;
	}
	// make up our mask
	var ones = "11111111111111111111111111111111";
	var mask = parseInt(ones.substring(0,bits),2);
	var shift = 32-bits;
	// poor mans bit shift because javascript uses 32 bit integers
	mask = mask * Math.pow(2,shift);

	return dec2octet(mask);
}

// Convert our array of 4 ints into a decimal (watch out for 16 bit JS integers here)
function octet2dec(a){
	//alert("octet2dec1 "+a[0]+"\n"+dec2bin(a[0])+"\n"+dec2bin(a[0] * 16777216));
	// poor mans bit shifting (Int32 issue)
	var d = 0;
	d = d + parseInt(a[0]) * 16777216 ;  //Math.pow(2,24);
	d = d + a[1] * 65536;	  //Math.pow(2,16);
	d = d + a[2] * 256;	   //Math.pow(2,8);
	d = d + a[3];
	return d;
}

// Convert decimal to our array of 4 ints.
function dec2octet(d){
	//alert("d="+d+" "+d.toString(2)+"="+d.toString(2).substring(0,8)+"="+parseInt(d.toString(2).substring(0,8),2));
	var zeros = "00000000000000000000000000000000";
	var b = d.toString(2);
	var b = zeros.substring(0,32-b.length) + b;
	var a = [
		parseInt(b.substring(0,8),2)	// 32 bit integer issue (d & 4278190080)/16777216   //Math.pow(2,32) - Math.pow(2,24);
		, (d & 16711680)/65536	  //Math.pow(2,24) - Math.pow(2,16);
		, (d & 65280)/256		 //Math.pow(2,16) - Math.pow(2,8);
		, (d & 255)
	];		  //Math.pow(2,8);
	return a;
}

// convert decimal to binary string representation
function dec2bin(d) {
	return d.toString(2);
}

// convert binary string to decimal
function bin2dec(b) {
	return parseInt(b,2);
}
</script>

<table valign="top" cellpadding="2" cellspacing="3" id="dnstbl" style="display:none">
	<form id="set_dns_servers" onsubmit="restartDns(); return false;">
		<tbody>

			<tr>
				<td align="right"><?=_t('net.SysName');?></td>
				<td><input id="hostname" name="hostname" size="15" type="text" value="<?=$network->systemname;?>"></td>
			</tr>
			<tr>
				<td align="right">DNS Server 1</td>
				<td><input id="dns_server1" name="dns_server1" size="15" type="text" value="<?=$network->dns_servers[0];?>"></td>
			</tr>
			<tr>
				<td align="right">DNS Server 2</td>
				<td><input id="dns_server2" name="dns_server2" size="15" type="text" value="<?=$network->dns_servers[1];?>"></td>
			</tr>
			<tr>
				<td align="right">DNS Server 3</td>
				<td><input id="dns_server3" name="dns_server3" size="15" type="text"value="<?=$network->dns_servers[2];?>" ></td>
			</tr>
		</tbody>
	</form>
</table>

<div style="float: right; margin-top: 20px; margin-right: 80px;">
	<input type="button" value="<?=_t('net.btn.ApplyDNS');?>" name="apply_dns" class="but20" onclick="restartDns();">&nbsp;&nbsp;
	<input type="button" value="<?=_t('net.btn.Apply');?>" name="apply" class="but20" onclick="restartNetwork();">
</div>

<!-- start interface editor div -->
<div style="display:none" id="net_interface_editor_div">
	<form #{hash}="interface_settings_form" onsubmit="interfaceSave(); return false;">
		<table width="300px">
			<tr style="display:none" #{hash}="tr_interface">
				<td><?=_t('net.Interface');?></td>
				<td><div #{hash}="_interface"></div><input #{hash}="interface" type="hidden"/></td>
			</tr>

			<tr style="display:none" #{hash}="tr_virt_interface">
				<td><?=_t('net.Interface');?></td>
				<td><select #{hash}="virt_interface" style="margin-left:10px;">
					<option value="eth0">eth0</option>
					<option value="eth1">eth1</option>
					</select>&nbsp;:<input #{hash}="virt_interface_number" type="text" size="3" />
				</td>
			</tr>

			<tr style="display:none" #{hash}="tr_vlan_interface">
				<td><?=_t('net.Interface');?></td>
				<td><select #{hash}="vlan_interface" style="margin-left:10px;">
					<option value="eth0">eth0</option>
					<option value="eth1">eth1</option>
					</select>&nbsp;.<input #{hash}="vlan_interface_id" type="text" size="3" />
				</td>
			</tr>

			<tr #{hash}="tr_get_dhcp">
				<td><label for="_get_dhcp"><?=_t('net.GetFromDhcp');?></label></td>
				<td><input #{hash}="_get_dhcp" type="checkbox" onclick="$('get_dhcp').value = this.checked?1:0; $('tr_address','tr_netmask').invoke(this.checked?'hide':'show'); formResize('interface_settings_form')" /></td>
			</tr>

			<tr #{hash}="tr_address">
				<td><?=_t('net.Address');?></td>
				<td><input #{hash}="address" type="text"/></td>
			</tr>

			<tr #{hash}="tr_netmask">
				<td><?=_t('net.Netmask');?></td>
				<td><input #{hash}="netmask" type="text"/></td>
			</tr>

			<tr>
				<td><?=_t('net.Status');?></td>
				<td><select #{hash}="status" style="margin-left:10px;">
					<option value="enabled"><?=_t('strings.enabled');?></option>
					<option value="disabled"><?=_t('strings.disabled');?></option>
					</select>
				</td>
			</tr>

			<tr style="display:none" #{hash}="tr_uplink">
				<td>Downlink, kbit/s</td>
				<td><input #{hash}="wshaper_uplink" disabled="disabled" type="text"/></td>
			</tr>

			<tr style="display:none" #{hash}="tr_downlink">
				<td>Uplink, kbit/s</td>
				<td><input #{hash}="wshaper_downlink" disabled="disabled" type="text"/></td>
			</tr>
		</table>
		<input #{hash}="interface_id" type="hidden" value="new" />
		<input #{hash}="get_dhcp" type="hidden" value="" />
	</form>
</div>
<!-- end interface editor editor div -->

<!-- start routes editor div -->
<div style="display:none" id="net_routes_editor_div">
	<form #{hash}="routes_settings_form" onsubmit="routeSave(); return false;">
		<table width="350px">
			<tr style="display:none" #{hash}="tr_interface">
				<td><?=_t('net.Interface');?></td>
				<td><div #{hash}="_interface"></div><input #{hash}="interface" type="hidden"/></td>
			</tr>
			<tr style="display:none" #{hash}="tr_sel_interface">
				<td><?=_t('net.Interface');?></td>
				<td><select #{hash}="sel_interface" style="margin-left:10px;">
					<option value="eth0">eth0</option>
					<option value="eth1">eth1</option>
					</select>
				</td>
			</tr>

			<tr #{hash}="tr_default_gateway">
				<td><label for="_default_gateway"><?=_t('net.SetDefaultGateway');?></td>
				<td><input #{hash}="_default_gateway" type="checkbox" onclick="$('default_gateway').value = this.checked?1:0; $('tr_destination','tr_genmask').invoke(this.checked?'hide':'show'); formResize('routes_settings_form')" /></td>
			</tr>

			<tr #{hash}="tr_destination">
				<td><?=_t('net.Destination');?></td>
				<td><input #{hash}="destination" type="text"/></td>
			</tr>

			<tr #{hash}="tr_genmask">
				<td>Genmask</td>
				<td><input #{hash}="genmask" type="text"/></td>
			</tr>

			<tr>
				<td><?=_t('net.Gateway');?></td>
				<td><input #{hash}="gateway" type="text"/></td>
			</tr>

		</table>
		<input #{hash}="routes_id" type="hidden" value="new" />
		<input #{hash}="default_gateway" type="hidden" value="" />
		<input #{hash}="old_gateway" type="hidden" value="" />
		<input #{hash}="old_genmask" type="hidden" value="" />
		<input #{hash}="old_destination" type="hidden" value="" />
		<input #{hash}="old_interface" type="hidden" value="" />
	</form>
</div>
<!-- end routes editor editor div -->

<!-- start hosts editor div -->
<div style="display:none" id="net_hosts_editor_div">
	<form #{hash}="hosts_settings_form" onsubmit="hostSave(); return false;">
		<table width="300px">
			<tr>
				<td><?=_t('net.Address');?></td>
				<td><input #{hash}="address" type="text"/></td>
			</tr>

			<tr>
				<td>Hostname</td>
				<td><input #{hash}="aliases" type="text"/></td>
			</tr>

		</table>
		<input #{hash}="host_id" type="hidden" value="new" />
		<input #{hash}="old_address" type="hidden" />
	</form>
</div>
<!-- end hosts editor editor div -->
