<?php

// --------------------  VTUN functions:

function test_host_port($host, $port, $timeout)
{
    $resource = @fsockopen($host, $port, $errno, $errstr, $timeout);
    if (!is_resource($resource)) {
        return false;
    } else {
        @fclose($resource);
        return true;
    }
}


//  ------------- OpenVPN functions

function curl_http_multi_post($urls, $postdata)
{

    $return = array();

    // make sure the rolling window isn't greater than the # of urls
    $rolling_window = 5;
    $rolling_window = (sizeof($urls) < $rolling_window) ? sizeof($urls) : $rolling_window;

    $master = curl_multi_init();

    // add curl options here
    $options = array(CURLOPT_RETURNTRANSFER => true,
        CURLOPT_USERAGENT => 'WMSCommunicate',
        CURLOPT_POSTFIELDS => $postdata,
        CURLOPT_POST => 1,
        CURLOPT_CONNECTTIMEOUT => 3);

    // start the first batch of requests
    for ($i = 0; $i < $rolling_window; $i++) {
        $ch = curl_init();
        $options[CURLOPT_URL] = $urls[$i];
        curl_setopt_array($ch, $options);
        curl_multi_add_handle($master, $ch);
    }

    do {
        while (($execrun = curl_multi_exec($master, $running)) == CURLM_CALL_MULTI_PERFORM) ;
        if ($execrun != CURLM_OK)
            break;
        // a request was just completed -- find out which one
        while ($done = curl_multi_info_read($master)) {

            if (isset($urls[$i])) {
                // start a new request (it's important to do this before removing the old one)
                $ch = curl_init();
                $options[CURLOPT_URL] = $urls[$i];
                curl_setopt_array($ch, $options);
                curl_multi_add_handle($master, $ch);
                $i++;
            }

            $info = curl_getinfo($done['handle']);
            $output = curl_multi_getcontent($done['handle']);

            // remove the curl handle that just completed
            curl_multi_remove_handle($master, $done['handle']);

            if (preg_match('!' . '^https://(.*/|.*).*$' . '!', $info['url'], $matches)) {
                $hostname = trim($matches[1], '/');
            } else $hostname = '';

            $return[$hostname] = array('info' => $info, 'answer' => $output);


        }
    } while ($running);
    curl_multi_close($master);

    return $return;
}

/* now makes only https post requests
*/
function make_https_request($host, $port, $uri, $vars, &$error_string){

    // compose HTTP request header
    $headers = array(
        "Host: $host",
        "User-Agent: WMSCommunicate Script",
        "Content-Type: application/x-www-form-urlencoded",
        "Content-Length: " . strlen($vars),
        "Connection: close",
    );

    $curl = curl_init();
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);


    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 3);
    curl_setopt($curl, CURLOPT_TIMEOUT, 120);
    curl_setopt($curl, CURLOPT_AUTOREFERER, true);

    $url = 'https://'.$host.':' . $port . $uri;
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $vars);

    curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);

    $result = curl_exec($curl);
    $info = curl_getinfo($curl);


    if ($info['http_code'] != 200) {
        $error_string = 'Error: Bad response received from the server ' . $host . '.';
    }

    curl_close($curl);
    return $result;
}

//  ------------- END of OpenVPN functions

//  -------------------- END of VTUN functions

function remove_partner_custom_logo()
{

    $mac = \Models\PBX::getInstance()->getSerial();
    $add_filename = md5($mac . substr($mac, 5, 4));
    $filename = BASEPATH . 'images/' . $add_filename . '.png';

    logger($filename);

    if (file_exists($filename)) {
        if (!unlink($filename)) {
            return false;
        }else{
        	return 'ok';
        }
    }

    return 'nofile';

}

?>
