<?php
require_once(dirname(__FILE__).'/../init.php');

if (WMS_Permissions::getInstance()->admin_can_manage_pbx()) {
	header('Location: /');
	exit;
}
// default error
$errorString = _t('strings.PbxIsForbidden');

// get data from buffer and make error string if exist.
if (!empty($thrownData) && is_string($thrownData)) {
	$errorString = $thrownData;
}
?>

<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
<title>WMS</title>
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="shortcut icon" href="<?=\Wildix\WhiteLabel::getInstance()->getFavicon();?>" type="image/x-icon">
<link href="../css/wildix-font.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />
<link href="../css/wildix-icons.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />
<link href="../collaboration/dist/auth/style.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />

<?php
	$custom_css = \Wildix\WhiteLabel::getInstance()->getCss();
	if(!empty($custom_css)){
		echo '<link href="../'.$custom_css.'" rel="stylesheet" type="text/css">'.PHP_EOL;
	}
?>
</head>

<body>

    <section class="page-wrapper no-permissions">

        <?php include_once '../authorization/header.php'; ?>

        <main cclass="page-wrapper__body">

            <div class="main-wrapper">

                <div class="window-info main-window-wrap">
                    <div class="window-info__main-text">
                        <?=$errorString;?>
                    </div>

                    <div class="window-info__links flex-container">
                        <div class="window-info__link link-log-out">
                            <a class="link logout"  href="../logout/"><?=_t('menu.logout');?></a>
                        </div>
                    </div>

                </div>

            </div>

        </main>

    </section>

</body>
</html>
