<?php

use Session\Session;

include_once(file_exists('auth.php') ? 'auth.php' : '../auth.php');
ini_set("include_path", BASEPATH.':'.ini_get("include_path"));


if (!WMS_Permissions::getInstance()->is_allowed('page','settings__system') || ($_SERVER['REQUEST_METHOD'] !== 'GET' && !Session::isValidCsrfToken())) {
	die(_t('strings.permissionsDenied'));
}

require_once 'classes/Comet.class.php';

Comet::send_header();
flush();

ob_start('__ob_control',2);
ob_implicit_flush(true);

switch ($_GET['action']) {
	/**
	 * todo: remove - not used
	 */
	case 'msmtp' : debug_msmtp($_GET['com_id']); break;
	//	case 'faxing' : debug_faxing($_GET['com_id']); break;
	/**
	 * todo: remove - not used
	 */
	case 'fetchmail' : debug_fetchmail($_GET['profileid']); break;
	default: exit();
}

function __ob_control( $content ){
	static $n, $exitcode_description;

	if(strpos($content,$string = 'msmtp:') !== false) {
		$content = str_replace($string,"<span style=\"color:#e0542f\">$string</span>",$content);
	}
	if(strpos($content,$string = 'loaded') !== false || strpos($content,$string = 'using') !== false) {
		$content = str_replace($string,"<span style=\"font-weight:bold;\">$string</span>",$content);
	}

	if (is_null($n)) {
		$n = $_GET['action'];
	}

	if ($n == 'fetchmail') {

		if (is_null($exitcode_description)) {
			$exitcode_description = array(
				1  => 'There was no mail awaiting retrieval.  (There may have been old mail still on the server but not selected for retrieval.)',
				2  => "An error was encountered when attempting to open a socket to retrieve mail.  If you don't know  what  a  socket  is,  don't worry  about  it -- just treat this as an 'unrecoverable error'.  This error can also be because a protocol fetchmail wants to use is not listed in /etc/services.",
				3  => 'The user authentication step failed.  This usually means that a bad user-id, password, or APOP id was specified.  Or it may mean  that  you  tried to run fetchmail under circumstances where it did not have standard input attached to a terminal and could not prompt for a missing password.',
				4  => 'Some sort of fatal protocol error was detected',
				5  => 'There was a syntax error in the arguments to fetchmail',
				6  => 'The run control file had bad permissions.',
				7  => 'There was an error condition reported by the server.  Can also fire if fetchmail timed out while waiting for the server.',
				8  => 'Client-side exclusion error.  This means fetchmail either found another copy of itself already running, or failed in such away that it is not sure whether another copy is running.',
				9  => 'The  user  authentication step failed because the server responded "lock busy".  Try again after a brief pause!  This error is not implemented for all protocols, nor for all servers.  If not implemented  for  your  server,  "3"  will  be  returned instead,  see  above.   May  be returned when talking to qpopper or other servers that can respond with "lock busy" or some similar text containing the word "lock".',
				10 => 'The fetchmail run failed while trying to do an SMTP port open or transaction.',
				11 => 'Fatal DNS error.  Fetchmail encountered an error while performing a DNS lookup at startup and could not proceed.',
				12 => 'BSMTP batch file could not be opened.',
				13 => 'Poll terminated by a fetch limit (see the --fetchlimit option).',
				14 => 'Server busy indication.',
				23 => 'Internal error.  You should see a message on standard error with details.',
				24 => 'These are internal codes and should not appear externally.',
			);
		}
	}

	// catch type
	switch ($n){
		case 'fetchmail':
			//lets filter fetchmail: POP3< 893 UID2075-1201610026
			if(preg_match('/fetchmail: POP3< .* UID.*-([0-9]+)$/',$content,$matches)){
				return '';
			}
			// parse some message and add progrees message
			if(strpos($content,$string = '-ERR') !== false) {
				$content = str_replace($string,"<span style=\"color:#e0542f;\">$string</span>",$content);
			}
			if(strpos($content,$string = '+OK') !== false) {
				$content = str_replace($string,"<span style=\"color:#3f7f00;\">$string</span>",$content);
			}
			if(strpos($content, 'exitcode') !== false) {
				list(,$code) = explode('=',trim($content));
				$content = "<br><span style=\"color:#3f7f00;font-weight:bold;\">Note:</span> {$exitcode_description[$code]}\n";
			}
			break;
		case 'msmtp':
			if(strpos($content,$string = 'msmtp:') !== false) {
				$content = str_replace($string,"<span style=\"font-weight:bold\">$string</span>",$content);
			}
			if(strpos($content,$string = 'loaded') !== false || strpos($content,$string = 'using') !== false) {
				$content = str_replace($string,"<span style=\"color:#3f7f00\">$string</span>",$content);
			}
			break;
	}

	return "<script language='javascript'>parent.comet.log.$n('".trim($content,"\n\r\t")."');</script>";
}

/**
 * todo: remove - not used
 */
function debug_fetchmail($profileid = 0){
	//Sanitize params before passing to shell
	$profileid = (int)$profileid;
	$dot = '&#8226;&nbsp;';
	// 1. check connection to host and check mails on server
	$options = get_mail2fax_options($profileid);

	if($options['mail_server'] !== '') {
		if ($options['mail_proto'] == 'imap') {
			$port = $options['mail_ssl'] == 'on' ? 993: 143;
		} elseif ($options['mail_proto'] == 'pop3') {
			$port = $options['mail_ssl'] == 'on' ? 995: 110;
		}

		if( ! @fsockopen($options['mail_server'], $port, $errno, $errstr, 1) ){
			echo "&nbsp;{$options['mail_server']}:&nbsp;<span style=\"color:#e0542f\">$errstr</span>\n";
		} else {
			system("fetchmail --timeout=10 --pidfile /var/www/fetchmail.pid -i /rw2/etc/fetchids -f /rw2/etc/companies.d/0/fetchmailrc_$profileid -k -s --verbose --uidl -c 2>/dev/null || echo exitcode=$?; ");
		}
	}
}

/**
 * todo: remove - not used
 */
function debug_msmtp($com_id = 0){
	$dot = '&#8226;&nbsp;';

	// TODO: get settings for each companies
	//$options = get_mail_options($com_id);
	$companyname = \Wildix\WhiteLabel::getInstance()->getPbxName(); //get_main_company_name();

	$mailto = $_GET['mailto'];
	$currentdate = date('r');
	@exec('hostname',$hostname);
	$messageid = substr(md5(time().rand()),0,15).'@'.$hostname[0];

	$smtp_from = $_GET['smtp_from'];
	$pbx_name = \Wildix\WhiteLabel::getInstance()->getPbxName();

	$mailbody = "Date: $currentdate
From: $companyname ({$hostname[0]}) <$smtp_from>
To: $mailto
Subject: Test message from $pbx_name
Message-ID: <$messageid>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.9i

" . _t('prefs.smtp_testmailbody', $pbx_name);

	$filename = tempnam('/tmp/session','mail_');
	echo "Starting sendmail... \n";

	if($fp = fopen($filename,'w')){
		fputs($fp, $mailbody);
		fclose($fp);
	}

	if(! file_exists($filename)) return;
	//Sanitize params before passing to shell
	$com_id = (int)$com_id;
	$comConfigFile = "/etc/companies.d/$com_id/msmtprc";
	$mailto = escapeshellarg($mailto);
	// verbose; removed --timeout=4 (should taken from config)
	system("msmtp --file=$comConfigFile -d -t $mailto < $filename 2>/tmp/warn.msmtp; cat /tmp/warn.msmtp && rm /tmp/warn.msmtp;");
	@unlink ($filename);
}



function get_mail2fax_options($profileid = 0){
	$companies_directory = '/etc/companies.d/';

	$return = array(
		'mail_server'		=> '',
		'mail_username'		=> '',
		'mail_password'		=> '',
		'mail_ssl'			=> 'off',
		'mail_proto'		=> 'pop3',
		'mail_protection'	=> '',
	);

	$filename = "$companies_directory/0/fetchmailrc_$profileid";

	$regex = "/.*poll\s(.*)\swith\sproto\s(pop3|imap)?(:|\sport\s([^:]+):)?\n\s+user\s'(.*)'\sthere\swith\spassword\s'(.*)'\sis.*/is";
	if (preg_match($regex,$content = file_get_contents($filename),$matches)){
		//$return['mail_profile']		= $matches[1];
		$return['mail_server']	= $matches[1];
		$return['mail_proto']	= $matches[2];

		if(strpos($content, ' keep') !== false) {
			$return['mail_keep'] = 'on';
		}

		$profile_regexp = '/^#\sprofile:\s([^\n]*)/';
		if (preg_match($profile_regexp, $content, $m)) {
			$return['mail_profile'] = $m[1];
		}

		$protection_regexp = '/#\sprotection:\s([^\n]*)/';
		if (preg_match($protection_regexp, $content, $m)) {
			$return['mail_protection'] = $m[1];
		}

		if( 6 == sizeof($matches) ) {
			$return['mail_ssl']	= 'off';
			$return['mail_username']	= $matches[4];
			$return['mail_password']	= $matches[5];
		} else
			if( 7 == sizeof($matches) ) {
				$ssl_port = $matches[2] == 'pop3' ? 995 : 993;

				$return['mail_ssl']      = $matches[4] == $ssl_port ? 'on' : 'off';
				$return['mail_username'] = $matches[5];
				$return['mail_password'] = $matches[6];
			} else return $return;
		return $return;
	}else {
		return $return;
	}
}
