<?php

if (!isset($diContainer) || !($diContainer instanceof \Wildix\DependencyInjection\Container)) {
    $diContainer = new \Wildix\DependencyInjection\Container();
}

$ldapRadius = $diContainer->get(\Wildix\System\LdapRadius::class);
?>
<script type="text/javascript" language="javascript">
    var settings = <?=json_encode($ldapRadius->getOptions());?>;

    jQuery(document).ready(function(){
        var ldapRadius = new LdapRadiusSettings(settings).load();
    });
</script>

<div class="ldap_settings_container page_content">
    <div class="page_content_head"><?= _t('menu.ldap_net_settings'); ?></div>
    <div class="ldap_settings_container_column">
        <form id="ldap_net_settings_form">
            <table border="0" id="ldap_net_settings_table" class="page_content_table">
                <tr>
                    <td>
                        <label for="ldap_connection_enable"><?=_t('prefs.ldap_connection_enable');?></label>
                    </td>
                    <td>
                        <input type="checkbox" id="ldap_connection_enable">
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;&nbsp; </td>
                    <td>
                    </td>
                </tr>

                <tr>
                    <td>
                        <?=_t('prefs.smtp_user');?>
                    </td>
                    <td>
                        cn=netreader,dc=wildix
                    </td>
                </tr>
                <tr>
                    <td><?=_t('prefs.smtp_password');?></td>
                    <td>
                        <input type="password" size="35" id="ldap_connection_pass">
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="actions">
                        <input type="button" id="ldap_radius_settings_save" value="<?=_t('buttons.Save');?>" class='but20' />
                    </td>
                </tr>
            </table>
        </form>
    </div>
</div>
