<?php
if (!WMS_Permissions::getInstance()->is_allowed('page','settings__utilites__remote_support')) {
    die(_t('strings.permissionsDenied'));
}

$vtunServiceStatus = \Wildix\System\RemoteSupport::getInstance()->getState();

$vtunStatusBlock = '&nbsp;';

if (!$vtunServiceStatus) {
    $vtunStatusBlock = 'IP: ' . \Wildix\System\RemoteSupport::getInstance()->getIp();
}

$config = new \Wildix\Settings\ConfigFile(\Wildix\System\Location::GEO_LOCATION_CONFIG_PATH);
$location = new \Wildix\System\Location($config);
$geoSettings = $location->getGeoLocationInfo();

$displayNone = (\Wildix\License::getInstance()->isCloud()) ? 'style="display:none;"' : '';
?>
<script>
    jQuery(document).ready(function(){
        new RemoteSupport({
            vtunInitServStat: '<?= $vtunServiceStatus ?>',
            geoLocationIsChecked: '<?= $geoSettings['post_geo_location'] ?>' == 'yes'
        });
    });
</script>


<table cellpadding="2" cellspacing="3" style="margin-top:15px;width:450px;">
    <tr>
        <td class="tablehead">
            <?=head(_t('menu.vtun'));?>
        </td>
    </tr>
    <tr>
        <td align="left">
            <b><?=_t('license.gatewaySerial');?>:</b> <?=\Models\PBX::getInstance()->getSerial();?>
        </td>
    </tr>
    <tr>
        <td align="left">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td align="left" style="font-weight:bold; padding-right:3px;">
                        <font color=#000000><?=_t('state.ServerStatus')?>:&nbsp;</font>
                        <span id='vtun_service_status' style='font-weight: bold;'></span>
                    </td>
                    <td height="20px" width="200px" valign="top" align="right" bgcolor="#eeeeee" id="vtun_status_block" style="border: 1px solid #ddd; font-size: 11px; border-collapse: collapse; text-align:left; vertical-align: middle;">
                        <?=$vtunStatusBlock?>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr>
        <td align="right">
            <input id="vtun_service_reload" type=button value="<?=_t('state.btn.Reload');?>" class=but20"  />
            <input id="vtun_service_stop" type=button value="<?=_t('buttons.Disable');?>" class=but20"  />
            <input id="vtun_service_start" type=button value="<?=_t('buttons.Enable');?>" class=but20"  />
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr <?=$displayNone?>>
        <td class="tablehead">
            <?=head(_t('strings.PbxLocation'));?>
        </td>
    </tr>
    <tr <?=$displayNone?>>
        <td align="left">
            <table>
                <tr>
                    <td colspan="2">
                        <?=_t('strings.lastLocationUpdate');?>:
                    </td>
                </tr>
                <tr>
                    <td>
                        <?=_t('strings.latitude');?>:
                    </td>
                    <td>
                        <b><span id="geo_settings_latitude"><?=$geoSettings['latitude'];?></span></b>
                    </td>
                </tr>
                <tr>
                    <td>
                        <?=_t('strings.longitude');?>:
                    </td>
                    <td>
                        <b><span id="geo_settings_longitude"><?=$geoSettings['longitude'];?></span></b>
                    </td>
                </tr>
                <tr>
                    <td>
                        <?=_t('strings.address');?>:
                    </td>
                    <td>
                        <b><span id="geo_settings_address"><?=$geoSettings['address'];?></span></b>
                    </td>
                </tr>
                <tr>
                    <td>
                        <?=_t('strings.updatedAt');?>:
                    </td>
                    <td>
                        <b><span id="geo_settings_updated"><?=$geoSettings['updated'];?></span></b>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr <?=$displayNone?>><td>&nbsp;</td></tr>
    <tr <?=$displayNone?>>
        <td align="left">
            <label for="geo_post_location_on"><?=_t('strings.sendLocationToPortal');?></label> <input id="geo_post_location_on" type="checkbox"/>
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr <?=$displayNone?>>
        <td>
            <span id="geo_settings_updater_info"></span>
        </td>
    </tr>
    <tr <?=$displayNone?>>
        <td align="right">
            <input id="geo_location_post" type=button value="<?=_t('buttons.UpdateLocation');?>" class=but20_dis" disabled="disabled" />
            <input id="geo_settings_save_btn" type=button value="<?=_t('buttons.Save');?>" class=but20_dis" disabled="disabled" />
        </td>
    </tr>
</table>
