<?php
require_once(dirname(__FILE__).'/auth.php');

if (
        !(
        \WMS_Permissions::getInstance()->is_allowed('page','settings__utilites__upgrade')
    || \WMS_Permissions::getInstance()->is_allowed('page','settings__utilites__backup')
    || \WMS_Permissions::getInstance()->is_allowed('page','top_control__halt')
        )
) {
	die(_t('strings.permissionsDenied'));
}

$shutdown = (isset($_GET['mode']) && $_GET['mode'] === 'poweroff')? true : false;

?>
<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
<title>Reboot</title>
<link rel="shortcut icon" href="../<?=\Wildix\WhiteLabel::getInstance()->getFavicon();?>" type="image/x-icon">
<link href="../collaboration/dist/wms.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css">
<link href="../css/wildix-font.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />
<link href="../css/wildix-icons.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />
<link href="../collaboration/dist/auth/style.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />

<?php
	$custom_css = \Wildix\WhiteLabel::getInstance()->getCss();
	if(!empty($custom_css)){
		echo '<link href="../'.$custom_css.'" rel="stylesheet" type="text/css">'.PHP_EOL;
	}
?>

<script src="../js/jquery-3.2.0.min.js?<?=WMS_VERSION;?>" type="text/javascript"></script>
<script src="../js/jquery-ui-1.12.1.js?<?=WMS_VERSION;?>" type="text/javascript"></script>


<script language="javascript">
	var progressbar;
	var step = 120/100;

	function progress(){
		var val = progressbar.progressbar("value") || 0;
		progressbar.progressbar("value", val + 1);

    	if ( val < 99 ) {
        	setTimeout(progress, 1000*step);
      	}else{
      		location.href="/";
        }
	}

	window.onload=function(){
<?php if(!$shutdown){?>
		progressbar = jQuery("#progress");
		progressbar.progressbar({value: false});
		progress();
<?php }?>
	}
</script>
</head>

<body>

    <section class="page-wrapper reboot">

        <?php include_once './authorization/header.php'; ?>

        <main class="page-wrapper__body">

            <div class="main-wrapper">

                <div class="window-info main-window-wrap">
                        <div class="window-info__main-text">
                            <?php
                            if ($shutdown) {
                                echo _t('wmsreboot.information.halt');
                            } else {
                                echo _t('wmsreboot.information.reboot').'<br /><br />';
                                echo' <div id="progress"></div>';
                            }
                            ?>
                        </div>
                    </div>

            </div>

        </main>

    </section>

</body>
</html>
