<?php
include_once '/var/www/init.php';

$host = explode(':', $_SERVER['HTTP_HOST']);
$host = $host[0];

$port ='443';

$configs = getTProxyPortConfigs();
if(!empty($configs['external_https_port'])){
    $port = $configs['external_https_port'];
    $host.=':'.$configs['external_https_port'];
}
?>
<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
<title><?=\Wildix\WhiteLabel::getInstance()->getCollaboration();?></title>
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="shortcut icon" href="../<?=\Wildix\WhiteLabel::getInstance()->getFavicon();?>" type="image/x-icon">

<link href="../css/wildix-font.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />
<link href="../css/wildix-icons.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />
<link href="../collaboration/dist/auth/style.css?<?=WMS_VERSION;?>" rel="stylesheet" type="text/css" />

<?php
$custom_css = \Wildix\WhiteLabel::getInstance()->getCss();
if(!empty($custom_css)){
    echo '<link href="../'.$custom_css.'" rel="stylesheet" type="text/css">'.PHP_EOL;
}
?>

<script type="text/javascript">
	function setCookie (name, value, expires, path, theDomain, secure) {
	    value = escape(value);
	    var theCookie = name + "=" + value +
	    ((expires)    ? "; expires=" + expires.toGMTString() : "") +
	    ((path)       ? "; path="    + path   : "") +
	    ((theDomain)  ? "; domain="  + theDomain : "") +
	    ((secure)     ? "; secure"            : "");
	    document.cookie = theCookie;
	}


    function iWant(){
    	setCookie('iWantHttp', '1', 0, '/');
    }

    function https(el){
        var port = <?=$port;?>;
        el.href = 'https://'+window.location.hostname+':'+port+''+window.location.pathname+'../';
    	return true;
    }
</script>

</head>

<body>

<section class="page-wrapper use-https">

    <?php include_once '../authorization/header.php'; ?>

    <main class="page-wrapper__body">

        <div class="main-wrapper">

            <div class="window-info main-window-wrap">

                <div class="window-info__main-text">
                    The connection to this <?=\Wildix\WhiteLabel::getInstance()->getBrand();?> UC Solution is not secure.
                </div>

                <div class="window-info__links confirmation__links flex-container">
                    <div class="window-info__link link-log-out">
                        <a class="link" onclick="return https(this)" href="https://<?=$host;?>">Go to the secure version</a>
                    </div>
                    <div class="window-info__link link-non-secure-connection">
                        <a class="link" href="../authorization/" onclick="iWant()">No, I want to use a non secure connection</a>
                    </div>
                </div>

            </div>

        </div>

    </main>

</section>

</body>
</html>
