#Customize Bootstrap 4 for Wildix WMS theme
Use https://bootstrap.build/app

Custom variables for file _variables_wildix.scss

    $font-family-sans-serif: Helvetica, sans-serif;
    $blue: #003366;
    $dark: #111133;
    $input-color: #333333;
    $table-cell-padding-sm: .1rem .3rem;
    $custom-control-gutter: 1.5rem;
    $custom-select-padding-y: .2rem;
    $custom-select-padding-x: .5rem;
    $input-btn-padding-y: .2rem;
    $input-btn-padding-x: .5rem;
    $input-btn-padding-y-sm: .15rem;
    $input-btn-padding-x-sm: .3rem;
    $spacer: 0.7rem;
    $pagination-padding-y: 0.4rem;
    $alert-padding-y: 0.6rem;
    $alert-padding-x: 1rem;
    $list-group-item-padding-y: 0.5rem;
    $list-group-item-padding-x: 1rem;
    $breadcrumb-padding-y: 0.4rem;
    $breadcrumb-padding-x: 0.8rem;
    $font-size-base: 1rem;
    $h5-font-size: $font-size-base * 1.1;
    $h4-font-size: $font-size-base * 1.3;
    $h3-font-size: $font-size-base * 1.5;
    $h2-font-size: $font-size-base * 1.7;
    $h1-font-size: $font-size-base * 2.2;
    $form-group-margin-bottom: 0.6rem;
    $badge-padding-y: 0.4em;
    $badge-padding-x: 0.5em;
    $modal-header-padding: 0.5rem;
    $table-cell-padding: .1rem .3rem;
    $dropdown-item-padding-y: .15rem;
    $dropdown-item-padding-x: 1rem;
    
Customize needed bootstrap components in file   
/bootstrap/scss/bootstrap.scss

    @import "functions";
    @import "variables_wildix";
    @import "variables";
    @import "mixins";
    @import "root";
    @import "reboot";
    @import "type";
    @import "grid";
    @import "tables";
    @import "dropdown";
    @import "forms";
    @import "input-group";
    @import "nav";
    @import "card";
    @import "badge";
    @import "alert";
    @import "close";
    @import "toasts";
    @import "modal";
    @import "popover";
    @import "tooltip";
    @import "spinners";
    @import "utilities";

Script for build custom Bootstrap
package.json

    {
      "name": "wildix-bs4",
      "version": "1.0.0",
      "description": "Bootstrap build script",
      "main": "index.js",
      "scripts": {
        "build": "./node_modules/sass/sass.js ./node_modules/bootstrap/scss/bootstrap.scss:./dist/bootstrap.css"
      },
      "author": "Wildix Web Team",
      "license": "ISC",
      "dependencies": {
        "bootstrap": "^4.4.1",
        "sass": "^1.25.0"
      }
    }
