import AbstractTrunk from '../AbstractTrunk';

export default class GsmTrunk extends AbstractTrunk{

    constructor(data) {
        super();

        this.setData(data);

        this.setCountryCode(data.settingsMgw.countryCode);
    }

    setData(data) {
        this.address = data.address;
        this.id = data.id;
        this.name = data.name;
        this.title = data.title;
        this.technology = data.technology.toLowerCase();
        this.settingsPbx = {
            username: data.settingsPbx.username,
            type: data.settingsPbx.type,
            secret: data.settingsPbx.secret,
            insecure: data.settingsPbx.insecure,
            fromUser: data.settingsPbx.fromUser,
            dtmfMode: data.settingsPbx.dtmfMode,
            context: data.settingsPbx.context,
            host: data.settingsPbx.host,
            port: data.settingsPbx.port
        };
        this.settingsMgw = {
            currentDetected: data.settingsMgw.currentDetected,
            polarityNormalDetected: data.settingsMgw.polarityNormalDetected,
            busyToneDetected: data.settingsMgw.busyToneDetected,
            currentDisconnectThreshold: data.settingsMgw.currentDisconnectThreshold,
            fskCidField: data.settingsMgw.fskCidField,
            toneZone: data.settingsMgw.toneZone,
            dcImpedance: data.settingsMgw.dcImpedance,
            impedance: data.settingsMgw.impedance,
            lineType: data.settingsMgw.lineType,
            silenceDetection: data.settingsMgw.silenceDetection,
            silenceDetectionEnabled: data.settingsMgw.silenceDetectionEnabled,
            voipOutputGain: data.settingsMgw.voipOutputGain,
            voipInputGain: data.settingsMgw.voipInputGain,
            bearerCapG729: data.settingsMgw.bearerCapG729,
            bearerCapG711: data.settingsMgw.bearerCapG711,
            dtmfDebounce: data.settingsMgw.dtmfDebounce,
            smsDeliveryTries: data.settingsMgw.smsDeliveryTries,
            busyResponse: data.settingsMgw.busyResponse,
            language: data.settingsMgw.language,
            countryCode: data.settingsMgw.countryCode,
            dialTone: data.settingsMgw.dialTone,
            preserveOrigCid: data.settingsMgw.preserveOrigCid,
            priceList: data.settingsMgw.priceList,
            poundSupport: data.settingsMgw.poundSupport,
            clockReferencePort: data.settingsMgw.clockReferencePort,
            ports: [
                {
                    answerType: data.settingsMgw.ports[0].answerType,
                    codecInputGain: data.settingsMgw.ports[0].codecInputGain,
                    codecOutputGain: data.settingsMgw.ports[0].codecOutputGain,
                    context: data.settingsMgw.ports[0].context,
                    destinationCode: data.settingsMgw.ports[0].destinationCode,
                    email: data.settingsMgw.ports[0].email,
                    initatcmd: data.settingsMgw.ports[0].initatcmd,
                    number: String(data.settingsMgw.ports[0].number),
                    port: data.settingsMgw.ports[0].port,
                    pricelist: data.settingsMgw.ports[0].priceList || 0,
                    simPin: data.settingsMgw.ports[0].simPin,
                    smsRead: data.settingsMgw.ports[0].smsRead,
                    smsReadEnable: Boolean(data.settingsMgw.ports[0].smsReadEnable),
                    smsc: data.settingsMgw.ports[0].smsc
                }
            ]
        };
        this.status = {
            active: data.status.active,
            signal: data.status.signal,
            wgsm: data.status.wgsm,
            title: data.status.title,
            signalLevelSupported: data.status.signalLevelSupported
        };
    }

    prepareDataToSave() {
        this.settingsMgw.countryCode = this.getCountryCode();
        this.removeTmpCountryCodes();
    }

}
