import AbstractTrunk from '../AbstractTrunk';
import CountryList from '@/modules/wms-country-list';

export default class SipTrunk extends AbstractTrunk {

    constructor(data) {
        super();

        this.setData(data);

        this.setCountryCode(this.settingsPbx.countryCode);
    }

    setData(data) {
        this.id = data.id;
        this.title = data.title;
        this.name = data.name;
        this.settingsPbx = {
            priceList: data.settingsPbx.priceList,
            peername: data.settingsPbx.peername,
            userName: data.settingsPbx.userName,
            fromUser: data.settingsPbx.fromUser,
            fromDomain: data.settingsPbx.fromDomain,
            host: data.settingsPbx.host,
            port: data.settingsPbx.port,
            secret: data.settingsPbx.secret,
            context: data.settingsPbx.context,
            toneZone: data.settingsPbx.toneZone,
            countryCode: Number(data.settingsPbx.countryCode),
            qualify: data.settingsPbx.qualify,
            audioCodecs: data.settingsPbx.audioCodecs,
            videoCodecs: data.settingsPbx.videoCodecs,
            thirtyEightPtUdptl: data.settingsPbx.thirtyEightPtUdptl,
            thirtyEightPtErrorCorrection: data.settingsPbx.thirtyEightPtErrorCorrection,
            thirtyEightPtMaxDatagram: data.settingsPbx.thirtyEightPtMaxDatagram,
            fromNumber: data.settingsPbx.fromNumber,
            fromName: data.settingsPbx.fromName,
            cidHeader: data.settingsPbx.cidHeader,
            cidBody: data.settingsPbx.cidBody,
            trustRpid: data.settingsPbx.trustRpid,
            privacyHeader: data.settingsPbx.privacyHeader,
            diversionHeader: data.settingsPbx.diversionHeader,
            historyInfoHeader: data.settingsPbx.historyInfoHeader,
            contactNumber: data.settingsPbx.contactNumber,
            preserveOrigCid: data.settingsPbx.preserveOrigCid,
            allowTransfer: data.settingsPbx.allowTransfer,
            sessionTimer: data.settingsPbx.sessionTimer,
            sessionMinse: data.settingsPbx.sessionMinse,
            sessionExpires: data.settingsPbx.sessionExpires,
            playRemoteMoh: data.settingsPbx.playRemoteMoh,
            ssrcChange: data.settingsPbx.ssrcChange,
            rport: data.settingsPbx.rport,
            forceSrtp: data.settingsPbx.forceSrtp,
            transportWildix: data.settingsPbx.transportWildix,
            dtmfMode: data.settingsPbx.dtmfMode,
            rfcPayload: data.settingsPbx.rfcPayload,
            language: data.settingsPbx.language
        };
        this.settingsWms = {
            enableReg: data.settingsWms.enableReg,
            overwriteReg: data.settingsWms.overwriteReg,
            regHost: data.settingsWms.regHost,
            regPort: data.settingsWms.regPort,
            expiry: data.settingsWms.expiry,
            natIp: data.settingsWms.natIp,
            dnsServer: data.settingsWms.dnsServer,
            outboundProxy: data.settingsWms.outboundProxy,
            outboundProxyPort: data.settingsWms.outboundProxyPort,
            regUsername: data.settingsWms.regUsername,
            regSecret: data.settingsWms.regSecret,
            regFromUser: data.settingsWms.regFromUser
        };
        this.status = {
            outgoing: {
                state: data.status.outgoing.state,
                title: data.status.outgoing.title
            },
            incoming: {
                state: data.status.incoming.state,
                title: data.status.incoming.title
            }
        };
    }

    prepareDataToSave() {
        const code = this.getCountryCode();
        this.settingsPbx.countryCode = code;
        this.settingsPbx.language = CountryList.getInfoByCode(code).lang || '';

        this.removeTmpCountryCodes();
    }

}
