import Client from './Client.js';

function Core(params){
    let config = {
        baseURL: 'api/',
        leadingSlash: false,
        trailingSlash: false
    };
    Object.assign(config, params);
    this.client = new Client(config);

    this.initialise(this, this.modules);
}

Object.assign(Core.prototype, {
    initialise: function(object, entrypoints){
        for(let entrypoint in entrypoints){
            if(typeof entrypoints[entrypoint] === 'function'){
                object[entrypoint] = new entrypoints[entrypoint](this);
            }else{
                object[entrypoint] = {};
                this.initialise(object[entrypoint], entrypoints[entrypoint]);
            }
        }
    },
    modules: {}
});

Core.addModule = function(module){
    const namespace = module.prototype.namespace.split('.');

    let modules = this.prototype.modules;
    for(let i = 0; i < namespace.length; i++){
        if(i < namespace.length - 1){
            // if not last item
            modules[namespace[i]] = modules[namespace[i]] || {};
            modules = modules[namespace[i]];
        }else{
            // if last item
            modules[namespace[i]] = module;
        }
    }
};

export default Core;
