function Dhcp(core){
    this.client = core.client;
}

let dhcpUrl = '/v1/PBX/settings/dhcp';

Object.assign(Dhcp.prototype, {
    namespace: 'PBX.Settings.Dhcp',
    get: function(){
        return this.client.send('GET', dhcpUrl);
    },
    set: function(params){
        return this.client.send('PUT', dhcpUrl, params);
    },
    getLeases: function() {
        return this.client.send('GET', dhcpUrl + '/leases');
    },
    setLeases: function(params) {
        return this.client.send('PUT', dhcpUrl + '/leases', params);
    },
    deleteLeases: function(params) {
        return this.client.send('DELETE', dhcpUrl + '/leases', params);
    },
    purgeLeases: function() {
        return this.client.send('DELETE', dhcpUrl + '/leases/purge');
    }
});

export default Dhcp;
