function FaxSms(core){
    this.client = core.client;
}

let urlGeneralSettings = '/v1/PBX/settings/faxSms/generalSettings';
let urlProfiles = '/v1/PBX/settings/faxSms/profiles';

Object.assign(FaxSms.prototype, {
    namespace: 'PBX.Settings.FaxSms',
    get: function(){
        return this.client.send('GET', urlGeneralSettings);
    },
    set: function(params){
        return this.client.send('PUT', urlGeneralSettings, params);
    },
    getProfiles: function(){
        return this.client.send('GET', urlProfiles);
    },
    createProfile: function(params){
        return this.client.send('POST', urlProfiles, params);
    },
    updateProfile: function(params){
        return this.client.send('PUT', urlProfiles + '/' + params.profileId, params);
    },
    deleteProfile: function(params){
        return this.client.send('DELETE', urlProfiles + '/' + params);
    },
    testProfile: function(profileId){
        return this.client.send('GET', '/v1/PBX/settings/faxSms/testProfile/' + profileId);
    },
    testProfileStatus: function(profileId){
        return this.client.send('GET', '/v1/PBX/settings/faxSms/testProfileStatus/' + profileId);
    }
});

export default FaxSms;
