function License(core){
    this.client = core.client;
}

const licenseUrl = '/v1/PBX/settings/license';
const logoUrl = '/v1/PBX/settings/logo';
const sslCertificateUrl = '/v1/PBX/settings/SSLCertificate';

Object.assign(License.prototype, {
    namespace: 'PBX.Settings.License',
    get: function(){
        return this.client.send('GET', licenseUrl);
    },
    set: function(params){
        return this.client.send('POST', licenseUrl, params);
    },
    refresh: function(params){
        return this.client.send('PUT', licenseUrl, params);
    },
    deactivate: function(params){
        return this.client.send('DELETE', licenseUrl, params);
    },
    downloadLogo: function(params){
        return this.client.send('PUT', logoUrl, params);
    },
    removeLogo: function(params){
        return this.client.send('DELETE', logoUrl, params);
    },
    renewSSLCertificate: function(params){
        return this.client.send('POST', sslCertificateUrl, params);
    },
    checkSSLCertificate: function(params){
        return this.client.send('GET', sslCertificateUrl + '/backgroundRenewState', params);
    }
});

export default License;
