function Upgrade(core){
    this.client = core.client;
}

let baseUrl = '/v1/PBX/Upgrade/';

Object.assign(Upgrade.prototype, {
    namespace: 'PBX.Upgrade',
    getSettings: function(){
        return this.client.send('GET', `${baseUrl}Settings/`);
    },
    setSettings: function(params){
        return this.client.send('PUT', `${baseUrl}Settings/`, params);
    },
    runCheck: function(params){
        return this.client.send('POST', `${baseUrl}Check/`, params);
    },
    getCheckStatus: function(){
        return this.client.send('GET', `${baseUrl}Check/`);
    },
    runUpgrade: function(params){
        return this.client.send('POST', baseUrl, params);
    },
    getUpgradeStatus: function(){
        return this.client.send('GET', baseUrl);
    },
    getRawUpgradeLog: function(){
        return this.client._transport(
            'upgrade/wmsupgrade.out',
            {
                method: 'GET',
                validateStatus: function (status) {
                    return status === 200;
                }
            }
        );
    }
});

export default Upgrade;
