function Devices(core) {
    this.client = core.client;
}

const path = '/v1/devices';

Object.assign(Devices.prototype, {
    namespace: 'PBX.devices',
    get(params) {
        return this.client.send('GET', path, params);
    },
    create(params) {
        return this.client.send('POST', path, params);
    },
    update(params) {
        return this.client.send('PUT', `${path}/${params.mac}/`, params);
    },
    remove({mac}) {
        return this.client.send('DELETE', `${path}/${mac}/`);
    },
    sync({mac, address}) {
        return this.client.send('POST', `${path}/${mac}/sync/`, {address});
    },
    syncItems(items) {
        return this.client.send('POST', `${path}/sync/`, {items});
    },
    syncToPortal() {
        return this.client.send('POST', `/v1/Device/Sync/`);
    },
    connect({mac}) {
        return this.client.sendFormData('POST', `${path}/${mac}/connect/`);
    },
    disconnect({mac}) {
        return this.client.sendFormData('DELETE', `${path}/${mac}/connect/`);
    },
    scan(params) {
        return this.client.send('POST', `${path}/scan/`, params);
    },
    verify(params) {
        return this.client.send('GET', `${path}/verify/`, params);
    }
});

export default Devices;
