/*
 * https://github.com/Bynder/bynder-js-sdk
 *
 * Example:

import restApi from './api'

const api = new restApi({
    baseURL: '/api/'
})

console.log(api)

api
 .Colleagues
 .getList()
 .then(function(a,b,c){
    console.log('result Colleagues getList', a,b,c)
 });

api
 .Colleagues
 .getById({id: '1880710396'})
 .then(function(a,b,c){
     console.log('result Colleagues getById', a,b,c)
 });

api
 .PBX
 .Settings
 .LanguageAndRegion
 .get()
 .then(function(a,b,c){
     console.log('result LanguageAndRegion', a,b,c)
 });

*/

import core from './Core';
import Colleagues from './Colleagues';
import HttpSecurity from './PBX/Settings/HttpSecurity';
import LanguageAndRegion from './PBX/Settings/LanguageAndRegion';
import AdSingleSignOn from './PBX/Settings/AdSingleSignOn';
import Dhcp from './PBX/Settings/Dhcp';
import Devices from './PBX/devices/';
import DeviceNetworks from './PBX/devices/networks';
import DeviceGateways from './PBX/devices/gateways';
import Network from './PBX/Settings/Network';
import FaxSms from './PBX/Settings/FaxSms';
import Ntp from './PBX/Settings/Ntp';
import HttpProxy from './PBX/Settings/HttpProxy';
import Smtp from './PBX/Settings/Smtp';
import License from './PBX/Settings/License';
import Upgrade from './PBX/Upgrade';
import Reboot from './PBX/System/Reboot';
import Backup from './PBX/System/Backup';
import Snmp from './PBX/Settings/Snmp';
import Applications from './PBX/Applications/s2s';
import Crm from './PBX/Settings/Crm';
import Zoho from './PBX/Settings/Zoho';
import Office365 from './PBX/Settings/Office365';
import RemoteSyslog from './PBX/Settings/RemoteSyslog';
import OAuth2Applications from './PBX/Applications/oauth2';
import DialplanRules from './PBX/dialplans/Rules';
import CallGroups from './PBX/dialplans/CallGroups';
import PagingGroups from './PBX/dialplans/PagingGroups';
import Trace from './PBX/Settings/Trace';
import TimeTable from './PBX/dialplans/TimeTable';
import Switches from './PBX/dialplans/Switches';
import GeneralSettings from './PBX/dialplans/GeneralSettings';
import FeatureCode from './PBX/dialplans/FeatureCode';
import TrunkGroups from './PBX/Trunks/TrunkGroups';
import TrunksPstn from './PBX/Trunks/Pstn';
import TrunksSip from './PBX/Trunks/Sip';
import TrunksFxo from './PBX/Trunks/Fxo';
import PriceLists from './PBX/Trunks/PriceLists';
import Ivr from './PBX/dialplans/IVR';
import Dictionaries from './Dictionaries';
import Tls from './PBX/Settings/Tls';
import Analytics from './PBX/Settings/Analytics';
import SimpleTokenApplications from './PBX/Applications/simpleToken';
import xBees from './PBX/Settings/xBees';
import WairDevices from './PBX/devices/wair';
import Pbxes from './Network/Pbxes';
import Users from './Users';

core.addModule(Colleagues);
core.addModule(HttpSecurity);
core.addModule(LanguageAndRegion);
core.addModule(AdSingleSignOn);
core.addModule(Dhcp);
core.addModule(Network);
core.addModule(FaxSms);
core.addModule(Ntp);
core.addModule(HttpProxy);
core.addModule(Devices);
core.addModule(DeviceNetworks);
core.addModule(DeviceGateways);
core.addModule(Smtp);
core.addModule(License);
core.addModule(Upgrade);
core.addModule(Reboot);
core.addModule(Backup);
core.addModule(Snmp);
core.addModule(Applications);
core.addModule(Crm);
core.addModule(Zoho);
core.addModule(Analytics);
core.addModule(Office365);
core.addModule(RemoteSyslog);
core.addModule(OAuth2Applications);
core.addModule(DialplanRules);
core.addModule(CallGroups);
core.addModule(PagingGroups);
core.addModule(FeatureCode);
core.addModule(Trace);
core.addModule(GeneralSettings);
core.addModule(TimeTable);
core.addModule(Switches);
core.addModule(TrunkGroups);
core.addModule(TrunksPstn);
core.addModule(TrunksSip);
core.addModule(TrunksFxo);
core.addModule(PriceLists);
core.addModule(Ivr);
core.addModule(Dictionaries);
core.addModule(Tls);
core.addModule(SimpleTokenApplications);
core.addModule(xBees);
core.addModule(WairDevices);
core.addModule(Pbxes);
core.addModule(Users);

export default core;
