import errorsMixin from '@/modules/errors-mixin';
import dirtyMixin from '@/modules/dirty-mixin';

export default {
    name: 'baseModal',
    mixins: [errorsMixin, dirtyMixin],
    props: {
        callback: {
            type: Function,
            default: () => {}
        }
    },
    destroyed() {
        this.callback();
    },
    methods: {
        close(state = false) {
            this.$modal.close(state || !this.isDirty());
        }
    }
};
