import Modal from './wrapper';
import {MODAL_SHOW, MODAL_HIDE, MODAL_TITLE, MODAL_LOADER} from '@/configuration/constants';

Modal.install = function (Vue) {
    Vue.component(Modal.name, Modal);
    Vue.prototype.$modal = new Vue({
        name: '$modal',
        methods: {
            open(options) {
                this.$modal.$emit(MODAL_SHOW, options);
            },
            close(dontAnswer = true) {
                this.$modal.$emit(MODAL_HIDE, {dontAnswer: dontAnswer});
            },
            setTitle(title = '') {
                this.$modal.$emit(MODAL_TITLE, {title: title});
            },
            loader(state = false) {
                this.$modal.$emit(MODAL_LOADER, {state: Boolean(state)});
            }
        }
    });
};

export default Modal;
