import translate from '@/modules/translate/translate';

export const MAX_ITEMS_IVR = 10;
export const MAX_NODE_LEVEL = 9;
export const TYPE_MENU = 'menu';
export const TYPE_ITEM = 'item';
export const NODE_CHILDREN = 'items';

export const TABLE_COLS = [
    {
        key: 'id',
        label: translate('strings.ID'),
        sortable: true,
        tdAttr: {
            'data-type': 'id'
        },
        thStyle: {
            'width': '35px'
        }
    },
    {
        key: 'title',
        label: translate('strings.Name'),
        sortable: true,
        tdAttr: {
            'data-type': 'title'
        },
        tdClass: 'group-name'
    }
];

export const MAIN_FORM_INITIAL = {
    id: 1,
    title: ''
};

export const CREATE_IVR_FIELDS = {
    type: 'menu',
    parameters: {
        sound: '',
        times: 2,
        timeout: 2,
        backcode: 0,
        context: '',
        exten: ''
    },
    items: []
};

export const DEFAULT_ITEM_FIELDS = {
    type: 'item',
    number: '',
    parameters: {
        sound: '',
        times: 2,
        timeout: 5,
        backcode: '',
        context: '',
        exten: 'default'
    },
    items: []
};

export const AVAILABLE_NUMBERS = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0', '*', '#'];

export const ITEM_TYPES = [
    {value: 'item', text: translate('ivr.SubItem')},
    {value: 'menu', text: translate('ivr.SubMenu')}
];

export const EMPTY_OPTION = {
    value: '',
    text: ''
};

export const FIELD_ERRORS = {
    title: null,
    number: null,
    type: null,
    parameters: {
        sound: null,
        times: null,
        timeout: null,
        backcode: null,
        context: null,
        exten: null
    },
    items: []
};

export const PARAMS_ONLY_MENU = {
    sound: null,
    times: null,
    timeout: null,
    backcode: null
};
