import translate from '@/modules/translate/translate';
const DAYS_IN_MOUNT = (year, month) => new Date(year, month, 0).getDate();

export const TABLE_COLS = [
    {
        key: 'id',
        label: translate('strings.ID'),
        sortable: true,
        tdAttr: {
            'data-type': 'id'
        },
        thStyle: {
            'width': '35px'
        }
    },
    {
        key: 'title',
        label: translate('strings.Name'),
        tdAttr: {
            'data-type': 'title'
        },
        sortable: true
    },
    {
        key: 'stateText',
        label: translate('strings.State'),
        sortable: true,
        thStyle: {
            'width': '135px'
        }
    }
];

export const TIME_TABLE_STATE = [
    {value: 0, text: translate('state.tt.Off')},
    {value: 1, text: translate('state.tt.On')},
    {value: 2, text: translate('state.tt.Extra')}
];

export const SWITCHES_STATE = [
    {value: 0, text: translate('strings.disabled')},
    {value: 1, text: translate('strings.enabled')}
];

export const SWITCHES_TREE_STATE = [
    {value: 0, text: translate('strings.disabled')},
    {value: 1, text: translate('strings.enabled')},
    {value: 2, text: translate('state.Extra')}
];

export const DAYS_OF_THE_WEEK = [
    {value: 0, text: translate('tt.any')},
    {value: 1, text: translate('strings.Monday')},
    {value: 2, text: translate('strings.Tuesday')},
    {value: 3, text: translate('strings.Wednesday')},
    {value: 4, text: translate('strings.Thursday')},
    {value: 5, text: translate('strings.Friday')},
    {value: 6, text: translate('strings.Saturday')},
    {value: 7, text: translate('strings.Sunday')}
];

export const DAYS_OF_THE_MONTH = (month, year = 2021) => {
    let days = [
        {value: 0, text: translate('tt.any')},
        {value: 1, text: 1},
        {value: 2, text: 2},
        {value: 3, text: 3},
        {value: 4, text: 4},
        {value: 5, text: 5},
        {value: 6, text: 6},
        {value: 7, text: 7},
        {value: 8, text: 8},
        {value: 9, text: 9},
        {value: 10, text: 10},
        {value: 11, text: 11},
        {value: 12, text: 12},
        {value: 13, text: 13},
        {value: 14, text: 14},
        {value: 15, text: 15},
        {value: 16, text: 16},
        {value: 17, text: 17},
        {value: 18, text: 18},
        {value: 19, text: 19},
        {value: 20, text: 20},
        {value: 21, text: 21},
        {value: 22, text: 22},
        {value: 23, text: 23},
        {value: 24, text: 24},
        {value: 25, text: 25},
        {value: 26, text: 26},
        {value: 27, text: 27},
        {value: 28, text: 28},
        {value: 29, text: 29},
        {value: 30, text: 30},
        {value: 31, text: 31}
    ];

    if (month) {
        days = days.filter(({value}) => value <= DAYS_IN_MOUNT(year, month));
    }

    return days;
};

export const MONTHS = [
    {value: 0, text: translate('tt.any'), amountOfDays: 0},
    {value: 1, text: translate('strings.January'), amountOfDays: 31},
    {value: 2, text: translate('strings.February'), amountOfDays: 29},
    {value: 3, text: translate('strings.March'), amountOfDays: 31},
    {value: 4, text: translate('strings.April'), amountOfDays: 30},
    {value: 5, text: translate('strings.May'), amountOfDays: 31},
    {value: 6, text: translate('strings.June'), amountOfDays: 30},
    {value: 7, text: translate('strings.July'), amountOfDays: 31},
    {value: 8, text: translate('strings.August'), amountOfDays: 31},
    {value: 9, text: translate('strings.September'), amountOfDays: 30},
    {value: 10, text: translate('strings.October'), amountOfDays: 31},
    {value: 11, text: translate('strings.November'), amountOfDays: 30},
    {value: 12, text: translate('strings.December'), amountOfDays: 31}
];

export const YEARS = () => [
    {value: 0, text: translate('tt.any')},
    {value: 2020, text: '2020'},
    {value: 2021, text: '2021'},
    {value: 2022, text: '2022'},
    {value: 2023, text: '2023'},
    {value: 2024, text: '2024'},
    {value: 2025, text: '2025'},
    {value: 2026, text: '2026'},
    {value: 2027, text: '2027'},
    {value: 2028, text: '2028'},
    {value: 2029, text: '2029'},
    {value: 2030, text: '2030'}
];

export const TABLE_ROW_INITIAL = {
    from: {
        dayOfWeek: 0,
        day: 0
    },
    to: {
        dayOfWeek: 0,
        day: 0
    },
    time: {
        from: '00:00:00',
        to: '23:59:59'
    },
    month: 0,
    year: 0,
    isDisabled: false
};
