import translate from '@/modules/translate/translate';

export const TABLE_COLS_PRICE_LISTS = [
    {
        key: 'name',
        label: translate('strings.Name'),
        sortable: true
    }
];

export const PRICE_LIST_HEADERS = [
    {
        key: 'dialPrefix',
        label: 'dialprefix'
    },
    {
        key: 'destination',
        label: 'destination'
    },
    {
        key: 'rate',
        label: 'rate'
    },
    {
        key: 'minDuration',
        label: 'min_duration'
    },
    {
        key: 'billingBlock',
        label: 'billing_block'
    },
    {
        key: 'connectCharge',
        label: 'connect_charge'
    },
    {
        key: 'startDay',
        label: 'start_day'
    },
    {
        key: 'stopDay',
        label: 'stop_day'
    },
    {
        key: 'startTime',
        label: 'start_time'
    },
    {
        key: 'stopTime',
        label: 'stop_time'
    }
];

export const PRICE_LIST_RULES = {
    dialPrefix: /^[\\*\\#\\+0-9]{1,10}$/,
    destination: /^[^<>]*$/,
    rate: /^([0\\.]?[0-9]{1,2})|([0-9]{1,3}\.[0-9]{1,2})$/,
    minDuration: /^[0-9]{1,3}$/,
    billingBlock: /^[1-9][0-9]{0,3}$/,
    connectCharge: /^([0\\.]?[0-9]{1,2})|([0-9]{1,3}\.[0-9]{1,2})$/,
    startDay: /^[1-7]$/,
    stopDay: /^[1-7]$/,
    startTime: /^[0-9]{1,5}$/,
    stopTime: /^[0-9]{1,5}$/
};

export const ADD_FORM_INITIAL = {
    name: ''
};

export const MODAL_TABLE_PAGE_OPTIONS = [15, 30, 90];

export const IMPORT_FORM_INITIAL = {
    id: null,
    name: null,
    items: [],
    upload: null
};

export const SAMPLE_CSV_URL = `${location.protocol}//${location.host}/pricelist/sample.csv`;
