import translate from '@/modules/translate/translate';
import {StatusCell} from '@/pages/trunks/trunkLists/pstn/gsm/_chunks/tableCells';
import {CountryCodeCell} from '@/pages/trunks/trunkLists/_chunks/tableCells';

export const MAIN_TABLE_COLS = [
    {
        key: 'id',
        label: translate('strings.ID'),
        sortable: true,
        thStyle: {
            width: '35px'
        }
    },
    {
        key: 'title',
        label: 'GSM/UMTS',
        sortable: true
    },
    {
        key: 'address',
        label: translate('strings.Host'),
        sortable: true,
        thStyle: {
            width: '105px'
        }
    },
    {
        key: 'settingsMgw.countryCode',
        label: translate('prefs.GCOUNTRY_CODE'),
        sortable: true,
        thStyle: {
            width: '50px'
        },
        renderComponent: () => (CountryCodeCell)
    },
    {
        key: 'status',
        label: translate('trunks.Status'),
        thStyle: {
            width: '55px'
        },
        renderComponent: () => (StatusCell)
    }
];

export const TRUNK_ITEM_FIELDS_ERRORS = {
    settingsPbx: {
        priceList: null
    },
    settingsMgw: {
        countryCode: null,
        context: null,
        ports: [
            {
                destinationCode: null,
                number: null,
                smsc: null,
                email: null
            }
        ]
    }
};
