import translate from '@/modules/translate/translate';
import {StatusCell, StatusPortCell} from '@/pages/trunks/trunkLists/pstn/isdn/_chunks/tableCells';
import {CountryCodeCell} from '@/pages/trunks/trunkLists/_chunks/tableCells';

export const MAIN_TABLE_COLS = [
    {
        key: 'id',
        label: translate('strings.ID'),
        sortable: true,
        thStyle: {
            width: '35px'
        }
    },
    {
        key: 'title',
        label: 'BRI/PRI',
        sortable: true
    },
    {
        key: 'settingsMgw.ports[0]',
        label: `${translate('trunks.Port')} 1 ${translate('trunks.Context')}`,
        thStyle: {
            width: '66px',
            maxWidth: '66px'
        },
        renderComponent: () => (StatusPortCell)
    },
    {
        key: 'settingsMgw.ports[1]',
        label: `${translate('trunks.Port')} 2 ${translate('trunks.Context')}`,
        thStyle: {
            width: '65px',
            maxWidth: '65px'
        },
        renderComponent: () => (StatusPortCell)
    },
    {
        key: 'settingsMgw.ports[2]',
        label: `${translate('trunks.Port')} 3 ${translate('trunks.Context')}`,
        thStyle: {
            width: '65px',
            maxWidth: '65px'
        },
        renderComponent: () => (StatusPortCell)
    },
    {
        key: 'settingsMgw.ports[3]',
        label: `${translate('trunks.Port')} 4 ${translate('trunks.Context')}`,
        thStyle: {
            width: '65px',
            maxWidth: '65px'
        },
        renderComponent: () => (StatusPortCell)
    },
    {
        key: 'address',
        label: translate('strings.Host'),
        sortable: true,
        thStyle: {
            width: '105px'
        },
        tdClass: 'text-center'
    },
    {
        key: 'settingsMgw.countryCode',
        label: translate('prefs.GCOUNTRY_CODE'),
        sortable: true,
        thStyle: {
            width: '50px'
        },
        renderComponent: () => (CountryCodeCell)
    },
    {
        key: 'status',
        label: translate('trunks.Status'),
        thStyle: {
            width: '55px'
        },
        renderComponent: () => (StatusCell)
    }
];

export const TRUNK_ITEM_MAIN_FIELDS_ERRORS = {
    settingsMgw: {
        countryCode: null,
        ports: []
    }
};

export const TRUNK_ITEM_PORT_FIELDS_ERRORS = {
    callingNameMaxLength: null,
    destinationCode: null
};

export const CLOCK_REFERENCES = [
    {value: 100, text: 'None'},
    {value: 200, text: `${translate('trunks.Port')} 1`},
    {value: 300, text: `${translate('trunks.Port')} 2`},
    {value: 400, text: `${translate('trunks.Port')} 3`},
    {value: 500, text: `${translate('trunks.Port')} 4`}
];

export const BEARER_CAPABILITIES = [
    {value: 100, text: '3.1kHz'},
    {value: 200, text: 'Speech'},
    {value: 300, text: 'Unrestricted'}
];

export const LINE_TYPES = [
    {value: 'E1', text: 'E1'},
    {value: 'T1', text: 'T1'}
];

export const ENDPOINT_TYPES = [
    {value: 100, text: 'TE'},
    {value: 200, text: 'NT'}
];

export const CLOCKS = [
    {value: 100, text: translate('trunks.pstn.Auto')},
    {value: 200, text: translate('trunks.pstn.Master')},
    {value: 300, text: translate('trunks.pstn.Slave')}
];

export const PIN_OUTS = [
    {value: 100, text: 'Auto'},
    {value: 200, text: 'TE'},
    {value: 300, text: 'NT'}
];

export const CODING_LINES = [
    {value: 100, text: 'B8ZS'},
    {value: 200, text: 'HDB3'},
    {value: 300, text: 'AMI'}
];

export const FRAMING_LINES = [
    {value: 'Crc4', text: 'Crc4'},
    {value: 'NoCrc4', text: 'NoCrc4'},
    {value: 'Esf', text: 'Esf'},
    {value: 'Sf', text: 'Sf'}
];

export const NETWORK_TYPES = [
    {value: 100, text: 'User'},
    {value: 200, text: 'Privat'},
    {value: 300, text: 'Public'},
    {value: 400, text: 'Transit'},
    {value: 500, text: 'International'}
];

export const CONNECTION_TYPES = [
    {value: 100, text: translate('trunks.pstn.EndPointType.PTP')},
    {value: 200, text: translate('trunks.pstn.EndPointType.PTM')}
];

export const LINK_ESTABLISHMENTS = [
    {value: 100, text: translate('trunks.pstn.LinkEstablishment.OnDemand')},
    {value: 200, text: translate('trunks.pstn.LinkEstablishment.Permanent')}
];

export const SIGNAL_PROTOCOLS = [
    {value: 100, text: 'DSS1'},
    {value: 200, text: 'DMS100'},
    {value: 300, text: 'NI2'},
    {value: 400, text: '5ESS'},
    {value: 500, text: 'QSIG'}
];

export const CHANNEL_ALLOCATION_STRATEGIES = [
    {value: 100, text: translate('trunks.pstn.ChannelAllocationStrategy.Ascending')},
    {value: 200, text: translate('trunks.pstn.ChannelAllocationStrategy.Descending')},
    {value: 300, text: translate('trunks.pstn.ChannelAllocationStrategy.RoundRobinAscending')},
    {value: 400, text: translate('trunks.pstn.ChannelAllocationStrategy.RoundRobinDescending')}
];

export const DETECTION_THRESHOLDS = [
    {value: 100, text: 'Default'},
    {value: 200, text: 'Low'},
    {value: 300, text: 'Lowest'}
];
