import translate from '@/modules/translate/translate';
import {UserRoleCell, UserLangCell, UserStatusCell} from '@/pages/users/usersTab/_chunks/tableCells';

const TABLE_COLS = [
    {
        key: 'role',
        label: '',
        sortable: true,
        renderComponent: () => (UserRoleCell),
        tdClass: 'icon',
        thClass: 'role'
    },
    {
        key: 'registrations',
        label: '',
        sortable: true,
        renderComponent: () => (UserStatusCell),
        thClass: 'registrations'
    },
    {
        key: 'name',
        label: translate('aclpbx.userName'),
        sortable: true,
        thClass: 'name'
    },
    {
        key: 'login',
        label: translate('aclpbx.userPrincipalName'),
        sortable: true,
        thClass: 'login'
    },
    {
        key: 'extension',
        label: translate('aclpbx.extenNumber'),
        sortable: true,
        thClass: 'extension'
    },
    {
        key: 'faxNumber',
        label: translate('aclpbx.facsimileTelephoneNumber'),
        sortable: true,
        thClass: 'fax'
    },
    {
        key: 'officePhone',
        label: translate('aclpbx.officeNumber'),
        sortable: true,
        thClass: 'office'
    },
    {
        key: 'email',
        label: translate('aclpbx.Email'),
        sortable: true,
        thClass: 'email'
    },
    {
        key: 'mobilePhone',
        label: translate('aclpbx.MobileNumber'),
        sortable: true,
        thClass: 'mobile'
    },
    {
        key: 'dialplan',
        label: translate('aclpbx.userDialplan'),
        sortable: true,
        thClass: 'dialplan'
    },
    {
        key: 'faxDialplan',
        label: translate('aclpbx.userFaxDialplan'),
        sortable: true,
        thClass: 'faxDialplan'
    },
    {
        key: 'language',
        label: '',
        sortable: true,
        renderComponent: () => (UserLangCell),
        thClass: 'language',
        tdClass: 'language'
    },
    {
        key: 'groupName',
        label: translate('aclpbx.Group'),
        headerTitle: translate('aclpbx.Group'),
        sortable: true,
        thClass: 'group'
    },
    {
        key: 'department',
        label: translate('aclpbx.ou'),
        sortable: true,
        thClass: 'department'
    },
    {
        key: 'licenseType',
        label: translate('aclpbx.licenseType'),
        sortable: true,
        renderComponent: (data) => translate(`license.type.${data.value}`),
        thClass: 'license'
    },
    {
        key: 'pbx',
        label: 'PBX',
        sortable: true,
        requiresWmsNetwork: true,
        thClass: 'pbx'
    }
];

export const getColumns = (wmsNetwork) => {
    return TABLE_COLS.filter((column) => wmsNetwork || !column.requiresWmsNetwork);
};
