import translate from '../modules/translate/translate';

export const fileName = (str) => Boolean(str.match(/^[0-9a-zA-Z-._]*$/, 'g'));

export const showErrorFormat = (fieldName, reason) => {
    return {
        data: {
            reason: 'Validation error',
            errors: {
                [fieldName]: {
                    code: 'Invalid',
                    reason
                }
            }
        }
    };
};

export const ERRORS_TEXT = {
    required: translate('rules.CannotBeEmpty'),
    fileName: translate('rules.enterValidValue'),
    numeric: translate('rules.enterValidValue'),
    integer: translate('rules.enterValidValue'),
    ipAddress: translate('rules.enterValidValue') + ' IP',
    betweenWeight: translate('rules.enterValidValue') + ' (0-50)',
    minValueRetry: translate('rules.enterValidValue') + ' (min: 1)',
    minValueZero: translate('rules.enterValidValue') + '(min: 0)',
    traceFileName: translate('rules.enterValidValue') + ' [0-9a-zA-Z.-_]',
    betweenInterDigitTimeout: translate('rules.enterValidValue') + ' (1-12)',
    betweenParkTimeout: translate('rules.enterValidValue') + ' (0-32767)',
    betweenIntDialTimeout: translate('rules.enterValidValue') + ' (10-600)'
};
