module.exports = {
    ResetArrayMethods: function (methods) {
        let a = document.createElement('iframe');
        a.src = 'about:blank';
        document.body.appendChild(a);
        let prototype = a.contentWindow.Array.prototype;
        let fn = (Array.isArray(methods)) ? methods : ['toString', 'toLocaleString', `join`, 'pop', 'push', 'concat', 'reverse',
            'shift', 'unshift', 'slice', 'splice', 'sort', 'filter', 'forEach', 'some', 'every', 'map', 'indexOf', 'lastIndexOf',
            'reduce', 'reduceRight'];
        for (let i = 0; i < fn.length; ++i) {
            let methodName = fn[i];
            let method = prototype[methodName];
            if (method) {
                /* eslint no-extend-native: ["error", { "exceptions": ["Array"] }] */
                Array.prototype[methodName] = method;
            }
        }
        document.body.removeChild(a);
        delete Array.prototype.toJSON;
    },
    ResetObjectMethods: function (methods) {
        let a = document.createElement('iframe');
        a.src = 'about:blank';
        document.body.appendChild(a);
        let original = a.contentWindow.Object;
        let fn = (Array.isArray(methods)) ? methods : ['keys', 'values', 'is', 'entries', 'create', 'assign'];
        for (let i = 0; i < fn.length; ++i) {
            let methodName = fn[i];
            let method = original[methodName];
            if (method) {
                Object[methodName] = method;
            }
        }
        document.body.removeChild(a);
    }
};
