import {ERRORS_TEXT} from '@/helpers/validate';
import {validationMixin} from 'vuelidate';

export default {
    mixins: [validationMixin],
    data() {
        return {
            errors: ERRORS_TEXT
        };
    },
    methods: {
        setValidationError(errors, fields) {
            Object.keys(fields).forEach(key => {
                if (errors.hasOwnProperty(key) && errors[key].$invalid) {
                    let item = errors[key];
                    Object.keys(item.$params).forEach(param => {
                        if (!item[param]) {
                            this.fieldErrors[key] = {
                                code: this.errors[param],
                                reason: this.errors[param]
                            };
                        }
                    });
                }
            });
        }
    }
};
