import wDatatable from '@/components/interface/w-datatable/w-datatable.vue';

export default {
    name: 'abstractDevices',
    components: {
        wDatatable
    },
    props: {
        items: {
            type: Array,
            'default': () => []
        }
    },
    data() {
        return {
            selectedItems: [],
            updated: 0,
            tableColumns: []
        };
    },
    methods: {
        setItems(items) {
            this.items = items;
        },
        getItems() {
            return this.items;
        },
        hasSelectedItems() {
            return this.selectedItems.length > 0;
        },
        getSelectedItems() {
            return this.selectedItems || [];
        },
        selectItem(items) {
            this.selectedItems = items;
        },
        setTableColumnField(fields) {
            this.tableColumns = fields;
            return this;
        },
        refresh() {
            this.$emit('refresh');
        },
        onDblClick(items) {
            this.selectItem([items]);
            if(!this.disableEdit()) {
                this.showEditForm();
            }
        }
    }
};
