import cloneDeep from '@/modules/clone-object';
import {FIELD_ERRORS} from '@/helpers/constants/ivr';

export default {
    methods: {
        getNodeErrors(node) {
            let currentErrors = cloneDeep(this.fieldErrors);

            this.findIndexes(node).forEach(index => {
                if (currentErrors.items && currentErrors.items[index]) {
                    currentErrors = currentErrors.items[index];
                } else {
                    currentErrors = cloneDeep(FIELD_ERRORS);
                }
            });

            if (currentErrors && currentErrors.items) {
                delete currentErrors.items;
            }

            return currentErrors;
        },
        findIndexes(node) {
            const indexes = [];
            let currentNode = node;

            for (let i = 0; i < node.level; i++) {
                if (currentNode.parent.data.items) {
                    indexes.unshift(this.findNodeIndex(currentNode));
                }
                currentNode = currentNode.parent;
            }

            return indexes;
        },
        findNodeIndex(node) {
            let index = 0;

            const children = node.parent.data.items;
            if (children) {
                index = children.findIndex(child => child.$treeNodeId === node.data.$treeNodeId);
            }

            return index;
        },
        isExistErrors(errors) {
            const params = errors.parameters;
            delete errors.parameters;

            return this.checkErrors(params) || this.checkErrors(errors);
        },
        checkErrors(errors = {}) {
            return Boolean(Object.values(errors).find(error => error !== null && !Array.isArray(error)));
        }
    }
};
