export default {
    namespaced: true,
    state: {
        items: {}
    },
    getters: {
        getItems: state => state.items,
        getItem: state => key => state.items[key]
    },
    actions: {
        fetch({state, commit}, items) {
            if (state.items.length) {
                commit('set', state.names);
            } else {
                this._vm.$api.Dictionaries.get(items)
                    .then(({result}) => {
                        const dictionary = {};
                        result.records.forEach(item => {
                            dictionary[item.key] = item.items;
                        });
                        commit('set', dictionary);

                        return {result};
                    })
                    .catch(e => Promise.reject(e));
            }
        }
    },
    mutations: {
        set(state, data) {
            state.items = data;
        }
    }
};
