export default {
    namespaced: true,
    state: {
        pbxes: []
    },
    getters: {
        getPbxes: state => state.pbxes
    },
    actions: {
        fetchPbxes({commit}, showErrors) {
            return this._vm.$api.Network.pbxes.get()
                .then(({result}) => commit('setPbxes', result.records))
                .catch((e) => showErrors(e));
        }
    },
    mutations: {
        setPbxes(state, data) {
            state.pbxes = data;
        }
    }
};
