<?php
// This file was auto-generated from sdk-root/src/data/chime-sdk-media-pipelines/2021-07-15/api-2.json
return [ 'version' => '2.0', 'metadata' => [ 'apiVersion' => '2021-07-15', 'endpointPrefix' => 'media-pipelines-chime', 'protocol' => 'rest-json', 'serviceFullName' => 'Amazon Chime SDK Media Pipelines', 'serviceId' => 'Chime SDK Media Pipelines', 'signatureVersion' => 'v4', 'signingName' => 'chime', 'uid' => 'chime-sdk-media-pipelines-2021-07-15', ], 'operations' => [ 'CreateMediaCapturePipeline' => [ 'name' => 'CreateMediaCapturePipeline', 'http' => [ 'method' => 'POST', 'requestUri' => '/sdk-media-capture-pipelines', 'responseCode' => 201, ], 'input' => [ 'shape' => 'CreateMediaCapturePipelineRequest', ], 'output' => [ 'shape' => 'CreateMediaCapturePipelineResponse', ], 'errors' => [ [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'ResourceLimitExceededException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], 'DeleteMediaCapturePipeline' => [ 'name' => 'DeleteMediaCapturePipeline', 'http' => [ 'method' => 'DELETE', 'requestUri' => '/sdk-media-capture-pipelines/{mediaPipelineId}', 'responseCode' => 204, ], 'input' => [ 'shape' => 'DeleteMediaCapturePipelineRequest', ], 'errors' => [ [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'NotFoundException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], 'GetMediaCapturePipeline' => [ 'name' => 'GetMediaCapturePipeline', 'http' => [ 'method' => 'GET', 'requestUri' => '/sdk-media-capture-pipelines/{mediaPipelineId}', 'responseCode' => 200, ], 'input' => [ 'shape' => 'GetMediaCapturePipelineRequest', ], 'output' => [ 'shape' => 'GetMediaCapturePipelineResponse', ], 'errors' => [ [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'NotFoundException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], 'ListMediaCapturePipelines' => [ 'name' => 'ListMediaCapturePipelines', 'http' => [ 'method' => 'GET', 'requestUri' => '/sdk-media-capture-pipelines', 'responseCode' => 200, ], 'input' => [ 'shape' => 'ListMediaCapturePipelinesRequest', ], 'output' => [ 'shape' => 'ListMediaCapturePipelinesResponse', ], 'errors' => [ [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'ResourceLimitExceededException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], 'ListTagsForResource' => [ 'name' => 'ListTagsForResource', 'http' => [ 'method' => 'GET', 'requestUri' => '/tags', 'responseCode' => 200, ], 'input' => [ 'shape' => 'ListTagsForResourceRequest', ], 'output' => [ 'shape' => 'ListTagsForResourceResponse', ], 'errors' => [ [ 'shape' => 'NotFoundException', ], [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], 'TagResource' => [ 'name' => 'TagResource', 'http' => [ 'method' => 'POST', 'requestUri' => '/tags?operation=tag-resource', 'responseCode' => 204, ], 'input' => [ 'shape' => 'TagResourceRequest', ], 'output' => [ 'shape' => 'TagResourceResponse', ], 'errors' => [ [ 'shape' => 'NotFoundException', ], [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], 'UntagResource' => [ 'name' => 'UntagResource', 'http' => [ 'method' => 'POST', 'requestUri' => '/tags?operation=untag-resource', 'responseCode' => 204, ], 'input' => [ 'shape' => 'UntagResourceRequest', ], 'output' => [ 'shape' => 'UntagResourceResponse', ], 'errors' => [ [ 'shape' => 'NotFoundException', ], [ 'shape' => 'BadRequestException', ], [ 'shape' => 'ForbiddenException', ], [ 'shape' => 'UnauthorizedClientException', ], [ 'shape' => 'ThrottledClientException', ], [ 'shape' => 'ServiceUnavailableException', ], [ 'shape' => 'ServiceFailureException', ], ], ], ], 'shapes' => [ 'AmazonResourceName' => [ 'type' => 'string', 'max' => 1011, 'min' => 1, 'pattern' => '^arn[\\/\\:\\-\\_\\.a-zA-Z0-9]+$', ], 'Arn' => [ 'type' => 'string', 'max' => 1024, 'min' => 1, 'pattern' => '^arn[\\/\\:\\-\\_\\.a-zA-Z0-9]+$', 'sensitive' => true, ], 'ArtifactsConfiguration' => [ 'type' => 'structure', 'required' => [ 'Audio', 'Video', 'Content', ], 'members' => [ 'Audio' => [ 'shape' => 'AudioArtifactsConfiguration', ], 'Video' => [ 'shape' => 'VideoArtifactsConfiguration', ], 'Content' => [ 'shape' => 'ContentArtifactsConfiguration', ], ], ], 'ArtifactsState' => [ 'type' => 'string', 'enum' => [ 'Enabled', 'Disabled', ], ], 'AttendeeIdList' => [ 'type' => 'list', 'member' => [ 'shape' => 'GuidString', ], 'min' => 1, ], 'AudioArtifactsConfiguration' => [ 'type' => 'structure', 'required' => [ 'MuxType', ], 'members' => [ 'MuxType' => [ 'shape' => 'AudioMuxType', ], ], ], 'AudioMuxType' => [ 'type' => 'string', 'enum' => [ 'AudioOnly', 'AudioWithActiveSpeakerVideo', ], ], 'BadRequestException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 400, ], 'exception' => true, ], 'ChimeSdkMeetingConfiguration' => [ 'type' => 'structure', 'members' => [ 'SourceConfiguration' => [ 'shape' => 'SourceConfiguration', ], 'ArtifactsConfiguration' => [ 'shape' => 'ArtifactsConfiguration', ], ], ], 'ClientRequestToken' => [ 'type' => 'string', 'max' => 64, 'min' => 2, 'pattern' => '[-_a-zA-Z0-9]*', 'sensitive' => true, ], 'ContentArtifactsConfiguration' => [ 'type' => 'structure', 'required' => [ 'State', ], 'members' => [ 'State' => [ 'shape' => 'ArtifactsState', ], 'MuxType' => [ 'shape' => 'ContentMuxType', ], ], ], 'ContentMuxType' => [ 'type' => 'string', 'enum' => [ 'ContentOnly', ], ], 'CreateMediaCapturePipelineRequest' => [ 'type' => 'structure', 'required' => [ 'SourceType', 'SourceArn', 'SinkType', 'SinkArn', ], 'members' => [ 'SourceType' => [ 'shape' => 'MediaPipelineSourceType', ], 'SourceArn' => [ 'shape' => 'Arn', ], 'SinkType' => [ 'shape' => 'MediaPipelineSinkType', ], 'SinkArn' => [ 'shape' => 'Arn', ], 'ClientRequestToken' => [ 'shape' => 'ClientRequestToken', 'idempotencyToken' => true, ], 'ChimeSdkMeetingConfiguration' => [ 'shape' => 'ChimeSdkMeetingConfiguration', ], 'Tags' => [ 'shape' => 'TagList', ], ], ], 'CreateMediaCapturePipelineResponse' => [ 'type' => 'structure', 'members' => [ 'MediaCapturePipeline' => [ 'shape' => 'MediaCapturePipeline', ], ], ], 'DeleteMediaCapturePipelineRequest' => [ 'type' => 'structure', 'required' => [ 'MediaPipelineId', ], 'members' => [ 'MediaPipelineId' => [ 'shape' => 'GuidString', 'location' => 'uri', 'locationName' => 'mediaPipelineId', ], ], ], 'ErrorCode' => [ 'type' => 'string', 'enum' => [ 'BadRequest', 'Forbidden', 'NotFound', 'ResourceLimitExceeded', 'ServiceFailure', 'ServiceUnavailable', 'Throttling', ], ], 'ExternalUserIdList' => [ 'type' => 'list', 'member' => [ 'shape' => 'ExternalUserIdType', ], 'min' => 1, ], 'ExternalUserIdType' => [ 'type' => 'string', 'max' => 64, 'min' => 2, 'sensitive' => true, ], 'ForbiddenException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 403, ], 'exception' => true, ], 'GetMediaCapturePipelineRequest' => [ 'type' => 'structure', 'required' => [ 'MediaPipelineId', ], 'members' => [ 'MediaPipelineId' => [ 'shape' => 'GuidString', 'location' => 'uri', 'locationName' => 'mediaPipelineId', ], ], ], 'GetMediaCapturePipelineResponse' => [ 'type' => 'structure', 'members' => [ 'MediaCapturePipeline' => [ 'shape' => 'MediaCapturePipeline', ], ], ], 'GuidString' => [ 'type' => 'string', 'max' => 36, 'min' => 36, 'pattern' => '[a-fA-F0-9]{8}(?:-[a-fA-F0-9]{4}){3}-[a-fA-F0-9]{12}', ], 'Iso8601Timestamp' => [ 'type' => 'timestamp', 'timestampFormat' => 'iso8601', ], 'ListMediaCapturePipelinesRequest' => [ 'type' => 'structure', 'members' => [ 'NextToken' => [ 'shape' => 'String', 'location' => 'querystring', 'locationName' => 'next-token', ], 'MaxResults' => [ 'shape' => 'ResultMax', 'location' => 'querystring', 'locationName' => 'max-results', ], ], ], 'ListMediaCapturePipelinesResponse' => [ 'type' => 'structure', 'members' => [ 'MediaCapturePipelines' => [ 'shape' => 'MediaCapturePipelineSummaryList', ], 'NextToken' => [ 'shape' => 'String', ], ], ], 'ListTagsForResourceRequest' => [ 'type' => 'structure', 'required' => [ 'ResourceARN', ], 'members' => [ 'ResourceARN' => [ 'shape' => 'AmazonResourceName', 'location' => 'querystring', 'locationName' => 'arn', ], ], ], 'ListTagsForResourceResponse' => [ 'type' => 'structure', 'members' => [ 'Tags' => [ 'shape' => 'TagList', ], ], ], 'MediaCapturePipeline' => [ 'type' => 'structure', 'members' => [ 'MediaPipelineId' => [ 'shape' => 'GuidString', ], 'MediaPipelineArn' => [ 'shape' => 'AmazonResourceName', ], 'SourceType' => [ 'shape' => 'MediaPipelineSourceType', ], 'SourceArn' => [ 'shape' => 'Arn', ], 'Status' => [ 'shape' => 'MediaPipelineStatus', ], 'SinkType' => [ 'shape' => 'MediaPipelineSinkType', ], 'SinkArn' => [ 'shape' => 'Arn', ], 'CreatedTimestamp' => [ 'shape' => 'Iso8601Timestamp', ], 'UpdatedTimestamp' => [ 'shape' => 'Iso8601Timestamp', ], 'ChimeSdkMeetingConfiguration' => [ 'shape' => 'ChimeSdkMeetingConfiguration', ], ], ], 'MediaCapturePipelineSummary' => [ 'type' => 'structure', 'members' => [ 'MediaPipelineId' => [ 'shape' => 'GuidString', ], 'MediaPipelineArn' => [ 'shape' => 'AmazonResourceName', ], ], ], 'MediaCapturePipelineSummaryList' => [ 'type' => 'list', 'member' => [ 'shape' => 'MediaCapturePipelineSummary', ], ], 'MediaPipelineSinkType' => [ 'type' => 'string', 'enum' => [ 'S3Bucket', ], ], 'MediaPipelineSourceType' => [ 'type' => 'string', 'enum' => [ 'ChimeSdkMeeting', ], ], 'MediaPipelineStatus' => [ 'type' => 'string', 'enum' => [ 'Initializing', 'InProgress', 'Failed', 'Stopping', 'Stopped', ], ], 'NotFoundException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 404, ], 'exception' => true, ], 'ResourceLimitExceededException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 400, ], 'exception' => true, ], 'ResultMax' => [ 'type' => 'integer', 'max' => 100, 'min' => 1, ], 'SelectedVideoStreams' => [ 'type' => 'structure', 'members' => [ 'AttendeeIds' => [ 'shape' => 'AttendeeIdList', ], 'ExternalUserIds' => [ 'shape' => 'ExternalUserIdList', ], ], ], 'ServiceFailureException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 500, ], 'exception' => true, 'fault' => true, ], 'ServiceUnavailableException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 503, ], 'exception' => true, 'fault' => true, ], 'SourceConfiguration' => [ 'type' => 'structure', 'members' => [ 'SelectedVideoStreams' => [ 'shape' => 'SelectedVideoStreams', ], ], ], 'String' => [ 'type' => 'string', 'max' => 4096, 'pattern' => '.*', ], 'Tag' => [ 'type' => 'structure', 'required' => [ 'Key', 'Value', ], 'members' => [ 'Key' => [ 'shape' => 'TagKey', ], 'Value' => [ 'shape' => 'TagValue', ], ], ], 'TagKey' => [ 'type' => 'string', 'max' => 128, 'min' => 1, ], 'TagKeyList' => [ 'type' => 'list', 'member' => [ 'shape' => 'TagKey', ], 'max' => 50, 'min' => 1, ], 'TagList' => [ 'type' => 'list', 'member' => [ 'shape' => 'Tag', ], 'max' => 50, 'min' => 1, ], 'TagResourceRequest' => [ 'type' => 'structure', 'required' => [ 'ResourceARN', 'Tags', ], 'members' => [ 'ResourceARN' => [ 'shape' => 'AmazonResourceName', ], 'Tags' => [ 'shape' => 'TagList', ], ], ], 'TagResourceResponse' => [ 'type' => 'structure', 'members' => [], ], 'TagValue' => [ 'type' => 'string', 'max' => 256, 'min' => 0, ], 'ThrottledClientException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 429, ], 'exception' => true, ], 'UnauthorizedClientException' => [ 'type' => 'structure', 'members' => [ 'Code' => [ 'shape' => 'ErrorCode', ], 'Message' => [ 'shape' => 'String', ], 'RequestId' => [ 'shape' => 'String', ], ], 'error' => [ 'httpStatusCode' => 401, ], 'exception' => true, ], 'UntagResourceRequest' => [ 'type' => 'structure', 'required' => [ 'ResourceARN', 'TagKeys', ], 'members' => [ 'ResourceARN' => [ 'shape' => 'AmazonResourceName', ], 'TagKeys' => [ 'shape' => 'TagKeyList', ], ], ], 'UntagResourceResponse' => [ 'type' => 'structure', 'members' => [], ], 'VideoArtifactsConfiguration' => [ 'type' => 'structure', 'required' => [ 'State', ], 'members' => [ 'State' => [ 'shape' => 'ArtifactsState', ], 'MuxType' => [ 'shape' => 'VideoMuxType', ], ], ], 'VideoMuxType' => [ 'type' => 'string', 'enum' => [ 'VideoOnly', ], ], ],];
